<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class All_Agencies extends Widget_Base {
	
	public function get_name() {
		return 'all-dealers';
	}
	
	public function get_title() {
		return __( 'All Dealers', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	 
	protected function register_controls() {
		
		$this->start_controls_section(
			'section_settings',
			[
				'label' => esc_html__( 'Dealers Settings', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
            'show_loadmore',
            [
                'label' => esc_html__( 'Hide Load More Button', 'maxwheels-elementor' ),
                'type' => Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'Yes', 'maxwheels-elementor' ),
                'label_off' => esc_html__( 'No', 'maxwheels-elementor' ),
                'return_value' => 'none',
                'default' => 'no',
                'selectors' => [
                    '{{WRAPPER}} .is-show-load-more' => 'display: {{VALUE}};',
                ],
            ]
        );
		$this->add_control(
			'type',
			[
				'label' => __( 'Dealer Type', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'all',
				'options' => [
					'all'  => __( 'All', 'maxwheels-elementor' ),
					'simple' => __( 'Simple', 'maxwheels-elementor' ),
					'featured' => __( 'Premium', 'maxwheels-elementor' ),
				],
			]
		);
		
		$this->add_control(
			'order',
			[
				'label' => __( 'OrderBy', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'desc',
				'options' => [
					'desc'  => __( 'Latest', 'maxwheels-elementor' ),
					'asc' => __( 'Oldest', 'maxwheels-elementor' ),
					'rand' => __( 'Random', 'maxwheels-elementor' ),
				],
			]
		);
		
		$this->add_control(
			'layout',
			[
				'label' => __( 'Layout Type', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'grid1',
				'options' => [
					'grid1'  => __( 'Dealer Grid 1', 'maxwheels-elementor' ),
					'minimal'  => __( 'Minimal Style', 'maxwheels-elementor' ),
					'list1' => __( 'Dealer List 1', 'maxwheels-elementor' ),
					'list2' => __( 'Dealer List 2', 'maxwheels-elementor' ),
					'list3' => __( 'Dealer List 3', 'maxwheels-elementor' ),
				],
			]
		);
		$this->add_control(
			'listing_column',
			[
				'label' => __( 'Column Size', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => '4',
				'options' => [
					'4'  => __( '4 Columns', 'maxwheels-elementor' ),
					'3'  => __( '3 Columns', 'maxwheels-elementor' ),
					'2' => __( '2 Columns', 'maxwheels-elementor' ),
				],
				'condition' => [
					'layout' => 'grid1',
				],
			]
		);
		$this->add_control(
			'posts_per_page',
			[
				'label'   => __( 'Number of Dealers', 'maxwheels-elementor' ),
				'type'    => Controls_Manager::TEXT,
				'default' => 8,
			]
		);
		
		$this->end_controls_section();	
	}
	
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$params['type'] = $settings['type'] ? $settings['type'] : 'all';
		$params['order'] = $settings['order'] ? $settings['order'] : 'desc';
		$params['layout'] = $settings['layout'] ? $settings['layout'] : 'grid1';
		$params['no_of_post'] = $settings['posts_per_page'] ? (int)$settings['posts_per_page'] : 6;	
		$params['listing_column'] = $settings['listing_column'] ? (int)$settings['listing_column'] : 4;
			echo maxwheels_elementor_all_dealers($params);
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}