<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class AllCategories extends Widget_Base {
	
	public function get_name() {
		return 'all-makes-slider';
	}
	
	public function get_title() {
		return __( 'All Makes Slider', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */

	protected function register_controls() {
		$all_types = array();
		Maxwheels_framework_terms_array('mw-category' , $all_types);
		$this->start_controls_section(
			'types_selection',
			[
				'label' => esc_html__( 'Select Category', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'title_color',
			[
				'label' => __( 'Title Color', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'scheme' => [
                    'type' => \Elementor\Core\Schemes\Color::get_type(),
                    'value' => \Elementor\Core\Schemes\Color::COLOR_1,
				],
				'selectors' => [
					'{{WRAPPER}} .grid-premium .premium-details h2 a' => 'color: {{VALUE}}',
				],
			]
		);
		$this->add_control(
			'subtitle_color',
			[
				'label' => __( 'Sub Heading Color', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'scheme' => [
                    'type' => \Elementor\Core\Schemes\Color::get_type(),
                    'value' => \Elementor\Core\Schemes\Color::COLOR_1,
				],
				'selectors' => [
					'{{WRAPPER}} .grid-premium .premium-details span' => 'color: {{VALUE}}',
				],
			]
		);
		$repeater = new \Elementor\Repeater();
		$repeater->add_control(
			'categories',
			[
				'label' => __( 'Select Type', 'maxwheels-elementor' ),
				'label_block'=>true,
				'type' => \Elementor\Controls_Manager::SELECT2,
				'multiple' => false,
				'options' => $all_types,
			]
		);
		$repeater->add_control(
			'image',
			[
				'label' => __( 'Icon', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
				'description' => __( 'Recommended icon size 128x128', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'list',
			[
				'label' => __( 'Select Category', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'title_field' => '{{{ categories }}}',
			]
		);
		
		$this->end_controls_section();
	}
	
		protected function render() {
		// get our input from the widget settings.
		$blocks = array();
		$settings = $this->get_settings_for_display();
		if(!empty($settings['list']))
		{
			foreach (  $settings['list'] as $item ) {
				$blocks[] = array(
					'type_slug' => $item['categories'],
					'image' => $item['image']['url'] ? $item['image']['url'] : '',
				);
			}
		}
		$params['types'] = $blocks;
			echo maxwheels_elementor_all_makes_slider($params);
			if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) {
			?>
            <script>
				if (jQuery('.featured-makes-cry').length)
				{	
					jQuery('.featured-makes-cry').owlCarousel({
						stagePadding: 200,
					loop:true,
					margin:0,
					lazyLoad: true,
					nav:false,
						autoplay: true,
								smartSpeed: 1500,
								dots:true, 
				  responsive:{
						0:{
							items:1,
							stagePadding: 60
						},
						600:{
							items:1,
							stagePadding: 100
						},
						1000:{
							items:1,
							stagePadding: 200
						},
						1200:{
							items:1,
							stagePadding: 250
						},
						1400:{
							items:1,
							stagePadding: 300
						},
						1600:{
							items:1,
							stagePadding: 350
						},
						1800:{
							items:2,
							stagePadding: 315
						}
					}
					});
				}
			</script>
            <?php
			}
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}