<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class Blogs extends Widget_Base {
	
	public function get_name() {
		return 'all-blogs';
	}
	
	public function get_title() {
		return __( 'Blogs', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	 
	public function get_customparant_terms($taxonomy)
	{
		$type = array();
		$terms = get_terms( array( 'taxonomy' => 'property_type', 'parent' => 0, 'hide_empty' => 0 ));
		$type = ['all' => 'All'];
		if ( ! empty( $terms ) && ! is_wp_error( $terms ) )
		{
			foreach ( $terms as $term ) {
				$type[$term->term_id] = $term->name . ' (' . $term->count . ')';				
			}
		}
		return $type;
	}
	 
	 
	protected function register_controls() {
		$type = array();
		$this->start_controls_section(
			'section_query',
			[
				'label' => esc_html__( 'Section Heading', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'listing_column',
			[
				'label' => __( 'Column Size', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => '3',
				'description' => __( 'Use 2 columns only when using sidebar.', 'maxwheels-elementor' ),
				'options' => [
					'3'  => __( '4 Columns', 'maxwheels-elementor' ),
					'4'  => __( '3 Columns', 'maxwheels-elementor' ),
					'6' => __( '2 Columns', 'maxwheels-elementor' ),
				],
			]
		);
		$this->add_control(
			'posts_per_page', [
				'label'   => __( 'Number of Blog Posts', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'default' => 4,
			]
		);
		$this->end_controls_section();
	}
	
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$params['no_of_post'] = $settings['posts_per_page'] ? (int)$settings['posts_per_page'] : 6;
		$params['listing_column'] = $settings['listing_column'] ? (int)$settings['listing_column'] : 4;
			echo maxwheels_elementor_all_blogs($params);
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}