<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class BodyTypeClassic extends Widget_Base {
	
	public function get_name() {
		return 'body-classic';
	}
	
	public function get_title() {
		return __( 'Body Types 1', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}

	protected function register_controls() {
		$all_types = array();
		Maxwheels_framework_terms_array('mw-bodytype' , $all_types);
		$this->start_controls_section(
			'types_selection',
			[
				'label' => esc_html__( 'Select Body Types', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
            'btncolumn_size',
            [
                'label' => __( 'Grid Column Size', 'maxwheels-elementor' ),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => '2',
				'options' => [
					'1'  => 1,
					'2' => 2,
					'3' => 3,
					'4' => 4,
					'5' => 5,
					'6' => 6,
					'7' => 7,
					'8' => 8,
					'9' => 9,
					'10' => 10,
					'11' => 11,
					'12' => 12,
				],
            ]
        );
		$repeater = new \Elementor\Repeater();
		$repeater->add_control(
			'categories',
			[
				'label' => __( 'Select Body Type', 'maxwheels-elementor' ),
				'label_block'=>true,
				'type' => \Elementor\Controls_Manager::SELECT2,
				'multiple' => false,
				'options' => $all_types,
			]
		);
		$repeater->add_control(
			'image',
			[
				'label' => __( 'Image', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
				'description' => __( 'Recommended image size 250x300', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'list',
			[
				'label' => __( 'Select Body Type', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'title_field' => '{{{ categories }}}',
			]
		);
		
		$this->end_controls_section();
	}
	
		protected function render() {
		// get our input from the widget settings.
		$blocks = array();
		$settings = $this->get_settings_for_display();
		$params['btncolumn_size'] = $settings['btncolumn_size'];
		if(!empty($settings['list']))
		{
			foreach (  $settings['list'] as $item ) {
				$blocks[] = array(
					'type_slug' => $item['categories'],
					'image' => $item['image']['url'] ? $item['image']['url'] : '',
				);
			}
		}
		$params['types'] = $blocks;
		echo maxwheels_elementor_bodytype_1($params);
		}

}