<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class CallAction_Five extends Widget_Base {
	
	public function get_name() {
		return 'call-action-five';
	}
	
	public function get_title() {
		return __( 'Call Of Action 5', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function register_controls() {
		$all_types = array();
		Maxwheels_framework_terms_array('mw-bodytype' , $all_types);
		$this->start_controls_section(
			'section_query',
			[
				'label' => esc_html__( 'Settings', 'maxwheels-elementor' ),
			]
		);
		
		$this->add_control(
			'heading_text',
			[
				'label' => __( 'Main Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'title' => __( 'To highligt heading use color tag eg: {color} Awesome </color>', 'maxwheels-elementor' ),
				'rows' => 3,
				'description' => __( 'Highligt heading use color tag eg: {color} Awesome </color>', 'maxwheels-elementor' ),
				'default' => __( 'Content goes here..', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'item_description',
			[
				'label' => __( 'Description', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'rows' => 7,
				'placeholder' => __( 'Type your description here', 'maxwheels-elementor' ),
				'default' => __( 'Content goes here..', 'maxwheels-elementor' ),
			]
		);
        $this->add_control(
			'main_btn_title',
			[
				'label' => __( 'Main Button Title', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'placeholder' => __( 'Type your title here', 'maxwheels-elementor' ),
				'label_block' => true
			]
		);
		$this->add_control(
			'main_btn_link',
			[
				'label' => __( 'Main Button Link', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::URL,
				'placeholder' => __( 'https://your-link.com', 'maxwheels-elementor' ),
				'show_external' => true,
				'default' => [
					'url' => '',
					'is_external' => true,
					'nofollow' => true,
				],
			]
		);
		$this->end_controls_section();
		$this->start_controls_section(
			'types_selection',
			[
				'label' => esc_html__( 'Select Body Types', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'keyword_text',
			[
				'label' => __( 'Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block'=>true,
				'default' => __( 'Content goes here..', 'maxwheels-elementor' ),
			]
		);
		$repeater = new \Elementor\Repeater();
		$repeater->add_control(
			'categories',
			[
				'label' => __( 'Select Body Type', 'maxwheels-elementor' ),
				'label_block'=>true,
				'type' => \Elementor\Controls_Manager::SELECT2,
				'multiple' => false,
				'options' => $all_types,
			]
		);
		$this->add_control(
			'list',
			[
				'label' => __( 'Select Body Type', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'title_field' => '{{{ categories }}}',
			]
		);
		
		$this->end_controls_section();
	}
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$params['heading_text'] = $settings['heading_text'];
		$params['tagline'] = $settings['item_description'];
		$params['keyword_text'] = $settings['keyword_text'];
        //main button
		$params['main_btn']['title'] = $settings['main_btn_title'];
		$params['main_btn']['link'] = $settings['main_btn_link']['url'];
		$params['main_btn']['is_external'] = $settings['main_btn_link']['is_external'];
		$params['main_btn']['nofollow'] = $settings['main_btn_link']['nofollow'];
		$blocks = array();	
		if(!empty($settings['list']))
		{
			foreach (  $settings['list'] as $item ) {
				$blocks[] = array(
					'type_slug' => $item['categories'],
				);
			}
		}
		$params['types'] = $blocks;	
			echo maxwheels_elementor_call_to_action_five($params);
		}
	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}