<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class CategoriesSimpleSlider extends Widget_Base {
	
	public function get_name() {
		return 'categories-with-slider';
	}
	
	public function get_title() {
		return __( 'Categories With Slider', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}

	protected function register_controls() {
		$all_types = array();
		Maxwheels_framework_terms_array('mw-category' , $all_types);
		$this->start_controls_section(
			'types_selection',
			[
				'label' => esc_html__( 'Select Category Type', 'maxwheels-elementor' ),
			]
		);
		$repeater = new \Elementor\Repeater();
		$repeater->add_control(
			'categories',
			[
				'label' => __( 'Select Category/Make', 'maxwheels-elementor' ),
				'label_block'=>true,
				'type' => \Elementor\Controls_Manager::SELECT2,
				'multiple' => false,
				'options' => $all_types,
			]
		);
		$repeater->add_control(
			'image',
			[
				'label' => __( 'Image', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
				'description' => __( 'Recommended icon size 128x128', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'list',
			[
				'label' => __( 'Select Category/Make', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'title_field' => '{{{ categories }}}',
			]
		);
		
		$this->end_controls_section();
	}
	
		protected function render() {
		// get our input from the widget settings.
		$blocks = array();
		$settings = $this->get_settings_for_display();
		if(!empty($settings['list']))
		{
			foreach (  $settings['list'] as $item ) {
				$blocks[] = array(
					'type_slug' => $item['categories'],
					'image' => $item['image']['url'] ? $item['image']['url'] : '',
				);
			}
		}
		$params['types'] = $blocks;
		echo maxwheels_elementor_simple_category_slider($params);
			if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) : ?>
            <script>
				if (jQuery('.mw-cats-slider').length)
				{
					jQuery('.mw-cats-slider').owlCarousel({
						loop:true,
						margin:10,
						autoplay:true,	
						nav:false,
						dots:false,
						navText: ["<i class='fas fa-angle-left'></i>", "<i class='fas fa-angle-right'></i>"],
						responsive:{
							0:{
								items:1
							},
							600:{
								items:2
							},
							1000:{
								items:4
							}
						}
					});
				}
			</script>    
        <?php endif; 
		}
	
}