<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class ContactUs extends Widget_Base {
	
	public function get_name() {
		return 'contact-us';
	}
	
	public function get_title() {
		return __( 'Contact Us', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	
	protected function register_controls() {
		$form = array();
		$forms = get_posts(array(
            'post_type' => 'wpcf7_contact_form',
            'numberposts' => -1
        ));
		if(!empty($forms) && is_array($forms) && count($forms) > 0)
		{
			 foreach ($forms as $selected)
			 {
				 $form[$selected->post_title] = $selected->post_name;
			 }
		}
		
		$this->start_controls_section(
			'section_heading',
			[
				'label' => esc_html__( 'Section Heading', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'heading_main',
			[
				'label' => __( 'Main Title', 'maxwheels-elementor' ),
				'label_block' =>true,
				'type' => \Elementor\Controls_Manager::TEXT,
                'default' => 'How Can We Help You?',
			]
		);
        $this->add_control(
            'heading_description',
            [
                'label' => __( 'Heading Description', 'maxwheels-elementor' ),
                'type' => \Elementor\Controls_Manager::TEXTAREA,
                'rows' => 4,
                'placeholder' => __( 'Type your Heading description here', 'maxwheels-elementor' ),
                'default' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. In urna lectus, mattis non accumsan in, tempor dictum neque.',
            ]
        );
		$this->add_control(
			'chat_heading',
			[
				'label' => __( 'Chat Icon Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default'=> 'Live chat',
			]
		);
        $this->add_control(
            'chat_description',
            [
                'label' => __( 'Chat Description', 'maxwheels-elementor' ),
                'type' => \Elementor\Controls_Manager::TEXTAREA,
                'rows' => 2,
                'placeholder' => __( 'Type your Chat description here', 'maxwheels-elementor' ),
                'default' => 'Wait time of ~10 minutes.',
            ]
        );

        $this->add_control(
            'email_heading',
            [
                'label' => __( 'Email Icon Heading', 'maxwheels-elementor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default'=> 'EMAIL US',
            ]
        );
        $this->add_control(
            'email_description',
            [
                'label' => __( 'Email Description', 'maxwheels-elementor' ),
                'type' => \Elementor\Controls_Manager::TEXTAREA,
                'rows' => 2,
                'placeholder' => __( 'Type your Email description here', 'maxwheels-elementor' ),
                'default' => 'We reply in ~24 hours',
            ]
        );

        $this->add_control(
            'call_heading',
            [
                'label' => __( 'call Icon Heading', 'maxwheels-elementor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default'=> 'CALL',
            ]
        );
        $this->add_control(
            'call_description',
            [
                'label' => __( 'call Description', 'maxwheels-elementor' ),
                'type' => \Elementor\Controls_Manager::TEXTAREA,
                'rows' => 2,
                'placeholder' => __( 'Type your Call description here', 'maxwheels-elementor' ),
                'default' => '7am - 9pm PST',
            ]
        );

		$this->add_control(
			'form_type',
			[
				'label' => __( 'Select Contact Form', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'label_block' =>true,
				'options' => $form
			]
		);
		$this->end_controls_section();
		
	}
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$params = array();
		$params['contact_heading_main'] = $settings['heading_main'] ? $settings['heading_main'] : '';
		$params['contact_heading_description'] = $settings['heading_description'] ? $settings['heading_description'] : '';
		$params['contact_chat_heading'] = $settings['chat_heading'] ? $settings['chat_heading'] : '';
		$params['contact_chat_description'] = $settings['chat_description'] ? $settings['chat_description'] : '';
		$params['contact_email_heading'] = $settings['email_heading'] ? $settings['email_heading'] : '';
        $params['contact_email_description'] = $settings['email_description'] ? $settings['email_description'] : '';
        $params['contact_call_heading'] = $settings['call_heading'] ? $settings['call_heading'] : '';
        $params['contact_call_description'] = $settings['call_description'] ? $settings['call_description'] : '';
        $params['form_type'] = $settings['form_type'] ? $settings['form_type'] : '';
        echo Maxwheels_elementor_contactus($params);
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}