<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class All_Dealers extends Widget_Base {
	
	public function get_name() {
		return 'all-dealers-sli';
	}
	
	public function get_title() {
		return __( 'Dealers Slider', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function register_controls() {
	
		$this->start_controls_section(
			'section_settings',
			[
				'label' => esc_html__( 'Dealer Settings', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'heading_text',
			[
				'label' => __( 'Main Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'title' => __( 'To highligt heading use color tag eg: {color} Awesome </color>', 'maxwheels-elementor' ),
				'rows' => 3,
				'default' => __( 'Content goes here..', 'maxwheels-elementor' ),
				'placeholder' => __( 'To highligt heading use color tag eg: {color} Awesome </color>', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'listing_status',
			[
				'label' => __( 'Dealer Type', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'all',
				'options' => [
					'all'  => __( 'All', 'maxwheels-elementor' ),
					'simple' => __( 'Simple', 'maxwheels-elementor' ),
					'sponsored' => __( 'Sponsored', 'maxwheels-elementor' ),
				],
			]
		);
		
		$this->add_control(
			'listing_order',
			[
				'label' => __( 'OrderBy', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'desc',
				'options' => [
					'desc'  => __( 'Latest', 'maxwheels-elementor' ),
					'asc' => __( 'Oldest', 'maxwheels-elementor' ),
					'rand' => __( 'Random', 'maxwheels-elementor' ),
				],
			]
		);
		
		$this->add_control(
			'posts_per_page',
			[
				'label' => __( 'Number of Dealers', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::NUMBER,
				'min' => 1,
				'max' => 60,
				'step' => 1,
				'default' => 8,
			]
		);
		$this->end_controls_section();	
	}
	
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$params['heading_text'] = $settings['heading_text'];
		$params['orderby'] = $settings['listing_order'] ? $settings['listing_order'] : 'desc';
		$params['listing_status'] = $settings['listing_status'] ? $settings['listing_status'] : 'all';
		$params['no_of_post'] = $settings['posts_per_page'] ? (int)$settings['posts_per_page'] : 6;
		
			echo maxwheels_elementor_dealers_slider($params);
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}