<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class Hero_Five extends Widget_Base {
	
	public function get_name() {
		return 'hero-five';
	}
	
	public function get_title() {
		return __( 'Hero Section 5', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	public function get_filter_fields()
	{
		$fields = array();
		return $fields = [
            'keyword' => esc_html__( 'Keyword', 'maxwheels-elementor' ), //input
            'type' => esc_html__( 'Make', 'maxwheels-elementor' ), //select
			'condition' => esc_html__( 'Condition', 'maxwheels-elementor' ), //select
            'offer' => esc_html__( 'Offer Type', 'maxwheels-elementor' ), //select
            'body' => esc_html__( 'Body Type', 'maxwheels-elementor' ), //select
			'fuel' => esc_html__( 'Fuel Type', 'maxwheels-elementor' ), //select
			'year' => esc_html__( 'Year', 'maxwheels-elementor' ), //select
			'transmission' => esc_html__( 'Transmission', 'maxwheels-elementor' ), //select
			'drive' => esc_html__( 'Drive Type', 'maxwheels-elementor' ), //select
			'colors' => esc_html__( 'Colors', 'maxwheels-elementor' ), //select
			'owner' => esc_html__( 'Owner Type', 'maxwheels-elementor' ), //select
			'seller' => esc_html__( 'Seller Type', 'maxwheels-elementor' ), //select
			'price' => esc_html__( 'Price', 'maxwheels-elementor' ), //range slider
			'mileage' => esc_html__( 'Mileage', 'maxwheels-elementor' ), //range slider
            'location' => esc_html__( 'Location', 'maxwheels-elementor' ), //range slider

        ];
	}  
	protected function register_controls() {
		
		$this->start_controls_section(
			'section_query',
			[
				'label' => esc_html__( 'Hero Content', 'maxwheels-elementor' ),
			]
		);
		
		$this->add_control(
			'listing_count',
			[
				'label' => __( 'Tagline', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'description' => __( 'Use %count% if want to show total listings', 'maxwheels-elementor' ),
				'default' => __( 'More than %count% listings listed', 'maxwheels-elementor' ),
				'label_block' => true
			]
		);
		$this->add_control(
			'heading_text',
			[
				'label' => __( 'Main Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'title' => __( 'To highligt heading use color tag eg: {color} Awesome </color>', 'maxwheels-elementor' ),
				'rows' => 3,
				'description' => __( 'Highligt heading use color tag eg: {color} Awesome </color>', 'maxwheels-elementor' ),
				'default' => __( 'Content goes here..', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'item_description',
			[
				'label' => __( 'Description', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'rows' => 7,
				'placeholder' => __( 'Type your description here', 'maxwheels-elementor' ),
				'default' => __( 'Content goes here..', 'maxwheels-elementor' ),
			]
		);
		$this->end_controls_section();
		$this->start_controls_section(
			'section_filters',
			[
				'label' => esc_html__( 'Filters', 'maxwheels-elementor' ),
			]
		);
		
		$this->add_control(
            'btn_text',
            [
                'label' => __( 'Button Text', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => __( 'Search', 'maxwheels-elementor' ),
				'description' => __( 'Only two filters are allowed in this widget', 'maxwheels-elementor' ),
            ]
        );
		
		$repeater = new \Elementor\Repeater();
		$repeater->add_control(
            'filter_type',
            [
                'label' => esc_html__( 'Filter Type', 'maxwheels-elementor' ),
                'type' => Controls_Manager::SELECT,
                'options' =>  $this->get_filter_fields(),
                'default' => 'text',
            ]
        );
		$repeater->add_control(
            'field_label',
            [
                'label' => __( 'Label', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '',
            ]
        );
		$repeater->add_control(
            'field_place',
            [
                'label' => __( 'Placeholder', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => '!in',
                            'value' => [
                                'price',
								'mileage',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'min_label',
            [
                'label' => __( 'Min Price', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '1',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'price',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'max_label',
            [
                'label' => __( 'Max Price', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '1000000',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'price',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'max_interval',
            [
                'label' => __( 'Steps Interval', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '5000',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'price',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'min_label_mil',
            [
                'label' => __( 'Min Mileage', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '1',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'mileage',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'max_label_mil',
            [
                'label' => __( 'Max Mileage', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '10000',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'mileage',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'max_interval_mil',
            [
                'label' => __( 'Steps Interval', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '5000',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'mileage',
                            ],
                        ],
                    ],
                ],
            ]
        );
		
		$this->add_control(
			'list',
			[
				'label' => __( 'Select Filters', 'plugin-domain' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'filter_type' => 'keyword',
						'field_label' => __( 'Explore', 'maxwheels-elementor' ),
						'field_place' => __( 'What are you looking for...', 'maxwheels-elementor' ),
					],
					[
						'filter_type' => 'type',
						'field_label' => __( 'Make', 'maxwheels-elementor' ),
						'field_place' => __( 'Select Make', 'maxwheels-elementor' ),
					],
				],
				'title_field' => '{{{ field_label }}}',
				
			]
		);
		
		$this->end_controls_section();
	}
	
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$params['heading_text'] = $settings['heading_text'];
		$params['tagline'] = $settings['item_description'];
		$params['btn_text'] = $settings['btn_text'];
		$params['listing_count'] = $settings['listing_count'];
		$params['filter_array'] = $settings['list'];
		//main button
			echo Maxwheels_elementor_hero5($params);
			if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) {
			?>
            <script>
				if ( jQuery( ".js-range-slider-price-home" ).length )
					{
						var $servicesRange = jQuery(".js-range-slider-price-home"),
						$servicesInputFrom = jQuery(".js-input-from"),
						$servicesInputTo = jQuery(".js-input-to"),
						instance,
						min = jQuery(this).prop("value"),
						max = jQuery(this).prop("value"),
						from = 0,
						to = 0;
						$servicesRange.ionRangeSlider({
							skin: "round",
							type: "double",
						});
						instance = $servicesRange.data("ionRangeSlider");
					}
				if ( jQuery( ".js-range-slider-mileage-home" ).length > 0)
				{
					 jQuery(".js-range-slider-mileage-home").ionRangeSlider({
							skin: "round",
					});    
				}
			</script>
		   <?php
			}
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}