<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class HeroMod extends Widget_Base {
	
	public function get_name() {
		return 'mw-hero-mod';
	}
	
	public function get_title() {
		return __( 'Hero Section Modern', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function register_controls() {
		
		$this->start_controls_section(
			'section_query',
			[
				'label' => esc_html__( 'Hero Content', 'maxwheels-elementor' ),
			]
		);
		
		$this->add_control(
			'heading_text',
			[
				'label' => __( 'Main Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'title' => __( 'To highligt heading use color tag eg: {color} Awesome </color>', 'maxwheels-elementor' ),
				'rows' => 3,
				'description' => __( 'Highligt heading use color tag eg: {color} Awesome </color>', 'maxwheels-elementor' ),
				'default' => __( 'Content goes here..', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'item_description',
			[
				'label' => __( 'Description', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'rows' => 7,
				'placeholder' => __( 'Type your description here', 'maxwheels-elementor' ),
				'default' => __( 'Content goes here..', 'maxwheels-elementor' ),
			]
		);
        $this->add_control(
			'main_btn_title',
			[
				'label' => __( 'Main Button Title', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'placeholder' => __( 'Type your title here', 'maxwheels-elementor' ),
				'label_block' => true
			]
		);
		$this->add_control(
			'main_btn_link',
			[
				'label' => __( 'Main Button Link', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::URL,
				'placeholder' => __( 'https://your-link.com', 'maxwheels-elementor' ),
				'show_external' => true,
				'default' => [
					'url' => '',
					'is_external' => true,
					'nofollow' => true,
				],
			]
		);
		$this->add_control(
			'second_btn_title',
			[
				'label' => __( 'Secondary Button Title', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'placeholder' => __( 'Type your title here', 'maxwheels-elementor' ),
				'label_block' => true
			]
		);
		$this->add_control(
			'second_btn_link',
			[
				'label' => __( 'Secondary Button Link', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::URL,
				'placeholder' => __( 'https://your-link.com', 'maxwheels-elementor' ),
				'show_external' => true,
				'default' => [
					'url' => '',
					'is_external' => true,
					'nofollow' => true,
				],
			]
		);
		$this->add_control(
			'image',
			[
				'label' => __( 'Choose Image', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
			]
		);
		$this->end_controls_section();
		
	}
	
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$params['heading_text'] = $settings['heading_text'];
		$params['tagline'] = $settings['item_description'];
        //main button
		$params['main_btn']['title'] = $settings['main_btn_title'];
		$params['main_btn']['link'] = $settings['main_btn_link']['url'];
		$params['main_btn']['is_external'] = $settings['main_btn_link']['is_external'];
		$params['main_btn']['nofollow'] = $settings['main_btn_link']['nofollow'];
		//second button
		$params['sec_btn']['title'] = $settings['second_btn_title'];
		$params['sec_btn']['link'] = $settings['second_btn_link']['url'];
		$params['sec_btn']['is_external'] = $settings['second_btn_link']['is_external'];
		$params['sec_btn']['nofollow'] = $settings['second_btn_link']['nofollow'];
		$params['image'] = $settings['image']['url'] ? $settings['image']['url'] : '';
			echo maxwheels_elementor_hero_mod($params);
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}