<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class Hero_Slider extends Widget_Base {
	
	public function get_name() {
		return 'hero-slider';
	}
	
	public function get_title() {
		return __( 'Hero Slider', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	public function get_filter_fields()
	{
		$fields = array();
		return $fields = [
            'keyword' => esc_html__( 'Keyword', 'maxwheels-elementor' ), //input
            'type' => esc_html__( 'Make', 'maxwheels-elementor' ), //select
			'model' => esc_html__( 'Model', 'maxwheels-elementor' ), //select
			'condition' => esc_html__( 'Condition', 'maxwheels-elementor' ), //select
            'offer' => esc_html__( 'Offer Type', 'maxwheels-elementor' ), //select
            'body' => esc_html__( 'Body Type', 'maxwheels-elementor' ), //select
			'fuel' => esc_html__( 'Fuel Type', 'maxwheels-elementor' ), //select
			'year' => esc_html__( 'Year', 'maxwheels-elementor' ), //select
			'transmission' => esc_html__( 'Transmission', 'maxwheels-elementor' ), //select
			'drive' => esc_html__( 'Drive Type', 'maxwheels-elementor' ), //select
			'colors' => esc_html__( 'Colors', 'maxwheels-elementor' ), //select
			'owner' => esc_html__( 'Owner Type', 'maxwheels-elementor' ), //select
			'seller' => esc_html__( 'Seller Type', 'maxwheels-elementor' ), //select
			'price' => esc_html__( 'Price', 'maxwheels-elementor' ), //range slider
			'mileage' => esc_html__( 'Mileage', 'maxwheels-elementor' ), //range slider
        ];
	}
	
	
	
	protected function register_controls() {
		
		
		$this->start_controls_section(
            'content_sectionz',
            [
                'label'     => esc_html__( 'Hero Slider', 'maxwheels-elementor' ),
            ]
        );
		
		$repeaterz = new \Elementor\Repeater();
		
		$repeaterz->add_control(
			'allow_overlay',
			[
				'label' => __( 'Allow Overlay', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'no',
				'label_block' =>true,
				'options' => [
					'no'  => __( 'No', 'maxwheels-elementor' ),
					'yes' => __( 'Yes', 'maxwheels-elementor' ),
				],
			]
		);
		$repeaterz->add_control(
			'image',
			[
				'label' => __( 'Choose Image', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
			]
		);
		$repeaterz->add_control(
			'hero_tag', [
				'label' => __( 'Tagline', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		$repeaterz->add_control(
			'hero_first', [
				'label' => __( 'First Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		$repeaterz->add_control(
			'hero_second', [
				'label' => __( 'Second Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$repeaterz->add_control(
			'list_content', [
				'label' => __( 'Content', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'show_label' => true,
				'rows' => 10,
			]
		);
		
		$repeaterz->add_control(
			'symbol', [
				'label' => __( 'Currency Symbol', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$repeaterz->add_control(
			'amount', [
				'label' => __( 'Amount', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$repeaterz->add_control(
			'text', [
				'label' => __( 'Additional Text', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$repeaterz->add_control(
			'main_btn_title',
			[
				'label' => __( 'Main Button Title', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'placeholder' => __( 'Type your title here', 'maxwheels-elementor' ),
				'label_block' => true
			]
		);
		
		$repeaterz->add_control(
			'main_btn_link',
			[
				'label' => __( 'Main Button Link', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'placeholder' => __( 'Type your title here', 'maxwheels-elementor' ),
				'label_block' => true
			]
		);
		
		$this->add_control(
			'list_slider',
			[
				'label' => __( 'Slider Grids', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeaterz->get_controls(),
				'default' => [
					[
						'image' => 'Title Here',
						'hero_tag' => 'Top Selling Car',
						'hero_first' => 'Honda Top Selling Car',
						'hero_second' => 'Top Selling Car',
						'list_content' => 'They Provide almost every type of logistic. Door to door delivery was awesome.',
						'symbol' => '$',
						'amount' => '475',
						'text' => 'Starting From',
						'main_btn_title' => 'View All Cars',
						'main_btn_link' => '#',
					],
				],
				'title_field' => '{{{ hero_tag }}}',
			]
		);
		$this->end_controls_section();
		
		
		$this->start_controls_section(
			'section_filters',
			[
				'label' => esc_html__( 'Filters', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'form_overlay',
			[
				'label' => __( 'Form Overlay', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'no',
				'label_block' =>true,
				'options' => [
					'no'  => __( 'No', 'maxwheels-elementor' ),
					'yes' => __( 'Yes', 'maxwheels-elementor' ),
				],
			]
		);
		$this->add_control(
            'btn_text',
            [
                'label' => __( 'Button Text', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => __( 'Search', 'maxwheels-elementor' ),
            ]
        );
		$this->add_control(
            'tagline',
            [
                'label' => __( 'Filter Box Tagline', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => __( 'Find Your Dream Home', 'maxwheels-elementor' ),
            ]
        );
		$this->add_control(
			'show_dependent_fields',
			[
				'label' => __( 'Show Dependent Fields', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'placeholder' => __( 'Eg Make > Model > Varient', 'maxwheels-elementor' ),
                'default' => 'no',
				'options' => [
					'no'  => 'No',
					'yes' => 'Yes',
				],
			]
		);
		$repeater = new \Elementor\Repeater();
		$repeater->add_control(
            'filter_type',
            [
                'label' => esc_html__( 'Filter Type', 'maxwheels-elementor' ),
                'type' => Controls_Manager::SELECT,
                'options' =>  $this->get_filter_fields(),
                'default' => 'text',
            ]
        );
		$repeater->add_control(
            'field_label',
            [
                'label' => __( 'Label', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '',
            ]
        );
		$repeater->add_control(
            'field_place',
            [
                'label' => __( 'Placeholder', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => '!in',
                            'value' => [
                                'price',
								'mileage',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'min_label',
            [
                'label' => __( 'Min Price', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '1',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'price',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'max_label',
            [
                'label' => __( 'Max Price', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '1000000',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'price',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'max_interval',
            [
                'label' => __( 'Steps Interval', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '5000',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'price',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'min_label_mil',
            [
                'label' => __( 'Min Mileage', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '1',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'mileage',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'max_label_mil',
            [
                'label' => __( 'Max Mileage', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '10000',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'mileage',
                            ],
                        ],
                    ],
                ],
            ]
        );
		$repeater->add_control(
            'max_interval_mil',
            [
                'label' => __( 'Steps Interval', 'maxwheels-elementor' ),
                'type' => Controls_Manager::TEXT,
                'default' => '5000',
				'conditions' => [
                    'terms' => [
                        [
                            'name' => 'filter_type',
                            'operator' => 'in',
                            'value' => [
                                'mileage',
                            ],
                        ],
                    ],
                ],
            ]
        );
		
		$this->add_control(
			'list',
			[
				'label' => __( 'Select Filters', 'plugin-domain' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'filter_type' => 'keyword',
						'field_label' => __( 'Explore', 'maxwheels-elementor' ),
						'field_place' => __( 'What are you looking for...', 'maxwheels-elementor' ),
					],
					[
						'filter_type' => 'type',
						'field_label' => __( 'Make', 'maxwheels-elementor' ),
						'field_place' => __( 'Select Make', 'maxwheels-elementor' ),
					],
				],
				'title_field' => '{{{ field_label }}}',
			]
		);
		
		$this->end_controls_section();
		
	}
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$cleints_blocks = $blocks = $params = array();
		$params['form_overlay'] = $settings['form_overlay'] ? $settings['form_overlay'] : 'no';
		$params['tagline'] = $settings['tagline'];
		$params['btn_text'] = $settings['btn_text'];
		$params['dependent_fields'] = $settings['show_dependent_fields'];
		if(!empty($settings['list_slider']))
		{
			foreach (  $settings['list_slider'] as $item ) {
				$blocks[] = array(
					'overlay' => $item['allow_overlay'],
					'image' => $item['image']['url'] ? $item['image']['url'] : '',
					'hero_tag' => $item['hero_tag'],
					'hero_first' => $item['hero_first'],
					'hero_second' => $item['hero_second'],
					'list_content' => $item['list_content'],
					'symbol' => $item['symbol'],
					'amount' => $item['amount'],
					'text' => $item['text'],
					'main_btn_title' => $item['main_btn_title'],
					'main_btn_link' => $item['main_btn_link'],
				);
			}
		}
		$params['blocks'] = $blocks;
		$params['filter_array'] = $settings['list'];
			echo maxwheels_elementor_hero_slider($params);
			if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) : ?>
            <script>
				if (jQuery('.swiper-container').is('.mw-swipe'))
				{
				  var siperslider = jQuery(".swiper-container");
				  if (siperslider.length > 0) {
					var swiperAnimation = new SwiperAnimation();
					var swiper = new Swiper(".swiper-container", {
					  init : true,
					  direction: "horizontal",
					  effect: "slide",
					  loop: true,
					  keyboard: {
						enabled: true,
						onlyInViewport: true
					  },
					  navigation: {
						nextEl: '.swiper-button-next',
						prevEl: '.swiper-button-prev',
					  },
					  pagination: {
						  el: '.swiper-pagination',
						  clickable: true,
						   type: 'fraction',
					  },
					  on: {
						init: function() {
						  swiperAnimation.init(this).animate();
						},
						slideChange: function() {
						  swiperAnimation.init(this).animate();
						}
					  }
					});
				  }
				}
				jQuery('.search-selects').select2({
				 width:'100%',
	 			theme: "classic",
			});
			 if ( jQuery( ".js-range-slider-price-home" ).length )
					{
						var $servicesRange = jQuery(".js-range-slider-price-home"),
						$servicesInputFrom = jQuery(".js-input-from"),
						$servicesInputTo = jQuery(".js-input-to"),
						instance,
						min = jQuery(this).prop("value"),
						max = jQuery(this).prop("value"),
						from = 0,
						to = 0;
						$servicesRange.ionRangeSlider({
							skin: "round",
							type: "double",
						});
						instance = $servicesRange.data("ionRangeSlider");
					}
				if ( jQuery( ".js-range-slider-mileage-home" ).length > 0)
				{
					 jQuery(".js-range-slider-mileage-home").ionRangeSlider({
							skin: "round",
					});    
				}
			</script>    
        <?php endif; 
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}