<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class Hero_Slider2 extends Widget_Base {
	
	public function get_name() {
		return 'hero-slider2';
	}
	
	public function get_title() {
		return __( 'Slider Without Filters', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	public function get_filter_fields()
	{
		$fields = array();
		return $fields = [
            'keyword' => esc_html__( 'Keyword', 'maxwheels-elementor' ), //input
            'type' => esc_html__( 'Make', 'maxwheels-elementor' ), //select
			'model' => esc_html__( 'Model', 'maxwheels-elementor' ), //select
			'condition' => esc_html__( 'Condition', 'maxwheels-elementor' ), //select
            'offer' => esc_html__( 'Offer Type', 'maxwheels-elementor' ), //select
            'body' => esc_html__( 'Body Type', 'maxwheels-elementor' ), //select
			'fuel' => esc_html__( 'Fuel Type', 'maxwheels-elementor' ), //select
			'year' => esc_html__( 'Year', 'maxwheels-elementor' ), //select
			'transmission' => esc_html__( 'Transmission', 'maxwheels-elementor' ), //select
			'drive' => esc_html__( 'Drive Type', 'maxwheels-elementor' ), //select
			'colors' => esc_html__( 'Colors', 'maxwheels-elementor' ), //select
			'owner' => esc_html__( 'Owner Type', 'maxwheels-elementor' ), //select
			'seller' => esc_html__( 'Seller Type', 'maxwheels-elementor' ), //select
			'price' => esc_html__( 'Price', 'maxwheels-elementor' ), //range slider
			'mileage' => esc_html__( 'Mileage', 'maxwheels-elementor' ), //range slider
        ];
	}
	
	
	
	protected function register_controls() {
		
		
		$this->start_controls_section(
            'content_sectionz',
            [
                'label'     => esc_html__( 'Hero Slider', 'maxwheels-elementor' ),
            ]
        );
		$repeaterz = new \Elementor\Repeater();
		$repeaterz->add_control(
			'allow_overlay',
			[
				'label' => __( 'Allow Overlay', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'no',
				'label_block' =>true,
				'options' => [
					'no'  => __( 'No', 'maxwheels-elementor' ),
					'yes' => __( 'Yes', 'maxwheels-elementor' ),
				],
			]
		);
		$repeaterz->add_control(
			'txt_dir',
			[
				'label' => __( 'Text Direction', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'align-items-start justify-content-start text-left',
				'label_block' =>true,
				'options' => [
					'align-items-start justify-content-start text-left'  => __( 'Left', 'maxwheels-elementor' ),
					'align-items-center justify-content-center text-center'  => __( 'Center', 'maxwheels-elementor' ),
					'align-items-end justify-content-end text-right' => __( 'Right', 'maxwheels-elementor' ),
				],
			]
		);
		$repeaterz->add_control(
			'image',
			[
				'label' => __( 'Choose Image', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
			]
		);
		$repeaterz->add_control(
			'hero_tag', [
				'label' => __( 'Tagline', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		$repeaterz->add_control(
			'hero_first', [
				'label' => __( 'First Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		$repeaterz->add_control(
			'hero_second', [
				'label' => __( 'Second Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$repeaterz->add_control(
			'list_content', [
				'label' => __( 'Content', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'show_label' => true,
				'rows' => 10,
			]
		);
		
		$repeaterz->add_control(
			'symbol', [
				'label' => __( 'Currency Symbol', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$repeaterz->add_control(
			'amount', [
				'label' => __( 'Amount', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$repeaterz->add_control(
			'text', [
				'label' => __( 'Additional Text', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$repeaterz->add_control(
			'main_btn_title',
			[
				'label' => __( 'Main Button Title', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'placeholder' => __( 'Type your title here', 'maxwheels-elementor' ),
				'label_block' => true
			]
		);
		
		$repeaterz->add_control(
			'main_btn_link',
			[
				'label' => __( 'Main Button Link', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'placeholder' => __( 'Type your title here', 'maxwheels-elementor' ),
				'label_block' => true
			]
		);
		
		$this->add_control(
			'list_slider',
			[
				'label' => __( 'Slider Grids', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeaterz->get_controls(),
				'default' => [
					[
						'image' => 'Title Here',
						'hero_tag' => 'Top Selling Car',
						'hero_first' => 'Honda Top Selling Car',
						'hero_second' => 'Top Selling Car',
						'list_content' => 'They Provide almost every type of logistic. Door to door delivery was awesome.',
						'symbol' => '$',
						'amount' => '475',
						'text' => 'Starting From',
						'main_btn_title' => 'View All Cars',
						'main_btn_link' => '#',
					],
				],
				'title_field' => '{{{ hero_tag }}}',
			]
		);
		$this->end_controls_section();
	}
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$cleints_blocks = $blocks = $params = array();
		$params['form_overlay'] = $settings['form_overlay'] ? $settings['form_overlay'] : 'no';
		$params['tagline'] = $settings['tagline'];
		if(!empty($settings['list_slider']))
		{
			foreach ($settings['list_slider'] as $item) {
				$blocks[] = array(
					'txt_dir' => $item['txt_dir'],
					'overlay' => $item['allow_overlay'],
					'image' => $item['image']['url'] ? $item['image']['url'] : '',
					'hero_tag' => $item['hero_tag'],
					'hero_first' => $item['hero_first'],
					'hero_second' => $item['hero_second'],
					'list_content' => $item['list_content'],
					'symbol' => $item['symbol'],
					'amount' => $item['amount'],
					'text' => $item['text'],
					'main_btn_title' => $item['main_btn_title'],
					'main_btn_link' => $item['main_btn_link'],
				);
			}
		}
		$params['blocks'] = $blocks;
		$params['filter_array'] = $settings['list'];
			echo maxwheels_elementor_hero_slider2($params);
			if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) : ?>
            <script>
				if (jQuery('.swiper-container').is('.mw-swipe'))
				{
				  var siperslider = jQuery(".swiper-container");
				  if (siperslider.length > 0) {
					var swiperAnimation = new SwiperAnimation();
					var swiper = new Swiper(".swiper-container", {
					  init : true,
					  direction: "horizontal",
					  effect: "slide",
					  loop: true,
					  keyboard: {
						enabled: true,
						onlyInViewport: true
					  },
					  navigation: {
						nextEl: '.swiper-button-next',
						prevEl: '.swiper-button-prev',
					  },
					  pagination: {
						  el: '.swiper-pagination',
						  clickable: true,
						   type: 'fraction',
					  },
					  on: {
						init: function() {
						  swiperAnimation.init(this).animate();
						},
						slideChange: function() {
						  swiperAnimation.init(this).animate();
						}
					  }
					});
				  }
				}
				jQuery('.search-selects').select2({
				 width:'100%',
	 			theme: "classic",
			});
			</script>    
        <?php endif; 
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}