<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class HowItWorks extends Widget_Base {
	
	public function get_name() {
		return 'how-it-works';
	}
	
	public function get_title() {
		return __( 'How It Works 1', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
			'section_query',
			[
				'label' => esc_html__( 'Blocks', 'maxwheels-elementor' ),
			]
		);

		
		$repeater = new \Elementor\Repeater();
		
		$repeater->add_control(
			'icon',
			[
				'label' => __( 'Icon', 'maxwheels-elementor' ),
				'type' => Controls_Manager::ICONS,
				'default' => [
					'value' => 'fas fa-star',
					'library' => 'solid',
				],
			]
		);
		
		$repeater->add_control(
			'list_title', [
				'label' => __( 'Title', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => __( 'Grid Title' , 'maxwheels-elementor' ),
				'label_block' => true,
			]
		);

		$repeater->add_control(
			'list_content', [
				'label' => __( 'Content', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'default' => __( 'Content' , 'maxwheels-elementor' ),
				'show_label' => true,
				'rows' => 10,
			]
		);
				
		$this->add_control(
			'list',
			[
				'label' => __( 'Block Grids', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'icon' => 'fas fa-star',
						'list_title' => 'Title Gose Here',
						'list_content' => 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor Aenean massa.',
					],
					[
						'icon' => 'fas fa-star',
						'list_title' => 'Title Gose Here',
						'list_content' => 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor Aenean massa.',
					],
					[
						'icon' => 'fas fa-star',
						'list_title' => 'Title Gose Here',
						'list_content' => 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor Aenean massa.',
					],
				],
				'title_field' => '{{{ list_title }}}',
			]
		);

		$this->end_controls_section();
		
		$this->start_controls_section(
			'section_counter',
			[
				'label' => esc_html__( 'Funfacts Counter', 'maxwheels-elementor' ),
			]
		);
		
		$this->add_control(
			'show_fun',
			[
				'label' => __( 'Do you want to show funfacts?', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'yes',
				'label_block' =>true,
				'options' => [
					'yes'  => __( 'Yes', 'maxwheels-elementor' ),
					'no' => __( 'No', 'maxwheels-elementor' ),
				],
			]
		);
		$repeater = new \Elementor\Repeater();
		
		$repeater->add_control(
			'funicon',
			[
				'label' => __( 'Choose Icon', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
			]
		);
		
		$repeater->add_control(
			'number', [
				'label' => __( 'Number', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'default' => '450',
			]
		);
		$repeater->add_control(
			'text', [
				'label' => __( 'Text', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'default' => 'Total Listings',
			]
		);
		
		$this->add_control(
			'lists',
			[
				'label' => __( 'FunFact Counter', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
			]
		);
		
		$this->end_controls_section();
			
	
		
	}
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$facts = $blocks = $params = array();
		if(!empty($settings['list']))
		{
			foreach (  $settings['list'] as $item ) {
				$blocks[] = array(
					'title' => $item['list_title'],
					'content' => $item['list_content'],
					'icon' => $item['icon'],
				);
			}
		}
		if(!empty($settings['lists']))
		{
			foreach (  $settings['lists'] as $items ) {
				$facts[] = array(
						'icon_img' => $items['funicon']['url'] ? $items['funicon']['url'] : '',
						'number' => $items['number'] ? $items['number'] : '',
						'text' => $items['text'] ? $items['text'] : '',
				);
			}
		}
		$params['blocks'] = $blocks;
		$params['show_fun'] = $settings['show_fun'] ? $settings['show_fun'] : 'yes';
		$params['funfacts'] = $facts;
			echo Maxwheels_elementor_how_it_works_one($params);
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}