<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class How_it_Works extends Widget_Base {
	
	public function get_name() {
		return 'how-it-works2';
	}
	
	public function get_title() {
		return __( 'How It Works Classic', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	 
	 
	protected function register_controls() {
		$this->start_controls_section(
			'content_section',
			[
				'label' => __( 'Section ', 'maxwheels-elementor' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
		$repeater = new \Elementor\Repeater();
		$repeater->add_control(
			'side_image_position',
			[
				'label' => __( 'Side Image Position', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'center',
				'label_block' =>true,
				'options' => [
					'left'  => __( 'Left', 'maxwheels-elementor' ),
					'right' => __( 'Right', 'maxwheels-elementor' ),
				],
			]
		);
		$repeater->add_control(
			'side_image',
			[
				'label' => __( 'Side Image', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
			]
		);
		$repeater->add_control(
			'main-heading',
			[
				'label' => __( 'Main Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'label_block' =>true,
			]
		);
		$repeater->add_control(
			'sub-heading',
			[
				'label' => __( 'Sub Heading', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'label_block' =>true,
			]
		);
		$repeater->add_control(
			'description',
			[
				'label' => __( 'Description', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'label_block' =>true,
			]
		);
		$repeater->add_control(
			'section_btn',
			[
				'label' => __( 'Want to show heading button', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'center',
				'label_block' =>true,
				'options' => [
					'yes'  => __( 'Yes', 'maxwheels-elementor' ),
					'no' => __( 'NO', 'maxwheels-elementor' ),
				],
			]
		);
		$repeater->add_control(
			'section_btn_text',
			[
				'label' => __( 'Provide button text', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' =>true,
				'conditions' => [
                    'terms' => [
                        	[
                            'name' => 'section_btn',
                            'operator' => 'in',
                            'value' => [
                                'yes',
                            ],
                        ],
                    ],
                ]
			]
		);
		$repeater->add_control(
			'section_btn_link',
			[
				'label' => __( 'Provide button link', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::URL,
				'label_block' =>true,
				'conditions' => [
					'relation' => 'and',
                    'terms' => [
                        [
                            'name' => 'section_btn',
                            'operator' => 'in',
                            'value' => [
                                'yes',
                            ],
                        ],
                    ],
                ]
			]
		);
		$this->add_control(
			'section_hiw_list',
			[
				'label' => __( 'Section List', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
			]
		);

		$this->end_controls_section();
	}
	
		protected function render() {
		$settings = $this->get_settings_for_display();
		$params['section_hiw_list'] = $settings['section_hiw_list'];
			echo maxwheels_elementor_how_it_works_two($params);
		}
	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}