<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class Locations2 extends Widget_Base {
	
	public function get_name() {
		return 'prop-selective-locations2';
	}
	
	public function get_title() {
		return __( 'Locations Style 2', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	
	 
	protected function register_controls() {
		
		$all_locations = array();
		Maxwheels_framework_terms_array('mw-location' , $all_locations);
		$this->start_controls_section(
			'location_query',
			[
				'label' => esc_html__( 'Locations', 'maxwheels-elementor' ),
			]
		);
		
		$repeater = new \Elementor\Repeater();
		
		$repeater->add_control(
			'location',
			[
				'label' => __( 'Select Locations', 'maxwheels-elementor' ),
				'label_block'=>true,
				'type' => \Elementor\Controls_Manager::SELECT2,
				'multiple' => false,
				'options' => $all_locations,
			]
		);	
		$repeater->add_control(
			'image',
			[
				'label' => __( 'First Image', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
				'description' => __( 'Recommended image size 350x230', 'maxwheels-elementor' ),
			]
		);
		
		$this->add_control(
			'list',
			[
				'label' => __( 'Locations Grids', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'title_field' => '{{{ location }}}',
			]
		);
		$this->end_controls_section();
			
	}
	
		protected function render() {
		// get our input from the widget settings.
		$blocks = $params = array();
		$settings = $this->get_settings_for_display();
		if(!empty($settings['list']))
		{
			foreach (  $settings['list'] as $item ) {
				$blocks[] = array(
					'location_id' => $item['location'],
					'image' => $item['image']['url'] ? $item['image']['url'] : '',
				);
			}
		}
		$params['locations'] = $blocks;
			echo Maxwheels_elementor_selective_locations_style2($params);
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}