<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class OurServices1 extends Widget_Base {
	
	public function get_name() {
		return 'our-services1';
	}
	
	public function get_title() {
		return __( 'Our Services 1', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	
	protected function register_controls() {
		
		$this->start_controls_section(
			'section_query',
			[
				'label' => esc_html__( 'Blocks', 'maxwheels-elementor' ),
			]
		);

		$repeater = new \Elementor\Repeater();
		
		$repeater->add_control(
			'image',
			[
				'label' => __( 'Icon', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
				'description' => __( 'Recommended icon size 128x128', 'maxwheels-elementor' ),
			]
		);
		
		$repeater->add_control(
			'list_title', [
				'label' => __( 'Title', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => __( 'Grid Title' , 'maxwheels-elementor' ),
				'label_block' => true,
			]
		);

		$repeater->add_control(
			'list_content', [
				'label' => __( 'Content', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'default' => __( 'Content' , 'maxwheels-elementor' ),
				'show_label' => true,
				'rows' => 10,
			]
		);
				
		$this->add_control(
			'list',
			[
				'label' => __( 'Block Grids', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'image' => 'Title Here',
						'list_title' => 'Title Here',
						'list_content' => 'Description Here..'
					],
					[
						'image' => 'Title Here',
						'list_title' => 'Title Here',
						'list_content' => 'Description Here..'
					],
					[
						'image' => 'Title Here',
						'list_title' => 'Title Here',
						'list_content' =>'Description Here..'
					],
				],
				'title_field' => '{{{ list_title }}}',
			]
		);
		$this->end_controls_section();
		
	}
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$facts = $blocks = $params = array();
		if(!empty($settings['list']))
		{
			foreach (  $settings['list'] as $item ) {
				$blocks[] = array(
					'title' => $item['list_title'],
					'content' => $item['list_content'],
					'image' => $item['image']['url'] ? $item['image']['url'] : '',
				);
			}
		}
		$params['blocks'] = $blocks;
			echo maxwheels_elementor_our_services1($params);
		}
	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}