<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class PackagesClassic extends Widget_Base {
	
	public function get_name() {
		return 'woo-packages-classic';
	}
	
	public function get_title() {
		return __( 'Profile Plans', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	
	protected function register_controls() {
		
       $products = array(); 
       if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) || class_exists('WooCommerce'))
       {
           $args = array(
                'post_type' => 'product',
                'tax_query' => array(
                    array(
                        'taxonomy' => 'product_type',
                        'field' => 'slug',
                        'terms' => 'maxwheels_profile_packages'
                    ),
                ),
                'post_status' => 'publish',
                'posts_per_page' => 6,
                'order' => 'ASC',
                'orderby' => 'date'
            );
            $packages = new \WP_Query($args);
            if ($packages->have_posts())
            {
               while ($packages->have_posts())
               {
                    $packages->the_post();
                    $products[get_the_ID()] = get_the_title();
               }
               wp_reset_postdata();    
            }
       }
       $this->start_controls_section(
			'section_settings',
			[
				'label' => esc_html__( 'Select Packages', 'maxwheels-elementor' ),
			]
		);
        $repeater = new \Elementor\Repeater();
        $repeater->add_control(
			'packages',
			[
				'label' => __( 'Select Package', 'maxwheels-elementor' ),
				'label_block'=>true,
				'type' => \Elementor\Controls_Manager::SELECT2,
				'multiple' => false,
				'options' => $products,
			]
		);	
        $this->add_control(
			'list',
			[
				'label' => __( 'Select Packages', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'title_field' => '{{{ packages }}}',
			]
		);
		$this->end_controls_section();	
	}
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$packs = $params = array();
        if(!empty($settings['list']))
		{
			foreach (  $settings['list'] as $item ) {
				$packs[] = array(
					'selected_pkg' => $item['packages'],
				);
			}
		}   
        $params['packages'] = $packs;  
        echo Maxwheels_elementor_packages_classic($params);
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}