<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class ShopCats extends Widget_Base {
	
	public function get_name() {
		return 'shop-catz';
	}
	
	public function get_title() {
		return __( 'Shop Categories', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}

	protected function register_controls() {
		$all_types = array();
		Maxwheels_framework_terms_array('product_cat' , $all_types);
		$this->start_controls_section(
			'types_selection',
			[
				'label' => esc_html__( 'Select Categories', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'cat_elements',
			[
				'label' => esc_html__( 'Category Type', 'maxwheels-elementor' ),
				'label_block'=>true,
				'type' => \Elementor\Controls_Manager::SELECT2,
				'multiple' => false,
				'options' => [
					'grid'  => esc_html__( 'Grid', 'maxwheels-elementor' ),
					'slider' => esc_html__( 'Slider', 'maxwheels-elementor' ),
				],
				'default' => ['grid'],
			]
		);
		$repeater = new \Elementor\Repeater();
		$repeater->add_control(
			'categories',
			[
				'label' => __( 'Select Category', 'maxwheels-elementor' ),
				'label_block'=>true,
				'type' => \Elementor\Controls_Manager::SELECT2,
				'multiple' => false,
				'options' => $all_types,
			]
		);
		$repeater->add_control(
			'image',
			[
				'label' => __( 'Background Image', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
			]
		);
		$repeater->add_control(
			'cat_image',
			[
				'label' => __( 'Category Icon', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
				'description' => __( 'Recommended image size 64x64', 'maxwheels-elementor' ),
			]
		);
		$this->add_control(
			'list',
			[
				'label' => __( 'Select Category', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'title_field' => '{{{ categories }}}',
			]
		);
		$this->end_controls_section();
	}
	
		protected function render() {
		// get our input from the widget settings.
		$blocks = array();
		$settings = $this->get_settings_for_display();
		$params['style_type']  = $settings['cat_elements'] ? $settings['cat_elements'] : 'grid';
		if(!empty($settings['list']))
		{
			foreach (  $settings['list'] as $item ) {
				$blocks[] = array(
					'type_slug' => $item['categories'],
					'image' => $item['image']['url'] ? $item['image']['url'] : '',
					'cat_image' => $item['cat_image']['url'] ? $item['cat_image']['url'] : '',
				);
			}
		}
		$params['types'] = $blocks;
		echo maxwheels_elementor_shop_cats($params);
		}

}