<?php
namespace MaxwheelsSpace\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class Testimonials3 extends Widget_Base {
	
	public function get_name() {
		return 'testimonial-three';
	}
	
	public function get_title() {
		return __( 'Testimonials Classic', 'maxwheels-elementor' );
	}
	
	public function get_icon() {
		return 'maxwheels-icon';
	}

	public function get_categories() {
		return [ 'sonutheme' ];
	}
	
	public function get_script_depends() {
		return [ '' ];
	}
	
	protected function register_controls() {
		
		$this->start_controls_section(
			'section_query',
			[
				'label' => esc_html__( 'Testimonials', 'maxwheels-elementor' ),
			]
		);
		
		$repeater = new \Elementor\Repeater();
		
		$repeater->add_control(
			'image',
			[
				'label' => __( 'Choose Image', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
			]
		);
		
		$repeater->add_control(
			'list_content', [
				'label' => __( 'Content', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'show_label' => true,
				'rows' => 10,
			]
		);
		
		$repeater->add_control(
			'testi_name', [
				'label' => __( 'Name', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$repeater->add_control(
			'testi_type', [
				'label' => __( 'Type', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$this->add_control(
			'list',
			[
				'label' => __( 'Testimonials Grids', 'maxwheels-elementor' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'image' => 'Title Here',
						'list_content' => 'They Provide almost every type of logistic. Door to door delivery was awesome. It was awesome to work with them getting every single logistic facility.',
						'testi_name' => 'Name Here',
						'testi_type' => 'User Type Here'
					],
					[
						'image' => 'Title Here',
						'list_content' => 'They Provide almost every type of logistic. Door to door delivery was awesome. It was awesome to work with them getting every single logistic facility.',
						'testi_name' => 'Name Here',
						'testi_type' => 'User Type Here'
					],
					[
						'image' => 'Title Here',
						'list_content' => 'They Provide almost every type of logistic. Door to door delivery was awesome. It was awesome to work with them getting every single logistic facility.',
						'testi_name' => 'Name Here',
						'testi_type' => 'User Type Here'
					],
				],
				'title_field' => '{{{ testi_name }}}',
			]
		);
		$this->end_controls_section();
	}
		protected function render() {
		// get our input from the widget settings.
		$settings = $this->get_settings_for_display();
		$cleints_blocks = $blocks = $params = array();
		if(!empty($settings['list']))
		{
			foreach (  $settings['list'] as $item ) {
				$blocks[] = array(
					'feedback' => $item['testi_name'],
					'type' => $item['testi_type'],
					'content' => $item['list_content'],
					'image' => $item['image']['url'] ? $item['image']['url'] : '',
				);
			}
		}
		$params['blocks'] = $blocks;
			echo Maxwheels_elementor_testimonials_3($params);
			if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) {
			?>
            <script>
				jQuery('.testimonial-classic').owlCarousel({
					loop:true,
					autoplay:true,
					dots:false,
					autoplayTimeout:3000,
					smartSpeed:1200,
					nav:false,
					responsive:{
						0:{
							items:1,
						},
						500:{
							items:1,
						},
						800:{
							items:3,
						},
						1200:{
							items:3,
						}
					}
				});
			</script>
            <?php
			}
		}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
}