<?php
//Reviews Reactions
add_action('wp_ajax_mw_listing_reactions', 'maxwheels_framework_save_reaction');
add_action('wp_ajax_nopriv_mw_listing_reactions', 'maxwheels_framework_save_reaction');
if (!function_exists('maxwheels_framework_save_reaction'))
{
    function maxwheels_framework_save_reaction()
	{
		if(!wp_verify_nonce($_POST['security'], 'check-security'))
		{
			$return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
			wp_send_json_error($return);
		}
        if (!is_user_logged_in())
		{
			$return = array('message' => esc_html__("You need to log in.", 'maxwheels-framework'));
			wp_send_json_error($return);
		}
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(!empty($_POST['r_id']) && !empty($_POST['r_id']) && !empty($_POST['listing_id']))
		{
			$reaction_id = intval($_POST['r_id']);
			$comment_id  = intval($_POST['c_id']);
			$listing_id  = intval($_POST['listing_id']);
			//if already reacted
			 if (get_user_meta(get_current_user_id(), 'mw_reaction_comment_id'.$comment_id, true) == $comment_id) 			 			 {
				$return = array('message' => esc_html__( 'You have already reacted to this review.', 'maxwheels-framework' ));
				wp_send_json_error($return); 
			 }
			 else
			 {
				update_user_meta(get_current_user_id(), 'mw_reaction_comment_id'.$comment_id,$comment_id);
				if ($reaction_id == 1)
				{
					 $like_count = get_comment_meta($comment_id, 'review_like', true);
					 if(empty($like_count))
					 {
						$like_count = 1; 
					 }
					 else
					 {
						 $like_count = $like_count + 1; 
					 }
					 update_comment_meta($comment_id, 'review_like', $like_count);
					 maxwheels_framework_track_activity($listing_id, 'like', '1');
					 $return = array('totalcount'=>$like_count);
					 //total likes
					 $counter = get_post_meta($listing_id, 'mw_totallikes', true);
					 if(!empty($counter))
					 {
						$counter = $counter + 1;
					 }
					 else
					 {
						$counter = 1;
					 }
					 update_post_meta($listing_id, 'mw_totallikes',$counter);
					 wp_send_json_success($return);
				}
				if ($reaction_id == 2)
				{
					 $love_count = get_comment_meta($comment_id, 'review_love', true);
					 if(empty($love_count))
					 {
						$love_count = 1; 
					 }
					 else
					 {
						 $love_count = $love_count + 1; 
					 }
					 update_comment_meta($comment_id, 'review_love', $love_count);
					 maxwheels_framework_track_activity($listing_id, 'like', '2');
					 $return = array('totalcount'=>$love_count);
					 //total loves
					 $counter = get_post_meta($listing_id, 'mw_totalloves', true);
					 if(!empty($counter))
					 {
						$counter = $counter + 1;
					 }
					 else
					 {
						$counter = 1;
					 }
					 update_post_meta($listing_id, 'mw_totalloves',$counter);
					 wp_send_json_success($return);
				}
				if ($reaction_id == 3)
				{
					 $dislike_count = get_comment_meta($comment_id, 'review_dislike', true);
					 if(empty($dislike_count))
					 {
						$dislike_count = 1; 
					 }
					 else
					 {
						 $dislike_count = $dislike_count + 1; 
					 }
					 update_comment_meta($comment_id, 'review_dislike', $dislike_count);
					 maxwheels_framework_track_activity($listing_id, 'like', '3');
					 $return = array('totalcount'=>$dislike_count);
					 //total loves
					 $counter = get_post_meta($listing_id, 'mw_totaldislike', true);
					 if(!empty($counter))
					 {
						$counter = $counter + 1;
					 }
					 else
					 {
						$counter = 1;
					 }
					 update_post_meta($listing_id, 'mw_totaldislike',$counter);
					 wp_send_json_success($return);
				}
				
			 }
		}
		else
		{
			$return = array('message' => esc_html__('There was an error while processing your request. Please, reload the page and try again.', 'maxwheels-framework'));
			wp_send_json_error($return);
		}
    }
}

//Bookmark Listings
add_action('wp_ajax_mw_listing_bookmarks', 'maxwheels_framework_save_bookmarks');
add_action('wp_ajax_nopriv_mw_listing_bookmarks', 'maxwheels_framework_save_bookmarks');
if (!function_exists('maxwheels_framework_save_bookmarks'))
{
    function maxwheels_framework_save_bookmarks()
	{
		if(!wp_verify_nonce($_POST['security'], 'check-security'))
		{
			$return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
			wp_send_json_error($return);
		}
        if (!is_user_logged_in())
		{
			$return = array('message' => esc_html__("You need to log in.", 'maxwheels-framework'));
			wp_send_json_error($return);
		}
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(!empty($_POST['fav_listing']))
		{
			$mw_id = $_POST['fav_listing'];
			$counter = '';
			if (get_user_meta(get_current_user_id(), 'mw_fav_listing_id' . $mw_id, true) == $mw_id)
			{
				$return = array('message' => esc_html__('You have bookmark this listing already.','maxwheels-framework'));
			wp_send_json_error($return);
        	} 
			else 
			{
				$counter = get_post_meta($mw_id, 'mw_bookmarks_counter', true);
				if(!empty($counter))
				{
					$counter = $counter + 1;
				}
				else
				{
					$counter = 1;
				}
				update_post_meta($mw_id, 'mw_bookmarks_counter',$counter);
				update_user_meta(get_current_user_id(), 'mw_fav_listing_id'.$mw_id,$mw_id);
				$return = array('message' => esc_html__('Added to your favorites.', 'maxwheels-framework'));
			    wp_send_json_success($return);
			}
		}
		else
		{
			$return = array('message' => esc_html__('There was an error while processing your request. Please, reload the page and try again.', 'maxwheels-framework'));
			wp_send_json_error($return);
		}
	}
}

//Multiple Widget Search Suggestions
add_action('wp_ajax_nopriv_fetch_suggestions_widget', 'maxwheels_framework_live_suggestions_widgets');
add_action('wp_ajax_fetch_suggestions_widget', 'maxwheels_framework_live_suggestions_widgets');
if (!function_exists('maxwheels_framework_live_suggestions_widgets'))
{
    function maxwheels_framework_live_suggestions_widgets()
	{
		if (!empty($_GET['q']) && !empty($_GET['type']))
		{
			$type = $_GET['type'];
			if($type == 'agencies')
			{
				$post_type = 'property-agency';
				$meta_query = array(
						'key'       => 'agency_status',
						'value'     => '1',
						'compare'   => '=',
					);
			}
			else if($type == 'agents')
			{
				$post_type = 'property-agents';
				$meta_query = array(
						'key'       => 'agent_status',
						'value'     => '1',
						'compare'   => '=',
					);
			}
			else
			{
				$post_type = 'property';
				$meta_query = array(
						'key'       => 'mw_status',
						'value'     => '1',
						'compare'   => '=',
					);
			}
			
            $tags = $all_listings = $cat_array = array();
            $keyword = strtolower($_GET['q']);
            $status = true;
            $search_results = new WP_Query(array(
                's' =>trim(sanitize_text_field($keyword)),
                'post_type' => $post_type,
                'post_status' => 'publish',
                'ignore_sticky_posts' => 1,
                'posts_per_page' => 15,
				'meta_query'    => array(
					$meta_query
				)
            ));
			if ($search_results->have_posts())
			{
                while ($search_results->have_posts())
				{
					$search_results->the_post();
					$featured_img_url = get_the_post_thumbnail_url($search_results->post->ID,'maxwheels-user-thumb'); 
					$all_listings[] = array( "id"  => $search_results->post->ID,"with_title" =>$search_results->post->post_title,"img"=> esc_url($featured_img_url),'link' => get_the_permalink($search_results->post->ID));
				}
				 wp_reset_postdata();
			}
			echo json_encode(array(
                "status" => $status,
                "error" => '',
                "data" => array(
                    "listings" => $all_listings,
                )
            ));
		}
		else
		{
			echo json_encode(array(
                "status" => false,
                "error" => '',
                "data" => array()
            ));
		}
		die();
	}
}

//Simple Search Suggestions
add_action('wp_ajax_nopriv_fetch_suggestions_shortcode', 'maxwheels_framework_live_suggestions_shortcode');
add_action('wp_ajax_fetch_suggestions_shortcode', 'maxwheels_framework_live_suggestions_shortcode');
if (!function_exists('maxwheels_framework_live_suggestions_shortcode'))
{
    function maxwheels_framework_live_suggestions_shortcode()
	{
		if (!empty($_GET['q']))
		{
			$post_type = 'property';
			$meta_query = array(
					'key'       => 'mw_status',
					'value'     => '1',
					'compare'   => '=',
			);
            $tags = $all_listings = $cat_array = array();
            $keyword = strtolower($_GET['q']);
            $status = true;
            $search_results = new WP_Query(array(
                's' =>trim(sanitize_text_field($keyword)),
                'post_type' => $post_type,
                'post_status' => 'publish',
                'ignore_sticky_posts' => 1,
                'posts_per_page' => 15,
                'fields' => 'ids',
				'meta_query'    => array(
					$meta_query
				)
            ));
			if ($search_results->have_posts())
			{
                while ($search_results->have_posts())
				{
					$search_results->the_post();
                    $mw_id = get_the_ID();
					$all_idz = '';
					$all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
					$all_listings[] = array( "id"  => $mw_id,"with_title" =>get_the_title($mw_id),"img"=> maxwheels_framework_img_src($all_idz,'thumbnail'),'link' => get_the_permalink($mw_id));
				}
			}
             wp_reset_postdata();
			echo json_encode(array(
                "status" => $status,
                "error" => '',
                "data" => array(
                    "listings" => $all_listings,
                )
            ));
		}
		else
		{
			echo json_encode(array(
                "status" => false,
                "error" => '',
                "data" => array()
            ));
		}
		die();
	}
}
//Simple Search Suggestions Agents
add_action('wp_ajax_nopriv_fetch_suggestions_shortcode_agents', 'maxwheels_framework_live_suggestions_shortcode_agents');
add_action('wp_ajax_fetch_suggestions_shortcode_agents', 'maxwheels_framework_live_suggestions_shortcode_agents');
if (!function_exists('maxwheels_framework_live_suggestions_shortcode_agents'))
{
    function maxwheels_framework_live_suggestions_shortcode_agents()
	{
		if (!empty($_GET['q']))
		{
			$post_type = 'property-agents';
			$meta_query = array(
					'key'       => 'agent_status',
					'value'     => '1',
					'compare'   => '=',
			);
            $tags = $all_listings = $cat_array = array();
            $keyword = strtolower($_GET['q']);
            $status = true;
            $search_results = new WP_Query(array(
                's' =>trim(sanitize_text_field($keyword)),
                'post_type' => $post_type,
                'post_status' => 'publish',
                'ignore_sticky_posts' => 1,
                'posts_per_page' => 15,
                'fields' => 'ids',
				'meta_query'    => array(
					$meta_query
				)
            ));
			if ($search_results->have_posts())
			{
                while ($search_results->have_posts())
				{
					$search_results->the_post();
                    $agent_id = get_the_ID();
					$featured_img_url = '';
                    $featured_img_url = esc_url(maxwheels_placeholder_images('agent',$agent_id,'maxwheels-user-thumb'));
					$all_listings[] = array( "id"  => $agent_id,"with_title" =>get_the_title($agent_id),"img"=> $featured_img_url,'link' => get_the_permalink($agent_id));
				}
			}
            wp_reset_postdata();
			echo json_encode(array(
                "status" => $status,
                "error" => '',
                "data" => array(
                    "listings" => $all_listings,
                )
            ));
		}
		else
		{
			echo json_encode(array(
                "status" => false,
                "error" => '',
                "data" => array()
            ));
		}
		die();
	}
}

//Simple Search Suggestions Agents
add_action('wp_ajax_nopriv_fetch_suggestions_shortcode_agency', 'maxwheels_framework_live_suggestions_shortcode_agency');
add_action('wp_ajax_fetch_suggestions_shortcode_agency', 'maxwheels_framework_live_suggestions_shortcode_agency');
if (!function_exists('maxwheels_framework_live_suggestions_shortcode_agency'))
{
    function maxwheels_framework_live_suggestions_shortcode_agency()
	{
		if (!empty($_GET['q']))
		{
			$post_type = 'property-agency';
			$meta_query = array(
					'key'       => 'agency_status',
					'value'     => '1',
					'compare'   => '=',
			);
            $tags = $all_listings = $cat_array = array();
            $keyword = strtolower($_GET['q']);
            $status = true;
            $search_results = new WP_Query(array(
                's' =>trim(sanitize_text_field($keyword)),
                'post_type' => $post_type,
                'post_status' => 'publish',
                'ignore_sticky_posts' => 1,
                'posts_per_page' => 15,
                'fields' => 'ids',
				'meta_query'    => array(
					$meta_query
				)
            ));
			if ($search_results->have_posts())
			{
                while ($search_results->have_posts())
				{
					$search_results->the_post();
                    $agency_id = get_the_ID();
                    $featured_img_url = '';
                    $featured_img_url = esc_url(maxwheels_placeholder_images('agency',$agency_id,'maxwheels-user-thumb'));
					$all_listings[] = array( "id"  => $agency_id,"with_title" =>get_the_title($agency_id),"img"=> $featured_img_url,'link' => get_the_permalink($agency_id));
				}
				 wp_reset_postdata();
			}
			echo json_encode(array(
                "status" => $status,
                "error" => '',
                "data" => array(
                    "listings" => $all_listings,
                )
            ));
		}
		else
		{
			echo json_encode(array(
                "status" => false,
                "error" => '',
                "data" => array()
            ));
		}
		die();
	}
}


// Remove My Submitted Reviews
add_action('wp_ajax_delete_my_comment', 'maxwheels_framework_delete_submitted_comments');
if (!function_exists('maxwheels_framework_delete_submitted_comments'))
{
    function maxwheels_framework_delete_submitted_comments()
    {
		if(!wp_verify_nonce($_POST['security'], 'check-security'))
		{
			$return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
			wp_send_json_error($return);
		}
        if (!is_user_logged_in())
		{
			$return = array('message' => esc_html__("You need to log in.", 'maxwheels-framework'));
			wp_send_json_error($return);
		}
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(!empty($_POST['comment_id']))
		{
			$comment_id = $_POST['comment_id'];
			wp_delete_comment($comment_id, true);
			$return = array('message' => esc_html__('Submitted review removed successfully.', 'maxwheels-framework'));
			wp_send_json_success($return);
		}
		else
		{
			$return = array('message' => esc_html__('There was an error while processing your request. Please, reload the page and try again.', 'maxwheels-framework'));
			wp_send_json_error($return);
		}
    }
}


// Enable Cron Jobs to expire simple listings
add_action('init', 'maxwheels_framework_register_daily_check',10,2);
if (!function_exists('maxwheels_framework_register_daily_check'))
{
    function maxwheels_framework_register_daily_check()
    {
        $job = 'daily';
        $is_active_job = maxwheels_framework_get_options('mw_regular_cron_switch');
        $job = maxwheels_framework_get_options('mw_regular_cron_switch_interval');
        if(!empty($is_active_job) && $is_active_job == true)
        {
            if ( !wp_next_scheduled( 'delete_mw_revisions' ) )
            {
                wp_schedule_event(time(), $job, 'delete_mw_revisions');
            }
        }
    }
}
add_action('delete_mw_revisions', 'maxwheels_framework_delete_all_mw_revisions');
if (!function_exists('maxwheels_framework_delete_all_mw_revisions'))
{
    function maxwheels_framework_delete_all_mw_revisions()
    {
        $args = array(
            'post_type' => 'mx-listings',
            'posts_per_page' => -1,
            'fields' => 'ids',
            'meta_query'    => array(
                array(
                    'key'       => 'mw_status',
                    'value'     => '1',
                    'compare'   => '=',
                ),
            ),
	   );
       $results = new WP_Query( $args );
       if ( $results->have_posts() )
       {
           $nooff_days = $last_date = '';
           $status = 'expired';
           $now = date('Y-m-d');
           while ( $results->have_posts() )
           {
                $results->the_post();
                $mw_id = get_the_ID();
                //check property expiry
                if (get_post_meta($mw_id, 'mw_regular_listing_expiry', true) !="" && get_post_meta($mw_id, 'mw_regular_listing_expiry_date', true) !="" && get_post_meta($mw_id, 'mw_regular_listing_expiry', true) != '-1' )
                {
                    $last_date = get_post_meta($mw_id, 'mw_regular_listing_expiry_date', true);
                    $nooff_days = get_post_meta($mw_id, 'mw_regular_listing_expiry', true);
                    //$now = '2020-07-06';
                    if ($now > $last_date)
                    {
                        if (!empty(maxwheels_framework_get_options('mw_expiry_status')))
                        {
                          $status = maxwheels_framework_get_options('mw_expiry_status'); 
                        }
                        if($status == 'expired')
                        {
                            $my_post = array(
                              'ID'           => $mw_id,
                              'post_status'   => 'expired',
                              'post_type' 	=> 'property'
                            );
                           $post_id = wp_update_post( $my_post );
                           if (!is_wp_error($post_id))
                           {
                              update_post_meta($mw_id, 'mw_status', '0');
                              update_post_meta($mw_id, 'mw_expired', 'yes');
                              update_post_meta($mw_id, 'mw_is_feature_listing', '0');
                              update_post_meta($mw_id, 'mw_regular_listing_expiry_date', '');    
                              update_post_meta($mw_id, 'mw_regular_listing_expiry', '');
                              maxwheels_framework_regular_ad_expiry($mw_id);
                           }
                        }
                        else
                        {
                            update_post_meta($mw_id, 'mw_status', '0');
                            update_post_meta($mw_id, 'mw_expired', 'yes');
                            update_post_meta($mw_id, 'mw_is_feature_listing', '0');
                            update_post_meta($mw_id, 'mw_regular_listing_expiry_date', '');    
                            update_post_meta($mw_id, 'mw_regular_listing_expiry', '');
                            wp_trash_post($mw_id);
                            maxwheels_framework_regular_ad_expiry($mw_id);
                        }
                    }
                }
           }
       }
       wp_reset_postdata();
    }
}
register_deactivation_hook( __FILE__, 'maxwheels_framework_regular_deactivate' ); 
function maxwheels_framework_regular_deactivate() {
    $timestamp = wp_next_scheduled( 'delete_mw_revisions' );
    wp_unschedule_event( $timestamp, 'delete_mw_revisions' );
}


// Enable Cron Jobs to expire featured listings
add_action('init', 'maxwheels_framework_register_daily_check_featured',10,2);
if (!function_exists('maxwheels_framework_register_daily_check_featured'))
{
    function maxwheels_framework_register_daily_check_featured()
    {
        $job = 'daily';
        $is_active_job = maxwheels_framework_get_options('mw_featured_cron_switch');
        $job = maxwheels_framework_get_options('mw_featured_cron_switch_interval');
        if(!empty($is_active_job) && $is_active_job == true)
        {
            if ( !wp_next_scheduled( 'delete_featured_listings' ) )
            {
                wp_schedule_event(time(), $job, 'delete_featured_listings');
            }
        }
    }
}
add_action('delete_featured_listings', 'maxwheels_framework_delete_featured_listings');
if (!function_exists('maxwheels_framework_delete_featured_listings'))
{
    function maxwheels_framework_delete_featured_listings()
    {
        $args = array(
            'post_type' => 'mx-listings',
            'posts_per_page' => -1,
            'fields' => 'ids',
            'meta_query'    => array(
                array(
                    'key'       => 'mw_status',
                    'value'     => '1',
                    'compare'   => '=',
                ),
                array(
                    'key'       => 'mw_is_feature_listing',
                    'value'     => '1',
                    'compare'   => '=',
                ),
            ),
	   );
       $results = new WP_Query( $args );
       if ( $results->have_posts() )
       {
           $now = date('Y-m-d');
           while ( $results->have_posts() )
           {
                $results->the_post();
                $mw_id = get_the_ID();
                if (get_post_meta($mw_id, 'mw_is_feature_listing', true) !="" && get_post_meta($mw_id, 'mw_is_feature_listing', true) == '1' )
                {
                    $featured_expiry_for = '';
                    $featured_expiry_for = get_post_meta($mw_id, 'mw_feature_listing_for', true);
                    if(isset($featured_expiry_for) && $featured_expiry_for !="" && $featured_expiry_for !="0" && $featured_expiry_for !="-1")
                    {
                        if ($now > $featured_expiry_for)
                        {
                           update_post_meta($mw_id, 'mw_feature_listing_for', '');
                           update_post_meta($mw_id, 'mw_is_feature_listing', 0);
                           update_post_meta($mw_id, 'mw_feature_listing_date','');
                           // featured ad expiry email
                           maxwheels_framework_featured_ad_expiry($mw_id);
                        }
                    }
                }
           }
       }
       wp_reset_postdata();
    }
}
register_deactivation_hook( __FILE__, 'maxwheels_framework_featured_cron_deactivate' ); 
function maxwheels_framework_featured_cron_deactivate() {
    $timestamp = wp_next_scheduled( 'delete_featured_listings' );
    wp_unschedule_event( $timestamp, 'delete_featured_listings' );
}




//Compare Listings
add_action('wp_ajax_mw_listing_compare', 'maxwheels_framework_compare_listings');
add_action('wp_ajax_nopriv_mw_listing_compare', 'maxwheels_framework_compare_listings');
if (!function_exists('maxwheels_framework_compare_listings'))
{
    function maxwheels_framework_compare_listings()
	{
		if(!wp_verify_nonce($_POST['security'], 'check-security'))
		{
			$return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
			wp_send_json_error($return);
		}
		if(!empty($_POST['compare_listing']))
		{
            
            $compare_listing = (int)$_POST['compare_listing'];
             
            
                 session_start();
                
                 if (!isset($_SESSION['compare_listings']))
                 {
                     $_SESSION['compare_listings'] = array();
                 }
                 if( is_array( $_SESSION[ 'compare_listings' ] ) && !empty($_SESSION[ 'compare_listings' ] ) && in_array( $compare_listing, $_SESSION[ 'compare_listings' ] ))
                 {
                     if (($key = array_search($compare_listing,  $_SESSION[ 'compare_listings' ])) !== false) {
                      unset($_SESSION['compare_listings'][$key]);
                     }
                 }
                 else if(!empty($_SESSION[ 'compare_listings' ] ) && count($_SESSION[ 'compare_listings' ] ) >= 3)
                 {
                     $return = array('message' => esc_html__('There was an error while processing your request. Please, reload the page and try again.', 'maxwheels-framework'));
			         wp_send_json_error($return);
                 }
                 else
                 {
                    array_push($_SESSION['compare_listings'], $compare_listing);
                 }
            
            $custom_msg = $all_idz = $compare_list = '';
            if(!empty($_SESSION['compare_listings']) && is_array($_SESSION['compare_listings']) && count($_SESSION['compare_listings']) > 0)
            {
               $i = 1;
               $page_link = maxwheels_framework_get_link('page-compare.php');
               foreach($_SESSION['compare_listings'] as $mw_id)
               {
                   $all_idz = '';
                   $all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
                   if ($i == 2 || $i == 3){ $compare_list .='<div class="vsbox">vs</div>'; }
                   $compare_list .='<div class="compare-listings-box">
                    <a href="javascript:void(0)" class="remove_compare_list" data-property-id="'.esc_attr($mw_id).'"><i class="fas fa-times"></i></a>
                     <a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'"><img class="img-fluid" src="'.esc_url(maxwheels_framework_img_src($all_idz,'maxwheels-blog-thumb')).'" alt="'.esc_attr(get_post_meta($all_idz, '_wp_attachment_image_alt', TRUE)).'"></a>
                    </div>';
                   
                   $i++;
                   
               }
               $compare_list .='<div class="compare-action-btns"><a class="btn btn-theme btn-block btn-custom-sm" href="'.esc_url($page_link).'">'.esc_html__('Compare','maxwheels-framework').'</a>
                    <a class="btn btn-warning btn-block btn-custom-sm clear-all-compare">'.esc_html__('Clear All','maxwheels-framework').'</a></div>';
                $return = array('compare_list' => $compare_list);
                wp_send_json_success($return);  
            }
            else
            {
                $return = array('custom_msg' => maxwheels_framework_get_options('mw_empty_list'));
                wp_send_json_error($return);  
            }

        }
        else
		{
			$return = array('message' => esc_html__('There was an error while processing your request. Please, reload the page and try again.', 'maxwheels-framework'));
			wp_send_json_error($return);
		}
    }
}


//Clear All Compare Listings
add_action('wp_ajax_mw_listing_compare_clear', 'maxwheels_framework_compare_listings_clearall');
add_action('wp_ajax_nopriv_mw_listing_compare_clear', 'maxwheels_framework_compare_listings_clearall');
if (!function_exists('maxwheels_framework_compare_listings_clearall'))
{
    function maxwheels_framework_compare_listings_clearall()
	{
            session_start();
            unset($_SESSION['compare_listings']);
            $compare_list = array();
            $return = array('compare_list' => $compare_list);
            wp_send_json_success($return);  
    }
}

//Woocommerce Packages To Cart
add_action('wp_ajax_mw_package_cart', 'maxwheels_framework_package_to_cart');
add_action('wp_ajax_nopriv_mw_package_cart', 'maxwheels_framework_package_to_cart');
if (!function_exists('maxwheels_framework_package_to_cart'))
{
    function maxwheels_framework_package_to_cart()
	{
		if(!wp_verify_nonce($_POST['security'], 'check-security'))
		{
			$return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
			wp_send_json_error($return);
		}
        if (!is_user_logged_in())
		{
			$return = array('message' => esc_html__("You need to log in.", 'maxwheels-framework'));
			wp_send_json_error($return);
		}
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
        $link = '#';
        $renewal_cart = new WC_Cart();
        $link =  WC()->cart->get_cart_url();
        $package_id = $_POST['package_id'];
        $qunatity = 1;
        $package_type = $_POST['pack_ref'];
		$package_type = get_post_meta($package_id, 'mw_package_type_l', true);
        //for free packages only
        if(!empty($package_type) && $package_type == 'free')
        {
            $user_id = get_current_user_id();
            maxwheels_framework_store_user_package($user_id, $package_id);
            $renewal_cart->empty_cart();
            update_user_meta($user_id, 'mw_is_free_pgk',$package_id);
            $submit_page = maxwheels_framework_get_link('page-dashboard.php').'?page-type=submit-property';
            $return = array('message' => esc_html__('Package has been added.','maxwheels-framework'),'referral' =>$submit_page);
            wp_send_json_success($return); 
        }
        else
        {
           if(!empty($package_id) && !empty($qunatity) && !empty($package_type))
            {
                // Add product to cart
                $renewal_cart->add_to_cart($package_id,1);
                $return = array('message' => esc_html__('Package has been added to your cart.','maxwheels-framework'),'referral' =>$link);
                wp_send_json_success($return); 
            }
            else
            {
                $return = array('message' => esc_html__('There was an error while processing your request. Please, reload the page and try again.', 'maxwheels-framework'));
                wp_send_json_error($return);
            } 
        }
    }
}

//Woocommerce Packages To Cart
add_action('wp_ajax_mw_plan_cart', 'maxwheels_framework_plan_to_cart');
add_action('wp_ajax_nopriv_mw_plan_cart', 'maxwheels_framework_plan_to_cart');
if (!function_exists('maxwheels_framework_plan_to_cart'))
{
    function maxwheels_framework_plan_to_cart()
	{
		if(!wp_verify_nonce($_POST['security'], 'check-security'))
		{
			$return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
			wp_send_json_error($return);
		}
        if (!is_user_logged_in())
		{
			$return = array('message' => esc_html__("You need to log in.", 'maxwheels-framework'));
			wp_send_json_error($return);
		}
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
        $link = '#';
        $renewal_cart = new WC_Cart();
        $link =  WC()->cart->get_cart_url();
        $plan_id = $_POST['plan_id'];
        $qunatity = $_POST['qunatity'];
       // $package_type = $_POST['pack_ref'];
		$package_type = get_post_meta($plan_id, 'mw_package_type', true);
		
        //for free packages only
        if(!empty($package_type) && $package_type == 'free')
        {
            $user_id = get_current_user_id();
			$dealer_post_id = get_user_meta($user_id, 'mw_post_id', true);
            maxwheels_framework_store_user_premium_plan($user_id, $plan_id);
            $renewal_cart->empty_cart();
            update_post_meta($dealer_post_id, 'mw_is_free_plan',$plan_id);
            $profile_page = esc_url(get_the_permalink($dealer_post_id));
            $return = array('message' => esc_html__('Plan has been added.','maxwheels-framework'),'referral' =>$profile_page);
            wp_send_json_success($return); 
        }
        else
        {
           if(!empty($plan_id) && !empty($qunatity) && !empty($package_type))
            {
                // Add product to cart
                $renewal_cart->add_to_cart($plan_id,1);
                $return = array('message' => esc_html__('Plan has been added to your cart.','maxwheels-framework'),'referral' =>$link);
                wp_send_json_success($return); 
            }
            else
            {
                $return = array('message' => esc_html__('There was an error while processing your request. Please, reload the page and try again.', 'maxwheels-framework'));
                wp_send_json_error($return);
            } 
        }
    }
}

if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))))
{
    // After Successfull payment
    add_action('woocommerce_order_status_completed', 'maxwheels_framework_after_buy_package', 10, 1);
    if (!function_exists('maxwheels_framework_after_buy_package')) 
    {
        function maxwheels_framework_after_buy_package($order_id)
        {
            $product_type = $order = $items = array();
            $order = new WC_Order($order_id);
            $user_id = $order->get_user_id();
            $items = $order->get_items();
            if(!empty($items) && count($items) > 0)
            {
                 foreach ($items as $item)
                 {
                     $product_id = $item['product_id'];
                     $product_type = wc_get_product($product_id);
                     if ($product_type->get_type() == 'maxwheels_packages') 
                     {
                         maxwheels_framework_store_user_package($user_id, $product_id);
                     }
					 if ($product_type->get_type() == 'maxwheels_profile_packages') 
                     {
                         maxwheels_framework_store_user_premium_plan($user_id, $product_id);
                     }
                 }
            }
        }
    }

    //For Auto Approval order
    add_filter('woocommerce_thankyou', 'maxwheels_framework_approve_order_auto', 10, 4);
    if (!function_exists('maxwheels_framework_approve_order_auto'))
    {
        function maxwheels_framework_approve_order_auto($order_id)
        {
            $approval_type =  'auto-woo';
            if(!empty(maxwheels_framework_get_options('mw_woo_approval')))
            {
                $approval_type =  maxwheels_framework_get_options('mw_woo_approval');
            }
            $order = new WC_Order($order_id);
            if ($order->has_status('processing') || $order->has_status('on-hold')) 
            {
                if ($approval_type == 'auto-woo')
                {
                    $order->update_status('completed');
                }
            }
        }
    }
    // Store User Package Details
    if (!function_exists('maxwheels_framework_store_user_package'))
    {
        function maxwheels_framework_store_user_package($user_id, $product_id)
        {
            $bump_listings = $regular_listing_expiry = $listing_featured_expiry = $pkg_exp = $featured_listing = $regular_listing = $listing_expiry = '';
            $pkg_exp = get_post_meta($product_id, 'mw_package_expiry_l', true);
            $regular_listing = get_post_meta($product_id, 'mw_regular_listing_l', true);
            $regular_listing_expiry = get_post_meta($product_id, 'mw_regular_listing_expiry_l', true);
            $featured_listing = get_post_meta($product_id, 'mw_featured_listing_l', true);
            $listing_featured_expiry = get_post_meta($product_id, 'mw_featured_listing_expiry_l', true);
			$bump_listings = get_post_meta($product_id, 'mw_bump_listing_l', true);

            update_user_meta($user_id, 'mw_user_package_id', $product_id);
            //assign simple listings
            if (!empty($regular_listing) && $regular_listing == '-1')
            {


            } 
            else if (!empty($regular_listing) && is_numeric($regular_listing) && $regular_listing != 0)
            {
                update_user_meta($user_id, 'mw_pack_totallistings', $regular_listing);
            }
            else
            {
                update_user_meta($user_id, 'mw_pack_totallistings', $regular_listing);
            }

            //assign featured listings
            if (!empty($featured_listing) && $featured_listing == '-1')
            {
                update_user_meta($user_id, 'mw_pack_featuredlistings', '-1');
            } 
            else if (!empty($featured_listing) && is_numeric($featured_listing) && $featured_listing != 0)
            {
                update_user_meta($user_id, 'mw_pack_featuredlistings', $featured_listing);
            }
            else
            {
                update_user_meta($user_id, 'mw_pack_featuredlistings', $featured_listing);
            }

            //assign package days to user
            if (!empty($pkg_exp) && $pkg_exp == '-1')
            {
                update_user_meta($user_id, 'mw_pack_exp', '-1');
            } 
            else 
            {
                $expiry_date = get_user_meta($user_id, 'mw_pack_exp', true);
                $e_date = strtotime($pkg_exp);
                $today = strtotime(date('Y-m-d'));
                if ($today > $e_date) 
                {
                    $new_expiry = date('Y-m-d', strtotime("+$pkg_exp days"));
                } 
                else
                {
                    $date = date_create($expiry_date);
                    date_add($date, date_interval_create_from_date_string("$pkg_exp days"));
                    $new_expiry = date_format($date, "Y-m-d");
                }
                update_user_meta($user_id, 'mw_pack_exp', $new_expiry);
            }

            //featured listing expiry
            if (!empty($listing_featured_expiry) && $listing_featured_expiry == '-1')
            {
                update_user_meta($user_id, 'mw_pack_exp_featured_for', '-1');
            } 
            else
            {
                update_user_meta($user_id, 'mw_pack_exp_featured_for', $listing_featured_expiry);
            }
             //simple listing expiry
            if (!empty($regular_listing_expiry) && $regular_listing_expiry == '-1')
            {
                update_user_meta($user_id, 'mw_pack_simple_expiry_for', '-1');
            } 
            else
            {
                update_user_meta($user_id, 'mw_pack_simple_expiry_for', $regular_listing_expiry);
            }
			//bump listings
            update_user_meta($user_id, 'mw_pack_bumpup', $bump_listings);
        }
    }
	
	// Store User Package Details
    if (!function_exists('maxwheels_framework_store_user_premium_plan'))
    {
        function maxwheels_framework_store_user_premium_plan($user_id, $product_id)
        {
			$pkg_exp = '';
			$pkg_exp = get_post_meta($product_id, 'mw_package_expiry', true);
			//get dealer id from usermeta
			$dealer_post_id = get_user_meta($user_id, 'mw_post_id', true);
			update_post_meta($dealer_post_id, 'mw_post_plan_id', $product_id);
			update_post_meta($dealer_post_id, 'mw_sponsored_profile', 1);
			if (!empty($pkg_exp) && $pkg_exp == '-1')
			{
				update_post_meta($dealer_post_id, 'mw_sponsored_for', '-1');
			}
			else
			{
				$expiry_date = get_post_meta($dealer_post_id, 'mw_sponsored_for', true);
                $e_date = strtotime($pkg_exp);
                $today = strtotime(date('Y-m-d'));
                if ($today > $e_date) 
                {
                    $new_expiry = date('Y-m-d', strtotime("+$pkg_exp days"));
                } 
                else
                {
                    $date = date_create($expiry_date);
                    date_add($date, date_interval_create_from_date_string("$pkg_exp days"));
                    $new_expiry = date_format($date, "Y-m-d");
                }
                update_post_meta($dealer_post_id, 'mw_sponsored_for', $new_expiry);
			}
        }
    }
}


add_action('wp_ajax_mw_get_categores', 'maxwheels_framework_get_categores');
add_action('wp_ajax_nopriv_mw_get_categores', 'maxwheels_framework_get_categores');
if (!function_exists('maxwheels_framework_get_categores'))
{
    function maxwheels_framework_get_categores()
	{
        if (!empty($_POST['cat_parent']))
        {
            $result = '';
            $parent_category = $_POST['cat_parent'];
            $result = maxwheels_framework_more_levels($parent_category,'mw-category');
            if(isset($result) && $result !="")
            {
                $return = array('result' => $result);
                wp_send_json_success($return);
            }
            else
            {
                $return = array('result' => $result);
                wp_send_json_error($return);
            }
             
        }
    }
}

//custom fields
add_action('wp_ajax_mw_get_custom', 'maxwheels_framework_get_custom');
add_action('wp_ajax_nopriv_mw_get_custom', 'maxwheels_framework_get_custom');
if (!function_exists('maxwheels_framework_custom'))
{
    function maxwheels_framework_get_custom()
	{
        if (!empty($_POST['cat_parent']))
        {
            $col = ''; $cus_type =  $category_id = $result = '';
			$category_details = array();
            $parent_category = $_POST['cat_parent'];
			$category_details = get_term_by('slug',$parent_category, 'mw-category');
			if(!empty($category_details))
			{
				if(isset($_POST['is_search']) && $_POST['is_search'] == 1)
				{
					$col = 'col-12';
					$cus_type = 'search-page';
				}
				$category_id = $category_details->term_id;
				$custom_fields_html = '';
				$fields_data = array();
				
				$template_group_key = apply_filters('maxwheels_framework_acf_get_group_key', '',$category_id);

                if (isset($template_group_key) && $template_group_key != '' && class_exists('ACF')) {
					$fields_data = acf_get_fields($template_group_key);
					$custom_fields_html = apply_filters('maxwheels_framework_acf_frontend_html', '', $fields_data, 0, $col, $cus_type);
                    if(!empty($custom_fields_html))
					{
						$return = array('fields' => $custom_fields_html);
						wp_send_json_success($return);
					}
					else
					{
						return false;
						die();
					}
				}
			}
			else
            {
                $return = array('fields' => '');
                wp_send_json_error($return);
            }
        }
    }
}

// Search By Categories
add_action('wp_ajax_mw_get_search_cats', 'maxwheels_framework_get_search_categores');
add_action('wp_ajax_nopriv_mw_get_search_cats', 'maxwheels_framework_get_search_categores');
if (!function_exists('maxwheels_framework_get_search_categores'))
{
    function maxwheels_framework_get_search_categores()
	{
        if (!empty($_POST['make_id']))
        {
            $childs  = $termchildren = $final_content = $params =  array();
            $cat_slug = $_POST['make_id'];
            $remove = $to_parent = $data = '';
            $get_term = get_term_by('slug', $cat_slug,'mw-category');
            if(!empty($get_term) &&  count((array) $get_term) > 0)
            {
				
                $data = '';
                $termchildren = get_terms(array('taxonomy'=> $get_term->taxonomy,'hide_empty' => false,'parent' => (int) $get_term->term_id) );
                if(!empty($termchildren) && is_array($termchildren) && count($termchildren) > 0)
                {
                    foreach ($termchildren as $child)
                    {
                        $data .= '<li>
                                    <div class="pretty p-svg p-curve">
                                        <input class="make-check" type="radio" value="'.esc_attr($child->slug).'" />
                                        <div class="state p-primary">
                                            <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                            <label>'. esc_html($child->name).'</label>
                                        </div>
                                    </div>
                                </li>';
                    }
					
                    //
                    $to_parent = get_term_by('id',$get_term->parent,'mw-category');
					if(empty($to_parent->slug))
					{
						$slug = '';
					}
					else
					{
						$slug = $to_parent->slug;
					}
                    $remove = '<span class="cat-tag">
                      <span class="cat-content">'.$get_term->name.'</span>
                      <span class="cat-rm-lnk" data-term-parent="'.esc_attr($slug).'" data-term-slug="'.esc_attr($get_term->slug).'">x</span>
                    </span>';
                    $return = array('result' => $data, 'selected_tag' => $remove);
                    wp_send_json_success($return);
                }
                else
                {
                     $to_parent = get_term_by('id',$get_term->parent,'mw-category');
					if(empty($to_parent->slug))
					{
						$slug = '';
					}
					else
					{
						$slug = $to_parent->slug;
					}
                     $remove = '<span class="cat-tag">
                      <span class="cat-content">'.$get_term->name.'</span>
                      <span class="cat-rm-lnk" data-term-parent="'.esc_attr($slug).'" data-term-slug="'.esc_attr($get_term->slug).'">x</span>
                     </span>';
                     $return = array('result' => $data, 'selected_tag' => $remove);
                     wp_send_json_error($return);
                }
            }
        }
    }
}

// Search By Categories
add_action('wp_ajax_mw_return_parents_cats', 'maxwheels_framework_return_parents_cats');
add_action('wp_ajax_nopriv_mw_return_parents_cats', 'maxwheels_framework_return_parents_cats');
if (!function_exists('maxwheels_framework_return_parents_cats'))
{
    function maxwheels_framework_return_parents_cats()
    {
        if (!empty($_POST['cat_slug']))
        {
            $type = 'mw-category';
            $class_name = 'make-check';
            if(!empty($_POST['type']))
            {
                $type = $_POST['type'];
                $class_name = 'loc-check';
            }
            $cat_slug = $_POST['cat_slug'];
            $data = '';
            $get_term = get_term_by('slug', $cat_slug,$type);
            if(!empty($get_term) &&  count((array) $get_term) > 0)
            {
                $termchildren = get_terms(array('taxonomy'=> $get_term->taxonomy,'hide_empty' => false,'parent' =>$get_term->parent) );
                if(!empty($termchildren) && is_array($termchildren) && count($termchildren) > 0)
                {
                    $data = '';
                    foreach ($termchildren as $child)
                    {
                        $data .= '<li>
                                    <div class="pretty p-svg p-curve">
                                        <input class="'.$class_name.'" type="radio" value="'.esc_attr($child->slug).'" />
                                        <div class="state p-primary">
                                            <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                            <label>'. esc_html($child->name).'</label>
                                        </div>
                                    </div>
                                </li>';
                    }
                    $return = array('result' => $data);
                    wp_send_json_success($return);
                }
                else
                {
                    $return = array('result' => $data);
                    wp_send_json_error($return);
                }
            }
        }
    }
}


add_action('wp_ajax_mw_get_listing_loc', 'maxwheels_framework_get_search_loctionas');
add_action('wp_ajax_nopriv_mw_get_listing_loc', 'maxwheels_framework_get_search_loctionas');
if (!function_exists('maxwheels_framework_get_search_loctionas'))
{
    function maxwheels_framework_get_search_loctionas()
    {
        if (!empty($_POST['location_id']))
        {
            $childs  = $termchildren = $final_content = $params =  array();
            $cat_slug = $_POST['location_id'];
            $remove = $to_parent = $data = '';
            $get_term = get_term_by('slug', $cat_slug,'mw-location');
            if(!empty($get_term) &&  count((array) $get_term) > 0)
            {
                $data = '';
                $termchildren = get_terms(array('taxonomy'=> $get_term->taxonomy,'hide_empty' => false,'parent' => (int) $get_term->term_id) );
                if(!empty($termchildren) && is_array($termchildren) && count($termchildren) > 0)
                {
                    foreach ($termchildren as $child)
                    {
                        $data .= '<li>
                                    <div class="pretty p-svg p-curve">
                                        <input class="loc-checks" type="radio" value="'.esc_attr($child->slug).'" />
                                        <div class="state p-primary">
                                            <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                            <label>'. esc_html($child->name).'</label>
                                        </div>
                                    </div>
                                </li>';
                    }

                    //
                    $to_parent = get_term_by('id',$get_term->parent,'mw-location');
                    if(empty($to_parent->slug))
                    {
                        $slug = '';
                    }
                    else
                    {
                        $slug = $to_parent->slug;
                    }
                    $remove = '<span class="loc-tag">
                      <span class="loc-cat-content">'.$get_term->name.'</span>
                      <span class="loc-cat-rm-lnk" data-term-parent="'.esc_attr($slug).'" data-term-slug="'.esc_attr($get_term->slug).'">x</span>
                    </span>';
                    $return = array('result' => $data, 'selected_tag' => $remove);
                    wp_send_json_success($return);
                }
                else
                {
                    $to_parent = get_term_by('id',$get_term->parent,'mw-location');
                    if(empty($to_parent->slug))
                    {
                        $slug = '';
                    }
                    else
                    {
                        $slug = $to_parent->slug;
                    }
                    $remove = '<span class="loc-tag">
                      <span class="loc-cat-content">'.$get_term->name.'</span>
                      <span class="loc-cat-rm-lnk" data-term-parent="'.esc_attr($slug).'" data-term-slug="'.esc_attr($get_term->slug).'">x</span>
                     </span>';
                    $return = array('result' => $data, 'selected_tag' => $remove);
                    wp_send_json_error($return);
                }
            }
        }
    }
}



// Search By location
add_action('wp_ajax_mw_return_parents_loc', 'maxwheels_framework_return_parents_loc');
add_action('wp_ajax_nopriv_mw_return_parents_loc', 'maxwheels_framework_return_parents_loc');
if (!function_exists('maxwheels_framework_return_parents_loc'))
{
    function maxwheels_framework_return_parents_loc()
    {
        if (!empty($_POST['cat_slug']))
        {
            $type = 'mw-location';
            $class_name = 'loc-checks';
            if(!empty($_POST['type']))
            {
                $type = $_POST['type'];
                $class_name = 'loc-checks';
            }
            $cat_slug = $_POST['cat_slug'];
            $data = '';
            $get_term = get_term_by('slug', $cat_slug,$type);
            if(!empty($get_term) &&  count((array) $get_term) > 0)
            {
                $termchildren = get_terms(array('taxonomy'=> $get_term->taxonomy,'hide_empty' => false,'parent' =>$get_term->parent) );
                if(!empty($termchildren) && is_array($termchildren) && count($termchildren) > 0)
                {
                    $data = '';
                    foreach ($termchildren as $child)
                    {
                        $data .= '<li>
                                    <div class="pretty p-svg p-curve">
                                        <input class="'.$class_name.'" type="radio" value="'.esc_attr($child->slug).'" />
                                        <div class="state p-primary">
                                            <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                            <label>'. esc_html($child->name).'</label>
                                        </div>
                                    </div>
                                </li>';
                    }
                    $return = array('result' => $data);
                    wp_send_json_success($return);
                }
                else
                {
                    $return = array('result' => $data);
                    wp_send_json_error($return);
                }
            }
        }
    }
}










// Search By Locations
add_action('wp_ajax_mw_get_search_locations', 'maxwheels_framework_get_search_location');
add_action('wp_ajax_nopriv_mw_get_search_locations', 'maxwheels_framework_get_search_location');
if (!function_exists('maxwheels_framework_get_search_location'))
{
    function maxwheels_framework_get_search_location()
	{
        if (!empty($_POST['make_id']))
        {
            $childs  = $termchildren = $final_content = $params =  array();
            $cat_slug = $_POST['make_id'];
            $remove = $to_parent = $data = '';
            $get_term = get_term_by('slug', $cat_slug,'mw-dealer-locations');
            if(!empty($get_term) &&  count((array) $get_term) > 0)
            {
                $data = '';
                $termchildren = get_terms(array('taxonomy'=> $get_term->taxonomy,'hide_empty' => false,'parent' => (int) $get_term->term_id) );
                if(!empty($termchildren) && is_array($termchildren) && count($termchildren) > 0)
                {
                    foreach ($termchildren as $child)
                    {
                        $data .= '<li>
                                    <div class="pretty p-svg p-curve">
                                        <input class="loc-check" type="radio" value="'.esc_attr($child->slug).'" />
                                        <div class="state p-primary">
                                            <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                            <label>'. esc_html($child->name).'</label>
                                        </div>
                                    </div>
                                </li>';
                    }
                    //
                    $to_parent = get_term_by('id',$get_term->parent,'mw-dealer-locations');
					if(empty($to_parent->slug))
					{
						$slug = '';
					}
					else
					{
						$slug = $to_parent->slug;
					}
                    $remove = '<span class="cat-tag">
                      <span class="cat-content">'.$get_term->name.'</span>
                      <span class="cat-rm-lnk" data-term-parent="'.esc_attr($slug).'" data-term-slug="'.esc_attr($get_term->slug).'">x</span>
                    </span>';
                    $return = array('result' => $data, 'selected_tag' => $remove);
                    wp_send_json_success($return);
                }
                else
                {
                     $to_parent = get_term_by('id',$get_term->parent,'mw-dealer-locations');
					 if(empty($to_parent->slug))
					 {
						$slug = '';
					 }
					 else
					 {
						$slug = $to_parent->slug;
					 }
                     $remove = '<span class="cat-tag">
                      <span class="cat-content">'.$get_term->name.'</span>
                      <span class="cat-rm-lnk" data-term-parent="'.esc_attr($slug).'" data-term-slug="'.esc_attr($get_term->slug).'">x</span>
                     </span>';
                     $return = array('result' => $data, 'selected_tag' => $remove);
                     wp_send_json_error($return);
                }
            }
        }
    }
}


// Search By Locations
add_action('wp_ajax_mw_reset_locations', 'maxwheels_framework_reset_search_location');
add_action('wp_ajax_nopriv_mw_reset_location', 'maxwheels_framework_reset_search_location');
if (!function_exists('maxwheels_framework_reset_search_location'))
{
    function maxwheels_framework_reset_search_location()
	{
		
	}
}