<?php
// Ajax handler for property submission
add_action( 'wp_ajax_mw_dealer_update', 'maxwheels_framework_mw_dealer_update' );
if (!function_exists ( 'maxwheels_framework_mw_dealer_update' ))
{
	function maxwheels_framework_mw_dealer_update()
	{
		$params = array();
		parse_str($_POST['collect_data'], $params);
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin(get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(!wp_verify_nonce($params['dealer_up_nonce'], 'prop-dealer-up-nonce'))
		{
			 $return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
      		 wp_send_json_error($return);
   		}
		else
		{
			//sanatize fields
			if(isset($params[ 'dealer_id' ]) && $params['dealer_id' ]!="")
			{
				$dealer_id = $params[ 'dealer_id' ];
				$desc = isset( $params[ 'about-dealer' ] ) ? wp_kses_post( $params[ 'about-dealer' ] ) : '';
				$dealer_name = isset( $params[ 'dealer-name' ] ) ? wp_kses_post( $params[ 'dealer-name' ] ) : '';
				$dealer_email = isset( $params[ 'dealer-email' ] ) ? sanitize_email( $params[ 'dealer-email' ] ) : '';
				$dealer_mobile = isset( $params[ 'dealer-mobile' ] ) ? sanitize_text_field( $params[ 'dealer-mobile' ] ) : '';
				$dealer_whats = isset( $params[ 'dealer-whats' ] ) ? sanitize_text_field( $params[ 'dealer-whats' ] ) : '';
				$dealer_office = isset( $params[ 'dealer-office' ] ) ? sanitize_text_field( $params[ 'dealer-office' ] ) : '';
				$dealer_fax = isset( $params[ 'dealer-fax' ] ) ? sanitize_text_field( $params[ 'dealer-fax' ] ) : '';
				$dealer_licence = isset( $params[ 'dealer-licence' ] ) ? sanitize_text_field( $params[ 'dealer-licence' ] ) : '';
				$dealer_tax = isset( $params['dealer-tax']) ? sanitize_text_field( $params['dealer-tax'] ) : '';
				$dealer_url = isset( $params[ 'dealer-url' ] ) ? sanitize_text_field( $params[ 'dealer-url' ] ) : '';
				$dealer_location = isset( $params[ 'dealer-location' ] ) ? sanitize_text_field( $params[ 'dealer-location' ] ) : '';
				$dealer_fb = isset( $params[ 'dealer-fb' ] ) ? sanitize_text_field( $params[ 'dealer-fb' ] ) : '';
				$dealer_tw = isset( $params[ 'dealer-tw' ] ) ? sanitize_text_field( $params[ 'dealer-tw' ] ) : '';
				$dealer_in = isset( $params[ 'dealer-in' ] ) ? sanitize_text_field( $params[ 'dealer-in' ] ) : '';
				$dealer_insta = isset( $params[ 'dealer-insta' ] ) ? sanitize_text_field( $params[ 'dealer-insta' ] ) : '';
				$dealer_you = isset( $params[ 'dealer-you' ] ) ? sanitize_text_field( $params[ 'dealer-you' ] ) : '';
				$dealer_pin = isset( $params[ 'dealer-pin' ] ) ? sanitize_text_field( $params[ 'dealer-pin' ] ) : '';
				$dealer_street_addr = isset( $params[ 'dealer-address' ] ) ? sanitize_text_field( $params[ 'dealer-address' ] ) : '';
				$dealer_latt = isset( $params[ 'dealer-latt' ] ) ? sanitize_text_field( $params[ 'dealer-latt' ] ) : '';
				$dealer_long = isset( $params[ 'dealer-long' ] ) ? sanitize_text_field( $params[ 'dealer-long' ] ) : '';
				$working_hours = isset( $_POST['working_hours'] ) ? sanitize_text_field( $_POST['working_hours'] ) : '';
				$dealer_timezone = isset( $params[ 'dealer-timezone' ] ) ? sanitize_text_field( $params[ 'dealer-timezone' ] ) : '';
				// Update the meta field in the database.
				$my_dealer = array(
				  'ID'           => $dealer_id,
				  'post_title'   => wp_strip_all_tags($dealer_name),
				  'post_content' => $desc,
				  'post_author'   => get_current_user_id(),
				  'post_status'   => 'publish',
				  'post_type' 	=> 'mw-dealer'
  				);
  				wp_update_post($my_dealer);
				update_post_meta($dealer_id, 'dealer_status', '1' );
				if (get_post_meta($dealer_id, 'mw_sponsored_profile', true ) == 1)
				{
				}
				else
				{
					update_post_meta($dealer_id, 'mw_sponsored_profile', 0);
				}
				update_post_meta($dealer_id, 'dealer_email', $dealer_email);
				update_post_meta($dealer_id, 'dealer_mobile', $dealer_mobile );
				update_post_meta($dealer_id, 'dealer_whats', $dealer_whats );
				update_post_meta($dealer_id, 'dealer_office', $dealer_office );
				update_post_meta($dealer_id, 'dealer_fax', $dealer_fax);
				update_post_meta($dealer_id, 'dealer_licence', $dealer_licence);
				update_post_meta($dealer_id, 'dealer_tax', $dealer_tax);
				update_post_meta($dealer_id, 'dealer_url', $dealer_url);
				update_post_meta($dealer_id, 'dealer_fb', $dealer_fb);
				update_post_meta($dealer_id, 'dealer_tw', $dealer_tw);
				update_post_meta($dealer_id, 'dealer_in', $dealer_in );
				update_post_meta($dealer_id, 'dealer_insta', $dealer_insta);
				update_post_meta($dealer_id, 'dealer_you', $dealer_you);
				update_post_meta($dealer_id, 'dealer_pin', $dealer_pin);
				update_post_meta($dealer_id, 'dealer_street_addr', $dealer_street_addr);
				update_post_meta($dealer_id, 'dealer_latt', $dealer_latt);
				update_post_meta($dealer_id, 'dealer_long', $dealer_long);
				update_post_meta($dealer_id, 'dealer_timezone',$dealer_timezone );
				update_post_meta($dealer_id, 'dealer_working_hours',$working_hours );
				//dealer location
                wp_set_object_terms($dealer_id, maxwheels_framework_get_ancestors($dealer_location,'mw-dealer-locations'), 'mw-dealer-locations');
                update_post_meta($dealer_id, 'dealer_location', $dealer_location);
				$return = array('message' => esc_html__('Account settings updated successfully.', 'maxwheels-framework' ),'link' => get_the_permalink($dealer_id));
      		 	wp_send_json_success($return);
			}
			else
			{
				$return = array('message' => esc_html__('Something went wrong, please try again.', 'maxwheels-framework'));
      		 	wp_send_json_error($return);
			}
  		}
	}
}

// update my password
add_action( 'wp_ajax_mw_mypass_up', 'maxwheels_framework_mw_update_mypass' );
if (!function_exists ( 'maxwheels_framework_mw_update_mypass' ))
{
	function maxwheels_framework_mw_update_mypass()
	{
		$params = array();
		parse_str($_POST['collect_data'], $params);
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin(get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(!wp_verify_nonce($params['mypass_up_nonce'], 'prop-my_pass'))
		{
			 $return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
      		 wp_send_json_error($return);
   		}
		else
		{
			$user_id = get_current_user_id();
			$user = get_user_by('ID',$user_id);
			if(!empty($params['my_previous_pass']) && !empty($params['my_new_pass']) && !empty($params['my_confirm_pass']))
			{
				if($params['my_new_pass'] == $params['my_confirm_pass'])
				{
					if($user && wp_check_password($params['my_previous_pass'], $user->data->user_pass, $user->ID ))
					{
						//setup new password
						wp_set_password($params['my_new_pass'], $user->ID);
						$return = array('message' => esc_html__('Your password has been changed successfully
.', 'maxwheels-framework' ));
						wp_send_json_success($return);
					}
					else
					{
						$return = array('message' => esc_html__('The old password you have entered is incorrect.', 'maxwheels-framework'));
						wp_send_json_error($return);
					}
				}
				else
				{
					$return = array('message' => esc_html__("The password and confirm password do not match
.", 'maxwheels-framework'));
      		 	wp_send_json_error($return);
				}
			}
			else
			{
				$return = array('message' => esc_html__('Something went wrong, please try again.', 'maxwheels-framework'));
      		 	wp_send_json_error($return);
			}
		}
	}
}

// delete my account
add_action( 'wp_ajax_mw_myacc_del', 'maxwheels_framework_mw_del_my_account' );
if (!function_exists ( 'maxwheels_framework_mw_del_my_account' ))
{
	function maxwheels_framework_mw_del_my_account()
	{
		$params = array();
		parse_str($_POST['collect_data'], $params);
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin(get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(!wp_verify_nonce($params['mypass_account_del_nonce'], 'prop-my_pass_dell'))
		{
			 $return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
      		 wp_send_json_error($return);
   		}
		else
		{
			if(is_super_admin($params['active_user']))
			{
				$return = array('message' => esc_html__('You can not delete your account as Admin.', 'maxwheels-framework'));
      		 	wp_send_json_error($return);
			}
			else
			{
				// delete comment with that user id
				$c_args = array ('user_id' =>$params['active_user'],'post_type' => 'any','status' => 'all');
				$comments = get_comments($c_args);
				if(count((array) $comments) > 0 )
				{
					foreach($comments as $comment) :
						wp_delete_comment($comment->comment_ID, true);
					endforeach;
				}
				// delete user posts
				$args = array ('numberposts' => -1,'post_type' => 'any','author' => $params['active_user']);
				$user_posts = get_posts($args);
				// delete all the user posts
				if(count((array) $user_posts) > 0 )
				{
					foreach ($user_posts as $user_post)
					{
						wp_delete_post($user_post->ID, true);
					}
				}
				//now delete actual user
				if ( is_multisite() )
				{
					 wpmu_delete_user($params['active_user']);
				}
				wp_delete_user($params['active_user']);
				$return = array('message' => esc_html__('Your account has been deleted.', 'maxwheels-framework' ), 'link' => get_home_url());
				wp_send_json_success($return);
			}
		}
	}
}

// Set featured Image
add_action( 'wp_ajax_mw_myfeatured_img', 'maxwheels_framework_my_featured_img' );
if (!function_exists ( 'maxwheels_framework_my_featured_img' ))
{
	function maxwheels_framework_my_featured_img()
	{
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin(get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		else
		{
			if(!empty($_FILES))
			{
				$arr_img_ext = array('image/png', 'image/jpeg', 'image/jpg', 'image/gif');
				if (in_array($_FILES['file']['type'], $arr_img_ext))
				{
					$user_id = get_current_user_id();
					$post_id = '';
					if(get_user_meta( $user_id, 'mw_post_id' , true ) !="")
					{
					  $post_id = get_user_meta( $user_id, 'mw_post_id' , true );
					}
					 $upload = wp_upload_bits($_FILES["file"]["name"], null, file_get_contents($_FILES["file"]["tmp_name"]));
					 $post_id = $post_id; //set post id to which you need to set post thumbnail
					 $filename = $upload['url'];
					 $wp_filetype = wp_check_filetype($filename, null);
					 $attachment = array(
						'post_mime_type' => $wp_filetype['type'],
						'post_title' => sanitize_file_name($filename),
						'post_content' => '',
						'post_status' => 'inherit'
    				);
					$old_thumb_id = '';
					$old_thumb_id = get_post_thumbnail_id($post_id);
					wp_delete_attachment($old_thumb_id, true);
					$attach_id = wp_insert_attachment( $attachment, $filename, $post_id );
					
   					require_once(ABSPATH . 'wp-admin/includes/image.php');
					//$attach_data = wp_generate_attachment_metadata( $attach_id, $filename );
					$attach_data = wp_generate_attachment_metadata( $attach_id, $upload['file'] );
					wp_update_attachment_metadata( $attach_id, $attach_data );
					$success = set_post_thumbnail( $post_id, $attach_id );
					if($success)
					{
						//get attach image url 
						$image_link = wp_get_attachment_image_src( $attach_id, 'full' );
						$return = array('message' => esc_html__('Image uploaded successfully.', 'maxwheels-framework' ), 'img_link' => $image_link[0]);
						wp_send_json_success($return);
					}
					else
					{
						$return = array('message' => esc_html__('An unexpected error occurred while uploading your image, please try again later.', 'maxwheels-framework'));
					wp_send_json_error($return);
					}
				}
				else
				{
					$return = array('message' => esc_html__('Sorry, only JPG, JPEG, and PNG files are allowed.', 'maxwheels-framework'));
					wp_send_json_error($return);
				}
			}
			else
			{
				$return = array('message' => esc_html__( 'Please select an image to upload.', 'maxwheels-framework' ));
				wp_send_json_error($return);
			}
		}
	}
}


// Set Cover Image
add_action( 'wp_ajax_mw_myfeatured_cover', 'maxwheels_framework_my_featured_cover' );
if (!function_exists ( 'maxwheels_framework_my_featured_cover' ))
{
	function maxwheels_framework_my_featured_cover()
	{
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin(get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		else
		{
			if(!empty($_FILES))
			{
				
				$arr_img_ext = array('image/png', 'image/jpeg', 'image/jpg', 'image/gif');
				if (in_array($_FILES['file']['type'], $arr_img_ext))
				{
					$user_id = get_current_user_id();
					$post_id = '';
					if(get_user_meta( $user_id, 'mw_post_id' , true ) !="")
					{
					  $post_id = get_user_meta( $user_id, 'mw_post_id' , true );
					}
					 $upload = wp_upload_bits($_FILES["file"]["name"], null, file_get_contents($_FILES["file"]["tmp_name"]));
					 $post_id = $post_id; //set post id to which you need to set post thumbnail
					 $filename = $upload['url'];
					 $wp_filetype = wp_check_filetype($filename, null);
					 $attachment = array(
						'post_mime_type' => $wp_filetype['type'],
						'post_title' => sanitize_file_name($filename),
						'post_content' => '',
						'post_status' => 'inherit',
    				);
					$attach_id = wp_insert_attachment( $attachment, $filename, $post_id );
					if($attach_id)
					{
						require_once(ABSPATH . 'wp-admin/includes/image.php');
						$attachment_data = wp_generate_attachment_metadata( $attach_id, $upload['file'] );
     					wp_update_attachment_metadata( $attach_id,  $attachment_data );
						//delete old attachment
						if(get_post_meta($post_id, 'my_cover_featuredimg', true ) !="")
						{
							$id_to_delete = get_post_meta($post_id, 'my_cover_featuredimg', true );
							wp_delete_attachment($id_to_delete, true);
						}
						update_post_meta($post_id, 'my_cover_featuredimg', $attach_id);
						//get attach image url 
						$image_link = wp_get_attachment_image_src( $attach_id, 'maxwheels-blog-thumb' );
						$return = array('message' => esc_html__('Image uploaded successfully.', 'maxwheels-framework' ), 'img_link' => $image_link[0]);
						wp_send_json_success($return);
					}
					else
					{
						$return = array('message' => esc_html__('An unexpected error occurred while uploading your image, please try again later.', 'maxwheels-framework'));
					wp_send_json_error($return);
					}
				}
				else
				{
					$return = array('message' => esc_html__('Sorry, only JPG, JPEG, and PNG files are allowed.', 'maxwheels-framework'));
					wp_send_json_error($return);
				}
			}
			else
			{
				$return = array('message' => esc_html__( 'Please select an image to upload.', 'maxwheels-framework' ));
				wp_send_json_error($return);
			}
		}
	}
}

// Buyer Profile Update
add_action( 'wp_ajax_mw_buyer_update', 'maxwheels_framework_mw_buyer_update' );
if (!function_exists ( 'maxwheels_framework_mw_buyer_update' ))
{
	function maxwheels_framework_mw_buyer_update()
	{
		$params = array();
		parse_str($_POST['collect_data'], $params);
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin(get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(!wp_verify_nonce($params['buyer_up_nonce'], 'prop-buyer-up-nonce'))
		{
			 $return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
      		 wp_send_json_error($return);
   		}
		else
		{
			//sanatize fields
			if(isset($params[ 'buyer_id' ]) && $params['buyer_id' ]!="")
			{
				$buyer_id = $params[ 'buyer_id' ];
				$buyer_name = isset( $params[ 'buyer-name' ] ) ? wp_kses_post( $params[ 'buyer-name' ] ) : '';
				$buyer_email = isset( $params[ 'buyer-email' ] ) ? sanitize_text_field( $params[ 'buyer-email' ] ) : '';
				$buyer_mobile = isset( $params[ 'buyer-mobile' ] ) ? sanitize_text_field( $params[ 'buyer-mobile' ] ) : '';
				$buyer_whats = isset( $params[ 'buyer-whats' ] ) ? sanitize_text_field( $params[ 'buyer-whats' ] ) : '';
				// Update the meta field in the database.
				$my_buyer = array(
				  'ID'           => $buyer_id,
				  'post_title'   => wp_strip_all_tags($buyer_name),
				  'post_content' => '',
				  'post_author'   => get_current_user_id(),
				  'post_status'   => 'publish',
				  'post_type' 	=> 'mw-buyers'
  				);
  				wp_update_post($my_buyer);
				update_post_meta($buyer_id, 'buyer_status', '1' );
				update_post_meta($buyer_id, 'buyer_email', $buyer_email);
				update_post_meta($buyer_id, 'buyer_mobile', $buyer_mobile );
				update_post_meta($buyer_id, 'buyer_whats', $buyer_whats );
				//agency location
				$return = array('message' => esc_html__('Account settings updated successfully.', 'maxwheels-framework' ),'link' => get_the_permalink($buyer_id));
      		 	wp_send_json_success($return);
			}
			else
			{
				$return = array('message' => esc_html__('Something went wrong, please try again.', 'maxwheels-framework'));
      		 	wp_send_json_error($return);
			}
  		}
	}
}