<?php
// Ajax handler for Register User
add_action( 'wp_ajax_mw_user_registration', 'maxwheels_framework_user_registration' );
add_action( 'wp_ajax_nopriv_mw_user_registration', 'maxwheels_framework_user_registration' );
if (!function_exists ( 'maxwheels_framework_user_registration' ))
{
	function maxwheels_framework_user_registration()
	{
		$params = array();
		parse_str($_POST['collect_data'], $params);
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(!wp_verify_nonce($params['register_nonce'], 'prop-register-nonce'))
		{
			 $return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
      		 wp_send_json_error($return);
   		}
        else
		{
			$country_code  = $number  = '';
			$username = trim(sanitize_text_field($params['username']));
			$displayname = trim(sanitize_text_field($params['displayname']));
      		$email = trim(sanitize_email($params['email']));
			$password = trim(sanitize_text_field( $params['password'] ));
			$number  = trim(sanitize_text_field( $params['contactno'] ));
			$country_code  = trim($params['ihs-country-code']);
			if(maxwheels_framework_get_options('mw_user_role_type') == '' || maxwheels_framework_get_options('mw_user_role_type') == 'both')
			{
				$user_role_type = trim(sanitize_text_field($params['usertype']));
			}
			else
			{
				$user_role_type = trim(sanitize_text_field(maxwheels_framework_get_options('mw_user_role_type')));
			}
			if(empty($username)){
				$return = array('message' => esc_html__( 'Please enter a username.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			if(empty($displayname)){
				$return = array('message' => esc_html__( 'Display name is required.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			if(empty($user_role_type)){
				$return = array('message' => esc_html__( 'User type is required.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			if(empty($password)){
				$return = array('message' => esc_html__( 'Please choose a password with at least 3-12 characters.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			if ( !is_email( $email ) ) {
				$return = array('message' => esc_html__( 'Please enter a valid email address.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			if( email_exists($email) == false )
			{
				$user_name	=	explode('@', $email);
				$u_name	=	maxwheels_framework_check_user_name($user_name[0]);
				$user_id  = wp_create_user($u_name,$password, $email);
				if (!is_wp_error($user_id) )
				{
					wp_update_user(array('ID' =>$user_id,'display_name'=>$username));
					if(!empty($user_role_type))
					{
                        //if free package assign option is enabled
                        if(!empty(maxwheels_framework_get_options('mw_woo_enable_packages')) && maxwheels_framework_get_options('mw_woo_enable_packages') == true && in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' )) ))
                        {
                            if(!empty(maxwheels_framework_get_options('mw_listing_package_type')))
                            {
                                $product_id = maxwheels_framework_get_options('mw_listing_package_type');
                                maxwheels_framework_store_user_package($user_id, $product_id);
                            }
                        }
                        
						//send email
						if(maxwheels_framework_get_options('mw_email_onregister') == true)
						{
							maxwheels_framework_new_user_email($user_id,$password);
						}
						maxwheels_framework_assign_role_type($username,$user_id,$user_role_type,$password, $email, $displayname, $country_code.$number);
					}
           		}
				else
				{
					$return = array('message' => esc_html__( 'There was an error while processing your request. Please, reload the page and try again.', 'maxwheels-framework' ));
      				wp_send_json_error($return);	
				}
			}
			else
			{
				$return = array('message' => esc_html__( 'This email is already registered, please choose another one.', 'maxwheels-framework' ));
      			wp_send_json_error($return);
			}
  		}
	}
	
}

// Assign Related Role & Type
if (!function_exists ( 'maxwheels_framework_assign_role_type' ))
{
	function maxwheels_framework_assign_role_type($username,$user_id,$user_role_type, $password , $user_mail = '', $displayname = '', $number = '')
	{
		if(!empty($username) && !empty($user_id) && !empty($user_role_type) && !empty($password))
		{
			if($user_role_type == 'dealer')
			{
				$post_type = 'mw-dealer';
				$status =    'dealer_status';
				$email =    'dealer_email';
				$number_key = 'dealer_mobile';
			}
			if($user_role_type == 'buyer')
			{
				$post_type = 'mw-buyers';
				$status =    'buyer_status';
				$email =    'buyer_email';
				$number_key = 'buyer_mobile';
			}
			
			if(isset($post_type) && $post_type !="")
			{
				$new_post = array(
				  'post_title'      => trim(sanitize_text_field($displayname)),
				  'post_type'       => $post_type ,
				  'post_status'     => 'publish',
				  'post_author'     => $user_id, 
				);
				$inserted_id =  wp_insert_post($new_post);
				update_post_meta($inserted_id, $status, '1');
				update_post_meta($inserted_id, 'mw_user_id', $user_id);
				//get user email
				$user_email = get_the_author_meta( 'user_email', $user_id );
				update_post_meta($inserted_id, $email, $user_email);
				update_post_meta($inserted_id, $number_key, $number);
				update_post_meta($inserted_id, 'mw_sponsored_profile', 0);
				// update against current user
				update_user_meta($user_id, 'mw_post_id', $inserted_id);
				update_user_meta($user_id, 'user_role_type', $user_role_type);

                wp_clear_auth_cookie();
                // now logged in current user
                maxwheels_framework_auto_logged($user_mail,$password,true);
       	    }
		}
	}
}


// Auto Logged In Users
if (!function_exists ( 'maxwheels_framework_auto_logged' ))
{
	function maxwheels_framework_auto_logged($user_mail, $password, $remember,$message = false)
	{
		$info = array();
		$info['user_login'] = $user_mail;
		$info['user_password'] = $password;
		$info['remember'] = true;
		$user_signon = wp_signon($info,false);
		if (is_wp_error($user_signon) )
		{
			$return = array('message' => esc_html__( 'Wrong username or password.', 'maxwheels-framework' ));
      		wp_send_json_error($return);
		} 
		else
		{
			//wp_clear_auth_cookie();
			//do_action('wp_login', $user_signon->ID);
			wp_set_current_user($user_signon->ID);
			wp_set_auth_cookie($user_signon->ID);
			maxwheels_framework_page_redirect($message);
		}
   	    die();
	}
}

// Registration With Social
add_action( 'wp_ajax_mw_user_registration_social', 'maxwheels_framework_user_registration_social' );
add_action( 'wp_ajax_nopriv_mw_user_registration_social', 'maxwheels_framework_user_registration_social' );
if (!function_exists ( 'maxwheels_framework_user_registration_social'))
{
	function maxwheels_framework_user_registration_social()
	{
        if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
        
       $network = (isset($_POST['sb_network'])) ? $_POST['sb_network'] : '';
       $response_response = false;
       $user_name = "";
       if($network == 'facebook')
       {
            $access_token = (isset($_POST['access_token'])) ? $_POST['access_token'] : '';
            $token_verify = wp_remote_get("https://graph.facebook.com/me?fields=name,email&access_token=$access_token");
            if(isset($token_verify['response']['code']) && $token_verify['response']['code'] == '200')
            {
                $info = (json_decode($token_verify['body']));
                if(isset($_POST['email']) && isset($token_verify['body']))
                {
                    if(isset($info->email) && $info->email == $_POST['email'])
                    {
                        $user_name = $info->email;
                        $response_response = true;
                    }
                }
            }
       }
       else if($network == 'google')
       {
            $access_token = (isset($_POST['access_token'])) ? $_POST['access_token'] : '';
            $token_verify = wp_remote_get("https://www.googleapis.com/oauth2/v1/tokeninfo?access_token=$access_token");
            if(isset($token_verify['response']['code']) && $token_verify['response']['code'] == '200')
            {
                $info = (json_decode($token_verify['body']));
                if(isset($_POST['email']) && isset($token_verify['body']))
                {
                    if(isset($info->email) && $info->email == $_POST['email'])
                    {
                        $user_name = $info->email;
                        $response_response = true;
                    }
                }
            }
       }       
       if($response_response == false)
       { 
            $return = array('message' => esc_html__( 'Request timeout.', 'maxwheels-framework' ));
			wp_send_json_error($return);
       }
        
        
		if(!empty($_POST['name']) && !empty($_POST['email']))
		{
			$username = trim(sanitize_text_field($_POST['name']));
      		$email = trim(sanitize_email($_POST['email']));
			if(email_exists($email) == false)
			{
				$password = wp_generate_password(5, false);
				$user_name	=	explode('@',$email);
				$u_name	=	maxwheels_framework_check_user_name($user_name[0]);
				$user_id  = wp_create_user($u_name,$password,$email);
				if (!is_wp_error($user_id) )
				{
					wp_update_user(array('ID' =>$user_id,'display_name'=>$username));
					wp_clear_auth_cookie();
					//send email
					if(maxwheels_framework_get_options('mw_email_onregister') == true)
					{
						maxwheels_framework_new_user_email($user_id,$password);
					}
                    //if free package assign option is enabled
                    if(!empty(maxwheels_framework_get_options('mw_woo_enable_packages')) && maxwheels_framework_get_options('mw_woo_enable_packages') == true && in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' )) ))
                    {
                        if(!empty(maxwheels_framework_get_options('mw_listing_package_type')))
                        {
                            $product_id = maxwheels_framework_get_options('mw_listing_package_type');
                            maxwheels_framework_store_user_package($user_id, $product_id);
                        }
                    }
					// now logged in current user
					maxwheels_framework_auto_logged($email,$password,true);
				}
				else
				{
					$return = array('message' => esc_html__( 'There was an error while processing your request. Please, reload the page and try again.', 'maxwheels-framework' ));
      				wp_send_json_error($return);	
					die();
				}
			}
			else
			{
				$user = get_user_by('email',$email);
				$user_id = $user->ID;
				$my_password = $user->data->user_pass;
				wp_set_current_user($user_id);
				wp_set_auth_cookie($user_id);
				maxwheels_framework_page_redirect(true);
				die();
			}
		}
		else
		{
			$return = array('message' => esc_html__( 'Something went wrong. Please try again later.', 'maxwheels-framework' ));
      		wp_send_json_error($return);
		}
	}
}

// Check username
if (! function_exists ( 'maxwheels_framework_check_user_name' ))
{
	function maxwheels_framework_check_user_name( $username = '' )
	{
		if ( username_exists( $username ) )
		{
			$random = rand();
			$username	=	$username . '-' . $random;
			maxwheels_framework_check_user_name($username);		
		}
		return $username;
	}
}
// Page Redirection After Looged In Or Register
if (! function_exists ( 'maxwheels_framework_page_redirect' ))
{
	function maxwheels_framework_page_redirect($action_type = '')
	{
		$page_redirection = '';
		$page_redirection = maxwheels_framework_get_link('page-dashboard.php');
		if(maxwheels_framework_get_options('mw_success_page') !="")
		{
			$page_link = '';
			$page_link = maxwheels_framework_get_options('mw_success_page');
			$page_redirection = get_the_permalink($page_link);
		}
		if(!empty($action_type) && $action_type == true)
		{
			$msg = esc_html__( 'Logged in successfully redirecting...', 'maxwheels-framework');
		}
		else
		{
			$msg = esc_html__( 'User registered successfully redirecting...', 'maxwheels-framework');
		}
		$return = array('message' => $msg,'page_link' => esc_url($page_redirection));
		wp_send_json_success($return);
		die();
	}
}
// Ajax handler for Login User
add_action( 'wp_ajax_mw_user_login', 'maxwheels_framework_user_login' );
add_action( 'wp_ajax_nopriv_mw_user_login', 'maxwheels_framework_user_login' );
if (!function_exists ( 'maxwheels_framework_user_login' ))
{
	function maxwheels_framework_user_login()
	{
		$params = array();
		parse_str($_POST['collect_data'], $params);
		if(!wp_verify_nonce($params['login_nonce'], 'prop-login-nonce'))
		{
			 $return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
      		 wp_send_json_error($return);
   		}
		else
		{
			$email = trim(sanitize_email($params['email']));
			$password = trim(sanitize_text_field( $params['password'] ));
			// Check the e-mail address
			if(empty($email))
			{
				$return = array('message' => esc_html__( 'Please type your e-mail address.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			if(empty($password)){
				$return = array('message' => esc_html__( 'Please choose a password with at least 3-12 characters.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			if ( !is_email( $email ) ) {
				$return = array('message' => esc_html__( 'Please enter a valid email address.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			if(!email_exists($email)) {
				$return = array('message' => esc_html__( 'There is no user registered with that email address.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
       		}
			//wp_clear_auth_cookie();
			maxwheels_framework_auto_logged($email,$password,true,true);
			die();
		}
	}
}

// Ajax handler for Forgot Password
add_action( 'wp_ajax_mw_forgot_pass', 'maxwheels_framework_user_forgot_pass' );
add_action( 'wp_ajax_nopriv_mw_forgot_pass', 'maxwheels_framework_user_forgot_pass' );
if (!function_exists ( 'maxwheels_framework_user_forgot_pass' ))
{
	function maxwheels_framework_user_forgot_pass()
	{
		$params = array();
		parse_str($_POST['collect_data'], $params);
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(!wp_verify_nonce($params['reset_nonce'], 'prop-reset-nonce'))
		{
			 $return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
      		 wp_send_json_error($return);
   		}
		else
		{
      		$email = trim(sanitize_email($params['email']));
			if(empty($email))
			{
				$return = array('message' => esc_html__( 'Please type your e-mail address.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			else if ( !is_email( $email ) )
			{
				$return = array('message' => esc_html__( 'Please enter a valid e-mail address.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			else if(!email_exists($email)) {
				$return = array('message' => esc_html__( 'There is no user registered with that email address.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
       		}
			else
			{
				$user = get_user_by('email', $email);
				$user_email = $user->user_login;
				$reset_key = get_password_reset_key($user);
				$signinlink = maxwheels_framework_get_link('page-signin.php');
				$reset_link = esc_url($signinlink.'?action=rp&key='.$reset_key.'&login='.rawurlencode($user_email));
				maxwheels_framework_forgotpass_email($user->ID,$reset_link);
				$return = array('message' => esc_html__( 'Check your e-mail for the confirmation link.', 'maxwheels-framework' ));
				wp_send_json_success($return);
				die();
			}
		}
	}
}

// Ajax handler for Reset New Password
add_action( 'wp_ajax_mw_forgot_pass_new', 'maxwheels_framework_user_forgot_pass_new' );
add_action( 'wp_ajax_nopriv_mw_forgot_pass_new', 'maxwheels_framework_user_forgot_pass_new' );
if (!function_exists ( 'maxwheels_framework_user_forgot_pass_new' ))
{
	function maxwheels_framework_user_forgot_pass_new()
	{
		$params = array();
		parse_str($_POST['collect_data'], $params);
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(!wp_verify_nonce($params['pass_nonce'], 'prop-new-nonce'))
		{
			 $return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
      		 wp_send_json_error($return);
   		}
		else
		{
			if(!empty($params['requested_user_id']))
			{
				$password = trim(sanitize_text_field( $params['password'] ));
				$user_id = $params['requested_user_id'];
				if(empty($password)){
					$return = array('message' => esc_html__( 'Please choose a password with at least 3-12 characters.', 'maxwheels-framework' ));
					wp_send_json_error($return);	
				}
				wp_set_password($password, $user_id);
				$return = array('message' => esc_html__( 'Your password has been changed. You can now log in with your new credentials.', 'maxwheels-framework' ));
				wp_send_json_success($return);	
			}
			else
			{
				$return = array('message' => esc_html__( 'Something went wrong. Please try again later.', 'maxwheels-framework' ));
      		wp_send_json_error($return);
			}
		}
	}
}

// Social Logins Assign Roles
add_action( 'wp_ajax_mw_usertype_new', 'maxwheels_framework_usertype_registration' );
if (!function_exists ( 'maxwheels_framework_usertype_registration' ))
{
	function maxwheels_framework_usertype_registration()
	{
		$params = array();
		parse_str($_POST['collect_data'], $params);
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(!wp_verify_nonce($params['usertype_nonce'], 'prop-usertype-nonce'))
		{
			 $return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
      		 wp_send_json_error($return);
   		}
		else
		{
            
			$user_role_type = trim(sanitize_text_field($params['usertype']));
			$displayname = trim(sanitize_text_field($params['displayname']));
			if(empty($user_role_type)){
				$return = array('message' => esc_html__( 'User type is required.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			if(empty($displayname)){
				$return = array('message' => esc_html__( 'Display name is required.', 'maxwheels-framework' ));
      			wp_send_json_error($return);	
			}
			$current_user = wp_get_current_user();
			if(!empty($current_user))
			{
				$username = $current_user->display_name;
				$user_id =  $current_user->ID;
				$user_email =  $current_user->user_email;
				//time to assgin admin a role
				maxwheels_framework_assign_selected_roles($username,$user_id,$user_role_type,$user_mail,$displayname);
				//redirect back
				$page_redirection = maxwheels_framework_get_link('page-dashboard.php');
				$return = array('message' => esc_html__( 'Redirecting please wait...', 'maxwheels-framework'),'page_link' => esc_url($page_redirection));
				wp_send_json_success($return);
			}
			else
			{
				$return = array('message' => esc_html__( 'Something went wrong. Please try again later.', 'maxwheels-framework' ));
      			wp_send_json_error($return); 
			}
  		}
	}
}