<?php
// Ajax handler for Pagination
add_action( 'wp_ajax_mw_dealer_search', 'maxwheels_framework_dealer_search' );
add_action( 'wp_ajax_nopriv_mw_dealer_search', 'maxwheels_framework_dealer_search' );
if (!function_exists ( 'maxwheels_framework_dealer_search' ))
{
	function maxwheels_framework_dealer_search()
	{
		$params = array();
		parse_str($_POST['collect_data'], $params);
		$page_no = '';
        if (isset($_POST['page_no'])) {
            $page_no = $_POST['page_no'];
        } else {
            $page_no = 1;
        }
		$filter_html = '<div class="filter-tags"><ul class="filter-tags-list"><li class="filter-tags-render"><span class="filter-reset">'.esc_html__( 'Clear All', 'maxwheels-framework' ).':</span>'.esc_html__( 'Filters', 'maxwheels-framework' ).'<a href="javascript:void(0)" id="reset_ajax_result" class="filter-reset-btn">×</a></li></ul></div>';
		//Listing Title
        $title = '';
        if (isset($params['by_title']) && $params['by_title'] != "") {
            $title = $params['by_title'];
        }
		//Listing Places
		$places = array();
        if (isset($params['places_search']) && $params['places_search'] != "") {
			$places = array(
				'key' => 'dealer_street_addr',
				'value' => $params['places_search'],
				'compare' => 'LIKE',
			);
        }
		$by_location = '';
		if(empty($_POST['loc']) && empty($_POST['id_del']))
	    {
			if (isset($params['location']) && $params['location'] != "")
			{
				$by_location = array(
                    array(
                        'taxonomy' => 'mw-dealer-locations',
                        'field' => 'slug',
                        'terms' => $params['location'],
                    ),
                );
			}
			else
			{
				$by_location = '';
			}
			
	    }
		else
		{
			if($_POST['id_del'] == "yes" && $_POST['loc'] == '')
			{
				$by_location = '';
			}
			else
			{
				$by_location = array(
                    array(
                        'taxonomy' => 'mw-dealer-locations',
                        'field' => 'slug',
                        'terms' => $params['location'],
                    ),
                );
			}
		}
		//near me
		$lat_lng_meta_query = $data_array = array();
		if (isset($params['latitude']) && $params['latitude'] != "" && isset($params['longitude']) && $params['longitude'] != "" && isset($params['distance']) && $params['distance'] != "")
		{
			$latt = $params['latitude'];
			$long = $params['longitude'];
			$distance = $params['distance'];
			$data_array = array("latitude" => $latt, "longitude" => $long, "distance" => $distance);
			$lats_longs = maxwheels_min_max_latt_long($data_array);
			if(is_array($lats_longs) && !empty($lats_longs) && count($lats_longs) > 0)
			{
				$lat_lng_meta_query[] = array(
                    'key' => 'dealer_latt',
                    'value' => array($lats_longs['lat']['min'], $lats_longs['lat']['max']),
                    'compare' => 'BETWEEN',
                    'type' => 'DECIMAL',
                );
				$lat_lng_meta_query[] = array(
                    'key' => 'dealer_long',
                    'value' => array($lats_longs['long']['min'], $lats_longs['long']['max']),
                    'compare' => 'BETWEEN',
                    'type' => 'DECIMAL',
                );
				add_filter('get_meta_sql', 'maxwheels_decimal_precision');
				if (!function_exists('maxwheels_decimal_precision'))
				{
                    function maxwheels_decimal_precision($array)
					{
                        $array['where'] = str_replace('DECIMAL', 'DECIMAL(10,3)', $array['where']);
                        return $array;
                    }
                }
			}
		}
		//sorting
		$order = 'DESC';
		$orderby = array(
		    'meta_value' => 'DESC',
			'post_date'      => 'DESC',
		);
		if (isset($_POST['sort_by']) && $_POST['sort_by'] != "") {
			
			$sort_type = $_POST['sort_by'];
			//oldest
			if($sort_type == 'oldest')
			{
				$orderby = array(
					'meta_value' => 'ID',
					'post_date'      => 'ASC',
				);
				$order = 'ASC';
			}
			//newset
			if($sort_type == 'newest')
			{
				$orderby = array(
					'meta_value' => 'DESC',
					'post_date'      => 'DESC',
				);
				$order = 'DESC';
			}
			//title asc
			if($sort_type == 'title-asc')
			{
				$orderby = array(
					'meta_value' => 'DESC',
					'title' => 'ASC'
				);
				$order = 'ASC';
			}
			//tile desc
			if($sort_type == 'title-desc')
			{
				$orderby = array(
					'meta_value' => 'DESC',
					'title' => 'DESC'
				);
				$order = 'DESC';
			}
			
		}
        $args	=	array
	    (
		's' => $title,
		'post_type' => 'mw-dealer',
		'post_status' => 'publish',
		'posts_per_page' => get_option('posts_per_page'),
		'paged' => $page_no,
        'fields' => 'ids',
		'meta_key' => 'mw_sponsored_profile',
		'meta_query'    => array(
			array(
				'key'       => 'dealer_status',
				'value'     => '1',
				'compare'   => '=',
			),
			$lat_lng_meta_query,
			$places
		),
		'tax_query' => array(
			$by_location
		),
		'orderby'  => $orderby,
		'order'=> $order,
	  );


        $results = new WP_Query( $args );


	   $fetch_output = '';
       if ($results->have_posts())
	   {
		   require trailingslashit(get_template_directory()) . 'template-parts/search/dealer-search/grids/grids.php';
		   $return = array('total_results' => $results->found_posts ,'pagination' => maxwheels_pagination_search($results, $page_no) , 'fliters' => $filter_html,  'listings' => $fetch_output, );
		   wp_send_json_success($return);
	   }
	   else
	   {
		   
		   $no_result = maxwheels_framework_no_result_found();
		   $return = array('fliters' => $filter_html,  'no_result' => $no_result,'total_results' => $results->found_posts);
		   wp_send_json_error($return);
	   }
	}
}


// Ajax handler for Suggestions
add_action( 'wp_ajax_mw_dealer_search_suggestions', 'maxwheels_framework_dealer_search_suggestions' );
add_action( 'wp_ajax_nopriv_mw_dealer_search_suggestions', 'maxwheels_framework_dealer_search_suggestions' );
if (!function_exists ( 'maxwheels_framework_dealer_search_suggestions' ))
{
	function maxwheels_framework_dealer_search_suggestions()
	{
		if (!empty($_GET['q']))
		{
			$return = array();
			$keyword = trim(strtolower(esc_sql($_GET['q'])));
			$search_results = new WP_Query(array(
                's' => $keyword,
                'post_type' => 'mw-dealer',
                'post_status' => 'publish',
                'posts_per_page' => 15,
                'fields' => 'ids',
				'meta_query'    => array(
				array(
						'key'       => 'dealer_status',
						'value'     => '1',
						'compare'   => '=',
					),
				),
            ));
			if ($search_results->have_posts())
			{
				while ($search_results->have_posts())
				{
					 $search_results->the_post();
                     $dealer_id = get_the_ID();
					 $title = get_the_title($dealer_id);
					 $return[] = maxwheels_clean_titles($title);
				}
				wp_reset_postdata();
			}
			echo json_encode($return);
		}
		die();
	}
}

//Load More Results
add_action( 'wp_ajax_mw_loadmore_agencies', 'maxwheels_framework_load_moreagencies' );
add_action( 'wp_ajax_nopriv_mw_loadmore_agencies', 'maxwheels_framework_load_moreagencies' );
if (!function_exists ( 'maxwheels_framework_load_moreagencies' ))
{
	function maxwheels_framework_load_moreagencies()
	{
		$page_no = '';
		$limit = $_POST['limit'] ? $_POST['limit'] : '8';
		$type = $_POST['type'] ? $_POST['type'] : 'all';
		$order_status = $_POST['order'] ? $_POST['order'] : 'desc';
		$layout = $_POST['layout'] ? $_POST['layout'] : 'grid1';
		$grid_type = $layout;
		$page_no =  $_POST['page_no'] ? $_POST['page_no'] : 1;
		$column_no =  $_POST['max_cols'] ? $_POST['max_cols'] : 4;
		$offset = '';
		if($paged > 1)
		{
			$offset = ( $page_no - 1 ) * $limit;
		}
		//order
		$order = 'DESC';
		$order_by = 'date';
		if ($order_status == 'asc')
		{
			$order = 'ASC';
		}
		if ($order_status == 'desc')
		{
			$order = 'DESC';
		}
		if ($order_status == 'rand')
		{
			 $order_by = 'rand';
		}
		//listing type
		if ($type == 'simple')
		{
			$listing_type = array(
				'key' => 'mw_sponsored_profile',
				'value' => 0,
				'compare' => '=',
			 );
		}
		else if ($type == 'featured')
		{
			$listing_type = array(
				'key' => 'mw_sponsored_profile',
				'value' => 1,
				'compare' => '=',
			 );
		}
		else
		{
			$listing_type = '';
		}
		$args	=	array
		(
			'post_type' => 'mw-dealer',
			'post_status' => 'publish',
			'posts_per_page' =>$limit,
			'offset'     =>  $offset,
			'paged' =>$page_no,
			'meta_query'    => array(
				array(
					'key'       => 'dealer_status',
					'value'     => '1',
					'compare'   => '=',
				),
				$listing_type
			),
			'order'=> $order,
			'orderby' => $order_by,
		);
		$fetch_output = '';
		$results = new WP_Query( $args );
		if ($results->have_posts())
		{
			$layout_type = new maxwheels_get_dealers();
			$function = "maxwheels_get_dealers_$grid_type";
			while ($results->have_posts())
			{
				$results->the_post();
				$dealer_id = get_the_ID();
				$fetch_output .= $layout_type->$function($dealer_id,$column_no);
			}
			wp_reset_postdata();
			$return = array('listings' => $fetch_output);
			wp_send_json_success($return);
		}
		else
		{
			   $return = array('no_result' =>true);
			   wp_send_json_error($return);
		}
		
	}
}


// Ajax handler for Suggestions
add_action( 'wp_ajax_fetch_suggestions', 'maxwheels_framework_fetch_suggestions' );
add_action( 'wp_ajax_nopriv_fetch_suggestions', 'maxwheels_framework_fetch_suggestions' );
if (!function_exists ( 'maxwheels_framework_fetch_suggestions' ))
{
	function maxwheels_framework_fetch_suggestions()
	{
		if (!empty($_GET['q']))
		{
			$all_idz = $tags = $all_listings = $cat_array = array();
			$return = array();
			$keyword = trim(strtolower(esc_sql($_GET['q'])));
			$search_results = new WP_Query(array(
                's' => $keyword,
                'post_type' => 'mx-listings',
                'post_status' => 'publish',
                'posts_per_page' => 15,
                'fields' => 'ids',
				'meta_query'    => array(
				array(
						'key'       => 'mw_status',
						'value'     => '1',
						'compare'   => '=',
					),
				),
            ));
			if ($search_results->have_posts())
			{
				while ($search_results->have_posts())
				{
					 $search_results->the_post();
                     $mw_id = get_the_ID();
					 $title = get_the_title($mw_id);
					 $all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
					 $all_listings[] = array("id" => $mw_id, "with_title" =>maxwheels_clean_titles($title), "img" =>maxwheels_framework_img_src($all_idz,'maxwheels-small-thumb'), 'link' => get_the_permalink($mw_id));
				}
				wp_reset_postdata();
			}
			// categories
			$myterms = get_terms( array( 'taxonomy' => 'mw-category', 'hide_empty' => false, 'name__like' => $keyword ) );
			if ( !empty($myterms) )
			{
				foreach( $myterms as $category )
				{
					 $cat_array[] = array("id" => $category->slug, "cat_name" => maxwheels_clean_titles($category->name), "cat_icon" => '');
				}
			}
			echo json_encode(array(
            "status" => true,
            "error" => null,
				"data" => array(
					"listings" => $all_listings,
					"categories" => $cat_array,
				)
        	));
		}
		else
		{
			echo json_encode(array(
            "status" => false,
            "error" => null,
				"data" => array()
        	));
		}
		die();
	}
}