<?php
// Ajax handler for Pagination
add_action( 'wp_ajax_mw_listing_search', 'maxwheels_framework_listing_search' );
add_action( 'wp_ajax_nopriv_mw_listing_search', 'maxwheels_framework_listing_search' );
if (!function_exists ( 'maxwheels_framework_listing_search' ))
{
	function maxwheels_framework_listing_search()
	{
		
		$params = array();
		parse_str($_POST['collect_data'], $params);
		$page_no = '';
        if (isset($_POST['page_no'])) {
            $page_no = $_POST['page_no'];
        } else {
            $page_no = 1;
        }
		$layout_type = 'grid';
		if (isset($params['layout-type']) && $params['layout-type'] == "list") {
			$layout_type = 'list';
		}

		//by title
        $title = '';
        if (isset($params['by_title']) && $params['by_title'] != "") {
            $title = $params['by_title'];
        }
		//by author
		$author_slug = '';
        if (isset($params['inventory-author']) && $params['inventory-author'] != "") {
            $author_slug = $params['inventory-author'];
        }
        //by category
        $by_category = '';
        if (isset($params['category']) && $params['category'] != "" || isset($params['id_del']) && $params['id_del'] != "" && $params['id_del'] == "yes")
        {
            if(isset($params['id_del']) && $params['id_del'] == "yes" && $params['category'] == '')
            {
                $by_category = '';
            }
            else
            {
			
                $by_category = array(
                    array(
                        'taxonomy' => 'mw-category',
                        'field' => 'slug',
                        'terms' => $params['category'],
                    ),
                );
            }
        }
        //by condition
		$by_condition = '';
        if (isset($params['condition']) && $params['condition'] != "") {
            $by_condition = array(
				array(
					'taxonomy' => 'mw-condition',
					'field' => 'slug',
					'terms' => $params['condition'],
				),
			);
        }
        $by_location = '';
        if (isset($params['location']) && $params['location'] != "" || isset($params['id_del']) && $params['id_del'] != "" && $params['id_del'] == "yes")
        {
            if(isset($params['id_del']) && $params['id_del'] == "yes" && $params['location'] == '')
            {
                $by_location = '';
            }
            else
            {

                $by_location = array(
                    array(
                        'taxonomy' => 'mw-location',
                        'field' => 'slug',
                        'terms' => $params['location'],
                    ),
                );
            }
        }
		//by offer type
		$by_type = '';
        if (isset($params['type']) && $params['type'] != "") {
            $by_type = array(
				array(
					'taxonomy' => 'mw-Labels',
					'field' => 'slug',
					'terms' => $params['type'],
				),
			);
        }
        //by bodytype
		$by_bodytype = '';
        if (isset($params['body-types']) && $params['body-types'] != "") {
            $by_bodytype = array(
				array(
					'taxonomy' => 'mw-bodytype',
					'field' => 'slug',
					'terms' => $params['body-types'],
				),
			);
        }
        //by fuel
		$by_fueltype = '';
        if (isset($params['fuel']) && $params['fuel'] != "") {
            $by_fueltype = array(
				array(
					'taxonomy' => 'mw-fuel',
					'field' => 'slug',
					'terms' => $params['fuel'],
				),
			);
        }
        //by years
        $by_year = '';
        if (isset($params['years']) && $params['years'] != "") {
            $by_year = array(
				array(
					'taxonomy' => 'mw-year',
					'field' => 'slug',
					'terms' => $params['years'],
				),
			);
        }
        //by transmission
        $by_transmission = '';
        if (isset($params['transmission']) && $params['transmission'] != "") {
            $by_transmission = array(
				array(
					'taxonomy' => 'mw-transmission',
					'field' => 'slug',
					'terms' => $params['transmission'],
				),
			);
        }
        //by drive type
        $by_drive = '';
        if (isset($params['drive-type']) && $params['drive-type'] != "") {
            $by_drive = array(
				array(
					'taxonomy' => 'mw-drive',
					'field' => 'slug',
					'terms' => $params['drive-type'],
				),
			);
        }
        //by exterior colors
        $by_colors = '';
        if (isset($params['exterior-colors']) && $params['exterior-colors'] != "") {
            $by_colors = array(
				array(
					'taxonomy' => 'mw-exterior-color',
					'field' => 'slug',
					'terms' => $params['exterior-colors'],
				),
			);
        }
        //by owners
        $by_owners = '';
        if (isset($params['owners']) && $params['owners'] != "") {
            $by_owners = array(
				array(
					'taxonomy' => 'mw-owners',
					'field' => 'slug',
					'terms' => $params['owners'],
				),
			);
        }
        //by seller types
        $by_seller_type = '';
        if (isset($params['seller-type']) && $params['seller-type'] != "") {
            $by_seller_type = array(
				array(
					'key' => 'mw_auth_seller_type',
					'value' => $params['seller-type'],
					'compare' => 'IN',
				),
			);
        }
		
        //by mileage
        $m_to = $m_from = $mil_values  = $mileage  = $by_mileage = '';
        if (isset($params['km-driven']) && $params['km-driven'] != "") {
            $mileage     = $params['km-driven'];
            $mil_values  = explode(";", $mileage);
            $m_from      = $mil_values[0]; 
            $m_to        = $mil_values[1];
            if (!empty($m_from) && !empty($m_to))
            {
                if ($m_from >= 0 && $m_from < $m_to)
                {
                     $by_mileage = array(
                        'key' => 'mw_mileage',
                        'value' => array($m_from, $m_to),
                        'type' => 'numeric',
                        'compare' => 'BETWEEN',
    			     );
                }
                else
                {
                     $by_mileage = array(
                        'key' => 'mw_mileage',
                        'value' => $m_from,
                        'type' => 'numeric',
                        'compare' => '>=',
                     );
                }
            }
        }
        
        //by price
        $by_price = $max_price = $min_price = '';
        if(!empty($params['min-price']) && !empty($params['max-price'])) {
             $min_price = doubleval($params['min-price']);
             $max_price = doubleval($params['max-price']);
             if ($min_price >= 0 && $min_price < $max_price )
             {
                $by_price = array(
					'key' => 'mw_price',
					'value' => array($min_price, $max_price),
					'type' => 'numeric',
					'compare' => 'BETWEEN',
    			 );
             }
             else
			 {
				 $by_price = array(
					'key' => 'mw_price',
					'value' => $min_price,
					'type' => 'numeric',
					'compare' => '>=',
    			 );
			 }
        }
        
        //near me radius
        $lat_lng_meta_query = $data_array = array();
		if (isset($params['latitude']) && $params['latitude'] != "" && isset($params['longitude']) && $params['longitude'] != "" && isset($params['distance']) && $params['distance'] != "")
		{
			$latt = $params['latitude'];
			$long = $params['longitude'];
			$distance = $params['distance'];
			$data_array = array("latitude" => $latt, "longitude" => $long, "distance" => $distance);
			$lats_longs = maxwheels_min_max_latt_long($data_array);
			if(is_array($lats_longs) && !empty($lats_longs) && count($lats_longs) > 0)
			{
				$lat_lng_meta_query[] = array(
                    'key' => 'mw_latt',
                    'value' => array($lats_longs['lat']['min'], $lats_longs['lat']['max']),
                    'compare' => 'BETWEEN',
                    'type' => 'DECIMAL',
                );
				$lat_lng_meta_query[] = array(
                    'key' => 'mw_long',
                    'value' => array($lats_longs['long']['min'], $lats_longs['long']['max']),
                    'compare' => 'BETWEEN',
                    'type' => 'DECIMAL',
                );
				add_filter('get_meta_sql', 'maxwheels_decimal_precision');
				if (!function_exists('maxwheels_decimal_precision'))
				{
                    function maxwheels_decimal_precision($array)
					{
                        $array['where'] = str_replace('DECIMAL', 'DECIMAL(10,3)', $array['where']);
                        return $array;
                    }
                }
			}
		}
        $static_array = array(
               "by_title"=> esc_html__('Title','maxwheels-framework'),
                "condition"=> "mw-condition",
                "location"=> "mw-location",
				"type"=> "mw-Labels",
                "body-types"=> "mw-bodytype",
                "fuel"=> "mw-fuel",
                "years"=> "mw-year",
                "transmission"=> "mw-transmission",
                "drive-type"=> "mw-drive",
                "exterior-colors"=> "mw-exterior-color",
                "owners"=> "mw-owners",
                "km-driven"=> esc_html__('Mileage','maxwheels-framework'),
                "seller-type" => esc_html__('Seller Type','maxwheels-framework'),
                "min-price"=> esc_html__('Price','maxwheels-framework'),
                "distance"=> esc_html__('Near Me','maxwheels-framework'),
				"inventory-author"=> "",
				"category"=> "",
				"max-price"=> "",
				"layout-type"=> "",
        );
        $term  = $filters = '';
        foreach($params as $k => $v)
        {
            if(!empty($k) && !empty($v))
            {

                if(is_array($v))
                {
                    $term  =  get_taxonomy($static_array[$k]);
                    if(isset($term) && $term !="")
                    {
                      $filters.= '<li class="filter-tags-render">'.esc_html($term->label).'<a data-check="checkcolumn" data-name="'.$k.'[]" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
                    }
                    else
                    {
                        $filters.= '<li class="filter-tags-render">'.$static_array[$k].'<a data-check="checkcolumn" data-name="'.$k.'[]" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
                    }
                }
                else
                {
                    if($k == 'category' || $k == 'id_del') continue;
                    elseif($k == 'min-price')
                    {
                        $filters.= '<li class="filter-tags-render">'.esc_html($static_array[$k]).' <a data-check="textcolumn" data-name="min-price" data-name-second="max-price" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
                    }
                    elseif($k == 'max-price')
                    {
                    }
                    elseif($k == 'distance')
                    {
                        $filters.= '<li class="filter-tags-render">'.esc_html($static_array[$k]).' <a data-check="nearbyme" data-name="distance" data-name-second="latitude" data-name-third="longitude" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
                    }
                    elseif($k == 'latitude')
                    {
                    }
                    elseif($k == 'longitude')
                    {
                    }
					elseif($k == 'layout-type')
					{
					}
                    elseif($k == 'location')
                    {
                        $term  =  get_taxonomy($static_array[$k]);
                        if(isset($term) && $term !="")
                        {
                            $filters.= '<li class="filter-tags-render">'.esc_html($term->label).'<a data-check="textcolumn" data-name="'.$k.'" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';

                        }
                    }
					elseif($k == 'inventory-author')
					{
						$author_id = get_user_meta($v, 'mw_post_id', true);
						$filters.= '<li class="filter-tags-render">'.get_the_title($author_id).'<a data-check="textcolumn" data-name="inventory-author" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
					}
                    else
                    {
						
                        $filters.= '<li class="filter-tags-render">'.$static_array[$k].'<a data-check="textcolumn" data-name="'.$k.'" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
                    }
                }
				
            }
        }
		
        $filter_html = '<div class="filter-tags"><ul class="filter-tags-list">'.$filters.'</ul></div>';
		
		
			$meta_field_set = $meta_query_arr = array();

		//sorting
		$order = 'DESC';
		$orderby = array(
		    'meta_value' => 'DESC',
			'post_date'      => 'DESC',
		);
		
		$args	=	array
	    (
		's' => $title,
		'author' => $author_slug,
		'post_type' => 'mx-listings',
		'post_status' => 'publish',
		'posts_per_page' => get_option('posts_per_page'),
		'paged' => $page_no,
        'fields' => 'ids',
		'meta_query'    => array(
			'relation'	=> 'AND',
            'relation'	=> 'AND',
            'is_featured' => array(
                'key'		=> 'mw_is_feature_listing',
                'compare'	=> 'EXISTS',
				'type'		=> 'NUMERIC'
            ),
            'be_price'    => array(
                'key'     => 'mw_price',
                'type'    => 'NUMERIC',
                'compare' => 'EXISTS',
		    ),
            'be_mileage'    => array(
                'key'     => 'mw_mileage',
                'type'    => 'NUMERIC',
                'compare' => 'EXISTS',
		    ),
            'be_year'    => array(
                'key'     => 'mw_year',
                'type'    => 'NUMERIC',
                'compare' => 'EXISTS',
		    ),
			array(
				'key'       => 'mw_status',
				'value'     => '1',
				'compare'   => '=',
			),
			$scustom_meta_query,
           $lat_lng_meta_query,
            $by_seller_type,
            $by_mileage,
            $by_price,
		),
		'tax_query' => array(
            $by_category,
            $by_condition,
			$by_type,
            $by_bodytype,
            $by_fueltype,
            $by_year,
            $by_transmission,
            $by_drive,
            $by_colors,
            $by_owners,
            $by_location
		),
	  );   
      $current_sort = isset( $_POST['sort_by'] ) ? esc_attr( $_POST['sort_by'] ) : 'newest';	
      switch( $current_sort ) { 
           case 'newest':
            $args['orderby']  = array( 
                'is_featured' => 'DESC',
                'post_date'   => 'DESC',
            );
            break;
            case 'oldest':
            $args['orderby']  = array( 
                'is_featured' => 'DESC',
                'post_date'   => 'ASC',
            );
            break;   
            case 'price-desc':
            $args['orderby']  = array( 
                'is_featured' => 'DESC',
                'be_price'   => 'DESC',
            );
            break;
            case 'price-asc':
            $args['orderby']  = array( 
                'is_featured' => 'DESC',
                'be_price'   => 'ASC',
            );
            break;   
            case 'mileage-asc':
            $args['orderby']  = array( 
                'is_featured' => 'DESC',
                'be_mileage'   => 'ASC',
            );
            break;
            case 'mileage-desc':
            $args['orderby']  = array( 
                'is_featured' => 'DESC',
                'be_mileage'   => 'DESC',
            );
            break;
            case 'year-desc':
            $args['orderby']  = array( 
                'is_featured' => 'DESC',
                'be_year'   => 'DESC',
            );
            break;
            case 'year-asc':
            $args['orderby']  = array( 
                'is_featured' => 'DESC',
                'be_year'   => 'ASC',
            );
            break;  
      }
	   $results = new WP_Query($args);
	   $map_listings = $fetch_output = '';
       if ($results->have_posts())
	   {
		   if(!empty(maxwheels_framework_get_options('mw_listing_search_layout')) && maxwheels_framework_get_options('mw_listing_search_layout') == 'map')
		   {
			    require trailingslashit(get_template_directory()) . 'template-parts/search/listing-search/grids/maps.php';
				$map_listings = '['.rtrim($map_listings, ',').']';	
		   }
		  else
		   {
			    set_query_var('mw-layout-type', $layout_type);
				require trailingslashit(get_template_directory()) . 'template-parts/search/listing-search/grids/grids.php';
				$map_listings = '';
		   }
		   $return = array('total_results' => $results->found_posts ,'pagination' => maxwheels_pagination_search($results, $page_no) , 'fliters' => $filter_html,  'listings' => $fetch_output , 'map_listings' => $map_listings);
		   wp_send_json_success($return);
	   }
	   else
	   {
		   $no_result = maxwheels_framework_no_result_found();
		   $return = array('fliters' => $filter_html,  'no_result' => $no_result,'map_listings' => '0','total_results' => $results->found_posts);
		   wp_send_json_error($return);
	   }
	}
}

// Ajax handler for Suggestions
add_action( 'wp_ajax_mw_listing_search_suggestions', 'maxwheels_framework_listing_search_suggestions' );
add_action( 'wp_ajax_nopriv_mw_listing_search_suggestions', 'maxwheels_framework_listing_search_suggestions' );
if (!function_exists ( 'maxwheels_framework_listing_search_suggestions' ))
{
	function maxwheels_framework_listing_search_suggestions()
	{
		if (!empty($_POST['q']))
		{
			$return = array();
			$keyword = trim(sanitize_text_field(strtolower(esc_sql($_POST['q']))));
			$search_results = new WP_Query(array(
                's' => $keyword,
                'post_type' => 'mx-listings',
                'post_status' => 'publish',
                'posts_per_page' => 15,
                'fields' => 'ids',
				'meta_query'    => array(
				array(
						'key'       => 'mw_status',
						'value'     => '1',
						'compare'   => '=',
					),
				),
            ));
			if ($search_results->have_posts())
			{
				while ($search_results->have_posts())
				{
					 $search_results->the_post();
                     $mw_id = get_the_ID();
					 $title = get_the_title($mw_id);
					 $return[] = maxwheels_clean_titles($title);
				}
			}
            wp_reset_postdata();
			echo json_encode($return);
		}
		die();
	}
}


//Custom Locations

add_action('wp_ajax_nopriv_mw_listing_locations', 'maxwheels_framework_listing_custom_locations');
add_action('wp_ajax_mw_listing_locations', 'maxwheels_framework_listing_custom_locations');
if (!function_exists ( 'maxwheels_framework_listing_custom_locations' ))
{
	function maxwheels_framework_listing_custom_locations()
	{
		$return = array();
		$search_param = trim(sanitize_text_field($_GET['q']));
		$get_locations = get_terms(array('taxonomy' => 'mw_location', 'hide_empty' => false, 'name__like' => $search_param, 'fields' => 'all','number' => 10));
		if (!empty($get_locations)) {
			foreach ($get_locations as $loc) {
				$return[] = array($loc->slug, $loc->name . '       '. '('.$loc->count.')');
			}
		}
		echo json_encode($return);
		die;
	}
}

//Load More Results
add_action( 'wp_ajax_mw_loadmore_listings', 'maxwheels_framework_load_morelistings' );
add_action( 'wp_ajax_nopriv_mw_loadmore_listings', 'maxwheels_framework_load_morelistings' );
if (!function_exists ( 'maxwheels_framework_load_morelistings' ))
{
	function maxwheels_framework_load_morelistings()
	{
		$page_no = '';
        
		$limit = $_POST['limit'] ? $_POST['limit'] : '6';
		$type = $_POST['type'] ? $_POST['type'] : 'all';
		$order_status = $_POST['order'] ? $_POST['order'] : 'desc';
		$layout = $_POST['layout'] ? $_POST['layout'] : 'type3';
		$status = $_POST['typestatus'] ? $_POST['typestatus'] : 'all';
		$cats = $_POST['cats'];
		$location_id = $_POST['location_id'] ? $_POST['location_id'] : '';
		$grid_type = $layout;
		$page_no =  $_POST['page_no'] ? $_POST['page_no'] : 1;
		$col_type = $_POST['col_type'] ? $_POST['col_type'] : '4';
		$offset = '';
		if($paged > 1)
		{
			$offset = ( $page_no - 1 ) * $limit;
		}
		//order
		$order = 'DESC';
		$order_by = 'date';
		if ($order_status == 'asc')
		{
			$order = 'ASC';
		}
		if ($order_status == 'desc')
		{
			$order = 'DESC';
		}
		if ($order_status == 'rand')
		{
			 $order_by = 'rand';
		}
		//listing type
		if ($type == 'simple')
		{
			$listing_type = array(
				'key' => 'mw_is_feature_listing',
				'value' => 0,
				'compare' => '=',
			 );
		}
		else if ($type == 'featured')
		{
			$listing_type = array(
				'key' => 'mw_is_feature_listing',
				'value' => 1,
				'compare' => '=',
			 );
		}
		else
		{
			$listing_type = '';
		}
		
		$category_type = '';
		if(!empty($cats))
		{
			$category_type =  array(
				'taxonomy' => 'mw-category',
				'field' => 'term_id',
				'terms' => array($cats),
			);
		}
		$offer_type = '';
		if(!empty($status) && $status !="all")
		{
			$offer_type =  array(
				'taxonomy' => 'mw-bodytype',
				'field' => 'term_id',
				'terms' => array($status),
			);
		}
		
		$custom_location = '';
		if(!empty($location_id))
		{
			$custom_location =  array(
				'taxonomy' => 'mw-location',
				'field' => 'term_id',
				'terms' => array($location_id),
			);
		}  
		
		$args	=	array
		(
			'post_type' => 'mx-listings',
			'post_status' => 'publish',
			'posts_per_page' =>$limit,
			'offset'     =>  $offset,
            'fields' => 'ids',
			'paged' =>$page_no,
			'tax_query' => array(
        		$category_type,
				$offer_type,
				$custom_location
    		),
			'meta_query'    => array(
				array(
					'key'       => 'mw_status',
					'value'     => '1',
					'compare'   => '=',
				),
				$listing_type
			),
			'order'=> $order,
			'orderby' => $order_by,
		);
		$fetch_output = '';
		$results = new WP_Query( $args );
		if ($results->have_posts())
		{
			$layout_type = new maxwheels_getlistings();
			$function = "maxwheels_listings_$grid_type";
			while ($results->have_posts())
			{
				$results->the_post();
				$mw_id = get_the_ID();
				$fetch_output .= $layout_type->$function($mw_id,$col_type);
			}
			wp_reset_postdata();
			$return = array('listings' => $fetch_output);
			wp_send_json_success($return);
		}
		else
		{
			   $return = array('no_result' =>true);
			   wp_send_json_error($return);
		}
	}
}



// Ajax handler for Pagination
add_action( 'wp_ajax_mw_listing_search_home', 'maxwheels_framework_listing_search_home_based' );
add_action( 'wp_ajax_nopriv_mw_listing_search_home', 'maxwheels_framework_listing_search_home_based' );
if (!function_exists ( 'maxwheels_framework_listing_search_home_based' ))
{
	function maxwheels_framework_listing_search_home_based()
	{
		$params = array();
		parse_str($_POST['collect_data'], $params);
		$page_no = '';
        if (isset($_POST['page_no'])) {
            $page_no = $_POST['page_no'];
        } else {
            $page_no = 1;
        }
        
        $grid_type = $params['grid-type'];
        
		$filter_html = '<div class="filter-tags"><ul class="filter-tags-list"><li class="filter-tags-render"><span class="filter-reset">'.esc_html__( 'Clear All', 'maxwheels-framework' ).':</span>'.esc_html__( 'Filters', 'maxwheels-framework' ).'<a href="javascript:void(0)" id="reset_ajax_result_home" class="filter-reset-btn">×</a></li></ul></div>';
		//Listing Title
        $title = '';
        if (isset($params['by_title']) && $params['by_title'] != "") {
            $title = $params['by_title'];
        }
		$by_author = '';
        if (isset($params['author']) && $params['author'] != "") {
            $by_author = $params['author'];
        }
		$by_location = '';
        if (isset($params['by_location']) && $params['by_location'] != "") {
			$by_location = array(
				array(
					'taxonomy' => 'agent_location',
					'field' => 'slug',
					'terms' => $params['by_location'],
				),
			);
        }
		//by type
		$by_type = '';
        if (isset($params['property-type']) && $params['property-type'] != "") {
            $by_type = array(
				array(
					'taxonomy' => 'mw_type',
					'field' => 'slug',
					'terms' => $params['property-type'],
				),
			);
        }
		//by offer type
		$offer_type = '';
        if (isset($params['offer-type']) && $params['offer-type'] != "") {
            $offer_type = array(
				array(
					'taxonomy' => 'mw_status',
					'field' => 'slug',
					'terms' => $params['offer-type'],
				),
			);
        }
		//currency type
		$currency_type = '';
        if (isset($params['currency-type']) && $params['currency-type'] != "") {
            $currency_type = array(
				array(
					'taxonomy' => 'mw_currency',
					'field' => 'slug',
					'terms' => $params['currency-type'],
				),
			);
        }
		//bedrooms
		$beds = '';
        if (isset($params['type-beds']) && $params['type-beds'] != "") {
			$compare = '=';
			if(intval($params['type-beds'] == 5))
			{
				$compare = '>=';	
			}
            $beds = array(
				array(
					'key' => 'mw_beds_qty',
					'value' => intval($params['type-beds']),
					'compare' => $compare,
					'type' => 'NUMERIC',
				),
			);
        }
		//bathrooms
		$baths = '';
        if (isset($params['type-bath']) && $params['type-bath'] != "") {
			$compare_ststus = '=';
			if(intval($params['type-bath'] == 5))
			{
				$compare_ststus = '>=';	
			}
            $baths = array(
				array(
					'key' => 'mw_baths_qty',
					'value' => intval($params['type-bath']),
					'compare' => $compare_ststus,
					'type' => 'NUMERIC',
				),
			);
        }
		//price
		$price = $max_price = $min_price = '';
		if (!empty($params['min-price']) && !empty($params['max-price'])) {
			 $min_price = doubleval($params['min-price']);
             $max_price = doubleval($params['max-price']);
			 if ($min_price >= 0 && $min_price < $max_price )
			 {
				 $price = array(
					'key' => 'mw_first_price',
					'value' => array($min_price, $max_price),
					'type' => 'numeric',
					'compare' => 'BETWEEN',
    			 );
			 }
			 else
			 {
				 $price = array(
					'key' => 'mw_first_price',
					'value' => $min_price,
					'type' => 'numeric',
					'compare' => '>=',
    			 );
			 }
		}
		else if (!empty($params['min-price']))
		{
			$min_price = doubleval($params['min-price']);
			$price = array(
					'key' => 'mw_first_price',
					'value' => $min_price,
					'type' => 'numeric',
					'compare' => '>=',
    			 );
		}
		else if (!empty($params['max-price']))
		{
			$max_price = doubleval($params['max-price']);
			$price = array(
					'key' => 'mw_first_price',
					'value' => $max_price,
					'type' => 'numeric',
					'compare' => '<=',
    			 );
		}
		else
		{
			$price = '';
		}
		//Area 
		$area = $max_area = $min_area = '';
		if (!empty($params['min-area']) && !empty($params['max-area'])) {
			 $min_area = doubleval($params['min-area']);
             $max_area = doubleval($params['max-area']);
			 if ($min_area >= 0 && $min_area < $max_area )
			 {
				 $area = array(
					'key' => 'mw_area_size',
					'value' => array($min_area, $max_area),
					'type' => 'numeric',
					'compare' => 'BETWEEN',
    			 );
			 }
			 else
			 {
				 $area = array(
					'key' => 'mw_area_size',
					'value' => $min_area,
					'type' => 'numeric',
					'compare' => '>=',
    			 );
			 }
		}
		else if (!empty($params['min-area']))
		{
			$min_area = doubleval($params['min-area']);
			$area = array(
					'key' => 'mw_area_size',
					'value' => $min_area,
					'type' => 'numeric',
					'compare' => '>=',
    			 );
		}
		else if (!empty($params['max-area']))
		{
			$max_area = doubleval($params['max-area']);
			$area = array(
					'key' => 'mw_area_size',
					'value' => $max_area,
					'type' => 'numeric',
					'compare' => '<=',
    			 );
		}
		else
		{
			$area = '';
		}
		//features
		$more_features = '';
        if (isset($params['prop-amens']) && $params['prop-amens'] != "" && is_array($params['prop-amens'])) {
            $more_features = array(
				array(
					'taxonomy' => 'mw_feature',
					'field' => 'slug',
					'terms' => $params['prop-amens'],
				),
			);
        }
		//label type
		$label_type = '';
        if (isset($params['label-type']) && $params['label-type'] != "") {
            $label_type = array(
				array(
					'taxonomy' => 'mw_label',
					'field' => 'slug',
					'terms' => $params['label-type'],
				),
			);
        }
		//property ID
		$mw_id = '';
        if (isset($params['by_id']) && $params['by_id'] != "") {
            $mw_id = array(
				array(
					'key' => 'mw_refer',
					'value' => trim(sanitize_text_field($params['by_id'])),
					'compare' => '=',
					'type' => 'char',
				),
			);
        }
		//label type
		$custom_location = '';
        if (isset($params['location-by']) && $params['location-by'] != "") {
            $custom_location = array(
				array(
					'taxonomy' => 'mw_location',
					'field' => 'slug',
					'terms' => trim(sanitize_text_field($params['location-by'])),
				),
			);
        }
		//near me
		$lat_lng_meta_query = $data_array = array();
		if (isset($params['latt']) && $params['latt'] != "" && isset($params['long']) && $params['long'] != "" && isset($params['distance']) && $params['distance'] != "")
		{
			$latt = $params['latt'];
			$long = $params['long'];
			$distance = $params['distance'];
			$data_array = array("latitude" => $latt, "longitude" => $long, "distance" => $distance);
			$lats_longs = maxwheels_min_max_latt_long($data_array);
			if(is_array($lats_longs) && !empty($lats_longs) && count($lats_longs) > 0)
			{
				$lat_lng_meta_query[] = array(
                    'key' => 'mw_latt',
                    'value' => array($lats_longs['lat']['min'], $lats_longs['lat']['max']),
                    'compare' => 'BETWEEN',
                    'type' => 'DECIMAL',
                );
				$lat_lng_meta_query[] = array(
                    'key' => 'mw_long',
                    'value' => array($lats_longs['long']['min'], $lats_longs['long']['max']),
                    'compare' => 'BETWEEN',
                    'type' => 'DECIMAL',
                );
				add_filter('get_meta_sql', 'maxwheels_decimal_precision');
				if (!function_exists('maxwheels_decimal_precision'))
				{
                    function maxwheels_decimal_precision($array)
					{
                        $array['where'] = str_replace('DECIMAL', 'DECIMAL(10,3)', $array['where']);
                        return $array;
                    }
                }
			}
		}
		//sorting
		$order = 'DESC';
		$orderby = array(
		    'meta_value' => 'DESC',
			'post_date'      => 'DESC',
		);
		if (isset($_POST['sort_by']) && $_POST['sort_by'] != "") {
			
			$sort_type = $_POST['sort_by'];
			//oldest
			if($sort_type == 'oldest')
			{
				$orderby = array(
					'meta_value' => 'ID',
					'post_date'      => 'ASC',
				);
				$order = 'ASC';
			}
			//newset
			if($sort_type == 'newest')
			{
				$orderby = array(
					'meta_value' => 'DESC',
					'post_date'      => 'DESC',
				);
				$order = 'DESC';
			}
			//title asc
			if($sort_type == 'title-asc')
			{
				$orderby = array(
					'meta_value' => 'DESC',
					'title' => 'ASC'
				);
				$order = 'ASC';
			}
			//tile desc
			if($sort_type == 'title-desc')
			{
				$orderby = array(
					'meta_value' => 'DESC',
					'title' => 'DESC'
				);
				$order = 'DESC';
			}	
		}
		$args	=	array
	    (
		's' => $title,
		'post_type' => 'mx-listings',
		'author' => $by_author,
		'post_status' => 'publish',
		'posts_per_page' => get_option('posts_per_page'),
		'paged' => $page_no,
            'fields' => 'ids',
		'meta_key' => 'mw_is_feature_listing',
		'meta_query'    => array(
			array(
				'key'       => 'mw_status',
				'value'     => '1',
				'compare'   => '=',
			),
			$lat_lng_meta_query,
			$beds,
			$baths,
			$price,
			$area,
			$mw_id
		),
		'tax_query' => array(
			$by_location,
			$by_type,
			$offer_type,
			$currency_type,
			$more_features,
			$label_type,
			$custom_location
		),
		'orderby'  => $orderby,
		'order'=> $order,
	  );
	   $results = new WP_Query( $args );
	   $map_listings = $fetch_output = '';
       if ($results->have_posts())
	   {
		   require trailingslashit(get_template_directory()) . "template-parts/search/property-search/grids/home.php";
           $map_listings = '';
		   $return = array('total_results' => $results->found_posts ,'pagination' => maxwheels_pagination_search_home($results, $page_no) , 'fliters' => $filter_html,  'listings' => $fetch_output , 'map_listings' => $map_listings);
		   wp_send_json_success($return);
	   }
	   else
	   {
		   $no_result = maxwheels_framework_no_result_found();
		   $return = array('fliters' => $filter_html,  'no_result' => $no_result,'map_listings' => '0','total_results' => $results->found_posts);
		   wp_send_json_error($return);
	   }
	}
}