<?php
//user dash
// Fetuch user listings
if ( ! function_exists( 'maxwheels_framework_fetch_user_listings' ) )
{	 
	function maxwheels_framework_fetch_user_listings($listing_status, $owner_id, $paged, $per_page, $keyword = '', $is_featured = false, $is_expired = false)
	{
        
		   $value = 1;
			$featured = '';
			if(!empty($is_featured) && $is_featured == true)
			{
				   $featured = array(
						'key' => 'mw_is_feature_listing',
						'value' => '1',
						'compare' => '=',
					);
			}
			if(!empty($is_expired) && $is_expired == true)
			{
				 $value = 0;
			}
			$args	=	array
			(
			    's' => trim($keyword),
				'post_type' => 'mx-listings',
				'author' => $owner_id,
				'post_status' => $listing_status,
				'posts_per_page' => $per_page,
				'paged' => $paged,
				'order'=> 'DESC',
				'orderby' => 'date',
				'meta_query'    => array(
					array(
						'key'       => 'mw_status',
						'value'     => $value,
						'compare'   => '=',
					),
					$featured
				)
			);
			return $args;
	}
}


// Most Viewed Properties
if ( ! function_exists( 'maxwheels_framework_fetchmost_viewed_listings' ) )
{	 
	function maxwheels_framework_fetchmost_viewed_listings($owner_id, $most_viewed = false, $todays_trending = false)
	{
		$order_by = 'date';
		if ($most_viewed == true) 
		{
             $order_by = 'mw_listing_total_views';
        }
		
		$args	=	array
			(
				'post_type' => 'mx-listings',
				'author' => $owner_id,
				'post_status' => 'publish',
				'posts_per_page' => 4,
                'fields' => 'ids',
				'meta_key' => 'mw_listing_total_views',
				'order'=> 'DESC',
				'orderby' => 'meta_value_num',
				'meta_query'    => array(
					array(
						'key'       => 'mw_status',
						'value'     => 1,
						'compare'   => '=',
					),
				)
			);
			return $args;
	}
}


// Fetuch user favourites properties
if ( ! function_exists( 'maxwheels_framework_fetch_user_fav_listings' ) )
{	 
	function maxwheels_framework_fetch_user_fav_listings($owner_id, $paged, $per_page)
	{
		    $rows = '';
			global $wpdb;
			$args = $listing_idz = array();
			$rows = $wpdb->get_results("SELECT meta_value FROM $wpdb->usermeta WHERE user_id = '$owner_id' AND meta_key LIKE 'mw_fav_listing_id%'");
			if(!empty($rows) && is_array($rows) && count($rows) > 0)
			{
				foreach ($rows as $row)
				{
					$listing_idz[] = $row->meta_value;
				}
				$args	=	array
				(
					'post_type' => 'mx-listings',
					'post__in' => $listing_idz,
					'post_status' => 'publish',
					'posts_per_page' => $per_page,
                    'fields' => 'ids',
					'paged' => $paged,
					'order'=> 'DESC',
					'orderby' => 'date',
					'meta_query'    => array(
						array(
							'key'       => 'mw_status',
							'value'     => 1,
							'compare'   => '=',
						),
					)
				);
			}
			return $args;
	}
}

// Fetuch user Invoice
if ( ! function_exists( 'maxwheels_framework_fetch_user_invocies' ) )
{	 
	function maxwheels_framework_fetch_user_invocies($owner_id, $paged, $per_page)
	{
			$args	=	array
			(
				'post_type' => 'listing-invoices',
				'post_status' => 'publish',
				'posts_per_page' => $per_page,
				'paged' => $paged,
				'order'=> 'DESC',
				'orderby' => 'date',
				'meta_query'    => array(
					array(
						'key'       => 'mw_inv_user_id',
						'value'     => $owner_id,
						'compare'   => '=',
					),
				)
			);
			return $args;
	}
}

// Delete Property
add_action('wp_ajax_remove_my_prop', 'maxwheels_framework_remove_my_listings');
if (!function_exists('maxwheels_framework_remove_my_listings'))
{ 
	function maxwheels_framework_remove_my_listings()
	{
		if(empty($_POST['mw_id'])){
			$return = array('message' => esc_html__( 'An error occurred, please try again later.', 'maxwheels-framework' ));
			wp_send_json_error($return);	
		}
		else
		{
			if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
			{
				$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
				wp_send_json_error($return);
			}
			$mw_id =	$_POST['mw_id'];
			if( wp_trash_post($mw_id))
			{
				$return = array('message' => esc_html__( 'Property removed successfully.', 'maxwheels-framework' ));
				wp_send_json_success($return);	
			}
			else
			{
				$return = array('message' => esc_html__( 'Something went wrong please try later.', 'maxwheels-framework' ));
				wp_send_json_error($return);
			}
		}
		die();
	}
}

// Expire My Property
add_action('wp_ajax_expire_my_prop', 'maxwheels_framework_expire_my_listings');
if (!function_exists('maxwheels_framework_expire_my_listings'))
{ 
	function maxwheels_framework_expire_my_listings()
	{
		if(empty($_POST['mw_id'])){
			$return = array('message' => esc_html__( 'An error occurred, please try again later.', 'maxwheels-framework' ));
			wp_send_json_error($return);	
		}
		else
		{
			if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
			{
				$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
				wp_send_json_error($return);
			}
			$mw_id =	$_POST['mw_id'];
			$my_post = array(
				  'ID'           => $mw_id,
				  'post_status'   => 'expired',
				  'post_type' 	=> 'property'
  				);
  			$post_id = wp_update_post( $my_post );
			if ( is_wp_error($post_id))
			{
				$return = array('message' => esc_html__( 'Something went wrong please try later.', 'maxwheels-framework' ));
				wp_send_json_error($return);
			}
			else
			{
				update_post_meta($mw_id, 'mw_status', '0');
				update_post_meta($mw_id, 'mw_expired', 'yes');
				update_post_meta($mw_id, 'mw_is_feature_listing', '0');
                update_post_meta($mw_id, 'mw_regular_listing_expiry_date', '');    
                update_post_meta($mw_id, 'mw_regular_listing_expiry', '');
				$return = array('message' => esc_html__( 'Property expired successfully.', 'maxwheels-framework' ));
				wp_send_json_success($return);	
			}
		}
		die();
	}
}
//sold my Listings
add_action('wp_ajax_sold_my_prop', 'maxwheels_framework_sold_my_listings');
if (!function_exists('maxwheels_framework_sold_my_listings'))
{
    function maxwheels_framework_sold_my_listings()
    {
        if(empty($_POST['mw_id'])){
            $return = array('message' => esc_html__( 'An error occurred, please try again later.', 'maxwheels-framework' ));
            wp_send_json_error($return);
        }
        else
        {
            if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
            {
                $return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
                wp_send_json_error($return);
            }
            $mw_id =	$_POST['mw_id'];
            $my_post = array(
                'ID'           => $mw_id,
                'post_status'   => 'sold',
                'post_type' 	=> 'mx-listings'
            );
            $post_id = wp_update_post( $my_post );
            if ( is_wp_error($post_id))
            {
                $return = array('message' => esc_html__( 'Something went wrong please try later.', 'maxwheels-framework' ));
                wp_send_json_error($return);
            }
            else
            {
                update_post_meta($mw_id, 'mw_status', '0');
                update_post_meta($mw_id, 'mw_sold', 'yes');
                update_post_meta($mw_id, 'mw_is_feature_listing', '0');
                update_post_meta($mw_id, 'mw_regular_listing_expiry_date', '');
                update_post_meta($mw_id, 'mw_regular_listing_expiry', '');
                $return = array('message' => esc_html__( 'Listing Sold successfully.', 'maxwheels-framework' ));
                wp_send_json_success($return);
            }
        }
        die();
    }
}

// publish My Listings
add_action('wp_ajax_publish_my_listing', 'maxwheels_framework_publish_my_listings');
if (!function_exists('maxwheels_framework_publish_my_listings'))
{
    function maxwheels_framework_publish_my_listings()
    {
        $return='';
        $link='';
        global $maxwheels_options;
        $home_url = get_home_url();
        $link = get_page_link(maxwheels_framework_get_options('mw_pkg_page'));
        $link = isset($link) ? $link : $home_url;

        if(empty($_POST['mw_id'])){
            $return = array('message' => esc_html__( 'An error occurred, please try again later.', 'maxwheels-framework' ));
            wp_send_json_error($return);
        }
        else
        {
            $mw_id =	$_POST['mw_id'];
            $author_id = get_post_field( 'post_author', $mw_id );
            if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
            {
                $return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
                wp_send_json_error($return);
            }
            else
            {
                if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) && maxwheels_framework_get_options('mw_user_pkage_type') == 'paid-listing') {
                    if(get_user_meta($author_id, 'mw_user_package_id', true) !="")
                    {
                        $now = date('Y-m-d');
                        $is_show = true;
                        if(get_user_meta($author_id, 'mw_pack_exp', true) !="")
                        {
                            //package expiry
                            $expiry_date = get_user_meta($author_id, 'mw_pack_exp', true);
                            $total_listings = get_user_meta($author_id, 'mw_pack_totallistings', true);
                            if($total_listings == '-1' || $total_listings > 0)
                            {
                                if($expiry_date == '-1')
                                {
                                    $is_show = true;
                                }
                                elseif ($now > $expiry_date)
                                {
                                    $is_show = false;
                                    //echo propertya_packages_notifications('expires');
                                    $return = array('message' => esc_html__( 'Your Package is expired.', 'maxwheels-framework'),'pkg_url' => $link);
                                    wp_send_json_error($return);
                                }
                                else
                                {
                                    $is_show = true;
                                }
                            }
                            else
                            {
                                $is_show = false;
                               // echo propertya_packages_notifications('listings');
                                $return = array('message' => esc_html__( 'Your Package Listing is completed.', 'maxwheels-framework' ),'pkg_url' => $link);
                                wp_send_json_error($return);
                            }
                        }
                    }
                    else
                    {
                        $is_show = false;
                        $return = array('message' => esc_html__( 'Please Purchase the Listing Package First.', 'maxwheels-framework' ),'pkg_url' => $link);
                        wp_send_json_error($return);
                    }

                  $approval="draft";
                  if(maxwheels_framework_get_options('mw_paid_approval')=='auto_approval_paid') {
                      $approval="publish";
                  }
                      if ($is_show == 'true') {
                          $time = current_time('mysql');
                          $my_post = array(
                              'ID' => $mw_id,
                              'post_status' => $approval,
                              'post_type' => 'mx-listings',
                              'post_date' => $time,
                              'post_date_gmt' => get_gmt_from_date($time)

                          );
                          $post_id = wp_update_post($my_post);

                          $total_listings = '';
                          $total_listings = get_user_meta($author_id, 'mw_pack_totallistings', true);
                          if (get_user_meta($author_id, 'mw_pack_totallistings', true) != "") {
                              $total_listings = get_user_meta($author_id, 'mw_pack_totallistings', true);
                              if ($total_listings > 0 && !is_super_admin($author_id)) {
                                  $total_listings = $total_listings - 1;
                                  update_user_meta($author_id, 'mw_pack_totallistings', $total_listings);
                              }
                          }
                          //listing expiry
                          $simple_listing_expiry = '';
                          if (get_user_meta($author_id, 'mw_pack_simple_expiry_for', true) != "") {
                              $simple_listing_expiry = get_user_meta($author_id, 'mw_pack_simple_expiry_for', true);
                              if (isset($simple_listing_expiry) && $simple_listing_expiry != "" && $simple_listing_expiry != "0" && $simple_listing_expiry == "-1") {
                                  update_post_meta($mw_id, 'mw_regular_listing_expiry', '-1');
                              } else {
                                  $now = date('Y-m-d');
                                  $date = date_create($now);
                                  date_add($date, date_interval_create_from_date_string("$simple_listing_expiry days"));
                                  $ad_expiry_date = date_format($date, "Y-m-d");
                                  update_post_meta($mw_id, 'mw_regular_listing_expiry_date', $ad_expiry_date);
                                  update_post_meta($mw_id, 'mw_regular_listing_expiry', $simple_listing_expiry);
                              }
                          }
                      }

                    if ( is_wp_error($post_id))
                    {
                        $return = array('message' => esc_html__( 'Something went wrong please try later.', 'maxwheels-framework' ));
                        wp_send_json_error($return);
                    }
                    if($approval=='publish') {
                        $return = array('message' => esc_html__('Listing Published successfully.', 'maxwheels-framework'));
                        wp_send_json_success($return);
                    }else{
                        $return = array('message' => esc_html__('Admin will Approved Your Listing.', 'maxwheels-framework'),'pkg_url' => '');
                        wp_send_json_error($return);
                    }

                }
            }
        }
        die();
    }
}



// Search Suggestions My Property
add_action('wp_ajax_my_propz', 'maxwheels_framework_my_propz');
if (!function_exists('maxwheels_framework_my_propz'))
{
	function maxwheels_framework_my_propz()
	{
		$user_id = get_current_user_id();
		$params = array();
		parse_str($_POST['form'], $params);
		if(!empty($_POST['q']))
		{
			$tags = $all_listings = $cat_array = array();
			$keyword = trim($_POST['q']);
			$status = true;
			$search_results = new WP_Query( 
			array
			(
			    's' => trim($keyword),
				'post_type' => 'mx-listings',
				'author' => $user_id,
				'post_status' =>$params['page-type'],
				'posts_per_page' => 15,
				'paged' => 1,
                'fields' => 'ids',
				'order'=> 'DESC',
				'orderby' => 'date',
				'meta_query'    => array(
					array(
						'key'       => 'mw_status',
						'value'     => '1',
						'compare'   => '=',
					),
				)
			));
			if( $search_results->have_posts() )
			{
				while( $search_results->have_posts() )
				{
				 	$search_results->the_post();
                    $mw_id = get_the_ID();
					$all_idz = '';
					$all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
					$all_listings[] = array( "id"  => $mw_id,"with_title" =>get_the_title($mw_id),"img"=> maxwheels_framework_img_src($all_idz,'thumbnail'),'link' => get_the_permalink($mw_id));
				}
				wp_reset_postdata();
				echo json_encode(array(
					"status" => true,
					"error"  => '',
					"data"   => array(
						"listings"      => $all_listings,
					)
				));
			}
			else
			{
				echo json_encode(array(
					"status" => false,
					"error"  => '',
					"data"   => array()
				));
			}
			die();
		}
	}
}

// Search Suggestions My Agents
add_action('wp_ajax_my_agentz', 'maxwheels_framework_my_agentzz');
if (!function_exists('maxwheels_framework_my_agentzz'))
{
	function maxwheels_framework_my_agentzz()
	{
		$user_id = get_current_user_id();
		if(!empty($_POST['q']))
		{
			$tags = $all_listings = $cat_array = array();
			$keyword = trim($_POST['q']);
			$status = true;
			$agency_id = '';
		    if(get_user_meta( $user_id, 'mw_post_id' , true ) !="")
		    {
			  $agency_id = get_user_meta( $user_id, 'mw_post_id' , true );
		    }
			$search_results = new WP_Query( 
			array
			(
				's' => trim($keyword),
			   	'post_type' => 'property-agents',
				'posts_per_page' => 15,
				'order'=> 'DESC',
				'orderby' => 'date',
				'meta_key' => 'agent_agency_id',
				'meta_value' => $agency_id
			));
			if( $search_results->have_posts() )
			{
				$featured_img_url = '';
				while( $search_results->have_posts() )
				{
				 	$search_results->the_post();
					$agent_id	=	get_the_ID();
					if(has_post_thumbnail($agent_id))
					{
						$featured_img_url = get_the_post_thumbnail_url($agent_id,'thumb');
					}
					else
					{
						$featured_img_url = trailingslashit( get_template_directory_uri()).'libs/images/default-imag.jpg';
						global $maxwheels_options;
						if(isset($maxwheels_options['mw_def_agent_logo']) && $maxwheels_options['mw_def_agent_logo']['url'] !="")
						{
							$featured_img_url = $maxwheels_options['mw_def_agent_logo']['url'];
						}
					}
					
					$all_listings[] = array( "id"  => $agent_id, "with_title" => get_the_title($agent_id),"img"=>($featured_img_url),'link' => get_the_permalink($agent_id));
				}
				wp_reset_postdata();
				echo json_encode(array(
					"status" => true,
					"error"  => '',
					"data"   => array(
						"listings"      => $all_listings,
					)
				));
			}
			else
			{
				echo json_encode(array(
					"status" => false,
					"error"  => '',
					"data"   => array()
				));
			}
			die();
		}
	}
}

/*Fetch My  Agents*/
if ( ! function_exists( 'maxwheels_framework_fetch_my_agents' ) )
{	 
	function maxwheels_framework_fetch_my_agents($user_id , $paged, $per_page, $keyword = '')
	{
		$user_id = get_current_user_id();
		if(get_userdata($user_id))
		{
			$agency_id = '';
		    if(get_user_meta( $user_id, 'mw_post_id' , true ) !="")
		    {
			  $agency_id = get_user_meta( $user_id, 'mw_post_id' , true );
		    }
			$args	=	array
			(
				's' => trim($keyword),
			   	'post_type' => 'property-agents',
				'posts_per_page' => $per_page,
				'paged' => $paged,
				'order'=> 'DESC',
				'orderby' => 'date',
				'meta_key' => 'agent_agency_id',
				'meta_value' => $agency_id
			);
			return $args;
		}
	}
}

// Delete My Agent
add_action('wp_ajax_remove_my_agents', 'maxwheels_framework_remove_my_agentz');
if (!function_exists('maxwheels_framework_remove_my_agentz'))
{ 
	function maxwheels_framework_remove_my_agentz()
	{
		if(empty($_POST['agent_id'])){
			$return = array('message' => esc_html__( 'An error occurred, please try again later.', 'maxwheels-framework' ));
			wp_send_json_error($return);	
		}
		else
		{
			if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
			{
				$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
				wp_send_json_error($return);
			}
			$agent_id =	$_POST['agent_id'];
			$user_id = '';
			if(get_post_meta( $agent_id, 'mw_user_id' , true ) !="")
		    {
			  $user_id = get_post_meta( $agent_id, 'mw_user_id' , true );
		    }
			if( wp_delete_post($agent_id,true))
			{
				//delete current user as well
    			wp_delete_user($user_id);
				$return = array('message' => esc_html__( 'Agent deleted successfully.', 'maxwheels-framework' ));
				wp_send_json_success($return);	
			}
			else
			{
				$return = array('message' => esc_html__( 'Something went wrong please try later.', 'maxwheels-framework' ));
				wp_send_json_error($return);
			}
		}
		die();
	}
}

// Remove Fav bookmark listings
add_action('wp_ajax_remove_my_favourites', 'maxwheels_framework_remove_my_bookmarks');
if (!function_exists('maxwheels_framework_remove_my_bookmarks'))
{ 
	function maxwheels_framework_remove_my_bookmarks()
	{
		if(!wp_verify_nonce($_POST['security'], 'check-security'))
		{
			$return = array('message' => esc_html__('Invalid security token sent.', 'maxwheels-framework'));
			wp_send_json_error($return);
		}
		if(maxwheels_framework_get_options('mw_demo') == 1 && !is_super_admin( get_current_user_id()))
		{
			$return = array('message' => esc_html__( 'Disable for Demo.', 'maxwheels-framework' ));
			wp_send_json_error($return);
		}
		if(empty($_POST['mw_id'])){
			$return = array('message' => esc_html__( 'An error occurred, please try again later.', 'maxwheels-framework' ));
			 wp_send_json_error($return);	
		}
		else
		{
			$mw_id = $_POST['mw_id'];
			if (delete_user_meta(get_current_user_id(), 'mw_fav_listing_id' . $mw_id) == $mw_id)
			{
				$return = array('message' => esc_html__( 'Remove from favorites.', 'maxwheels-framework' ));
				wp_send_json_success($return);	
			}
			else
			{
				$return = array('message' => esc_html__( 'Something went wrong please try later.', 'maxwheels-framework' ));
				wp_send_json_error($return);
			}
		}
		die();
	}
}