<?php
// Fetch Terms
if ( ! function_exists( 'maxwheels_framework_terms_options' ) )
{
	function maxwheels_framework_terms_options($term_name, $selected_val = false)
	{
		$term_arg = get_terms( array(
			'taxonomy'   => $term_name,
			'hide_empty' => false,
			'parent'     => 0
		));
		echo '<option value="">' .esc_html__('Select an option','maxwheels-framework').'</option>';
		// Generate options
		maxwheels_framework_terms_hierarchy($term_name,$term_arg,$selected_val);
	}	
}
if ( ! function_exists( 'maxwheels_framework_get_selected_terms' ) )
{
    function maxwheels_framework_get_selected_terms($term_id='', $taxonomy_name='')
    {
        $term_arg=wp_get_post_terms($term_id, $taxonomy_name,array( "fields" => "slugs" ));
        $return_data='';
        $term_data = get_terms( array(
            'taxonomy'   => $taxonomy_name,
            'hide_empty' => false,
            'parent'     => 0,
        ) );
        foreach ($term_data as $term)
        {

              if(isset($term->slug)) {
            if (is_array($term_arg) && in_array($term->slug ,$term_arg))
            {
                $return_data .= '<option value="' . $term->slug . '" selected="selected">' . $term->name . '</option>';
            }
            else
            {
                $return_data .= '<option value="' . $term->slug . '">' . $term->name . '</option>';
            }

        }}

        return $return_data;
    }
}
if ( ! function_exists( 'maxwheels_framework_terms_hierarchy' ) )
{
	function maxwheels_framework_terms_hierarchy( $term_name, $term_arg, $selected_val, $separator = " " )
	{
		if (!empty($term_arg) && count($term_arg) > 0)
		{
			foreach ($term_arg as $term)
			{
				if ($selected_val == $term->slug)
				{
					echo '<option value="' . $term->slug . '" selected="selected">' . $separator . $term->name . '</option>';
				}
				else
				{
					echo '<option value="' . $term->slug . '">' . $separator . $term->name . '</option>';
				}
				$check_childs = get_terms( array(
					'taxonomy'   => $term_name,
					'hide_empty' => false,
					'parent'     => $term->term_id
				) );
				if (!empty($check_childs) )
				{
					// recursive call if children found
					maxwheels_framework_terms_hierarchy( $term_name, $check_childs, $selected_val, "- " . $separator );
				}
			}
		}
	}
}

// Get Parent Terms Only
if ( ! function_exists( 'maxwheels_framework_terms_parents' ) )
{
	function maxwheels_framework_terms_parents($term_name, $selected_val = false, $order = 'ASC')
	{
		$term_arg = get_terms( array(
			'taxonomy'   => $term_name,
			'hide_empty' => false,
			'parent'     => 0,
            'order' => $order
		));
		// Generate options
        if (!empty($term_arg) && count($term_arg) > 0)
		{
			foreach ($term_arg as $term)
			{
                if ($selected_val == $term->slug)
                {
                    echo '<option value="' . esc_attr($term->slug) . '" selected="selected">' . esc_html($term->name) . '</option>';
                }
                else
                {
                    echo '<option value="' .  esc_attr($term->slug) . '">' . esc_html($term->name) . '</option>';
                }
            }
        }
	}	
}


//Remove Unwanted MetaBox
add_action( 'add_meta_boxes', 'maxwheels_framework_remove_metabox', 100);
if ( ! function_exists( 'maxwheels_framework_remove_metabox' ) ) 
{
	function maxwheels_framework_remove_metabox()
	{
		remove_meta_box( 'mw_typediv', 'mx-listings', 'side' );
		remove_meta_box( 'mw_statusdiv', 'mx-listings', 'side' );
		remove_meta_box( 'tagsdiv-mw_label', 'mx-listings', 'side' );
		remove_meta_box( 'tagsdiv-mw_currency', 'mx-listings', 'side' );
		remove_meta_box( 'mw_area_unitdiv', 'mx-listings', 'side' );
        remove_meta_box( 'mw_locationdiv', 'mx-listings', 'side' );
		remove_meta_box( 'mw_locationdiv', 'property-agency', 'side' );
		remove_meta_box( 'mw_locationdiv', 'property-agents', 'side' );
		remove_meta_box( 'tagsdiv-agent_types', 'property-agents', 'side' );
		remove_meta_box( 'agency_locationdiv', 'property-agency', 'side' );
		remove_meta_box( 'agent_locationdiv', 'property-agency', 'side' );
        remove_meta_box( 'pageparentdiv', 'mx-listings', 'side' );
        remove_meta_box( 'postexcerpt', 'mx-listings', 'normal' );
        remove_meta_box( 'authordiv', 'mx-listings', 'normal' );
	}
}
// Get Generic Terms
if ( ! function_exists( 'maxwheels_framework_term_fetch' ) ) {	
function maxwheels_framework_term_fetch($taxonomy = 'category', $parent_of = 0, $child_of = 0 )
{
	$defaults = array(
			'taxonomy'               => $taxonomy,
			'orderby'                => 'name',
			'order'                  => 'ASC',
			'hide_empty'             => 0,
			'exclude'                => array(),
			'exclude_tree'           => array(),
			'number'                 => '',
			'offset'                 => '',
			'fields'                 => 'all',
			'name'                   => '',
			'slug'                   => '',
			'hierarchical'           => true,
			'search'                 => '',
			'name__like'             => '',
			'description__like'      => '',
			'pad_counts'             => false,
			'get'                    => '',
			'child_of'               => $child_of,
			'parent'                 => $parent_of,
			'childless'              => false,
			'cache_domain'           => 'core',
			'update_term_meta_cache' => true,
			'meta_query'             => ''
		);
		return get_terms( $defaults );
	 }
}


//get term id form slug
if ( ! function_exists( 'maxwheels_framework_get_slug_id' ) )
{
	function maxwheels_framework_get_slug_id($slug,$taxnomy_name)
	{
		if(!empty($slug) && !empty($taxnomy_name))
		{
			$fetch_id  = get_term_by( 'slug', $slug, $taxnomy_name);
			return $fetch_id->term_id;
		}
	}
}
// Get Price
if ( ! function_exists( 'maxwheels_framework_fetch_price' ) )
{
	function maxwheels_framework_fetch_price($mw_id)
	{
		$selected_currency =  $price_array = $selected_price = '';
        $selected_currency = '$';
        if(maxwheels_framework_get_options('mw_single_currency') !='')
        {
            $selected_currency = maxwheels_framework_get_options('mw_single_currency');
        }
		$selected_price = get_post_meta($mw_id, 'mw_price', true );
        $price_array = maxwheels_framework_price_separator($selected_price, $selected_currency);
		return $price_array;
	}
}

//Price Separator
if ( ! function_exists( 'maxwheels_framework_price_separator' ) )
{
	function maxwheels_framework_price_separator($mw_price,$currency)
	{
		if(!empty($mw_price) && !empty($currency))
		{
			global $maxwheels_options;
			$price = '';
			$thousands_sep = ",";
			if(maxwheels_framework_get_options('mw_opt_thousand_separator') !="")
			{
				$thousands_sep =  maxwheels_framework_get_options('mw_opt_thousand_separator');
			}
			$decimals_separator = ".";
			if(maxwheels_framework_get_options('mw_opt_decimals_separator') !="")
			{
				$decimals_separator =  maxwheels_framework_get_options('mw_opt_decimals_separator');
			}
			$decimals = 0;
			if(maxwheels_framework_get_options('mw_opt_decimals') !="")
			{
				$decimals =  maxwheels_framework_get_options('mw_opt_decimals');
			}
			if (is_numeric($mw_price))
			{
				$currency_symbol = $exchange_rate = '';
				if (isset($_COOKIE['mw_currency_rate']) && $_COOKIE['mw_currency_rate'] != "") 
				{
					 $select_val = $_COOKIE['mw_currency_rate'];
					 $myVal = explode("-", $select_val);
					 $exchange_rate = ( isset($myVal[1])) ? $myVal[1] : "";
					 $currency_symbol = ( isset($myVal[0])) ? $myVal[0] : "";
					 $mw_price = $mw_price * $exchange_rate;
					 $currency = $currency_symbol;
					
				}
				 $price = number_format($mw_price, $decimals, $decimals_separator, $thousands_sep);
				 if(isset($price) && $price !="")
				 {
					if(maxwheels_framework_get_options('mw_opt_currency_position') !="" && maxwheels_framework_get_options('mw_opt_currency_position') =="before")
				 	{
						$price = $currency.' ' . $price;
				 	}
				 	else
				 	{
					 	$price = $price . ' '.$currency;
				 	}
				}
			}
			return $price;
		}
	}
}
//Fatch Selected Gallery For Admin Panel only
if ( ! function_exists( 'maxwheels_framework_mw_gallery' ))
{
	function maxwheels_framework_mw_gallery($gallery_id,$mw_id = '')
	{
		if(empty($gallery_id)) return;
		$main_img = $thumb_imgs = $html = $media = '';
		$media = explode( ',', $gallery_id );	
		if(!empty($media) && count($media) > 0)
		{
			$html .= '<ul class="custom-meta-gallery">';
			foreach( $media as $m )
			{
				$attach_id = '';
				$attach_id =  $m;
                if(wp_attachment_is_image($attach_id))
                {
                    $thumb_imgs  = wp_get_attachment_image_src($attach_id, 'maxwheels-user-thumb');
                    $main_img = $thumb_imgs[0];
                }
                else
                {
                    global $maxwheels_options;
                    if (isset($maxwheels_options['mw_defualt_listing_image']['url']) && $maxwheels_options['mw_defualt_listing_image']['url'] != "")
                    {
                       $main_img = $maxwheels_options['mw_defualt_listing_image']['url'];
                    } 
                    else
                    {
                       $main_img = MaxWheels_Theme_Url .  'libs/images/placeholder.png';
                    }
                }
				$thumb_imgs  = wp_get_attachment_image_src($attach_id, 'maxwheels-user-thumb');
				$html .= '<li class="sort_list_img" id="'.esc_attr($attach_id).'"><div class="custom-meta-gallery_container"><span class="img_suff"><i class="fas fa-arrows-alt shuffle-img"></i></span><span class="custom-gallery-del">
				 <img class="img-fluid" data-property-id="'.$mw_id.'" id="' . esc_attr($attach_id) . '" src="'.esc_url($main_img).'" alt="'.esc_html__('image not found','dwt-listing').'" /></span></div></li>';
			}
			$html .= '</ul>';
		}
		return  $html;
	}
}

//Fatch Property Gallery Images Ids
if ( ! function_exists( 'maxwheels_framework_fetch_gallery_idz' ) )
{
	function maxwheels_framework_fetch_gallery_idz($mw_id)
	{
		$re_order =	get_post_meta( $mw_id, 'mw_gallery', true );
		if( $re_order != "")
		{
			return explode( ',', $re_order );	
		}
		else
		{
			global $wpdb;
			$query	= "SELECT ID FROM $wpdb->posts WHERE post_type = 'attachment' AND post_parent = '" . $mw_id . "'";
			$results = $wpdb->get_results( $query, OBJECT );
			return $results;
		}
	}
}
// Return media
if ( ! function_exists( 'maxwheels_framework_img_src' ) )
{
	function maxwheels_framework_img_src($media,$thumbnail_size)
	{
        global $maxwheels_options;
		if( count((array)  $media ) > 0 )
		{
			$i	=	1;
			foreach( $media as $m )
			{
				if( $i > 1 ) break;
				$mid	=	'';
				if ( isset( $m->ID ) )
				{
					$mid	= 	$m->ID;
				}
				else
				{
					$mid	=	$m;	
				}
				if(wp_attachment_is_image($mid))
				{
					$image  = wp_get_attachment_image_src( $mid, $thumbnail_size);
					return $image[0];	
				}
				else
				{
                    if (isset($maxwheels_options['mw_defualt_listing_image']['url']) && $maxwheels_options['mw_defualt_listing_image']['url'] != "")
                    {
                        return $maxwheels_options['mw_defualt_listing_image']['url'];
                    } 
                    else
                    {
                        return MaxWheels_Theme_Url .  'libs/images/no-image.png';
                    }
				}
			}
		}
		else
		{
            if (isset($maxwheels_options['mw_defualt_listing_image']['url']) && $maxwheels_options['mw_defualt_listing_image']['url'] != "")
            {
                return $maxwheels_options['mw_defualt_listing_image']['url'];
            } 
            else
            {
                return MaxWheels_Theme_Url .  'libs/images/no-image.png';
            }
		}
	}
}

if ( ! function_exists( 'maxwheels_framework_img_small_thumbs' ) )
{
	function maxwheels_framework_img_small_thumbs($all_idz,$thumbnail_size)
	{
		$final_img =  $image  = '';
		$small_thumbs = '';
		$small_thumbs .= '<div class="product-card-image-thumbnails">';
		$count = 0;
		if(!empty($all_idz) && is_array($all_idz) && count($all_idz) > 0)
		{
			
			foreach($all_idz as $m )
			{
				if($count == 4)
				{
					continue;
				}
				$mid	=	'';
				if ( isset($m->ID ) )
				{
					$mid	= 	$m->ID;
				}
				else
				{
					$mid	=	$m;	
				}
				if(wp_attachment_is_image($mid))
				{
					$image  = wp_get_attachment_image_src( $mid, $thumbnail_size);
					$small_thumbs .= ' <img src="'.esc_url($image[0]).'" alt="">';
				}
				else
				{
					if (isset($maxwheels_options['mw_defualt_listing_image']['url']) && $maxwheels_options['mw_defualt_listing_image']['url'] != "")
                    {
                        $final_img = $maxwheels_options['mw_defualt_listing_image']['url'];
						$small_thumbs.='<img src="'.esc_url($final_img).'" alt="">';
                    } 
                    else
                    {
                        $final_img = MaxWheels_Theme_Url .  'libs/images/no-image.png';
						$small_thumbs .='<img src="'.esc_url($final_img).'" alt="">';
                    }
				}
				$count++;
			}
		}
		else
		{
            if (isset($maxwheels_options['mw_defualt_listing_image']['url']) && $maxwheels_options['mw_defualt_listing_image']['url'] != "")
            {
                $final_img = $maxwheels_options['mw_defualt_listing_image']['url'];
				$small_thumbs .= ' <img src="'.esc_url($final_img).'" alt="">';
            } 
            else
            {
                $final_img = MaxWheels_Theme_Url .  'libs/images/no-image.png';
				$small_thumbs .= ' <img src="'.esc_url($final_img).'" alt="">';
            }
		}
		$small_thumbs .= '</div>';
		return $small_thumbs;
	}
}



if ( ! function_exists( 'wp_body_open' ) ) {
    function wp_body_open() {
        do_action( 'wp_body_open' );
    }
}


// Show all agencies for admin only
if ( ! function_exists( 'maxwheels_framework_show_allagencies' ) )
{
	function maxwheels_framework_show_allagencies($id = false)
	{
		$args =	array
		(
			'post_type' => 'property-agency',
			'post_status' => 'publish',
			'posts_per_page' => -1,
			'order'=> 'DESC',
			'orderby' => 'date',
			'meta_query' => array(array('key'=>'agency_status','value' => 1,'compare' => '=')),
		);
		$all_agencies = new WP_Query($args);
		if ( $all_agencies->have_posts() )
		{
			 echo '<option value="">' .esc_html__('Select an option','maxwheels-framework').'</option>';
			 while ( $all_agencies->have_posts() )
			 {
				 $all_agencies->the_post();
				 $agency_id	=	get_the_ID();
				 if(!empty($id) && $id == $agency_id)
				 {
				 	echo '<option value="' . $agency_id . '" selected="selected">' .esc_attr(get_the_title($agency_id)). '</option>';
				 }
				 else
				 {
				 	echo '<option value="' . $agency_id  . '">' .esc_attr(get_the_title($agency_id)). '</option>';
				 }
			 }
		}
	}
}


// Delete user from admin
if ( ! function_exists( 'maxwheels_framework_delete_user_admin' ) )
{
	function maxwheels_framework_delete_user_admin( $user_id ) {
	   // delete comment with that user id
		$c_args = array ('user_id' => $user_id,'post_type' => 'any','status' => 'all');
		$comments = get_comments($c_args);
		if(count((array) $comments) > 0 )
		{
			foreach($comments as $comment) :
				wp_delete_comment($comment->comment_ID, true);
			endforeach;
		}
		// delete user posts
		 $args = array ('numberposts' => -1,'post_type' => 'any','author' => $user_id);
		 $user_posts = get_posts($args);
		 // delete all the user posts
		 if(count((array) $user_posts) > 0 )
		 {
			 foreach ($user_posts as $user_post) {
				wp_delete_post($user_post->ID, true);
			 }
		 }
	}
}
add_action( 'delete_user', 'maxwheels_framework_delete_user_admin', 10 );


// Disable admin bar for all users
if ( ! function_exists( 'maxwheels_framework_bs_hide_admin_bar' ) )
{
	function maxwheels_framework_bs_hide_admin_bar()
	{
		if (!current_user_can('administrator') && !is_admin())
		{
			show_admin_bar(false);
   		}
	}
}
add_action('after_setup_theme', 'maxwheels_framework_bs_hide_admin_bar');


// Badword filter
if ( ! function_exists( 'maxwheels_framework_badwords_filter' ) )
{	 
	function maxwheels_framework_badwords_filter($string, $replacement,  $words = array() )
	{
		if(!empty($words) && is_array($words) && count($words) > 0)
		{
			foreach( $words as $word )
			{
				$string	=	str_replace($word, $replacement, $string);
			}
		}
		return $string;
	}
}
//Selected Category
if ( ! function_exists( 'maxwheels_framework_selected_cat' ) )
{
	function maxwheels_framework_selected_cat($mw_id)
	{
		$cats_html ='';
		if(!empty($mw_id))
		{
            $object_terms = wp_get_object_terms($mw_id, 'mw-category', array('fields' => 'all_with_object_id', 'parent' => 0 ));
            if(!empty($object_terms) && !is_wp_error($object_terms) && is_array($object_terms) && count($object_terms) > 0)
            {
                foreach ($object_terms as $the_status)
                {
                    $link = get_term_link($the_status->term_id );
                    return '<a href="'.esc_url($link).'">'.esc_html( $the_status->name ).'</a>';
                }
            }
		}
        return '';
	}
}
//Selected Price
//Pagination frontend
if ( ! function_exists( 'maxwheels_framework_mw_pagination' ) )
{
	function maxwheels_framework_mw_pagination($max_num_pages = null, $echo = true ) {
		$current_page = $total_pages = ''; $pages = array();
		$total_pages = $max_num_pages->max_num_pages;
		$current_page = max(1, get_query_var('paged')); 
		$pages = paginate_links( [
		
				//'base'         => str_replace( 999999999, '%#%', esc_url( get_pagenum_link( 999999999 ) ) ),
				'base' 		   => @add_query_arg('paged','%#%'),
				'format'       => '?paged=%#%',
				'current'      => $current_page,
				'total'        => $total_pages,
				'type'         => 'array',
				'show_all'     => false,
				'end_size'     => 3,
				'mid_size'     => 1,
				'prev_next'    => true,
				'prev_text'    => esc_html__( 'Prev', 'maxwheels-framework' ),
				'next_text'    =>esc_html__( 'Next', 'maxwheels-framework' ),
				'add_args'     => false,
				'add_fragment' => ''
			]
		);
		if ( is_array( $pages ) ) {
			$pagination = '<div class="admin-pagination"><div class="pagination"><ul class="pagination">';
			foreach ($pages as $page) {
							$pagination .= '<li class="page-item' . (strpos($page, 'current') !== false ? ' active' : '') . '"> ' . str_replace('page-numbers', 'page-link', $page) . '</li>';
					}
			$pagination .= '</ul></div></div>';
			if ( $echo ) {
				echo $pagination;
			} else {
				return $pagination;
			}
		}
		return null;
	}
}


//Pagination Reviews
if ( ! function_exists( 'maxwheels_framework_mw_pagination_reviews' ) )
{
	function maxwheels_framework_mw_pagination_reviews($max_num_pages = null, $echo = true, $paged = '' ) {
		$current_page = $total_pages = ''; $pages = array();
		$total_pages = $max_num_pages;
		$current_page = max(1,$paged); 
		$pages = paginate_links( [
		
				'base' 		   => @add_query_arg('paged','%#%'),
				'total'        => $total_pages,
				'format'       => '?paged=%#%',
				'current'      => $current_page,
				'type'         => 'array',
				'show_all'     => false,
				'end_size'     => 3,
				'mid_size'     =>1,
				'prev_next'    => true,
				'prev_text'    => esc_html__( 'Prev', 'maxwheels-framework' ),
				'next_text'    =>esc_html__( 'Next', 'maxwheels-framework' ),
				'add_args'     => false,
				'add_fragment' => ''
			]
		);
		if ( is_array( $pages ) ) {
			$pagination = '<div class="admin-pagination"><div class="pagination"><ul class="pagination">';
			foreach ($pages as $page) {
							$pagination .= '<li class="page-item' . (strpos($page, 'current') !== false ? ' active' : '') . '"> ' . str_replace('page-numbers', 'page-link', $page) . '</li>';
					}
			$pagination .= '</ul></div></div>';
			if ( $echo ) {
				echo $pagination;
			} else {
				return $pagination;
			}
		}
		return null;
	}
}


//Agent Featured Image frontend
if ( ! function_exists( 'maxwheels_framework_agent_feature_img' ) )
{
	function maxwheels_framework_agent_feature_img($agent_id,$thumb_size = '')
	{
		if(has_post_thumbnail($agent_id))
		{
			return the_post_thumbnail($thumb_size); //size of the thumbnail 
		}
		else
		{
			$defualt_img = trailingslashit( get_template_directory_uri()).'libs/images/default-imag.jpg';
			global $maxwheels_options;
			if(isset($maxwheels_options['mw_def_agent_logo']) && $maxwheels_options['mw_def_agent_logo']['url'] !="")
			{
				$defualt_img = $maxwheels_options['mw_def_agent_logo']['url'];
			} 
			return '<img src="'.esc_url($defualt_img).'" class="img-fluid" alt="'.get_the_title($agent_id).'">';
		}	
	}
}

//get selected terms all parents
if ( ! function_exists( 'maxwheels_framework_get_ancestors' ) )
{
	function maxwheels_framework_get_ancestors($slug,$taxnomy_name)
	{
		if(!empty($slug) && !empty($taxnomy_name))
		{
			$array = array();
			$fetch_id  = get_term_by( 'slug', $slug, $taxnomy_name);
			$term_id = $fetch_id->term_id;
			$ancestor_cat_ids = get_ancestors($term_id,$taxnomy_name);
			if(is_array($ancestor_cat_ids) && count($ancestor_cat_ids) > 0)
			{
				$array = array_values($ancestor_cat_ids);
			}
			//array_unshift($array,$term_id);
			 array_push($array,$term_id);
			return $array;
		}
	}
}

// Store User Package Against Package
if (!function_exists('maxwheels_framework_save_user_pkg'))
{
    function maxwheels_framework_save_user_pkg($user_id, $package_id)
	{
		if(!empty($user_id) && !empty($package_id))
		{
			$now = date('Y-m-d');
			$bump_listing = $featured_listing_expiry = $featured_listing = $listing_expiry = $regular_listing = $package_expiry = '';
			//get package detial
			$package_expiry = get_post_meta( $package_id, 'mw_package_expiry', true );
			$regular_listing = get_post_meta( $package_id, 'mw_regular_listing', true );
			$featured_listing = get_post_meta( $package_id, 'mw_featured_listing', true );
			$bump_listing =   get_post_meta( $package_id, 'mw_bump_listing', true );
			
			update_user_meta($user_id, 'mw_user_selected_pkg',$package_id);
			//regular listings
			if(!empty($regular_listing) && $regular_listing == '-1' )
			{
				  update_user_meta($user_id, 'mw_user_reg_listings', '-1');
			}
			else if( !empty($regular_listing) && is_numeric( $regular_listing ) &&  $regular_listing != 0 )
			{
			 	update_user_meta($user_id, 'mw_user_reg_listings', $regular_listing);
			}
			else
			{
				update_user_meta($user_id, 'mw_user_reg_listings', '');
			}
			//featured listings
			if(!empty($featured_listing) && $featured_listing == '-1' )
			{
				  update_user_meta($user_id, 'mw_user_feat_listings', '-1');
			}
			else if( !empty($featured_listing) && is_numeric( $featured_listing ) &&  $featured_listing != 0 )
			{
			 	update_user_meta($user_id, 'mw_user_feat_listings', $featured_listing);
			}
			else
			{
				update_user_meta($user_id, 'mw_user_feat_listings', '');
			}
			//bump listings
			if(!empty($bump_listing) && $bump_listing == '-1' )
			{
				  update_user_meta($user_id, 'mw_user_bump_listings', '-1');
			}
			else if( !empty($bump_listing) && is_numeric( $bump_listing ) &&  $bump_listing != 0 )
			{
			 	update_user_meta($user_id, 'mw_user_bump_listings', $bump_listing);
			}
			else
			{
				update_user_meta($user_id, 'mw_user_bump_listings', '');
			}
			//assign package days to user
			if( !empty($package_expiry) && $package_expiry == '-1' )
			{
				update_user_meta($user_id, 'mw_user_pkg_exp', '-1');
			}
			else
			{
				$date	=	date_create($now);
				date_add($date,date_interval_create_from_date_string("$package_expiry days"));
				$new_expiry	=	 date_format($date,"Y-m-d");
				update_user_meta($user_id, 'mw_user_pkg_exp', $new_expiry );
			}
			
		}
    }
}

//Get Property expiry date
if (!function_exists('maxwheels_framework_expiry_date_only'))
{
    function maxwheels_framework_expiry_date_only($mw_id = '')
	{
        $total_listing_expir_days = $actual_listing_date = $now = $packg_id = $list_expir = $author_id = $listing_exp_days = '';
        if ($mw_id == '')
		{
            return;
        }
        
        
         if (get_post_meta($mw_id, 'mw_is_feature_listing', true) !="" && get_post_meta($mw_id, 'mw_is_feature_listing', true) == '1' )
         {
                $featured_expiry_for = '';
                $featured_expiry_for = get_post_meta($mw_id, 'mw_feature_listing_for', true);
                if(isset($featured_expiry_for) && $featured_expiry_for !="" && $featured_expiry_for !="0" && $featured_expiry_for !="-1")
                {
                    return date(get_option('date_format'), strtotime($featured_expiry_for));
                }
                else
                {
                    return esc_html__('Never Expire','maxwheels-framework');
                }
         }
        else
		{
            if(maxwheels_framework_get_options('mw_pkg_type')  != '' && maxwheels_framework_get_options('mw_perlisting_featured_expiry') == 'free')
            {
                return esc_html__('Never Expire','maxwheels-framework');
            }
            else
            {
			    return esc_html__('N/A','maxwheels-framework');
            }
		}
    }
}


// Assign Related Roles
if (!function_exists ( 'maxwheels_framework_assign_selected_roles' ))
{
	function maxwheels_framework_assign_selected_roles($username,$user_id,$user_role_type,$user_mail,$displayname)
	{
		if(!empty($username) && !empty($user_id) && !empty($user_role_type))
		{
			if($user_role_type == 'dealer')
			{
				$post_type = 'mw-dealer';
				$status =    'dealer_status';
				$email =    'dealer_email';
			}
			if($user_role_type == 'buyer')
			{
				$post_type = 'mw-buyers';
				$status =    'buyer_status';
				$email =    'buyer_email';
			}
			
			if(isset($post_type) && $post_type !="")
			{
				$new_post = array(
				  'post_title'      => $displayname,
				  'post_type'       => $post_type ,
				  'post_status'     => 'publish',
				  'post_author' => $user_id, 
				);
				$inserted_id =  wp_insert_post($new_post);
				update_post_meta($inserted_id, $status, '1');
				if (get_post_meta($inserted_id, $user_role_type.'_is_featured', true ) == "1")
				{
				}
				else
				{
					update_post_meta($inserted_id, $user_role_type.'_is_featured', '0');
				}  
				update_post_meta($inserted_id, 'mw_user_id', $user_id);
				//get user email
				$user_email = get_the_author_meta( 'user_email', $user_id );
				update_post_meta($inserted_id, $email, $user_email);
				// update against current user
				update_user_meta($user_id, 'mw_post_id', $inserted_id);
				update_user_meta($user_id, 'user_role_type', $user_role_type);
       	    }
		}
	}
}

// Assign Role To Admin
if(in_array('maxwheels_framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
{
	add_action('init','maxwheels_framework_assign_role');
	if (!function_exists('maxwheels_framework_assign_role'))
	{
		function maxwheels_framework_assign_role()
		{
			if (is_super_admin() && is_user_logged_in())
			{
				 $current_user = wp_get_current_user();
				 $username = $current_user->display_name;
				 $user_id =  $current_user->ID;
				 $user_email =  $current_user->user_email;
				 if(get_user_meta($user_id, 'user_role_type', true) =="")
				 {
					 //time to assgin admin a role
					 maxwheels_framework_assign_selected_roles($username,$user_id,'agency',$user_mail);
				 }
			 }
		}
	}
}

//Get Attachment Types
function get_icon_for_attachment($attach_id)
{
  $type = '';
  $base = get_template_directory_uri() . "/libs/images/icons/";
  $type = get_post_mime_type($attach_id);
  //print_r($type);
 	 switch ($type) {
		case 'image/jpeg':
		return $base . "jpg.svg"; break;
		case 'image/jpg':
		return $base . "jpg.svg"; break;
		case 'image/png':
		  return $base . "png.svg"; break;
		case 'application/msword':
		return $base . "doc.svg"; break;
		case 'application/vnd.openxmlformats-officedocument.wordprocessingml.document':
		return $base . "doc.svg"; break;
		case 'application/pdf':
		return $base . "pdf.svg"; break;
		default:
		return $base . "file.svg";
  }
}


// Theme Social Share
if (!function_exists('maxwheels_framework_themesocial_shares'))
{
    function maxwheels_framework_themesocial_shares($id,$type)
	{
		if(!empty($id))
		{
			$theme_name  = wp_get_theme();
			$url = urlencode(get_permalink($id));
			$title = htmlspecialchars(urlencode(html_entity_decode(get_the_title($id), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8');
			$img_url = '';
			$thumb = wp_get_attachment_image_src(get_post_thumbnail_id($id), 'full');
			if(!empty($thumb) && is_array($thumb))
			{
				$img_url = $thumb[0];
			}
			$pin_link = $insta_link = $in_lin = $tw_link = $fb_link = $pin = $you = $insta = $in = $tw = $fb = '';
			$key = 'dealer';
			if($type == 'dealer')
			{
				$key = 'dealer';
			}
			
			$fb = get_post_meta($id, $key.'_fb', true );
			$tw = get_post_meta($id, $key.'_tw', true );
			$in = get_post_meta($id, $key.'_in', true );
			$insta = get_post_meta($id, $key.'_insta', true );
			$pin = get_post_meta($id, $key.'_pin', true );
			if(!empty($fb))
			{
				$fb_link = '<li><a target="_blank" href="http://www.facebook.com/sharer.php?u='.$url.'"><i class="fab fa-facebook-f"></i></a></li>';
			}
			if(!empty($tw))
			{
				$tw_link = '<li><a target="_blank" href="https://twitter.com/intent/tweet?text='.$title.'&amp;url='.$tw.'&amp;via='.$title.'"><i class=" fab fa-twitter"></i></a></li>';
			}
			if(!empty($in))
			{
				$in_lin = '<li><a target="_blank" href="https://www.linkedin.com/shareArticle?mini=true&url='.$in.'&title='.$title.'"><i class="fab fa-linkedin-in"></i></a></li>';
			}
			if(!empty($insta))
			{
				$insta_link = '<li><a target="_blank" href="https://www.instagram.com/?url='.esc_url($insta).'"><i class=" fab fa-instagram"></i></a></li>';
			}
			if(!empty($pin))
			{
					$pinterestURL = 'https://pinterest.com/pin/create/button/?url='.esc_url($pin).'&amp;media='.$img_url.'&amp;description='.get_the_content($id);
				
				$pin_link ='<li><a target="_blank" href="'.esc_url($pinterestURL).'"><i class=" fab fa-pinterest-p"></i></a></li>';
			}
			if(!empty($fb) || !empty($tw) || !empty($in) || !empty($insta) || !empty($pin))
			{
				return '<ul class="listing-owner-social">
						'.$fb_link.'
						'.$tw_link.'
						'.$in_lin.'
						'.$insta_link.'
						'.$pin_link.'
					    </ul>';
			}
		}
	}
}

// Theme Social Share
if (!function_exists('maxwheels_framework_no_result_found'))
{
    function maxwheels_framework_no_result_found()
	{
		return '<div class="col-xl-12 col-lg-12 col-sm-12 col-12 grid-item"><div class="nothing-found"><h3>'.esc_html__('Sorry!!! No Record Found','maxwheels-framework').'</h3>
           <img src="'.esc_url(MaxWheels_Plugin_Url."libs/images/nothing-found.png").'" alt="" class="img-fluid"></div></div>';
	}
}

if (!function_exists('maxwheels_framework_no_inventory'))
{
    function maxwheels_framework_no_inventory()
	{
		return '<div class="col-xl-12 col-lg-12 col-sm-12 col-12 grid-item"><div class="nothing-found"><h3>'.maxwheels_framework_get_options('mw_dlr_profile_no_inv').'</h3>
           <img src="'.esc_url(MaxWheels_Plugin_Url."libs/images/nothing-found.png").'" alt="" class="img-fluid"></div></div>';
	}
}

if (!function_exists('maxwheels_framework_no_review'))
{
    function maxwheels_framework_no_review($dealer_id)
	{
		return '<div class="col-xl-12 col-lg-12 col-sm-12 col-12 grid-item"><div class="nothing-found no-review">
			<div class="no-reviews text-center">
			  <h3 class="nomargin">'.esc_html__('Do you know ','maxwheels-framework').esc_html(get_the_title($dealer_id)).'?</h3>
			  <p>'.esc_html__('Share your experience by writing a review!','maxwheels-framework').'</p>
			</div><img src="'.esc_url(MaxWheels_Plugin_Url."libs/images/no-review.png").'" alt="" class="img-fluid"></div></div>';
	}
}

if (!function_exists('maxwheels_framework_only_logged_in_user'))
{
    function maxwheels_framework_only_logged_in_user()
	{
		return '<section class="error-page-section section-padding not-authorized">
				<div class="container">
					<div class="row align-items-center">
					<div class="col-lg-7 col-12">
						<div class="error-page-content">
							<h2>Oops! You Are Not Authorized</h2>
							<p>Sorry!!! Only Logged In Users Can View This Page</p>
							<a href="'. esc_url( home_url( '/' ) ).'" class="btn btn-theme"><i class="fas fa-home"></i>  '.esc_html__('  Go to Home', 'maxwheels-framework' ).'</a>
						</div>
					</div>
					<div class="col-lg-5 col-12">
						<div class="error-thumbnail text-end">
							<img alt="" class="img-fluid" src="'.esc_url(MaxWheels_Plugin_Url."libs/images/authorized.png").'">
						</div>
					</div>
				   </div>
			   </div>
		</section>';
	}
}


//Terms for shortcode
if ( ! function_exists( 'maxwheels_framework_term_html' ) )
{
	function maxwheels_framework_term_html($term_name, &$data)
	{
			$term_arg = get_terms( array(
				'taxonomy'   => $term_name,
				'hide_empty' => false,
			));
			maxwheels_framework_term_html_child($term_name,$term_arg,$data,'0');
	}
}
if ( ! function_exists( 'maxwheels_framework_term_html_child' ) )
{
	function maxwheels_framework_term_html_child( $term_name,  $term_arg , &$data ,$term_parent = '', $separator = " " )
	{
		if (!empty($term_arg) && is_array($term_arg) && count($term_arg) > 0)
		{
			$data.= '<option value="">' .esc_html__('Select an option','maxwheels-framework').'</option>';
			foreach ($term_arg as $term)
			{
				if ( $term->parent == $term_parent )
				{
					$data.= '<option value="' . $term->slug . '">' . $separator . $term->name . ' (' . $term->count . ')'. '</option>';
					maxwheels_framework_term_html_child( $term_name, $term_arg ,$data,$term->term_id ,  "- " . $separator );
				}
			}
		}
	}
}



if ( ! function_exists( 'maxwheels_framework_terms_array_parrent' ) )
{
	function maxwheels_framework_terms_array_parrent($term_name)
	{
		$data = '';
		$term_arg = get_terms( array(
			'taxonomy'   => $term_name,
			'hide_empty' => false,
			'parent' => 0
		));
		if (!empty($term_arg) && is_array($term_arg) && count($term_arg) > 0)
		{
			$data.= '<option value="">' .esc_html__('Select an option','maxwheels-framework').'</option>';
			foreach ($term_arg as $term)
			{
				$data.= '<option value="' . $term->slug . '">' . esc_html($term->name).'</option>';
			}
			
		}
		return $data;
	}
}


//Terms for shortcode
if ( ! function_exists( 'maxwheels_framework_terms_array' ) )
{
	function maxwheels_framework_terms_array($term_name, &$data)
	{
			$term_arg = get_terms( array(
				'taxonomy'   => $term_name,
				'hide_empty' => false,
			));
			maxwheels_framework_terms_array_childs($term_name,$term_arg,$data,'0');
	}
}
if ( ! function_exists( 'maxwheels_framework_terms_array_childs' ) )
{
	function maxwheels_framework_terms_array_childs( $term_name,  $term_arg, &$data, $term_parent = '', $separator = " " )
	{
		if (!empty($term_arg) && is_array($term_arg) && count($term_arg) > 0)
		{
			foreach ($term_arg as $term)
			{
				if ( $term->parent == $term_parent )
				{
					$data[ $term->slug ] = $separator . $term->name  . ' (' . $term->count . ')';
					maxwheels_framework_terms_array_childs( $term_name , $term_arg, $data, $term->term_id, "- " . $separator );
				}
			}
		}
	}
}

//Search on Taxnomy Page
if ( ! function_exists( 'maxwheels_framework_mw_search' ) )
{
	function maxwheels_framework_mw_search($paged)
	{
		$tax_query = '';
        $custom_location = '';
        $queried_object = get_queried_object();
	
        if (!empty($queried_object) && count((array)$queried_object) > 0)
		{
            $term_id = $queried_object->term_id;
            $tax_name = $queried_object->taxonomy;
            if (!empty($term_id))
			{
                $term_idz = get_term_by('id', $term_id, $tax_name);
                $termName = $term_idz->name;
                $term_id = $term_idz->term_id;
            }
			$tax_query = array(
                array(
                    'taxonomy' => $tax_name,
                    'field' => 'term_id',
                    'terms' => array($term_id, $tax_name),
                ),
            );
		}
		$args	=	array
		(
			'post_type' => 'mx-listings',
			'post_status' => 'publish',
			'posts_per_page' => get_option('posts_per_page'),
			'paged' => $paged,
			'tax_query' => array(
                $tax_query,
            ),
            'fields' => 'ids',
			'meta_key' => 'mw_is_feature_listing',
			'orderby'  => array(
				'meta_value' => 'DESC',
				'post_date'      => 'DESC',
			),
			'meta_query'    => array(
				array(
					'key'       => 'mw_status',
					'value'     => '1',
					'compare'   => '=',
				),
			),
			'order'=> 'DESC',
		);
		return $args;
	}
}


//Fetch Childs Makes
if (!function_exists('maxwheels_framework_more_levels'))
{
   function maxwheels_framework_more_levels($request,$post_type,$extra_param = '') 
   {
      $childs  = $termchildren = $final_content = $params =  array();
      $data = '';
      $slug    = $request;
      $get_term = get_term_by('slug', $slug,$post_type);
      if(!empty($get_term) &&  count((array) $get_term) > 0)
      {
         $termchildren = get_terms(array('taxonomy'=> $get_term->taxonomy,'hide_empty' => false,'parent' => (int) $get_term->term_id) );   
         if(!empty($termchildren) && is_array($termchildren) && count($termchildren) > 0)
         {
            $data = '';
            if(empty($extra_param))
            {
                $data .= '<option value="">' . esc_html("Select an Option","maxwheels-framework"). '</option>';
            }
            foreach ($termchildren as $child)
            {
                if(!empty($extra_param))
                {
                    if ($extra_param == $child->slug)
                    {
                        $data .= '<option value="' . esc_html($child->slug) . '" selected="selected">' . esc_html($child->name) . '</option>';
                    }
                    else
                    {
                        $data .= '<option value="' .esc_html($child->slug) . '">' . esc_html($child->name). '</option>';
                    }
                }
                else
                {
                     $data .= '<option value="' .esc_html($child->slug) . '">' . esc_html($child->name). '</option>';
                }
            }
         }
      }
      return $data;
   }
}


if (!function_exists('maxwheels_framework_getlevel_terms')) {
    function maxwheels_framework_getlevel_terms($id, $by = 'name' , $taxanomy =  'mw-category')
    {
        $terms = wp_get_post_terms($id, $taxanomy);
        $cats = array();
        $myparentID = '';
        foreach ($terms as $term) {
            if ($term->parent == 0) {
                $myparent = $term;
                $myparentID = $myparent->term_id;
                $cats[] = array('name' => $myparent->name, 'id' => $myparent->term_id,'slug' =>$myparent->slug);
                break;
            }
        }

        if ($myparentID != "") {
            $mychildID = '';
            // Right, the parent is set, now let's get the children
            foreach ($terms as $term) {
                if ($term->parent == $myparentID) { // this ignores the parent of the current post taxonomy
                    $child_term = $term; // this gets the children of the current post taxonomy
                    $mychildID = $child_term->term_id;
                    $cats[] = array('name' => $child_term->name, 'id' => $child_term->term_id,'slug' =>$child_term->slug);
                    break;
                }
            }
            if ($mychildID != "") {
                $mychildchildID = '';
                // Right, the parent is set, now let's get the children
                foreach ($terms as $term) {
                    if ($term->parent == $mychildID) { // this ignores the parent of the current post taxonomy
                        $child_term = $term; // this gets the children of the current post taxonomy
                        $mychildchildID = $child_term->term_id;
                        $cats[] = array('name' => $child_term->name, 'id' => $child_term->term_id,'slug' =>$child_term->slug);
                        break;
                    }
                }
                if ($mychildchildID != "") {
                    // Right, the parent is set, now let's get the children
                    foreach ($terms as $term) {
                        if ($term->parent == $mychildchildID) { // this ignores the parent of the current post taxonomy
                            $child_term = $term; // this gets the children of the current post taxonomy
                            $cats[] = array('name' => $child_term->name, 'id' => $child_term->term_id,'slug' =>$child_term->slug);
                            break;
                        }
                    }
                }
            }
        }
        return $cats;
    }
}

//Get Selected Parents Only On Search
if (!function_exists('maxwheels_framework_top_seach_parents'))
{
   function maxwheels_framework_top_seach_parents($slug,$taxonomy, $args = array()) 
   {
	    $sel_category = get_term_by('slug',$slug, $taxonomy);
	    if(!empty($sel_category) &&  count((array) $sel_category) > 0)
		{
			//
			$list = '';
			$term = get_term((int) $sel_category->term_id, $taxonomy );
			if ( is_wp_error( $term ) ) {
				return $term;
			}
			if ( ! $term ) {
				return $list;
			}
			$term_id = $term->term_id;
			$defaults = array(
				'format'    => 'name',
				'link'      => true,
				'inclusive' => true,
			);
			$args = wp_parse_args( $args, $defaults );
			foreach ( array( 'link', 'inclusive' ) as $bool ) {
				$args[ $bool ] = wp_validate_boolean( $args[ $bool ] );
			}
			$parents = get_ancestors( $term_id, $taxonomy, 'taxonomy' );
			if ( $args['inclusive'] ) {
				array_unshift( $parents, $term_id );
			}
			$to_parent = '';
			foreach ( array_reverse( $parents ) as $term_id ) {
				$parent = get_term( $term_id, $taxonomy );
				$name   = ( 'slug' === $args['format'] ) ? $parent->slug : $parent->name;
				$to_parent = get_term_by('id',$parent->parent,$taxonomy);
				if(empty($to_parent->slug))
				{
					$slug = '';
				}
				else
				{
					$slug = $to_parent->slug;
				}
				$list .='<span class="cat-tag">
				  <span class="cat-content">'.esc_html($name).'</span>
				  <span class="cat-rm-lnk" data-term-parent="'.esc_attr($slug).'" data-term-slug="'.esc_attr($parent->slug).'">x</span>
				</span>';
			}
			return $list;
		}
   }
}

//Get Selected Parents Only On Search
if (!function_exists('maxwheels_framework_top_seach_parents_locations'))
{
   function maxwheels_framework_top_seach_parents_locations($slug,$taxonomy, $args = array()) 
   {
	    $sel_category = get_term_by('slug',$slug, $taxonomy);
	    if(!empty($sel_category) &&  count((array) $sel_category) > 0)
		{
			//
			$list = '';
			$term = get_term((int) $sel_category->term_id, $taxonomy );
			if ( is_wp_error( $term ) ) {
				return $term;
			}
			if ( ! $term ) {
				return $list;
			}
			$term_id = $term->term_id;
			$defaults = array(
				'format'    => 'name',
				'link'      => true,
				'inclusive' => true,
			);
			$args = wp_parse_args( $args, $defaults );
			foreach ( array( 'link', 'inclusive' ) as $bool ) {
				$args[ $bool ] = wp_validate_boolean( $args[ $bool ] );
			}
			$parents = get_ancestors( $term_id, $taxonomy, 'taxonomy' );
			if ( $args['inclusive'] ) {
				array_unshift( $parents, $term_id );
			}
			$to_parent = '';
			foreach ( array_reverse( $parents ) as $term_id ) {
				$parent = get_term( $term_id, $taxonomy );
				$name   = ( 'slug' === $args['format'] ) ? $parent->slug : $parent->name;
				$to_parent = get_term_by('id',$parent->parent,$taxonomy);
				if(empty($to_parent->slug))
				{
					$slug = '';
				}
				else
				{
					$slug = $to_parent->slug;
				}
				$list .='<span class="loc-tag">
				  <span class="loc-cat-content">'.esc_html($name).'</span>
				  <span class="loc-cat-rm-lnk" data-term-parent="'.esc_attr($slug).'" data-term-slug="'.esc_attr($parent->slug).'">x</span>
				</span>';
			}
			return $list;
		}
   }
}

//Total Comments Count Submitted
if (!function_exists('maxwheels_framework_search_filters_tags'))
{
    function maxwheels_framework_search_filters_tags($params)
    {
		if(!empty($params))
		{
			$filter_html = $term  = $filters = '';
			$static_array = array(
                "by_title"=> esc_html__('Title','maxwheels-framework'),
                "condition"=> "mw-condition",
                "location"=> "mw-location",
				"type"=> "mw-Labels",
                "body-types"=> "mw-bodytype",
                "fuel"=> "mw-fuel",
                "years"=> "mw-year",
                "transmission"=> "mw-transmission",
                "drive-type"=> "mw-drive",
                "exterior-colors"=> "mw-exterior-color",
                "owners"=> "mw-owners",
                "km-driven"=> esc_html__('Mileage','maxwheels-framework'),
                "seller-type" => esc_html__('Seller Type','maxwheels-framework'),
                "min-price"=> esc_html__('Price','maxwheels-framework'),
                "distance"=> esc_html__('Near Me','maxwheels-framework'),
				"inventory-author"=> "",
				"category"=> "",
				"max-price"=> "",
				"layout-type"=> "",
        	);
			foreach($params as $k => $v)
			{
				if(!empty($k) && !empty($v))
				{
					if(is_array($v))
					{
						/*if($k == 'acf')
						{
							$url_keys = ($_GET[$k]);
							$without_array = array();
							foreach( $url_keys as $key => $url_keyz)
							{
								if(!empty($url_keyz) && is_array($url_keyz) && count($url_keyz) > 0)
								{
									$without_array = get_field_object($key);
									if(!empty($without_array) && is_array($without_array) && count($without_array) > 0)
									{
										$filters.= '<li class="filter-tags-render">'.esc_html($without_array['label']).'<a data-check="checkcolumn" data-name="'.$without_array['prefix'].'['.$without_array['key'].']'.'[]" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
									}
								}
								elseif(!empty($url_keyz) )
								{
									$without_array = get_field_object($key);
									if(!empty($without_array) && is_array($without_array) && count($without_array) > 0)
									{
										//print("<pre>".print_r($without_array,true)."</pre>");
										$filters.= '<li class="filter-tags-render">'.esc_html($without_array['label']).'<a data-check="checkcolumn" data-name="'.$without_array['prefix'].'['.$without_array['key'].']'.'" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
									}
								}
							}
						}
						else
						{*/
							
						
							$term  =  get_taxonomy($static_array[$k]);
							if(!empty($term) && count((array)$term) > 0)
							{
							  $filters.= '<li class="filter-tags-render">'.esc_html($term->label).'<a data-check="checkcolumn" data-name="'.$k.'[]" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
							}
							else
							{
								$filters.= '<li class="filter-tags-render">'.$static_array[$k].'<a data-check="checkcolumn" data-name="'.$k.'[]" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
							}
						//}
						}
					else
					{
						if(array_key_exists($k, $static_array))
						{
							if($k == 'category' || $k == 'id_del') continue;
							elseif($k == 'min-price')
							{
								$filters.= '<li class="filter-tags-render">'.esc_html($static_array[$k]).' <a data-check="textcolumn" data-name="min-price" data-name-second="max-price" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
							}
							elseif($k == 'max-price')
							{
							}
							elseif($k == 'distance')
							{
								$filters.= '<li class="filter-tags-render">'.esc_html($static_array[$k]).' <a data-check="nearbyme" data-name="distance" data-name-second="latitude" data-name-third="longitude" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
							}
							elseif($k == 'latitude')
							{
							}
							elseif($k == 'longitude')
							{
							}
							elseif($k == 'layout-type')
							{
							}
                            elseif($k == 'location')
                            {
                                $term  =  get_taxonomy($static_array[$k]);
                                if(isset($term) && $term !="")
                                {
                                    $filters.= '<li class="filter-tags-render">'.esc_html($term->label).'<a data-check="textcolumn" data-name="'.$k.'" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';

                                }
                            }
							elseif($k == 'inventory-author' && $v!="")
							{
								$author_id = get_user_meta($v, 'mw_post_id', true);
								$filters.= '<li class="filter-tags-render">'.get_the_title($author_id).'<a data-check="textcolumn" data-name="inventory-author" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
							}
							else
							{
								$filters.= '<li class="filter-tags-render">'.$static_array[$k].'<a data-check="textcolumn" data-name="'.$k.'" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
							}
						}
						else
						{
							if(in_array('advanced-custom-fields/acf.php', apply_filters('active_plugins', get_option('active_plugins'))) && class_exists('ACF'))
							{
								$cats_value = '7';
								/*echo $k . '<br>';
								$without_array = get_field_object('model_name');
								echo get_field('model_name');
								//echo $without_array = get_field('model_name');
								//echo $without_array['label'];
								print("<pre>".print_r($without_array,true)."</pre>");*/
								
							    $without_array = acf_get_field($k);
								//print("<pre>".print_r($without_array,true)."</pre>");
								if(!empty($without_array) && is_array($without_array) && count($without_array) > 0)
								{
									$filters.= '<li class="filter-tags-render">'.$without_array['label'].'<a data-check="textcolumn" data-name="'.$without_array['_name'].'" href="javascript:void(0)" class="mw-filter-reset-btn">×</a></li>';
									
								}
								
								
								
							}
							
							
							
							
					
							
							
							
							
							
							
							
							
						}
					}
				}
			}
			return '<div class="filter-tags"><ul class="filter-tags-list">'.$filters.'</ul></div>';
		}
	}
}


// Get nearBy Locations. 
if( !function_exists('maxwheels_framework_min_max_latt_long') )
{
	function maxwheels_framework_min_max_latt_long($data_arr)
	{
		$nearby_data = array();
		$distance = $original_long = $original_lat = '';
		if(!empty($data_arr))
		{
			$search_radius_type = 'km';
			$nearby_data = $data_arr;
			$original_lat = $nearby_data['latitude'];
			$original_long = $nearby_data['longitude'];
			$distance = intval($nearby_data['distance']);
			if ($search_radius_type == 'mile' && $distance > 0)
			{
                $distance = $distance * 1.609344;
            }
			$lat = $original_lat;
			$lon = $original_long;
			$distance = ($distance);
			$R = 6371;
			
			$maxLat = $lat + rad2deg($distance / $R);
            $minLat = $lat - rad2deg($distance / $R);
			
			$maxLon = $lon + rad2deg(asin($distance / $R) / @abs(@cos(deg2rad($lat))));
            $minLon = $lon - rad2deg(asin($distance / $R) / @abs(@cos(deg2rad($lat))));
			
			$data['radius'] = $R;
			$data['distance'] = $distance;
			$data['lat']['original'] = $original_lat;
			$data['long']['original'] = $original_long;
			
			$data['lat']['min'] = $minLat;
			$data['lat']['max'] = $maxLat;
			
			$data['long']['min'] = $minLon;
			$data['long']['max'] = $maxLon;
			return $data;
		}
	}
}

// Distance Between Two points.
if( !function_exists('maxwheels_framework_get_distance_between_ponits') )
{
	  function maxwheels_framework_get_distance_between_ponits($lat1, $lon1, $lat2, $lon2)
	  {
		  if(isset($lat1) && isset($lon1) && isset($lat2) && isset($lon2))
		  {
			  $theta = $lon1 - $lon2;
			  $miles = (sin(deg2rad($lat1)) * sin(deg2rad($lat2))) + (cos(deg2rad($lat1)) * cos(deg2rad($lat2)) * cos(deg2rad($theta)));
			  $miles = acos($miles);
			  $miles = rad2deg($miles);
			  $miles = $miles * 60 * 1.1515;
			  $feet = $miles * 5280;
			  $yards = $feet / 3;
			  $kilometers = $miles * 1.60934;
			  $meters = $kilometers * 1000;
			  return compact('miles','feet','yards','kilometers');
		  }
	  }
}
// Listing Specs.
if ( ! function_exists( 'maxwheels_framework_listing_key_info' ) )
{
	function maxwheels_framework_listing_key_info($mw_id)
	{
		$body_data = '';
		$post_author_id = get_post_field('post_author', $mw_id);
		$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
		$type 			= get_user_meta($post_author_id, 'user_role_type', true);
		$contact_info = esc_html__('Seller','maxwheels-framework');
		if($type == 'dealer')
		{
			$contact_info = esc_html__('Dealer','maxwheels-framework');
		}
	?>
		<div class="row">
		<?php if(get_post_meta($mw_id, 'mw_bodytype',true)!="")
		 {
			$body_type = get_post_meta($mw_id, 'mw_bodytype',true);
			$body_data = get_term_by('slug',$body_type, 'mw-bodytype');
			if(!empty($body_data)) {
		?>
		 <div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			   <i class="flaticon-car-3"></i>
			   <div>
				  <small><?php echo esc_html__( "Body Type", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_data->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_mileage',true)!="")
	    {
			$body_mil = get_post_meta($mw_id, 'mw_mileage',true);
			$mileage = number_format($body_mil);
		?>
		<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			   <i class="flaticon-fast"></i>
			   <div>
				  <small><?php echo esc_html__( "Mileage", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($mileage) . ' '.maxwheels_strings('mw_car_mileage_unit'); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } ?>
		<?php if(get_post_meta($mw_id, 'mw_transmission',true)!="")
	    {
			$trans = get_post_meta($mw_id, 'mw_transmission',true);
			$body_trans = get_term_by('slug',$trans, 'mw-transmission');
			if(!empty($body_trans)) {
	    ?>
		<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			   <i class="flaticon-gearshift-1"></i>
			   <div>
				  <small><?php echo esc_html__( "Transmission", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_trans->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } } ?>
		<?php if(get_post_meta($mw_id, 'mw_enginesize',true)!="")
	     {
			$eng = get_post_meta($mw_id, 'mw_enginesize',true);
			$eng_size = number_format($eng);
		 ?>
		<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			   <i class="flaticon-engine"></i>
			   <div>
				  <small><?php echo esc_html__( "Engine Size", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($eng_size) . ' '.maxwheels_strings('mw_enginesize_unit'); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } ?>
		<?php if(get_post_meta($mw_id, 'mw_year',true)!="")
		{
			$year = get_post_meta($mw_id, 'mw_year',true);
			$body_year = get_term_by('slug',$year, 'mw-year');
			if(!empty($body_year)) {
		?>
		<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			   <i class="flaticon-calendar-1"></i>
			   <div>
				  <small><?php echo esc_html__( "Year", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_year->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } } ?>
		<?php if(get_post_meta($mw_id, 'mw_fueltype',true)!="")
		{
			$fuel = get_post_meta($mw_id, 'mw_fueltype',true);
			$body_fuel = get_term_by('slug',$fuel, 'mw-fuel');
			if(!empty($body_fuel)) {
		?>
		<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			   <i class="flaticon-fuel-station"></i>
			   <div>
				  <small><?php echo esc_html__( "Fuel Type", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_fuel->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_drive',true)!="")
		{
			$drive = get_post_meta($mw_id, 'mw_drive',true);
			$body_drive = get_term_by('slug',$drive, 'mw-drive');
			if(!empty($body_drive)) {
		?>
		<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			   <i class="flaticon-steering-wheel-2"></i>
			   <div>
				  <small><?php echo esc_html__("Drive", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_drive->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_condition',true)!="")
		{
			$cond = get_post_meta($mw_id, 'mw_condition',true);
			$body_cond = get_term_by('slug',$cond, 'mw-condition');
			if(!empty($body_cond)) {
		?>
		<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			   <i class="flaticon-settings"></i>
			   <div>
				  <small><?php echo esc_html__("Condition", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_cond->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_extrtior',true)!="")
		{
			$ext = get_post_meta($mw_id, 'mw_extrtior',true);
			$body_ext = get_term_by('slug',$ext, 'mw-exterior-color');
			if(!empty($body_ext)) {
		?>
		<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			   <i class="flaticon-rgb"></i>
			   <div>
				  <small><?php echo esc_html__("Exterior Color", "maxwheels-framework" ); ?></small>
				  <h6 class="mw-overflow mw-ellipsis"><?php echo esc_html($body_ext->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } } ?>
		<?php if(get_post_meta($mw_id, 'mw_interior',true)!="")
		{
			$int = get_post_meta($mw_id, 'mw_interior',true);
			$body_int = get_term_by('slug',$int, 'mw-interior-color');
			if(!empty($body_int)) {
		?>
		<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			   <i class="flaticon-paint-1"></i>
			   <div>
				  <small><?php echo esc_html__("Interior Color", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_int->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php }} ?>
		<?php
		 global $maxwheels_options;
		 if($maxwheels_options['mw_user_role_type'] == '' || $maxwheels_options['mw_user_role_type']  == 'both') { ?>
		 <div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			   <i class="flaticon-user-2"></i>
			   <div>
				  <small><?php echo esc_html__("Seller Type", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($contact_info); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } ?>
		<?php if(get_post_meta($mw_id, 'mw_owners',true)!="")
		{
			$owners = get_post_meta($mw_id, 'mw_owners',true);
			$body_own = get_term_by('slug',$owners, 'mw-owners');
			if(!empty($body_own)) {
		?>
		<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-12 col-12">
			<div class="car-sep">
			<i class="flaticon-car-key"></i>
			<div>
			  <small><?php echo esc_html__("No. of Owners", "maxwheels-framework" ); ?></small>
			  <h6><?php echo esc_html($body_own->name); ?></h6>
			</div>
			</div>
		</div>
		<?php }} ?>
		</div>
	<?php
	}
}
// Listing Specs 2.
if ( ! function_exists( 'maxwheels_framework_listing_key_info_two' ) )
{
	function maxwheels_framework_listing_key_info_two($mw_id)
	{
		$body_data = '';
		$post_author_id = get_post_field('post_author', $mw_id);
		$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
		$type 			= get_user_meta($post_author_id, 'user_role_type', true);
		$contact_info = esc_html__('Seller','maxwheels-framework');
		if($type == 'dealer')
		{
			$contact_info = esc_html__('Dealer','maxwheels-framework');
		}
		?>
		<div class="key-feat">
			<div class="key-feat single-car-categry-2 ">
				<ul class="list-inline">
					<?php if(get_post_meta($mw_id, 'mw_bodytype',true)!="")
					 {
						$body_type = get_post_meta($mw_id, 'mw_bodytype',true);
						$body_data = get_term_by('slug',$body_type, 'mw-bodytype');
						if(!empty($body_data)) {
					?>
					<li><p><?php echo esc_html__("Body Type", "maxwheels-framework" ); ?></p><span><?php echo esc_html($body_data->name); ?></span></li>
					<?php } } ?>
					<?php if(get_post_meta($mw_id, 'mw_mileage',true)!="")
					{
						$body_mil = get_post_meta($mw_id, 'mw_mileage',true);
						$mileage = number_format($body_mil);
					?>
					<li><p><?php echo esc_html__("Mileage", "maxwheels-framework" ); ?></p><span><?php echo esc_html($mileage) . ' '.maxwheels_strings('mw_car_mileage_unit'); ?></span></li>
					<?php } ?>
					<?php if(get_post_meta($mw_id, 'mw_transmission',true)!="")
					{
						$trans = get_post_meta($mw_id, 'mw_transmission',true);
						$body_trans = get_term_by('slug',$trans, 'mw-transmission');
						if(!empty($body_trans)) {
					?>
					<li><p><?php echo esc_html__("Transmission", "maxwheels-framework" ); ?></p><span><?php echo esc_html($body_trans->name); ?></span></li>
					<?php } } ?>
					<?php if(get_post_meta($mw_id, 'mw_enginesize',true)!="")
					 {
						$eng = get_post_meta($mw_id, 'mw_enginesize',true);
						$eng_size = number_format($eng);
					 ?>
					<li><p><?php echo esc_html__("Engine Size", "maxwheels-framework" ); ?></p><span><?php echo esc_html($eng_size) . ' '.maxwheels_strings('mw_enginesize_unit'); ?></span></li>
					<?php } ?>
					<?php if(get_post_meta($mw_id, 'mw_year',true)!="")
					{
						$year = get_post_meta($mw_id, 'mw_year',true);
						$body_year = get_term_by('slug',$year, 'mw-year');
						if(!empty($body_year)) {
					?>
					<li><p><?php echo esc_html__("Year", "maxwheels-framework" ); ?></p><span><?php echo esc_html($body_year->name); ?></span></li>
					<?php } } ?>
					<?php if(get_post_meta($mw_id, 'mw_fueltype',true)!="")
					{
						$fuel = get_post_meta($mw_id, 'mw_fueltype',true);
						$body_fuel = get_term_by('slug',$fuel, 'mw-fuel');
						if(!empty($body_fuel)) {
					?>
					<li><p><?php echo esc_html__("Fuel Type", "maxwheels-framework" ); ?></p><span><?php echo esc_html($body_fuel->name); ?></span></li>
					<?php } } ?>
					<?php if(get_post_meta($mw_id, 'mw_drive',true)!="")
					{
						$drive = get_post_meta($mw_id, 'mw_drive',true);
						$body_drive = get_term_by('slug',$drive, 'mw-drive');
						if(!empty($body_drive)) {
					?>
					<li><p><?php echo esc_html__("Drive", "maxwheels-framework" ); ?></p><span><?php echo esc_html($body_drive->name); ?></span></li>
					<?php } } ?>
					<?php if(get_post_meta($mw_id, 'mw_condition',true)!="")
					{
						$cond = get_post_meta($mw_id, 'mw_condition',true);
						$body_cond = get_term_by('slug',$cond, 'mw-condition');
						if(!empty($body_cond)) {
					?>
					<li><p><?php echo esc_html__("Condition", "maxwheels-framework" ); ?></p><span><?php echo esc_html($body_cond->name); ?></span></li>
					<?php } } ?>
					<?php if(get_post_meta($mw_id, 'mw_extrtior',true)!="")
					{
						$ext = get_post_meta($mw_id, 'mw_extrtior',true);
						$body_ext = get_term_by('slug',$ext, 'mw-exterior-color');
						if(!empty($body_ext)) {
					?>
					<li><p><?php echo esc_html__("Exterior Color", "maxwheels-framework" ); ?></p><span><?php echo esc_html($body_ext->name); ?></span></li>
					<?php } } ?>
					<?php if(get_post_meta($mw_id, 'mw_interior',true)!="")
					{
						$int = get_post_meta($mw_id, 'mw_interior',true);
						$body_int = get_term_by('slug',$int, 'mw-interior-color');
						if(!empty($body_int)) {
					?>
					<li><p><?php echo esc_html__("Interior Color", "maxwheels-framework" ); ?></p><span><?php echo esc_html($body_int->name); ?></span></li>
					<?php } } ?>
					<?php
					 global $maxwheels_options;
					 if($maxwheels_options['mw_user_role_type'] == '' || $maxwheels_options['mw_user_role_type']  == 'both') { ?>
					 <li><p><?php echo esc_html__("Seller Type", "maxwheels-framework" ); ?></p><span><?php echo esc_html($contact_info); ?></span></li>
					<?php } ?>
					<?php if(get_post_meta($mw_id, 'mw_owners',true)!="")
					{
						$owners = get_post_meta($mw_id, 'mw_owners',true);
						$body_own = get_term_by('slug',$owners, 'mw-owners');
						if(!empty($body_own)) {
					?>
					<li><p><?php echo esc_html__("No. of Owners", "maxwheels-framework" ); ?></p><span><?php echo esc_html($body_own->name); ?></span></li>
					<?php } } ?>
				</ul>
			</div>
		</div>	
		<?php
	}
}
// Listing Specs #3.
if ( ! function_exists( 'maxwheels_framework_listing_key_info_three' ) )
{
	function maxwheels_framework_listing_key_info_three($mw_id)
	{
		$body_data = '';
		$post_author_id = get_post_field('post_author', $mw_id);
		$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
		$type 			= get_user_meta($post_author_id, 'user_role_type', true);
		$contact_info = esc_html__('Seller','maxwheels-framework');
		if($type == 'dealer')
		{
			$contact_info = esc_html__('Dealer','maxwheels-framework');
		}
		?>
		<div class="row key-specs-3">
		<?php if(get_post_meta($mw_id, 'mw_bodytype',true)!="")
		 {
			$body_type = get_post_meta($mw_id, 'mw_bodytype',true);
			$body_data = get_term_by('slug',$body_type, 'mw-bodytype');
			if(!empty($body_data)) {
		?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-car-3"></i>
			   <div class="spk-3">
				  <small><?php echo esc_html__( "Body Type", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_data->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_mileage',true)!="")
	    {
			$body_mil = get_post_meta($mw_id, 'mw_mileage',true);
			$mileage = number_format($body_mil);
		?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-fast"></i>
			   <div class="spk-3">
				  <small><?php echo esc_html__( "Mileage", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($mileage) . ' '.maxwheels_strings('mw_car_mileage_unit'); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } ?>
		<?php if(get_post_meta($mw_id, 'mw_transmission',true)!="")
	    {
			$trans = get_post_meta($mw_id, 'mw_transmission',true);
			$body_trans = get_term_by('slug',$trans, 'mw-transmission');
			if(!empty($body_trans)) {
	    ?>
		<div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-gearshift-1"></i>
			   <div class="spk-3">
				  <small><?php echo esc_html__( "Transmission", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_trans->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } } ?>
		<?php if(get_post_meta($mw_id, 'mw_enginesize',true)!="")
	     {
			$eng = get_post_meta($mw_id, 'mw_enginesize',true);
			$eng_size = number_format($eng);
		 ?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-engine"></i>
			   <div class="spk-3">
				  <small><?php echo esc_html__( "Engine Size", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($eng_size) . ' '.maxwheels_strings('mw_enginesize_unit'); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } ?>
		<?php if(get_post_meta($mw_id, 'mw_year',true)!="")
		{
			$year = get_post_meta($mw_id, 'mw_year',true);
			$body_year = get_term_by('slug',$year, 'mw-year');
			if(!empty($body_year)) {
		?>
		<div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-calendar-1"></i>
			   <div class="spk-3">
				  <small><?php echo esc_html__( "Year", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_year->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } } ?>
		<?php if(get_post_meta($mw_id, 'mw_fueltype',true)!="")
		{
			$fuel = get_post_meta($mw_id, 'mw_fueltype',true);
			$body_fuel = get_term_by('slug',$fuel, 'mw-fuel');
			if(!empty($body_fuel)) {
		?>
		<div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-fuel-station"></i>
			   <div class="spk-3">
				  <small><?php echo esc_html__( "Fuel Type", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_fuel->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_drive',true)!="")
		{
			$drive = get_post_meta($mw_id, 'mw_drive',true);
			$body_drive = get_term_by('slug',$drive, 'mw-drive');
			if(!empty($body_drive)) {
		?>
		<div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-steering-wheel-2"></i>
			   <div class="spk-3">
				  <small><?php echo esc_html__("Drive", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_drive->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_condition',true)!="")
		{
			$cond = get_post_meta($mw_id, 'mw_condition',true);
			$body_cond = get_term_by('slug',$cond, 'mw-condition');
			if(!empty($body_cond)) {
		?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">

			<div class="mw-specs-row">
			   <i class="flaticon-settings"></i>
			   <div class="spk-3">
				  <small><?php echo esc_html__("Condition", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_cond->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_extrtior',true)!="")
		{
			$ext = get_post_meta($mw_id, 'mw_extrtior',true);
			$body_ext = get_term_by('slug',$ext, 'mw-exterior-color');
			if(!empty($body_ext)) {
		?>
		<div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-rgb"></i>
			   <div class="spk-3">
				  <small><?php echo esc_html__("Exterior Color", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_ext->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } } ?>
		<?php if(get_post_meta($mw_id, 'mw_interior',true)!="")
		{
			$int = get_post_meta($mw_id, 'mw_interior',true);
			$body_int = get_term_by('slug',$int, 'mw-interior-color');
			if(!empty($body_int)) {
		?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row  border-0">
			   <i class="flaticon-paint-1"></i>
			   <div class="spk-3">
				  <small><?php echo esc_html__("Interior Color", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($body_int->name); ?></h6>
			   </div>
			</div>
		 </div>
		<?php }} ?>
		<?php
		 global $maxwheels_options;
		 if($maxwheels_options['mw_user_role_type'] == '' || $maxwheels_options['mw_user_role_type']  == 'both') { ?>	
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row  border-0">
			   <i class="flaticon-user-2"></i>
			   <div class="spk-3">
				  <small><?php echo esc_html__("Seller Type", "maxwheels-framework" ); ?></small>
				  <h6><?php echo esc_html($contact_info); ?></h6>
			   </div>
			</div>
		 </div>
		<?php } ?>	
		<?php if(get_post_meta($mw_id, 'mw_owners',true)!="")
		{
			$owners = get_post_meta($mw_id, 'mw_owners',true);
			$body_own = get_term_by('slug',$owners, 'mw-owners');
			if(!empty($body_own)) {
		?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row  border-0">
			<i class="flaticon-car-key"></i>
			<div class="spk-3">
			  <small><?php echo esc_html__("No. of Owners", "maxwheels-framework" ); ?></small>
			  <h6><?php echo esc_html($body_own->name); ?></h6>
			</div>
			</div>
		</div>
		<?php }} ?>
		</div>
		<?php
	}
}
// Listing Specs #4.
if ( ! function_exists( 'maxwheels_framework_listing_key_info_four' ) )
{
	function maxwheels_framework_listing_key_info_four($mw_id)
	{
		$body_data = '';
		$post_author_id = get_post_field('post_author', $mw_id);
		$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
		$type 			= get_user_meta($post_author_id, 'user_role_type', true);
		$contact_info = esc_html__('Seller','maxwheels-framework');
		if($type == 'dealer')
		{
			$contact_info = esc_html__('Dealer','maxwheels-framework');
		}
		?>
		<div class="row key-specs-3 key-specs-4">
		<?php if(get_post_meta($mw_id, 'mw_bodytype',true)!="")
		 {
			$body_type = get_post_meta($mw_id, 'mw_bodytype',true);
			$body_data = get_term_by('slug',$body_type, 'mw-bodytype');
			if(!empty($body_data)) {
		?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-car-3"></i>
				  <div class="area-left"><?php echo esc_html__( "Body Type", "maxwheels-framework" ); ?></div>
				  <div class="area-right"><?php echo esc_html($body_data->name); ?></div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_mileage',true)!="")
	    {
			$body_mil = get_post_meta($mw_id, 'mw_mileage',true);
			$mileage = number_format($body_mil);
		?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-fast"></i>
				  <div class="area-left"><?php echo esc_html__( "Mileage", "maxwheels-framework" ); ?></div>
				  <div class="area-right"><?php echo esc_html($mileage) . ' '.maxwheels_strings('mw_car_mileage_unit'); ?></div>
			</div>
		 </div>
		<?php } ?>
		<?php if(get_post_meta($mw_id, 'mw_transmission',true)!="")
	    {
			$trans = get_post_meta($mw_id, 'mw_transmission',true);
			$body_trans = get_term_by('slug',$trans, 'mw-transmission');
			if(!empty($body_trans)) {
	    ?>
		<div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-gearshift-1"></i>
				  <div class="area-left"><?php echo esc_html__( "Transmission", "maxwheels-framework" ); ?></div>
				  <div class="area-right"><?php echo esc_html($body_trans->name); ?></div>
			</div>
		 </div>
		<?php } } ?>
		<?php if(get_post_meta($mw_id, 'mw_enginesize',true)!="")
	     {
			$eng = get_post_meta($mw_id, 'mw_enginesize',true);
			$eng_size = number_format($eng);
		 ?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-engine"></i>
				  <div class="area-left"><?php echo esc_html__( "Engine Size", "maxwheels-framework" ); ?></div>
				  <div class="area-right"><?php echo esc_html($eng_size) . ' '.maxwheels_strings('mw_enginesize_unit'); ?></div>
			</div>
		 </div>
		<?php } ?>
		<?php if(get_post_meta($mw_id, 'mw_year',true)!="")
		{
			$year = get_post_meta($mw_id, 'mw_year',true);
			$body_year = get_term_by('slug',$year, 'mw-year');
			if(!empty($body_year)) {
		?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-calendar-1"></i>
				  <div class="area-left"><?php echo esc_html__( "Year", "maxwheels-framework" ); ?></div>
				  <div class="area-right"><?php echo esc_html($body_year->name); ?></div>
			</div>
		 </div>
		<?php } } ?>
		<?php if(get_post_meta($mw_id, 'mw_fueltype',true)!="")
		{
			$fuel = get_post_meta($mw_id, 'mw_fueltype',true);
			$body_fuel = get_term_by('slug',$fuel, 'mw-fuel');
			if(!empty($body_fuel)) {
		?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-fuel-station"></i>
				  <div class="area-left"><?php echo esc_html__( "Fuel Type", "maxwheels-framework" ); ?></div>
				  <div class="area-right"><?php echo esc_html($body_fuel->name); ?></div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_drive',true)!="")
		{
			$drive = get_post_meta($mw_id, 'mw_drive',true);
			$body_drive = get_term_by('slug',$drive, 'mw-drive');
			if(!empty($body_drive)) {
		?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-steering-wheel-2"></i>
				  <div class="area-left"><?php echo esc_html__("Drive", "maxwheels-framework" ); ?></div>
				  <div class="area-right"><?php echo esc_html($body_drive->name); ?></div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_condition',true)!="")
		{
			$cond = get_post_meta($mw_id, 'mw_condition',true);
			$body_cond = get_term_by('slug',$cond, 'mw-condition');
			if(!empty($body_cond)) {
		?>
		 <div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">

			<div class="mw-specs-row">
			   <i class="flaticon-settings"></i>
				  <div class="area-left"><?php echo esc_html__("Condition", "maxwheels-framework" ); ?></div>
				  <div class="area-right"><?php echo esc_html($body_cond->name); ?></div>
			</div>
		 </div>
		<?php }} ?>
		<?php if(get_post_meta($mw_id, 'mw_extrtior',true)!="")
		{
			$ext = get_post_meta($mw_id, 'mw_extrtior',true);
			$body_ext = get_term_by('slug',$ext, 'mw-exterior-color');
			if(!empty($body_ext)) {
		?>
		<div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row">
			   <i class="flaticon-rgb"></i>
				  <div class="area-left"><?php echo esc_html__("Exterior Color", "maxwheels-framework" ); ?></div>
				  <div class="area-right"><?php echo esc_html($body_ext->name); ?></div>
			</div>
		 </div>
		<?php } } ?>
		<?php if(get_post_meta($mw_id, 'mw_interior',true)!="")
		{
			$int = get_post_meta($mw_id, 'mw_interior',true);
			$body_int = get_term_by('slug',$int, 'mw-interior-color');
			if(!empty($body_int)) {
		?>
		<div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row border-0">
			   <i class="flaticon-paint-1"></i>
				  <div class="area-left"><?php echo esc_html__("Interior Color", "maxwheels-framework" ); ?></div>
				  <div class="area-right"><?php echo esc_html($body_int->name); ?></div>
			</div>
		 </div>
		<?php }} ?>
		<?php
		 global $maxwheels_options;
		 if($maxwheels_options['mw_user_role_type'] == '' || $maxwheels_options['mw_user_role_type']  == 'both') { ?>	
		<div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row border-0">
			   <i class="flaticon-user-2"></i>
				  <div class="area-left"><?php echo esc_html__("Seller Type", "maxwheels-framework" ); ?></div>
				  <div class="area-right"><?php echo esc_html($contact_info); ?></div>
			</div>
		 </div>
		<?php } ?>	
		<?php if(get_post_meta($mw_id, 'mw_owners',true)!="")
		{
			$owners = get_post_meta($mw_id, 'mw_owners',true);
			$body_own = get_term_by('slug',$owners, 'mw-owners');
			if(!empty($body_own)) {
		?>
		<div class="col-xxl-4 col-xl-4 col-md-6 col-sm-12 col-12">
			<div class="mw-specs-row border-0">
			<i class="flaticon-car-key"></i>
			  <div class="area-left"><?php echo esc_html__("No. of Owners", "maxwheels-framework" ); ?></div>
			  <div class="area-right"><?php echo esc_html($body_own->name); ?></div>
			</div>
		</div>
		<?php }} ?>
		</div>
		<?php
	}
}

// Social Links
if ( ! function_exists('maxwheels_framework_social_links'))
{
	function maxwheels_framework_social_links()
	{
		$array = array();
		if (maxwheels_framework_get_options('mw_show_topbar_social_links') == true && maxwheels_framework_get_options('mw_show_topbar_social_links') != '')
		{
			//fb
			if(!empty(maxwheels_framework_get_options('mw_fb')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_fb'),'icon'=>'<i class="fab fa-facebook-f"></i>');	
			}
			//mw_twitter
			if(!empty(maxwheels_framework_get_options('mw_twitter')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_twitter'),'icon'=>'<i class="fab fa-twitter"></i>');	
			}
			//mw_pinterest
			if(!empty(maxwheels_framework_get_options('mw_pinterest')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_pinterest'),'icon'=>'<i class="fab fa-pinterest-p"></i>');	
			}
			//mw_linkedin
			if(!empty(maxwheels_framework_get_options('mw_linkedin')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_linkedin'),'icon'=>'<i class="fab fa-linkedin-in"></i>');	
			}
			//mw_youtube
			if(!empty(maxwheels_framework_get_options('mw_youtube')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_youtube'),'icon'=>'<i class="fab fa-youtube"></i>');	
			}
			//mw_vimeo
			if(!empty(maxwheels_framework_get_options('mw_vimeo')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_vimeo'),'icon'=>'<i class="fab fa-vimeo-v"></i>');	
			}
			//mw_tumblr
			if(!empty(maxwheels_framework_get_options('mw_tumblr')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_tumblr'),'icon'=>'<i class="fab fa-tumblr"></i>');	
			}
			//mw_instagram
			if(!empty(maxwheels_framework_get_options('mw_instagram')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_instagram'),'icon'=>'<i class="fab fa-instagram"></i>');	
			}
			//mw_flickr
			if(!empty(maxwheels_framework_get_options('mw_flickr')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_flickr'),'icon'=>'<i class="fab fa-flickr"></i>');	
			}
			//mw_dribbble
			if(!empty(maxwheels_framework_get_options('mw_dribbble')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_dribbble'),'icon'=>'<i class="fab fa-dribbble"></i>');	
			}
			//mw_rss
			if(!empty(maxwheels_framework_get_options('mw_rss')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_rss'),'icon'=>'<i class="fa fa-rss"></i>');	
			}
			//mw_reddit
			if(!empty(maxwheels_framework_get_options('mw_reddit')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_reddit'),'icon'=>'<i class="fab fa-reddit-alien"></i>');	
			}
			//mw_spotify
			if(!empty(maxwheels_framework_get_options('mw_spotify')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_spotify'),'icon'=>'<i class="fab fa-spotify"></i>');	
			}
			//mw_vine
			if(!empty(maxwheels_framework_get_options('mw_vine')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_vine'),'icon'=>'<i class="fab fa-vine"></i>');	
			}
			//mw_behance
			if(!empty(maxwheels_framework_get_options('mw_behance')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_behance'),'icon'=>'<i class="fab fa-behance"></i>');	
			}
			//mw_delicious
			if(!empty(maxwheels_framework_get_options('mw_delicious')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_delicious'),'icon'=>'<i class="fab fa-delicious"></i>');	
			}
			//mw_stumbleupon
			if(!empty(maxwheels_framework_get_options('mw_stumbleupon')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_stumbleupon'),'icon'=>'<i class="fab fa-stumbleupon"></i>');	
			}
			//mw_deviantart
			if(!empty(maxwheels_framework_get_options('mw_deviantart')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_deviantart'),'icon'=>'<i class="fab fa-deviantart"></i>');	
			}
			//mw_weibo
			if(!empty(maxwheels_framework_get_options('mw_weibo')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_weibo'),'icon'=>'<i class="fab fa-weibo"></i>');	
			}
			//mw_foursquare
			if(!empty(maxwheels_framework_get_options('mw_foursquare')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_foursquare'),'icon'=>'<i class="fab fa-foursquare"></i>');	
			}
			//mw_whatsapp
			if(!empty(maxwheels_framework_get_options('mw_whatsapp')))
			{
				$url = 'https://api.whatsapp.com/send?&phone='.maxwheels_framework_get_options('mw_whatsapp').'';
				$array[] = array('url'=>$url,'icon'=>'<i class="fab fa-whatsapp"></i>');	
			}
			//mw_skype
			if(!empty(maxwheels_framework_get_options('mw_skype')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_skype'),'icon'=>'<i class="fab fa-skype"></i>');	
			}
			//mw_wechat
			if(!empty(maxwheels_framework_get_options('mw_wechat')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_wechat'),'icon'=>'<i class="fab fa-weixin"></i>');	
			}
			//mw_xing
			if(!empty(maxwheels_framework_get_options('mw_xing')))
			{
				$array[] = array('url'=>maxwheels_framework_get_options('mw_xing'),'icon'=>'<i class="fab fa-xing"></i>');	
			}
		}
		return $array;
	}
}

//Get Property expiry date
if (!function_exists('maxwheels_framework_get_currency'))
{
    function maxwheels_framework_get_currency()
	{
			return array (
				'ALL' => 'Albania Lek',
				'AFN' => 'Afghanistan Afghani',
				'ARS' => 'Argentina Peso',
				'AWG' => 'Aruba Guilder',
				'AUD' => 'Australia Dollar',
				'AZN' => 'Azerbaijan New Manat',
				'BSD' => 'Bahamas Dollar',
				'BBD' => 'Barbados Dollar',
				'BDT' => 'Bangladeshi taka',
				'BYR' => 'Belarus Ruble',
				'BZD' => 'Belize Dollar',
				'BMD' => 'Bermuda Dollar',
				'BOB' => 'Bolivia Boliviano',
				'BAM' => 'Bosnia and Herzegovina Convertible Marka',
				'BWP' => 'Botswana Pula',
				'BGN' => 'Bulgaria Lev',
				'BRL' => 'Brazil Real',
				'BND' => 'Brunei Darussalam Dollar',
				'KHR' => 'Cambodia Riel',
				'CAD' => 'Canada Dollar',
				'KYD' => 'Cayman Islands Dollar',
				'CLP' => 'Chile Peso',
				'CNY' => 'China Yuan Renminbi',
				'COP' => 'Colombia Peso',
				'CRC' => 'Costa Rica Colon',
				'HRK' => 'Croatia Kuna',
				'CUP' => 'Cuba Peso',
				'CZK' => 'Czech Republic Koruna',
				'DKK' => 'Denmark Krone',
				'DOP' => 'Dominican Republic Peso',
				'XCD' => 'East Caribbean Dollar',
				'EGP' => 'Egypt Pound',
				'SVC' => 'El Salvador Colon',
				'EEK' => 'Estonia Kroon',
				'EUR' => 'Euro Member Countries',
				'FKP' => 'Falkland Islands (Malvinas) Pound',
				'FJD' => 'Fiji Dollar',
				'GHC' => 'Ghana Cedis',
				'GIP' => 'Gibraltar Pound',
				'GTQ' => 'Guatemala Quetzal',
				'GGP' => 'Guernsey Pound',
				'GYD' => 'Guyana Dollar',
				'HNL' => 'Honduras Lempira',
				'HKD' => 'Hong Kong Dollar',
				'HUF' => 'Hungary Forint',
				'ISK' => 'Iceland Krona',
				'INR' => 'India Rupee',
				'IDR' => 'Indonesia Rupiah',
				'IRR' => 'Iran Rial',
				'IMP' => 'Isle of Man Pound',
				'ILS' => 'Israel Shekel',
				'JMD' => 'Jamaica Dollar',
				'JPY' => 'Japan Yen',
				'JEP' => 'Jersey Pound',
				'KZT' => 'Kazakhstan Tenge',
				'KPW' => 'Korea (North) Won',
				'KRW' => 'Korea (South) Won',
				'KGS' => 'Kyrgyzstan Som',
				'LAK' => 'Laos Kip',
				'LVL' => 'Latvia Lat',
				'LBP' => 'Lebanon Pound',
				'LRD' => 'Liberia Dollar',
				'LTL' => 'Lithuania Litas',
				'MKD' => 'Macedonia Denar',
				'MYR' => 'Malaysia Ringgit',
				'MUR' => 'Mauritius Rupee',
				'MXN' => 'Mexico Peso',
				'MNT' => 'Mongolia Tughrik',
				'MZN' => 'Mozambique Metical',
				'NAD' => 'Namibia Dollar',
				'NPR' => 'Nepal Rupee',
				'ANG' => 'Netherlands Antilles Guilder',
				'NZD' => 'New Zealand Dollar',
				'NIO' => 'Nicaragua Cordoba',
				'NGN' => 'Nigeria Naira',
				'NOK' => 'Norway Krone',
				'OMR' => 'Oman Rial',
				'PKR' => 'Pakistan Rupee',
				'PAB' => 'Panama Balboa',
				'PYG' => 'Paraguay Guarani',
				'PEN' => 'Peru Nuevo Sol',
				'PHP' => 'Philippines Peso',
				'PLN' => 'Poland Zloty',
				'QAR' => 'Qatar Riyal',
				'RON' => 'Romania New Leu',
				'RUB' => 'Russia Ruble',
				'SHP' => 'Saint Helena Pound',
				'SAR' => 'Saudi Arabia Riyal',
				'RSD' => 'Serbia Dinar',
				'SCR' => 'Seychelles Rupee',
				'SGD' => 'Singapore Dollar',
				'SBD' => 'Solomon Islands Dollar',
				'SOS' => 'Somalia Shilling',
				'ZAR' => 'South Africa Rand',
				'LKR' => 'Sri Lanka Rupee',
				'SEK' => 'Sweden Krona',
				'CHF' => 'Switzerland Franc',
				'SRD' => 'Suriname Dollar',
				'SYP' => 'Syria Pound',
				'TWD' => 'Taiwan New Dollar',
				'THB' => 'Thailand Baht',
				'TTD' => 'Trinidad and Tobago Dollar',
				'TRY' => 'Turkey Lira',
				'TRL' => 'Turkey Lira',
				'TVD' => 'Tuvalu Dollar',
				'UAH' => 'Ukraine Hryvna',
				'GBP' => 'United Kingdom Pound',
				'USD' => 'United States Dollar',
				'UYU' => 'Uruguay Peso',
				'UZS' => 'Uzbekistan Som',
				'VEF' => 'Venezuela Bolivar',
				'VND' => 'Viet Nam Dong',
				'YER' => 'Yemen Rial',
				'ZWD' => 'Zimbabwe Dollar'
        );
	}
}


if (!function_exists('maxwheels_framework_get_currency_symbol'))
{
	function maxwheels_framework_get_currency_symbol( $currency = '' ) {
		if ( ! $currency ) {
			$currency = maxwheels_framework_get_currency();
		}
	
		$symbols         =  array(
				'AED' => '&#x62f;.&#x625;',
				'AFN' => '&#x60b;',
				'ALL' => 'L',
				'AMD' => 'AMD',
				'ANG' => '&fnof;',
				'AOA' => 'Kz',
				'ARS' => '&#36;',
				'AUD' => '&#36;',
				'AWG' => 'Afl.',
				'AZN' => 'AZN',
				'BAM' => 'KM',
				'BBD' => '&#36;',
				'BDT' => '&#2547;&nbsp;',
				'BGN' => '&#1083;&#1074;.',
				'BHD' => '.&#x62f;.&#x628;',
				'BIF' => 'Fr',
				'BMD' => '&#36;',
				'BND' => '&#36;',
				'BOB' => 'Bs.',
				'BRL' => '&#82;&#36;',
				'BSD' => '&#36;',
				'BTC' => '&#3647;',
				'BTN' => 'Nu.',
				'BWP' => 'P',
				'BYR' => 'Br',
				'BYN' => 'Br',
				'BZD' => '&#36;',
				'CAD' => '&#36;',
				'CDF' => 'Fr',
				'CHF' => '&#67;&#72;&#70;',
				'CLP' => '&#36;',
				'CNY' => '&yen;',
				'COP' => '&#36;',
				'CRC' => '&#x20a1;',
				'CUC' => '&#36;',
				'CUP' => '&#36;',
				'CVE' => '&#36;',
				'CZK' => '&#75;&#269;',
				'DJF' => 'Fr',
				'DKK' => 'DKK',
				'DOP' => 'RD&#36;',
				'DZD' => '&#x62f;.&#x62c;',
				'EGP' => 'EGP',
				'ERN' => 'Nfk',
				'ETB' => 'Br',
				'EUR' => '&euro;',
				'FJD' => '&#36;',
				'FKP' => '&pound;',
				'GBP' => '&pound;',
				'GEL' => '&#x20be;',
				'GGP' => '&pound;',
				'GHS' => '&#x20b5;',
				'GIP' => '&pound;',
				'GMD' => 'D',
				'GNF' => 'Fr',
				'GTQ' => 'Q',
				'GYD' => '&#36;',
				'HKD' => '&#36;',
				'HNL' => 'L',
				'HRK' => 'kn',
				'HTG' => 'G',
				'HUF' => '&#70;&#116;',
				'IDR' => 'Rp',
				'ILS' => '&#8362;',
				'IMP' => '&pound;',
				'INR' => '&#8377;',
				'IQD' => '&#x639;.&#x62f;',
				'IRR' => '&#xfdfc;',
				'IRT' => '&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;',
				'ISK' => 'kr.',
				'JEP' => '&pound;',
				'JMD' => '&#36;',
				'JOD' => '&#x62f;.&#x627;',
				'JPY' => '&yen;',
				'KES' => 'KSh',
				'KGS' => '&#x441;&#x43e;&#x43c;',
				'KHR' => '&#x17db;',
				'KMF' => 'Fr',
				'KPW' => '&#x20a9;',
				'KRW' => '&#8361;',
				'KWD' => '&#x62f;.&#x643;',
				'KYD' => '&#36;',
				'KZT' => 'KZT',
				'LAK' => '&#8365;',
				'LBP' => '&#x644;.&#x644;',
				'LKR' => '&#xdbb;&#xdd4;',
				'LRD' => '&#36;',
				'LSL' => 'L',
				'LYD' => '&#x644;.&#x62f;',
				'MAD' => '&#x62f;.&#x645;.',
				'MDL' => 'MDL',
				'MGA' => 'Ar',
				'MKD' => '&#x434;&#x435;&#x43d;',
				'MMK' => 'Ks',
				'MNT' => '&#x20ae;',
				'MOP' => 'P',
				'MRO' => 'UM',
				'MUR' => '&#x20a8;',
				'MVR' => '.&#x783;',
				'MWK' => 'MK',
				'MXN' => '&#36;',
				'MYR' => '&#82;&#77;',
				'MZN' => 'MT',
				'NAD' => '&#36;',
				'NGN' => '&#8358;',
				'NIO' => 'C&#36;',
				'NOK' => '&#107;&#114;',
				'NPR' => '&#8360;',
				'NZD' => '&#36;',
				'OMR' => '&#x631;.&#x639;.',
				'PAB' => 'B/.',
				'PEN' => 'S/',
				'PGK' => 'K',
				'PHP' => '&#8369;',
				'PKR' => '&#8360;',
				'PLN' => '&#122;&#322;',
				'PRB' => '&#x440;.',
				'PYG' => '&#8370;',
				'QAR' => '&#x631;.&#x642;',
				'RMB' => '&yen;',
				'RON' => 'lei',
				'RSD' => '&#x434;&#x438;&#x43d;.',
				'RUB' => '&#8381;',
				'RWF' => 'Fr',
				'SAR' => '&#x631;.&#x633;',
				'SBD' => '&#36;',
				'SCR' => '&#x20a8;',
				'SDG' => '&#x62c;.&#x633;.',
				'SEK' => '&#107;&#114;',
				'SGD' => '&#36;',
				'SHP' => '&pound;',
				'SLL' => 'Le',
				'SOS' => 'Sh',
				'SRD' => '&#36;',
				'SSP' => '&pound;',
				'STD' => 'Db',
				'SYP' => '&#x644;.&#x633;',
				'SZL' => 'L',
				'THB' => '&#3647;',
				'TJS' => '&#x405;&#x41c;',
				'TMT' => 'm',
				'TND' => '&#x62f;.&#x62a;',
				'TOP' => 'T&#36;',
				'TRY' => '&#8378;',
				'TTD' => '&#36;',
				'TWD' => '&#78;&#84;&#36;',
				'TZS' => 'Sh',
				'UAH' => '&#8372;',
				'UGX' => 'UGX',
				'USD' => '&#36;',
				'UYU' => '&#36;',
				'UZS' => 'UZS',
				'VEF' => 'Bs F',
				'VES' => 'Bs.S',
				'VND' => '&#8363;',
				'VUV' => 'Vt',
				'WST' => 'T',
				'XAF' => 'CFA',
				'XCD' => '&#36;',
				'XOF' => 'CFA',
				'XPF' => 'Fr',
				'YER' => '&#xfdfc;',
				'ZAR' => '&#82;',
				'ZMW' => 'ZK',
		);
	   return  $currency_symbol = isset( $symbols[ $currency ] ) ? $symbols[ $currency ] : '';
	}
}



// Check to see if user posted first time.
add_action( 'transition_post_status', 'some_function', 10, 3 );
function some_function( $new, $old, $post ) {
    if ( ( $new == 'publish' ) && ( $old != 'publish' ) && ( $post->post_type == 'mx-listings' ) ) {
        update_post_meta( $post->ID, 'max_already_updated', 1 );
    } else {
        if( $new == 'draft' ){
            update_post_meta( $post->ID, 'max_already_updated', 0 );
        }
    }
}

if (!function_exists('maxwheels_framework_get_listing_status')) {
    function maxwheels_framework_get_listing_status($mw_id = '', $is_edit = false)
    {
        $approval = 'draft';

        if(maxwheels_framework_get_options('mw_user_pkage_type') == 'paid-listing'){
            return $approval;
        }
        $post_status='';
        if($is_edit == true){

            $already  = get_post_meta($mw_id, 'max_already_updated', true);
            if($already == 1){
                $approval = (maxwheels_framework_get_options('mw_approval_edit') == 'auto') ? 'publish' : 'draft';
            }
            else{
                $complete = get_post_meta($mw_id, 'mw_status_complete', true);
                if($complete == 1){
                    $approval = (maxwheels_framework_get_options('mw_approval') == 'auto') ? 'publish' : 'draft';
                }
            }
        }
        else{
            $approval = (maxwheels_framework_get_options('mw_approval') == 'auto') ? 'publish' : 'draft';
        }
        return $approval;

    }
}
