<?php /**
 * Plugin Name: MaxWheels Framework
 * Plugin URI: https://themeforest.net/user/scriptsbundle/
 * Description: This plugin is essential for the proper theme funcationality.
 * Version: 1.1.1
 * Author: Scripts Bundle
 * Author URI: https://themeforest.net/user/scriptsbundle/
 * License: GPL2
 * Text Domain: maxwheels-framework
 */
	/*Load text domain*/
	add_action( 'plugins_loaded', 'maxwheels_framework_load_plugin_textdomain',999 );
	function maxwheels_framework_load_plugin_textdomain()
	{
		load_plugin_textdomain( 'maxwheels-framework', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
	}	
	define('MaxWheels_PLUGIN_FRAMEWORK_PATH', plugin_dir_path(__FILE__));	
	define('MaxWheels_Plugin_Path', plugin_dir_path(__FILE__));	
	define('MaxWheels_Plugin_Url', plugin_dir_url(__FILE__));
	define( 'MaxWheels_Theme_Url', get_template_directory_uri () . '/' );
	if ( class_exists( 'Redux' ) ) {
       require MaxWheels_Plugin_Path . 'redux-extensions/extensions-init.php';
    }
	//files include
	require MaxWheels_Plugin_Path . 'functions.php';
	require MaxWheels_Plugin_Path . 'plugin-files/cpt/listings.php';
	require MaxWheels_Plugin_Path . 'plugin-files/cpt/dealers.php';
	require MaxWheels_Plugin_Path . 'plugin-files/cpt/buyer.php';
	require MaxWheels_Plugin_Path . 'plugin-files/cpt/users.php';
	require MaxWheels_Plugin_Path . 'plugin-files/cpt/invoice.php';
	require MaxWheels_Plugin_Path . 'plugin-files/metaboxes/terms-meta.php';
	require MaxWheels_Plugin_Path . 'plugin-files/metaboxes/terms-meta-currency.php';
	require MaxWheels_Plugin_Path . 'plugin-files/metaboxes/terms-meta-label.php';
	require MaxWheels_Plugin_Path . 'plugin-files/metaboxes/terms-meta-ext.php';
	require MaxWheels_Plugin_Path . 'plugin-files/metaboxes/terms-meta-status.php';
	require MaxWheels_Plugin_Path . 'plugin-files/metaboxes/submit-property.php';
	require MaxWheels_Plugin_Path . 'plugin-files/metaboxes/dealer.php';
	require MaxWheels_Plugin_Path . 'plugin-files/metaboxes/buyers.php';
	require MaxWheels_Plugin_Path . 'plugin-files/metaboxes/packages.php';
	require MaxWheels_Plugin_Path . 'plugin-files/metaboxes/invoice.php';
    require MaxWheels_Plugin_Path . 'plugin-files/widgets/search-widgets.php';
	require MaxWheels_Plugin_Path . 'plugin-files/widgets/listing-widgets.php';
	require MaxWheels_Plugin_Path . 'plugin-files/shortcodes/shortcode.php';
	require MaxWheels_Plugin_Path . 'inc/utilities.php';
	require MaxWheels_Plugin_Path . 'inc/emails.php';
	require MaxWheels_Plugin_Path . 'inc/dashboard.php';
	require MaxWheels_Plugin_Path . "inc/classes/index.php";
	//custom fields
	if(in_array('advanced-custom-fields/acf.php', apply_filters('active_plugins', get_option('active_plugins'))) && class_exists('ACF'))
	{
		require MaxWheels_Plugin_Path . 'plugin-files/classes/maxwheels_fields.php';
	}
	add_action( 'admin_enqueue_scripts', 'maxwheels_framework_scripts' );
	function maxwheels_framework_scripts()
	{

		/*Enqueue scripts in wp admin*/

		wp_enqueue_style( 'dwt_admin_select2',  plugin_dir_url( __FILE__ ) . 'libs/css/select2.min.css' );
		wp_enqueue_style( 'dwt_listing_admin_css',  plugin_dir_url( __FILE__ ) . 'libs/css/admin.css' );
		wp_enqueue_script( 'dwt_listing_admin_select2',  plugin_dir_url( __FILE__ ) . 'libs/js/select2.min.js', false, false, true );
		wp_enqueue_script( 'dwt_listing_custom_admin_js',  plugin_dir_url( __FILE__ ) . 'libs/js/custom_admin.js', false, false, true );
	}
	if ( class_exists( 'Redux' ) ) {
		if( get_option( 'maxwheels_options' ) == "" )
		{
			$theme_option_name	=	'maxwheels_options';
			
			// Theme Settings
			Redux::setOption($theme_option_name, 'mw_show_topbar', '0' );
			Redux::setOption($theme_option_name, 'mw_topbar_style', 'shop' );
			Redux::setOption($theme_option_name, 'mw_top_container', '1' );
			Redux::setOption($theme_option_name, 'mw_top_email', 'xyz@email.com' );
			Redux::setOption($theme_option_name, 'mw_top_contactno', '+44 7700 900573' );
			Redux::setOption($theme_option_name, 'mw_top_hours', 'Monday - Saturday 8AM - 7PM' );
			Redux::setOption($theme_option_name, 'mw_top_background', '#1B232F' );
			Redux::setOption($theme_option_name, 'mw_top_nav_clr', '#FFFFFF' );
			Redux::setOption($theme_option_name, 'mw_show_topbar_social_links', '1' );
			Redux::setOption($theme_option_name, 'mw_fb', '#' );
			Redux::setOption($theme_option_name, 'mw_twitter', '#' );
			Redux::setOption($theme_option_name, 'mw_whatsapp', '#' );
			Redux::setOption($theme_option_name, 'mw_xing', '#' );
			Redux::setOption($theme_option_name, 'mw_rss', '#' );
			// Header Options
			Redux::setOption($theme_option_name, 'mw_main_logo', array('url' => MaxWheels_Theme_Url . 'libs/images/logo.svg'));
			Redux::setOption($theme_option_name, 'mw_trans_logo', array('url' => MaxWheels_Theme_Url . 'libs/images/logo-white.svg'));
			Redux::setOption($theme_option_name, 'mw_mobile_logo', array('url' => MaxWheels_Theme_Url . 'libs/images/logo.svg'));
            Redux::setOption($theme_option_name, 'mw_footer_logo', array('url' => MaxWheels_Theme_Url . 'libs/images/logo-white.svg'));
			Redux::setOption($theme_option_name, 'mw_site_spinner', '1' );
			Redux::setOption($theme_option_name, 'mw_theme_clr', '#ff7700' );
			Redux::setOption($theme_option_name, 'mw_btn_plate', array('regular' =>'#ff7700' ,'hover' => '#e56b00' ,'active' => '#ff7700'));
			Redux::setOption($theme_option_name, 'mw_selected_header', '4' );
			Redux::setOption($theme_option_name, 'mw-header-btnset', '1' );
			Redux::setOption($theme_option_name, 'mw-solid-color', '#fff' );
			Redux::setOption($theme_option_name, 'mw-opt-color', '#1C1C1C' );
			
			
			//Map settings
			Redux::setOption($theme_option_name, 'mw_opt_enable_map', '1' );
            Redux::setOption($theme_option_name, 'mw_dashboard', '0' );
			Redux::setOption($theme_option_name, 'mw_opt_map_selection', 'open_street' );
			Redux::setOption($theme_option_name, 'mw_opt_gmap_api_key', '' );
			Redux::setOption($theme_option_name, 'mw_opt_default_lat', '40.7127837' );
			Redux::setOption($theme_option_name, 'mw_opt_default_long', '-74.00594130000002' );
			
			//Geo APi Settings
			Redux::setOption($theme_option_name, 'mw_opt_enable_geo', '1' );
			Redux::setOption($theme_option_name, 'mw_opt_api_settings', 'geo_ip' );
			
			//Price & Currency
			Redux::setOption($theme_option_name, 'mw_opt_currency_position', 'before' );
			Redux::setOption($theme_option_name, 'mw_opt_decimals', '0' );
			Redux::setOption($theme_option_name, 'mw_opt_decimals_separator', '.' );
			Redux::setOption($theme_option_name, 'mw_opt_thousand_separator', ',' );
            
            //Member Method
            Redux::setOption($theme_option_name, 'mw_membership_type', 'with-woo' );
			
			//Property Submission
			Redux::setOption($theme_option_name, 'mw_approval', '45' );
			Redux::setOption($theme_option_name, 'mw_approval', array('auto') );
			Redux::setOption($theme_option_name, 'mw_show_hide_fields', array('mw_type' => '1','offer_type' 	=> '1','mw_label' => '1','mw_price' => '1','snd_price' 	=> '1','before_price' => '1','after_price' => '1','mw_area' => '1','area_prefix' => '1','land_area' => '1','land_area_prefix' => '1','bedrooms' => '1','bathrooms' => '1','grages' => '1','yearbuild' => '1','video' => '1','virtual_tour' => '1','desc' => '1','gallery' => '1','zip_code' => '1','street_location' => '1','map' => '1','coordinates' => '1','location' => '1','floorplan' => '1','additional_fields' => '1','attachments' => '1'));
			Redux::setOption($theme_option_name, 'required_fields', array('mw_type' => '1','offer_type' 	=> '1','mw_label' => '0','mw_price' => '1','snd_price' 	=> '0','before_price' => '0','after_price' => '0','mw_area' => '1','area_prefix' => '1','land_area' => '1','land_area_prefix' => '1','bedrooms' => '1','bathrooms' => '1','grages' => '1','yearbuild' => '1','video' => '0','virtual_tour' => '0','desc' => '1','gallery' => '1','zip_code' => '0','street_location' => '0','map' => '0','coordinates' => '0','location' => '1','floorplan' => '0','additional_fields' => '0','attachments' => '0'));
			Redux::setOption($theme_option_name, 'mw_field_title', 'Vehicle Title' );
			Redux::setOption($theme_option_name, 'mw_field_title_place', 'Detached house for sale' );
			Redux::setOption($theme_option_name, 'mw_desc_field', 'Vehicle Description' );
			Redux::setOption($theme_option_name, 'mw_mw_type', 'Vehicle Type' );
			Redux::setOption($theme_option_name, 'mw_type_place', 'Select Category' );
			Redux::setOption($theme_option_name, 'mw_offer_type', 'Offer Type' );
			Redux::setOption($theme_option_name, 'mw_offer_type_place', 'Listed In' );
			Redux::setOption($theme_option_name, 'mw_status_type', 'Vehicle Status' );
			Redux::setOption($theme_option_name, 'mw_status_type_place', 'Select Vehicle Status' );
			Redux::setOption($theme_option_name, 'mw_curr_type', 'Currency Type');
			Redux::setOption($theme_option_name, 'mw_curr_type_place', 'Select Currency');
			Redux::setOption($theme_option_name, 'mw_pri_type', 'Sale or Rent Price');
			Redux::setOption($theme_option_name, 'mw_pri_type_hint', '(Eg: 75000)');
			Redux::setOption($theme_option_name, 'mw_second_type', 'Second Price');
			Redux::setOption($theme_option_name, 'mw_second_type_hint', '(Optional)');
			Redux::setOption($theme_option_name, 'mw_after_type', 'After Price Label');
			Redux::setOption($theme_option_name, 'mw_after_hint', '(Eg: Per Month)');
			Redux::setOption($theme_option_name, 'mw_before_type', 'Price Prefix');
			Redux::setOption($theme_option_name, 'mw_before_hint', '(Eg: Start From)');
			Redux::setOption($theme_option_name, 'mw_a_size', 'Area Size' );
			Redux::setOption($theme_option_name, 'mw_a_size_hint', '( Only digits )' );
			Redux::setOption($theme_option_name, 'mw_a_size_place', 'Eg 2500' );
			Redux::setOption($theme_option_name, 'mw_a_prefix', 'Area Size Prefix' );
			Redux::setOption($theme_option_name, 'mw_a_prefix_hint', '( Eg: Sq Ft)' );
			Redux::setOption($theme_option_name, 'mw_l_area', 'Land Area' );
			Redux::setOption($theme_option_name, 'mw_l_area_hint', '( Only digits )' );
			Redux::setOption($theme_option_name, 'mw_l_area_place', 'Eg 1300' );
			Redux::setOption($theme_option_name, 'mw_a_land_prefix', 'Land Area Prefix' );
			Redux::setOption($theme_option_name, 'mw_a_land_hint', '( Eg: Sq Ft)' );
			Redux::setOption($theme_option_name, 'mw_a_bed_title', 'Bedrooms' );
			Redux::setOption($theme_option_name, 'mw_a_bed_place', '( Eg: 4)' );
			Redux::setOption($theme_option_name, 'mw_a_bath_title', 'Bathrooms');
			Redux::setOption($theme_option_name, 'mw_a_bath_place', '( Eg: 2)' );
			Redux::setOption($theme_option_name, 'mw_a_grage_title', 'Garages' );
			Redux::setOption($theme_option_name, 'mw_a_grage_place', '( Eg: 1)' );
			Redux::setOption($theme_option_name, 'mw_a_year_title', 'Year Built' );
			Redux::setOption($theme_option_name, 'mw_a_year_place', 'Eg: November 2010' );
			Redux::setOption($theme_option_name, 'mw_a_video_title', 'Video Link' );
			Redux::setOption($theme_option_name, 'mw_a_video_place', 'Youtube Video Link' );
			Redux::setOption($theme_option_name, 'mw_v_tour_title', '360° Virtual Tour' );
			Redux::setOption($theme_option_name, 'mw_v_tour_place', 'Copy/paste the iframe code of your 360° virtual tour.' );
		}
	}


//Get Template Slug
if( !function_exists('maxwheels_framework_get_options') )
{
	function maxwheels_framework_get_options($get_text)
	{
		global $maxwheels_options;
		if(isset($maxwheels_options[$get_text]) &&  $maxwheels_options[$get_text] !=""):
			return $maxwheels_options[$get_text];
		else:
			return false;
		endif;
	}
}
	
// Admin translated options	
if ( ! function_exists( 'maxwheels_framework_translated_words' ) )
{
	function maxwheels_framework_translated_words($hook)
	{
		wp_localize_script(
		'dwt_listing_custom_admin_js',
		'admin_varible',
		 array(
				'p_path' => plugin_dir_url( __FILE__ ),
				'timepicker' => esc_html__( 'Timepicker', 'maxwheels-framework' ),
				'Sunday' => esc_html__( 'Sunday', 'maxwheels-framework' ),
				'Monday' => esc_html__( 'Monday', 'maxwheels-framework' ),
				'Tuesday' => esc_html__( 'Tuesday', 'maxwheels-framework' ),
				'Wednesday' => esc_html__( 'Wednesday', 'maxwheels-framework' ),
				'Thursday' => esc_html__( 'Thursday', 'maxwheels-framework' ),
				'Friday' => esc_html__( 'Friday', 'maxwheels-framework' ),
				'Saturday' => esc_html__( 'Saturday', 'maxwheels-framework' ),
				'Sun' => esc_html__( 'Sun', 'maxwheels-framework' ),
				'Mon' => esc_html__( 'Mon', 'maxwheels-framework' ),
				'Tue' => esc_html__( 'Tue', 'maxwheels-framework' ),
				'Wed' => esc_html__( 'Wed', 'maxwheels-framework' ),
				'Thu' => esc_html__( 'Thu', 'maxwheels-framework' ),
				'Fri' => esc_html__( 'Fri', 'maxwheels-framework' ),
				'Sat' => esc_html__( 'Sat', 'maxwheels-framework' ),
				'Su' => esc_html__( 'Su', 'maxwheels-framework' ),
				'Mo' => esc_html__( 'Mo', 'maxwheels-framework' ),
				'Tu' => esc_html__( 'Tu', 'maxwheels-framework' ),
				'We' => esc_html__( 'We', 'maxwheels-framework' ),
				'Th' => esc_html__( 'Th', 'maxwheels-framework' ),
				'Fr' => esc_html__( 'Fr', 'maxwheels-framework' ),
				'Sa' => esc_html__( 'Sa', 'maxwheels-framework' ),
				'January' => esc_html__( 'January', 'maxwheels-framework' ),
				'February' => esc_html__( 'February', 'maxwheels-framework' ),
				'March' => esc_html__( 'March', 'maxwheels-framework' ),
				'April' => esc_html__( 'April', 'maxwheels-framework' ),
				'May' => esc_html__( 'May', 'maxwheels-framework' ),
				'June' => esc_html__( 'June', 'maxwheels-framework' ),
				'July' => esc_html__( 'July', 'maxwheels-framework' ),
				'August' => esc_html__( 'August', 'maxwheels-framework' ),
				'September' => esc_html__( 'September', 'maxwheels-framework' ),
				'October' => esc_html__( 'October', 'maxwheels-framework' ),
				'November' => esc_html__( 'November', 'maxwheels-framework' ),
				'December' => esc_html__( 'December', 'maxwheels-framework' ),
				'Jan' => esc_html__( 'Jan', 'maxwheels-framework' ),
				'Feb' => esc_html__( 'Feb', 'maxwheels-framework' ),
				'Mar' => esc_html__( 'Mar', 'maxwheels-framework' ),
				'Apr' => esc_html__( 'Apr', 'maxwheels-framework' ),
				'May' => esc_html__( 'May', 'maxwheels-framework' ),
				'Jun' => esc_html__( 'Jun', 'maxwheels-framework' ),
				'Jul' => esc_html__( 'July', 'maxwheels-framework' ),
				'Aug' => esc_html__( 'Aug', 'maxwheels-framework' ),
				'Sep' => esc_html__( 'Sep', 'maxwheels-framework' ),
				'Oct' => esc_html__( 'Oct', 'maxwheels-framework' ),
				'Nov' => esc_html__( 'Nov', 'maxwheels-framework' ),
				'Dec' => esc_html__( 'Dec', 'maxwheels-framework' ),
				'Today' => esc_html__( 'Today', 'maxwheels-framework' ),
				'Clear' => esc_html__( 'Clear', 'maxwheels-framework' ),
				'dateFormat' => esc_html__( 'dateFormat', 'maxwheels-framework' ),
				'is_map_enabled' => maxwheels_framework_get_options('mw_opt_enable_map'),
				'map_type' => maxwheels_framework_get_options('mw_opt_map_selection') ,
                'map_latt' => maxwheels_framework_get_options('mw_opt_default_lat'),
                'map_long' => maxwheels_framework_get_options('mw_opt_default_long'),
                'is_geo_api' => maxwheels_framework_get_options('mw_opt_enable_geo'),
				'geo_api_type' => maxwheels_framework_get_options('mw_opt_api_settings'),
				'img_del' => esc_html__( 'Are you sure you want to remove this?', 'maxwheels-framework' ),
				'select_imgz' => esc_html__('Select Gallery Images', 'maxwheels-framework' ),
				'select_attachments' => esc_html__('Select Attachments', 'maxwheels-framework' ),
			)
		);
	}
}
add_action('admin_enqueue_scripts', 'maxwheels_framework_translated_words');
// Enque Js Static Strings On Frontend
if ( ! function_exists( 'maxwheels_framework_static_strings' ) )
{
	function maxwheels_framework_static_strings()
	{
		 $geo_ip_type = '';
		 if(maxwheels_framework_get_options('mw_opt_enable_geo') == true)
		 {
			 $geo_ip_type = maxwheels_framework_get_options('mw_opt_api_settings');
		 }
		 $access_key = '';
		 if(maxwheels_framework_get_options('mw_opt_map_selection') == 'mapbox')
		 {
			 $access_key = maxwheels_framework_get_options('mw_opt_mapbox_api_key');
	     }
		 $gapi_key = '';
		 if(maxwheels_framework_get_options('mw_opt_map_selection') == 'google_map')
		 {
			 $gapi_key = maxwheels_framework_get_options('mw_opt_gmap_api_key');
	     }
		 $authorization = false; 
		 if (filter_input(INPUT_GET, 'authorization') === 'restricted' )
		 {
			$authorization = true; 
		 }
         $all_numbers = '';
         if(maxwheels_framework_get_options('mw_contact_number_selector') == false && !empty(maxwheels_framework_get_options('mw_contact_number_selective')))
         {
             $all_numbers = maxwheels_framework_get_options('mw_contact_number_selective');
         }
		 //for password reset
		 $reset = false;
		 $is_reset = false;
		 $user_id = $status_msg = '';
		 if(is_page_template('page-signin.php'))
		 {
			 if(!empty($_GET['key']) && !empty($_GET['login']))
			 {
				  $is_reset = true;
				  $reset = false;
				  $user = check_password_reset_key($_GET['key'], $_GET['login']);
				  $errors = new WP_Error();
				  if ( is_wp_error($user) )
				  {
					$reset = false;
					if ( $user->get_error_code() === 'expired_key')
					{
						$status_msg = esc_html__('Key is expired.', 'maxwheels-framework' );
					}  
					else
					{
						$status_msg = esc_html__('Key is not valid.', 'maxwheels-framework' );
					}
				  }
				  else
				  {
					$reset = true;
					$user_id = $user->ID;
				  	$status_msg = esc_html__('Choose your password.', 'maxwheels-framework' );
				  }
			 }
		 }
		 //user don't have any role
		 $dont_have_role = false;
		 if(is_page_template('page-dashboard.php') && is_user_logged_in())
		 {
			$user_id = get_current_user_id();
			if(get_user_meta($user_id, 'user_role_type',true)=="")
			{
				$dont_have_role = true;
			}
		 }
		 // single property
        $latt_list = $long_list = $latt_dealer =$long_dealer ='';

		$latt_list =  maxwheels_framework_get_options('mw_opt_default_lat');
		$long_list =  maxwheels_framework_get_options('mw_opt_default_long');
        $latt_dealer =  maxwheels_framework_get_options('mw_opt_default_lat');
        $long_dealer =  maxwheels_framework_get_options('mw_opt_default_long');
        if (get_post_type(get_the_ID()) == 'mx-listings' && is_singular('mx-listings'))
		{
			$mw_id = get_the_ID();
			if(get_post_meta($mw_id, 'mw_latt', true ) !="")
			{
                $latt_list = get_post_meta($mw_id, 'mw_latt', true );
			}
			if(get_post_meta($mw_id, 'mw_long', true ) !="")
			{
                $long_list = get_post_meta($mw_id, 'mw_long', true );
			}
		}
		 // single agency
		if (get_post_type(get_the_ID()) == 'mw-dealer' && is_singular('mw-dealer'))
		{
            $single_id   =	get_the_ID();
            $reference = 'dealer';
			if(get_post_meta($single_id, $reference.'_latt', true ) !="")
			{
                $latt_dealer = get_post_meta($single_id, $reference.'_latt', true );
			}
			if(get_post_meta($single_id, $reference.'_long', true ) !="")
			{
                $long_dealer = get_post_meta($single_id, $reference.'_long', true );
			}
		}



        $rtl = 'false';
        if(is_rtl())
        {
            $rtl = 'true';
        }
        wp_localize_script(
			'maxwheels-custom',  // name of js file
			'get_strings',
			 array(
			 't_path' => get_template_directory_uri(),
				 'p_path' => plugin_dir_url(__FILE__),
				 'ajax_url' => esc_url(admin_url( 'admin-ajax.php' )),
				 'ajax_nonce' => wp_create_nonce('check-security'),
                 'no_r_for' => esc_html__( 'No result for ', 'maxwheels-framework' ),
				 'back' => esc_html__( 'Back', 'maxwheels-framework' ),
				 'main_menu' => esc_html__( 'Main Menu', 'maxwheels-framework' ),
				 'no_rest' => esc_html__( 'No result found ', 'maxwheels-framework' ),
				 'conf' => esc_html__( 'Confirmation!', 'maxwheels-framework' ),
				 'content' => esc_html__( 'Are you sure you want to do this?', 'maxwheels-framework' ),
				 'cong' => esc_html__( 'Congratulations!', 'maxwheels-framework' ),
                 'click_reveal' => esc_html__( 'Click to reveal!', 'maxwheels-framework' ),
                 'rtl' => $rtl,
				 'ok' => esc_html__( 'Yes', 'maxwheels-framework' ),
				 'cancle' => esc_html__( 'Cancel', 'maxwheels-framework' ),
				 'whoops' => esc_html__( 'Whoops!', 'maxwheels-framework' ),
				 'submission_fail' => esc_html__( 'Form submission failed!', 'maxwheels-framework' ),
				 'p_denied' => esc_html__( 'Permission denied by user.', 'maxwheels-framework' ),
				 'p_unava' => esc_html__( 'Location position unavailable.', 'maxwheels-framework' ),
				 'req_timeout' => esc_html__( 'Request timeout. Please refresh the page and try again.', 'maxwheels-framework' ),
				 'unknow_error' => esc_html__( 'Unknown error. Please refresh the page and try again.', 'maxwheels-framework' ),
				 'geolocation' => esc_html__( "Browser doesn't support geolocation!.", 'maxwheels-framework' ),
				 'ip_type' => $geo_ip_type,
				 'is_map_enabled' => maxwheels_framework_get_options('mw_opt_enable_map'),
				  'map_type' => maxwheels_framework_get_options('mw_opt_map_selection') ,
				  'map_latt_listing' => esc_attr($latt_list),
				  'map_long_listing' => esc_attr($long_list),
                  'map_latt_dealer' => esc_attr($latt_dealer),
				  'map_long_dealer' => esc_attr($long_dealer),
               //   'map_latt' => esc_attr($latt),
                //  'map_long' => esc_attr($long),

                'gapp_keyz' => $gapi_key,
				  'acc_keyz' => $access_key,
				  'whoops' => esc_html__( 'Whoops!', 'maxwheels-framework' ),
				  'congratulations' => esc_html__('Congratulations!', 'maxwheels-framework'),
				  'social_logins' => maxwheels_framework_get_options('mw_enable_social'),
				  'fb_key' => maxwheels_framework_get_options('mw_fb_key'),
				  'google_key' => maxwheels_framework_get_options('mw_google_key'),
				  'redirect_url' => maxwheels_framework_get_options('mw_redirect_uri'),
				  'authorization' => $authorization,
				  'auth_warning' => esc_html__( 'Sorry, you are not allowed to access this page.', 'maxwheels-framework' ),
				  'is_reset' => $is_reset,
				  'reset_status' => array('status'=>$reset,'r_msg'=>$status_msg,"requested_id"=>$user_id),
				  'dont_have_role' => $dont_have_role,
                  'all_numbers' => $all_numbers
			)
		);
	}
	add_action('wp_enqueue_scripts', 'maxwheels_framework_static_strings', 100);
	//for stickey header
	function maxwheels_framework_sticky_header()
	{
		$sticky_header = 0;
		 if(maxwheels_framework_get_options('mw_sticky_header') == true)
		 {
			 $sticky_header = true;
	     }
		wp_localize_script(
			'sb-menu',  // name of js file
			'sb_menu_strings',
			 array(
				  'sticky_header' => $sticky_header,
			)
		);
	}
	add_action('wp_enqueue_scripts', 'maxwheels_framework_sticky_header', 100);
}

// Enque Submit Property
if(isset($_GET['page-type']) && $_GET['page-type'] == 'submit-property')
{
	if ( ! function_exists( 'maxwheels_framework_from_strings' ) )
	{
		function maxwheels_framework_from_strings()
		{
			 wp_localize_script(
				'maxwheels-submission',  // name of js file
				'form_strings',
				 array(
				 	 'conf' => esc_html__( 'Confirmation!', 'maxwheels-framework' ),
					 'content' => esc_html__( 'Are you sure you want to do this?', 'maxwheels-framework' ),
					 'ok' => esc_html__( 'Yes', 'maxwheels-framework' ),
				 	 'cancle' => esc_html__( 'Cancel', 'maxwheels-framework' ),
					 'media' => esc_html__( 'Select or Upload Media', 'maxwheels-framework' ),
					 'media_attach' => esc_html__( 'Select Attachments', 'maxwheels-framework' ),
					 'media_txt' => esc_html__( 'Use this media', 'maxwheels-framework' ),
					 'submission_fail' => esc_html__( 'Form submission failed!', 'maxwheels-framework' ),
					 'ajax_url' => esc_url(admin_url( 'admin-ajax.php' )),
					 'f_title' =>  maxwheels_framework_get_options('mw_a_fields_title'),
					 'f_value' =>  maxwheels_framework_get_options('mw_a_fields_value'),
					 'fp_title' =>  maxwheels_framework_get_options('mw_fplan_title'),
					 'fp_place' =>  maxwheels_framework_get_options('mw_fplan_title_place'),
					 'fp_price' =>  maxwheels_framework_get_options('mw_fplan_price'),
					 'fp_price_place' =>  maxwheels_framework_get_options('mw_fplan_price_place'),
					 'fp_price_prefix' =>  maxwheels_framework_get_options('mw_fplan_priceprefix_title'),
					 'fp_price_prefix_place' =>  maxwheels_framework_get_options('mw_fplan_priceprefix_place'),
					 'fp_floorsize' =>  maxwheels_framework_get_options('mw_fplan_size_title'),
					 'fp_floorsize_place' =>  maxwheels_framework_get_options('mw_fplan_size_place'),
					 'fp_floorsize_postfix' =>  maxwheels_framework_get_options('mw_fplan_sizepost_title'),
					 'fp_floorsize_postfix_place' =>  maxwheels_framework_get_options('mw_fplan_sizepost_place'),
					 'fp_bed' =>  maxwheels_framework_get_options('mw_fplan_bed_title'),
					 'fp_fp_bed_place' =>  maxwheels_framework_get_options('mw_fplan_bed_place'),
					 'fp_bath' =>  maxwheels_framework_get_options('mw_fplan_bath_title'),
					 'fp_bath_place' =>  maxwheels_framework_get_options('mw_fplan_bath_place'),
					 'fp_desc' =>  maxwheels_framework_get_options('mw_fplan_desc_title'),
					 'fp_img' =>  maxwheels_framework_get_options('mw_fplan_image_title'),
					 'fp_img_hint' =>  'The recommended minimum width is 770px and height is flexible.',
					 'fp_delete' =>  maxwheels_framework_get_options('mw_fplan_del_btn'),
					 'select_images' => esc_html__( 'Select Floor Plan Images', 'maxwheels-framework' ),
					 'select_plan_img' => esc_html__( 'Select Plan Image', 'maxwheels-framework' ),
					 'select_plan_del' => esc_html__( 'Delete Plan Image', 'maxwheels-framework' ),
				)
			);
		}
		add_action('wp_enqueue_scripts', 'maxwheels_framework_from_strings', 100);
	}
}


//Remove Admin Bar for logged in users
function maxwheels_framework_hide_admin_bar($show)
{
	if ( ! current_user_can('administrator'))
	{
		return false;
	}
	return $show;
}
add_filter( 'show_admin_bar', 'maxwheels_framework_hide_admin_bar' );
//Remove Wp Access For users
function maxwheels_framework_dashboard_access_handler()
{
	if ( is_admin() && ! current_user_can( 'administrator' ) && ! ( defined( 'DOING_AJAX' ) && DOING_AJAX ) )
	{
		$redirect = add_query_arg('authorization', 'restricted', home_url('/'));
			wp_redirect( $redirect );
		exit;
	}
}
add_action( 'admin_init', 'maxwheels_framework_dashboard_access_handler' );
//Remove Defualt Css
add_action('get_header', 'maxwheels_framework_admin_login_header');
function maxwheels_framework_admin_login_header()
{
	remove_action('wp_head', '_admin_bar_bump_cb');
}

//Chats Stats


if ( ! function_exists( 'maxwheels_framework_working_hours' ) )
{
	function maxwheels_framework_working_hours()
	{
		if(isset($_GET['page-type']) && $_GET['page-type'] == 'my-profile' && is_page_template('page-dashboard.php'))
		{
			$working_hours = '[{"isActive":true,"timeFrom":"09:00 AM","timeTill":"06:00 PM"},{"isActive":true,"timeFrom":"09:00 AM","timeTill":"06:00 PM"},{"isActive":true,"timeFrom":"09:00 AM","timeTill":"06:00 PM"},{"isActive":true,"timeFrom":"09:00 AM","timeTill":"06:00 PM"},{"isActive":true,"timeFrom":"09:00 AM","timeTill":"06:00 PM"},{"isActive":false,"timeFrom":null,"timeTill":null},{"isActive":false,"timeFrom":null,"timeTill":null}]';
			if ( is_user_logged_in() )
			{
				$user_id = get_current_user_id();
				if(get_user_meta( $user_id, 'mw_post_id', true) !="" && get_user_meta($user_id, 'user_role_type', true) !="")
				{
					$author_id = get_user_meta( $user_id, 'mw_post_id' , true );
					$owner_id  = get_post_field( 'post_author', $author_id );
					if(get_post_meta($author_id, 'dealer_working_hours', true ) !="")
					{
						$working_hours = get_post_meta($author_id, 'dealer_working_hours', true );
					}
				}
			}
			wp_localize_script(
				'maxwheels-dashboard',
				'work_hours',
				 array(
					 'w_hours'=>$working_hours,
				)
			);
		}
	}
	add_action('wp_enqueue_scripts', 'maxwheels_framework_working_hours', 100);
}

if ( ! function_exists( 'maxwheels_framework_chart_strings' ) )
{
	function maxwheels_framework_chart_strings()
	{
        if(isset($_GET['page-type']) && $_GET['page-type'] == 'dashboard' || is_page_template('page-dashboard.php') && empty($_GET['page-type']) && is_user_logged_in())
        {
			$view_key = '';
            $user_id = get_current_user_id();
            if(get_user_meta( $user_id, 'mw_post_id', true) !="" && get_user_meta($user_id, 'user_role_type', true) !="")
            {
                $author_id = get_user_meta( $user_id, 'mw_post_id' , true );
                $owner_id = get_post_field( 'post_author', $author_id );
                $mw_id = $author_id;
                if(get_user_meta( $user_id, 'user_role_type', true) == 'dealer')
                {
                    $view_key = 'dealer';
                }
                if(get_user_meta( $user_id, 'user_role_type', true) == 'buyer')
                {
                    $view_key = 'buyer';
                }
            }
			global $maxwheels_options;
			$is_show = isset( $maxwheels_options['mw_layout_manager']['enabled']['views']) ? '1' : '1';
			$data = $labes = '';
			$chart_type = 'bar';
			if(isset($maxwheels_options['mw_chart_type']) && $maxwheels_options['mw_chart_type'] !="")
			{
				$chart_type = $maxwheels_options['mw_chart_type'];
			}
            $mw_id=isset($mw_id) ? $mw_id : '';
			$chart_bg =  isset($maxwheels_options['mw_chart_bg']['rgba']) ? $maxwheels_options['mw_chart_bg']['rgba'] : 'rgba(0,174,239,0.2)';
			$chart_border =  isset($maxwheels_options['mw_chart_border']) ? $maxwheels_options['mw_chart_border'] : '#00aeef';
			$labes = maxwheels_chart_labels($mw_id,false,$view_key);
			$data = maxwheels_chart_labels($mw_id, true,$view_key);
			 wp_localize_script(
				'maxwheels-stats',  // name of js file
				'chart_strings',
                 array(
                     'chart_type' => $chart_type,
                     'chart_bg' => $chart_bg,
                     'chart_border' => $chart_border,
                     'labelz' => $labes,
                     'stats_data' => $data,
                     'is_show' => $is_show,
                 )
			);
		}
	}
	add_action('wp_enqueue_scripts', 'maxwheels_framework_chart_strings', 100);
}
// Get Specific Page Link
if (!function_exists('maxwheels_framework_get_link'))
{
    function maxwheels_framework_get_link($page_name)
	{
		if(!empty($page_name))
		{
			$archive_id = $archive_page = '';
			$archive_page = get_pages(
				array(
					'meta_key' => '_wp_page_template',
					'meta_value' => $page_name
				)
			);
			if(!empty($archive_page))
			{
				$archive_id = $archive_page[0]->ID;
				return  get_permalink( $archive_id );
			}
		}
	}
}

add_action( 'template_redirect', function(){
  ob_start( function( $buffer ){
       $buffer = str_replace( array( 'type="text/javascript"', "type='text/javascript'" ), '', $buffer );        
       return $buffer;
    });
});
#one for CSS-Mime-Type
add_action( 'template_redirect', function(){
    ob_start( function( $buffer ){
        $buffer = str_replace( array( 'type="text/css"', "type='text/css'" ), '', $buffer );        
        return $buffer;
    });
});
add_action('wp', 'maxwheels_framework_get_fetch_api', 10);
if ( ! function_exists('maxwheels_framework_get_fetch_api'))
{
	function maxwheels_framework_get_fetch_api()
	{
		// maxwheels_framework_get_options
		if (maxwheels_framework_get_options('mw_enable_currency_switcher') == true && maxwheels_framework_get_options('mw_single_currency_code') != '' && maxwheels_framework_get_options('mw_enable_currency_api_key') != '' &&  maxwheels_framework_get_options('mw_opt_currency_switcher_languages') != '')
		{
			if(false === ($rates = get_transient('mw_daily_conversion_rates') ))
			{
				$currency_code = maxwheels_framework_get_options('mw_single_currency_code');
				$api_key = maxwheels_framework_get_options('mw_enable_currency_api_key');
				$req_url = 'https://v6.exchangerate-api.com/v6/'.$api_key.'/latest/'.$currency_code.'';
				$response_json = file_get_contents($req_url);
				// Continuing if we got a result
				if(false !== $response_json)
				{
					 try
					 {
						 $response = json_decode($response_json);
						 if('success' === $response->result)
						 {
							 set_transient('mw_daily_conversion_rates', $response->conversion_rates, 12 * HOUR_IN_SECONDS);
						 }
						 else
						 {
							throw new Exception(); 
						 }
					 }
					 catch(\Exception $e)
					 {
						  return false;
    				 }
				}
			}
		}
	}
}

function maxwheels_framework_mime_types($mimes) {
 $mimes['svg'] = 'image/svg+xml';
 return $mimes;
}
add_filter('upload_mimes', 'maxwheels_framework_mime_types');

remove_action('wp_head', 'print_emoji_detection_script', 7);
remove_action('wp_print_styles', 'print_emoji_styles');
remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
remove_action( 'admin_print_styles', 'print_emoji_styles' );
