<?php 
// Register post  type and taxonomy
add_action( 'init', 'maxwheels_framework_custom_types_agencies',1);
function maxwheels_framework_custom_types_agencies() {
	// Register Post Type Agency
	$mw_slug = 'dealer';
	if ( class_exists( 'Redux' ) ) {
		$data = $mw_slug_val = '';
		$data	=	get_option('dwt_listing_options');
		if(!empty($data))
		{
			if(isset($data['dwt_listing_listing_slug']) && $data['dwt_listing_listing_slug'] !="")
			{
				$mw_slug_val = $data['dwt_listing_listing_slug'];
				if(!empty($mw_slug_val))
				{
					$mw_slug = trim($mw_slug_val);
				}
			}
		}
	}
	$labels = array(
            'name' => esc_html__( 'Dealers','maxwheels-framework'),
            'singular_name' => esc_html__( 'Dealers','maxwheels-framework' ),
            'add_new' => esc_html__('Add New Dealer','maxwheels-framework'),
            'add_new_item' => esc_html__('Add New','maxwheels-framework'),
            'edit_item' => esc_html__('Edit Dealer','maxwheels-framework'),
            'new_item' => esc_html__('New Dealer','maxwheels-framework'),
            'view_item' => esc_html__('View Dealer','maxwheels-framework'),
            'search_items' => esc_html__('Search Dealer','maxwheels-framework'),
            'not_found' =>  esc_html__('No Dealer found','maxwheels-framework'),
            'not_found_in_trash' => esc_html__('No Dealer found in Trash','maxwheels-framework'),
    );
    $args = array(
		'public' => true,
		'label'  =>  esc_html__( 'Dealer', 'maxwheels-framework' ),
		'labels'      => $labels,
		'supports' => array('title','editor','thumbnail'),
		'show_ui' => true,
        'publicly_queryable' => true,
		'query_var' => true,
        'has_archive' => true,
		'capability_type' => 'post',
		'hierarchical' => true,
		'map_meta_cap'    => true,
		'can_export' => true,
		'menu_icon' => 'dashicons-location',
		'rewrite' => array('with_front' => false, 'slug' => $mw_slug)
    );
    register_post_type( 'mw-dealer', $args );
	//Agency Locations
	$locations  = array(
			'name' => esc_html__( 'Locations','maxwheels-framework'),
            'singular_name' => esc_html__( 'Locations','maxwheels-framework' ),
            'add_new' => esc_html__('Add New Location','maxwheels-framework'),
            'add_new_item' => esc_html__('Add New Location','maxwheels-framework'),
            'edit_item' => esc_html__('Edit Location','maxwheels-framework'),
            'new_item' => esc_html__('New Location','maxwheels-framework'),
            'view_item' => esc_html__('View Location','maxwheels-framework'),
            'search_items' => esc_html__('Search Location','maxwheels-framework'),
            'not_found' =>  esc_html__('No Location Found','maxwheels-framework'),
            'not_found_in_trash' => esc_html__('No Location found in Trash','maxwheels-framework'),
	); 
	register_taxonomy('mw-dealer-locations',array('mw-dealer'), array(
	   'labels' => $locations,
		'hierarchical' => true,
		'show_ui' => true,
		'show_admin_column' => true,
		'query_var' => true,
        'meta_box_cb' => false,
		'rewrite' => array( 'slug' => 'dealer-locations'),
  ));
}