<?php 
// Register post  type and taxonomy
add_action( 'init', 'maxwheels_framework_custom_types',1);
function maxwheels_framework_custom_types() {
	
	// Register Post Type Property
	$mw_slug = 'listings';
	if ( class_exists( 'Redux' ) ) {
		$data = $mw_slug_val = '';
		$data	=	get_option('dwt_listing_options');
		if(!empty($data))
		{
			if(isset($data['dwt_listing_listing_slug']) && $data['dwt_listing_listing_slug'] !="")
			{
				$mw_slug_val = $data['dwt_listing_listing_slug'];
				if(!empty($mw_slug_val))
				{
					$mw_slug = trim($mw_slug_val);
				}
			}
		}
	}
	$labels = array(
            'name' => esc_html__( 'Listings','maxwheels-framework'),
            'singular_name' => esc_html__( 'Listing','maxwheels-framework' ),
            'add_new' => esc_html__('Add New Listing','maxwheels-framework'),
            'add_new_item' => esc_html__('Add New','maxwheels-framework'),
            'edit_item' => esc_html__('Edit Listing','maxwheels-framework'),
            'new_item' => esc_html__('New Listing','maxwheels-framework'),
            'view_item' => esc_html__('View Listing','maxwheels-framework'),
            'search_items' => esc_html__('Search Listing','maxwheels-framework'),
            'not_found' =>  esc_html__('No Listing found','maxwheels-framework'),
            'not_found_in_trash' => esc_html__('No Listing found in Trash','maxwheels-framework'),
    );
    $args = array(
		'public' => true,
		'label'  =>  esc_html__( 'Listings', 'maxwheels-framework' ),
		'labels'      => $labels,
		'supports' => array('title','editor','thumbnail'),
		'show_ui' => true,
        'publicly_queryable' => true,
        'has_archive' => true,
		'query_var' => true,
        'has_archive' => true,
		'capability_type' => 'post',
		'hierarchical' => true,
		'map_meta_cap'    => true,
		'can_export' => true,
		'menu_icon' => 'dashicons-location',
		'rewrite' => array('with_front' => false, 'slug' => $mw_slug)
    );
    register_post_type( 'mx-listings', $args );
	//Categories
	$final_slug = 'mw_category';
	$category = array(
			'name'              => __('Categories','maxwheels-framework'),
			'add_new_item'      => __('Add New Category','maxwheels-framework'),
			'new_item_name'     => __('New Category','maxwheels-framework')
        );
	register_taxonomy('mw-category',array('mx-listings'), array(
		'labels' => $category,
		'hierarchical' => true,
		'show_ui' => true,
		'show_admin_column' => true,
		'query_var' => true,
		'rewrite' => array( 'slug' => $final_slug ),
  ));
   //Conditions
    $conditions = array(
        'name'              => esc_html__('Conditions','maxwheels-framework'),
        'add_new_item'      => esc_html__('Add New Condition','maxwheels-framework'),
        'new_item_name'     => esc_html__('New Condition','maxwheels-framework'),
    );
	
	register_taxonomy('mw-condition',array('mx-listings'), array(
	   'labels' => $conditions,
		'hierarchical' => true,
		'query_var' => true,
        'show_ui' => true,
		'show_admin_column' => true,
		'rewrite' => array( 'slug' => 'condition'),
        'show_in_quick_edit'         => false,
        'meta_box_cb'                => false,
  ));
	//Conditions
    $Labels = array(
        'name'              => esc_html__('Offers','maxwheels-framework'),
        'add_new_item'      => esc_html__('Add New Offer','maxwheels-framework'),
        'new_item_name'     => esc_html__('New Offer','maxwheels-framework'),
    );
	register_taxonomy('mw-Labels',array('mx-listings'), array(
	   'labels' => $Labels,
		'hierarchical' => true,
		'query_var' => true,
        'show_ui' => true,
		'show_admin_column' => true,
		'rewrite' => array( 'slug' => 'type'),
        'show_in_quick_edit'         => false,
        'meta_box_cb'                => false,

    ));
    //Body Types
    $body = array(
        'name'              => esc_html__('Body Types','maxwheels-framework'),
        'add_new_item'      => esc_html__('Add New Body Type','maxwheels-framework'),
        'new_item_name'     => esc_html__('New Body Type','maxwheels-framework'),
    );
	
	register_taxonomy('mw-bodytype',array('mx-listings'), array(
	   'labels' => $body,
		'hierarchical' => true,
		'query_var' => true,
        'show_ui' => true,
		'show_admin_column' => true,
		'rewrite' => array( 'slug' => 'body-type'),
        'show_in_quick_edit'         => false,
        'meta_box_cb'                => false,

    ));
    //fuel type
    $fuel = array(
        'name'              => esc_html__('Fuel Types','maxwheels-framework'),
        'add_new_item'      => esc_html__('Add New Fuel Type','maxwheels-framework'),
        'new_item_name'     => esc_html__('New Fuel Type','maxwheels-framework'),
    );
	
	register_taxonomy('mw-fuel',array('mx-listings'), array(
	   'labels' => $fuel,
		'hierarchical' => true,
		'query_var' => true,
        'show_ui' => true,
		'show_admin_column' => true,
		'rewrite' => array( 'slug' => 'fuel'),
        'show_in_quick_edit'         => false,
        'meta_box_cb'                => false,

    ));
    //Years
    $years = array(
        'name'              => esc_html__('Years','maxwheels-framework'),
        'add_new_item'      => esc_html__('Add New Year','maxwheels-framework'),
        'new_item_name'     => esc_html__('New Year','maxwheels-framework'),
    );
	
	register_taxonomy('mw-year',array('mx-listings'), array(
	   'labels' => $years,
		'hierarchical' => true,
		'query_var' => true,
        'show_ui' => true,
		'show_admin_column' => true,
		'rewrite' => array( 'slug' => 'year'),
        'show_in_quick_edit'         => false,
        'meta_box_cb'                => false,

    ));
   //$transmission
    $transmission = array(
        'name'              => esc_html__('Transmission','maxwheels-framework'),
        'add_new_item'      => esc_html__('Add New Transmission','maxwheels-framework'),
        'new_item_name'     => esc_html__('New Transmission','maxwheels-framework'),
    );
	
	register_taxonomy('mw-transmission',array('mx-listings'), array(
	   'labels' => $transmission,
		'hierarchical' => true,
		'query_var' => true,
        'show_ui' => true,
		'show_admin_column' => true,
		'rewrite' => array( 'slug' => 'transmission'),
        'show_in_quick_edit'         => false,
        'meta_box_cb'                => false,

    ));
    
    //drives
    $drives = array(
        'name'              => esc_html__('Drives','maxwheels-framework'),
        'add_new_item'      => esc_html__('Add New Drive','maxwheels-framework'),
        'new_item_name'     => esc_html__('New Drive','maxwheels-framework'),
    );
	
	register_taxonomy('mw-drive',array('mx-listings'), array(
	   'labels' => $drives,
		'hierarchical' => true,
		'query_var' => true,
        'show_ui' => true,
		'show_admin_column' => true,
		'rewrite' => array( 'slug' => 'drive'),
        'show_in_quick_edit'         => false,
        'meta_box_cb'                => false,

    ));
    
    //Exterior Colors
    $exterior_color = array(
        'name'              => esc_html__('Exterior Colors ','maxwheels-framework'),
        'add_new_item'      => esc_html__('Add New Exterior Color','maxwheels-framework'),
        'new_item_name'     => esc_html__('New Exterior Color','maxwheels-framework'),
    );
	
	register_taxonomy('mw-exterior-color',array('mx-listings'), array(
	   'labels' => $exterior_color,
		'hierarchical' => true,
		'query_var' => true,
        'show_ui' => true,
		'show_admin_column' => true,
		'rewrite' => array( 'slug' => 'exterior-color'),
        'show_in_quick_edit'         => false,
        'meta_box_cb'                => false,

    ));
    
    //Interior Colors
    $interior_color = array(
        'name'              => esc_html__('Interior Colors ','maxwheels-framework'),
        'add_new_item'      => esc_html__('Add New Interior Color','maxwheels-framework'),
        'new_item_name'     => esc_html__('New Interior Color','maxwheels-framework'),
    );
	
	register_taxonomy('mw-interior-color',array('mx-listings'), array(
	   'labels' => $interior_color,
		'hierarchical' => true,
		'query_var' => true,
        'show_ui' => true,
		'show_admin_column' => true,
		'rewrite' => array( 'slug' => 'interior-color'),
        'show_in_quick_edit'         => false,
        'meta_box_cb'                => false,

    ));
    
    //Owners 
    $owners  = array(
        'name'              => esc_html__('Owners ','maxwheels-framework'),
        'add_new_item'      => esc_html__('Add New Owner','maxwheels-framework'),
        'new_item_name'     => esc_html__('New Owner','maxwheels-framework'),
    );
	
	register_taxonomy('mw-owners',array('mx-listings'), array(
	   'labels' => $owners,
		'hierarchical' => true,
		'query_var' => true,
        'show_ui' => true,
		'show_admin_column' => true,
		'rewrite' => array( 'slug' => 'owners'),
        'show_in_quick_edit'         => false,
        'meta_box_cb'                => false,

    ));
    
  //Features
	$features = array(
		'name'              => esc_html__('Features','maxwheels-framework'),
		'add_new_item'      => esc_html__('Add New Feature','maxwheels-framework'),
		'new_item_name'     => esc_html__('New Feature','maxwheels-framework')
	); 
	register_taxonomy('mw-features',array('mx-listings'), array(
	   'labels' => $features,
		'hierarchical' => true,
		'show_ui' => true,
		'show_admin_column' => true,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'features' ),

    ));
  //Labels
	$locations  = array(
			'name' => esc_html__( 'Locations','maxwheels-framework'),
            'singular_name' => esc_html__( 'Locations','maxwheels-framework' ),
            'add_new' => esc_html__('Add New Location','maxwheels-framework'),
            'add_new_item' => esc_html__('Add New','maxwheels-framework'),
            'edit_item' => esc_html__('Edit Location','maxwheels-framework'),
            'new_item' => esc_html__('New Location','maxwheels-framework'),
            'view_item' => esc_html__('View Location','maxwheels-framework'),
            'search_items' => esc_html__('Search Location','maxwheels-framework'),
            'not_found' =>  esc_html__('No Location Found','maxwheels-framework'),
            'not_found_in_trash' => esc_html__('No Location found in Trash','maxwheels-framework'),
	); 
	register_taxonomy('mw-location',array('mx-listings'), array(
	   'labels' => $locations,
		'hierarchical' => true,
        'show_ui' => true,
		'show_admin_column' => true,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'location'),
        'show_in_quick_edit'         => false,
        'meta_box_cb'                => false,

    ));
  //Form Fields
    if(in_array('maxwheels-api/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
    {    
       new listing_location_meta('mw_type');   
    }
   new listing_location_meta('mw_feature');
   new listing_location_meta('mw_location');
   new listing_location_meta('mw-bodytype','full');
}


// Register Custom Status
function maxwheels_framework_custom_post_status() {
	register_post_status( 'expired', array(
		'label'                     => _x( 'Expired', 'mx-listings','maxwheels-framework'),
		'public'                    => true,
		'exclude_from_search'       => true,
		'show_in_admin_all_list'    => true,
		'show_in_admin_status_list' => true,
		'label_count'               => _n_noop( 'Expired <span class="count">(%s)</span>', 'Expired <span class="count">(%s)</span>', 'maxwheels-framework'),
	) );
}
add_action( 'init', 'maxwheels_framework_custom_post_status' );
// Adding custom post status to WordPress status dropdown
function maxwheels_framework_custom_post_status_dropdown() {
    global $post;
    $complete = '';
    $label = '';    
    if($post->post_type == 'mx-listings'){
    	if($post->post_status == 'expired'){
            $complete = ' selected="selected"';
            $label = '<span id=\"post-status-display\"> '.esc_html__('Expired','maxwheels-framework').'</span>';
        }
	    ?>
	    <script>
	    jQuery(document).ready(function($){
	        $("select#post_status").append("<option value=\"expired\" <?php selected('expired', $post->post_status); ?>><?php echo esc_html__('Expired','maxwheels-framework'); ?></option>");
	    	$(".misc-pub-section label").append("<?php echo $label ?>");
	    });
	    </script>
	    <?php
	}
}
add_action( 'post_submitbox_misc_actions', 'maxwheels_framework_custom_post_status_dropdown');
// Adding custom post status to post type index
function maxwheels_framework_custom_post_archive_state( $states ) {
     global $post;
	 // no posts
	 if (!$post) return;
     $arg = get_query_var( 'post_status' );
     if($arg != 'expired'){
          if($post->post_status == 'expired' && 'mx-listings' === $post->post_type){
               return array('Expired');
          }
     }
    return $states;
}
add_filter( 'display_post_states', 'maxwheels_framework_custom_post_archive_state' );

// Adding custom post status to quick edit screen
function maxwheels_framework_custom_into_quick_edit() {
    global $post;
    // no posts
    if (!$post) return;
    if ( 'mx-listings' === $post->post_type ) { 
      echo "<script>
      jQuery(document).ready( function() {
        jQuery( 'select[name=\"_status\"]' ).append( '<option value=\"expired\">".esc_html__('Expired','maxwheels-framework')."</option>' );
      });
      </script>";
    }
}
add_action('admin_footer-edit.php','maxwheels_framework_custom_into_quick_edit');


// Register Custom Status Sold
function maxwheels_framework_custom_post_status_sold() {
	register_post_status( 'sold', array(
		'label'                     => _x( 'Sold', 'mx-listings','maxwheels-framework'),
		'public'                    => true,
		'exclude_from_search'       => true,
		'show_in_admin_all_list'    => true,
		'show_in_admin_status_list' => true,
		'label_count'               => _n_noop( 'Sold <span class="count">(%s)</span>', 'Sold <span class="count">(%s)</span>', 'maxwheels-framework'),
	) );
}
add_action( 'init', 'maxwheels_framework_custom_post_status_sold' );
// Adding custom post status to WordPress status dropdown
function maxwheels_framework_custom_post_status_dropdown_sold() {
    global $post;
    $complete = '';
    $label = '';  
    if($post->post_type == 'mx-listings'){
    	if($post->post_status == 'sold'){
            $complete = ' selected="selected"';
            $label = '<span id=\"post-status-display\"> '.esc_html__('Sold','maxwheels-framework').'</span>';
        }
	    ?>
	    <script>
	    jQuery(document).ready(function($){
	        $("select#post_status").append("<option value=\"sold\" <?php selected('sold', $post->post_status); ?>><?php echo esc_html__('Sold','maxwheels-framework'); ?></option>");
	    	$(".misc-pub-section #post-status-display").append("<?php echo $label ?>");
	    });
	    </script>
	    <?php
	}
}
add_action( 'post_submitbox_misc_actions', 'maxwheels_framework_custom_post_status_dropdown_sold');

// Adding custom post status to post type index
function maxwheels_framework_custom_post_archive_state_sold( $states ) {
     global $post;
	 // no posts
	 if (!$post) return;
     $arg = get_query_var( 'post_status' );
     if($arg != 'sold'){
          if($post->post_status == 'sold' && 'mx-listings' === $post->post_type){
               return array('Sold');
          }
     }
    return $states;
}
add_filter( 'display_post_states', 'maxwheels_framework_custom_post_archive_state_sold' );

// Adding custom post status to quick edit screen
function maxwheels_framework_custom_into_quick_edit_sold() {
    global $post;
    // no posts
    if (!$post) return;
    if ( 'mx-listings' === $post->post_type ) { 
      echo "<script>
      jQuery(document).ready( function() {
        jQuery( 'select[name=\"_status\"]' ).append( '<option value=\"sold\">".esc_html__('Sold','maxwheels-framework')."</option>' );
      });
      </script>";
    }
}
add_action('admin_footer-edit.php','maxwheels_framework_custom_into_quick_edit_sold');
function maxwheels_framework_save_my_data($post_id)
{
     global $post;
    if( !is_object($post) ) return;
    if ('mx-listings' === $post->post_type )
    {
       // global $wpdb;
        if(get_post_status($post_id) == 'expired' || get_post_status($post_id) == 'sold')
        {
           update_post_meta( $post_id, 'mw_status', '0' );
	       
        }
        
       // $wpdb->query($wpdb->prepare("UPDATE $wpdb->posts SET post_status = '%s' WHERE ID = %d",$_POST['hidden_post_status'],$post_id));
      //  echo $_POST['post_status'];
      //  die();
    }
}
 add_action('save_post', 'maxwheels_framework_save_my_data',10,3 ); //rehook the function