<?php
if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) || class_exists( 'WooCommerce' ))
{
//user profile backend fields
    add_action('show_user_profile', 'maxwheels_framework_extra_profile_fields');
    add_action( 'edit_user_profile', 'maxwheels_framework_extra_profile_fields' );
    function maxwheels_framework_extra_profile_fields($user) { ?>
<h3><?php echo esc_html__( 'Package Information', 'maxwheels-framework' ); ?></h3>
<table class="form-table">
  <tr>
    <th><label><?php echo esc_html__('Package Name', 'maxwheels-framework'); ?></label></th>
    <td>
      <?php
		 $package_id = '';
		 if( get_user_meta($user->ID, 'mw_user_package_id', true ) != "" )
		 {
			  $package_id = get_user_meta($user->ID, 'mw_user_package_id', true );
		 }
		$args	=	array(
		'post_type' => 'product',
		'tax_query' => array(
		 'relation' => 'OR',
				array(	
				   'taxonomy' => 'product_type',
				   'field' => 'slug',
				   'terms' => 'maxwheels_packages'
				),
			),
        'fields' => 'ids',    
		'post_status' => 'publish',
		'posts_per_page' => 20,
		'order'=> 'DESC',
		'orderby' => 'date'
		);
		$packages = new WP_Query($args);
		if ($packages->have_posts())
		{
		?>
        	<select class="admin-select" name="select_page">
            	<option value=""><?php echo esc_html__('Select an option', 'maxwheels-framework'); ?></option>
            	<?php
				while ( $packages->have_posts() )
				{
					$packages->the_post();
				?>	
                    <option value="<?php echo get_the_ID(); ?>" <?php if($package_id == get_the_ID()){ echo 'selected';}  ?>><?php echo get_the_title(); ?></option>
                <?php
				}
				?>
            </select>
            <input type="hidden" name="package_id" value="<?php echo esc_attr($package_id); ?>">
        <?php
		wp_reset_postdata();
		}
?>
      <br /><br />
      <p class="description"><?php echo esc_html__('User selected package', 'maxwheels-framework'); ?></p>
    </td>
  </tr>
</table>
<?php }

add_action( 'personal_options_update', 'maxwheels_framework_my_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'maxwheels_framework_my_save_extra_profile_fields' );
function maxwheels_framework_my_save_extra_profile_fields($user_id) {
  if ( !current_user_can('edit_user',$user_id))
      return false;
	  if(isset($_POST['select_page']) && $_POST['select_page'] !="")
	  {
          maxwheels_framework_store_user_package($user_id,$_POST['select_page'] );
	  }
	  else
	  {
		 update_user_meta($user_id, 'mw_user_package_id',''); 
	  }
}

    add_action('profile_user_profile', 'maxwheels_framework_extra_profile_plans');
    add_action( 'edit_user_profile', 'maxwheels_framework_extra_profile_plans' );
    function maxwheels_framework_extra_profile_plans($user) {?>
        <h3><?php echo esc_html__( 'Profile Package Plans', 'maxwheels-framework' ); ?></h3>
        <table class="form-table">
            <tr>
                <th><label><?php echo esc_html__('Package Name', 'maxwheels-framework'); ?></label></th>
                <td>
                    <?php
                    $package_id = '';

                    $dealer_post_id = get_user_meta($user->ID, 'mw_post_id', true);

                    if( get_post_meta($dealer_post_id, 'mw_post_plan_id', true ) != "" )
                    {
                        $package_id = get_post_meta($dealer_post_id, 'mw_post_plan_id', true );
                    }

                    $args = array(
                        'post_type' => 'product',
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'product_type',
                                'field' => 'slug',
                                'terms' => 'maxwheels_profile_packages'
                            ),
                        ),
                        'fields' => 'ids',
                        'post_status' => 'publish',
                        'posts_per_page' => 6,
                        'order' => 'ASC',
                        'orderby' => 'date'
                    );
                    $packages = new WP_Query($args);
                    if ($packages->have_posts())
                    {
                        ?>
                        <select class="admin-select" name="select_plan">
                            <option value=""><?php echo esc_html__('Select an option', 'maxwheels-framework'); ?></option>
                            <?php
                            while ( $packages->have_posts() )
                            {
                                $packages->the_post();
                                ?>
                                <option value="<?php echo get_the_ID(); ?>" <?php if($package_id == get_the_ID()){ echo 'selected';}  ?>><?php echo get_the_title(); ?></option>
                                <?php
                            }
                            ?>
                        </select>
                        <input type="hidden" name="package_id" value="<?php echo esc_attr($package_id); ?>">
                        <?php
                        wp_reset_postdata();
                    }
                    ?>
                    <br /><br />
                    <p class="description"><?php echo esc_html__('User selected package', 'maxwheels-framework'); ?></p>
                </td>
            </tr>

        </table>
        <h3><?php echo esc_html__( 'Select User Role Type', 'maxwheels-framework' ); ?></h3>
        <table class="form-table">
            <tr>
                <th><label for="_sb_user_type_"><?php echo __('Select User Role Type', 'maxwheels-framework'); ?></label></th>
                <?php
                $user_type = get_user_meta($user->ID, 'user_role_type', true);
                ?>
                <td>
                    <select name="_sb_user_type_" id="_sb_user_type_">
                        <option value=""><?php echo __('Select option', 'maxwheels-framework'); ?></option>
                        <option value="buyer" <?php if ($user_type == 'buyer') echo "selected"; ?>><?php echo __('Buyer/Individual', 'maxwheels-framework'); ?></option>
                        <option value="dealer" <?php if ($user_type == 'dealer') echo "selected"; ?>><?php echo __('Dealer', 'maxwheels-framework'); ?></option>
                    </select>
                </td>
            </tr>


        </table>
    <?php }

    add_action( 'profile_plan_update', 'maxwheels_framework_profile_plan_update' );
    add_action( 'edit_user_profile_update', 'maxwheels_framework_profile_plan_update' );
    function maxwheels_framework_profile_plan_update($user_id) {

        if ( !current_user_can('edit_user',$user_id))
            return false;
        if(isset($_POST['select_plan']) && $_POST['select_plan'] !="")
        {
            maxwheels_framework_store_user_premium_plan($user_id,$_POST['select_plan'] );
        }
        else
        {
            $dealer_post_id = get_user_meta($user_id, 'mw_post_id', true);
            update_post_meta($dealer_post_id, 'mw_post_plan_id','');
            update_post_meta($dealer_post_id, 'mw_sponsored_profile', '');

        }
        update_user_meta(absint($user_id), 'user_role_type', wp_kses_post($_POST['_sb_user_type_']));
    }















}