<?php
class maxwheels_framework_dealer {
	public function __construct() {
		if ( is_admin() ) {
			add_action( 'load-post.php',     array( $this, 'init_metabox' ) );
			add_action( 'load-post-new.php', array( $this, 'init_metabox' ) );
		}
	}
	public function init_metabox() {
		add_action( 'add_meta_boxes',        array( $this, 'maxwheels_framework_mw_add_metabox_dealer'));
		add_action( 'save_post',             array( $this, 'maxwheels_framework_mw_save_metabox_dealer' ), 10, 2 );
	}
	public function maxwheels_framework_mw_add_metabox_dealer() {
		add_meta_box(
			'dealer_meta_fields',
			esc_html__( 'Dealer Related Information', 'maxwheels-framework' ),
			array( $this, 'maxwheels_framework_render_metabox_dealer' ),
			'mw-dealer',
			'advanced',
			'default'
		);
	}
	public function maxwheels_framework_render_metabox_dealer( $post )
	{
		wp_nonce_field( 'dealer_nonce_action', 'dealer_nonce' );
		// Retrieve an existing value from the database.
		$dealer_email = get_post_meta( $post->ID, 'dealer_email', true );
		$dealer_mobile = get_post_meta( $post->ID, 'dealer_mobile', true );
		$dealer_whats = get_post_meta( $post->ID, 'dealer_whats', true );
		$dealer_url = get_post_meta( $post->ID, 'dealer_url', true );
		$dealer_location = get_post_meta( $post->ID, 'dealer_location', true );
		$dealer_hours = get_post_meta( $post->ID, 'dealer_hours', true );
		$dealer_fb = get_post_meta( $post->ID, 'dealer_fb', true );
		$dealer_tw = get_post_meta( $post->ID, 'dealer_tw', true );
		$dealer_in = get_post_meta( $post->ID, 'dealer_in', true );
		$dealer_insta = get_post_meta( $post->ID, 'dealer_insta', true );
		$dealer_you = get_post_meta( $post->ID, 'dealer_you', true );
		$dealer_pin = get_post_meta( $post->ID, 'dealer_pin', true );
		$dealer_street_addr = get_post_meta( $post->ID, 'dealer_street_addr', true );
		$dealer_latt = get_post_meta( $post->ID, 'dealer_latt', true );
		$dealer_long = get_post_meta( $post->ID, 'dealer_long', true );

		// Set default values.
		if( empty($dealer_email) ) $dealer_email = '';
		if( empty($dealer_mobile) ) $dealer_mobile = '';
		if( empty($dealer_whats) ) $dealer_whats = '';
		if( empty($dealer_url) ) $dealer_url = '';
		if( empty($dealer_location) ) $dealer_location = '';
		if( empty($dealer_hours) ) $dealer_hours = '';
		if( empty($dealer_fb) ) $dealer_fb = '';
		if( empty($dealer_tw) ) $dealer_tw = '';
		if( empty($dealer_in) ) $dealer_in = '';
		if( empty($dealer_insta) ) $dealer_insta = '';
		if( empty($dealer_you) ) $dealer_you = '';
		if( empty($dealer_pin) ) $dealer_pin = '';
		if( empty($dealer_street_addr) ) $dealer_street_addr = '';
		if( empty($dealer_latt) ) $dealer_latt = '';
		if( empty($dealer_long) ) $dealer_long = '';

        ?>


<div class="row">
    <div class="col-12">
     <div class="form-group">
      <label><?php echo esc_html__('Email Address', 'maxwheels-framework' ) ?></label>
        <input type="text" class="admin-inputs" name="dealer-email" value="<?php echo esc_attr($dealer_email); ?>">
            <p class="description"><?php echo esc_html__( 'Enter email address messages from contact form on property details page, will be sent on this email address.', 'maxwheels-framework' ) ?></p>
        </div>
    </div>
    <div class="col-6">
     <div class="form-group">
      <label><?php echo esc_html__( 'Mobile Number', 'maxwheels-framework' ) ?></label>
       <input type="text" class="admin-inputs" name="dealer-mobile" value="<?php echo esc_attr($dealer_mobile); ?>">
           
        </div>
    </div>
    <div class="col-6">
     <div class="form-group">
      <label><?php echo esc_html__( 'WhatsApp Number', 'maxwheels-framework' ) ?></label>
       <input type="text" class="admin-inputs" name="dealer-whats" value="<?php echo esc_attr($dealer_whats); ?>">
        </div>
    </div>
 
    <div class="col-6">
     <div class="form-group">
      <label><?php echo esc_html__( 'Website Url ', 'maxwheels-framework' ) ?></label>
       <input type="text" class="admin-inputs" name="dealer-url" value="<?php echo esc_url($dealer_url); ?>">
        </div>
    </div>
    <div class="col-6">
     <div class="form-group">
      <label><?php echo esc_html__( 'Dealer Location', 'maxwheels-framework' ) ?></label>
       <select class="custom-fields" name="dealer-location" data-placeholder="<?php echo esc_attr__('Select Location','maxwheels-framework');?>">
              <?php maxwheels_framework_terms_options('mw-dealer-locations' , $dealer_location); ?>
			</select>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="col-6">
     <div class="form-group">
      <label><?php echo esc_html__( 'Office Hours', 'maxwheels-framework' ) ?></label>
       <input type="text" class="admin-inputs" name="dealer-hours" value="<?php echo esc_attr($dealer_hours); ?>">
       <p class="description"><?php echo esc_html__( 'Eg: Monday - Friday, 9 AM - 9 PM', 'maxwheels-framework' ) ?></p>
        </div>
    </div>
     <div class="clearfix"></div>
    
    
    <div class="col-6">
     <div class="form-group">
      <label><?php echo esc_html__( 'Facebook URL', 'maxwheels-framework' ) ?></label>
        <input type="text" class="admin-inputs" name="dealer-fb" value="<?php echo esc_url($dealer_fb); ?>">
        </div>
    </div>
    <div class="col-6">
     <div class="form-group">
      <label><?php echo esc_html__( 'Twitter URL', 'maxwheels-framework' ) ?></label>
        <input type="text" class="admin-inputs" name="dealer-tw" value="<?php echo esc_url($dealer_tw); ?>">
        </div>
    </div>
    <div class="col-6">
     <div class="form-group">
      <label><?php echo esc_html__( 'LinkedIn URL ', 'maxwheels-framework' ) ?></label>
        <input type="text" class="admin-inputs" name="dealer-in" value="<?php echo esc_url($dealer_in); ?>">
        </div>
    </div>
    <div class="col-6">
     <div class="form-group">
      <label><?php echo esc_html__( 'Instagram URL ', 'maxwheels-framework' ) ?></label>
        <input type="text" class="admin-inputs" name="dealer-insta" value="<?php echo esc_url($dealer_insta); ?>">
        </div>
    </div>
    <div class="col-6">
     <div class="form-group">
      <label><?php echo esc_html__( 'Youtube URL', 'maxwheels-framework' ) ?></label>
        <input type="text" class="admin-inputs" name="dealer-you" value="<?php echo esc_url($dealer_you); ?>">
        </div>
    </div>
    <div class="col-6">
     <div class="form-group">
      <label><?php echo esc_html__( 'Pinterest URL', 'maxwheels-framework' ) ?></label>
        <input type="text" class="admin-inputs" name="dealer-pin" value="<?php echo esc_url($dealer_pin); ?>">
        </div>
    </div>
    
     <div class="col-12">
         <div class="form-group">
           <label><?php echo esc_html__('Address','maxwheels-framework');?></label>
           <div class="get-loc">
           <input type="text" class="admin-inputs" id="mw_address" name="dealer-address" value="<?php echo esc_attr($dealer_street_addr); ?>">
           <?php 
		   if(!empty(maxwheels_framework_get_options('mw_opt_enable_geo')) && !empty(maxwheels_framework_get_options('mw_opt_api_settings')))
		   {
		   ?>
           <i class="detect-me dashicons dashicons-move"></i>
           <?php
		   }
		   ?>
           </div>
           <p><?php echo esc_html__('if you dont add address then map will not show on property detail page.','maxwheels-framework');?></p>
    		</div>
        </div>
       <?php
	    if(maxwheels_framework_get_options('mw_opt_enable_map') == 1) { ?>
            <div class="col-12">
                 <div class="form-group">
                    <div id="mw_map"></div>
                </div>
            </div>
        <?php
		}
		?>
        <div class="col-6">
                <div class="form-group">
                    <label><?php echo esc_html__('Coordinates','maxwheels-framework');?>  </label>
                    <input type="text" class="admin-inputs" name="dealer-latt" id="mw_latt" value="<?php echo esc_attr($dealer_latt); ?>">
                    <p><?php echo esc_html__('Your location Latitude','maxwheels-framework');?></p>
                </div>
            </div>
        <div class="col-6">
                <div class="form-group">
                    <label for="longitude">&nbsp;</label>
                    <input type="text" class="admin-inputs" name="dealer-long" id="mw_long" value="<?php echo esc_attr($dealer_long); ?>">
                    <p><?php echo esc_html__('Your location Longitude','maxwheels-framework');?></p>
                </div>
            </div>
 </div>       
<?php
	}
	public function maxwheels_framework_mw_save_metabox_dealer( $post_id, $post ) {
		// Add nonce for security and authentication.
		$nonce_name = ( isset($_POST['dealer_nonce']) ) ? $_POST['dealer_nonce'] : ' ';
		$nonce_action = 'dealer_nonce_action';
		$dealer_id = $post_id;
		// Check if a nonce is set.
		if ( ! isset( $nonce_name ) )
			return;

		// Check if a nonce is valid.
		if ( ! wp_verify_nonce( $nonce_name, $nonce_action ) )
			return;

		// Check if the user has permissions to save data.
		if ( ! current_user_can( 'edit_post', $dealer_id ) )
			return;

		// Check if it's not an autosave.
		if ( wp_is_post_autosave( $dealer_id ) )
			return;

		// Check if it's not a revision.
		if ( wp_is_post_revision( $dealer_id ) )
			return;
		//sanatize fields

		$dealer_email = isset( $_POST['dealer-email'] ) ? sanitize_email( $_POST[ 'dealer-email' ] ) : '';
		$dealer_mobile = isset( $_POST['dealer-mobile'] ) ? sanitize_text_field( $_POST[ 'dealer-mobile' ] ) : '';
		$dealer_whats = isset( $_POST['dealer-whats'] ) ? sanitize_text_field( $_POST[ 'dealer-whats' ] ) : '';
		$dealer_url = isset( $_POST['dealer-url'] ) ? sanitize_text_field( $_POST[ 'dealer-url' ] ) : '';
		$dealer_location = isset( $_POST['dealer-location'] ) ? $_POST[ 'dealer-location' ]  : '';
		$dealer_hours = isset( $_POST['dealer-hours']) ? sanitize_text_field( $_POST['dealer-hours'] ) : '';
		$dealer_fb = isset( $_POST['dealer-fb'] ) ? sanitize_text_field( $_POST[ 'dealer-fb' ] ) : '';
		$dealer_tw = isset( $_POST['dealer-tw'] ) ? sanitize_text_field( $_POST[ 'dealer-tw' ] ) : '';
		$dealer_in = isset( $_POST['dealer-in'] ) ? sanitize_text_field( $_POST[ 'dealer-in' ] ) : '';
		$dealer_insta = isset( $_POST['dealer-insta'] ) ? sanitize_text_field( $_POST[ 'dealer-insta' ] ) : '';
		$dealer_you = isset( $_POST['dealer-you'] ) ? sanitize_text_field( $_POST[ 'dealer-you' ] ) : '';
		$dealer_pin = isset( $_POST['dealer-pin'] ) ? sanitize_text_field( $_POST[ 'dealer-pin' ] ) : '';
		$dealer_street_addr = isset( $_POST['dealer-address'] ) ? $_POST[ 'dealer-address' ]  : '';
		$dealer_latt = isset( $_POST['dealer-latt'] ) ? sanitize_text_field( $_POST[ 'dealer-latt' ] ) : '';
		$dealer_long = isset( $_POST['dealer-long'] ) ? sanitize_text_field( $_POST[ 'dealer-long' ] ) : '';
        // Update the meta field in the database.
		update_post_meta($dealer_id, 'dealer_status', '1' );
		if (get_post_meta($dealer_id, 'mw_sponsored_profile', true ) == 1)
		{
		}
		else
		{
			update_post_meta($dealer_id, 'mw_sponsored_profile', 0);
		}
		update_post_meta($dealer_id, 'dealer_email', $dealer_email);
		update_post_meta($dealer_id, 'dealer_mobile', $dealer_mobile );
		update_post_meta($dealer_id, 'dealer_whats', $dealer_whats );
		update_post_meta($dealer_id, 'dealer_url', $dealer_url);
		update_post_meta($dealer_id, 'dealer_fb', $dealer_fb);
		update_post_meta($dealer_id, 'dealer_tw', $dealer_tw);
		update_post_meta($dealer_id, 'dealer_in', $dealer_in );
		update_post_meta($dealer_id, 'dealer_insta', $dealer_insta);
		update_post_meta($dealer_id, 'dealer_you', $dealer_you);
		update_post_meta($dealer_id, 'dealer_pin', $dealer_pin);
		update_post_meta($dealer_id, 'dealer_street_addr', $dealer_street_addr);
		update_post_meta($dealer_id, 'dealer_latt', $dealer_latt);
		update_post_meta($dealer_id, 'dealer_long', $dealer_long);
		update_post_meta($dealer_id, 'dealer_hours', $dealer_hours);
		//dealer location
		wp_set_object_terms($dealer_id, maxwheels_framework_get_ancestors($dealer_location,'mw-dealer-locations'), 'mw-dealer-locations');

        update_post_meta($dealer_id, 'dealer_location', $dealer_location);
        update_post_meta($dealer_id, 'is_premium_profile', true);
		
	}
}
new maxwheels_framework_dealer;
// Custom fields to this post type
add_filter( 'manage_property-dealer_posts_columns', 'maxwheels_framework_edit_dealer_table' );
function maxwheels_framework_edit_dealer_table($columns) {
	//return  print_r($columns);
	unset($columns['date']);
	$columns['dealer_ref'] = esc_html__( 'dealer ID', 'maxwheels-framework' );
	$columns['dealer_thumb'] = esc_html__('Thumbnail', 'maxwheels-framework' );
    $columns['dealer_properties'] = esc_html__('Properties', 'maxwheels-framework' );
	$columns['dealer_agents'] = esc_html__( 'Agents', 'maxwheels-framework' );
	$columns['dealer_mob'] = esc_html__( 'Mobile No', 'maxwheels-framework' );
	$new = array();
	foreach($columns as $key => $title)
	{
		  if($key=='title')
		  {
			$new['dealer_thumb'] = esc_html__('Thumbnail', 'maxwheels-framework' );  
		  }
    	  if($key=='taxonomy-mw_location')
		  {
			  
			  $new['dealer_ref'] = esc_html__('dealer ID', 'maxwheels-framework' );
			  $new[ 'title' ] = esc_html__('dealer', 'maxwheels-framework' );
			  $new[ 'dealer_properties' ] = esc_html__('Properties', 'maxwheels-framework' );
			  $new[ 'dealer_agents' ] = esc_html__('Agents', 'maxwheels-framework' );
		  }
		  if($key=='date')
		  {
			 $new[ 'dealer_mob' ] =  esc_html__('Mobile No', 'maxwheels-framework' );
		  }
		  $new[$key] = $title;
    }
	return $new;
}
// Add the data to the custom columns for the post type:
add_action( 'manage_property-dealer_posts_custom_column' , 'maxwheels_framework_render_dealer_table', 10, 2 );
function maxwheels_framework_render_dealer_table( $column, $post_id ) {
        switch ( $column ) {
         case 'dealer_mob' :
			echo  get_post_meta( $post_id, 'dealer_mobile', true );
		 break;
		 case 'dealer_thumb' :
		 if ( has_post_thumbnail() )
		 {
			echo the_post_thumbnail(array(64,64)); //size of the thumbnail 
		 }
		 else
		 {
			 $my_img = MaxWheels_Plugin_Url . "libs/images/placeholder.png";
			 echo '<img alt="" src="'.esc_url($my_img).'" width="64">';
			 
		 }
		 break;
		 case 'dealer_properties':
		 	 $user_id = get_post_field( 'post_author', $post_id );
			 echo count_user_posts($user_id , "property"  ) ;
		 break;
		  case 'dealer_agents':
		     global $wpdb;
		     $user_id = get_post_field( 'post_author', $post_id );
			 $dealer_id = '';
			 if(get_user_meta( $user_id, 'mw_post_id' , true ) !="")
		     {
			    $dealer_id = get_user_meta( $user_id, 'mw_post_id' , true );
		     }
			 $total_free = $wpdb->get_var(( "SELECT COUNT(*) FROM $wpdb->postmeta WHERE meta_key = 'agent_dealer_id' AND  meta_value = '$dealer_id'"));
			 echo esc_attr($total_free);
			 
		 break;
		 case 'dealer_ref':
		 echo esc_attr($post_id);
		 break;
    }
}
//Sidebar meta
class maxwheels_framework_dealer_sidebar 
{
	public function __construct() {
		if ( is_admin() ) {
			add_action( 'load-post.php',     array( $this, 'init_metabox' ) );
			add_action( 'load-post-new.php', array( $this, 'init_metabox' ) );
		}
	}
	public function init_metabox() {
		add_action( 'add_meta_boxes',        array( $this, 'maxwheels_framework_mw_add_metabox_dealer_sidebar'));
		add_action( 'save_post',             array( $this, 'maxwheels_framework_mw_save_metabox_dealer_sidebox' ), 10, 2 );
		add_action( 'admin_enqueue_scripts', array( $this, 'maxwheels_framework_scripts_styles'));
		add_action( 'admin_footer',          array( $this, 'maxwheels_framework_admin_js'));
	}
	public function maxwheels_framework_mw_add_metabox_dealer_sidebar() {
		add_meta_box(
			'dealer_meta_fields_sidebar',
			 esc_html__( 'dealer Information', 'maxwheels-framework' ),
			array( $this, 'maxwheels_framework_render_metabox_dealer_sidebox' ),
			'property-dealer',
			'side',
			'high'
		);
	}
	public function maxwheels_framework_render_metabox_dealer_sidebox($post)
	{
		wp_nonce_field( 'dealer_nonce_action_sidebox', 'dealer_nonce_sidebox' );
		// Retrieve an existing value from the database.
		$dealer_is_featured = get_post_meta( $post->ID, 'dealer_is_featured', true );
		$dealer_is_trusted = get_post_meta( $post->ID, 'dealer_is_trusted', true );
		$dealer_badge_txt = get_post_meta( $post->ID, 'dealer_badge_txt', true );
		$dealer_badge_clr = get_post_meta( $post->ID, 'dealer_badge_clr', true );
		// Set default values.
		if( empty($dealer_is_trusted) ) $dealer_is_trusted = '0';
		if( empty($dealer_is_featured) ) $dealer_is_featured = '0';
		if( empty($dealer_badge_txt) ) $dealer_badge_txt = '';
		if( empty($dealer_badge_clr) ) $dealer_badge_clr = '';
	?>
        <table class="form-table">
            <tr>
                <td>
                <p><?php echo esc_html__('Do you want to make this dealer featured!', 'maxwheels-framework' ); ?></p>
                <ul class="radio-lists">
                     <li>
                         <label><input value="1" type="radio" <?php checked('1',$dealer_is_featured,true); ?> name="is-feat"><?php echo esc_html__( 'Yes', 'maxwheels-framework' ); ?></label>
                     </li>
                     <li>
                         <label><input value="0" type="radio" <?php checked('0',$dealer_is_featured,true); ?> name="is-feat"><?php echo esc_html__( 'No', 'maxwheels-framework' ); ?></label>
                     </li>
                 </ul>
                </td>
            </tr>
            <tr>
                <td>
                    <p><?php echo esc_html__('Do you want to make this dealer trusted?', 'maxwheels-framework' ); ?></p>
                    <ul class="radio-lists">
                     <li>
                         <label><input value="1" type="radio" <?php checked('1',$dealer_is_trusted,true); ?> name="is-trust"><?php echo esc_html__( 'Yes', 'maxwheels-framework' ); ?></label>
                     </li>
                     <li>
                         <label><input value="0" type="radio" <?php checked('0',$dealer_is_trusted,true); ?> name="is-trust"><?php echo esc_html__( 'No', 'maxwheels-framework' ); ?></label>
                     </li>
                 </ul>
                 
                    <div class="form-group">
                        <label><?php echo esc_html__('Badge Text','maxwheels-framework');?>  </label>
                        <input type="text" class="admin-inputs" name="badge-txt" value="<?php echo esc_attr($dealer_badge_txt); ?>">
                        <p><?php echo esc_html__('Eg : Trusted Seller','maxwheels-framework');?></p>
                    </div>
                    <div class="form-group">
                        <label><?php echo esc_html__('Badge Color','maxwheels-framework');?>  </label>
                        <input type="text" class="region_color_picker" name="badge-clr" value="<?php echo esc_attr($dealer_badge_clr); ?>">
                        <p><?php echo esc_html__('The hex color of the badge field.','maxwheels-framework');?></p>
                    </div>
                </td>
             </tr>   
        </table>
    <?php
	}
	public function maxwheels_framework_mw_save_metabox_dealer_sidebox( $post_id, $post ) {
		// Add nonce for security and authentication.
		$nonce_name = ( isset($_POST['dealer_nonce_sidebox']) ) ? $_POST['dealer_nonce_sidebox'] : ' ';
		$nonce_action = 'dealer_nonce_action_sidebox';
		// Check if a nonce is set.
		if ( ! isset( $nonce_name ) )
			return;

		// Check if a nonce is valid.
		if ( ! wp_verify_nonce( $nonce_name, $nonce_action ) )
			return;

		// Check if the user has permissions to save data.
		if ( ! current_user_can( 'edit_post', $post_id ) )
			return;

		// Check if it's not an autosave.
		if ( wp_is_post_autosave( $post_id ) )
			return;

		// Check if it's not a revision.
		if ( wp_is_post_revision( $post_id ) )
			return;
		//sanatize fields
		
		$dealer_is_featured = isset( $_POST[ 'is-feat' ] ) ? sanitize_text_field( $_POST[ 'is-feat' ] ) : '';
		$dealer_is_trusted = isset( $_POST[ 'is-trust' ] ) ? sanitize_text_field( $_POST[ 'is-trust' ] ) : '';
		$dealer_badge_txt = isset( $_POST[ 'badge-txt' ] ) ? sanitize_text_field( $_POST[ 'badge-txt' ] ) : '';
		$dealer_badge_clr = isset( $_POST[ 'badge-clr' ] ) ? sanitize_text_field( $_POST[ 'badge-clr' ] ) : '';
		update_post_meta($post_id, 'dealer_is_featured',$dealer_is_featured);
		update_post_meta($post_id, 'dealer_is_trusted',$dealer_is_trusted);
		update_post_meta($post_id, 'dealer_badge_txt',$dealer_badge_txt);
		update_post_meta($post_id, 'dealer_badge_clr',$dealer_badge_clr);
	}
	
	public function maxwheels_framework_scripts_styles() {
		wp_enqueue_script( 'wp-color-picker' );
		wp_enqueue_style( 'wp-color-picker' );
	}
	
	public function maxwheels_framework_admin_js() {
		// Print js only once per page
		if ( did_action( 'maxwheels_framework_admin_js' ) >= 1 ) {
			return;
		}
		?>
		<script type="text/javascript">
			jQuery(document).ready(function($){
				$('.region_color_picker').wpColorPicker();
			});
		</script>
		<?php
		do_action( 'maxwheels_framework_admin_js', $this );
	}
}
new maxwheels_framework_dealer_sidebar;