<?php
class maxwheels_framework_packages {
	public function __construct() {
		if ( is_admin() ) {
			add_action( 'load-post.php',     array( $this, 'package_init_metabox' ) );
			add_action( 'load-post-new.php', array( $this, 'package_init_metabox' ) );
		}
	}
	public function package_init_metabox() {
        add_action( 'add_meta_boxes', array( $this, 'package_add_metabox'  ) );
        add_action( 'save_post',      array( $this, 'package_save_metabox' ), 10, 2 );

	}
	public function package_add_metabox() {
		add_meta_box(
			'maxwheels_product',
			__( 'For Listing Packages', 'maxwheels-framework' ),
			array( $this, 'package_render_metabox' ),
			'product',
			'normal',
			'high'
		);
	}
	public function package_render_metabox( $post ) {
		$package_type_l = get_post_meta( $post->ID, 'mw_package_type_l', true );
		$package_tagline_l = get_post_meta( $post->ID, 'mw_package_tagline_l', true );
		$package_expiry_l = get_post_meta( $post->ID, 'mw_package_expiry_l', true );
		$regular_listing_l = get_post_meta( $post->ID, 'mw_regular_listing_l', true );
		$listing_expiry_l = get_post_meta( $post->ID, 'mw_regular_listing_expiry_l', true );
		$featured_listing_l = get_post_meta( $post->ID, 'mw_featured_listing_l', true );
		$featured_listing_expiry_l = get_post_meta( $post->ID, 'mw_featured_listing_expiry_l', true );
		$bump_listing_l = get_post_meta( $post->ID, 'mw_bump_listing_l', true );
		$make_package_featured_l = get_post_meta( $post->ID, 'mw_make_package_featured_l', true );


		// Set default values.
		if( empty( $package_type_l ) ) $package_type_l = '';
        if( empty( $package_tagline_l ) ) $package_tagline_l = '';
		if( empty( $package_price_l ) ) $package_price_l = '';
		if( empty( $package_expiry_l ) ) $package_expiry_l = '';
		if( empty( $regular_listing_l ) ) $regular_listing_l = '';
		if( empty( $listing_expiry_l ) ) $listing_expiry_l = '';
		if( empty( $featured_listing_l ) ) $featured_listing_l = '';
		if( empty( $featured_listing_expiry_l ) ) $featured_listing_expiry_l = '';
	    if( empty( $bump_listing_l ) ) $bump_listing_l = '';
		if( empty( $make_package_featured_l ) ) $make_package_featured_l = '';
		global $maxwheels_options;

        ?>
        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Package Tagline', 'maxwheels-framework' ); ?> <span class="required">*</span></label>
          	<div class="input-wrap">
                <input class="text" name="package_tagline_listing" value="<?php echo esc_attr($package_tagline_l); ?>" placeholder="<?php echo esc_html__( "Most Trending Listings Pack", 'maxwheels-framework' ); ?>" type="text">
            </div>
		</div>

        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Package Type', 'maxwheels-framework' ); ?> <span class="required">*</span></label>
            <?php echo esc_html__( "Select package type whether it's a paid package or free", 'maxwheels-framework' ); ?></p>
          <select class="select" name="package_type_listing" tabindex="-1" aria-hidden="true">
            <option value="free" <?php selected( $package_type_l, 'free',true ); ?>><?php echo esc_html__( 'Free', 'maxwheels-framework' ); ?></option>
            <option value="paid" <?php selected( $package_type_l, 'paid',true); ?>><?php echo esc_html__( 'Paid', 'maxwheels-framework' ); ?></option>
          </select>
		</div>
        
        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Make Package Featured', 'maxwheels-framework' ); ?></label>
            <?php echo esc_html__( "Do you want to highlight this package.", 'maxwheels-framework' ); ?></p>
          <select class="select" name="make_package_featured_listing" tabindex="-1" aria-hidden="true">
            <option value=""><?php echo esc_html__( 'Select an option', 'maxwheels-framework' ); ?></option>
            <option value="yes" <?php selected( $make_package_featured_l, 'yes',true); ?>><?php echo esc_html__( 'Yes', 'maxwheels-framework' ); ?></option>
            <option value="no" <?php selected( $make_package_featured_l, 'no',true); ?>><?php echo esc_html__( 'No', 'maxwheels-framework' ); ?></option>
          </select>
		</div>

        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Package Duration ( Days )', 'maxwheels-framework' ); ?> <span class="required">*</span></label>
            <?php echo esc_html__( "Expiry in days, -1 means never expired it.", 'maxwheels-framework' ); ?></p>
          	<div class="input-wrap">
                <input class="text" name="package_expiry_listing" value="<?php echo esc_attr($package_expiry_l); ?>" placeholder="<?php echo esc_html__( "Number of days eg 60.", 'maxwheels-framework' ); ?>" type="text">
            </div>
		</div>
        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Total Listings', 'maxwheels-framework' ); ?> </label>
            <?php echo esc_html__( "Total number of listings allowed in this package.", 'maxwheels-framework' ); ?></p>
          	<div class="input-wrap">
                <input class="text" name="regular_listing_listing" value="<?php echo esc_attr($regular_listing_l); ?>" placeholder="<?php echo esc_html__( "eg 10", 'maxwheels-framework' ); ?>" type="text">
            </div>
		</div>
        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Total Listings Expiry ( Days )', 'maxwheels-framework' ); ?> <span class="required">*</span></label>
            <?php echo esc_html__( "Expiry in days, -1 means never expired.", 'maxwheels-framework' ); ?></p>
          	<div class="input-wrap">
                <input class="text" name="listing_expiry_listing" value="<?php echo esc_attr($listing_expiry_l); ?>" placeholder="<?php echo esc_html__( "Number of days eg 60.", 'maxwheels-framework' ); ?>" type="text">
            </div>
		</div>
        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Featured Listing', 'maxwheels-framework' ); ?></label>
            <?php echo esc_html__( "Total number of featured listings.", 'maxwheels-framework' ); ?></p>
          	<div class="input-wrap">
                <input class="text" name="featured_listing_listing" value="<?php echo esc_attr($featured_listing_l); ?>" placeholder="<?php echo esc_html__( "eg 5", 'maxwheels-framework' ); ?>" type="text">
            </div>
		</div>
        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Featured For', 'maxwheels-framework' ); ?></label>
            <?php echo esc_html__( "Expiry in days, -1 means never expired unless used it.", 'maxwheels-framework' ); ?></p>
          	<div class="input-wrap">
                <input class="text" name="featured_listing_expiry_listing" value="<?php echo esc_attr($featured_listing_expiry_l); ?>" placeholder="<?php echo esc_html__( "number of days eg 7", 'maxwheels-framework' ); ?>" type="text">
            </div>
		</div>
		<div class="custom-meta-fields required">
		  <p class="label">
			<label><?php echo esc_html__( 'Bump Up Listing', 'maxwheels-framework' ); ?></label>
			<?php echo esc_html__( "Total number of Bump up listings.", 'maxwheels-framework' ); ?></p>
			<div class="input-wrap">
				<input class="text" name="bump_listing_listing" value="<?php echo esc_attr($bump_listing_l); ?>" placeholder="<?php echo esc_html__( "eg 2", 'maxwheels-framework' ); ?>" type="text">
			</div>
		</div>
<?php

    }

	public function package_save_metabox( $post_id, $post ) {

		// Check if the user has permissions to save data.
		if ( ! current_user_can( 'edit_post', $post_id ) )
			return;

		// Check if it's not an autosave.
		if ( wp_is_post_autosave( $post_id ) )
			return;

		// Check if it's not a revision.
		if ( wp_is_post_revision( $post_id ) )
			return;
		// Sanitize user input.
		$package_tagline_l = isset( $_POST[ 'package_tagline_listing' ] ) ? $_POST[ 'package_tagline_listing' ]  : '';
		$package_type_l = isset( $_POST[ 'package_type_listing' ] ) ? $_POST[ 'package_type_listing' ] : '';
		$package_expiry_l = isset( $_POST[ 'package_expiry_listing' ] ) ? $_POST[ 'package_expiry_listing' ] : '';
		$regular_listing_l = isset( $_POST[ 'regular_listing_listing' ] ) ? $_POST[ 'regular_listing_listing' ] : '';
		$listing_expiry_l = isset( $_POST[ 'listing_expiry_listing' ] ) ? $_POST[ 'listing_expiry_listing' ] : '';
		$featured_listing_l = isset( $_POST[ 'featured_listing_listing' ] ) ? $_POST[ 'featured_listing_listing' ]  : '';
		$featured_listing_expiry_l = isset( $_POST[ 'featured_listing_expiry_listing' ] ) ? $_POST[ 'featured_listing_expiry_listing' ]  : '';
		$bump_listing_l = isset( $_POST[ 'bump_listing_listing' ] ) ? $_POST[ 'bump_listing_listing' ] : '';
		$make_package_featured_l = isset( $_POST[ 'make_package_featured_listing' ] ) ? $_POST[ 'make_package_featured_listing' ] : '';
		// Update the meta field in the database.
        update_post_meta( $post_id, 'mw_package_tagline_l', $package_tagline_l);
		update_post_meta( $post_id, 'mw_package_type_l', $package_type_l );
		update_post_meta( $post_id, 'mw_package_expiry_l', $package_expiry_l );
		update_post_meta( $post_id, 'mw_regular_listing_l', $regular_listing_l );
		update_post_meta( $post_id, 'mw_regular_listing_expiry_l', $listing_expiry_l );
		update_post_meta( $post_id, 'mw_featured_listing_l', $featured_listing_l );
		update_post_meta( $post_id, 'mw_featured_listing_expiry_l', $featured_listing_expiry_l );
		update_post_meta( $post_id, 'mw_bump_listing_l', $bump_listing_l );
		update_post_meta( $post_id, 'mw_make_package_featured_l', $make_package_featured_l );
	}
}
new maxwheels_framework_packages;


class maxwheels_framework_profile_packages {
	public function __construct() {
		if ( is_admin() ) {
			add_action( 'load-post.php',     array( $this, 'init_metabox_plans' ) );
			add_action( 'load-post-new.php', array( $this, 'init_metabox_plans' ) );
		}
	}
	public function init_metabox_plans() {
		add_action( 'add_meta_boxes', array( $this, 'plan_add_metabox'  )  );
		add_action( 'save_post',      array( $this, 'plan_save_metabox' ), 10, 2 );
	}
	public function plan_add_metabox() {
		add_meta_box(
			'maxwheels_profile_plans',
			__( 'For Profile Plans', 'maxwheels-framework' ),
			array( $this, 'plan_render_metabox' ),
			'product',
			'normal',
			'high'
		);
	}
	public function plan_render_metabox( $post ) {
		// Retrieve an existing value from the database.
		//$package_tagline       = get_post_meta( $post->ID, 'mw_package_tagline', true );
		$package_shortdesc     = get_post_meta( $post->ID, 'mw_package_shortdesc', true );
		$package_type          = get_post_meta( $post->ID, 'mw_package_type', true );
		$make_package_featured = get_post_meta( $post->ID, 'mw_make_package_featured', true );
		$package_expiry        = get_post_meta( $post->ID, 'mw_package_expiry', true );
		$allow_overview        = get_post_meta( $post->ID, 'mw_allow_overview', true );
		$allow_working_hours   = get_post_meta( $post->ID, 'mw_working_hours', true );
		$allow_location        = get_post_meta( $post->ID, 'mw_location', true );
		$allow_social          = get_post_meta( $post->ID, 'mw_social', true );
		// Set default values.
		//if( empty( $package_tagline ) ) $package_tagline = '';
		if( empty( $package_shortdesc ) ) $package_shortdesc = '';
		if( empty( $package_type ) ) $package_type = '';
		if( empty( $make_package_featured ) ) $make_package_featured = '';
		if( empty( $package_expiry ) ) $package_expiry = '';
		if( empty( $allow_overview ) ) $allow_overview = '';
		if( empty( $allow_working_hours ) ) $allow_working_hours = '';
		if( empty( $allow_location ) ) $allow_location = '';
		if( empty( $allow_social ) ) $allow_social = '';
		global $maxwheels_options;
		?>
		<div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Package Short Description', 'maxwheels-framework' ); ?> <span class="required">*</span></label>
          	<div class="input-wrap">
				<textarea name="package_shortdesc" rows="4" cols="50"><?php echo esc_textarea($package_shortdesc); ?></textarea>
            </div>
		</div>
        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Package Type', 'maxwheels-framework' ); ?> <span class="required">*</span></label>
            <?php echo esc_html__( "Select package type whether it's a paid package or free", 'maxwheels-framework' ); ?></p>
          <select class="select" name="package_type" tabindex="-1" aria-hidden="true">
            <option value="free" <?php selected( $package_type, 'free',true ); ?>><?php echo esc_html__( 'Free', 'maxwheels-framework' ); ?></option>
            <option value="paid" <?php selected( $package_type, 'paid',true); ?>><?php echo esc_html__( 'Paid', 'maxwheels-framework' ); ?></option>
          </select>
		</div>
        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Make Package Featured', 'maxwheels-framework' ); ?></label>
            <?php echo esc_html__( "Do you want to highlight this package.", 'maxwheels-framework' ); ?></p>
          <select class="select" name="make_package_featured" tabindex="-1" aria-hidden="true">
            <option value=""><?php echo esc_html__( 'Select an option', 'maxwheels-framework' ); ?></option>
            <option value="yes" <?php selected( $make_package_featured, 'yes',true); ?>><?php echo esc_html__( 'Yes', 'maxwheels-framework' ); ?></option>
            <option value="no" <?php selected( $make_package_featured, 'no',true); ?>><?php echo esc_html__( 'No', 'maxwheels-framework' ); ?></option>
          </select>
		</div>
        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Mark Profile As Featured/Premium ( Days )', 'maxwheels-framework' ); ?> <span class="required">*</span></label>
            <?php echo esc_html__( "Expiry in days, -1 means never expired it.", 'maxwheels-framework' ); ?></p>
          	<div class="input-wrap">
                <input class="text" name="package_expiry" value="<?php echo esc_attr($package_expiry); ?>" placeholder="<?php echo esc_html__( "Number of days eg 60.", 'maxwheels-framework' ); ?>" type="text">
            </div>
		</div>
        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Allow Overview', 'maxwheels-framework' ); ?></label>
          <select class="select" name="pakage_overview" tabindex="-1" aria-hidden="true">
            <option value=""><?php echo esc_html__( 'Select an option', 'maxwheels-framework' ); ?></option>
            <option value="yes" <?php selected( $allow_overview, 'yes',true); ?>><?php echo esc_html__( 'Yes', 'maxwheels-framework' ); ?></option>
            <option value="no" <?php selected( $allow_overview, 'no',true); ?>><?php echo esc_html__( 'No', 'maxwheels-framework' ); ?></option>
          </select>
		</div>
        <div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Allow Working Hours', 'maxwheels-framework' ); ?></label>
          <select class="select" name="pakage_working_hours" tabindex="-1" aria-hidden="true">
            <option value=""><?php echo esc_html__( 'Select an option', 'maxwheels-framework' ); ?></option>
            <option value="yes" <?php selected( $allow_working_hours, 'yes',true); ?>><?php echo esc_html__( 'Yes', 'maxwheels-framework' ); ?></option>
            <option value="no" <?php selected( $allow_working_hours, 'no',true); ?>><?php echo esc_html__( 'No', 'maxwheels-framework' ); ?></option>
          </select>
		</div>
		<div class="custom-meta-fields required">
          <p class="label">
            <label><?php echo esc_html__( 'Allow Location', 'maxwheels-framework' ); ?></label>
          <select class="select" name="pakage_allow_locations" tabindex="-1" aria-hidden="true">
            <option value=""><?php echo esc_html__( 'Select an option', 'maxwheels-framework' ); ?></option>
            <option value="yes" <?php selected( $allow_location, 'yes',true); ?>><?php echo esc_html__( 'Yes', 'maxwheels-framework' ); ?></option>
            <option value="no" <?php selected( $allow_location, 'no',true); ?>><?php echo esc_html__( 'No', 'maxwheels-framework' ); ?></option>
          </select>
		</div>
		<div class="custom-meta-fields required">
				  <p class="label">
					<label><?php echo esc_html__( 'Allow Social Links', 'maxwheels-framework' ); ?></label>
				  <select class="select" name="pakage_allow_social" tabindex="-1" aria-hidden="true">
					<option value=""><?php echo esc_html__( 'Select an option', 'maxwheels-framework' ); ?></option>
					<option value="yes" <?php selected( $allow_social, 'yes',true); ?>><?php echo esc_html__( 'Yes', 'maxwheels-framework' ); ?></option>
					<option value="no" <?php selected( $allow_social, 'no',true); ?>><?php echo esc_html__( 'No', 'maxwheels-framework' ); ?></option>
				  </select>
		</div>
<?php
	}

	public function plan_save_metabox( $post_id, $post ) {
		// Check if the user has permissions to save data.
		if ( ! current_user_can( 'edit_post', $post_id ) )
			return;

		// Check if it's not an autosave.
		if ( wp_is_post_autosave( $post_id ) )
			return;

		// Check if it's not a revision.
		if ( wp_is_post_revision( $post_id ) )
			return;


		
		// Sanitize user input.
		//$package_tagline = isset( $_POST[ 'package_tagline' ] ) ? sanitize_text_field( $_POST[ 'package_tagline' ] ) : '';
		$package_shortdesc = isset( $_POST[ 'package_shortdesc' ] ) ? $_POST[ 'package_shortdesc' ] : '';
		$package_type = isset( $_POST[ 'package_type' ] ) ? $_POST[ 'package_type' ] : '';
		$make_package_featured = isset( $_POST[ 'make_package_featured' ] ) ? $_POST[ 'make_package_featured' ] : '';
		$package_expiry = isset( $_POST[ 'package_expiry' ] ) ? $_POST[ 'package_expiry' ]  : '';
		$allow_overview = isset( $_POST[ 'pakage_overview' ] ) ?  $_POST[ 'pakage_overview' ]  : '';
		$allow_working_hours = isset( $_POST[ 'pakage_working_hours' ] ) ? $_POST[ 'pakage_working_hours' ]  : '';
		$allow_location = isset( $_POST[ 'pakage_allow_locations' ] ) ? $_POST[ 'pakage_allow_locations' ]  : '';
		$allow_social = isset( $_POST[ 'pakage_allow_social' ] ) ? $_POST[ 'pakage_allow_social' ]  : '';


		
		// Update the meta field in the database.
       // update_post_meta( $post_id, 'mw_package_tagline', $package_tagline);
		update_post_meta( $post_id, 'mw_package_shortdesc', $package_shortdesc);
		update_post_meta( $post_id, 'mw_package_type', $package_type );
		update_post_meta( $post_id, 'mw_make_package_featured', $make_package_featured );
		update_post_meta( $post_id, 'mw_package_expiry', $package_expiry );
		update_post_meta( $post_id, 'mw_allow_overview', $allow_overview );
		update_post_meta( $post_id, 'mw_working_hours', $allow_working_hours );
		update_post_meta( $post_id, 'mw_location', $allow_location );
		update_post_meta( $post_id, 'mw_social', $allow_social );
		
	}
}
new maxwheels_framework_profile_packages;