<?php

class real_mw_submission
{
    public function __construct()
    {

        if (is_admin()) {
            add_action('load-post.php', array($this, 'init_metaboxs'));
            add_action('load-post-new.php', array($this, 'init_metaboxs'));
        }
    }

    public function init_metaboxs()
    {

        add_action('add_meta_boxes', array($this, 'maxwheels_framework_mw_add_metabox'));
        add_action('save_post', array($this, 'maxwheels_framework_mw_save_metabox'), 10, 2);
        add_action('admin_enqueue_scripts', array($this, 'maxwheels_framework_mw_load_scripts_styles'));
        add_action( 'admin_footer',          array( $this, 'maxwheels_framework_mw_add_admin_js' )        );
    }

    public function maxwheels_framework_mw_add_metabox()
    {
        add_meta_box(
            'mw_meta_fields',
            __('Submit listings', 'maxwheels-framework'),
            array($this, 'maxwheels_framework_render_metabox'),
            'mx-listings',
            'advanced',
            'default'
        );
    }
    public function maxwheels_framework_render_metabox($post){
        global $maxwheels_options;
        $parent_category = $options = $custom_currency = $meta_html = $meta = '';

        $conditions = $years= $bodytype = $transmission = $fuel = $plate = $plate = $vin = $registration = $price = $mileage = $drive = $extrtior = $interior = $keys = $highway = $city = $enginesize = $owners = $type = $gallery = $address = $latt = $long = $location ='';
        $class_three = $class_two = $class_one = 'none';
        $categories = array();
        wp_nonce_field( 'mw_nonce_action', 'mw_nonce' );
        $categories =  maxwheels_framework_getlevel_terms($post->ID, 'mw-category',);
        $conditions  = get_post_meta($post->ID, 'mw_condition', true);
        $years      = get_post_meta($post->ID, 'mw_year', true);
        $bodytype   = get_post_meta($post->ID, 'mw_bodytype', true);
        $transmission = get_post_meta($post->ID, 'mw_transmission', true);
        $fuel       = get_post_meta($post->ID, 'mw_fueltype', true);
        $plate      = get_post_meta($post->ID, 'mw_numberplate', true);
        $vin        = get_post_meta($post->ID, 'mw_vin_number', true);
        $registration = get_post_meta($post->ID, 'mw_registration', true);
        $price      = get_post_meta($post->ID, 'mw_price', true);
        $mileage    = get_post_meta($post->ID, 'mw_mileage', true);
        $drive      = get_post_meta($post->ID, 'mw_drive', true);
        $extrtior   = get_post_meta($post->ID, 'mw_extrtior', true);
        $interior   = get_post_meta($post->ID, 'mw_interior', true);
        $keys       = get_post_meta($post->ID, 'mw_keys', true);
        $highway    = get_post_meta($post->ID, 'mw_highway', true);
        $city       = get_post_meta($post->ID, 'mw_city', true);
        $enginesize = get_post_meta($post->ID, 'mw_enginesize', true);
        $owners     = get_post_meta($post->ID, 'mw_owners', true);
        $type       = get_post_meta($post->ID, 'mw_type', true);
        $gallery = get_post_meta($post->ID, 'mw_gallery', true );
        $address = get_post_meta($post->ID, 'mw_street_addr', true );
        $latt    = get_post_meta($post->ID, 'mw_latt', true );
        $long    = get_post_meta($post->ID, 'mw_long', true );
        $location = get_post_meta($post->ID, 'mw_loc', true );
        $conditions = maxwheels_framework_get_selected_terms($post->ID,'mw-condition');
        $type = maxwheels_framework_get_selected_terms($post->ID,'mw-Labels');
        $bodytype = maxwheels_framework_get_selected_terms($post->ID,'mw-bodytype');
        $fuel = maxwheels_framework_get_selected_terms($post->ID,'mw-fuel');
        $years = maxwheels_framework_get_selected_terms($post->ID,'mw-year');
        $transmission = maxwheels_framework_get_selected_terms($post->ID,'mw-transmission');
        $drive = maxwheels_framework_get_selected_terms($post->ID,'mw-drive');
        $extrtior = maxwheels_framework_get_selected_terms($post->ID,'mw-exterior-color');
        $interior = maxwheels_framework_get_selected_terms($post->ID,'mw-interior-color');
        $owners = maxwheels_framework_get_selected_terms($post->ID,'mw-owners');
        $location_terms = wp_get_post_terms($post->ID, 'mw-location',array( "fields" => "slugs" ));
        $location_terms    =   isset($location_terms[0])  ?   $location_terms[0]    : "";


        if (empty($conditions)) $conditions = '';
        if (empty($bodytype)) $bodytype = '';
        if (empty($transmission)) $transmission = '';
        if (empty($fuel)) $fuel = '';
        if (empty($plate)) $plate = '';
        if (empty($vin)) $vin = '';
        if (empty($registration)) $registration = '';
        if (empty($price)) $price = '';
        if (empty($mileage)) $mileage = '';
        if (empty($drive)) $drive = '';
        if (empty($extrtior)) $extrtior = '';
        if (empty($interior)) $interior = '';
        if (empty($keys)) $keys = '';
        if (empty($highway)) $highway = '';
        if (empty($city)) $city = '';
        if (empty($enginesize)) $enginesize = '';
        if (empty($owners)) $owners = '';
        if (empty($type)) $type = '';
        if (empty($gallery)) $gallery = '';
        if (empty($address)) $address = '';
        if (empty($latt)) $latt = '';
        if (empty($long)) $long = '';
        if (empty($location)) $location = '';

            if ( ! is_wp_error( $categories ) && is_array($categories) && count($categories) > 0)
            {
                $total_levels = count($categories);
                if ($total_levels >= 1)
                {
                    $parent_category =  $categories[0]['slug'];

                }
                if ($total_levels >= 2)
                {
                    $class_one = 'custom-display';
                    $first_level = maxwheels_framework_more_levels($categories[0]['slug'],'mw-category',$categories[1]['slug']);

                }
                if ($total_levels >= 3)
                {
                    $class_two = 'custom-display';
                    $second_level = maxwheels_framework_more_levels($categories[1]['slug'],'mw-category',$categories[2]['slug']);
                }
                if ($total_levels >= 4)
                {
                    $class_three = 'custom-display';
                    $third_level = maxwheels_framework_more_levels($categories[2]['slug'],'mw-category',$categories[3]['slug']);
                }
            }
        if(class_exists('ACF'))
        {
            $selected_custom_data = maxwheels_framework_fields_by_listing_id($post->ID);
            if(is_array($selected_custom_data))
            {
                $cust_display = '';
                $fetch_custom_data = $selected_custom_data;
            }
        }

        ?>
        <div id="tabs">
            <ul>
                <li>
                    <a href="#gi"><i class="dashicons-dashboard dashicons"></i><?php echo maxwheels_strings('mw_car_details_section_heading'); ?></a>
                </li>
                <li>
                    <a href="#reg"><i class="dashicons-admin-network dashicons"></i> <?php echo maxwheels_strings('mw_reg_section_title'); ?></a>
                </li>
                <li>
                    <a href="#car_spec"><i class="dashicons-pressthis dashicons"></i> <?php echo maxwheels_strings('mw_carspecs_type'); ?></a>
                </li>
                <li>
                    <a href="#ad_info"><i class="dashicons-megaphone dashicons"></i> <?php echo maxwheels_strings('mw_info_heading'); ?></a>
                </li>
                <li>
                    <a href="#car_attachments"><i class="dashicons-format-gallery dashicons"></i> <?php echo maxwheels_strings('mw_gallery_section'); ?></a>
                </li>
                <li>
                    <a href="#car_location"><i class="dashicons-location dashicons"></i> <?php echo maxwheels_strings('mw_loc_section_field'); ?></a>
                </li>

            </ul>
            <div class="tabz-content">
                <div id="gi">
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                             <div class="custom-card-board">
                              <div class="card-board-content all-mw-makes sub-category-admin">
                                <div class="theme-row mw-1">
                                 <label><?php echo maxwheels_strings('mw_cat1_title'); ?> *</label>
                                    <span class="wrap">
                                     <select class="custom-fields" data-sanitize="trim" data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_cat1_title'); ?>" name="cat-parent" id="cat_parent">
                                      <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                                      <?php maxwheels_framework_terms_parents('mw-category' , $parent_category); ?>
                                    </select>
                                  </span>
                                </div>
                                <?php if($maxwheels_options['mw_show_hide_fields']['mw_subcats'] == 1) { ?>
                                    <div class="theme-row <?php echo esc_attr($class_one); ?> mw-2" id="cat-level-1" >
                                        <label><?php echo maxwheels_strings('mw_cat2_title'); ?></label>
                                        <span class="wrap">
                <select class="theme-selects custom-fields" data-sanitize="trim" id="level-1"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_cat2_title'); ?>" name="level-1" <?php if($maxwheels_options['mw_required_fields']['mw_subcats'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                    <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                    <?php echo maxwheels_strings('',$first_level); ?>
                </select>
                </span>
                                    </div>

                                    <div class="theme-row <?php echo esc_attr($class_two); ?> mw-3" id="cat-level-2">
                                        <label><?php echo maxwheels_strings('mw_cat3_title'); ?></label>
                                        <span class="wrap">
                <select class="theme-selects custom-fields" data-sanitize="trim"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_cat3_title'); ?>" id="level-2" name="level-2" <?php if($maxwheels_options['mw_required_fields']['mw_subcats'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                    <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                    <?php echo maxwheels_strings('',$second_level); ?>
                </select>
                </span>
                                    </div>

                                    <div class="theme-row <?php echo esc_attr($class_three); ?>" id="cat-level-3">
                                        <label><?php echo maxwheels_strings('mw_cat4_title'); ?></label>
                                        <span class="wrap">
                <select class="theme-selects custom-fields" data-sanitize="trim"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_cat4_title'); ?>" id="level-3" name="level-3" <?php if($maxwheels_options['mw_required_fields']['mw_subcats'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                    <?php echo maxwheels_strings('',$third_level); ?>
                </select>
                </span>
                                    </div>
                                <?php } ?>
                              </div>
                          </div>
                        </div>

                        </div>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_condition'] == 1) { ?>
                        <div class="col-12">
                            <div class="form-group">
                                <label><?php echo esc_html__('Conditions', 'maxwheels-framework'); ?></label>
                                <select class="custom-fields" name="conditions"
                                        data-placeholder="<?php echo esc_attr__('Condition Type', 'maxwheels-framework'); ?>">
                                    <?php echo $conditions; //maxwheels_framework_terms_options('mw-condition' , $conditions);?>
                                </select>
                            </div>
                        </div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_year'] == 1) { ?>
                        <div class="col-12">
                            <div class="form-group">
                                <label><?php echo esc_html__('Year', 'maxwheels-framework'); ?></label>
                                <select class="custom-fields" name="year"
                                        data-placeholder="<?php echo esc_attr__('Select Year', 'maxwheels-framework'); ?>">
                                    <?php echo $years;  //maxwheels_framework_terms_parents('mw-year' ,$years); ?>
                                </select>
                            </div>
                        </div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_bodytype'] == 1) { ?>
                        <div class="col-12">
                            <div class="form-group">
                                <label><?php echo esc_html__('Body Type', 'maxwheels-framework'); ?></label>
                                <select class="custom-fields" name="bodytype"
                                        data-placeholder="<?php echo esc_attr__('Select Body Type', 'maxwheels-framework'); ?>">
                                    <option value=""><?php echo esc_html__('Select an option', 'maxwheels-framework'); ?></option>
                                    <?php echo $bodytype;  //maxwheels_framework_terms_parents('mw-bodytype' , $bodytype); ?>                                </select>
                            </div>
                        </div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_transmission'] == 1) { ?>
                        <div class="col-12">
                            <div class="form-group">
                                <label><?php echo esc_html__('Transmission', 'maxwheels-framework'); ?></label>
                                <select class="custom-fields" name="transmission"
                                        data-placeholder="<?php echo esc_attr__('Select Transmission', 'maxwheels-framework'); ?>">
                                    <option value=""><?php echo esc_html__('Select an option', 'maxwheels-framework'); ?></option>
                                    <?php echo $transmission; //maxwheels_framework_terms_parents('mw-transmission' , $transmission); ?>                                </select>
                            </div>
                        </div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_fuel'] == 1) { ?>
                        <div class="col-12">
                            <div class="form-group">
                                <label><?php echo esc_html__('Fuel Type', 'maxwheels-framework'); ?></label>
                                <select class="custom-fields" name="fuel"
                                        data-placeholder="<?php echo esc_attr__('Select Fuel Type', 'maxwheels-framework'); ?>">
                                    <option value=""><?php echo esc_html__('Select an option', 'maxwheels-framework'); ?></option>
                                    <?php echo $fuel;  //maxwheels_framework_terms_parents('mw-fuel' , $fuel); ?>
                                </select>
                            </div>
                        </div>
                        <?php } ?>

                    </div>
                </div>
                <div id="reg">
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label><?php echo esc_html__('Number Plate', 'maxwheels-framework'); ?></label>
                                <input type="text" class="admin-inputs" name="plate" value="<?php echo esc_attr($plate); ?>">
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Vehicle Identification Number (VIN)', 'maxwheels-framework'); ?></label>
                                <input type="text" class="admin-inputs" name="vin" value="<?php echo esc_attr($vin); ?>">
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Registered Date', 'maxwheels-framework'); ?></label>
                                <input type="text" name="registration" class="admin-inputs prop-datepicker"  data-date-format="dd MM yyyy" value="<?php echo esc_attr($registration); ?>">

                            </div>
                        </div>
                    </div>
                </div>
                <div id="car_spec">
                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Select Drive', 'maxwheels-framework'); ?></label>
                                <select class="custom-fields" name="drive" data-placeholder="<?php echo esc_attr__('Select Drive', 'maxwheels-framework'); ?>">
                                    <?php echo $drive; //maxwheels_framework_terms_parents('mw-drive' , $drive); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Select Exterior Color', 'maxwheels-framework'); ?></label>
                                <select class="custom-fields" name="extrtior" data-placeholder="<?php echo esc_attr__('Select Exterior Color', 'maxwheels-framework'); ?>">
                                    <?php echo $extrtior;  //maxwheels_framework_terms_parents('mw-exterior-color' ,$extrtior); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Select Interior Color', 'maxwheels-framework'); ?></label>
                                <select class="custom-fields" name="interior" data-placeholder="<?php echo esc_attr__('Select Interior Color', 'maxwheels-framework'); ?>">
                                    <?php echo $interior; //maxwheels_framework_terms_parents('mw-interior-color' , $interior); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Mileage', 'maxwheels-framework'); ?></label>
                                <input type="text" class="admin-inputs" name="mileage" value="<?php echo esc_attr($mileage); ?>">
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="form-group">
                                <label><?php echo esc_html__('Asking Price', 'maxwheels-framework'); ?></label>
                                <input type="text" class="admin-inputs" name="price" value="<?php echo esc_attr($price); ?>">
                            </div>
                        </div>
                    </div>
                </div>
                <div id="ad_info">
                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Sets of keys', 'maxwheels-framework'); ?></label>
                                <select class="custom-fields" name="keys" data-placeholder="<?php echo esc_attr__('Select Sets of keys', 'maxwheels-framework'); ?>">
                                    <option value=""><?php echo esc_html__('Select an Option','maxwheels-framework'); ?></option>
                                    <option value="1" <?php selected('1', $keys);?>>1</option>
                                    <option value="2" <?php selected('2', $keys);?>>2</option>
                                    <option value="3" <?php selected('3', $keys);?>>3+</option>
                                <?php //maxwheels_framework_terms_parents('mw_keys' , $keys); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Average In Highway', 'maxwheels-framework'); ?></label>
                                <input type="text" class="admin-inputs" name="highway" value="<?php echo esc_attr($highway); ?>">
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Average In City', 'maxwheels-framework'); ?></label>
                                <input type="text" class="admin-inputs" name="city" value="<?php echo esc_attr($city); ?>">
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Engine Size', 'maxwheels-framework'); ?></label>
                                <input type="text" class="admin-inputs" name="enginesize" value="<?php echo esc_attr($enginesize); ?>">
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Owners', 'maxwheels-framework'); ?></label>
                                <select class="custom-fields" name="owners" data-placeholder="<?php echo esc_attr__('Select Sets of keys', 'maxwheels-framework'); ?>">
                                    <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                                    <?php echo $owners; //maxwheels_framework_terms_parents('mw-owners' ,$owners); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Offer Type', 'maxwheels-framework'); ?></label>
                                <select class="custom-fields" name="type" data-placeholder="<?php echo esc_attr__('Select Offer', 'maxwheels-framework'); ?>">
                                    <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                                    <?php echo $type; //maxwheels_framework_terms_parents('mw-Labels' ,$type); ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="car_attachments">
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label><?php echo esc_html__('Maxwheel Gallery', 'maxwheels-framework'); ?></label>
                                <input id="selected_imgz_idz" type="hidden" name="selected_imgz_idz" value="<?php echo esc_attr($gallery); ?>"/>
                                <span id="selected_imgz_html_render"><?php echo maxwheels_framework_mw_gallery($gallery);?></span> <br>
                                <input id="custom_gallery_btn" class="button button-primary button-large" type="button" value="<?php echo esc_attr__('+ Add Media', 'maxwheels-framework'); ?>"/>

                                <p><?php echo esc_html__('Recommended Image Size is 750x450', 'maxwheels-framework'); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="car_location">
                    <div class="row">
                      <div class="col-12">
                            <div class="form-group">
                                <label><?php echo esc_html__('Address ', 'maxwheels-framework'); ?></label>
                                <input type="text" name="street-address" class="admin-inputs" value="<?php echo esc_attr($address); ?>">
                            </div>
                        </div>
                      <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Latitude ', 'maxwheels-framework'); ?></label>
                                <input type="text" name="mw-latt" id="mw_latt" class="admin-inputs" placeholder="<?php echo maxwheels_strings('mw_addr_latt'); ?>" value="<?php echo esc_attr($latt); ?>">
                            </div>
                        </div>
                      <div class="col-6">
                            <div class="form-group">
                                <label><?php echo esc_html__('Longitude ', 'maxwheels-framework'); ?></label>
                                <input type="text" class="admin-inputs"  name="mw-long" id="mw_long" placeholder="<?php echo maxwheels_strings('mw_addr_long'); ?>" value="<?php echo esc_attr($long); ?>">
                            </div>
                        </div>
                      <div class="col-12">
                            <div class="form-group">
                                <label><?php echo maxwheels_strings('mw_addr_country'); ?></label>
                                <select class="custom-fields" name="locations" placeholder="<?php echo maxwheels_strings('mw_addr_country_place'); ?>">
                                    <?php maxwheels_framework_terms_options('mw-location' , $location_terms); ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php
    }
    public function maxwheels_framework_mw_save_metabox($post_id, $post)
    {
        // Add nonce for security and authentication.
        $nonce_name = (isset($_POST['mw_nonce'])) ? $_POST['mw_nonce'] : ' ';

        $nonce_action = 'mw_nonce_action';
        $mw_id = $post_id;
        // Check if a nonce is set.
        if (!isset($nonce_name))
            return;
        // Check if a nonce is valid.
        if (!wp_verify_nonce($nonce_name, $nonce_action))
            return;
        // Check if the user has permissions to save data.
        if (!current_user_can('edit_post', $mw_id))
            return;
        // Check if it's not an autosave.
        if (wp_is_post_autosave($mw_id))
            return;
        // Check if it's not a revision.
        if (wp_is_post_revision($mw_id))
            return;
        //sanatize fields

        $selected_type = isset( $_POST[ 'cat-parent' ] ) ? $_POST[ 'cat-parent' ] : '';
        $conditions = isset($_POST['conditions']) ? $_POST['conditions'] : '';
        $year      = isset($_POST['year']) ? $_POST['year']: '';
        $bodytype   = isset($_POST['bodytype']) ? $_POST['bodytype'] : '';
        $transmission = isset($_POST['transmission']) ? $_POST['transmission'] : '';
        $fuel       = isset($_POST['fuel']) ? $_POST['fuel'] : '';
        $plate      = isset($_POST['plate']) ? $_POST['plate']: '';
        $vin        = isset($_POST['vin']) ? $_POST['vin'] : '';
        $registration = isset($_POST['registration']) ? $_POST['registration'] : '';
        $price      = isset($_POST['price']) ? $_POST['price']: '';
        $mileage    = isset($_POST['mileage']) ? $_POST['mileage'] : '';
        $drive      = isset($_POST['drive']) ? $_POST['drive'] : '';
        $extrtior   = isset($_POST['extrtior']) ? $_POST['extrtior'] : '';
        $interior   = isset($_POST['interior']) ? $_POST['interior']: '';
        $keys       = isset($_POST['keys']) ? $_POST['keys']: '';
        $highway    = isset($_POST['highway']) ? $_POST['highway']: '';
        $city       = isset($_POST['city']) ? $_POST['city']: '';
        $enginesize = isset($_POST['enginesize']) ? $_POST['enginesize']: '';
        $owners     = isset($_POST['owners']) ? $_POST['owners'] : '';
        $type       = isset($_POST['type']) ? $_POST['type'] : '';
        $gallery = isset($_POST['selected_imgz_idz']) ? $_POST['selected_imgz_idz']: '';
        $address = isset($_POST['street-address']) ? $_POST['street-address']: '';
        $latt    = isset($_POST['mw-latt']) ? $_POST['mw-latt']: '';
        $long    = isset($_POST['mw-long']) ? $_POST['mw-long'] : '';
        $location = isset($_POST['locations']) ? $_POST['locations'] : '';

        $trim_id = $trim = $model_id = $model_name = $varient_id = $varient_name = $make_id  = $make_name = $makes = $model =  $varient = '';
        //categories
        $cat_levels = array();
        $title_name = array();
        $title_name[]  =  $year;
        if(isset($_POST['cat-parent']) && $_POST['cat-parent'] !="")
        {
            $makes         =   $_POST['cat-parent'];
            $make_id       =   get_term_by('slug', $makes, 'mw-category');
            $cat_levels[]  =   $make_id->term_id;
            $title_name[]  =   $make_id->name;
        }
        if(isset($_POST['level-1']) && $_POST['level-1'] !="")
        {
            $model          = $_POST['level-1'];
            $model_id       = get_term_by('slug', $model, 'mw-category');
            $cat_levels[]   = $model_id->term_id;
            $title_name[]  =   $model_id->name;
        }
        if(isset($_POST['level-2']) && $_POST['level-2'] !="")
        {
            $varient          = $_POST['level-2'];
            $varient_id       = get_term_by('slug', $varient, 'mw-category');
            $cat_levels[]     = $varient_id->term_id;
            $title_name[]  =   $varient_id->name;
        }
        if(isset($_POST['level-3']) && $_POST['level-3'] !="")
        {
            $trim             = $_POST['level-3'];
            $trim_id          = get_term_by('slug', $trim, 'mw-category');
            $varient_name     = $trim_id->name;
            $cat_levels[]     = $trim_id->term_id;
        }


        //all categories
        wp_set_object_terms($mw_id, $cat_levels, 'mw-category');
        update_post_meta($mw_id, 'mw_all_cats', $cat_levels);

        // Update the meta field in the database.
           update_post_meta($mw_id, 'mw_is_feature_listing', '0');

          update_post_meta($mw_id, 'mw_status', '1');
           //package settings
            //conditions
            wp_set_object_terms($mw_id, $conditions, 'mw-condition');
            update_post_meta($mw_id, 'mw_condition', $conditions);
            //year
            wp_set_object_terms($mw_id, $year, 'mw-year');
            update_post_meta($mw_id, 'mw_year', $year);
            //bodytype
            wp_set_object_terms($mw_id, $bodytype, 'mw-bodytype');
            update_post_meta($mw_id, 'mw_bodytype', $bodytype);
            //transmission
            wp_set_object_terms($mw_id, $transmission, 'mw-transmission');
            update_post_meta($mw_id, 'mw_transmission', $transmission);
            //fuel
            wp_set_object_terms($mw_id, $fuel, 'mw-fuel');
            update_post_meta($mw_id, 'mw_fueltype', $fuel);
        //number place
            update_post_meta($mw_id, 'mw_numberplate', $plate);
            //vin number
            update_post_meta($mw_id, 'mw_vin_number', $vin);
            //registration time
            update_post_meta($mw_id, 'mw_registration', $registration);
            //asking price
            update_post_meta($mw_id, 'mw_price', $price);
            //milage (km)
            update_post_meta($mw_id, 'mw_mileage', $mileage);
            //drive
            wp_set_object_terms($mw_id, $drive, 'mw-drive');
            update_post_meta($mw_id, 'mw_drive', $drive);
            //extrtior
            wp_set_object_terms($mw_id, $extrtior, 'mw-exterior-color');
            update_post_meta($mw_id, 'mw_extrtior', $extrtior);
            //interior
            wp_set_object_terms($mw_id, $interior, 'mw-interior-color');
            update_post_meta($mw_id, 'mw_interior', $interior);
            //keys
            update_post_meta($mw_id, 'mw_keys', $keys);
            //highway
            update_post_meta($mw_id, 'mw_highway', $highway);
            //city
            update_post_meta($mw_id, 'mw_city', $city);
            //enginesize
            update_post_meta($mw_id, 'mw_enginesize',$enginesize);
            //owners
            wp_set_object_terms($mw_id, $owners, 'mw-owners');
            update_post_meta($mw_id, 'mw_owners', $owners);
            //types/labels
            wp_set_object_terms($mw_id, $type, 'mw-Labels');
            update_post_meta($mw_id, 'mw_type', $type);
            update_post_meta( $mw_id, 'mw_gallery', $gallery);
            if(get_post_meta($mw_id, 'mw_gallery', true) !="")
            {
                $images_ids  = get_post_meta($mw_id, 'mw_gallery', true);
                $first_value = explode(',', $images_ids);
                $final_id   = array_shift($first_value);
                set_post_thumbnail($mw_id, $final_id);
            }
            update_post_meta($mw_id, 'mw_street_addr', $address);
            update_post_meta($mw_id, 'mw_latt', $latt);
            update_post_meta($mw_id, 'mw_long', $long);
            wp_set_object_terms($mw_id, maxwheels_framework_get_ancestors($location,'mw-location'), 'mw-location');
            update_post_meta($mw_id, 'mw_loc', $location);

    }
    public function maxwheels_framework_mw_load_scripts_styles()
    {

        if (maxwheels_framework_get_options('mw_opt_enable_map') == 1) {
            if (!empty(maxwheels_framework_get_options('mw_opt_map_selection')) && maxwheels_framework_get_options('mw_opt_map_selection') == "open_street") {
                wp_enqueue_style('dwt_admin_leaflet', MaxWheels_Plugin_Url . 'libs/css/leaflet.css');
                wp_enqueue_script('dwt_admin_leaflet_js', MaxWheels_Plugin_Url . 'libs/js/leaflet.js', false, false, true);
                wp_enqueue_script('dwt_admin_leaflet_search', MaxWheels_Plugin_Url . 'libs/js/leaflet-search.js', false, false, true);
            }
            if (!empty(maxwheels_framework_get_options('mw_opt_map_selection')) && maxwheels_framework_get_options('mw_opt_map_selection') == "google_map") {
                wp_enqueue_script("google-map", "//maps.googleapis.com/maps/api/js?v=3&libraries=places&key=AIzaSyBIIMCtAQw9VFVhzdRxDe9XROOGAqqY0ps", false, false, true);
            }
        }
        wp_enqueue_style( "admin-datepicker", MaxWheels_Plugin_Url  . "libs/css/datepicker.min.css" );
        wp_enqueue_script( 'admin-datepicker',  MaxWheels_Plugin_Url . 'libs/js/datepicker.min.js', false, false, true );
        wp_enqueue_script("jquery-ui-tabs");

    }
    public function maxwheels_framework_mw_add_admin_js()
    {
        ?>
        <script type="text/javascript">

            jQuery(document).ready(function($){
                "use strict";



                $('#tabs').tabs().addClass('ui-tabs-vertical ui-helper-clearfix');


                /*date picker*/
                $('.prop-datepicker').datepicker({
                    language: {
                        days: [admin_varible.Sunday, admin_varible.Monday, admin_varible.Tuesday, admin_varible.Wednesday, admin_varible.Thursday, admin_varible.Friday, admin_varible.Saturday],
                        daysShort: [admin_varible.Sun, admin_varible.Mon, admin_varible.Tue, admin_varible.Wed, admin_varible.Thu, admin_varible.Fri, admin_varible.Sat],
                        daysMin: [admin_varible.Su, admin_varible.Mo, admin_varible.Tu, admin_varible.We, admin_varible.Th, admin_varible.Fr, admin_varible.Sa],
                        months: [admin_varible.January,admin_varible.February,admin_varible.March,admin_varible.April,admin_varible.May,admin_varible.June, admin_varible.July,admin_varible.August,admin_varible.September,admin_varible.October,admin_varible.November,admin_varible.December],
                        monthsShort: [admin_varible.Jan, admin_varible.Feb, admin_varible.Mar, admin_varible.Apr, admin_varible.May, admin_varible.Jun, admin_varible.Jul, admin_varible.Aug, admin_varible.Sep, admin_varible.Oct, admin_varible.Nov, admin_varible.Dec],
                        today: admin_varible.Today,
                        clear: admin_varible.Clear,
                    },
                    timepicker: false
                });

                var chk_container =  document.getElementById('mw_map');
                /*For geo api*/
                var ip_type =  admin_varible.is_geo_api;
                var goe_ip_type =  admin_varible.geo_api_type;
                if(typeof ip_type != 'undefined' && ip_type == 1 && goe_ip_type != 'undefined' && goe_ip_type != '')
                {
                    $('.get-loc  i.detect-me').on('click', function(e) {
                        e.preventDefault();
                        if(goe_ip_type == "geo_ip")
                        {
                            $.getJSON('//geoip-db.com/json/geoip.php?jsonp=?') .done (function(location){
                                $("#mw_address").val(location.city + ", " + location.country_name );
                                if(typeof document.getElementById('mw_latt') != 'undefined')
                                {
                                    document.getElementById('mw_latt').value = location.latitude;
                                    document.getElementById('mw_long').value = location.longitude;
                                }
                                if(admin_varible.is_map_enabled == 1  && admin_varible.map_type != ''  && admin_varible.map_type == 'open_street')
                                {
                                    mymap.setView(new L.LatLng(location.latitude, location.longitude), 13);
                                    markerz.setLatLng([location.latitude, location.longitude]);
                                }
                                if(admin_varible.is_map_enabled == 1  && admin_varible.map_type != ''  && admin_varible.map_type == 'google_map')
                                {
                                    places_google_map(location.latitude,location.longitude);
                                }
                                $('.get-loc i.detect-me').fadeOut('slow');
                            });
                        }
                        else
                        {
                            $.get("//ipapi.co/json", function(location) {
                                $("#mw_address").val(location.city + ", " + location.country_name );
                                document.getElementById('mw_latt').value = location.latitude;
                                document.getElementById('mw_long').value = location.longitude;
                                if(admin_varible.is_map_enabled == 1  && admin_varible.map_type != ''  && admin_varible.map_type == 'open_street')
                                {
                                    mymap.setView(new L.LatLng(location.latitude, location.longitude), 13);
                                    markerz.setLatLng([location.latitude, location.longitude]);
                                }
                                if(admin_varible.is_map_enabled == 1  && admin_varible.map_type != ''  && admin_varible.map_type == 'google_map')
                                {
                                    places_google_map(location.latitude,location.longitude);
                                }
                                $('.get-loc i.detect-me').fadeOut('slow');
                            }, "json");
                        }
                    });
                }

                //alert(admin_varible.is_map_enabled);
                if (typeof(chk_container) != 'undefined' && chk_container != null && admin_varible.is_map_enabled == 1)
                {
                    if($('#mw_latt').val() !="" && $('#mw_long').val())
                    {
                        var map_lat =  $('#mw_latt').val();
                        var map_long =  $('#mw_long').val();
                    }
                    else
                    {
                        var map_lat =  admin_varible.map_latt;
                        var map_long = admin_varible.map_long;
                    }
                    if(admin_varible.map_type == 'open_street')
                    {
                        var mymap = L.map(chk_container).setView([map_lat,map_long], 13);


                        $('a[href="#b"]').on( "click", function() {
                            mymap.invalidateSize();
                        });

                        L.tileLayer('//{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
                            maxZoom: 18,
                        }).addTo(mymap);
                        var custom_icon = L.icon({
                            iconUrl: admin_varible.p_path+'libs/images/map-marker.png',
                            iconSize: [50, 50],
                        });
                        var markerz = L.marker([map_lat,map_long],{draggable: true,icon: custom_icon}).addTo(mymap);
                        var searchControl 	=	new L.Control.Search({
                            url: '//nominatim.openstreetmap.org/search?format=json&q={s}',
                            jsonpParam: 'json_callback',
                            propertyName: 'display_name',
                            propertyLoc: ['lat','lon'],
                            marker: markerz,
                            autoCollapse: true,
                            autoType: true,
                            minLength: 2,
                            initial: false,
                            collapsed: false
                        });
                        searchControl.on('search:locationfound', function(obj) {
                            var lt	=	obj.latlng + '';
                            var res = lt.split( "LatLng(" );
                            res = res[1].split( ")" );
                            res = res[0].split( "," );
                            document.getElementById('mw_latt').value = res[0];
                            document.getElementById('mw_long').value = res[1];
                        });
                        mymap.addControl( searchControl );
                        markerz.on('dragend', function (e) {
                            document.getElementById('mw_latt').value = markerz.getLatLng().lat;
                            document.getElementById('mw_long').value = markerz.getLatLng().lng;
                        });

                    }
                    if(admin_varible.map_type == 'google_map')
                    {
                        google.maps.event.addDomListener(window, 'load', places_google_map(map_lat,map_long));
                    }
                }
                function places_google_map(map_lat,map_long)
                {
                    var map_center_positionr = new google.maps.LatLng(map_lat,map_long);
                    var mapOptions = {
                        zoom: 13,
                        center: map_center_positionr,
                        disableDefaultUI: false
                    };
                    var map = new google.maps.Map(chk_container, mapOptions);
                    var get_markers = new google.maps.Marker({
                        position: map_center_positionr,
                        map: map,
                        icon: admin_varible.p_path+'libs/images/map-marker.png',
                        labelAnchor: new google.maps.Point(1, 1),
                        draggable: true,
                    });
                    google.maps.event.addListener(get_markers, "mouseup", function (event) {
                        var latitude = this.position.lat();
                        var longitude = this.position.lng();
                        $('#mw_latt').val( this.position.lat() );
                        $('#mw_long').val( this.position.lng() );
                    });
                    var places_input =  document.getElementById('mw_address');
                    var autocomplete = new google.maps.places.Autocomplete(places_input);
                    autocomplete.bindTo('bounds', map);
                    google.maps.event.addListener(autocomplete, 'place_changed', function() {
                        var fetch_places = autocomplete.getPlace();
                        //console.log(fetch_places);
                        if (!fetch_places.geometry) {
                            return;
                        }
                        if (fetch_places.geometry.viewport) {
                            map.fitBounds(fetch_places.geometry.viewport);
                        } else {
                            map.setCenter(fetch_places.geometry.location);
                            map.setZoom(13);
                        }
                        get_markers.setPosition(fetch_places.geometry.location);
                        get_markers.setVisible(true);
                        $('#mw_latt').val( get_markers.getPosition().lat() );
                        $('#mw_long').val( get_markers.getPosition().lng() );
                    });
                }

                /*property gallery here*/
                var mw_gallery_frame;
                $('#custom_gallery_btn').on('click', function(e){
                    if ( mw_gallery_frame ) {
                        mw_gallery_frame.open();
                        return;
                    }
                    mw_gallery_frame = wp.media.frames.mw_gallery_frame = wp.media({
                        title: admin_varible.select_imgz,
                        library: { type: ['image/jpeg', 'image/png', 'image/gif'] },
                        multiple: true
                    });
                    mw_gallery_frame.states.add([
                        new wp.media.controller.Library({
                            library:    wp.media.query( mw_gallery_frame.options.library ),
                            multiple:   mw_gallery_frame.options.multiple ? 'reset' : false,
                            editable:   true,
                            allowLocalEdits: true,
                            displaySettings: true,
                            displayUserSettings: true
                        }),
                    ]);
                    var idsArray;
                    var attachment;
                    mw_gallery_frame.on('open', function() {
                        var selection = mw_gallery_frame.state().get('selection');
                        var library = mw_gallery_frame.state('gallery-edit').get('library');
                        var ids = $('#selected_imgz_idz').val();
                        if (ids) {
                            idsArray = ids.split(',');
                            idsArray.forEach(function(id)
                            {
                                attachment = wp.media.attachment(id)
                                ;
                                attachment.fetch();
                                selection.add( attachment ? [ attachment ] : [] );
                            });
                        }
                    });
                    var images;
                    mw_gallery_frame.on('select', function() {
                        var imageIDArray = [];
                        var imageHTML = '';
                        var metadataString = '';
                        images = mw_gallery_frame.state().get('selection');
                        imageHTML += '<ul class="custom-meta-gallery">';
                        images.each(function(attachment) {
                            console.debug(attachment.attributes);
                            imageIDArray.push(attachment.attributes.id);
                            if (typeof attachment.attributes.sizes.thumbnail === 'undefined') {
                                imageHTML += '<li><div class="custom-meta-gallery_container"><span class="custom-gallery-del"><img id="'+attachment.attributes.id+'" src="'+attachment.attributes.url+'"></span></div></li>';
                            }
                            else
                            {
                                imageHTML += '<li><div class="custom-meta-gallery_container"><span class="custom-gallery-del"><img id="'+attachment.attributes.id+'" src="'+attachment.attributes.sizes.thumbnail.url+'"></span></div></li>';
                            }
                        });
                        imageHTML += '</ul>';
                        metadataString = imageIDArray.join(",");
                        if (metadataString) {
                            $("#selected_imgz_idz").val(metadataString);
                            $("#selected_imgz_html_render").html(imageHTML);
                        }
                    });
                    mw_gallery_frame.open();
                });

                $(document.body).on('click', '.custom-gallery-del', function(e){
                    e.preventDefault();
                    if (confirm(admin_varible.img_del))
                    {
                        var removedImage = $(this).children('img').attr('id');
                        var oldGallery = $("#selected_imgz_idz").val();
                        var newGallery = oldGallery.replace(','+removedImage,'').replace(removedImage+',','').replace(removedImage,'');
                        $(this).parents().eq(1).remove();
                        $("#selected_imgz_idz").val(newGallery);
                    }
                });


            });
        </script>
        <?php
    }
}

new real_mw_submission();
// Custom fields to this post type
add_filter('manage_mx-listings_posts_columns', 'maxwheels_framework_edit_mw_table');
function maxwheels_framework_edit_mw_table($columns)
{
    //return print_r($columns);
    unset($columns['taxonomy-mw-features']);
    unset($columns['taxonomy-mw_feature']);
    unset($columns['taxonomy-mw_area_unit']);
    unset($columns['taxonomy-mw_type']);
    $columns['mw_thumb'] = esc_html__('Thumbnail', 'maxwheels-framework');
    $new = array();
    foreach ($columns as $key => $title) {
        if ($key == 'title') {
            $new['mw_thumb'] = esc_html__('Thumbnail', 'maxwheels-framework');
        }
        $new[$key] = $title;
    }
    //print_r($new);
    return $new;
}

// Add the data to the custom columns for the post type:
add_action('manage_mx-listings_posts_custom_column', 'maxwheels_framework_render_mw_table', 10, 2);
function maxwheels_framework_render_mw_table($column, $post_id)
{
    switch ($column) {
        case 'mw_thumb':
            $all_idz = '';
            $all_idz = maxwheels_framework_fetch_gallery_idz($post_id);
            echo '<img src="' . maxwheels_framework_img_src($all_idz, 'thumbnail') . '">';
            break;

    }
}

//Mark As Featured
class mw_meta_boxes_for_featured
{

    public function __construct()
    {
        if (is_admin()) {
            add_action('load-post.php', array($this, 'init_metabox1'));
            add_action('load-post-new.php', array($this, 'init_metabox1'));
        }
    }

    public function init_metabox1()
    {
        add_action('add_meta_boxes', array($this, 'add_metabox_featured'));
        add_action('add_meta_boxes',array($this, 'max_framework_ad_meta_box') );
        add_action('save_post', array($this, 'save_metabox_featured'), 10, 2);
    }

    public function add_metabox_featured()
    {
        add_meta_box(
            'listing_mark_featured', __('Mark Listing As Featured', 'maxwheels-framework'), array($this, 'render_metabox_featured'), 'property', 'side', 'high'
        );
    }

    public function max_framework_ad_meta_box(){
        add_meta_box('max_framework_themes_metaboxes_for_ad', __('Assign Listing User', 'redux-framework'),array($this, 'sb_render_meta_for_ads') , 'mx-listings', 'normal', 'high');
    }

    public function render_metabox_featured($post)
    {
        // Add nonce for security and authentication.
        wp_nonce_field('listing_nonce_action1', 'listing_nonce1');
        $mw_id = $post->ID;
        $class_featured = 'none';
        $expiry_date = $author_id = '';
        $checkedz = 0;
        if (get_post_meta($mw_id, 'mw_is_feature_listing', true) != "" && get_post_meta($mw_id, 'mw_is_feature_listing', true) == 1) {
            $checkedz = 1;
            $class_featured = '';
        } else {
            $checkedz = 0;
        }
        $author_id = 1;
        $expiry_date = get_post_meta($mw_id, 'mw_feature_listing_for', true);
        // Form fields.
        echo '<table class="form-table"><tr>
				<td>
				<p class="description">' . esc_html__('Do you want to make this listing as featured!', 'maxwheels-framework') . '</p>
				<ul class="admin-ul for-featured">
					<li>
						<input id="not" class="custom-checkbox"  name="make_listing_featured"  value="0"  ' . checked(0, $checkedz, false) . '  type="radio">
						<label for="not"> ' . esc_html__('No', 'maxwheels-framework') . '</label>
					</li>
					<li>
						<input id="open" class="custom-checkbox"  name="make_listing_featured" value="1" ' . checked(1, $checkedz, false) . '  type="radio">
						<label for="open"> ' . esc_html__('Yes', 'maxwheels-framework') . '</label>
					</li>
				</ul>
					<div id="featured-for" class="' . $class_featured . '">
						<label class="claimer_contact_label">' . esc_html__('Featured For', 'maxwheels-framework') . '</label><br><br>
						<input type="text" id="featured_for_days" value="' . $expiry_date . '" name="featured_for_days">
						<p class="description">' . esc_html__('Expiry in days, -1 means never expired.', 'maxwheels-framework') . '</p>
						<strong><p class="description">' . esc_html__('Eg 20.', 'maxwheels-framework') . '</p></strong>
					</div>
				</td>
			</tr>
		</table>';
    }
    public function sb_render_meta_for_ads($post)
    {
        // We'll use this nonce field later on when saving.
        wp_nonce_field('my_meta_box_nonce_ad', 'meta_box_nonce_product');
        if ('mx-listings' != $post->post_type) {
            return;
        }

        ?>
        <div class="margin_top">
            <p><?php echo __('Select Author', 'redux-framework'); ?></p>
            <select name="sb_change_author" style="width:100%; height:40px;">
                <?php
                $users = get_users(array('fields' => array('display_name', 'ID', 'user_email')));
                if (isset($users) && is_array($users)) {
                    foreach ($users as $user) {
                        echo '<span>' . esc_html($user->display_name) . '</span>';
                        ?>
                        <option value="<?php echo esc_attr($user->ID); ?>" <?php if ($post->post_author == $user->ID) echo 'selected'; ?>>
                            <?php echo esc_html($user->display_name) . " - " . esc_html($user->user_email); ?>
                        </option>
                        <?php
                    }
                }
                ?>
            </select>
        </div>
        <?php

    }




    public function save_metabox_featured($post_id, $post)
    {
        // Add nonce for security and authentication.
        $nonce_name = (isset($_POST['listing_nonce1'])) ? $_POST['listing_nonce1'] : ' ';
        $nonce_action = 'listing_nonce_action1';
        $mw_id = $post_id;

        // Check if a nonce is set.
        if (!isset($nonce_name))
            return;

        // Check if a nonce is valid.
        if (!wp_verify_nonce($nonce_name, $nonce_action))
            return;

        // Check if the user has permissions to save data.
        if (!current_user_can('edit_post', $mw_id))
            return;

        // Check if it's not an autosave.
        if (wp_is_post_autosave($mw_id))
            return;

        // Check if it's not a revision.
        if (wp_is_post_revision($mw_id))
            return;
        // Sanitize user input.
        $is_featurez = isset($_POST['make_listing_featured']) ? sanitize_text_field($_POST['make_listing_featured']) : '';
        $is_featurez_days = isset($_POST['featured_for_days']) ? sanitize_text_field($_POST['featured_for_days']) : '';
        if (!empty($is_featurez) && $is_featurez == 1 && $is_featurez_days != "") {
            if (isset($is_featurez_days) && $is_featurez_days != "" && $is_featurez_days != "0" && $is_featurez_days == '-1') {
                update_post_meta($mw_id, 'mw_feature_listing_for', $is_featurez_days);
            } else {
                $now = date('Y-m-d');
                $date = date_create($now);
                date_add($date, date_interval_create_from_date_string("$is_featurez_days days"));
                $featured_listing_exp_date = date_format($date, "Y-m-d");
                update_post_meta($mw_id, 'mw_feature_listing_for', $featured_listing_exp_date);
            }
            update_post_meta($mw_id, 'mw_is_feature_listing', 1);
            if (get_post_meta($mw_id, 'mw_feature_listing_date', true) != "") {
            } else {
                update_post_meta($mw_id, 'mw_feature_listing_date', date('Y-m-d'));
            }

        } else {
            update_post_meta($mw_id, 'mw_is_feature_listing', 0);
        }

    }
}

new mw_meta_boxes_for_featured;


add_action('save_post', 'maxwheels_framework_mw_save_metabox_author', 10, 2);

function maxwheels_framework_mw_save_metabox_author($post_id){

    if ('mx-listings' == get_post_type($post_id)) {

        if (isset($_POST['sb_change_author'])) {
            $my_post = array(
                'ID' => $post_id,
                'post_type' => 'mx-listings',
                'post_author' => $_POST['sb_change_author'],
            );
            $posted_id = get_user_meta($_POST['sb_change_author'], 'mw_post_id', true);
            remove_action('save_post', 'maxwheels_framework_mw_save_metabox_author', 10, 2);
            update_user_meta($_POST['sb_change_author'], 'mw_post_id', $posted_id);
            wp_update_post($my_post);
            add_action('save_post', 'maxwheels_framework_mw_save_metabox_author', 10, 2);

        }
    }
}