<?php
//Profile Detial Style 1
class GenerateWP_Listing_Widget extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mw_detial_style1',
			__( 'Listing Detial Profile Style 1', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$mw_test_drive_btn = apply_filters('widget_title', empty($instance['mw_test_drive_btn']) ? '' : $instance['mw_test_drive_btn'], $instance, $this->id_base);
		$mw_show_test_btn  = apply_filters('widget_text', empty($instance['mw_show_test_btn']) ? '' : $instance['mw_show_test_btn'], $instance, $this->id_base);
		$mw_show_offer_btn  = apply_filters('widget_text', empty($instance['mw_show_offer_btn']) ? '' : $instance['mw_show_offer_btn'], $instance, $this->id_base);
		$mw_offer_btn  = apply_filters('widget_text', empty($instance['mw_offer_btn']) ? '' : $instance['mw_offer_btn'], $instance, $this->id_base);
		$mw_show_number  = apply_filters('widget_text', empty($instance['mw_show_number']) ? '' : $instance['mw_show_number'], $instance, $this->id_base);
		//echo $args['before_widget'];
		if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
		{
			$ratings = $type = $posted_id  = $post_author_id = $image_id = '';
			global $localization;
			$allowed_html = maxwheels_allowed_html();
			$mw_id = get_the_ID();
			$post_author_id = get_post_field('post_author', $mw_id);
			$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
			$type 			= get_user_meta($post_author_id, 'user_role_type', true);
			$contact_info = esc_html__('Contact Seller','maxwheels-framework');
			if($type == 'dealer')
			{
				$contact_info = esc_html__('Contact Dealer','maxwheels-framework');
				$ratings = maxwheels_reviews_stats_average($posted_id,'mw-dealer','dealer');
			}
			$remove_extra = '';
			if($mw_show_number == 'no')
			{
				$remove_extra = 'remove_extra';
			}
        ?>
		<div class="single-widget">
		<div class="sing-car-seller-box <?php echo esc_attr($remove_extra); ?>">
			<div class="single-seller-content">
				<div class="pointer"><?php echo maxwheels_framework_fetch_price($mw_id); ?></div>
				<div class="single-seller-ofer">
					<p>Make Offer</p>
				</div>
				</div>
				<?php if($mw_show_number == 'yes') { ?>
					<div class="single-sller">
						<div class="single-seller-icons">
							<img src="<?php echo trailingslashit( get_template_directory_uri () ) . "libs/images/phone-call.png"; ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid">
						</div>
						<div class="single-seller-detail ">
							<h3><?php echo maxwheels_strings_allow_html($contact_info); ?></h3>
							<p class="mw-show-phone" data-tel="<?php echo esc_attr(get_post_meta($posted_id, $type.'_mobile', true )); ?>"><a href="javascript:void(0)"><?php echo esc_html__('Show Number','maxwheels-framework'); ?></a></p>
						</div>
					</div>
				<?php } ?>
				<div class="single-img-logo <?php echo esc_attr($type); ?>">
				<a href="<?php echo esc_url(get_the_permalink($posted_id)); ?>"><img src="<?php echo esc_url(maxwheels_placeholder_images($type,$posted_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid"></a>
			</div>					
		</div>
		<div class="prof-1 single-user-detail">																	
			<div class="single-3-details-rating">
				<?php if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0) { ?>
					<span class="ratings"> <?php echo wp_kses($ratings['total_stars'],$allowed_html) ; ?><span class="rating-counter"> <?php echo wp_sprintf(esc_html__('(%s Reviews)', 'maxwheels-framework'), $ratings['rated_no_of_times']); ?></span></span>
				<?php } ?>
				<h3><a href="<?php echo esc_url(get_the_permalink($posted_id)); ?>"><?php echo get_the_title($posted_id); ?></a></h3>
				<p class="review_time"><?php echo esc_html($localization['member_since']); ?>: <?php echo maxwheels_user_timeago($post_author_id); ?> </p>
				<?php if($mw_show_test_btn == 'yes') { ?>
				<button type="button" data-bs-toggle="modal"   data-bs-target="#mw-schedule-offer" class="color-custom-3 btn btn-theme"><svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M13 19.92c1.8-.22 3.35-.97 4.65-2.27c1.3-1.3 2.05-2.85 2.27-4.65h-3c-.22 1-.68 1.84-1.38 2.54c-.7.7-1.54 1.16-2.54 1.38v3M10 8h4l3 3h2.92c-.25-1.95-1.13-3.62-2.65-5C15.76 4.66 14 4 12 4c-2 0-3.76.66-5.27 2c-1.52 1.38-2.4 3.05-2.65 5H7l3-3m1 11.92v-3c-1-.22-1.84-.68-2.54-1.38c-.7-.7-1.16-1.54-1.38-2.54h-3c.22 1.77.97 3.3 2.27 4.6c1.3 1.3 2.85 2.07 4.65 2.32M12 2c2.75 0 5.1 1 7.05 2.95C21 6.9 22 9.25 22 12s-1 5.1-2.95 7.05C17.1 21 14.75 22 12 22s-5.1-1-7.05-2.95C3 17.1 2 14.75 2 12s1-5.1 2.95-7.05C6.9 3 9.25 2 12 2z" fill="#626262"/></svg><?php echo esc_html($mw_test_drive_btn); ?></button>
			    <?php } ?>
				<?php if($mw_show_offer_btn == "yes") { ?>
				<button type="button" class="btn btn-theme" data-bs-toggle="modal"  data-bs-target="#mw-make-offer"><svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M21.41 11.58l-9-9C12.05 2.22 11.55 2 11 2H4c-1.1 0-2 .9-2 2v7c0 .55.22 1.05.59 1.42l9 9c.36.36.86.58 1.41.58s1.05-.22 1.41-.59l7-7c.37-.36.59-.86.59-1.41s-.23-1.06-.59-1.42zM13 20.01L4 11V4h7v-.01l9 9l-7 7.02z" fill="#626262"/><circle cx="6.5" cy="6.5" r="1.5" fill="#626262"/></svg><?php echo esc_html($mw_offer_btn); ?></button>
				<?php } ?>
			</div>																																										
		</div>
			</div>
        <?php
		}
	//	echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_show_test_btn' => '',
			'mw_test_drive_btn' => '',
			'mw_show_offer_btn' => '',
			'mw_offer_btn' => '',
			'mw_show_number' => '',
		) );
		$mw_test_drive_btn = !empty( $instance['mw_test_drive_btn'] ) ? $instance['mw_test_drive_btn'] :  esc_html__('Schedule Test Drive','maxwheels-framework');
		$mw_show_offer_btn = !empty( $instance['mw_show_offer_btn'] ) ? $instance['mw_show_offer_btn'] : '';
		$mw_show_test_btn = !empty( $instance['mw_show_test_btn'] ) ? $instance['mw_show_test_btn'] : '';
		$mw_offer_btn = !empty( $instance['mw_offer_btn'] ) ? $instance['mw_offer_btn'] : esc_html__('Make an Offer Price','maxwheels-framework');
		$mw_show_number = !empty( $instance['mw_show_number'] ) ? $instance['mw_show_number'] : 'yes';
		$hide_class_1 =$hide_class = '';
		if($mw_show_test_btn == 'no')
		{
			$hide_class = 'mw-hide';
		}
		if( $mw_show_offer_btn == 'no')
		{
			$hide_class_1 = 'mw-hide-1';
		}
		?>
		<script type="text/javascript">
			jQuery(document).ready(function($) { 
				$(document).on('change','.is_show_text_drive_btn',function(){
					if ( this.value == 'yes')
					 {
						$('.show_d_btn').show();
					 }
					 else
					 {
						$('.show_d_btn').hide();
					 };  
				});
				$(document).on('change','.is_show_text_offer_btn',function(){
					if ( this.value == 'yes')
					 {
						$('.show_offer_btn').show();
					 }
					 else
					 {
						$('.show_offer_btn').hide();
					 };  
				});
			}); 
		</script>

<?php

		
		echo "<div class='wd-pre'><label>". __( 'Widget Preview', 'maxwheels-framework' ) . "</label>
			<img class='wid-100' src=".MaxWheels_Theme_Url.'libs/images/options/profile-1.png'."></div>";
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_test_btn' ) . '" class="mw_widget_test_label">' . __( 'Show Test Drive Button', 'maxwheels-framework' ) . '</label>';
		echo '	<select  name="' . $this->get_field_name( 'mw_show_test_btn' ) . '" class="widefat is_show_text_drive_btn">';
		echo '		<option value="yes" ' . selected( $mw_show_test_btn, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_test_btn, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p  class="show_d_btn '.esc_attr($hide_class).'">';
		echo '	<label for="' . $this->get_field_id( 'mw_test_drive_btn' ) . '" class="mw_widget_title_label">' . __( 'Test Drive Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_test_drive_btn' ) . '" name="' . $this->get_field_name( 'mw_test_drive_btn' ) . '" class="widefat"  value="' . esc_attr( $mw_test_drive_btn ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_offer_btn' ) . '" class="mw_widget_states_label">' . __( 'Show Make An Offer Button', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_offer_btn' ) . '" name="' . $this->get_field_name( 'mw_show_offer_btn' ) . '" class="widefat is_show_text_offer_btn">';
		echo '		<option value="yes" ' . selected( $mw_show_offer_btn, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_offer_btn, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p  class="show_offer_btn '.esc_attr($hide_class_1).'">';
		echo '	<label for="' . $this->get_field_id( 'mw_offer_btn' ) . '" class="mw_widget_offer_label">' . __( 'Offer Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_offer_btn' ) . '" name="' . $this->get_field_name( 'mw_offer_btn' ) . '" class="widefat"  value="' . esc_attr( $mw_offer_btn ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_number' ) . '">' . __( 'Show Contact Number', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_number' ) . '" name="' . $this->get_field_name( 'mw_show_number' ) . '" class="widefat">';
		echo '		<option value="yes" ' . selected( $mw_show_number, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_number, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_show_test_btn'] = !empty( $new_instance['mw_show_test_btn'] ) ? strip_tags( $new_instance['mw_show_test_btn'] ) : '';
		$instance['mw_test_drive_btn'] = !empty( $new_instance['mw_test_drive_btn'] ) ? strip_tags( $new_instance['mw_test_drive_btn'] ) : '';
		$instance['mw_show_offer_btn'] = !empty( $new_instance['mw_show_offer_btn'] ) ? strip_tags( $new_instance['mw_show_offer_btn'] ) : '';
		$instance['mw_offer_btn'] = !empty( $new_instance['mw_offer_btn'] ) ? strip_tags( $new_instance['mw_offer_btn'] ) : '';
		$instance['mw_show_number'] = !empty( $new_instance['mw_show_number'] ) ? strip_tags( $new_instance['mw_show_number'] ) : '';
		return $instance;

	}
}
function register_listing_widgets_profile() {
	register_widget( 'GenerateWP_Listing_Widget' );
}
add_action( 'widgets_init', 'register_listing_widgets_profile' );

//Profile Detial Style 2
class GenerateWP_Listing_Widget_Profile2 extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mw_detial_style2',
			__( 'Listing Detial Profile Style 2', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}
	public function widget( $args, $instance )
    {
		$mw_test_drive_btn = apply_filters('widget_title', empty($instance['mw_test_drive_btn']) ? '' : $instance['mw_test_drive_btn'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
		$mw_show_test_btn  = apply_filters('widget_text', empty($instance['mw_show_test_btn']) ? '' : $instance['mw_show_test_btn'], $instance, $this->id_base);
		$mw_show_offer_btn  = apply_filters('widget_text', empty($instance['mw_show_offer_btn']) ? '' : $instance['mw_show_offer_btn'], $instance, $this->id_base);
		$mw_offer_btn  = apply_filters('widget_text', empty($instance['mw_offer_btn']) ? '' : $instance['mw_offer_btn'], $instance, $this->id_base);
		$mw_show_number  = apply_filters('widget_text', empty($instance['mw_show_number']) ? '' : $instance['mw_show_number'], $instance, $this->id_base);
		//echo $args['before_widget'];
		if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
		{
			$ratings = $type = $posted_id  = $post_author_id = $image_id = '';
			global $localization;
			$allowed_html = maxwheels_allowed_html();
			$mw_id = get_the_ID();
			$post_author_id = get_post_field('post_author', $mw_id);
			$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
			$type 			= get_user_meta($post_author_id, 'user_role_type', true);
			$contact_info = esc_html__('Contact Seller','maxwheels-framework');
			if($type == 'dealer')
			{
				$contact_info = esc_html__('Contact Dealer','maxwheels-framework');
				$ratings = maxwheels_reviews_stats_average($posted_id,'mw-dealer','dealer');
			}
			$remove_extra = '';
			if($mw_show_number == 'no')
			{
				$remove_extra = 'remove_extra';
			}
			$style2 = 'rem-extra';
			if($mw_show_test_btn == 'yes')
			{
				$style2 = '';
			}
        ?>
		<div class="single-widget mb-0">
			<div class="sing-car-seller-box <?php echo esc_attr($style2); ?> <?php echo esc_attr($remove_extra); ?>">
				<div class="single-seller-content">
					<div class="pointer"><?php echo maxwheels_framework_fetch_price($mw_id); ?></div>
					<?php if($mw_show_offer_btn == "yes") { ?>
					<div class="single-seller-ofer">
						<p><a href="javascript:void(0)" data-bs-toggle="modal"  data-bs-target="#mw-make-offer"><svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M21.41 11.58l-9-9C12.05 2.22 11.55 2 11 2H4c-1.1 0-2 .9-2 2v7c0 .55.22 1.05.59 1.42l9 9c.36.36.86.58 1.41.58s1.05-.22 1.41-.59l7-7c.37-.36.59-.86.59-1.41s-.23-1.06-.59-1.42zM13 20.01L4 11V4h7v-.01l9 9l-7 7.02z" fill="#fff"/><circle cx="6.5" cy="6.5" r="1.5" fill="#fff"/></svg><?php echo esc_html($mw_offer_btn); ?></a></p>
					</div>
					<?php } ?>
					</div>				
					<?php if($mw_show_number == 'yes') { ?>
					<div class="single-sller">
						<div class="single-seller-icons">
							<img src="<?php echo trailingslashit( get_template_directory_uri () ) . "libs/images/phone-call.png"; ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid">
						</div>
						<div class="single-seller-detail ">
							<h3><?php echo maxwheels_strings_allow_html($contact_info); ?></h3>
							<p class="mw-show-phone" data-tel="<?php echo esc_attr(get_post_meta($posted_id, $type.'_mobile', true )); ?>"><a href="javascript:void(0)"><?php echo esc_html__('Show Number','maxwheels-framework'); ?></a></p>
						</div>
					</div>
				<?php } ?>
				<?php if($mw_show_test_btn == 'yes') { ?>
					<div class="single-car-schedule">
						<a href="javascript:void(0)" data-bs-toggle="modal"  data-bs-target="#mw-schedule-offer" class="color-custom-3"><svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><g class="icon-tabler single-svg" fill="none" stroke="#626262" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><circle cx="12" cy="12" r="9"></circle><circle cx="12" cy="12" r="2"></circle><path d="M12 14v7"></path><path d="M10 12l-6.75-2"></path><path d="M14 12l6.75-2"></path></g></svg><?php echo esc_html($mw_test_drive_btn); ?></a>
					</div>
				<?php } ?>
				</div>
			</div>
        <?php
		}
	//	echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_show_test_btn' => '',
			'mw_test_drive_btn' => '',
			'mw_show_offer_btn' => '',
			'mw_offer_btn' => '',
			'mw_show_number' => '',
		) );
		$mw_test_drive_btn = !empty( $instance['mw_test_drive_btn'] ) ? $instance['mw_test_drive_btn'] :  esc_html__('Schedule Test Drive','maxwheels-framework');
		$mw_show_offer_btn = !empty( $instance['mw_show_offer_btn'] ) ? $instance['mw_show_offer_btn'] : '';
		$mw_show_test_btn = !empty( $instance['mw_show_test_btn'] ) ? $instance['mw_show_test_btn'] : '';
		$mw_offer_btn = !empty( $instance['mw_offer_btn'] ) ? $instance['mw_offer_btn'] : esc_html__('Make an Offer Price','maxwheels-framework');
		$mw_show_number = !empty( $instance['mw_show_number'] ) ? $instance['mw_show_number'] : 'yes';
		$hide_class_1 =$hide_class = '';
		if($mw_show_test_btn == 'no')
		{
			$hide_class = 'mw-hide';
		}
		if( $mw_show_offer_btn == 'no')
		{
			$hide_class_1 = 'mw-hide-1';
		}
		?>
		<script type="text/javascript">
			jQuery(document).ready(function($) { 
				$(document).on('change','.is_show_text_drive_btn',function(){
					if ( this.value == 'yes')
					 {
						$('.show_d_btn').show();
					 }
					 else
					 {
						$('.show_d_btn').hide();
					 };  
				});
				$(document).on('change','.is_show_text_offer_btn',function(){
					if ( this.value == 'yes')
					 {
						$('.show_offer_btn').show();
					 }
					 else
					 {
						$('.show_offer_btn').hide();
					 };  
				});
			}); 
		</script>

<?php
		echo "<div class='wd-pre'><label>". __( 'Widget Preview', 'maxwheels-framework' ) . "</label>
			<img class='wid-100' src=".MaxWheels_Theme_Url.'libs/images/options/profile-2.png'."></div>";
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_test_btn' ) . '" class="mw_widget_test_label">' . __( 'Show Test Drive Button', 'maxwheels-framework' ) . '</label>';
		echo '	<select  name="' . $this->get_field_name( 'mw_show_test_btn' ) . '" class="widefat is_show_text_drive_btn">';
		echo '		<option value="yes" ' . selected( $mw_show_test_btn, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_test_btn, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p  class="show_d_btn '.esc_attr($hide_class).'">';
		echo '	<label for="' . $this->get_field_id( 'mw_test_drive_btn' ) . '" class="mw_widget_title_label">' . __( 'Test Drive Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_test_drive_btn' ) . '" name="' . $this->get_field_name( 'mw_test_drive_btn' ) . '" class="widefat"  value="' . esc_attr( $mw_test_drive_btn ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_offer_btn' ) . '" class="mw_widget_states_label">' . __( 'Show Make An Offer Button', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_offer_btn' ) . '" name="' . $this->get_field_name( 'mw_show_offer_btn' ) . '" class="widefat is_show_text_offer_btn">';
		echo '		<option value="yes" ' . selected( $mw_show_offer_btn, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_offer_btn, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p  class="show_offer_btn '.esc_attr($hide_class_1).'">';
		echo '	<label for="' . $this->get_field_id( 'mw_offer_btn' ) . '" class="mw_widget_offer_label">' . __( 'Offer Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_offer_btn' ) . '" name="' . $this->get_field_name( 'mw_offer_btn' ) . '" class="widefat"  value="' . esc_attr( $mw_offer_btn ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_number' ) . '">' . __( 'Show Contact Number', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_number' ) . '" name="' . $this->get_field_name( 'mw_show_number' ) . '" class="widefat is_show_number">';
		echo '		<option value="yes" ' . selected( $mw_show_number, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_number, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_show_test_btn'] = !empty( $new_instance['mw_show_test_btn'] ) ? strip_tags( $new_instance['mw_show_test_btn'] ) : '';
		$instance['mw_test_drive_btn'] = !empty( $new_instance['mw_test_drive_btn'] ) ? strip_tags( $new_instance['mw_test_drive_btn'] ) : '';
		$instance['mw_show_offer_btn'] = !empty( $new_instance['mw_show_offer_btn'] ) ? strip_tags( $new_instance['mw_show_offer_btn'] ) : '';
		$instance['mw_offer_btn'] = !empty( $new_instance['mw_offer_btn'] ) ? strip_tags( $new_instance['mw_offer_btn'] ) : '';
		$instance['mw_show_number'] = !empty( $new_instance['mw_show_number'] ) ? strip_tags( $new_instance['mw_show_number'] ) : '';
		return $instance;

	}
}
function register_listing_widgets_profile2() {
	register_widget( 'GenerateWP_Listing_Widget_Profile2' );
}
add_action( 'widgets_init', 'register_listing_widgets_profile2' );


//Profile Detial Style 3
class GenerateWP_Listing_Widget_Profile3 extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mw_detial_style3',
			__( 'Listing Detial Profile Style 3', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$mw_test_drive_btn = apply_filters('widget_title', empty($instance['mw_test_drive_btn']) ? '' : $instance['mw_test_drive_btn'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
		$mw_show_test_btn  = apply_filters('widget_text', empty($instance['mw_show_test_btn']) ? '' : $instance['mw_show_test_btn'], $instance, $this->id_base);
		$mw_show_offer_btn  = apply_filters('widget_text', empty($instance['mw_show_offer_btn']) ? '' : $instance['mw_show_offer_btn'], $instance, $this->id_base);
		$mw_offer_btn  = apply_filters('widget_text', empty($instance['mw_offer_btn']) ? '' : $instance['mw_offer_btn'], $instance, $this->id_base);
		$mw_show_number  = apply_filters('widget_text', empty($instance['mw_show_number']) ? '' : $instance['mw_show_number'], $instance, $this->id_base);
		//echo $args['before_widget'];
		if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
		{
			$ratings = $type = $posted_id  = $post_author_id = $image_id = '';
			global $localization;
			$allowed_html = maxwheels_allowed_html();
			$mw_id = get_the_ID();
			$post_author_id = get_post_field('post_author', $mw_id);
			$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
			$type 			= get_user_meta($post_author_id, 'user_role_type', true);
			$contact_info = esc_html__('Contact Seller','maxwheels-framework');
			if($type == 'dealer')
			{
				$contact_info = esc_html__('Contact Dealer','maxwheels-framework');
				$ratings = maxwheels_reviews_stats_average($posted_id,'mw-dealer','dealer');
			}
			$remove_extra = '';
			if($mw_show_number == 'no')
			{
				$remove_extra = 'remove_extra';
			}
        ?>

		<div class="single-widget p-style-3">
		<div class="sing-car-seller-box <?php echo esc_attr($remove_extra); ?> custom-height">
			    <?php if($mw_show_number == 'yes') { ?>
					<div class="single-sller">
						<div class="single-seller-icons">
							<img src="<?php echo trailingslashit( get_template_directory_uri () ) . "libs/images/phone-call.png"; ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid">
						</div>
						<div class="single-seller-detail ">
							<h3><?php echo maxwheels_strings_allow_html($contact_info); ?></h3>
							<p class="mw-show-phone" data-tel="<?php echo esc_attr(get_post_meta($posted_id, $type.'_mobile', true )); ?>"><a href="javascript:void(0)"><?php echo esc_html__('Show Number','maxwheels-framework'); ?></a></p>
						</div>
					</div>
				<?php } ?>
				<div class="single-img-logo <?php echo esc_attr($type); ?>">
				<a href="<?php echo esc_url(get_the_permalink($posted_id)); ?>"><img src="<?php echo esc_url(maxwheels_placeholder_images($type,$posted_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid"></a>
			</div>					
		</div>
		<div class="contain-style">	
				<div class="single-user-detail shadow-none">																	
					<div class="single-3-details-rating">
						<?php if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0) { ?>
							<span class="ratings"> <?php echo wp_kses($ratings['total_stars'],$allowed_html) ; ?><span class="rating-counter"> <?php echo wp_sprintf(esc_html__('(%s Reviews)', 'maxwheels-framework'), $ratings['rated_no_of_times']); ?></span></span>
						<?php } ?>
						<h3><a href="<?php echo esc_url(get_the_permalink($posted_id)); ?>"><?php echo get_the_title($posted_id); ?></a></h3>
						<p class="review_time"><?php echo esc_html($localization['member_since']); ?>: <?php echo maxwheels_user_timeago($post_author_id); ?> </p>
					</div>																																										
				</div>
				<div class="mw-sin-wid with-top-border">
				<div class="widget-heading">
						  <h2><?php echo esc_html($contact_info); ?></h2>
							<div class="heading-dots clearfix">
								<span class="h-dot line-dot"></span>
								<span class="h-dot"></span>
								<span class="h-dot"></span>
								<span class="h-dot"></span>
							</div>
						</div>
				<form name="contact_author" method="POST" id="mw_contact_author">
                  <div class="theme-row">
                     <span class="wrap">
                     	<input type="text" placeholder="<?php echo esc_attr__('Your Name','maxwheels-framework'); ?>" autocomplete="off" data-sanitize="trim" data-validation="required" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>." name="c_username" class="form-control text">
                     </span> 
                  </div>
                  <div class="theme-row">
               <span class="wrap">
               <input type="email" autocomplete="off" placeholder="<?php echo esc_attr__('Email','maxwheels-framework'); ?>"  data-validation="email" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim" class="form-control text" name="c_email" />
               </span> 
            </div>
                   <div class="theme-row">
               <span class="wrap for-my-phone">
               <input type="text" autocomplete="off" id="myphone" data-validation="required" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim" class="form-control text" name="contact-no" />
               </span> 
            </div>
                  <div class="theme-row">
               <span class="wrap">
               <textarea cols="20" rows="10" placeholder="<?php echo esc_attr__('Your Message','maxwheels-framework'); ?>" class="form-control" autocomplete="off" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim"  name="c_msg"></textarea>
               </span> 
            </div>
			<?php wp_nonce_field( 'prop-contactauthor-nonce', 'contactauthor_nonce' ); ?>
            <input type="hidden" name="listing_id" value="<?php echo esc_attr($mw_id); ?>">
            <button type="submit" class="btn btn-theme sonu-button" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo esc_html__('Send Message','maxwheels-framework'); ?></button>
            </form>
			</div>
			</div>
		</div>
        <?php
		}
	}
	//	echo $args['after_widget'];

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_show_number' => '',
		) );
		$mw_show_number = !empty( $instance['mw_show_number'] ) ? $instance['mw_show_number'] : 'yes';
		echo "<div class='wd-pre'><label>". __( 'Widget Preview', 'maxwheels-framework' ) . "</label>
			<img class='wid-100' src=".MaxWheels_Theme_Url.'libs/images/options/profile-3.png'."></div>";
		echo '	<label for="' . $this->get_field_id( 'mw_show_number' ) . '">' . __( 'Show Contact Number', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_number' ) . '" name="' . $this->get_field_name( 'mw_show_number' ) . '" class="widefat is_show_number">';
		echo '		<option value="yes" ' . selected( $mw_show_number, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_number, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_show_number'] = !empty( $new_instance['mw_show_number'] ) ? strip_tags( $new_instance['mw_show_number'] ) : '';
		return $instance;

	}
}
function register_listing_widgets_profile3() {
	register_widget( 'GenerateWP_Listing_Widget_Profile3' );
}
add_action( 'widgets_init', 'register_listing_widgets_profile3' );

//Fuel Economy
class GenerateWP_Listing_Widget_Economy extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mw_detial_fuel_economy',
			__( 'Listing Detial Fuel Economy', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$mw_fuel_txt = apply_filters('mw_fuel_txt', empty($instance['mw_fuel_txt']) ? '' : $instance['mw_fuel_txt'], $instance, $this->id_base);
		//echo $args['before_widget'];
		if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
		{
			$city = $highway = $image_id = '';
			global $localization;
			$allowed_html = maxwheels_allowed_html();
			$mw_id = get_the_ID();
			$city = get_post_meta($mw_id, 'mw_city' , true );
			$highway = get_post_meta($mw_id, 'mw_highway' , true ); 
			if(!empty($city) && !empty($highway)) { 
        ?>
			<div class="single-widget">
			<div class="cr-single-avg">
			<button type="button" class="btn-green"><span><?php echo esc_html($mw_fuel_txt); ?></span></button>
			  <ul>
				<li>
				  <p><?php echo esc_html($city); ?></p>
				  <span class="text-capitalize"><?php echo esc_html__('City','maxwheels-framework').' '.maxwheels_strings('mw_average_unit'); ?></span> 
				  </li>
					<li class="bg-white-col">
					  <p class="cus-style"><div class="icon-button"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 36 36"><path fill="#99AAB5" d="M30 33c-2.417 0-5-1.313-5-5c0-2.071 1.118-3.478 2.199-4.838c.423-.532.851-1.07 1.239-1.666C26.883 20.077 25.172 19 24 19v-2c1.621 0 3.603 1.133 5.382 2.67c.378-.995.618-2.177.618-3.67h2c0 2.169-.448 3.816-1.077 5.149c1.445 1.542 2.591 3.23 3.025 4.534c.688 2.066.483 4.228-.535 5.642C32.635 32.405 31.422 33 30 33zm-.13-10.052c-.368.53-.747 1.008-1.105 1.458C27.779 25.646 27 26.627 27 28c0 2.479 1.632 3 3 3c.784 0 1.387-.284 1.791-.845c.64-.888.741-2.395.261-3.839c-.327-.978-1.15-2.202-2.182-3.368z"/><path fill="#FFAC33" d="M21.252 10H9c-2.209 0-3.883 1.791-3.74 4l1.17 18c.144 2.209 1.775 4 3.645 4h10.102c1.869 0 3.501-1.791 3.645-4l1.171-18c.142-2.209-1.532-4-3.741-4z"/><path fill="#AAB8C2" d="M26 33H4a1 1 0 0 0-1 1v2h24v-2a1 1 0 0 0-1-1z"/><path fill="#FFAC33" d="M31 10a1 1 0 0 1-1-1V5.764l2.105-4.211a1 1 0 1 1 1.789.895L32 6.236V9a1 1 0 0 1-1 1z"/><path fill="#BE1931" d="M33.5 16h-.777c.172-.295.277-.634.277-1v-4c0-.738-.404-1.376-1-1.723V9a1 1 0 1 0-2 0v.277A1.99 1.99 0 0 0 29 11v4c0 .366.105.705.277 1H28.5a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1z"/><path fill="#99AAB5" d="M25 14a1 1 0 0 0 1 1h5a1 1 0 1 0 0-2h-5a1 1 0 0 0-1 1z"/><path fill="#E1E8ED" d="M27 14a4 4 0 0 1-4 4H7a4 4 0 0 1-4-4V4a4 4 0 0 1 4-4h16a4 4 0 0 1 4 4v10z"/><path fill="#66757F" d="M25 14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v10z"/><path fill="#AAB8C2" d="M13 5h9v3h-9z"/></svg><span></span></div></p>
					</li>
					<li>
				  <p><?php echo esc_html($highway); ?></p>
				  <span class="text-capitalize"><?php echo esc_html__('Highway','maxwheels-framework').' '.maxwheels_strings('mw_average_unit'); ?></span> </li>
			  </ul>
        </div>
 </div>
        <?php
			}
		}
		//echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_fuel_txt' => '',
		) );
		$mw_fuel_txt = !empty( $instance['mw_fuel_txt'] ) ? $instance['mw_fuel_txt'] :  esc_html__('Fuel Economy','maxwheels-framework');
		echo "<div class='wd-pre'><label>". __( 'Widget Preview', 'maxwheels-framework' ) . "</label>
			<img class='wid-100' src=".MaxWheels_Theme_Url.'libs/images/options/fuel.png'."></div>";
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_fuel_txt' ) . '" class="mw_widget_fuel_label">' . __( 'Fuel Economy Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_fuel_txt' ) . '" name="' . $this->get_field_name( 'mw_fuel_txt' ) . '" class="widefat"  value="' . esc_attr( $mw_fuel_txt ) . '">';
		echo '</p> ';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_fuel_txt'] = !empty( $new_instance['mw_fuel_txt'] ) ? strip_tags( $new_instance['mw_fuel_txt'] ) : '';
		return $instance;

	}
}
function register_listing_widgets_fuel_economy() {
	register_widget( 'GenerateWP_Listing_Widget_Economy' );
}
add_action( 'widgets_init', 'register_listing_widgets_fuel_economy' );

//Mortgage Calculator
class GenerateWP_Listing_Widget_Mortgage extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mw_detial_financing_calculator',
			__( 'Listing Detial Financing Calculator', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$mw_fuel_txt = apply_filters('mw_fuel_txt', empty($instance['mw_fuel_txt']) ? '' : $instance['mw_fuel_txt'], $instance, $this->id_base);
		$mw_vprice = empty($instance['mw_vprice']) ? esc_html__('Vehicle Price','maxwheels-framework') : $instance['mw_vprice'];
		$mw_downpay = empty($instance['mw_downpay']) ? esc_html__('Down Payment','maxwheels-framework') : $instance['mw_downpay'];
		$mw_intrest = empty($instance['mw_intrest']) ? esc_html__('Interest Rate','maxwheels-framework') : $instance['mw_intrest'];
		$mw_months = empty($instance['mw_months']) ? esc_html__('Number of Months?','maxwheels-framework') : $instance['mw_months'];
		$mw_btntxt = empty($instance['mw_btntxt']) ? esc_html__('Calculate','maxwheels-framework') : $instance['mw_btntxt'];
		echo $args['before_widget'];
		if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
		{
			$main_price = '';
			$allowed_html = maxwheels_allowed_html();
			$mw_id = get_the_ID();
			$currency_sumbol = '$';
			if(!empty(maxwheels_strings('mw_mortgage_currency')))
			{
				$currency_sumbol = maxwheels_strings('mw_mortgage_currency');
			}
            if(maxwheels_framework_get_options('mw_single_currency') !='')
            {
                $currency_sumbol = maxwheels_framework_get_options('mw_single_currency');
            }

			$main_price = get_post_meta($mw_id, 'mw_price', true );
			?>
				 <div class="widget-heading">
				  <h2><?php echo esc_html($mw_fuel_txt); ?></h2>
				<div class="heading-dots clearfix">
					<span class="h-dot line-dot"></span>
					<span class="h-dot"></span>
					<span class="h-dot"></span>
					<span class="h-dot"></span>
				</div>
				</div>


 <div class="theme-row">
            <label><?php echo esc_html($mw_vprice); ?></label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><?php echo esc_html($currency_sumbol); ?></span>
                  </div>
                    <input type="text" id="input_value"  class="form-control" value="<?php echo esc_attr($main_price); ?>">
                </div>
			</div>
            <div class="theme-row">
            <label><?php echo esc_html($mw_downpay); ?></label>
                <div class=" input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><?php echo esc_html($currency_sumbol); ?></span>
                  </div>
                    <input type="text" id="input_down_payment" placeholder="2000"  class="form-control">
                </div>
			</div>
			<div class="row">
				<div class="col-6">
				<div class="theme-row">
            <label><?php echo esc_html($mw_intrest); ?></label>
            <div class="input-group">
    		<input type="number" class="form-control" id="input_interest"  placeholder="%" min="2.00" step="0.01">
  </div>
            </div>
				</div>
				<div class="col-6">
				<div class="theme-row">
            <label><?php echo esc_html($mw_months); ?></label>
                <div class="input-group">
      			 <input type="number" class="form-control" id="input_duration"  placeholder="<?php echo esc_attr__('24','maxwheels-framework'); ?>" step="1">
                </div>
            </div>
				</div>
				
			</div>
 			<button id="mw-calculate" type="button" class="btn btn-theme"><?php echo esc_html($mw_btntxt); ?></button>
			<div class="listing-specs none">
				<table class="mg-result-table w-100">
					<tbody>
						<tr>
						<td><?php echo esc_html__('Monthly Payment','maxwheels-framework'); ?></td>
						<td class="text-end">
						<?php echo esc_html($currency_sumbol); ?><span id="p-monthly-total"></span>
						</td>
					</tr>
					<tr>
						<td><?php echo esc_html__('Down Payment','maxwheels-framework'); ?></td>
						<td class="text-end">
						<?php echo esc_html($currency_sumbol); ?><span id="p-down-payment"></span>
						</td>
					</tr>
					<tr>
						<td><?php echo esc_html__('Total Principal Paid','maxwheels-framework'); ?></td>
						<td class="text-end">
						<?php echo esc_html($currency_sumbol); ?><span id="totalPrincipalPaid"></span>
						</td>
					</tr>
					<tr>
						<td><?php echo esc_html__('Total Interest Payment','maxwheels-framework'); ?></td>
						<td class="text-end">
						<?php echo esc_html($currency_sumbol); ?><span id="totalInterestPaid"></span>
						</td>
					</tr>
						<tr>
						<td><?php echo esc_html__('Total Amount to Pay','maxwheels-framework'); ?></td>
						<td class="text-end">
						<?php echo esc_html($currency_sumbol); ?><span id="totalamonuttopay"></span>
						</td>
					</tr>
					</tbody>
				</table>
			</div>
			<?php
		}
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_fuel_txt' => '',
			'mw_vprice' => '',
			'mw_downpay' => '',
			'mw_intrest' => '',
			'mw_months' => '',
			'mw_btntxt' => '',
		) );
		$mw_fuel_txt = !empty( $instance['mw_fuel_txt'] ) ? $instance['mw_fuel_txt'] :  esc_html__('Financing Calculator','maxwheels-framework');
		$mw_vprice = !empty( $instance['mw_vprice'] ) ? $instance['mw_vprice'] :  esc_html__('Vehicle Price','maxwheels-framework');
		$mw_downpay = !empty( $instance['mw_downpay'] ) ? $instance['mw_downpay'] :  esc_html__('Down Payment','maxwheels-framework');
		$mw_intrest = !empty( $instance['mw_intrest'] ) ? $instance['mw_intrest'] :  esc_html__('Interest Rate','maxwheels-framework');
		$mw_months = !empty( $instance['mw_months'] ) ? $instance['mw_months'] :  esc_html__('Number of Months?','maxwheels-framework');
		$mw_btntxt = !empty( $instance['mw_btntxt'] ) ? $instance['mw_btntxt'] :  esc_html__('Calculate','maxwheels-framework');
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_fuel_txt' ) . '" class="mw_widget_fuel_label">' . __( 'Widget Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_fuel_txt' ) . '" name="' . $this->get_field_name( 'mw_fuel_txt' ) . '" class="widefat"  value="' . esc_attr( $mw_fuel_txt ) . '">';
		echo '</p>';
		echo '<p>';
		echo '	<label>' . __( 'Vehicle Price Field Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_vprice' ) . '" name="' . $this->get_field_name( 'mw_vprice' ) . '" class="widefat"  value="' . esc_attr( $mw_vprice ) . '">';
		echo '</p>';
		echo '<p>';
		echo '	<label>' . __( 'Down Payment Field Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_downpay' ) . '" name="' . $this->get_field_name( 'mw_downpay' ) . '" class="widefat"  value="' . esc_attr( $mw_downpay ) . '">';
		echo '</p>';
		echo '<p>';
		echo '	<label>' . __( 'Interest Rate Field Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_intrest' ) . '" name="' . $this->get_field_name( 'mw_intrest' ) . '" class="widefat"  value="' . esc_attr( $mw_intrest ) . '">';
		echo '</p>';
		echo '<p>';
		echo '	<label>' . __( 'Number of Months Field Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_months' ) . '" name="' . $this->get_field_name( 'mw_months' ) . '" class="widefat"  value="' . esc_attr( $mw_months ) . '">';
		echo '</p>';
		echo '<p>';
		echo '	<label>' . __( 'Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_btntxt' ) . '" name="' . $this->get_field_name( 'mw_btntxt' ) . '" class="widefat"  value="' . esc_attr( $mw_btntxt ) . '">';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_fuel_txt'] = !empty( $new_instance['mw_fuel_txt'] ) ? strip_tags( $new_instance['mw_fuel_txt'] ) : '';
		$instance['mw_vprice'] = !empty( $new_instance['mw_vprice'] ) ? strip_tags( $new_instance['mw_vprice'] ) : '';
		$instance['mw_downpay'] = !empty( $new_instance['mw_downpay'] ) ? strip_tags( $new_instance['mw_downpay'] ) : '';
		$instance['mw_intrest'] = !empty( $new_instance['mw_intrest'] ) ? strip_tags( $new_instance['mw_intrest'] ) : '';
		$instance['mw_months'] = !empty( $new_instance['mw_months'] ) ? strip_tags( $new_instance['mw_months'] ) : '';
		$instance['mw_btntxt'] = !empty( $new_instance['mw_btntxt'] ) ? strip_tags( $new_instance['mw_btntxt'] ) : '';
		return $instance;
	}
}
function register_listing_widgets_mortgage() {
	register_widget( 'GenerateWP_Listing_Widget_Mortgage' );
}
add_action( 'widgets_init', 'register_listing_widgets_mortgage' );

//Near By Listings
class GenerateWP_Listing_Widget_NearBy extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mw_detial_near_by',
			__( 'Listing Detial NearBy Listings', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$widget_text = apply_filters('widget_text', empty($instance['widget_text']) ? esc_html__('Near By Listings','maxwheels-framework') : $instance['widget_text'], $instance, $this->id_base);
		$mw_no_listings = empty($instance['mw_no_listings']) ? '' : $instance['mw_no_listings'];
		//echo $args['before_widget'];
		if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
		{
			$newdistacne = $lat_lng_meta_query = $nearby_idz = $calculated_distance = array();
			$cacl_distance = $second_long = $second_lat = $selected_long = $selected_latt = '';
			$mw_id = get_the_ID();
			if(get_post_meta($mw_id, 'mw_latt', true ) !="" &&  get_post_meta($mw_id, 'mw_long', true )!="")
			{
				$distance_unit = array(
					'miles' => array('dis_name'=>esc_html__('Miles', 'maxwheels-framework' ), 'dis_abbt' =>esc_html__('mi', 'maxwheels-framework' ) ),
					'kilometers' => array('dis_name'=>esc_html__('Kilometers', 'maxwheels-framework' ), 'dis_abbt' =>esc_html__('km', 'maxwheels-framework' ) ),
		 		);
				$selected_distance_unit = 'kilometers';
				$selected_latt = get_post_meta($mw_id, 'mw_latt', true );
				$selected_long = get_post_meta($mw_id, 'mw_long', true );
				$data_array = array("latitude" => $selected_latt, "longitude" => $selected_long, "distance" => '1000');
				$lats_longs = maxwheels_framework_min_max_latt_long($data_array);
				if(is_array($lats_longs) && !empty($lats_longs) && count($lats_longs) > 0)
				{
					$lat_lng_meta_query[] = array(
						'key' => 'mw_latt',
						'value' => array($lats_longs['lat']['min'], $lats_longs['lat']['max']),
						'compare' => 'BETWEEN',
						'type' => 'DECIMAL',
					);
					$lat_lng_meta_query[] = array(
						'key' => 'mw_long',
						'value' => array($lats_longs['long']['min'], $lats_longs['long']['max']),
						'compare' => 'BETWEEN',
						'type' => 'DECIMAL',
					);
					add_filter('get_meta_sql', 'maxwheels_decimal_precision');
					if (!function_exists('maxwheels_decimal_precision'))
					{
						function maxwheels_decimal_precision($array)
						{
							$array['where'] = str_replace('DECIMAL', 'DECIMAL(10,3)', $array['where']);
							return $array;
						}
					}
					$params = array(
						'post_type' => 'mx-listings',
						'post_status' => 'publish',
						'post__not_in' => array($mw_id),
						'posts_per_page' => $mw_no_listings,
						'order' => 'DESC',
						'orderby' => 'date',
						'fields' => 'ids',
						'meta_query' => array(
							 array(
								'key' => 'mw_status',
								'value' => '1',
								'compare' => '='
							 ),
							 $lat_lng_meta_query,
						 ),
					 );
				   $n_query = new WP_Query( $params );
				   if($n_query->have_posts())
			       {
					   $listingz = new maxwheels_getlistings();
			       ?>
					<div class="single-widget">
						<div class="mw-sin-wid">
						 <div class="widget-heading">
						  <h2><?php echo esc_html($widget_text); ?></h2>
							<div class="heading-dots clearfix">
								<span class="h-dot line-dot"></span>
								<span class="h-dot"></span>
								<span class="h-dot"></span>
								<span class="h-dot"></span>
							</div>
						</div>
						 <ul class="widget-inner-container nearby-listing">
							<?php    
							  while ($n_query->have_posts())
							  {
								   $n_query->the_post();
								   $new_mw_idz = get_the_ID();
								   if (get_post_meta($new_mw_idz, 'mw_latt', true) != "" && get_post_meta($new_mw_idz, 'mw_long', true) != "")
								   {
									   $second_lat = get_post_meta($new_mw_idz, 'mw_latt', true );
									   $second_long = get_post_meta($new_mw_idz, 'mw_long', true );
									   $newdistacne = maxwheels_framework_get_distance_between_ponits($selected_latt, $selected_long, $second_lat, $second_long);
									   $cacl_distance = round($newdistacne[$selected_distance_unit],1);
									   $dis_abbt = $distance_unit[$selected_distance_unit]['dis_abbt'];
									   $listingz->maxwheels_listings_nearby($new_mw_idz,$cacl_distance,$dis_abbt); 
								   }
							  }
							   wp_reset_postdata();
							  ?>
							</ul>
						</div>	
					</div>	
				  <?php
				   }
				}
			}
		}
		//echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'widget_text' => '',
			'mw_no_listings' => '',
		) );
		$widget_text = !empty( $instance['widget_text'] ) ? $instance['widget_text'] :  esc_html__('Near By Listings','maxwheels-framework');
		$mw_no_listings = !empty( $instance['mw_no_listings'] ) ? $instance['mw_no_listings'] :  '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'widget_text' ) . '" class="mw_widget_fuel_label">' . __( 'Widget Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'widget_text' ) . '" name="' . $this->get_field_name( 'widget_text' ) . '" class="widefat"  value="' . esc_attr( $widget_text ) . '">';
		echo '</p>';
		echo '<p>';
		echo '	<label>' . __( 'No Of Listings', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_no_listings' ) . '" name="' . $this->get_field_name( 'mw_no_listings' ) . '" class="widefat"  value="' . esc_attr( $mw_no_listings ) . '">';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['widget_text'] = !empty( $new_instance['widget_text'] ) ? strip_tags( $new_instance['widget_text'] ) : '';
		$instance['mw_no_listings'] = !empty( $new_instance['mw_no_listings'] ) ? strip_tags( $new_instance['mw_no_listings'] ) : '5';
		return $instance;

	}
}
function register_listing_widgets_nearby() {
	register_widget( 'GenerateWP_Listing_Widget_NearBy' );
}
add_action( 'widgets_init', 'register_listing_widgets_nearby' );

//Technical Specs
class GenerateWP_Listing_Widget_Overview extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mw_detial_specifications',
			__( 'Listing Detial Vehicle Specifications', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$widget_text = apply_filters('widget_text', empty($instance['widget_text']) ? esc_html__('Key Information','maxwheels-framework') : $instance['widget_text'], $instance, $this->id_base);
		$mw_vh_specs  = apply_filters('mw_vh_specs', empty($instance['mw_vh_specs']) ? array() : $instance['mw_vh_specs'], $instance);
		//echo $mw_vh_specs;
		if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
		{
			$selected_latt = '';
			$mw_id = get_the_ID();
			$post_author_id = get_post_field('post_author', $mw_id);
			$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
			$type 			= get_user_meta($post_author_id, 'user_role_type', true);
			$contact_info = esc_html__('Seller','maxwheels-framework');
			if($type == 'dealer')
			{
				$contact_info = esc_html__('Dealer','maxwheels-framework');
			}
			$array = array(
				'bodytype'=>array('name'=>__( "Body Type", "maxwheels-framework" ),'key'=>'mw_bodytype','tax'=>'mw-bodytype'),
				'mileage'=>array('name'=>__( "Mileage", "maxwheels-framework" ),'key'=>'mw_mileage','tax'=>''),
				'transmission'=>array('name'=>__( "Transmission", "maxwheels-framework" ),'key'=>'mw_transmission','tax'=>'mw-transmission'),
				'engine'=>array('name'=>__( "Engine Size", "maxwheels-framework" ),'key'=>'mw_enginesize','tax'=>''),
				'year'=>array('name'=>__( "Year", "maxwheels-framework" ),'key'=>'mw_year','tax'=>'mw-year'),
				'fueltype'=>array('name'=>__( "Fuel Type", "maxwheels-framework" ),'key'=>'mw_fueltype','tax'=>'mw-fuel'),
				'drive'=>array('name'=>__( "Drive", "maxwheels-framework" ),'key'=>'mw_drive','tax'=>'mw-drive'),
				'condition'=>array('name'=>__( "Condition", "maxwheels-framework" ),'key'=>'mw_condition','tax'=>'mw-condition'),
				'ext'=>array('name'=>__( "Exterior Color", "maxwheels-framework" ),'key'=>'mw_extrtior','tax'=>'mw-exterior-color'),
				'int'=>array('name'=>__( "Interior Color", "maxwheels-framework" ),'key'=>'mw_interior','tax'=>'mw-interior-color'),
				'seller'=>array('name'=>__( "Seller Type", "maxwheels-framework" ),'key'=>'dealer','tax'=>''),
				'owners'=>array('name'=>__( "No. of Owners", "maxwheels-framework" ),'key'=>'mw_owners','tax'=>'mw-owners'),
				'vin'=>array('name'=>__( "VIN", "maxwheels-framework" ),'key'=>'mw_vin_number','tax'=>''),
			);
			if(!empty($mw_vh_specs) && is_array($mw_vh_specs) && count($mw_vh_specs) > 0)
			{
	        ?>
			<div class="single-widget mw-key-info">
				<div class="single-car-categry-2 ">
						<h3><?php echo esc_html($widget_text); ?></h3>
						<ul>
							<?php 
							$final_data = $object_terms = $category = $makes = $unit = $data = '';
							foreach($mw_vh_specs as $keys)
	   						{
		   						if(get_post_meta($mw_id, $array[$keys]['key'],true)!="")
								{
									if(!empty($array[$keys]['tax']))
									{
										$data = get_term_by('slug',get_post_meta($mw_id, $array[$keys]['key'],true), $array[$keys]['tax']);
									?>
										<li><p><?php echo esc_html($array[$keys]['name']); ?></p><span><?php echo esc_html($data->name); ?></span></li>
									<?php	
									}
									else
									{
										$unit = '';
										if($keys == 'mileage')
										{
											$unit = ' '.maxwheels_strings('mw_car_mileage_unit');
										}
										if($keys == 'engine')
										{
											$unit = ' '.maxwheels_strings('mw_enginesize_unit');
										}
										$final_data = get_post_meta($mw_id, $array[$keys]['key'],true);
										if(is_numeric($final_data) && $keys !="vin")
										{
											$final_data = number_format($final_data) . $unit;
										}
									?>
										<li><p><?php echo esc_html($array[$keys]['name']); ?></p><span><?php echo esc_html($final_data); ?></span></li>
									<?php
									}
								}
								else
								{
									if($keys == 'seller')
									{
									?>
									 <li><p><?php echo esc_html($array[$keys]['name']); ?></p><span><?php echo esc_html($contact_info); ?></span></li>
									<?php
									}
								?>
									
								<?php	
								}
							?>
							
							<?php } ?>
						</ul>
					</div>
			</div>
		<?php
			}
		}
		//echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'widget_text' => '',
			'mw_no_listings' => '',
		) );
		$widget_text = !empty( $instance['widget_text'] ) ? $instance['widget_text'] :  esc_html__('Key Information','maxwheels-framework');
		$mw_vh_specs = !empty( $instance['mw_vh_specs'] ) ? $instance['mw_vh_specs'] :  array();
		$options= '';
		$array = array(
			"bodytype" => __( 'Body Type', 'maxwheels-framework' ),
			"mileage" => __( 'Mileage', 'maxwheels-framework' ),
			"transmission" => __( 'Transmission', 'maxwheels-framework' ),
			"engine" => __( 'Engine Size', 'maxwheels-framework' ),
			"year" => __( 'Year', 'maxwheels-framework' ),
			"fueltype" => __( 'Fuel type', 'maxwheels-framework' ),
			"drive" => __( 'Drive', 'maxwheels-framework' ),
			"condition" => __( 'Condition', 'maxwheels-framework' ),
			"ext" => __( 'Exterior Color', 'maxwheels-framework' ),
			"int" => __( 'Interior Color', 'maxwheels-framework' ),
			"seller" => __( 'Seller Type', 'maxwheels-framework' ),
			"owners" => __( 'No. of Owners', 'maxwheels-framework' ),
			"vin" => __( 'VIN', 'maxwheels-framework' ),
		);
		$is_selected = '';
		foreach($array as $key => $value)
		{
			$is_selected = in_array($key, $mw_vh_specs) ? 'selected="selected"' : '';
			$options .='<option  value="'.esc_attr($key).'" '.$is_selected.'> ' . esc_html($value) . '</option>';
		}
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'widget_text' ) . '" class="mw_widget_fuel_label">' . __( 'Widget Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'widget_text' ) . '" name="' . $this->get_field_name( 'widget_text' ) . '" class="widefat"  value="' . esc_attr( $widget_text ) . '">';
		echo '</p>';
		echo '<p>';
		echo '	<label class="mw_widget_states_label">' . __( 'Select Fields You Want To Show', 'maxwheels-framework' ) . '</label>';
		echo '	<select multiple size="15" id="' . $this->get_field_id( 'mw_vh_specs' ) . '" name="' . $this->get_field_name( 'mw_vh_specs' ) . '[]" class="widefat">';
		echo '		'.$options.'';
     	echo '	</select>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['widget_text'] = !empty( $new_instance['widget_text'] ) ? strip_tags( $new_instance['widget_text'] ) : '';
		$instance['mw_vh_specs'] = esc_sql( $new_instance['mw_vh_specs'] );
		return $instance;

	}
}
function register_listing_widgets_overview() {
	register_widget( 'GenerateWP_Listing_Widget_Overview' );
}
add_action( 'widgets_init', 'register_listing_widgets_overview' );

//Make an Offer & Test Drive Button
class GenerateWP_Listing_Widget_TestDrive extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mw_detial_offer_test_btnz',
			__( 'Listing Detial Offer Buttons', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text_offers',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$mw_test_drive_btn = apply_filters('widget_text_offers', empty($instance['mw_test_drive_btn']) ? '' : $instance['mw_test_drive_btn'], $instance, $this->id_base);
		$mw_show_test_btn  = apply_filters('widget_text_offers', empty($instance['mw_show_test_btn']) ? '' : $instance['mw_show_test_btn'], $instance, $this->id_base);
		$mw_show_offer_btn  = apply_filters('widget_text_offers', empty($instance['mw_show_offer_btn']) ? '' : $instance['mw_show_offer_btn'], $instance, $this->id_base);
		$mw_offer_btn  = apply_filters('widget_text_offers', empty($instance['mw_offer_btn']) ? '' : $instance['mw_offer_btn'], $instance, $this->id_base);
		$mw_show_number  = apply_filters('widget_text_offers', empty($instance['mw_show_number']) ? '' : $instance['mw_show_number'], $instance, $this->id_base);
		//echo $mw_vh_specs;
		if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
		{
			$selected_latt = '';
			$mw_id = get_the_ID();
			$post_author_id = get_post_field('post_author', $mw_id);
			$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
			$type 			= get_user_meta($post_author_id, 'user_role_type', true);
			$contact_info = esc_html__('Seller','maxwheels-framework');
			if($type == 'dealer')
			{
				$contact_info = esc_html__('Dealer','maxwheels-framework');
			}
	        ?>
			<div class="single-widget no-m-no-p">
				<div class="single-3-details-rating">
				<?php if($mw_show_test_btn == 'yes') { ?>
				<button type="button" data-bs-toggle="modal"  data-bs-target="#mw-schedule-offer" class="color-custom-3 btn btn-theme"><svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M13 19.92c1.8-.22 3.35-.97 4.65-2.27c1.3-1.3 2.05-2.85 2.27-4.65h-3c-.22 1-.68 1.84-1.38 2.54c-.7.7-1.54 1.16-2.54 1.38v3M10 8h4l3 3h2.92c-.25-1.95-1.13-3.62-2.65-5C15.76 4.66 14 4 12 4c-2 0-3.76.66-5.27 2c-1.52 1.38-2.4 3.05-2.65 5H7l3-3m1 11.92v-3c-1-.22-1.84-.68-2.54-1.38c-.7-.7-1.16-1.54-1.38-2.54h-3c.22 1.77.97 3.3 2.27 4.6c1.3 1.3 2.85 2.07 4.65 2.32M12 2c2.75 0 5.1 1 7.05 2.95C21 6.9 22 9.25 22 12s-1 5.1-2.95 7.05C17.1 21 14.75 22 12 22s-5.1-1-7.05-2.95C3 17.1 2 14.75 2 12s1-5.1 2.95-7.05C6.9 3 9.25 2 12 2z" fill="#626262"/></svg><?php echo esc_html($mw_test_drive_btn); ?></button>
			    <?php } ?>
				<?php if($mw_show_offer_btn == "yes") { ?>
				<button type="button" class="btn btn-theme tex-white" data-bs-toggle="modal"  data-bs-target="#mw-make-offer"><svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M21.41 11.58l-9-9C12.05 2.22 11.55 2 11 2H4c-1.1 0-2 .9-2 2v7c0 .55.22 1.05.59 1.42l9 9c.36.36.86.58 1.41.58s1.05-.22 1.41-.59l7-7c.37-.36.59-.86.59-1.41s-.23-1.06-.59-1.42zM13 20.01L4 11V4h7v-.01l9 9l-7 7.02z" fill="#626262"/><circle cx="6.5" cy="6.5" r="1.5" fill="#626262"/></svg><?php echo esc_html($mw_offer_btn); ?></button>
				<?php } ?>
				</div>
			</div>
		<?php
		}
		//echo $args['after_widget'];
	}
	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_show_test_btn' => '',
			'mw_test_drive_btn' => '',
			'mw_show_offer_btn' => '',
			'mw_offer_btn' => '',
		) );
		$mw_test_drive_btn = !empty( $instance['mw_test_drive_btn'] ) ? $instance['mw_test_drive_btn'] :  esc_html__('Schedule Test Drive','maxwheels-framework');
		$mw_show_offer_btn = !empty( $instance['mw_show_offer_btn'] ) ? $instance['mw_show_offer_btn'] : '';
		$mw_show_test_btn = !empty( $instance['mw_show_test_btn'] ) ? $instance['mw_show_test_btn'] : '';
		$mw_offer_btn = !empty( $instance['mw_offer_btn'] ) ? $instance['mw_offer_btn'] : esc_html__('Make an Offer Price','maxwheels-framework');
		$hide_class_1 =$hide_class = '';
		if($mw_show_test_btn == 'no')
		{
			$hide_class = 'mw-hide';
		}
		if( $mw_show_offer_btn == 'no')
		{
			$hide_class_1 = 'mw-hide-1';
		}
		?>
		<script type="text/javascript">
			jQuery(document).ready(function($) { 
				$(document).on('change','.is_show_text_drive_btn',function(){
					if ( this.value == 'yes')
					 {
						$('.show_d_btn').show();
					 }
					 else
					 {
						$('.show_d_btn').hide();
					 };  
				});
				$(document).on('change','.is_show_text_offer_btn',function(){
					if ( this.value == 'yes')
					 {
						$('.show_offer_btn').show();
					 }
					 else
					 {
						$('.show_offer_btn').hide();
					 };  
				});
			}); 
		</script>
		<?php
		echo "<div class='wd-pre'><label>". __( 'Widget Preview', 'maxwheels-framework' ) . "</label>
			<img class='wid-100' src=".MaxWheels_Theme_Url.'libs/images/options/profile-1.png'."></div>";
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_test_btn' ) . '" class="mw_widget_test_label">' . __( 'Show Test Drive Button', 'maxwheels-framework' ) . '</label>';
		echo '	<select  name="' . $this->get_field_name( 'mw_show_test_btn' ) . '" class="widefat is_show_text_drive_btn">';
		echo '		<option value="yes" ' . selected( $mw_show_test_btn, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_test_btn, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p  class="show_d_btn '.esc_attr($hide_class).'">';
		echo '	<label for="' . $this->get_field_id( 'mw_test_drive_btn' ) . '" class="mw_widget_title_label">' . __( 'Test Drive Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_test_drive_btn' ) . '" name="' . $this->get_field_name( 'mw_test_drive_btn' ) . '" class="widefat"  value="' . esc_attr( $mw_test_drive_btn ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_offer_btn' ) . '" class="mw_widget_states_label">' . __( 'Show Make An Offer Button', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_offer_btn' ) . '" name="' . $this->get_field_name( 'mw_show_offer_btn' ) . '" class="widefat is_show_text_offer_btn">';
		echo '		<option value="yes" ' . selected( $mw_show_offer_btn, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_offer_btn, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p  class="show_offer_btn '.esc_attr($hide_class_1).'">';
		echo '	<label for="' . $this->get_field_id( 'mw_offer_btn' ) . '" class="mw_widget_offer_label">' . __( 'Offer Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_offer_btn' ) . '" name="' . $this->get_field_name( 'mw_offer_btn' ) . '" class="widefat"  value="' . esc_attr( $mw_offer_btn ) . '">';
		echo '</p> ';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_show_test_btn'] = !empty( $new_instance['mw_show_test_btn'] ) ? strip_tags( $new_instance['mw_show_test_btn'] ) : '';
		$instance['mw_test_drive_btn'] = !empty( $new_instance['mw_test_drive_btn'] ) ? strip_tags( $new_instance['mw_test_drive_btn'] ) : '';
		$instance['mw_show_offer_btn'] = !empty( $new_instance['mw_show_offer_btn'] ) ? strip_tags( $new_instance['mw_show_offer_btn'] ) : '';
		$instance['mw_offer_btn'] = !empty( $new_instance['mw_offer_btn'] ) ? strip_tags( $new_instance['mw_offer_btn'] ) : '';
		return $instance;

	}
}
function register_listing_widgets_testdrive() {
	register_widget( 'GenerateWP_Listing_Widget_TestDrive' );
}
add_action( 'widgets_init', 'register_listing_widgets_testdrive' );

//Listing Price Widget
class GenerateWP_Listing_Widget_ListingPrice extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mw_detial_offer_listing_price',
			__( 'Listing Detial Ad Price', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text_price',
			)
		);
	}

	public function widget( $args, $instance )
    {
		if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
		{
			$selected_latt = '';
			$mw_id = get_the_ID();
			$post_author_id = get_post_field('post_author', $mw_id);
			$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
			$type 			= get_user_meta($post_author_id, 'user_role_type', true);
	        ?>
			<div class="single-widget no-m-no-p">
					<div class="listing-price-tag"><span class="listing-posted-curr"><?php echo maxwheels_framework_get_options('mw_single_currency'); ?></span><?php echo maxwheels_framework_fetch_price($mw_id); ?></div>
					<div class="clearfix"></div>
			</div>
		<?php
		}
		//echo $args['after_widget'];
	}
	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
		) );
		echo "<div class='wd-pre'><label>". __( 'Widget Preview', 'maxwheels-framework' ) . "</label>
			<img class='wid-100' src=".MaxWheels_Theme_Url.'libs/images/options/price.png'."></div>";
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		return $instance;
	}
}
function register_listing_widgets_price() {
	register_widget( 'GenerateWP_Listing_Widget_ListingPrice' );
}
add_action( 'widgets_init', 'register_listing_widgets_price' );

//Profile Detial Style 4
class GenerateWP_Listing_Widget_Profile4 extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mw_detial_style_profile4',
			__( 'Listing Detial Profile Style 4', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'mw_profile_4',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$mw_test_drive_btn = apply_filters('mw_profile_4', empty($instance['mw_test_drive_btn']) ? '' : $instance['mw_test_drive_btn'], $instance, $this->id_base);
		$mw_show_test_btn  = apply_filters('mw_profile_4', empty($instance['mw_show_test_btn']) ? '' : $instance['mw_show_test_btn'], $instance, $this->id_base);
		$mw_show_offer_btn  = apply_filters('mw_profile_4', empty($instance['mw_show_offer_btn']) ? '' : $instance['mw_show_offer_btn'], $instance, $this->id_base);
		$mw_offer_btn  = apply_filters('mw_profile_4', empty($instance['mw_offer_btn']) ? '' : $instance['mw_offer_btn'], $instance, $this->id_base);
		$mw_show_number  = apply_filters('mw_profile_4', empty($instance['mw_show_number']) ? '' : $instance['mw_show_number'], $instance, $this->id_base);
		$mw_show_location  = apply_filters('mw_profile_4', empty($instance['mw_show_location']) ? '' : $instance['mw_show_location'], $instance, $this->id_base);
		//echo $args['before_widget'];
		if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
		{
			$ratings = $type = $posted_id  = $post_author_id = $image_id = '';
			global $localization;
			$allowed_html = maxwheels_allowed_html();
			$mw_id = get_the_ID();
			$post_author_id = get_post_field('post_author', $mw_id);
			$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
			$type 			= get_user_meta($post_author_id, 'user_role_type', true);
			$contact_info = esc_html__('Contact Seller','maxwheels-framework');
			if($type == 'dealer')
			{
				$contact_info = esc_html__('Contact Dealer','maxwheels-framework');
				$ratings = maxwheels_reviews_stats_average($posted_id,'mw-dealer','dealer');
			}
			$remove_extra = '';
			if($mw_show_number == 'no')
			{
				$remove_extra = 'remove_extra';
			}
        ?>
		<div class="single-widget">
			<div class="prof-style-4">
				<div class="avatar-flip">
					<a href="<?php echo esc_url(get_the_permalink($posted_id)); ?>"><img src="<?php echo esc_url(maxwheels_placeholder_images($type,$posted_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid"></a>
				</div>
				<div class="prof-4-detials">
					<?php if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0) { ?>
						<div class="p4-ratings">
							<span class="ratings"> <?php echo wp_kses($ratings['total_stars'],$allowed_html) ; ?><span class="rating-counter"> <?php echo wp_sprintf(esc_html__('(%s Reviews)', 'maxwheels-framework'), $ratings['rated_no_of_times']); ?></span></span>
						</div>	
					<?php } ?>
					<h3><a href="<?php echo esc_url(get_the_permalink($posted_id)); ?>"><?php echo get_the_title($posted_id); ?></a></h3>
					<p class="review_time"><?php echo esc_html($localization['member_since']); ?>: <?php echo maxwheels_user_timeago($post_author_id); ?> </p>
				</div>
				<div class="prof4-extra-details text-start ">
				<?php if($mw_show_number == 'yes' || $mw_show_location == 'yes') { ?>
				<ul>
				<?php if($mw_show_location == 'yes' && $type == 'dealer') { ?>
				<?php if(get_post_meta($posted_id, 'dealer_street_addr', true )!="") {	?>
				<li><img class="inline-mw-prof-details img-fluid" src="<?php echo trailingslashit( get_template_directory_uri () ) . "libs/images/location-pin.png"; ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>"><span class="mw-overflow mw-ellipsis"><?php echo esc_html(get_post_meta($posted_id, 'dealer_street_addr', true )); ?></span>
<?php if(get_post_meta($posted_id, 'dealer_latt', true )!="" && get_post_meta($posted_id, 'dealer_long', true )!="") { ?>		
<a class="explore-nearby" href="https://www.google.com/maps?daddr=<?php echo esc_attr(get_post_meta($posted_id, 'dealer_latt', true )); ?>,<?php echo esc_attr(get_post_meta($posted_id, 'dealer_long', true )); ?>" target="_blank"><?php echo esc_html__('Get Directions','maxwheels-framework');?></a>
<?php } ?>
					</li>
				<?php } } ?>
				 <?php if($mw_show_number == 'yes') { ?>
				  <li>
					  <img class="inline-mw-prof-details img-fluid" src="<?php echo trailingslashit( get_template_directory_uri () ) . "libs/images/phone-call.png"; ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>"> <span class="mw-show-phone" data-tel="<?php echo esc_attr(get_post_meta($posted_id, $type.'_mobile', true )); ?>"><a href="javascript:void(0)"><?php echo esc_html__('Show Number','maxwheels-framework'); ?></a></span>
					</li>
				  <?php } ?>
				</ul>
				<?php } ?>	
				</div>
				<?php if($mw_show_offer_btn == "yes") { ?>
				<button type="button" class="btn btn-theme w-100" data-bs-toggle="modal"  data-bs-target="#mw-make-offer"><svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M21.41 11.58l-9-9C12.05 2.22 11.55 2 11 2H4c-1.1 0-2 .9-2 2v7c0 .55.22 1.05.59 1.42l9 9c.36.36.86.58 1.41.58s1.05-.22 1.41-.59l7-7c.37-.36.59-.86.59-1.41s-.23-1.06-.59-1.42zM13 20.01L4 11V4h7v-.01l9 9l-7 7.02z" fill="#fff"></path><circle cx="6.5" cy="6.5" r="1.5" fill="#fff"></circle></svg><?php echo esc_html($mw_offer_btn); ?></button>
				<?php } ?>
				<?php if($mw_show_test_btn == 'yes') { ?>
				<div class="single-car-schedule">
						<a href="javascript:void(0)" data-bs-toggle="modal"  data-bs-target="#mw-schedule-offer" class="color-custom-3"><svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><g class="icon-tabler" fill="none" stroke="#626262" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><circle cx="12" cy="12" r="9"></circle><circle cx="12" cy="12" r="2"></circle><path d="M12 14v7"></path><path d="M10 12l-6.75-2"></path><path d="M14 12l6.75-2"></path></g></svg><?php echo esc_html($mw_test_drive_btn); ?></a>
					</div>
				<?php } ?>
			</div>
			<div class="mw-sin-wid mw-new-cont">
				<div class="widget-heading">
					<h2><?php echo esc_html($contact_info); ?></h2>
				</div>
				<form name="contact_author" method="POST" id="mw_contact_author">
					  <div class="row">
						  <div class="col-6">
							  <div class="theme-row">
								  <label><?php echo esc_html__('Your Name','maxwheels'); ?> <span class="req-mark">*</span></label>
								 <span class="wrap">
									<input type="text" autocomplete="off" data-sanitize="trim" data-validation="required" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>." name="c_username" class="form-control text">
								 </span> 
							  </div>
							  </div>
						  <div class="col-6">
					  <div class="theme-row">
						  <label><?php echo esc_html__('Email','maxwheels'); ?> <span class="req-mark">*</span></label>
				   <span class="wrap">
				   <input type="email" autocomplete="off"  data-validation="email" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim" class="form-control text" name="c_email" />
				   </span> 
				</div>
						  </div>
					  </div>	  
					   <div class="theme-row">
						   <label><?php echo esc_html__('Contact No','maxwheels'); ?> <span class="req-mark">*</span></label>
				   <span class="wrap for-my-phone">
				   <input type="text" autocomplete="off" id="myphone" data-validation="required" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim" class="form-control text" name="contact-no" />
				   </span> 
				</div>
					  <div class="theme-row">
						  <label><?php echo esc_html__('Your Message','maxwheels'); ?> <span class="req-mark">*</span></label>
				   <span class="wrap">
				   <textarea cols="10" rows="5" class="w-100"   autocomplete="off" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim"  name="c_msg"></textarea>
				   </span> 
				</div>
				<?php wp_nonce_field( 'prop-contactauthor-nonce', 'contactauthor_nonce' ); ?>
				<input type="hidden" name="listing_id" value="<?php echo esc_attr($mw_id); ?>">
				<button type="submit" class="btn btn-theme sonu-button" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo esc_html__('Send Message','maxwheels-framework'); ?></button>
				</form>
			</div>
		</div>
        <?php
		}
	//	echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_show_test_btn' => '',
			'mw_test_drive_btn' => '',
			'mw_show_offer_btn' => '',
			'mw_offer_btn' => '',
			'mw_show_number' => '',
			'mw_show_location' => '',
		) );
		$mw_test_drive_btn = !empty( $instance['mw_test_drive_btn'] ) ? $instance['mw_test_drive_btn'] :  esc_html__('Schedule Test Drive','maxwheels-framework');
		$mw_show_offer_btn = !empty( $instance['mw_show_offer_btn'] ) ? $instance['mw_show_offer_btn'] : '';
		$mw_show_test_btn = !empty( $instance['mw_show_test_btn'] ) ? $instance['mw_show_test_btn'] : '';
		$mw_offer_btn = !empty( $instance['mw_offer_btn'] ) ? $instance['mw_offer_btn'] : esc_html__('Make an Offer Price','maxwheels-framework');
		$mw_show_number = !empty( $instance['mw_show_number'] ) ? $instance['mw_show_number'] : 'yes';
		$mw_show_location = !empty( $instance['mw_show_location'] ) ? $instance['mw_show_location'] : 'yes';
		$hide_class_1 =$hide_class = '';
		if($mw_show_test_btn == 'no')
		{
			$hide_class = 'mw-hide';
		}
		if( $mw_show_offer_btn == 'no')
		{
			$hide_class_1 = 'mw-hide-1';
		}
		?>
		<script type="text/javascript">
			jQuery(document).ready(function($) { 
				$(document).on('change','.is_show_text_drive_btn',function(){
					if ( this.value == 'yes')
					 {
						$('.show_d_btn').show();
					 }
					 else
					 {
						$('.show_d_btn').hide();
					 };  
				});
				$(document).on('change','.is_show_text_offer_btn',function(){
					if ( this.value == 'yes')
					 {
						$('.show_offer_btn').show();
					 }
					 else
					 {
						$('.show_offer_btn').hide();
					 };  
				});
			}); 
		</script>

<?php

		
		echo "<div class='wd-pre'><label>". __( 'Widget Preview', 'maxwheels-framework' ) . "</label>
			<img class='wid-100' src=".MaxWheels_Theme_Url.'libs/images/options/profile-4.png'."></div>";
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_test_btn' ) . '" class="mw_widget_test_label">' . __( 'Show Test Drive Button', 'maxwheels-framework' ) . '</label>';
		echo '	<select  name="' . $this->get_field_name( 'mw_show_test_btn' ) . '" class="widefat is_show_text_drive_btn">';
		echo '		<option value="yes" ' . selected( $mw_show_test_btn, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_test_btn, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p  class="show_d_btn '.esc_attr($hide_class).'">';
		echo '	<label for="' . $this->get_field_id( 'mw_test_drive_btn' ) . '" class="mw_widget_title_label">' . __( 'Test Drive Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_test_drive_btn' ) . '" name="' . $this->get_field_name( 'mw_test_drive_btn' ) . '" class="widefat"  value="' . esc_attr( $mw_test_drive_btn ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_offer_btn' ) . '" class="mw_widget_states_label">' . __( 'Show Make An Offer Button', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_offer_btn' ) . '" name="' . $this->get_field_name( 'mw_show_offer_btn' ) . '" class="widefat is_show_text_offer_btn">';
		echo '		<option value="yes" ' . selected( $mw_show_offer_btn, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_offer_btn, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p  class="show_offer_btn '.esc_attr($hide_class_1).'">';
		echo '	<label for="' . $this->get_field_id( 'mw_offer_btn' ) . '" class="mw_widget_offer_label">' . __( 'Offer Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_offer_btn' ) . '" name="' . $this->get_field_name( 'mw_offer_btn' ) . '" class="widefat"  value="' . esc_attr( $mw_offer_btn ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_number' ) . '">' . __( 'Show Contact Number', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_number' ) . '" name="' . $this->get_field_name( 'mw_show_number' ) . '" class="widefat">';
		echo '		<option value="yes" ' . selected( $mw_show_number, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_number, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_location' ) . '">' . __( 'Show Location', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_location' ) . '" name="' . $this->get_field_name( 'mw_show_location' ) . '" class="widefat">';
		echo '		<option value="yes" ' . selected( $mw_show_location, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_location, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_show_test_btn'] = !empty( $new_instance['mw_show_test_btn'] ) ? strip_tags( $new_instance['mw_show_test_btn'] ) : '';
		$instance['mw_test_drive_btn'] = !empty( $new_instance['mw_test_drive_btn'] ) ? strip_tags( $new_instance['mw_test_drive_btn'] ) : '';
		$instance['mw_show_offer_btn'] = !empty( $new_instance['mw_show_offer_btn'] ) ? strip_tags( $new_instance['mw_show_offer_btn'] ) : '';
		$instance['mw_offer_btn'] = !empty( $new_instance['mw_offer_btn'] ) ? strip_tags( $new_instance['mw_offer_btn'] ) : '';
		$instance['mw_show_number'] = !empty( $new_instance['mw_show_number'] ) ? strip_tags( $new_instance['mw_show_number'] ) : '';
		$instance['mw_show_location'] = !empty( $new_instance['mw_show_location'] ) ? strip_tags( $new_instance['mw_show_location'] ) : '';
		return $instance;

	}
}
function register_listing_widgets_profile4() {
	register_widget( 'GenerateWP_Listing_Widget_Profile4' );
}
add_action( 'widgets_init', 'register_listing_widgets_profile4' );

//Profile Detial Style 5
class GenerateWP_Listing_Widget_Profile5 extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mw_detial_style_profile5',
			__( 'Listing Detial Profile Style 5', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'mw_profile_5',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$mw_test_drive_btn = apply_filters('mw_profile_5', empty($instance['mw_test_drive_btn']) ? '' : $instance['mw_test_drive_btn'], $instance, $this->id_base);
		$mw_show_test_btn  = apply_filters('mw_profile_5', empty($instance['mw_show_test_btn']) ? '' : $instance['mw_show_test_btn'], $instance, $this->id_base);
		$mw_show_offer_btn  = apply_filters('mw_profile_5', empty($instance['mw_show_offer_btn']) ? '' : $instance['mw_show_offer_btn'], $instance, $this->id_base);
		$mw_offer_btn  = apply_filters('mw_profile_5', empty($instance['mw_offer_btn']) ? '' : $instance['mw_offer_btn'], $instance, $this->id_base);
		$mw_show_number  = apply_filters('mw_profile_5', empty($instance['mw_show_number']) ? '' : $instance['mw_show_number'], $instance, $this->id_base);
		$mw_show_location  = apply_filters('mw_profile_5', empty($instance['mw_show_location']) ? '' : $instance['mw_show_location'], $instance, $this->id_base);
		//echo $args['before_widget'];

		if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
		{
			$ratings = $type = $posted_id  = $post_author_id = $image_id = '';
			global $localization;
			$allowed_html = maxwheels_allowed_html();
			$mw_id = get_the_ID();
			$post_author_id = get_post_field('post_author', $mw_id);
			$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
			$type 			= get_user_meta($post_author_id, 'user_role_type', true);
			$contact_info = esc_html__('Contact Seller','maxwheels-framework');
			if($type == 'dealer')
			{
				$contact_info = esc_html__('Contact Dealer','maxwheels-framework');
				$ratings = maxwheels_reviews_stats_average($posted_id,'mw-dealer','dealer');
			}
			$remove_extra = '';
			if($mw_show_number == 'no')
			{
				$remove_extra = 'remove_extra';
			}

        ?>
		<div class="single-widget">
			<div class="prof-style-4 prof-style-5">
				<div class="d-flex align-items-center">
							<a class="user-thumb user-thumb-md flex-shrink-0 me-3" href="<?php echo esc_url(get_the_permalink($posted_id)); ?>"><img src="<?php echo esc_url(maxwheels_placeholder_images($type,$posted_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid"></a>
                            <div>
								<?php if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0) { ?>
								<div class="p4-ratings">
									<span class="ratings"> <?php echo wp_kses($ratings['total_stars'],$allowed_html) ; ?><span class="rating-counter"> <?php echo wp_sprintf(esc_html__('(%s Reviews)', 'maxwheels-framework'), $ratings['rated_no_of_times']); ?></span></span>
								</div>	
								<?php } ?>
                                <h3><a class="clr-black" href="<?php echo esc_url(get_the_permalink($posted_id)); ?>"><?php echo get_the_title($posted_id); ?></a></h3>
                                <p class="review_time"><?php echo esc_html($localization['member_since']); ?>: <?php echo maxwheels_user_timeago($post_author_id); ?> </p>
                            </div>
                        </div>
				
				<div class="prof4-extra-details text-start ">
				<?php if($mw_show_number == 'yes' || $mw_show_location == 'yes') { ?>
				<ul>
				<?php if($mw_show_location == 'yes' && $type == 'dealer') { ?>
				<?php if(get_post_meta($posted_id, 'dealer_street_addr', true )!="") {	?>
				<li><img class="inline-mw-prof-details img-fluid" src="<?php echo trailingslashit( get_template_directory_uri () ) . "libs/images/location-pin.png"; ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>"><span class="mw-overflow mw-ellipsis"><?php echo esc_html(get_post_meta($posted_id, 'dealer_street_addr', true )); ?></span>
<?php if(get_post_meta($posted_id, 'dealer_latt', true )!="" && get_post_meta($posted_id, 'dealer_long', true )!="") { ?>		
<a class="explore-nearby" href="https://www.google.com/maps?daddr=<?php echo esc_attr(get_post_meta($posted_id, 'dealer_latt', true )); ?>,<?php echo esc_attr(get_post_meta($posted_id, 'dealer_long', true )); ?>" target="_blank"><?php echo esc_html__('Get Directions','maxwheels-framework');?></a>
<?php } ?>
					</li>
				<?php } } ?>
				 <?php if($mw_show_number == 'yes') {  ?>
				  <li>
					  <img class="inline-mw-prof-details img-fluid" src="<?php echo trailingslashit( get_template_directory_uri () ) . "libs/images/phone-call.png"; ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>"> <span class="mw-show-phone " data-tel="<?php echo esc_attr(get_post_meta($posted_id, $type.'_mobile', true )); ?>"><a href="javascript:void(0)"><?php echo esc_html__('Show Number','maxwheels-framework'); ?></a></span>
					</li>
				  <?php } ?>
				</ul>
				<?php } ?>	
				</div>
				<?php if($mw_show_offer_btn == "yes") { ?>
				<button type="button" class="btn btn-theme w-100" data-bs-toggle="modal"  data-bs-target="#mw-make-offer"><svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M21.41 11.58l-9-9C12.05 2.22 11.55 2 11 2H4c-1.1 0-2 .9-2 2v7c0 .55.22 1.05.59 1.42l9 9c.36.36.86.58 1.41.58s1.05-.22 1.41-.59l7-7c.37-.36.59-.86.59-1.41s-.23-1.06-.59-1.42zM13 20.01L4 11V4h7v-.01l9 9l-7 7.02z" fill="#fff"></path><circle cx="6.5" cy="6.5" r="1.5" fill="#fff"></circle></svg><?php echo esc_html($mw_offer_btn); ?></button>
				<?php } ?>
				<?php if($mw_show_test_btn == 'yes') { ?>
				<div class="single-car-schedule">
						<a href="javascript:void(0)" data-bs-toggle="modal"  data-bs-target="#mw-schedule-offer" class="color-custom-3"><svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><g class="icon-tabler" fill="none" stroke="#626262" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><circle cx="12" cy="12" r="9"></circle><circle cx="12" cy="12" r="2"></circle><path d="M12 14v7"></path><path d="M10 12l-6.75-2"></path><path d="M14 12l6.75-2"></path></g></svg><?php echo esc_html($mw_test_drive_btn); ?></a>
					</div>
				<?php } ?>
			</div>
			<div class="mw-sin-wid mw-new-cont">
				<div class="widget-heading">
					<h2><?php echo esc_html($contact_info); ?></h2>
				</div>
				<form name="contact_author" method="POST" id="mw_contact_author">
					  <div class="row">
						  <div class="col-6">
							  <div class="theme-row">
								  <label><?php echo esc_html__('Your Name','maxwheels'); ?> <span class="req-mark">*</span></label>
								 <span class="wrap">
									<input type="text" autocomplete="off" data-sanitize="trim" data-validation="required" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>." name="c_username" class="form-control text">
								 </span> 
							  </div>
							  </div>
						  <div class="col-6">
					  <div class="theme-row">
						  <label><?php echo esc_html__('Email','maxwheels'); ?> <span class="req-mark">*</span></label>
				   <span class="wrap">
				   <input type="email" autocomplete="off"  data-validation="email" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim" class="form-control text" name="c_email" />
				   </span> 
				</div>
						  </div>
					  </div>	  
					   <div class="theme-row">
						   <label><?php echo esc_html__('Contact No','maxwheels'); ?> <span class="req-mark">*</span></label>
				   <span class="wrap for-my-phone">
				   <input type="text" autocomplete="off" id="myphone" data-validation="required" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim" class="form-control text" name="contact-no" />
				   </span> 
				</div>
					  <div class="theme-row">
						  <label><?php echo esc_html__('Your Message','maxwheels'); ?> <span class="req-mark">*</span></label>
				   <span class="wrap">
				   <textarea cols="10" rows="5" class="w-100"   autocomplete="off" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim"  name="c_msg"></textarea>
				   </span> 
				</div>
				<?php wp_nonce_field( 'prop-contactauthor-nonce', 'contactauthor_nonce' ); ?>
				<input type="hidden" name="listing_id" value="<?php echo esc_attr($mw_id); ?>">
				<button type="submit" class="btn btn-theme sonu-button" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo esc_html__('Send Message','maxwheels-framework'); ?></button>
				</form>
			</div>
		</div>
        <?php
		}
	//	echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_show_test_btn' => '',
			'mw_test_drive_btn' => '',
			'mw_show_offer_btn' => '',
			'mw_offer_btn' => '',
			'mw_show_number' => '',
			'mw_show_location' => '',
		) );
		$mw_test_drive_btn = !empty( $instance['mw_test_drive_btn'] ) ? $instance['mw_test_drive_btn'] :  esc_html__('Schedule Test Drive','maxwheels-framework');
		$mw_show_offer_btn = !empty( $instance['mw_show_offer_btn'] ) ? $instance['mw_show_offer_btn'] : '';
		$mw_show_test_btn = !empty( $instance['mw_show_test_btn'] ) ? $instance['mw_show_test_btn'] : '';
		$mw_offer_btn = !empty( $instance['mw_offer_btn'] ) ? $instance['mw_offer_btn'] : esc_html__('Make an Offer Price','maxwheels-framework');
		$mw_show_number = !empty( $instance['mw_show_number'] ) ? $instance['mw_show_number'] : 'yes';
		$mw_show_location = !empty( $instance['mw_show_location'] ) ? $instance['mw_show_location'] : 'yes';
		$hide_class_1 =$hide_class = '';
		if($mw_show_test_btn == 'no')
		{
			$hide_class = 'mw-hide';
		}
		if( $mw_show_offer_btn == 'no')
		{
			$hide_class_1 = 'mw-hide-1';
		}
		?>
		<script type="text/javascript">
			jQuery(document).ready(function($) { 
				$(document).on('change','.is_show_text_drive_btn',function(){
					if ( this.value == 'yes')
					 {
						$('.show_d_btn').show();
					 }
					 else
					 {
						$('.show_d_btn').hide();
					 };  
				});
				$(document).on('change','.is_show_text_offer_btn',function(){
					if ( this.value == 'yes')
					 {
						$('.show_offer_btn').show();
					 }
					 else
					 {
						$('.show_offer_btn').hide();
					 };  
				});
			}); 
		</script>

<?php

		
		echo "<div class='wd-pre'><label>". __( 'Widget Preview', 'maxwheels-framework' ) . "</label>
			<img class='wid-100' src=".MaxWheels_Theme_Url.'libs/images/options/profile-5.png'."></div>";
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_test_btn' ) . '" class="mw_widget_test_label">' . __( 'Show Test Drive Button', 'maxwheels-framework' ) . '</label>';
		echo '	<select  name="' . $this->get_field_name( 'mw_show_test_btn' ) . '" class="widefat is_show_text_drive_btn">';
		echo '		<option value="yes" ' . selected( $mw_show_test_btn, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_test_btn, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p  class="show_d_btn '.esc_attr($hide_class).'">';
		echo '	<label for="' . $this->get_field_id( 'mw_test_drive_btn' ) . '" class="mw_widget_title_label">' . __( 'Test Drive Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_test_drive_btn' ) . '" name="' . $this->get_field_name( 'mw_test_drive_btn' ) . '" class="widefat"  value="' . esc_attr( $mw_test_drive_btn ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_offer_btn' ) . '" class="mw_widget_states_label">' . __( 'Show Make An Offer Button', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_offer_btn' ) . '" name="' . $this->get_field_name( 'mw_show_offer_btn' ) . '" class="widefat is_show_text_offer_btn">';
		echo '		<option value="yes" ' . selected( $mw_show_offer_btn, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_offer_btn, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p  class="show_offer_btn '.esc_attr($hide_class_1).'">';
		echo '	<label for="' . $this->get_field_id( 'mw_offer_btn' ) . '" class="mw_widget_offer_label">' . __( 'Offer Button Text', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_offer_btn' ) . '" name="' . $this->get_field_name( 'mw_offer_btn' ) . '" class="widefat"  value="' . esc_attr( $mw_offer_btn ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_number' ) . '">' . __( 'Show Contact Number', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_number' ) . '" name="' . $this->get_field_name( 'mw_show_number' ) . '" class="widefat">';
		echo '		<option value="yes" ' . selected( $mw_show_number, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_number, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_show_location' ) . '">' . __( 'Show Location', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_show_location' ) . '" name="' . $this->get_field_name( 'mw_show_location' ) . '" class="widefat">';
		echo '		<option value="yes" ' . selected( $mw_show_location, 'yes', false ) . '> ' . __( 'Yes', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="no" ' . selected( $mw_show_location, 'no', false ) . '> ' . __( 'No', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_show_test_btn'] = !empty( $new_instance['mw_show_test_btn'] ) ? strip_tags( $new_instance['mw_show_test_btn'] ) : '';
		$instance['mw_test_drive_btn'] = !empty( $new_instance['mw_test_drive_btn'] ) ? strip_tags( $new_instance['mw_test_drive_btn'] ) : '';
		$instance['mw_show_offer_btn'] = !empty( $new_instance['mw_show_offer_btn'] ) ? strip_tags( $new_instance['mw_show_offer_btn'] ) : '';
		$instance['mw_offer_btn'] = !empty( $new_instance['mw_offer_btn'] ) ? strip_tags( $new_instance['mw_offer_btn'] ) : '';
		$instance['mw_show_number'] = !empty( $new_instance['mw_show_number'] ) ? strip_tags( $new_instance['mw_show_number'] ) : '';
		$instance['mw_show_location'] = !empty( $new_instance['mw_show_location'] ) ? strip_tags( $new_instance['mw_show_location'] ) : '';
		return $instance;

	}
}
function register_listing_widgets_profile5() {
	register_widget( 'GenerateWP_Listing_Widget_Profile5' );
}
add_action( 'widgets_init', 'register_listing_widgets_profile5' );


