<?php
//Transmission Class
class GenerateWP_Text_Widget extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'transmission_text_widget',
			__( 'Search By Transmission', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
        $transmission = array();
		$selected_transmission = array();
        $transmission = maxwheels_framework_term_fetch('mw-transmission',0);
		if (isset($_GET['transmission']) && $_GET['transmission'] != "" && is_array($_GET['transmission']) && count(array_filter($_GET['transmission'])) > 0) {
			$selected_transmission = $_GET['transmission'];
			$is_show = "show";
		}
        ?>
        <div class="panel-heading"> <a role="button" class="" data-bs-toggle="collapse" href="#transmission-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="transmission-widget" class="panel-collapse collapse <?php echo esc_attr($is_show); ?>">
                  <div class="panel-body">
                   <ul class="list-unstyled">
                   <?php
                    if(!empty($transmission) && is_array($transmission) && count($transmission) > 0 && !is_wp_error($transmission))
                    foreach($transmission as $trans)
                    {
                    ?>
                    <li>
                        <div class="pretty p-svg p-curve">
                            <input type="checkbox" class="my-transm" name="transmission[]" <?php if(in_array($trans->slug,$selected_transmission)){?> checked="checked" <?php } ?> value="<?php echo esc_attr($trans->slug); ?>" />
                            <div class="state  p-primary">
                                <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                <label><?php echo esc_html($trans->name); ?></label>
                            </div>
                        </div>
                    </li>
                    <?php
                    }
                    ?>
                    </ul>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__('Transmission','maxwheels-framework');
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select an Author', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
		return $instance;

	}
}
function generatewp_register_widgets() {
	register_widget( 'GenerateWP_Text_Widget' );
}
add_action( 'widgets_init', 'generatewp_register_widgets' );





class GenerateWP_Text_Widget_Listing_Location extends WP_Widget {
    public function __construct() {
        parent::__construct(
            'country_text_widget_loc',
            __( 'Search By Location/Listing Based', 'maxwheels-framework' ),
            array(
                'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
                'classname'   => 'widget_text',
            )
        );
    }

    public function widget( $args, $instance )
    {
        $title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
        $state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $mw_widget_make  =  empty($instance['mw_widget_make']) ? array() : $instance['mw_widget_make'];
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
        echo $args['before_widget'];
        $cat_slug = '';
        if (isset($_GET['location']) && $_GET['location'] != "")
        {
            $cat_slug = $_GET['location'];
            $is_show = "show";
        }
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#location-widget-location"><?php echo esc_html($title); ?> </a> </div>
        <div id="location-widget-location" class="location-search panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
            <div class="panel-body">
                <?php echo maxwheels_framework_top_seach_parents_locations($cat_slug,'mw-location'); ?>
                <ul class="list-unstyled listing-makes-all">
                    <?php
                    $termchildren = $location = array();
                    if (isset($_GET['location']) && $_GET['location'] != "")
                    {
                        $location = get_term_by('slug',$_GET['location'], 'mw-location');
                        if(!empty($location) &&  count((array) $location) > 0)
                        {
                            $termchildren = get_terms(array('taxonomy'=> $location->taxonomy,'hide_empty' => false,'parent' => (int) $location->term_id) );
                            if(!empty($termchildren) && is_array($termchildren) && count($termchildren) > 0)
                            {
                                foreach ($termchildren as $child)
                                {
                                    ?>
                                    <li>
                                        <div class="pretty p-svg p-curve">
                                            <input class="loc-checks" type="radio" value="<?php echo esc_attr($child->slug); ?>" />
                                            <div class="state p-primary">
                                                <svg class="svg svg-icon" viewBox="0 0 20 20">
                                                    <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                                </svg>
                                                <label><?php echo esc_html($child->name); ?></label>
                                            </div>
                                        </div>
                                    </li>
                                    <?php
                                }
                            }
                        }
                    }
                    else
                    {
                        if(is_array($mw_widget_make) && count($mw_widget_make) > 0)
                        {
                            foreach($mw_widget_make as $makes)
                            {
                                $location = get_term_by('slug',$makes, 'mw-location')
                                ?>
                                <li>
                                    <div class="pretty p-svg p-curve">
                                        <input class="loc-checks" type="radio" value="<?php echo esc_attr($location->slug); ?>" />
                                        <div class="state p-primary">
                                            <svg class="svg svg-icon" viewBox="0 0 20 20">
                                                <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                            </svg>
                                            <label><?php echo esc_html($location->name); ?></label>
                                        </div>
                                    </div>
                                </li>
                                <?php
                            }
                        }
                    }
                    ?>
                </ul>
                <input type="hidden" name="location" value="<?php echo esc_attr($cat_slug); ?>">
            </div>
        </div>
        <?php
        echo $args['after_widget'];
    }

    public function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array(
            'mw_widget_title' => '',
            'mw_widget_state' => '',
            'mw_widget_make' => '',
        ) );
        $mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Location', 'maxwheels-framework' );
        $mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
        $mw_widget_make = !empty( $instance['mw_widget_make'] ) ? $instance['mw_widget_make'] : array();
        echo '<p>';
        echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
        echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
        echo '</p> ';
        echo '<p>';
        echo '	<label for="' . $this->get_field_id( 'mw_widget_make' ) . '" class="mw_mw_widget_make_label">' . __( 'Popular List / Locations', 'maxwheels-framework' ) . '</label>';
        echo '	<select multiple size="15" id="' . $this->get_field_id( 'mw_widget_make' ) . '" name="' . $this->get_field_name( 'mw_widget_make' ) . '[]" class="widefat">';
        ?>
        <?php foreach(get_terms('mw-dealer-locations','parent=0&hide_empty=0') as $term) { ?>
            <option <?php echo in_array($term->slug, $mw_widget_make) ? 'selected="selected"' : ''; ?>  value="<?php echo esc_attr($term->slug); ?>"><?php echo esc_html($term->name); ?></option>
        <?php } ?>
        <?php
        echo '	</select>';
        echo '	<span class="description">' . __( 'Select Locations', 'maxwheels-framework' ) . '</span>';
        echo '</p>';
        echo '<p>';
        echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
        echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
        echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
        echo '	</select>';
        echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
        echo '</p>';
    }
    public function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        $instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
        $instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
        $instance['mw_widget_make'] = esc_sql( $new_instance['mw_widget_make'] );
        return $instance;

    }
}
function generatewp_register_widgets_location_based_listing() {
    register_widget( 'GenerateWP_Text_Widget_Listing_Location' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_location_based_listing' );




















//Condition Class
class GenerateWP_Text_Widget_Condition extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'condition_text_widget',
			__( 'Search By Condition', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
        $condition = array();
        $condition = maxwheels_framework_term_fetch('mw-condition',0);
		$selected_conditions = array();
		if(isset($_GET['condition']) && $_GET['condition']!="" && is_array($_GET['condition']) && count(array_filter($_GET['condition'])) > 0)
		{
			$is_show = "show";
			$selected_conditions = $_GET['condition'];
		}
        ?>
        <div class="panel-heading"> <a role="button" class="" data-bs-toggle="collapse" href="#condition-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="condition-widget" class="panel-collapse collapse <?php echo esc_attr($is_show); ?>" >
                  <div class="panel-body">
                   <ul class="list-unstyled">
                   <?php
                    if(!empty($condition) && is_array($condition) && count($condition) > 0 && !is_wp_error($condition))
                    foreach($condition as $cond)
                    {
                    ?>
                    <li>
                        <div class="pretty p-svg p-curve">
							<input class="my-cond" type="checkbox" name="condition[]" <?php if(in_array($cond->slug,$selected_conditions)){?> checked="checked" <?php } ?> value="<?php echo esc_attr($cond->slug); ?>" />
                            <div class="state  p-primary">
                                <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                <label><?php echo esc_html($cond->name); ?></label>
                            </div>
                        </div>
                    </li>
                    <?php
                    }
                    ?>
                    </ul>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Condition', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
		return $instance;

	}
}
function generatewp_register_widgets_condition() {
	register_widget( 'GenerateWP_Text_Widget_Condition' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_condition' );


//Owners Class
class GenerateWP_Text_Widget_Owners extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'owners_text_widget',
			__( 'Search By Owner Type', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
        $selected_owner = $owners = array();
        $owners = maxwheels_framework_term_fetch('mw-owners',0);
		if (isset($_GET['owners']) && $_GET['owners'] != "" && is_array($_GET['owners']) && count(array_filter($_GET['owners'])) > 0) {
			$selected_owner = $_GET['owners'];
			$is_show = "show";
		} 
        ?>
        <div class="panel-heading"> <a role="button" class="" data-bs-toggle="collapse" href="#owners-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="owners-widget" class="panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                   <ul class="list-unstyled">
                   <?php
                    if(!empty($owners) && is_array($owners) && count($owners) > 0 && !is_wp_error($owners))
                    foreach($owners as $own)
                    {
                    ?>
                    <li>
                        <div class="pretty p-svg p-curve">
                            <input type="checkbox" class="my-owns" name="owners[]" <?php if(in_array($own->slug,$selected_owner)){?> checked="checked" <?php } ?> value="<?php echo esc_attr($own->slug); ?>" />
                            <div class="state  p-primary">
                                <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                <label><?php echo esc_html($own->name); ?></label>
                            </div>
                        </div>
                    </li>
                    <?php
                    }
                    ?>
                    </ul>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Owner Type', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
		return $instance;
	}
}
function generatewp_register_widgets_owners() {
	register_widget( 'GenerateWP_Text_Widget_Owners' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_owners' );


//Fuel Type Class
class GenerateWP_Text_Widget_Fuel extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'fuel_text_widget',
			__( 'Search By Fuel Type', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
        $fuel = array();
		$selected_fuel = array();
        $fuel = maxwheels_framework_term_fetch('mw-fuel',0);
		if (isset($_GET['fuel']) && $_GET['fuel'] != "" && is_array($_GET['fuel']) && count(array_filter($_GET['fuel'])) > 0) {
			$selected_fuel = $_GET['fuel'];
			$is_show = "show";
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#fuel-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="fuel-widget" class="panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                   <ul class="list-unstyled">
                   <?php
                    if(!empty($fuel) && is_array($fuel) && count($fuel) > 0 && !is_wp_error($fuel))
                    foreach($fuel as $fuelz)
                    {
                    ?>
                    <li>
                        <div class="pretty p-svg p-curve">
                            <input type="checkbox" class="my-fuel" <?php if(in_array($fuelz->slug,$selected_fuel)){?> checked="checked" <?php } ?> name="fuel[]" value="<?php echo esc_attr($fuelz->slug); ?>" />
                            <div class="state  p-primary">
                                <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                <label><?php echo esc_html($fuelz->name); ?></label>
                            </div>
                        </div>
                    </li>
                    <?php
                    }
                    ?>
                    </ul>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Fuel Type', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
		return $instance;
	}
}
function generatewp_register_widgets_fuel() {
	register_widget( 'GenerateWP_Text_Widget_Fuel' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_fuel' );


//Seller Type Class
class GenerateWP_Text_Widget_Seller extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'seller_text_widget',
			__( 'Search By Seller Type', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
		$selected_seller = array();
		if (isset($_GET['seller-type']) && $_GET['seller-type'] != "" && is_array($_GET['seller-type']) && count(array_filter($_GET['seller-type'])) > 0) {
			$selected_seller = $_GET['seller-type'];
			$is_show = "show";
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#seller-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="seller-widget" class="panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                   <ul class="list-unstyled">
                    <li>
                            <div class="pretty p-svg p-curve">
                                 <input type="checkbox" class="my-sellers" name="seller-type[]" <?php if(in_array("dealer",$selected_seller)){?> checked="checked" <?php } ?> value="dealer" />
                                <div class="state p-primary">
                                    <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                    <label><?php echo esc_html__('Dealer','maxwheels-framework'); ?></label>
                                </div>
                            </div>
                    </li>
                    <li>
                        <div class="pretty p-svg p-curve">
                                <input type="checkbox" class="my-sellers" name="seller-type[]" <?php if(in_array("buyer",$selected_seller)){?> checked="checked" <?php } ?> value="buyer" />
                                <div class="state p-primary">
                                    <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                    <label><?php echo esc_html__('Individual','maxwheels-framework'); ?></label>
                                </div>
                            </div>
                    </li>
                    </ul>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Seller Type', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
		return $instance;
	}
}
function generatewp_register_widgets_seller() {
	register_widget( 'GenerateWP_Text_Widget_Seller' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_seller' );



//Body Type Class
class GenerateWP_Text_Widget_Body extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'body_text_widget',
			__( 'Search By Body Type', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
        $body = array();
        $body = maxwheels_framework_term_fetch('mw-bodytype',0);
		$selected_bodies = array();
		if (isset($_GET['body-types']) && $_GET['body-types'] != "" && is_array($_GET['body-types']) && count(array_filter($_GET['body-types'])) > 0)
		{
			$is_show = "show";
			$selected_bodies = $_GET['body-types'];
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#body-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="body-widget" class="panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                   <ul class="list-unstyled">
                    <?php
                    if(!empty($body) && is_array($body) && count($body) > 0 && !is_wp_error($body))
                    foreach($body as $bodies)
                    {
                          $img_link = '';
                          if(get_term_meta($bodies->term_id,'mw-bodytype_term_meta_img', true )!="")
                          {  
                              $image_id =  get_term_meta($bodies->term_id,'mw-bodytype_term_meta_img', true );
                              $image_attributes = wp_get_attachment_image_src($image_id,'full');
                              if ( $image_attributes )
                              {
                                  $img_link = $image_attributes[0];
                              }
                              else
                             {
                               $img_link =  MaxWheels_Plugin_Url  . 'libs/images/placeholder.png';
                             }
                          }
						  else
						  {
						   	$img_link =  MaxWheels_Plugin_Url  . 'libs/images/placeholder.png';
						  }
                    ?>
                    <li>
                       <div class="body-typebox">
                        <div class="custom-control custom-checkbox image-checkbox">
							 <input type="checkbox" <?php if(in_array($bodies->slug,$selected_bodies)){?> checked="checked" <?php } ?> class="custom-control-input my-body-type" id="<?php echo esc_attr($bodies->slug); ?>" name="body-types[]" value="<?php echo esc_attr($bodies->slug); ?>">
                            <label class="custom-control-label" for="<?php echo esc_attr($bodies->slug); ?>">
                                <img src="<?php echo esc_url($img_link); ?>" alt="#" class="img-fluid">
                                 <span class="bodytype-name"><span><?php echo esc_html($bodies->name); ?></span></span>
                            </label>
                          
                        </div>
                        </div>
                       </li>
                    <?php 
                    }
                    ?>
                  </ul>   
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Body Type', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
		return $instance;
	}
}
function generatewp_register_widgets_body() {
	register_widget( 'GenerateWP_Text_Widget_Body' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_body' );




//Exterior Color Class
class GenerateWP_Text_Widget_Exterior extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'exterior_text_widget',
			__( 'Search By Exterior Color', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
        $selected_exterior = $exterior = array();
        $exterior = maxwheels_framework_term_fetch('mw-exterior-color',0);
		if (isset($_GET['exterior-colors']) && $_GET['exterior-colors'] != ""  && is_array($_GET['exterior-colors']) && count(array_filter($_GET['exterior-colors'])) > 0) {
			$selected_exterior =  $_GET['exterior-colors'];
			$is_show = "show";
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#ext-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="ext-widget" class="panel-collapse for-colors collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                   <ul class="list-unstyled">
                    <?php
                    if(!empty($exterior) && is_array($exterior) && count($exterior) > 0 && !is_wp_error($exterior))
                    foreach($exterior as $ext)
                    {
                    ?>
                    <li>
                        <div class="custom-control custom-checkbox image-checkbox">
                            <input type="checkbox" class="my-ext-clr custom-control-input" id="<?php echo esc_attr($ext->slug); ?>" name="exterior-colors[]" <?php if(in_array($ext->slug,$selected_exterior)){?> checked="checked" <?php } ?> value="<?php echo esc_attr($ext->slug); ?>">
                            <label data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="<?php echo esc_attr($ext->name); ?>"  class="custom-control-label" for="<?php echo esc_attr($ext->slug); ?>">
                                 <span class="inline-color" style="background-color: <?php echo get_term_meta( $ext->term_id, 'labels_title_color', true ); ?>"></span>
                            </label>
                        </div>
                       </li>
                    <?php 
                    }
                    ?>
                  </ul>   
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Exterior', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
		return $instance;
	}
}
function generatewp_register_widgets_exterior() {
	register_widget( 'GenerateWP_Text_Widget_Exterior' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_exterior' );




//By Milage
class GenerateWP_Text_Widget_Mileage extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'mileage_text_widget',
			__( 'Search By Mileage', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $mw_min_mile  = apply_filters('widget_text', empty($instance['mw_min_mile']) ? '10' : $instance['mw_min_mile'], $instance);
        $mw_max_mile  = apply_filters('widget_text', empty($instance['mw_max_mile']) ? '' : $instance['mw_max_mile'], $instance);
        $steps_intervals  = apply_filters('widget_text', empty($instance['steps_intervals']) ? '1000' : $instance['steps_intervals'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
		$m_to = $m_from = $mil_values  = $mileage  = $by_mileage = '';
		if (isset($_GET['km-driven']) && $_GET['km-driven'] != "") {
			$mileage     = $_GET['km-driven'];
			$mil_values  = explode(";", $mileage);
			$m_from      = $mil_values[0]; 
			$m_to        = $mil_values[1];
			$is_show = "show";
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#mileage-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="mileage-widget" class="panel-collapse kms-driv collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                    <input type="text" class="js-range-slider-mileage" name="km-driven" value=""
                        data-type="double"
                        data-min="<?php echo esc_attr($mw_min_mile); ?>"
                        data-max="<?php echo esc_attr($mw_max_mile); ?>"
						data-from="<?php echo esc_attr($m_from); ?>"
					    data-to="<?php echo esc_attr($m_to); ?>"
                        data-grid="true"
                        data-postfix=" <?php echo maxwheels_framework_get_options('mw_car_mileage_unit'); ?> "
                        data-step="<?php echo esc_attr($steps_intervals); ?>"
                    />
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
            'mw_min_mile' => '',
            'mw_max_mile' => '',
            'steps_intervals' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Kilometers Driven', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
        $mw_min_mile  = apply_filters('widget_text', empty($instance['mw_min_mile']) ? '0' : $instance['mw_min_mile'], $instance);
        $mw_max_mile  = apply_filters('widget_text', empty($instance['mw_max_mile']) ? '' : $instance['mw_max_mile'], $instance);
        $steps_intervals  = apply_filters('widget_text', empty($instance['steps_intervals']) ? '1000' : $instance['steps_intervals'], $instance);
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_min_mile' ) . '" class="mw_min_mile_label">' . __( 'Min Mileage', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_min_mile' ) . '" name="' . $this->get_field_name( 'mw_min_mile' ) . '" class="widefat"  value="' . esc_attr( $mw_min_mile ) . '">';
		echo '</p> ';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_max_mile' ) . '" class="mw_max_mile_label">' . __( 'Max Mileage', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_max_mile' ) . '" name="' . $this->get_field_name( 'mw_max_mile' ) . '" class="widefat"  value="' . esc_attr( $mw_max_mile ) . '">';
		echo '</p> ';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'steps_intervals' ) . '" class="steps_intervals_label">' . __( 'Steps Interval', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'steps_intervals' ) . '" name="' . $this->get_field_name( 'steps_intervals' ) . '" class="widefat"  value="' . esc_attr( $steps_intervals ) . '">';
		echo '</p> ';
        
        
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
        $instance['mw_min_mile']     = !empty( $new_instance['mw_min_mile'] ) ? strip_tags( $new_instance['mw_min_mile'] ) : '';
        $instance['mw_max_mile']     = !empty( $new_instance['mw_max_mile'] ) ? strip_tags( $new_instance['mw_max_mile'] ) : '';
        $instance['steps_intervals'] = !empty( $new_instance['steps_intervals'] ) ? strip_tags( $new_instance['steps_intervals'] ) : '';
		return $instance;
	}
}
function generatewp_register_widgets_mileage() {
	register_widget( 'GenerateWP_Text_Widget_Mileage' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_mileage' );


//Year Class
class GenerateWP_Text_Widget_Year extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'year_text_widget',
			__( 'Search By Year', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
        $year = array();
		$selected_years = array();	
        $year = maxwheels_framework_term_fetch('mw-year',0);
		if (isset($_GET['years']) && $_GET['years'] != "" && is_array($_GET['years']) && count(array_filter($_GET['years'])) > 0) {
			$selected_years = $_GET['years'];
			$is_show = "show";
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#year-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="year-widget" class="panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                   <ul class="list-unstyled">
                   <?php
                    if(!empty($year) && is_array($year) && count($year) > 0 && !is_wp_error($year))
                    foreach($year as $years)
                    {
                    ?>
                    <li>
                        <div class="pretty p-svg p-curve">
                            <input type="checkbox" class="my-year" name="years[]" <?php if(in_array($years->slug,$selected_years)){?> checked="checked" <?php } ?> value="<?php echo esc_attr($years->slug); ?>" />
                            <div class="state  p-primary">
                                <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                <label><?php echo esc_html($years->name); ?></label>
                            </div>
                        </div>
                    </li>
                    <?php
                    }
                    ?>
                    </ul>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Year', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
		return $instance;

	}
}
function generatewp_register_widgets_year() {
	register_widget( 'GenerateWP_Text_Widget_Year' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_year' );



//Drive Type
class GenerateWP_Text_Widget_Drive extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'drive_text_widget',
			__( 'Search By Drive Type', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
        $selected_drives = $drive = array();
        $drive = maxwheels_framework_term_fetch('mw-drive',0);
		if (isset($_GET['drive-type']) && $_GET['drive-type'] != "" && is_array($_GET['drive-type']) && count(array_filter($_GET['drive-type'])) > 0) {
			$selected_drives = $_GET['drive-type'];
			$is_show = "show";
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#drive-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="drive-widget" class="panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                   <ul class="list-unstyled">
                   <?php
                    if(!empty($drive) && is_array($drive) && count($drive) > 0 && !is_wp_error($drive))
                    foreach($drive as $drives)
                    {
                    ?>
                    <li>
                        <div class="pretty p-svg p-curve">
                            <input type="checkbox" class="my-drive" name="drive-type[]" <?php if(in_array($drives->slug,$selected_drives)){?> checked="checked" <?php } ?> value="<?php echo esc_attr($drives->slug); ?>" />
                            <div class="state  p-primary">
                                <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                <label><?php echo esc_html($drives->name); ?></label>
                            </div>
                        </div>
                    </li>
                    <?php
                    }
                    ?>
                    </ul>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Drive Type', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
		return $instance;

	}
}
function generatewp_register_widgets_drive() {
	register_widget( 'GenerateWP_Text_Widget_Drive' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_drive' );



//By Search Price
class GenerateWP_Text_Widget_Price extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'price_text_widget',
			__( 'Search By Price', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $mw_min_price  = apply_filters('widget_text', empty($instance['mw_min_price']) ? '1' : $instance['mw_min_price'], $instance);
        $mw_max_price  = apply_filters('widget_text', empty($instance['mw_max_price']) ? '' : $instance['mw_max_price'], $instance);
        $steps_intervals  = apply_filters('widget_text', empty($instance['steps_intervals']) ? '1000' : $instance['steps_intervals'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		$max_price = $min_price  = '';
		echo $args['before_widget'];
		if(!empty($_GET['min-price']) && !empty($_GET['max-price'])) {
			$is_show = "show";
			$min_price = doubleval($_GET['min-price']);
			$max_price = doubleval($_GET['max-price']);
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#price-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="price-widget" class="panel-collapse kms-driv collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                    <input type="text" class="js-range-slider-price" value=""
                        data-type="double"
                        data-min="<?php echo esc_attr($mw_min_price); ?>"
                        data-max="<?php echo esc_attr($mw_max_price); ?>"
					    data-from="<?php echo esc_attr($min_price); ?>"
					    data-to="<?php echo esc_attr($max_price); ?>"
                        data-grid="true"
                        data-prefix=" <?php echo maxwheels_framework_get_options('mw_single_currency'); ?> "
                        data-step="<?php echo esc_attr($steps_intervals); ?>"
                    />
                      <div class="extra-controls">
                          <div class="input-group">
                             <input type="text" class="form-control js-input-from" name="min-price" placeholder="<?php echo esc_attr('From','maxwheels-framework'); ?>" value="<?php echo esc_attr($mw_min_price); ?>" />
                             <input type="text" class="form-control js-input-to" name="max-price" placeholder="<?php echo esc_attr('To','maxwheels-framework'); ?>" value="<?php echo esc_attr($mw_max_price); ?>" />
                              <div class="input-group-append">
                                  <button type="button" class="mw-price-search">
                                    <i class="fas fa-search"></i>
                                  </button>
                                </div>
                            </div>
                    </div>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
            'mw_min_price' => '',
            'mw_max_price' => '',
            'steps_intervals' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Price', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
        $mw_min_price = !empty( $instance['mw_min_price'] ) ? $instance['mw_min_price'] : '0';
        $mw_max_price = !empty( $instance['mw_max_price'] ) ? $instance['mw_max_price'] : '';
        $steps_intervals = !empty( $instance['steps_intervals'] ) ? $instance['steps_intervals'] : '1000';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_min_price' ) . '" class="mw_min_price_label">' . __( 'Min Price', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_min_price' ) . '" name="' . $this->get_field_name( 'mw_min_price' ) . '" class="widefat"  value="' . esc_attr( $mw_min_price ) . '">';
		echo '</p> ';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_max_price' ) . '" class="mw_max_price_label">' . __( 'Max Price', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_max_price' ) . '" name="' . $this->get_field_name( 'mw_max_price' ) . '" class="widefat"  value="' . esc_attr( $mw_max_price ) . '">';
		echo '</p> ';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'steps_intervals' ) . '" class="steps_intervals_label">' . __( 'Steps Interval', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'steps_intervals' ) . '" name="' . $this->get_field_name( 'steps_intervals' ) . '" class="widefat"  value="' . esc_attr( $steps_intervals ) . '">';
		echo '</p> ';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
        $instance['mw_min_price'] = !empty( $new_instance['mw_min_price'] ) ? strip_tags( $new_instance['mw_min_price'] ) : '';
        $instance['mw_max_price'] = !empty( $new_instance['mw_max_price'] ) ? strip_tags( $new_instance['mw_max_price'] ) : '';
        $instance['steps_intervals'] = !empty( $new_instance['steps_intervals'] ) ? strip_tags( $new_instance['steps_intervals'] ) : '';
		return $instance;
	}
}
function generatewp_register_widgets_price() {
	register_widget( 'GenerateWP_Text_Widget_Price' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_price' );



//Search By Keyword
class GenerateWP_Text_Widget_Keyword extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'keyword_text_widget',
			__( 'Search By Keyword', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $mw_widget_placholder  = apply_filters('widget_text', empty($instance['mw_widget_placholder']) ? '' : $instance['mw_widget_placholder'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
		$by_title = '';
		if (isset($_GET['by_title']) && $_GET['by_title'] != "")
		{
			$by_title =  trim($_GET['by_title']);
			$is_show = "show";
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#keyword-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="keyword-widget" class="keyword-search panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                       <div class="typeahead__container">
            <div class="typeahead__field">
                <div class="typeahead__query">
                    <input name="by_title" value="<?php echo esc_attr($by_title); ?>" autocomplete="off" type="search" class="for_search_pages form-control specific_search" placeholder="<?php echo esc_attr($mw_widget_placholder); ?>">
                </div>
                <div class="typeahead__button">
                <button type="button">
                    <i class="fas fa-search"></i>
                </button>
            </div>
            </div>
        </div>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
            'mw_widget_placholder' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'What Are You Looking For', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
        $mw_widget_placholder = !empty( $instance['mw_widget_placholder'] ) ? $instance['mw_widget_placholder'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_placholder' ) . '" class="mw_widget_placholder_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_placholder' ) . '" placeholder="'.esc_attr__("Keyword (e.g 'Honda')","maxwheels-framework").'" name="' . $this->get_field_name( 'mw_widget_placholder' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_placholder ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
        $instance['mw_widget_placholder'] = !empty( $new_instance['mw_widget_placholder'] ) ? strip_tags( $new_instance['mw_widget_placholder'] ) : '';
		return $instance;

	}
}
function generatewp_register_widgets_keyword() {
	register_widget( 'GenerateWP_Text_Widget_Keyword' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_keyword' );


//Search By Makes/Categories
class GenerateWP_Text_Widget_Category extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'category_text_widget',
			__( 'Search By Category/Makes', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);

        $mw_widget_make  =  isset($instance['mw_widget_make'])   &&  !empty($instance['mw_widget_make']) ? $instance['mw_widget_make'] : array() ;


        $is_show = "dont-show";

        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }

        echo $args['before_widget'];
		$cat_slug = '';
        if (isset($_GET['category']) && $_GET['category'] != "")
		{
			$cat_slug = $_GET['category'];
			$is_show = "show";
		}

        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#category-widget"><?php echo esc_html($title); ?> </a> </div>
        <div id="category-widget" class="category-search panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
					  <?php echo maxwheels_framework_top_seach_parents($cat_slug,'mw-category'); ?>
                      <ul class="list-unstyled parent-makes-all">
                       <?php
                       $termchildren = $category = array();
						if (isset($_GET['category']) && $_GET['category'] != "")
						{

							$category = get_term_by('slug',$_GET['category'], 'mw-category');
							if(!empty($category) &&  count((array) $category) > 0)
							{
								$termchildren = get_terms(array('taxonomy'=> $category->taxonomy,'hide_empty' => false,'parent' => (int) $category->term_id) );
								if(!empty($termchildren) && is_array($termchildren) && count($termchildren) > 0)
								{
									foreach ($termchildren as $child)
                    				{
									?>
						  			<li>
										<div class="pretty p-svg p-curve">
											<input class="make-check" type="radio" value="<?php echo esc_attr($child->slug); ?>" />
											<div class="state p-primary">
												<svg class="svg svg-icon" viewBox="0 0 20 20">
											<path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
										</svg>
												<label><?php echo esc_html($child->name); ?></label>
											</div>
										</div>
									</li>
						  			<?php
									}
								}
							}
						}
						else
						{

							if(is_array($mw_widget_make) && count($mw_widget_make) > 0 )
							{
								foreach($mw_widget_make as $makes)
								{
									$category = get_term_by('slug',$makes, 'mw-category')
								?>
									<li>
										<div class="pretty p-svg p-curve">
											<input class="make-check" type="radio" value="<?php echo esc_attr($category->slug); ?>" />
											<div class="state p-primary">
												<svg class="svg svg-icon" viewBox="0 0 20 20">
											<path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
										</svg>
												<label><?php echo esc_html($category->name); ?></label>
											</div>
										</div>
									</li>
								<?php
								}
							}
						}
                        ?>
                     </ul>
                     <input type="hidden" name="category" value="<?php echo esc_attr($cat_slug); ?>">
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
            'mw_widget_make' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Make', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
        $mw_widget_make = !empty( $instance['mw_widget_make'] ) ? $instance['mw_widget_make'] : array();
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_make' ) . '" class="mw_mw_widget_make_label">' . __( 'Popular Makes/ Categories', 'maxwheels-framework' ) . '</label>';
		echo '	<select multiple size="15" id="' . $this->get_field_id( 'mw_widget_make' ) . '" name="' . $this->get_field_name( 'mw_widget_make' ) . '[]" class="widefat">';
        ?>
                    <?php foreach(get_terms('mw-category','parent=0&hide_empty=0') as $term) { ?>
                        <option <?php echo in_array($term->slug, $mw_widget_make) ? 'selected="selected"' : ''; ?>  value="<?php echo esc_attr($term->slug); ?>"><?php echo esc_html($term->name); ?></option>
                    <?php } ?>      
        <?php
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Popular Categories', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
        $instance['mw_widget_make'] = $new_instance['mw_widget_make'];
		return $instance;
 
	}
}
function generatewp_register_widgets_category() {
	register_widget( 'GenerateWP_Text_Widget_Category' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_category' );


//Search By GeoLocation
class GenerateWP_Text_Widget_GeoLocation extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'geoLocation_text_widget',
			__( 'Search By Radius', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $mw_min_mile  = apply_filters('widget_text', empty($instance['mw_min_mile']) ? '0' : $instance['mw_min_mile'], $instance);
        $mw_max_mile  = apply_filters('widget_text', empty($instance['mw_max_mile']) ? '' : $instance['mw_max_mile'], $instance);
        $steps_intervals  = apply_filters('widget_text', empty($instance['steps_intervals']) ? '10' : $instance['steps_intervals'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
		$show_me_slider = $distance = $long = $latt = '';
		if (isset($_GET['latitude']) && $_GET['latitude'] != "" && isset($_GET['longitude']) && $_GET['longitude'] != "" && isset($_GET['distance']) && $_GET['distance'] != "" && $_GET['distance'] > 0)
		{
			$latt = $_GET['latitude'];
			$long = $_GET['longitude'];
			$distance = $_GET['distance'];
			$is_show = "show";
			$show_me_slider = 'show-geo-slider';
		}
        ?>
        <div class="panel-heading"> <a role="button" class="" data-bs-toggle="collapse" href="#geoloc-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="geoloc-widget" class="panel-collapse kms-driv collapse <?php echo esc_attr($is_show); ?>">
                  <div class="panel-body near-mee">
                    <button class="btn btn-outline btn-block sonu-button for-radius-get" type="button" id="find_btn" data-spinner-text="<?php echo esc_attr__('Processing...','maxwheels-framework'); ?>"><i class="far fa-compass" aria-hidden="true"></i> &nbsp; <?php echo esc_html__('Near Me','maxwheels-framework'); ?></button>
                      <div class="only-for-radius <?php echo esc_attr($show_me_slider); ?>">
                          <input type="text" class="radius-range" name="distance" value="<?php echo esc_attr($distance); ?>"
                            data-type="single"     
                            data-min="<?php echo esc_attr($mw_min_mile); ?>"
                            data-max="<?php echo esc_attr($mw_max_mile); ?>"
							data-from="<?php echo esc_attr($distance); ?>"
                            data-grid="true"
                            data-postfix=" Km "
                            data-step="<?php echo esc_attr($steps_intervals); ?>"
                        />
                        <input type="hidden" name="latitude" value="<?php echo esc_attr($latt); ?>">
                        <input type="hidden" name="longitude" value="<?php echo esc_attr($long); ?>">
                      </div>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
            'mw_min_mile' => '',
            'mw_max_mile' => '',
            'steps_intervals' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Detect My Location', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
        $mw_min_mile  = apply_filters('widget_text', empty($instance['mw_min_mile']) ? '0' : $instance['mw_min_mile'], $instance);
        $mw_max_mile  = apply_filters('widget_text', empty($instance['mw_max_mile']) ? '500' : $instance['mw_max_mile'], $instance);
        $steps_intervals  = apply_filters('widget_text', empty($instance['steps_intervals']) ? '1' : $instance['steps_intervals'], $instance);
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_min_mile' ) . '" class="mw_min_mile_label">' . __( 'Min Radius', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_min_mile' ) . '" name="' . $this->get_field_name( 'mw_min_mile' ) . '" class="widefat"  value="' . esc_attr( $mw_min_mile ) . '">';
		echo '</p> ';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_max_mile' ) . '" class="mw_max_mile_label">' . __( 'Max Radius', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_max_mile' ) . '" name="' . $this->get_field_name( 'mw_max_mile' ) . '" class="widefat"  value="' . esc_attr( $mw_max_mile ) . '">';
		echo '</p> ';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'steps_intervals' ) . '" class="steps_intervals_label">' . __( 'Steps Interval', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'steps_intervals' ) . '" name="' . $this->get_field_name( 'steps_intervals' ) . '" class="widefat"  value="' . esc_attr( $steps_intervals ) . '">';
		echo '</p> ';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
        $instance['mw_min_mile']     = !empty( $new_instance['mw_min_mile'] ) ? strip_tags( $new_instance['mw_min_mile'] ) : '';
        $instance['mw_max_mile']     = !empty( $new_instance['mw_max_mile'] ) ? strip_tags( $new_instance['mw_max_mile'] ) : '';
        $instance['steps_intervals'] = !empty( $new_instance['steps_intervals'] ) ? strip_tags( $new_instance['steps_intervals'] ) : '';
		return $instance;
	}
}
function generatewp_register_widgets_geoLocation() {
	register_widget( 'GenerateWP_Text_Widget_GeoLocation' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_geoLocation' );



//Labels/Offers Class
class GenerateWP_Text_Widget_Offers extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'offers_text_widget',
			__( 'Search By Offers', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
        $transmission = array();
		$selected_type = array();
        $type = maxwheels_framework_term_fetch('mw-Labels',0);
		if (isset($_GET['type']) && $_GET['type'] != "" && is_array($_GET['type']) && count(array_filter($_GET['type'])) > 0) {
			$selected_type = $_GET['type'];
			$is_show = "show";
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#offer-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="offer-widget" class="panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                   <ul class="list-unstyled">
                   <?php
                    if(!empty($type) && is_array($type) && count($type) > 0 && !is_wp_error($type))
                    foreach($type as $offer_types)
                    {
                    ?>
                    <li>
                        <div class="pretty p-svg p-curve">
                            <input type="checkbox" class="my-types" name="type[]" <?php if(in_array($offer_types->slug,$selected_type)){?> checked="checked" <?php } ?> value="<?php echo esc_attr($offer_types->slug); ?>" />
                            <div class="state  p-primary">
                                <svg class="svg svg-icon" viewBox="0 0 20 20">
                                        <path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
                                    </svg>
                                <label><?php echo esc_html($offer_types->name); ?></label>
                            </div>
                        </div>
                    </li>
                    <?php
                    }
                    ?>
                    </ul>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__('Offer Type','maxwheels-framework');
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select an Author', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
		return $instance;

	}
}
function generatewp_register_offer_widgets() {
	register_widget( 'GenerateWP_Text_Widget_Offers' );
}
add_action( 'widgets_init', 'generatewp_register_offer_widgets' );


//Search By Keyword Dealer
class GenerateWP_Text_Widget_Keyword_Dealers extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'keyword_text_widget_dealers',
			__( 'Search By Dealer Name', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}
	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $mw_widget_placholder  = apply_filters('widget_text', empty($instance['mw_widget_placholder']) ? '' : $instance['mw_widget_placholder'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
		$by_title = '';
		if (isset($_GET['by_title']) && $_GET['by_title'] != "")
		{
			$by_title =  trim($_GET['by_title']);
			$is_show = "show";
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#keyword-widget-dealer"><?php echo esc_html($title); ?> </a> </div>	
            <div id="keyword-widget-dealer" class="keyword-search panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                       <div class="typeahead__container">
            <div class="typeahead__field">
                <div class="typeahead__query">
                    <input name="by_title" value="<?php echo esc_attr($by_title); ?>" autocomplete="off" type="search" class="for_search_pages form-control specific_search" placeholder="<?php echo esc_attr($mw_widget_placholder); ?>">
                </div>
                <div class="typeahead__button">
                <button type="button">
                    <i class="fas fa-search"></i>
                </button>
            </div>
            </div>
        </div>
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
            'mw_widget_placholder' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Search By Name', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
        $mw_widget_placholder = !empty( $instance['mw_widget_placholder'] ) ? $instance['mw_widget_placholder'] : esc_html__( 'e.g Max Motors', 'maxwheels-framework' );
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_placholder' ) . '" class="mw_widget_placholder_label">' . __( 'Placeholder', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_placholder' ) . '" placeholder="'.esc_attr__("Max Motors","maxwheels-framework").'" name="' . $this->get_field_name( 'mw_widget_placholder' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_placholder ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
        $instance['mw_widget_placholder'] = !empty( $new_instance['mw_widget_placholder'] ) ? strip_tags( $new_instance['mw_widget_placholder'] ) : '';
		return $instance;
	}
}
function generatewp_register_widgets_keyword_search() {
	register_widget( 'GenerateWP_Text_Widget_Keyword_Dealers' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_keyword_search' );



//Search By Google Auto Places
class GenerateWP_Text_Widget_Google_Places extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'places_text_widget_dealers',
			__( 'Search By Google Paces', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}
	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $mw_widget_placholder  = apply_filters('widget_text', empty($instance['mw_widget_placholder']) ? '' : $instance['mw_widget_placholder'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
		$places_search = '';
		if (isset($_GET['places_search']) && $_GET['places_search'] != "")
		{
			$places_search =  trim($_GET['places_search']);
			$is_show = "show";
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#places-widget-dealer"><?php echo esc_html($title); ?> </a> </div>	
            <div id="places-widget-dealer" class="places-search panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
                       <input id="mx_autocomplete_search" name="places_search" type="text" class="form-control" placeholder="<?php echo esc_attr($mw_widget_placholder); ?>" value="<?php echo esc_attr($places_search); ?>" />
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
            'mw_widget_placholder' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Search By Address', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
        $mw_widget_placholder = !empty( $instance['mw_widget_placholder'] ) ? $instance['mw_widget_placholder'] : esc_html__( '58 Grange Road London', 'maxwheels-framework' );
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_placholder' ) . '" class="mw_widget_placholder_label">' . __( 'Placeholder', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_placholder' ) . '" placeholder="' . esc_attr( $mw_widget_placholder ) . '" name="' . $this->get_field_name( 'mw_widget_placholder' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_placholder ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
        $instance['mw_widget_placholder'] = !empty( $new_instance['mw_widget_placholder'] ) ? strip_tags( $new_instance['mw_widget_placholder'] ) : '';
		return $instance;
	}
}
function generatewp_register_widgets_search_places() {
	register_widget( 'GenerateWP_Text_Widget_Google_Places' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_search_places' );


//Search By Location Based
class GenerateWP_Text_Widget_Location extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'country_text_widget',
			__( 'Search By Location/Dealer Based', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $mw_widget_make  = empty($instance['mw_widget_make']) ? '' : $instance['mw_widget_make'];

        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		echo $args['before_widget'];
		$cat_slug = '';
        if (isset($_GET['location']) && $_GET['location'] != "")
		{
			$cat_slug = $_GET['location'];
			$is_show = "show";
		}
        ?>
        <div class="panel-heading" > <a role="button" class="" data-bs-toggle="collapse" href="#location-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="location-widget" class="location-search panel-collapse collapse <?php echo esc_attr($is_show); ?>" role="tabpanel">
                  <div class="panel-body">
					  <?php echo maxwheels_framework_top_seach_parents($cat_slug,'mw-dealer-locations'); ?>
                      <ul class="list-unstyled dealers-makes-all">
                       <?php
						$termchildren = $location = array();
						if (isset($_GET['location']) && $_GET['location'] != "")
						{
							$location = get_term_by('slug',$_GET['location'], 'mw-dealer-locations');
							if(!empty($location) &&  count((array) $location) > 0)
							{
								$termchildren = get_terms(array('taxonomy'=> $location->taxonomy,'hide_empty' => false,'parent' => (int) $location->term_id) );
								if(!empty($termchildren) && is_array($termchildren) && count($termchildren) > 0)
								{
									foreach ($termchildren as $child)
                    				{
									?>
						  			<li>
										<div class="pretty p-svg p-curve">
											<input class="loc-check" type="radio" value="<?php echo esc_attr($child->slug); ?>" />
											<div class="state p-primary">
												<svg class="svg svg-icon" viewBox="0 0 20 20">
											<path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
										</svg>
												<label><?php echo esc_html($child->name); ?></label>
											</div>
										</div>
									</li>
						  			<?php
									}
								}
							}
						}
						else
						{
							if(is_array($mw_widget_make) && count($mw_widget_make) > 0)
							{
								foreach($mw_widget_make as $makes)
								{
									$location = get_term_by('slug',$makes, 'mw-dealer-locations');
								?>
									<li>
										<div class="pretty p-svg p-curve">
											<input class="loc-check" type="radio" value="<?php echo esc_attr($location->slug); ?>" />
											<div class="state p-primary">
												<svg class="svg svg-icon" viewBox="0 0 20 20">
											<path d="M7.629,14.566c0.125,0.125,0.291,0.188,0.456,0.188c0.164,0,0.329-0.062,0.456-0.188l8.219-8.221c0.252-0.252,0.252-0.659,0-0.911c-0.252-0.252-0.659-0.252-0.911,0l-7.764,7.763L4.152,9.267c-0.252-0.251-0.66-0.251-0.911,0c-0.252,0.252-0.252,0.66,0,0.911L7.629,14.566z" style="stroke: white;fill:white;"></path>
										</svg>
												<label><?php echo esc_html($location->name); ?></label>
											</div>
										</div>
									</li>
								<?php
								}
							}
						}
                        ?>
                     </ul>
                     <input type="hidden" name="location" value="<?php echo esc_attr($cat_slug); ?>">
                  </div>
            </div>
        <?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
            'mw_widget_make' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__( 'Location', 'maxwheels-framework' );
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
        $mw_widget_make = !empty( $instance['mw_widget_make'] ) ? $instance['mw_widget_make'] : array();
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
        echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_make' ) . '" class="mw_mw_widget_make_label">' . __( 'Popular List / Locations', 'maxwheels-framework' ) . '</label>';
		echo '	<select multiple size="15" id="' . $this->get_field_id( 'mw_widget_make' ) . '" name="' . $this->get_field_name( 'mw_widget_make' ) . '[]" class="widefat">';
        ?>
                    <?php foreach(get_terms('mw-dealer-locations','parent=0&hide_empty=0') as $term) { ?>
                        <option <?php echo in_array($term->slug, $mw_widget_make) ? 'selected="selected"' : ''; ?>  value="<?php echo esc_attr($term->slug); ?>"><?php echo esc_html($term->name); ?></option>
                    <?php } ?>      
        <?php
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Locations', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select Widget State', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
        $instance['mw_widget_make'] = esc_sql( $new_instance['mw_widget_make'] );
		return $instance;
 
	}
}
function generatewp_register_widgets_location_based() {
	register_widget( 'GenerateWP_Text_Widget_Location' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_location_based' );

//Custom Fields
class GenerateWP_Text_Widget_Custom_Fields extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'acf_mw_fields',
			__( 'Search By Custom Fields', 'maxwheels-framework' ),
			array(
				'description' => __( 'Text or HTML content.', 'maxwheels-framework' ),
				'classname'   => 'widget_text',
			)
		);
	}

	public function widget( $args, $instance )
    {
		$title = apply_filters('widget_title', empty($instance['mw_widget_title']) ? '' : $instance['mw_widget_title'], $instance, $this->id_base);
		$state  = apply_filters('widget_text', empty($instance['mw_widget_state']) ? '' : $instance['mw_widget_state'], $instance);
        $is_show = "dont-show";
        if(isset($state) && $state =="open")
        {
            $is_show = "show";
        }
		$make_me_none = 'none';
		$fields_data = array();
		if (isset($_GET['category']) && $_GET['category'] != "")
		{
			$get_cat_slug = $_GET['category'];
			$category_details = get_term_by('slug',$get_cat_slug, 'mw-category');
			if(!empty($category_details))
			{
				$category_id = $category_details->term_id;
				$template_group_key = apply_filters('maxwheels_framework_acf_get_group_key', '', $category_id);
				$fields_data = acf_get_fields($template_group_key);
				if(!empty($fields_data) && is_array($fields_data) && count($fields_data) > 0)
				{
					$make_me_none = '';
					foreach ($fields_data as $field_key => $field_val)
					{
						$cus_field_name = $field_val['name'];
						if ($field_val['type'] == 'checkbox') {
							$cus_field_name = str_replace("[]", "", $field_val['name']);
						}

						$acf_data = isset($_GET[$cus_field_name]) && $_GET[$cus_field_name] != '' ? $_GET[$cus_field_name] : '';

						if ($field_val['type'] == 'checkbox' && $acf_data != '') {
							$acf_data = explode(',', $acf_data[0]);
						}

						if (isset($acf_data) && $acf_data != '') {
							$fields_data[$field_key]['value'] = $acf_data;
						}
					}
				}
			}
			
			

			
			
			
		}
		//echo $args['before_widget'];
		echo '<div class="panel panel-default on-mw-request '.esc_attr($make_me_none).'">';
        /*if(in_array('advanced-custom-fields/acf.php', apply_filters('active_plugins', get_option('active_plugins'))) && class_exists('ACF'))
		{
			$static_array = array(
                "by_title"=> esc_html__('Title','maxwheels-framework'),
                "condition"=> "mw-condition",
				"type"=> "mw-Labels",
                "body-types"=> "mw-bodytype",
                "fuel"=> "mw-fuel",
                "years"=> "mw-year",
                "transmission"=> "mw-transmission",
                "drive-type"=> "mw-drive",
                "exterior-colors"=> "mw-exterior-color",
                "owners"=> "mw-owners",
                "km-driven"=> esc_html__('Mileage','maxwheels-framework'),
                "seller-type" => esc_html__('Seller Type','maxwheels-framework'),
                "min-price"=> esc_html__('Price','maxwheels-framework'),
                "distance"=> esc_html__('Near Me','maxwheels-framework'),
				"inventory-author"=> "",
				"category"=> "",
				"max-price"=> "",
				"layout-type"=> "",
        	);
		}
		print_r(array_keys($_GET));*/
        ?>
        <div class="panel-heading"> <a role="button" class="" data-bs-toggle="collapse" href="#mw-custom-fields-widget"><?php echo esc_html($title); ?> </a> </div>	
            <div id="mw-custom-fields-widget" class="mw-custom-fields-widget panel-collapse collapse <?php echo esc_attr($is_show); ?>">
                  <div class="panel-body">
					<div class="load-acf-custom"></div>
                   	<div id="dynamic-custom-fields-search">
					  <?php
						if(!empty($fields_data) && is_array($fields_data) && count($fields_data) > 0)
						{
							
							$col = 'col-12';
							$cus_type = 'search-page';
							$custom_fields_html = apply_filters('maxwheels_framework_acf_frontend_html', '', $fields_data, 0, $col, $cus_type);
							if(!empty($custom_fields_html) && $custom_fields_html != '0')
							{
								echo maxwheels_strings('true', $custom_fields_html);
							}
						}
					  ?>
					</div>
                  </div>
            </div>
        <?php
		echo '</div>';
		//echo $args['after_widget'];
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 
			'mw_widget_title' => '',
			'mw_widget_state' => '',
		) );
		$mw_widget_title = !empty( $instance['mw_widget_title'] ) ? $instance['mw_widget_title'] :  esc_html__('Additional Fields','maxwheels-framework');
		$mw_widget_state = !empty( $instance['mw_widget_state'] ) ? $instance['mw_widget_state'] : '';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_title' ) . '" class="mw_widget_title_label">' . __( 'Title', 'maxwheels-framework' ) . '</label>';
		echo '	<input type="text" id="' . $this->get_field_id( 'mw_widget_title' ) . '" name="' . $this->get_field_name( 'mw_widget_title' ) . '" class="widefat"  value="' . esc_attr( $mw_widget_title ) . '">';
		echo '</p> ';
		echo '<p>';
		echo '	<label for="' . $this->get_field_id( 'mw_widget_state' ) . '" class="mw_widget_state_label">' . __( 'Widget State', 'maxwheels-framework' ) . '</label>';
		echo '	<select id="' . $this->get_field_id( 'mw_widget_state' ) . '" name="' . $this->get_field_name( 'mw_widget_state' ) . '" class="widefat">';
		echo '		<option value="close" ' . selected( $mw_widget_state, 'close', false ) . '> ' . __( 'Close', 'maxwheels-framework' ) . '</option>';
        echo '		<option value="open" ' . selected( $mw_widget_state, 'open', false ) . '> ' . __( 'Open', 'maxwheels-framework' ) . '</option>';
		echo '	</select>';
		echo '	<span class="description">' . __( 'Select an Author', 'maxwheels-framework' ) . '</span>';
		echo '</p>';
	}
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mw_widget_title'] = !empty( $new_instance['mw_widget_title'] ) ? strip_tags( $new_instance['mw_widget_title'] ) : '';
		$instance['mw_widget_state'] = !empty( $new_instance['mw_widget_state'] ) ? strip_tags( $new_instance['mw_widget_state'] ) : '';
		return $instance;

	}
}
function generatewp_register_widgets_custom() {
	register_widget( 'GenerateWP_Text_Widget_Custom_Fields' );
}
add_action( 'widgets_init', 'generatewp_register_widgets_custom' );

