<?php
/**
 * maxwheels functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package maxwheels
 */
add_action( "after_setup_theme", "maxwheels_setup" );
if ( ! function_exists( "maxwheels_setup" ) ) 
{
	/*Theme Settings*/
	function maxwheels_setup() 
	{
		/* Theme Settings */
		require trailingslashit( get_template_directory () ) . "inc/theme_settings.php";
		/* Custom Navigation Walker */
        require trailingslashit(get_template_directory()) . "inc/nav.php";
		/* Load Redux Options */
		require trailingslashit( get_template_directory () ) . "inc/options.php";
		/* Theme localization */
		require trailingslashit( get_template_directory () ) . "inc/localization.php";
		/* Theme Functions */
		require trailingslashit( get_template_directory () ) . "inc/theme_functions.php";
		/* Theme Utilities */
		require trailingslashit( get_template_directory () ) . "inc/theme_utilities.php";
		/* Theme Typo */
		require trailingslashit( get_template_directory () ) . "inc/typography.php";
		/* Theme Classes */
		require trailingslashit( get_template_directory () ) . "inc/classes/index.php";
        /*Load the WPML function File*/
        require trailingslashit(get_template_directory()) . "inc/wpml_functions.php";
        /* Theme TGM */
		require trailingslashit( get_template_directory () ) . "tgm/tgm-init.php";
		define('MaxWheels_Plugin_Paths', plugin_dir_path(__FILE__));	
	}
}
/* ------------------------------------------------ */
/* Enqueue scripts and styles. */
/* ------------------------------------------------ */
add_action( "wp_enqueue_scripts", "maxwheels_scripts" );
function maxwheels_scripts()
{
	/* Enqueue scripts. */
    require_once   trailingslashit(get_template_directory()) . "libs/Mobile_Detect.php";
    wp_enqueue_script( "bootstrap", trailingslashit( get_template_directory_uri () ) . "libs/js/bootstrap.min.js", array("jquery"), false, true);
	wp_enqueue_script( "sb-menu", trailingslashit( get_template_directory_uri () ) . "libs/js/sbmenu.js", false, false, true );
	wp_enqueue_script( "validate", trailingslashit( get_template_directory_uri () ) . "libs/js/jquery.validate.min.js", false, false, true );
	wp_enqueue_script( "plugins", trailingslashit( get_template_directory_uri () ) . "libs/js/plugins.js", false, false, true );
	//for admin panels
	if(is_singular('mw-dealer') && get_post_type(get_the_ID()) == 'mw-dealer' || is_page_template('page-dashboard.php') && isset($_GET['page-type']) && $_GET['page-type'] == 'my-profile' || isset($_GET['page-type']) && $_GET['page-type'] == 'submit-property')
	{
		//if maps are enabled.
		if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
		{
			if(maxwheels_strings('mw_opt_enable_map') == '1')
			{
				if(!empty(maxwheels_strings('mw_opt_map_selection')) && maxwheels_strings('mw_opt_map_selection') == "open_street")
				{
					wp_enqueue_style( 'leaflet',  MaxWheels_Plugin_Url . 'libs/css/leaflet.css' );
					wp_enqueue_script( 'leaflet',  MaxWheels_Plugin_Url . 'libs/js/leaflet.js', false, false, true );
					wp_enqueue_script( 'leaflet-search',  MaxWheels_Plugin_Url . 'libs/js/leaflet-search.js', false, false, true );
				}
				if(!empty(maxwheels_strings('mw_opt_map_selection')) && maxwheels_strings('mw_opt_map_selection') == "mapbox")
				{
					wp_enqueue_script( 'mapbox',  MaxWheels_Plugin_Url . 'libs/css/mapbox/mapbox-gl.js', false, false, true );
					wp_enqueue_script( 'mapbox-geocoder',  MaxWheels_Plugin_Url . 'libs/css/mapbox/geocoder.min.js', false, false, true );
					wp_enqueue_style( 'mapbox',  MaxWheels_Plugin_Url . 'libs/css/mapbox/mapbox-gl.css' );
					wp_enqueue_style( 'mapbox-geocoder',  MaxWheels_Plugin_Url . 'libs/css/mapbox/geocoder.css' );
				}
			}
		}
	}
	if(is_page_template('page-signup.php') || is_page_template('page-signin.php'))
	{
		wp_enqueue_script("hello",trailingslashit(get_template_directory_uri())."libs/js/hello.js", array("jquery"), false, true);	
	}
	if(is_page_template('page-home.php'))
	{
		 wp_enqueue_style( "swiper", trailingslashit( get_template_directory_uri () )  . "libs/css/plugins/swiper.css" );
		 wp_enqueue_style( "animate", trailingslashit( get_template_directory_uri () )  . "libs/css/plugins/animate.css" );
		 wp_enqueue_script("swiper",trailingslashit(get_template_directory_uri())."libs/js/plugins/swiper.js", array("jquery"), false, true);
		wp_enqueue_script("swiper-animation",trailingslashit(get_template_directory_uri())."libs/js/plugins/swiper-animation.js", array("jquery"), false, true);
	}
	if(is_singular('mx-listings') && get_post_type(get_the_ID()) == 'mx-listings')
	{
		if(maxwheels_strings('mw_opt_enable_map') == '1')
		{
			if(!empty(maxwheels_strings('mw_opt_map_selection')) && maxwheels_strings('mw_opt_map_selection') == "open_street")
			{
				wp_enqueue_style( 'leaflet',  MaxWheels_Plugin_Url . 'libs/css/leaflet.css' );
				wp_enqueue_script( 'leaflet',  MaxWheels_Plugin_Url . 'libs/js/leaflet.js', false, false, true );
				wp_enqueue_script( 'leaflet-search',  MaxWheels_Plugin_Url . 'libs/js/leaflet-search.js', false, false, true );
			}
			if(!empty(maxwheels_strings('mw_opt_map_selection')) && maxwheels_strings('mw_opt_map_selection') == "google_map")
			{
				if(maxwheels_strings('mw_opt_gmap_api_key') !='')
				{
					wp_enqueue_script( "google-map", "//maps.googleapis.com/maps/api/js?v=3&libraries=places&key=".maxwheels_strings('mw_opt_gmap_api_key')."", false, false, true );
				}
			}
			if(!empty(maxwheels_strings('mw_opt_map_selection')) && maxwheels_strings('mw_opt_map_selection') == "mapbox")
			{
				wp_enqueue_script( 'mapbox',  MaxWheels_Plugin_Url . 'libs/css/mapbox/mapbox-gl.js', false, false, true );
				wp_enqueue_script( 'mapbox-geocoder',  MaxWheels_Plugin_Url . 'libs/css/mapbox/geocoder.min.js', false, false, true );
				wp_enqueue_style( 'mapbox',  MaxWheels_Plugin_Url . 'libs/css/mapbox/mapbox-gl.css' );
				wp_enqueue_style( 'mapbox-geocoder',  MaxWheels_Plugin_Url . 'libs/css/mapbox/geocoder.css' );
			}
		}
        wp_enqueue_style( "flexslider", trailingslashit( get_template_directory_uri () )  . "libs/css/plugins/flexslider.css" );
        if(is_rtl())
        {
            wp_enqueue_style( "flexslider-rtl", trailingslashit( get_template_directory_uri () )  . "libs/css/plugins/flexslider-rtl.css" );
        }
		wp_enqueue_style( "fancybox", trailingslashit( get_template_directory_uri () )  . "libs/css/plugins/jquery.fancybox.min.css" );
		wp_enqueue_script("flexslider",trailingslashit(get_template_directory_uri())."libs/js/plugins/flexslider.js", array("jquery"), false, true);
		wp_enqueue_script("jquery-charts",trailingslashit(get_template_directory_uri())."libs/js/plugins/chart.min.js", array("jquery"), false, true);
		wp_enqueue_script("maxwheels-stats",trailingslashit(get_template_directory_uri())."libs/js/stats.js", array("jquery"), false, true);
		wp_enqueue_script("jquery-fancybox",trailingslashit(get_template_directory_uri())."libs/js/plugins/jquery.fancybox.min.js", array("jquery"), false, true);
	}
	if(isset($_GET['page-type']) && $_GET['page-type'] == 'dashboard' || is_page_template('page-dashboard.php') && empty($_GET['page-type']))
	{
		wp_enqueue_script("jquery-charts",trailingslashit(get_template_directory_uri())."libs/js/plugins/chart.min.js", array("jquery"), false, true);
		wp_enqueue_script("maxwheels-stats",trailingslashit(get_template_directory_uri())."libs/js/stats.js", array("jquery"), false, true);
		//if maps are enabled.
		if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
		{
			if(maxwheels_strings('mw_opt_enable_map') == '1')
			{
				if(!empty(maxwheels_strings('mw_opt_map_selection')) && maxwheels_strings('mw_opt_map_selection') == "open_street")
				{
					wp_enqueue_style( 'leaflet',  MaxWheels_Plugin_Url . 'libs/css/leaflet.css' );
					wp_enqueue_script( 'leaflet',  MaxWheels_Plugin_Url . 'libs/js/leaflet.js', false, false, true );
					wp_enqueue_script( 'leaflet-search',  MaxWheels_Plugin_Url . 'libs/js/leaflet-search.js', false, false, true );
				}
				if(!empty(maxwheels_strings('mw_opt_map_selection')) && maxwheels_strings('mw_opt_map_selection') == "google_map")
				{
					if(maxwheels_strings('mw_opt_gmap_api_key') !='')
					{
						wp_enqueue_script( "google-map", "//maps.googleapis.com/maps/api/js?v=3&libraries=places&key=".maxwheels_strings('mw_opt_gmap_api_key')."", false, false, true );
					}
				}
				if(!empty(maxwheels_strings('mw_opt_map_selection')) && maxwheels_strings('mw_opt_map_selection') == "mapbox")
				{
					wp_enqueue_script( 'mapbox',  MaxWheels_Plugin_Url . 'libs/css/mapbox/mapbox-gl.js', false, false, true );
					wp_enqueue_script( 'mapbox-geocoder',  MaxWheels_Plugin_Url . 'libs/css/mapbox/geocoder.min.js', false, false, true );
					wp_enqueue_style( 'mapbox',  MaxWheels_Plugin_Url . 'libs/css/mapbox/mapbox-gl.css' );
					wp_enqueue_style( 'mapbox-geocoder',  MaxWheels_Plugin_Url . 'libs/css/mapbox/geocoder.css' );
				}
			}
		}
		
	}


    if(is_page_template('page-submit-listings-step2.php') && in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
    {
        if(maxwheels_strings('mw_opt_enable_map') == '1')
        {
            if(!empty(maxwheels_strings('mw_opt_map_selection')) && maxwheels_strings('mw_opt_map_selection') == "open_street")
            {
                wp_enqueue_style( 'leaflet',  MaxWheels_Plugin_Url . 'libs/css/leaflet.css' );
                wp_enqueue_script( 'leaflet',  MaxWheels_Plugin_Url . 'libs/js/leaflet.js', false, false, true );
                wp_enqueue_script( 'leaflet-search',  MaxWheels_Plugin_Url . 'libs/js/leaflet-search.js', false, false, true );
            }
            if(!empty(maxwheels_strings('mw_opt_map_selection')) && maxwheels_strings('mw_opt_map_selection') == "google_map")
            {
                if(maxwheels_strings('mw_opt_gmap_api_key') !='')
                {
                    wp_enqueue_script( "google-map", "//maps.googleapis.com/maps/api/js?v=3&libraries=places&key=".maxwheels_strings('mw_opt_gmap_api_key')."", false, false, true );
                }
            }
            if(!empty(maxwheels_strings('mw_opt_map_selection')) && maxwheels_strings('mw_opt_map_selection') == "mapbox")
            {
                wp_enqueue_script( 'mapbox',  MaxWheels_Plugin_Url . 'libs/css/mapbox/mapbox-gl.js', false, false, true );
                wp_enqueue_script( 'mapbox-geocoder',  MaxWheels_Plugin_Url . 'libs/css/mapbox/geocoder.min.js', false, false, true );
                wp_enqueue_style( 'mapbox',  MaxWheels_Plugin_Url . 'libs/css/mapbox/mapbox-gl.css' );
                wp_enqueue_style( 'mapbox-geocoder',  MaxWheels_Plugin_Url . 'libs/css/mapbox/geocoder.css' );
            }
        }
    }



	wp_enqueue_style( "ntlTelInput", trailingslashit( get_template_directory_uri () )  . "libs/css/plugins/intlTelInput.min.css" );
    wp_enqueue_script("intlTelInput",trailingslashit(get_template_directory_uri())."libs/js/plugins/intlTelInput.min.js", array("jquery"), false, true);
	if( is_singular() && comments_open() && ( get_option( 'thread_comments' ) == 1) )
	{
		wp_enqueue_script("comment-reply", "", true);	
	}

	wp_enqueue_script("isotope",trailingslashit(get_template_directory_uri())."libs/js/plugins/isotope.js", false, false, true);
	wp_enqueue_script("masonry");
	wp_enqueue_script("jquery-businessHours",trailingslashit(get_template_directory_uri())."libs/js/plugins/jquery.businessHours.js", array("jquery"), false, true);
	wp_enqueue_script( "chart-loader", trailingslashit(get_template_directory_uri())."libs/js/plugins/chart-loader.js", array("jquery"), false, true );
	if(maxwheels_strings('mw_opt_gmap_api_key') !='')
	{
		wp_enqueue_script( "google-map", "//maps.googleapis.com/maps/api/js?v=3&libraries=places&key=".maxwheels_strings('mw_opt_gmap_api_key')."", false, false, true );
	}
	
	wp_enqueue_script( "countdown", trailingslashit( get_template_directory_uri () )  . "libs/js/plugins/countdown.js", array("jquery"), false, true );
	wp_enqueue_script( "maxwheels-custom", trailingslashit( get_template_directory_uri () )  . "libs/js/theme-custom.js", array("jquery"), false, true );
	if(is_page_template('page-dashboard.php'))
	{
		wp_enqueue_script( "maxwheels-dashboard", trailingslashit( get_template_directory_uri () )  . "libs/js/dashboard.js", array("jquery"), false, true );
	}
    if(is_page_template('page-submit-listings.php') || is_page_template('page-submit-listings-step2.php'))
	{
        wp_enqueue_script('jquery-ui-sortable');
		wp_enqueue_script( "maxwheels-submission", trailingslashit( get_template_directory_uri () )  . "libs/js/submission/submission.js", array("jquery"), false, true );
	}
	if(is_page_template('page-dealers-search.php'))
	{
		wp_enqueue_script("maxwheels-agency",trailingslashit(get_template_directory_uri())."libs/js/search/dealer.js", false, false, true);	
	}
	if(is_page_template('page-agents-search.php'))
	{
		wp_enqueue_script("maxwheels-agent",trailingslashit(get_template_directory_uri())."libs/js/search/agent.js", false, false, true);	
	}
	
    if(!is_page_template('page-dealers-search.php') && !is_page_template('page-agents-search.php'))
    {
        wp_enqueue_script("maxwheels-search",trailingslashit(get_template_directory_uri())."libs/js/search/listings.js", false, false, true);

    }
	/* Load the stylesheets. */
	wp_enqueue_style( "maxwheels-style", get_stylesheet_uri() );
	wp_enqueue_style( 'google-fonts', 'https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,400;0,700;0,900;1,400;1,700&display=swap', array(), true);
    if(is_rtl())
    {
        wp_enqueue_style( "bootstrap", trailingslashit( get_template_directory_uri () )  . "libs/css/rtl/bootstrap-rtl.css" );
    }
    else
    {
	   wp_enqueue_style( "bootstrap", trailingslashit( get_template_directory_uri () )  . "libs/css/bootstrap.min.css" );
    }
	wp_enqueue_style( "maxwheels-icons", trailingslashit( get_template_directory_uri () )  . "libs/css/theme-fonts.css" );
	wp_enqueue_style( "plugins", trailingslashit( get_template_directory_uri () )  . "libs/css/plugins.css" );
	//for admin panels
	if(is_page_template('page-dashboard.php'))
	{
		wp_enqueue_style( "maxwheels-dashboard", trailingslashit( get_template_directory_uri () )  . "libs/css/dashboard/dashboard.css" );
	}
	
	if(maxwheels_strings('mw_selected_header') !="" && maxwheels_strings('mw_selected_header') =="5" || maxwheels_strings('mw_selected_header') !="" && maxwheels_strings('mw_selected_header') =="shop")
	{
		wp_enqueue_style( "hc-off-canvas", trailingslashit( get_template_directory_uri () )  . "libs/css/plugins/hc-offcanvas-nav.css" );
		wp_enqueue_script( 'hc-off-canvas',trailingslashit(get_template_directory_uri()).'libs/js/plugins/hc-offcanvas-nav.js', false, false, true );
	}
	
	wp_enqueue_style( "maxwheels-main", trailingslashit( get_template_directory_uri () )  . "libs/css/theme.css" );
    if(is_rtl())
    {
       wp_enqueue_style( "maxwheels-main-rtl", trailingslashit( get_template_directory_uri () )  . "libs/css/rtl/theme-rtl.css" );
       wp_enqueue_style( "maxwheels-responsive", trailingslashit( get_template_directory_uri () )  . "libs/css/rtl/responsive-rtl.css" );
    }
    else
    {
        wp_enqueue_style( "maxwheels-responsive", trailingslashit( get_template_directory_uri () )  . "libs/css/responsive.css" );
    }
}

//remove empty cart html	
remove_action( 'woocommerce_cart_is_empty', 'wc_empty_cart_message', 10, 2);
add_action( 'woocommerce_cart_is_empty', 'maxwheels_framework_custom_empty_cart_message', 10, 2);
function maxwheels_framework_custom_empty_cart_message() {
     echo maxwheels_strings_allow_html( apply_filters( 'wc_empty_cart_message', __( 'Your cart is currently empty.', 'maxwheels' ) ) );
}

if ( ! function_exists( "maxwheel_body_classes" ) ) 
{
	function maxwheel_body_classes( $classes )
	{
		if (class_exists('Redux'))
		{
			$classes[]  = 'is-active-plug';
		}
		if(maxwheels_strings('mw_selected_header') !="" && maxwheels_strings('mw_selected_header') =="5")
		{
			if(get_post_meta(get_the_ID(), 'show_trans_header', true )!="" && get_post_meta(get_the_ID(), 'primary_color', true )!="")
			{
				$classes[] = '';
			}
			else
			{
				$classes[] = 'in-case-head5';
			}
			
		}
		return $classes;
	}
}
add_filter( 'body_class', 'maxwheel_body_classes' );


if(in_array('redux-framework/redux-framework.php', apply_filters('active_plugins', get_option('active_plugins')))) {
    function max_elementor_pro()
    {
        ?>
      <button class="scroll-top scroll-to-target" data-target="html"><span class="fas fa-angle-up"></span></button>
     <?php
     get_template_part( 'template-parts/authorization/password','reset' );
     get_template_part( 'template-parts/dashboard/role/assign','role' );
     get_template_part( 'template-parts/compare/compare','listings' );
     get_template_part( 'template-parts/modals/modals','listings' );
     get_template_part( 'template-parts/mobile/nav' );
    $rtl = 0;
     if ( is_rtl() ){$rtl = 1;}
     ?>
    <input type="hidden" name="is_rtl" value="<?php echo esc_attr($rtl); ?>">
    <?php
      $is_curr_loc = 0;
       if(isset($_COOKIE['user_current_latt']) && isset($_COOKIE['user_current_long'])) {
	 $is_curr_loc = 1;
     }
      ?>
        <input type="hidden" name="is_curr_location" value="<?php echo esc_attr($is_curr_loc); ?>">
        <div class="modal fade" id="vinModalCenter" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-body">
                        <img src="<?php echo esc_url(get_template_directory_uri() . "/libs/images/vin.png"); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid mx-auto d-block p-3" />
                        <h3><?php echo esc_html__('Where is my VIN?','maxwheels'); ?></h3>
                        <p><?php echo esc_html__('The VIN is a unique identification number for your vehicle. It is 17 characters in length.','maxwheels'); ?></p>
                        <ol>
                            <li>
                                <h4><?php echo esc_html__('Under the windscreen wipers','maxwheels'); ?></h4>
                                <p><?php echo esc_html__('Visible through the bottom of the windscreen','maxwheels'); ?></p>
                            </li>
                            <li>
                                <h4><?php echo esc_html__('Engine Bay','maxwheels'); ?></h4>
                                <p><?php echo esc_html__('Under the bonnet, usually at the front or back','maxwheels'); ?></p>
                            </li>
                            <li>
                                <h4><?php echo esc_html__('Stamped on the chassis','maxwheels'); ?></h4>
                                <p><?php echo esc_html__('Some utes and 4WDs, visible within a wheel arch','maxwheels'); ?></p>
                            </li>
                            <li>
                                <h4><?php echo esc_html__('Inside front door','maxwheels'); ?></h4>
                                <p><?php echo esc_html__('Open the door and look on the frame','maxwheels'); ?></p>
                            </li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

       <?php

    }

    add_action('wp_footer', 'max_elementor_pro');
}
