<?php
// Submit Form Fields
if( !function_exists('maxwheels_strings') )
{
    function maxwheels_strings($paramz,$extra_param = '')
	{
        if(empty($extra_param))
        {
            global $maxwheels_options;
            if(isset($maxwheels_options[$paramz]) &&  $maxwheels_options[$paramz] !="")
            {
                return $maxwheels_options[$paramz];
            }
            else
            {
                return '';
            }  
        }
        else
        {
            return $extra_param;
        }
	}
}

// Site Main Logo
if (!function_exists('maxwheels_site_logo')) {

    function maxwheels_site_logo()
	{
		$image_attributes = '';$image_id = '';
        $logo = trailingslashit(get_template_directory_uri()) . 'libs/images/logo.svg';
		$is_sticky = trailingslashit(get_template_directory_uri()) . 'libs/images/logo.svg';
		$is_mobile = trailingslashit(get_template_directory_uri()) . 'libs/images/logo.svg';
        global $maxwheels_options;
		if(get_post_meta( get_the_ID(), 'show_trans_header', true )!="" && get_post_meta( get_the_ID(), 'show_trans_header', true )=="1")
		{
			 $logo = trailingslashit(get_template_directory_uri()) . 'libs/images/logo-white.svg';
			 $image_attributes = '';
			 if(get_post_meta( get_the_ID(), 'mw_page_log', true )!="" )
			 {
				$a_id = get_post_meta( get_the_ID(), 'mw_page_log', true );
				$image_attributes = wp_get_attachment_image_src($a_id);
				if ( $image_attributes )
				{
					$logo = $image_attributes[0];
				}
				else
				{
					if (isset($maxwheels_options["mw_trans_logo"]["url"]) && $maxwheels_options["mw_trans_logo"]["url"] != "")
					 {
						$logo = $maxwheels_options["mw_trans_logo"]["url"];
					 }
				}
			 }
			else
			{
				 if (isset($maxwheels_options["mw_main_logo"]["url"]) && $maxwheels_options["mw_main_logo"]["url"] != "") {
            	$logo = $maxwheels_options["mw_main_logo"]["url"];
       		 }
			}
		}
		else
		{
			 if (isset($maxwheels_options["mw_main_logo"]["url"]) && $maxwheels_options["mw_main_logo"]["url"] != "") {
            	$logo = $maxwheels_options["mw_main_logo"]["url"];
       		 }
		}
        
		$stick_logo = $sticky_logo ='';
		if (isset($maxwheels_options["mw_sticky_logo"]["url"]) && $maxwheels_options["mw_sticky_logo"]["url"] != "")
		{
            $sticky_logo = $maxwheels_options["mw_sticky_logo"]["url"];
			$stick_logo = 'data-sticky-logo="'.$sticky_logo.'"';
			
        }
		else
		{
			$stick_logo = 'data-sticky-logo="'.$is_sticky.'"';
		}
		$is_mobile_logo = $mobile_logo ='';
		if (isset($maxwheels_options["mw_mobile_logo"]["url"]) && $maxwheels_options["mw_mobile_logo"]["url"] != "")
		{
            $mobile_logo = $maxwheels_options["mw_mobile_logo"]["url"];
			$is_mobile_logo = 'data-mobile-logo="'.$mobile_logo.'"';
        }
		else
		{
			$is_mobile_logo = 'data-mobile-logo="'.$is_mobile.'"';
		}
		return '<div class="logo" '.$stick_logo.' '.$is_mobile_logo.'>
                <a href="'.esc_url(home_url("/")).'"><img src="'.esc_url($logo).'" alt="'. esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)).'"/></a>
			</div>';
    }
}
if (!function_exists('maxwheels_site_logo_only')) {

    function maxwheels_site_logo_only()
	{
		$image_id = '';
        $logo = trailingslashit(get_template_directory_uri()) . 'libs/images/logo.svg';
        global $maxwheels_options;
        if (isset($maxwheels_options["mw_main_logo"]["url"]) && $maxwheels_options["mw_main_logo"]["url"] != "") {
            $logo = $maxwheels_options["mw_main_logo"]["url"];
        }
		return '<a href="'.esc_url(home_url("/")).'"><img class="logo-for-auth img-fluid mb-2 mb-md-2" src="'.esc_url($logo).'" alt="'. esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)).'"/></a>';
    }

}

// Site Footer Logo
if (!function_exists('maxwheels_site_footer_logo')) {

    function maxwheels_site_footer_logo()
	{
        global $maxwheels_options;
		$image_id = '';
        $logo = trailingslashit(get_template_directory_uri()) . 'libs/images/logo-white.svg';
        if (isset($maxwheels_options["mw_footer_logo"]["url"]) && $maxwheels_options["mw_footer_logo"]["url"] != "") {
            $logo = $maxwheels_options["mw_footer_logo"]["url"];
        }
        return '<img src="' . esc_url($logo) . '" alt="'. esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)).'" class="img-fluid" />';
    }
}

// Submit Form Fields
if( !function_exists('maxwheels_placeholder_images') )
{
    function maxwheels_placeholder_images($type,$post_id = '',$thumbnail_size = '')
	{
		global $maxwheels_options;
		$field_name = 'mw_def_dealer_placeholder';
		$placeholder_img = trailingslashit(get_template_directory_uri()) . 'libs/images/dealer-logo.png';
		if($type == "dealer")
		{
			$field_name = 'mw_def_dealer_placeholder';
			$placeholder_img = trailingslashit(get_template_directory_uri()) . 'libs/images/dealer-logo.png';
		}
		if($type == "agent")
		{
			$field_name = 'mw_def_agent_placeholder';
			$placeholder_img = trailingslashit(get_template_directory_uri()) . 'libs/images/agency.jpg';
		}
		
		if($type == "buyer")
		{
			$field_name = 'mw_def_buyer_logo';
			$placeholder_img = trailingslashit(get_template_directory_uri()) . 'libs/images/default-imag.jpg';
		}
		
		if(isset($post_id) && $post_id !="")
		{
			if(has_post_thumbnail($post_id))
			{
				$image = wp_get_attachment_image_src(get_post_thumbnail_id($post_id), $thumbnail_size);
				if(!empty($image)) {
				return 	$placeholder_img = $image[0];
				}
			}
			else
			{
				if(is_array($maxwheels_options[$field_name]) && $maxwheels_options[$field_name]["url"] !="")
				{
					$placeholder_img = $maxwheels_options[$field_name]["url"];
				}
			}
		}
		else
		{
			if(is_array($maxwheels_options[$field_name]) && $maxwheels_options[$field_name]["url"] !="")
			{
				$placeholder_img = $maxwheels_options[$field_name]["url"];
			}
		}
		return $placeholder_img;
	}
}

// Profile Cover Image
if( !function_exists('maxwheels_placeholder_cover') )
{
	function maxwheels_placeholder_cover($post_id)
	{
		global $maxwheels_options;
		$feat_image_url = $bg_img = $attachment_id = '';
		$placeholder_img = trailingslashit(get_template_directory_uri()) . 'libs/images/cover-image.jpg';
		if (isset($maxwheels_options["mw_profile_cover_image"]["url"]) && $maxwheels_options["mw_profile_cover_image"]["url"] != "")
		{
			if(get_post_meta($post_id, 'my_cover_featuredimg', true ) !="")
			{
				$attachment_id = get_post_meta($post_id, 'my_cover_featuredimg', true );
				$feat_image_url = wp_get_attachment_url($attachment_id);
				$placeholder_img = 'style="background-image: url('.$feat_image_url.'); -webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover; background-repeat: no-repeat; background-position: center center;"';
			}
			else
			{
				$placeholder_img = 'style="background-image: url('.$maxwheels_options["mw_profile_cover_image"]["url"].'); -webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover; background-repeat: no-repeat; background-position: center center;"';
			}
			
		}
		return $placeholder_img;
	}
}

// Profile Cover Image
if( !function_exists('maxwheels_placeholder_cover_thumbnail') )
{
	function maxwheels_placeholder_cover_thumbnail($post_id,$thumbnail_size)
	{
		$final_url = trailingslashit(get_template_directory_uri()) . 'libs/images/cover-image.jpg';
		if(get_post_meta($post_id, 'my_cover_featuredimg', true ) !="")
		{
			$attachment_id = get_post_meta($post_id, 'my_cover_featuredimg', true );
			$image_url =  wp_get_attachment_image_src($attachment_id, $thumbnail_size);
			if(!empty($image_url) && is_array($image_url))
			{
				$final_url = $image_url[0];
			}
		}
		else
		{
			$final_url = trailingslashit(get_template_directory_uri()) . 'libs/images/cover-image.jpg';
			if (isset($maxwheels_options["mw_profile_cover_image"]["url"]) && $maxwheels_options["mw_profile_cover_image"]["url"] != "")
			{
				$final_url = $maxwheels_options["mw_profile_cover_image"]["url"];
			}
			else
			{
				$final_url = $final_url; 
			}
		}
		return $final_url;
	}
}

// Return Responsive Image
if( !function_exists('maxwheels_responsive_images') )
{
	function maxwheels_responsive_images($post_id,$thumbnail_size,$type = '',$class = '')
	{
		global $maxwheels_options;
		$image_id = '';
		$field_name = 'mw_def_dealer_placeholder';
		if($type == "dealer")
		{
			$field_name = 'mw_def_dealer_placeholder';
			$placeholder_img = trailingslashit(get_template_directory_uri()) . 'libs/images/dealer-logo.png';
		}
		if($type == "listing")
		{
			$field_name = 'mw_defualt_listing_image';
			$placeholder_img = trailingslashit(get_template_directory_uri()) . 'libs/images/no-image.png';
		}
		if (has_post_thumbnail($post_id) )
		{
			return get_the_post_thumbnail($post_id, $thumbnail_size, array( 'class' => 'img-fluid '.$class.'' ));
		}
		else
		{
			if($maxwheels_options[$field_name] && $maxwheels_options[$field_name]["url"] !="")
			{
				$placeholder_img = $maxwheels_options[$field_name]["url"];
				return '<img src="'.esc_url($placeholder_img).'" alt="'.esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)).'" class="img-fluid '.$class.'">';
			}
		}
	}
}

// Specific listing actions
if( !function_exists('maxwheels_specific_listing_actions') )
{
    function maxwheels_specific_listing_actions($mw_id,$is_edit = '')
	{
        $publish = $edit_slug = $return_html = '';
        global $maxwheels_options;
        $edit_slug = maxwheels_framework_get_link('page-submit-listings.php');
		if(maxwheels_strings('mw_membership_type') != '' && maxwheels_strings('mw_membership_type') == 'builtin' && maxwheels_strings('mw_pkg_type') != ''  && maxwheels_strings('mw_pkg_type') == 'per-listing')
		{
			$return_html = $link = '';
			$link = maxwheels_framework_get_link('page-dashboard.php')."?page-type=order-complete&listing_id=$mw_id";
			if(!empty(maxwheels_strings('mw_perlisting_featured')) && !empty(maxwheels_strings('mw_perlisting_featured_expiry')))
			{
				if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "0" && get_post_meta($mw_id, 'mw_payper_lisitng', true ) == "1")
				{
					$return_html.='<a data-bs-toggle="tooltip" data-bs-placement="top" title="'.esc_attr__('Mark As Featured','maxwheels').'" href="'. esc_url($link).'" class="btn btn-sm btn-default btn-featured"><i class="fas fa-star"></i></a> ';
				}
			}
			if (get_post_meta($mw_id, 'mw_payper_lisitng', true ) == "0")
			{
		 		$return_html.='<a href="'.esc_url($link).'" class="btn btn-sm btn-default btn-pay"><i class="fa fa-credit-card"></i> '.esc_html__('Pay','maxwheels').'</a> ';
			}
            else
			{
				$return_html.='<a href="javascript:void(0);" class="btn btn-sm btn-default btn-paid"><i class="far fa-check-circle"></i> '.esc_html__('Paid','maxwheels').'</a> ';
			}
		}
		$expired = '<a class="dropdown-item expire-my-prop" href="javascript:void(0);" data-property-id="'. esc_attr($mw_id).'"><i class="text-info fas fa-minus-circle"></i> '.esc_html__('Expired','maxwheels').'</a>';
        $sold = '<a class="dropdown-item sold-my-prop" href="javascript:void(0);" data-property-id="'. esc_attr($mw_id).'"><i class="text-primary fas fa-tags"></i> '.esc_html__('Mark as Sold','maxwheels').'</a>';
        if (get_post_status($mw_id) == "draft" && $maxwheels_options['mw_user_pkage_type'] == 'paid-listing')
        {
            $publish = '<a class="dropdown-item publish-my-listing" href="javascript:void(0);" data-property-id="'. esc_attr($mw_id).'"><i class="text-primary fas fa-upload"></i> '.esc_html__('Mark as Publish ','maxwheels').'</a>';
        }

        if(!empty($is_edit))
		{
			$expired = '';
		}
		$return_html.='<span class="dropdown">
				<button class="btn btn-sm btn-default" type="button" id="dropdownMenuButton-'.$mw_id.'" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-ellipsis-h"></i>
				</button>
				<div class="dropdown-menu" aria-labelledby="dropdownMenuButton-'.$mw_id.'">
					<a class="dropdown-item" href="'.esc_url($edit_slug).'?edit_listing='.esc_attr($mw_id).'"><i class="text-warning fa fa-edit"></i> '.esc_html__('Edit','maxwheels').'</a>
                    '.$sold.'
					'.$expired.'
					'.$publish.'
					<a class="dropdown-item delete-my-prop" href="javascript:void(0);" data-property-id="'. esc_attr($mw_id).'"><i class="text-danger far fa-trash-alt"></i> '.esc_html__('Delete','maxwheels').'</a>
				</div>
			</span>';
		return	$return_html;	
	}
}

// Site Main Header
if( !function_exists('maxwheels_site_header') )
{
    function maxwheels_site_header()
	{
		$topbar = 3;
		$layout = 4;
		if(maxwheels_strings('mw_selected_header') !="")
		{
			$layout = maxwheels_strings('mw_selected_header');
		}
		if(maxwheels_strings('mw_show_topbar') !="" && maxwheels_strings('mw_show_topbar') =="1")
		{
			$topbar = maxwheels_strings('mw_topbar_style');
			echo get_template_part( 'template-parts/topbar/top', $topbar);
		}
        if(maxwheels_strings('mw_selected_header') == 'elementorProHeader'){

            if (in_array('elementor-pro/elementor-pro.php', apply_filters('active_plugins', get_option('active_plugins'))))
            {
                return  get_template_part( 'template-parts/header/header', '6' );
            }
            else{
                $layout = 4;
                return  get_template_part( 'template-parts/header/header', $layout );
            }
        }
        else{
            return  get_template_part( 'template-parts/header/header', $layout );
        }
	}
}
// Site Main Header
if( !function_exists('maxwheels_site_footer') )
{
    function maxwheels_site_footer()
	{
		//$layout = 1;
		if(maxwheels_strings('mw_footer_layout') !="")
		{
			$layout = maxwheels_strings('mw_footer_layout');
		}
		if(is_page_template('page-property-search.php') && !empty(maxwheels_strings('mw_listing_search_layout')) && maxwheels_strings('mw_listing_search_layout') == 'map')
		{
		}
		else
		{
            if(maxwheels_strings('mw_footer_layout') !="" && maxwheels_strings('mw_footer_layout') =="1") {
                return  get_template_part( 'template-parts/footer/footer', '1' );
            } else if (maxwheels_strings('mw_footer_layout') !="" && maxwheels_strings('mw_footer_layout') =="2") {
                return  get_template_part( 'template-parts/footer/footer', '2' );
            }  else if (maxwheels_strings('mw_footer_layout') !="" && maxwheels_strings('mw_footer_layout') == 'elementorProFooter' && in_array('elementor-pro/elementor-pro.php', apply_filters('active_plugins', get_option('active_plugins')))) {
                return  get_template_part( 'template-parts/footer/footer', '3' );
            } else {
                return  get_template_part( 'template-parts/footer/footer', '1' );
            }
		}
	}
}

// Site Preloader
if( !function_exists('maxwheels_site_spinner') )
{
    function maxwheels_site_spinner()
	{
		global $maxwheels_options;
		if(isset($maxwheels_options['mw_site_spinner']) &&  $maxwheels_options['mw_site_spinner'] == true)
		{
			return '<div class="preloader-site"><div class="lds-ripple"><div></div><div></div></div></div>';
		}
	}
}

// Submit Form Fields
if( !function_exists('maxwheels_strings_allow_html') )
{
    function maxwheels_strings_allow_html($paramz)
	{
		return $paramz;
	}
}

// Background Src
if( !function_exists('maxwheels_bg_src') )
{
    function maxwheels_bg_src($option_name)
	{
		$defual_img = trailingslashit(get_template_directory_uri()) . 'libs/images/defualt-935x754.png';
        global $maxwheels_options;
		if (isset($maxwheels_options['mw_auth_def_img']["url"]) && $maxwheels_options['mw_auth_def_img']["url"] != "") 		        {
            $defual_img = $maxwheels_options['mw_auth_def_img']["url"];
        }
        if (isset($maxwheels_options[$option_name]["url"]) && $maxwheels_options[$option_name]["url"] != "") {
            $defual_img = $maxwheels_options[$option_name]["url"];
        }
		return 'style=background-image:url('.$defual_img.')';
	}
}


// Fetch Yelp NearBy Data
if( !function_exists('maxwheels_get_distance_between_ponits') )
{
	  function maxwheels_get_distance_between_ponits($lat1, $lon1, $lat2, $lon2)
	  {
		  if(isset($lat1) && isset($lon1) && isset($lat2) && isset($lon2))
		  {
			  $theta = $lon1 - $lon2;
			  $miles = (sin(deg2rad($lat1)) * sin(deg2rad($lat2))) + (cos(deg2rad($lat1)) * cos(deg2rad($lat2)) * cos(deg2rad($theta)));
			  $miles = acos($miles);
			  $miles = rad2deg($miles);
			  $miles = $miles * 60 * 1.1515;
			  $feet = $miles * 5280;
			  $yards = $feet / 3;
			  $kilometers = $miles * 1.60934;
			  $meters = $kilometers * 1000;
			  return compact('miles','feet','yards','kilometers');
		  }
	  }
}

// Get Listing Owner Details
if (!function_exists('maxwheels_reviews_average'))
{
    function maxwheels_reviews_average($mw_id)
	 {
        $comments = '';
        $rated = $get_rating_avrage = '';
        $one_star = '';
        $two_star = '';
        $three_star = '';
        $four_star = '';
        $five_star = '';
        $star1 = $star2 = $star3 = $star4 = $star5 = 0;
        $comments = get_comments(array('post_id' => $mw_id, 'post_type' => 'mx-listings', 'status' => 'approve', 'parent' => 0));
        if (count($comments) > 0) {
            $sum_of_rated = 0;
            $no_of_times_rated = 0;
            foreach ($comments as $comment) {
                if (get_comment_meta($comment->comment_ID, 'review_stars', true) != "") {
                    $rated = get_comment_meta($comment->comment_ID, 'review_stars', true);
                    if ($rated != "" && $rated > 0) {
                        $sum_of_rated += $rated;
                        $no_of_times_rated++;
                        //now rated percentage
                        if ($rated == 1) {
                            $star1++;
                        }
                        if ($rated == 2) {
                            $star2++;
                        }
                        if ($rated == 3) {
                            $star3++;
                        }
                        if ($rated == 4) {
                            $star4++;
                        }
                        if ($rated == 5) {
                            $star5++;
                        }
                    }
                }
            }
            //loop end get avrage value
            if ($rated != "" && $rated > 0) {
                $get_rating_avrage = round($sum_of_rated / $no_of_times_rated, 2);
                $get_rating_avrage1 = round($sum_of_rated / $no_of_times_rated, 1);
                $one_star = round(($star1 / $no_of_times_rated) * 100);
                $two_star = round(($star2 / $no_of_times_rated) * 100);
                $three_star = round(($star3 / $no_of_times_rated) * 100);
                $four_star = round(($star4 / $no_of_times_rated) * 100);
                $five_star = round(($star5 / $no_of_times_rated) * 100);
                $total_stars = explode(".", $get_rating_avrage1);
		


                $stars_html = '';
                $first_part = (isset($total_stars[0]) && $total_stars[0] > 0 && $total_stars[0] != "") ? $total_stars[0] : 0;
                $second_part = (isset($total_stars[1]) && $total_stars[1] > 0 && $total_stars[1] != "") ? $total_stars[1] : 0;
                for ($stars = 1; $stars <= 5; $stars++) {
                    if ($stars <= $first_part && $first_part > 0) {
                        $stars_html .= '<i class="fa fa-star color" aria-hidden="true"></i>';
                    } else if ($stars == $first_part + 1 && $second_part <= 5 && $second_part > 0) {
                        $stars_html .= '<i class="fa fa-star-half-o color" aria-hidden="true"></i>';
                    } else if ($stars == $first_part + 1 && $second_part > 5 && $second_part > 0) {
                        $stars_html .= '<i class="fa fa-star color" aria-hidden="true"></i>';
                    } else {
                        $stars_html .= '<i class="fa fa-star" aria-hidden="true"></i>';
                    }
                }
                if (strpos($get_rating_avrage, ".") !== false) {
                    $get_rating_avrage = $get_rating_avrage;
                } else {
                    $get_rating_avrage = $get_rating_avrage . '.0';
                }

                $array = array();
                $array['total_stars'] = $stars_html;
                $array['average'] = $get_rating_avrage;
                $array['rated_no_of_times'] = $no_of_times_rated;
                $array['ratings'] = array('star_1' => $one_star, 'star_2' => $two_star, 'star_3' => $three_star, 'star_4' => $four_star, 'star_5' => $five_star);
                //update avrage in post mera
                update_post_meta($mw_id, 'listing_total_average', $get_rating_avrage);
                return $array;
            }
        }
    }

}

// Get Listing Owner Details
if (!function_exists('maxwheels_reviews_stats_average'))
{
    function maxwheels_reviews_stats_average($single_id,$type,$reference)
	{
        $comments = array();
		$comments = get_comments(array('post_id' => $single_id, 'post_type' => $type, 'status' => 'approve', 'parent' => 0));
		$sum_of_recommend  = $sum_of_services = $sum_of_expertise = $sum_of_communication = $sum_of_responsive = 0;
		$no_of_times_rated = 0;
		$second_part = $first_part = $total_stars = $get_rating_avrage1 = $full_avg	= $total_average = $recommend = $services = $expertise = $communication = $responsive = '';
		if(!empty($comments) && is_array($comments) && count($comments) > 0)
		{
			foreach ($comments as $comment) 
			{
				//responsive
				if (get_comment_meta($comment->comment_ID, 'review_'.$reference.'_responsive', true) != "")
				{
				   $responsive = get_comment_meta($comment->comment_ID, 'review_'.$reference.'_responsive', true);
				   $sum_of_responsive += $responsive;
				}
				//communication
				if (get_comment_meta($comment->comment_ID, 'review_'.$reference.'_communication', true) != "")
				{
				   $communication = get_comment_meta($comment->comment_ID, 'review_'.$reference.'_communication', true);
				   $sum_of_communication += $communication;
				}
				//expertise
				if (get_comment_meta($comment->comment_ID, 'review_'.$reference.'_expertise', true) != "")
				{
				   $expertise = get_comment_meta($comment->comment_ID, 'review_'.$reference.'_expertise', true);
				   $sum_of_expertise += $expertise;
				}
				//services
				if (get_comment_meta($comment->comment_ID, 'review_'.$reference.'_services', true) != "")
				{
				   $services = get_comment_meta($comment->comment_ID, 'review_'.$reference.'_services', true);
				   $sum_of_services += $services;
				}
				//recommend
				if(get_comment_meta($comment->comment_ID, 'review_'.$reference.'_recommend', true) != "")
				{
				   $recommend = get_comment_meta($comment->comment_ID, 'review_'.$reference.'_recommend', true);
				   $sum_of_recommend += $recommend;
				}
				$no_of_times_rated++;
			}
			$get_responsive_avrage = '';
			if(!empty($sum_of_responsive))
			{
				$get_responsive_avrage    = round($sum_of_responsive/$no_of_times_rated,2);
			}
			$get_communication_avrage = '';
			if(!empty($sum_of_responsive))
			{
				$get_communication_avrage = round($sum_of_communication/$no_of_times_rated,2);
			}
			$get_expertise_avrage     = '';
			if(!empty($sum_of_responsive))
			{
				$get_expertise_avrage     = round($sum_of_expertise/$no_of_times_rated,2);
			}
			$get_services_avrage = '';
			if(!empty($sum_of_responsive))
			{
				$get_services_avrage     = round($sum_of_services/$no_of_times_rated,2);
			}
			//total stars & average
			$total_average = $get_responsive_avrage+$get_communication_avrage+$get_expertise_avrage+$get_services_avrage;
			$full_avg	=  round($total_average/4, 1);
			
			//for stars
			$get_rating_avrage1 = round($full_avg, 1);
			$total_stars = explode(".", $get_rating_avrage1);

			//making stars
			$stars_html = '';
			$first_part = (isset($total_stars[0]) && $total_stars[0] > 0 && $total_stars[0] != "") ? $total_stars[0] : 0;
			$second_part = (isset($total_stars[1]) && $total_stars[1] > 0 && $total_stars[1] != "") ? $total_stars[1] : 0;
			for ($stars = 1; $stars <= 5; $stars++) {
				if ($stars <= $first_part && $first_part > 0) {
					$stars_html .= '<i class="fas fa-star color" aria-hidden="true"></i>';
				} else if ($stars == $first_part + 1 && $second_part <= 5 && $second_part > 0) {
					$stars_html .= '<i class="fas fa-star-half-alt color" aria-hidden="true"></i>';
				} else if ($stars == $first_part + 1 && $second_part > 5 && $second_part > 0) {
					$stars_html .= '<i class="fas fa-star color" aria-hidden="true"></i>';
				} else {
					$stars_html .= '<i class="fas fa-star" aria-hidden="true"></i>';
				}
			}
			//responsive
			if (strpos($get_responsive_avrage, ".") !== false) {
				$get_responsive_avrage = $get_responsive_avrage;
			} else {
				$get_responsive_avrage = $get_responsive_avrage . '.0';
			}
			//communication
			if (strpos($get_communication_avrage, ".") !== false) {
				$get_communication_avrage = $get_communication_avrage;
			} else {
				$get_communication_avrage = $get_communication_avrage . '.0';
			}
			//expertise
			if (strpos($get_expertise_avrage, ".") !== false) {
				$get_expertise_avrage = $get_expertise_avrage;
			} else {
				$get_expertise_avrage = $get_expertise_avrage . '.0';
			}
			//services
			if (strpos($get_services_avrage, ".") !== false) {
				$get_services_avrage = $get_services_avrage;
			} else {
				$get_services_avrage = $get_services_avrage . '.0';
			}
			//total_average
			if (strpos($full_avg, ".") !== false) {
				$full_avg = $full_avg;
			} else {
				$full_avg = $full_avg . '.0';
			}
			//return 
			$array['rated_no_of_times'] = $no_of_times_rated;
			$array['total_average'] = $full_avg;
			$array['total_recommendations'] = $sum_of_recommend;
			$array['total_stars'] = $stars_html;
			$array['average_responsive'] = $get_responsive_avrage;
			$array['average_communication'] = $get_communication_avrage;
			$array['average_expertise'] = $get_expertise_avrage;
			$array['average_service'] = $get_services_avrage;
			
			return $array;
		}
	}
}


// Get Listing Owner Details
if (!function_exists('maxwheels_getlabels'))
{
    function maxwheels_getlabels($mw_id)
	{
		$type_term = $type = $type_term    = $label_type_term    = $label_type = $offer_type = $return_html = '';
		if(get_post_meta( $mw_id, 'mw_type', true ) !="")
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			$type = get_post_meta( $mw_id, 'mw_type', true );
			$type_term    = maxwheels_get_term($type,'mw-Labels');
			if(!empty($type_term)) {
			$return_html .= '<li class="list-inline-item">
                    <span class="mydata-attr badge badge-type-'.esc_attr($type_term->term_id).'" data-url="'.esc_url($search_page)."?type[]=".$type_term->slug.'">'.esc_attr($type_term->name).'</span>
                  </li>';
			}
		}
		if(get_post_meta( $mw_id, 'mw_condition', true ) !="")
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			$label_type = get_post_meta( $mw_id, 'mw_condition', true );
			$label_type_term    = maxwheels_get_term($label_type,'mw-condition');
			if(!empty($label_type_term)) {
			$return_html .= '<li class="list-inline-item">
                    <span class="mydata-attr badge badge-label-'.esc_attr($label_type_term->term_id).'" data-url="'.esc_url($search_page)."?condition[]=".$label_type_term->slug.'">'.esc_attr($label_type_term->name).'</span>
                  </li>';
			}
		}
		return $return_html;
	}
}

// Views
if (!function_exists('maxwheels_number_format_short'))
{
    function maxwheels_number_format_short($n, $precision = 1)
	{
		if(empty($n))
		{
			$n = 0;
		}
        if ($n < 1000) {
            // 0 - 1000
            $n_format = number_format($n, $precision);
            $suffix = '';
        } else if ($n >= 1000 && $n < 1000000) {
            // 1k-999k
            $n_format = number_format($n / 1000, $precision);
            $suffix = 'K+';
        } else if ($n >= 1000000 && $n < 1000000000) {
            // 1m-999m
            $n_format = number_format($n / 1000000, $precision);
            $suffix = 'M+';
        } else if ($n >= 1000000000 && $n < 1000000000000) {
            // 1b-999b
            $n_format = number_format($n / 1000000000, $precision);
            $suffix = 'B+';
        } else {
            // 0.9t+
            $n_format = number_format($n / 1000000000000, $precision);
            $suffix = 'T+';
        }
        if ($precision > 0) {
            $dotzero = '.' . str_repeat('0', $precision);
            $commazero = ',' . str_repeat('0', $precision);
            $n_format = str_replace($dotzero, '', $n_format);
            $n_format = str_replace($commazero, '', $n_format);
        }
        return $n_format . $suffix;
    }
}


// Count User Total Listings
if (!function_exists('maxwheels_count_listing')) {

    function maxwheels_count_listing($user_id)
    {
        $count = 0;
        $args = array('post_type' => 'mx-listings', 'author' => $user_id, 'fields' => 'ids', 'post_status' => 'publish',
            'meta_query' => array(
                array(
                    'key' => 'mw_status',
                    'value' => '1',
                    'compare' => '=',
                ),
            ),
        );
        $query = new WP_Query($args);
        if ($query->have_posts())
		{
            return maxwheels_number_format_short($query->found_posts);
        } 
		else
		{
            return maxwheels_number_format_short($count);
        }
		wp_reset_postdata();
    }
}
// Count User Total On Dashboard
if (!function_exists('maxwheels_count_total_properties')) {

    function maxwheels_count_total_properties($user_id,$listing_status,$is_featured = '')
    {
		$meta_key = '';
		$featured = '';
		if(!empty($is_featured))
		{
			   $featured = array(
                    'key' => 'mw_is_feature_listing',
                    'value' => '1',
                    'compare' => '=',
                );
		}
		$value = 1;
        $count = 0;
		if($listing_status == 'expired')
		{
			$value = 0;
		}
        $args = array('post_type' => 'mx-listings', 'author' => $user_id, 'fields' => 'ids', 'post_status' => $listing_status,
            'meta_query' => array(
                array(
                    'key' => 'mw_status',
                    'value' => $value,
                    'compare' => '=',
                ),
				$featured
            ),
        );
        $query = new WP_Query($args);
        if ($query->have_posts())
		{
            return maxwheels_number_format_short($query->found_posts);
        } 
		else
		{
            return maxwheels_number_format_short($count);
        }
		wp_reset_postdata();
    }
}

// Count User Total Listings
if (!function_exists('maxwheels_social_icons'))
{
    function maxwheels_social_icons($option_key = '')
	{
        global $maxwheels_options;
        $social_icons = array('Facebook' => 'fab fa-facebook-f', 'Twitter' => 'fab fa-twitter', 'Linkedin' => 'fab fa-linkedin ', 'YouTube' => 'fab fa-youtube', 'Vimeo' => 'fab fa-vimeo ', 'Pinterest' => 'fab fa-pinterest ', 'Tumblr' => 'fab fa-tumblr ', 'Instagram' => 'fab fa-instagram', 'Reddit' => 'fab fa-reddit ', 'Flickr' => 'fab fa-flickr ', 'StumbleUpon' => 'fab fa-stumbleupon', 'Delicious' => 'fab fa-delicious ', 'dribble' => 'fab fa-dribbble ', 'behance' => 'fab fa-behance', 'DeviantART' => 'fab fa-deviantart',
        );
        $li_html = '';
        if (isset($maxwheels_options[$option_key])) {
            $icons = $maxwheels_options[$option_key];
            if (isset($icons) && count((array) $icons) > 0) {
                foreach ($icons as $key => $val) {
                    $fa_value = $social_icons[$key];
                    if ($fa_value != "" && $val != "") {
                        $li_html .= '<li><a href="' . esc_url($val) . '"><i class="' . esc_attr($fa_value) . '"></i></a></li>';
                    }
                }
            }
        }
        return $li_html;
    }
}
// Footer Copyrights
if (!function_exists('maxwheels_footer_copyrights'))
{
    function maxwheels_footer_copyrights()
	{
        global $maxwheels_options;
        $site_title = get_bloginfo('name');
        $home_link = home_url("/");
        $copyrights_text = '<p> &copy; ' . esc_html__("Copyright", "maxwheels") . ' ' . date("Y") . ' | ' . esc_html__("All Rights Reserved", "maxwheels") . ' ' . '<a href="' . esc_url($home_link) . '"> | ' . esc_html($site_title) . '</a></p>';
        if (isset($maxwheels_options["mw_footer_copyrights"]))
		{
            $copyrights_text = $maxwheels_options["mw_footer_copyrights"];
        }
        return $copyrights_text;
    }
}

// User Package History
if ( ! function_exists( 'maxwheels_user_pack_history' ) )
{  
	function maxwheels_user_pack_history($package_id,$user_id)
	{
		if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) && $package_id !="" )
		{
            $never_expire = maxwheels_strings('mw_never_exp');
            $unlimited = maxwheels_strings('mw_pkg_unlimited');
            $days = maxwheels_strings('mw_pkg_daytxt');
			$options_html = '';
            //duration
            if(get_user_meta($user_id, 'mw_pack_exp', true) !="")
            {
                $package_expiry = get_user_meta($user_id, 'mw_pack_exp', true);
                if ($package_expiry == '-1')
                {
                    $options_html .= '<li class="packages-list"><span class="far fa-check-square"></span><strong>' . maxwheels_strings('mw_p_exp') . '</strong> : ' . esc_html($never_expire). '</li>';
                } 
                else
                {
                    $options_html .= '<li class="packages-list"><span class="far fa-check-square"></span><strong>' . esc_html__('Package Expiry','maxwheels') . '</strong> : ' . esc_html(date("F jS, Y", strtotime($package_expiry))). '</li>';
                }
            }
            //listings
            if(get_user_meta($user_id, 'mw_pack_totallistings', true) !="")
            {
                $regular_listing = get_user_meta($user_id, 'mw_pack_totallistings', true);
                if ($regular_listing == '-1')
                {
                    $options_html .= '<li class="packages-list"><span class="far fa-check-square"></span><strong>' . maxwheels_strings('mw_reg_listing') . '</strong> : ' . esc_html($unlimited). '</li>';
                } 
                else
                {
                   $options_html .= '<li class="packages-list"><span class="far fa-check-square"></span><strong>' .  maxwheels_strings('mw_reg_listing') . '</strong> : ' . esc_html($regular_listing) . '</li>';
                }
            }
            //regular listings expiry
            if (get_user_meta($user_id, 'mw_pack_simple_expiry_for', true) != "")
            {
                $listing_expiry = get_user_meta($user_id, 'mw_pack_simple_expiry_for', true);
                if ($listing_expiry == '-1')
                {
                    $options_html .= '<li class="packages-list"><span class="far fa-check-square"></span><strong>' . maxwheels_strings('mw_l_exp') . '</strong> : ' . esc_html($never_expire) . '</li>';
                } 
                else
                {
                    $options_html .= '<li class="packages-list"><span class="far fa-check-square"></span><strong>' . maxwheels_strings('mw_l_exp') . '</strong> : ' . esc_attr($listing_expiry) . ' ' . $days . '</li>';
                }
            }
            //featured listings
            if (get_user_meta($user_id, 'mw_pack_featuredlistings', true) != "")
            {
                $featured_listing = get_user_meta($user_id, 'mw_pack_featuredlistings', true);
                if ($featured_listing == '-1')
                {
                    $options_html .= '<li class="packages-list"><span class="far fa-check-square"></span><strong>' . maxwheels_strings('mw_feat_listing') . '</strong> : ' . esc_html($unlimited). '</li>';
                } 
                else
                {
                    $options_html .= '<li class="packages-list"><span class="far fa-check-square"></span><strong>' . maxwheels_strings('mw_feat_listing') . '</strong> : ' . esc_html($featured_listing) . '</li>';
                }
            }
			 //featured listings expiry
            if (get_user_meta($user_id, 'mw_pack_exp_featured_for', true) != "")
            {
                $featured_listing_expiry = get_user_meta($user_id, 'mw_pack_exp_featured_for', true);
                if ($featured_listing_expiry == '-1')
                {
                    $options_html .= '<li class="packages-list"><span class="far fa-check-square"></span><strong>' . maxwheels_strings('mw_feat_for') . '</strong> : ' . esc_html($never_expire) . '</li>';
                } 
                else
                {
                    $options_html .= '<li class="packages-list"><span class="far fa-check-square"></span><strong>' . maxwheels_strings('mw_feat_for') . '</strong> : ' . esc_attr($featured_listing_expiry) . ' ' . $days . '</li>';
                }
            }
            return '<ul class="list-group">'.$options_html.'</ul>';   
		}
	}
}

// Profile Plan History
if ( ! function_exists( 'maxwheels_profile_plan_history' ) )
{
    function maxwheels_profile_plan_history($plan_id,$user_id)
    {
        if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) && $plan_id !="" )
        {
            $dealer_post_id = get_user_meta($user_id, 'mw_post_id', true);
            $never_expire = maxwheels_strings('mw_never_exp');
            $unlimited = maxwheels_strings('mw_pkg_unlimited');
            $days = maxwheels_strings('mw_pkg_daytxt');
            $options_html = '';
            if (get_post_meta($plan_id, 'mw_package_expiry', true) != "")
            {
                $package_expiry = get_post_meta($plan_id, 'mw_package_expiry', true);
                if ($package_expiry == '-1')
                {
                    $options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Sponsored For','maxwheels').' : '.esc_html__('Unlimited Days','maxwheels').'</span> </li>';
                }
                else
                {
                    $options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Sponsored For','maxwheels').' : '.esc_html($package_expiry).' '.esc_html__('Days','maxwheels').'</span> </li>';
                }
            }
            //overview
            if (get_post_meta($plan_id, 'mw_allow_overview', true) != "")
            {
                $allow_overview = get_post_meta($plan_id, 'mw_allow_overview', true);
                if($allow_overview == 'yes')
                {
                    $options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Overview','maxwheels').' : '.esc_html__('Yes','maxwheels').'</span> </li>';
                }
                else
                {
                    $options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Overview','maxwheels').' : '.esc_html__('No','maxwheels').'</span></del> </li>';
                }
            }
            //working hours
            if (get_post_meta($plan_id, 'mw_working_hours', true) != "")
            {
                $working_hours = get_post_meta($plan_id, 'mw_working_hours', true);
                if($working_hours == 'yes')
                {
                    $options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Working Hours','maxwheels').' : '.esc_html__('Yes','maxwheels').'</span> </li>';
                }
                else
                {
                    $options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Working Hours','maxwheels').' : '.esc_html__('No','maxwheels').'</span></del> </li>';
                }
            }
            //location
            if (get_post_meta($plan_id, 'mw_location', true) != "")
            {
                $location = get_post_meta($plan_id, 'mw_location', true);
                if($location == 'yes')
                {
                    $options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Allow Location','maxwheels').' : '.esc_html__('Yes','maxwheels').'</span> </li>';
                }
                else
                {
                    $options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Allow Location','maxwheels').' : '.esc_html__('No','maxwheels').'</span></del> </li>';
                }
            }
            //social links
            if (get_post_meta($plan_id, 'mw_social', true) != "")
            {
                $social_links = get_post_meta($plan_id, 'mw_social', true);
                if($social_links == 'yes')
                {
                    $options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Social Links','maxwheels').' : '.esc_html__('Yes','maxwheels').'</span> </li>';
                }
                else
                {
                    $options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Social Links','maxwheels').' : '.esc_html__('No','maxwheels').'</span></del> </li>';
                }
            }
            return '<ul class="list-group">'.$options_html.'</ul>';
        }
    }
}

// Get distance between points
if ( ! function_exists( 'maxwheels_distance' ) )
{ 
	function maxwheels_distance($lat1, $lon1, $lat2, $lon2, $unit) {
	if(!empty($lat1) && !empty($lon1) && !empty($lat2) && !empty($lon2))
	{
	  if (($lat1 == $lat2) && ($lon1 == $lon2)) {
		return 0;
	  }
	  else {
		$theta = (int)$lon1 - (int)$lon2;
		$dist = sin(deg2rad($lat1)) * sin(deg2rad($lat2)) +  cos(deg2rad($lat1)) * cos(deg2rad($lat2)) * cos(deg2rad($theta));
		$dist = acos($dist);
		$dist = rad2deg($dist);
		$miles = $dist * 60 * 1.1515;
		$unit = strtoupper($unit);
		if ($unit == "K") {
		  return ($miles * 1.609344);
		} else if ($unit == "N") {
		  return ($miles * 0.8684);
		} else {
		  return $miles;
		}
	  }
	}
	}
}


if ( ! function_exists( 'maxwheels_get_related_distance' ) )
{ 
	function maxwheels_get_related_distance($mw_id)
	{
		if(isset($_COOKIE['user_current_latt']) && $_COOKIE['user_current_latt'] !='' && isset($_COOKIE['user_current_long']) && $_COOKIE['user_current_long'] !='')
		{
			if(get_post_meta($mw_id, 'mw_latt', true ) !="" && get_post_meta($mw_id, 'mw_long', true ) !='')
			{
				$latt = get_post_meta($mw_id, 'mw_latt', true );
				$lon = get_post_meta($mw_id, 'mw_long', true );
				$user_latt = $_COOKIE['user_current_latt'];
				$user_lon = $_COOKIE['user_current_long'];
				$calculated_distance = maxwheels_distance($latt, $lon, $user_latt, $user_lon, "K");
				return '<span class="dist-from-me" data-bs-toggle="tooltip" data-bs-placement="top" title=" '.esc_attr__('Distance from current location','maxwheels').' "><i class="fas fa-globe-americas"></i> '. number_format($calculated_distance) . ' '.esc_attr__('km','maxwheels').'</span>';
			}
		}
	}
}

if ( ! function_exists( 'maxwheels_check_dealer_workinghours' ) )
{ 
	function maxwheels_check_dealer_workinghours($dealer_id)
	{
		if(get_post_meta($dealer_id, 'dealer_working_hours', true ) !="" && get_post_meta($dealer_id, 'dealer_timezone', true ) !="")
		{
			$status = 'close';
			$working_hours = get_post_meta($dealer_id, 'dealer_working_hours', true);
			$dealer_timezone = get_post_meta($dealer_id, 'dealer_timezone', true);
			$array = json_decode( $working_hours, true );
			$days_name = array(0 => 'Mon', 1 => 'Tue', 2 => 'Wed', 3 => 'Thu', 4 => 'Fri', 5 => 'Sat', 6 => 'Sun');
			$my_arr = array();
            if(!empty($array)) {
                foreach ($array as $key => $arr) {
                    $day_name = $days_name[$key];
                    if (isset($arr['isActive']) && $arr['isActive'] == 1) {
                        $timeFrom = $arr['timeFrom'];
                        $timeTill = $arr['timeTill'];
                        $my_arr[$day_name] = array($timeFrom => $timeTill);
                    } else {
                        $my_arr[$day_name] = array();
                    }
                }
            }
			$timeObject = new DateTime($dealer_timezone);
			$timestamp = $timeObject->getTimeStamp();
			$currentTime = $timeObject->setTimestamp($timestamp)->format('H:i A');
			// loop through time ranges for current day
            if(!empty($my_arr)) {
                foreach ($my_arr[date('D', $timestamp)] as $startTime => $endTime) {
                    // create time objects from start/end times and format as string (24hr AM/PM)
                    $startTime = DateTime::createFromFormat('h:i A', $startTime)->format('H:i A');
                    $endTime = DateTime::createFromFormat('h:i A', $endTime)->format('H:i A');
                    // check if current time is within the range
                    if (($startTime < $currentTime) && ($currentTime < $endTime)) {
                        $status = 'open';
                        break;
                    }
                }
            }
			return $status;
		}
	}
}
//Return Listing Packages
if ( ! function_exists( 'maxwheels_return_packages_data' ) )
{ 
	function maxwheels_return_packages_data()
	{
		if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) || class_exists('WooCommerce'))
		{
			global $localization;
			$args = array(
			'post_type' => 'product',
			'tax_query' => array(
				array(
					'taxonomy' => 'product_type',
					'field' => 'slug',
					'terms' => 'maxwheels_packages'
				),
			),
			'fields' => 'ids',
			'post_status' => 'publish',
			'posts_per_page' => 6,
			'order' => 'ASC',
			'orderby' => 'date'
			);
			$never_expire = maxwheels_strings('mw_never_exp');
			$unlimited = maxwheels_strings('mw_pkg_unlimited');
			$days = maxwheels_strings('mw_pkg_daytxt');
			$lifetime = esc_html__('Lifetime','maxwheels');
			$na = esc_html__('N/A','maxwheels');
			$action_button = '#';
			$user_id = get_current_user_id();
			$packages = new \WP_Query($args);
			if ($packages->have_posts())
			{
				$unit = '';
				while ($packages->have_posts())
				{
					$listing_expiry = $regular_listing = $package_expiry = $packtype = $no_border = $bump_up = $featured_listing = $featured_listing_expiry = $recommended = $make_it_featured = $for_sub_price = $options_html = '';
					$packages->the_post();
					$package_id = get_the_ID();
					$product = wc_get_product($package_id);
					$unit = number_format( intval($product->get_regular_price()), wc_get_price_decimals() );
					//package type
					if (get_post_meta($package_id, 'mw_package_type_l', true) != "")
					{
						$packtype = get_post_meta($package_id, 'mw_package_type_l', true);
					}
					//duration
					if (get_post_meta($package_id, 'mw_package_expiry_l', true) != "")
					{
						$package_expiry = get_post_meta($package_id, 'mw_package_expiry_l', true);
						if ($package_expiry == '-1')
						{
							$options_html .= '<li>' . maxwheels_strings('mw_p_exp') . ' : ' . esc_html($never_expire). '</li>';
							$for_sub_price = esc_html($never_expire);
						} 
						else
						{
							$options_html .= '<li>' . maxwheels_strings('mw_p_exp') . ' : ' . esc_html($package_expiry) . ' ' . $days . '</li>';
							$for_sub_price = esc_html($package_expiry) . ' ' . $days;
						}
					}
					//hot package
					$no_border = 'btn-border';
					if (get_post_meta($package_id, 'mw_make_package_featured_l', true) != "" && get_post_meta($package_id, 'mw_make_package_featured_l', true) == 'yes')
					{
						$make_it_featured = "package-active";
						$recommended = '<span class="recommended">Recommended</span>';
						$no_border = '';
					}
					//regular listings
					if (get_post_meta($package_id, 'mw_regular_listing_l', true) != "")
					{
						$regular_listing = get_post_meta($package_id, 'mw_regular_listing_l', true);
						if ($regular_listing == '-1')
						{
							$options_html .= '<li>' . maxwheels_strings('mw_reg_listing') . ' : ' . esc_html($unlimited). '</li>';
						} 
						else
						{
							$options_html .= '<li>' . maxwheels_strings('mw_reg_listing') . ' : ' . esc_html($regular_listing) . '</li>';
						}
					}
					//regular listings expiry
					if (get_post_meta($package_id, 'mw_regular_listing_expiry_l', true) != "")
					{
						$listing_expiry = get_post_meta($package_id, 'mw_regular_listing_expiry_l', true);
						if ($listing_expiry == '-1')
						{
							$options_html .= '<li>' . maxwheels_strings('mw_l_exp') . ' : ' . esc_html($never_expire). '</li>';
						} 
						else
						{
							$options_html .= '<li>' . maxwheels_strings('mw_l_exp') . ' : ' . esc_html($listing_expiry)  . ' ' . $days . '</li>';
						}
					}
					//featured listings
					if (get_post_meta($package_id, 'mw_featured_listing_l', true) != "")
					{
						$featured_listing = get_post_meta($package_id, 'mw_featured_listing_l', true);
						if ($featured_listing == '-1')
						{
							$options_html .= '<li>' . maxwheels_strings('mw_feat_listing') . ' : ' . esc_html($unlimited). '</li>';
						} 
						else
						{
							$options_html .= '<li>' . maxwheels_strings('mw_feat_listing') . ' : ' . esc_html($featured_listing) .'</li>';
						}
					}
					else
					{
						$options_html .= '<li><del>' . maxwheels_strings('mw_feat_listing') . ' : ' . esc_html($na). ' </del></li>';
					}
					//featured listings expiry
					if (get_post_meta($package_id, 'mw_featured_listing_expiry_l', true) != "")
					{
						$featured_listing_expiry = get_post_meta($package_id, 'mw_featured_listing_expiry_l', true);
						if ($featured_listing_expiry == '-1')
						{
							$options_html .= '<li>' . maxwheels_strings('mw_feat_for') . ' : ' . esc_html($lifetime). '</li>';
						} 
						else
						{
							$options_html .= '<li>' . maxwheels_strings('mw_feat_for') . ' : ' . esc_html($featured_listing_expiry) . ' ' . $days . '</li>';
						}
					}
					else
					{
						$options_html .= '<li><del>' . maxwheels_strings('mw_feat_for') . ' : ' . esc_html($na). ' </del></li>';
					}
					//featured listings expiry
					if (get_post_meta($package_id, 'mw_bump_listing_l', true) != "")
					{
						$bump_up = get_post_meta($package_id, 'mw_bump_listing_l', true);
						$options_html .= '<li>' . maxwheels_strings('mw_bump_for') . ' : ' . esc_html($bump_up) . '</li>';
					}
					else
					{
						$options_html .= '<li><del>' . maxwheels_strings('mw_bump_for') . ' : ' . esc_html($na). ' </del></li>';
					}
					//action button
					if(get_user_meta($user_id, 'mw_is_free_pgk', true ) !="" && get_user_meta($user_id, 'mw_is_free_pgk', true ) == $package_id )
					{
						$action_button = '<button class="btn btn-theme w-100 " disabled>'.esc_html__('Choose plan','maxwheels').'</button>';
					}
					else
					{
						$action_button = '<button class="btn btn-theme w-100 '.esc_attr($no_border).' mw-woo-packs sonu-button-'.esc_attr($package_id).'" data-spinner-text="'.esc_attr($localization['processing']).'" data-product-id="' . esc_attr($package_id) . '" data-product-qty="1"  data-package-type="' . esc_attr($packtype) . '">'.esc_html__('Choose plan','maxwheels').'</button>';
					}
				?>	
					<div class="col-xxl-3 col-lg-3 col-md-4 col-12">
						<div class="mw-packages <?php echo esc_attr($make_it_featured); ?>">
							<div class="price">
								<?php echo maxwheels_strings_allow_html($recommended); ?>
								<h3 class="price__title"><?php echo esc_html($product->get_name()); ?></h3>
								<?php 
								if (get_post_meta($package_id, 'mw_package_tagline_l', true) != "")
								{
								?>
								<p><?php echo esc_html(get_post_meta($package_id, 'mw_package_tagline_l', true)); ?></p>
								<?php
								}
								?>
								<div class="pricingTable-header">
									<sup class="dollar"><?php echo get_woocommerce_currency_symbol(); ?></sup>
									<span class="amount"><?php echo esc_html($unit); ?></span>
									<span class="slash">/</span>
									<span class="month"><?php echo esc_html($for_sub_price); ?></span>
								</div>
							</div>
							<ul class="list-items">
								<?php echo maxwheels_strings_allow_html($options_html); ?>
							</ul>
							<div class="btn-box text-center">
								<?php echo maxwheels_strings_allow_html($action_button); ?>
							</div>
						</div>
					</div>
		   <?php
				}
				wp_reset_postdata();
			}
		}
		else
		{
			return false;
		}
	}
}

// Site Main Logo
if (!function_exists('maxwheels_listing_breadcrumb')) {

    function maxwheels_listing_breadcrumb($mw_id)
	{
		$cond = $condition = $category = $bread_html = $all_cats = '';
		$all_cats = get_post_meta($mw_id, 'mw_all_cats', true);
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
		$condition = get_post_meta($mw_id, 'mw_condition', true);
		if(!empty($condition))
		{
			$cond = get_term_by('slug', $condition, 'mw-condition');
			if(!empty($cond))
			{
				$bread_html .='<li class="breadcrumb-item"><span class="mydata-attr" data-url="'.esc_url($search_page)."?condition[]=".$cond->slug.'">'.esc_html($cond->name).'</span></li>';
			}
		}
		if(!empty($all_cats) && is_array($all_cats) && count($all_cats) > 0)
		{
			foreach($all_cats as $catz)
			{
				$category = get_term_by('id', $catz, 'mw-category');
				if(!empty($category))
				{
					$bread_html .='<li class="breadcrumb-item"><a href="'.esc_url($search_page)."?category=".$category->slug.'">'.esc_html($category->name).'</a></li>';
				}
			}
		}
		$bread =  '<ol class="breadcrumb">
				  <li class="breadcrumb-item"><a href="'. esc_url(home_url( '/' )).'"><i class="fas fa-home"></i> '.esc_html__('Home','maxwheels').'</a></li>
				  <li class="breadcrumb-item"><a href="'. esc_url($search_page).'">'.esc_html__('Back to results','maxwheels').'</a></li>
				  '.$bread_html.'
				  <li class="breadcrumb-item active" aria-current="page">'.esc_html(get_the_title($mw_id)).'</li>
				</ol>';
		return $bread;
	}
}



