<?php
// Pagination
if ( ! function_exists( 'maxwheels_pagination' ) )
{
	function maxwheels_pagination($pages = '', $range = 2)
	{
		$localization = maxwheels_localization();
		if( is_singular() )
		return;
		$showitems = '';
		$showitems = ($range * 2) + 1;  
		global $paged;
		if(empty($paged)) $paged = 1;
		if($pages == '')
		{
			global $wp_query; 
			$pages = $wp_query->max_num_pages;
		
			if(!$pages)
				$pages = 1;		 
		}   
		if(1 != $pages)
		{
			echo '<div class="row">
        	<div class="col-xxl-12 col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 margin-bottom-30">
			<nav><ul class="pagination justify-content-start">
			<li class="page-item disabled hidden-md-down d-none d-lg-block"><span class="page-link">'.$localization['page'].' '.$paged.' '.$localization['off'].' '.$pages.'</span></li>';
			 if (get_previous_posts_link())
			 {
				 get_previous_posts_link();
			 }
			for ($i=1; $i <= $pages; $i++)
			{
				if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
				{
					echo esc_html(($paged == $i))? '<li class="page-item active"><span class="page-link"><span class="sr-only"> '.esc_html($localization['page']).' </span>'.esc_html($i).'</span></li>' : '<li class="page-item"><a class="page-link" href="'.esc_url(get_pagenum_link($i)).'"><span class="sr-only">'.esc_html($localization['page']).' </span>'.esc_html($i).'</a></li>';
				}
			}
			echo '</ul></nav>
			</div>
        </div>';
		}
	}
}
// Redirect safe URL
if( !function_exists('maxwheels_redirect_url') )
{
    function maxwheels_redirect_url($url)
	{
		return '<script>window.location = "' . esc_url($url) .  '";</script>';	
	}
}
// get feature image
if ( ! function_exists( 'maxwheels_blogfeatured_img' ) )
{	
	function maxwheels_blogfeatured_img($post_id, $image_size )
	{
		return wp_get_attachment_image_src( get_post_thumbnail_id( esc_html( $post_id ) ), $image_size );	
	}
}

// get feature image
if ( ! function_exists( 'maxwheels_blogcomments_count' ) )
{	
	function maxwheels_blogcomments_count()
	{
		$num_comments = '';
		if ( comments_open() )
		{
			$num_comments = get_comments_number();
			if ( $num_comments == 0 ) 
			{
				$comments = esc_html__('No Comments','maxwheels');
			}
			elseif ( $num_comments > 1 ) {
				$comments = $num_comments . esc_html__(' Comments','maxwheels');
			}
			else {
				$comments = esc_html__('1 Comment','maxwheels');
			}
			return $comments;
		} 
	}
}


 // Modifying search form
add_filter('get_search_form', 'maxwheels_blog_search_form');
if ( ! function_exists( 'maxwheels_blog_search_form' ) ) 
{	
	function maxwheels_blog_search_form($text)
	{
		$text = str_replace('<label>', '<div class="realestate-search-blog"><div class="input-group stylish-input-group">', $text);
		$text = str_replace('</label>', '<span class="input-group-append"><button class="blog-search-btn" type="submit">  <i class="fa fa-search"></i> </button></span></div></div>', $text);
		$text = str_replace('<span class="screen-reader-text">'.esc_html__('Search for:','maxwheels').'</span>', '', $text);
		$text = str_replace('class="search-field"', 'class="form-control"', $text);
		return $text;	
	}
}
 // make URL
if (!function_exists('maxwheels_make_link'))
{
    function maxwheels_make_link($url, $text)
	{
        return wp_kses("<a href='" . esc_url($url) . "' target='_blank'>", maxwheels_required_tags()) . $text . wp_kses('</a>', maxwheels_required_tags());
    }
}

// Header logged in & profile
if( !function_exists('maxwheels_auth_settings') )
{
    function maxwheels_auth_settings()
	{
            $local = maxwheels_localization();
            $singup_button ='';
            $signuplink = maxwheels_framework_get_link('page-signup.php');
            $signinlink = maxwheels_framework_get_link('page-signin.php');
        if(maxwheels_strings('mw_enable_registration') == true) {
            $singup_button= '<div class="user-menu__new-account"><a href="' . esc_url($signuplink) . '">' . esc_html__('Create new account', 'maxwheels') . '</a></div> ';
        }


        if (is_user_logged_in()) {
                $image_id = '';
                $dashboard_page = '#';
                $dashboard_page = maxwheels_framework_get_link('page-dashboard.php');
                $type = '';
                $user_id = get_current_user_id();
                if (get_user_meta($user_id, 'user_role_type', true) != "") {
                    $type = get_user_meta($user_id, 'user_role_type', true);
                }
                $post_id = '';
                if (get_user_meta($user_id, 'prop_post_id', true) != "") {
                    $post_id = get_user_meta($user_id, 'prop_post_id', true);
                }

                return '<li class="user-avatar-dp"><a class="aft-logged" href="javascript:void(0);" ><img src="' . esc_url(maxwheels_placeholder_images($type, $post_id, 'maxwheels-user-thumb')) . '" class="img-fluid" alt="' . esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)) . '"></a>
				  <ul class="my-custom-auth">
					<li><a href="' . esc_url($dashboard_page) . '"><i class="fas fa-home menu-icon"></i>' . $local['dashboard'] . '</a></li>
					<li><a href="' . esc_url($dashboard_page . '?page-type=my-profile') . '"><i class="fas fa-user-circle"></i>' . esc_attr($local['profile']) . '</a></li>
					<li><a href="' . esc_url($dashboard_page . '?page-type=publish') . '"><i class="fas fa-list"></i>' . esc_attr($local['my_properties']) . '</a></li>
					<li><a href="' . wp_logout_url(home_url('/')) . '"><i class="fas fa-sign-out-alt"></i>' . esc_attr($local['logout']) . '</a></li>
				  </ul>
				</li>';
            } else {
                return '<li class="user-avatar show-on-click"><span class="my-auth" href="javascript:void(0);" ><i class="fas fa-user"></i></span>
				<div class="auth-dropdown">
				  <div class="user-menu--dropdown">
						<div class="user-menu">
						  <div class="user-menu__signin-area">
							<div class="user-menu__title-text">' . esc_html__('Sign in or register to sync your favorite listings across devices', 'maxwheels') . '</div>
							<a class=" btn btn-theme btn-block" href="' . esc_url($signinlink) . '">' . esc_html__('Sign In', 'maxwheels') . '</a>
							'.$singup_button.'
						  </div>
						</div>
				  </div>
				</div>
			</li>';
            }

	}
}

// Check Restricted Pages
if( !function_exists('maxwheels_restricted_pages') )
{
	function maxwheels_restricted_pages()
	{
		if (is_user_logged_in() && !current_user_can('administrator') && !( defined('DOING_AJAX') && DOING_AJAX ))
		{
			$redirect = add_query_arg('authorization', 'restricted', home_url('/'));
			wp_redirect( $redirect );
		}
	}
}
// Check Restricted Pages
if( !function_exists('maxwheels_check_auth') )
{
	function maxwheels_check_auth()
	{
		if (!is_user_logged_in() && !( defined('DOING_AJAX') && DOING_AJAX ))
		{
			$redirect = add_query_arg('authorization', 'restricted', home_url('/'));
			wp_redirect( $redirect );
			exit;
		}
	}
}

// Get Agents of Agency
if( !function_exists('maxwheels_get_agent_agency') )
{
	function maxwheels_get_agent_agency($user_id)
	{
		$get_args = maxwheels_framework_fetch_my_agents($user_id,'1', '', '');
		 $my_listings = new WP_Query($get_args);
		  $options = '';
		  if ( $my_listings->have_posts() )
		  {
			  $options = '';
			  while ($my_listings->have_posts())
			  {
					$my_listings->the_post();
					$agent_id	 =	get_the_ID();
					$user_id     =  get_post_field('post_author', $agent_id);
					$options .= '<option value="'.esc_attr($agent_id).'">'.get_the_title($agent_id).'</option>';
					
			  }
			wp_reset_postdata();  
		  }
		  return $options;
	}
}
//get term id form slug
if ( ! function_exists( 'maxwheels_get_term' ) )
{
	function maxwheels_get_term($slug,$taxnomy_name)
	{
		if(!empty($slug) && !empty($taxnomy_name))
		{
			return get_term_by( 'slug', $slug, $taxnomy_name);
		}
	}
}
//Listing Views Single 
add_action('wp', 'maxwheels_count_mw_views', 10);
if ( ! function_exists('maxwheels_count_mw_views'))
{
	function maxwheels_count_mw_views()
	{
		if (get_post_type(get_the_ID()) == 'mx-listings' && is_singular('mx-listings'))
		{	
			$mw_id = get_the_ID();
			//daily count total
			if(intval(get_post_meta($mw_id, 'mw_listing_total_views', true)!=""))
			{
				$view_count = get_post_meta($mw_id, 'mw_listing_total_views', true);
				$view_count =  $view_count + 1;
				update_post_meta( $mw_id, 'mw_listing_total_views', $view_count );
			}
			else
			{
				$view_count = 1;
				update_post_meta( $mw_id, 'mw_listing_total_views', $view_count );
			}
			//stats
			$current_day =  date('Y-m-d',current_time('timestamp', 0));
			$count_by_date = get_post_meta($mw_id, 'mw_listing_count_by_date', true);
			if($count_by_date =='' || !is_array($count_by_date))
			{
				$count_by_date         =   array();
				$count_by_date[$current_day] =   1;
			}
			else
			{
				if( !isset($count_by_date[$current_day] ) )
				{
					if( count($count_by_date) > 20 )
					{
						array_shift($count_by_date);
					}
					$count_by_date[$current_day]=1;
				}
				else
				{
					$count_by_date[$current_day]=intval($count_by_date[$current_day])+1;
				}
			}
			update_post_meta($mw_id, 'mw_listing_count_by_date', $count_by_date);
		}
	}
}

//Fetch data for charts
if( !function_exists('maxwheels_chart_labels') )
{
    function maxwheels_chart_labels($mw_id, $is_values = false,$cpt_type = '')
	{
		global $maxwheels_options;
		$get_array_keys = array();
		$result = array();
		if(empty($cpt_type))
		{
			$views_by_date = get_post_meta($mw_id, 'mw_listing_count_by_date', true);
		}
		else
		{
			$views_by_date = get_post_meta($mw_id, 'mw_'.$cpt_type.'_count_by_date', true);
		}
		if(!empty($views_by_date) && is_array($views_by_date) && count($views_by_date) > 0)
		{
			$days_to_show = 20;
			if(isset($maxwheels_options['mw_stats_days']) && $maxwheels_options['mw_stats_days'] !="")
			{
				$days_to_show = $maxwheels_options['mw_stats_days'];
			}
			if($is_values == true)
			{
				//get array values
				$get_array_keys = array_values($views_by_date);
			}
			else
			{
				//get array keys
				$get_array_keys = array_keys($views_by_date);
			}
			//get number of results to show from last
			$result = array_slice($get_array_keys, -1 * $days_to_show, $days_to_show, false);
			return json_encode($result);
		}
		else
		{
			return json_encode($result);
		}
	}
}

//Fetch time hours
if( !function_exists('maxwheels_fetch_hours') )
{
    function maxwheels_fetch_hours($lower = 0, $upper = 86400, $step = 3600, $format = '' )
	{
		$times = array();
		if ( empty( $format ) ) {
			$format = 'g:i a';
		}
		foreach ( range( $lower, $upper, $step ) as $increment ) {
			$increment = gmdate( 'H:i', $increment );
	
			list( $hour, $minutes ) = explode( ':', $increment );
	
			$date = new DateTime( $hour . ':' . $minutes );
	
			$times[(string) $increment] = $date->format( $format );
		}
		return $times;
	}
}

if( !function_exists('maxwheels_timeago') )
{
	function maxwheels_timeago($comment_id = 0)
	{
		return sprintf( 
			_x( '%s ago', 'Human-readable time', 'maxwheels' ), 
			human_time_diff( 
				get_comment_date( 'U', $comment_id ), 
				current_time( 'timestamp' ) 
			) 
		);
	}
}
// get user registration date.
if( !function_exists('maxwheels_user_timeago') )
{
	function maxwheels_user_timeago($post_author_id)
	{
		return sprintf( 
			_x( '%s', 'Human-readable time', 'maxwheels' ), 
			human_time_diff( 
				strtotime(get_userdata($post_author_id)->user_registered), 
				current_time( 'timestamp' ) 
			) 
		);
	}
}
// get post description as per need. 
if( !function_exists('maxwheels_title_limit') )
{
	function maxwheels_title_limit($title_id,$length = 30)
	{
        $string = '';
		$mytitle = get_the_title($title_id);
        $contents = strip_tags(html_entity_decode($mytitle, ENT_QUOTES, "UTF-8"));
        $removeSpaces = str_replace(" ", "", $contents);
        $contents = preg_replace("~(?:\[/?)[^/\]]+/?\]~s", '', $contents);
        if (strlen($removeSpaces) > $length)
		{
            return mb_substr(str_replace("&nbsp;", "", $contents), 0, $length) . '...';
        } else {
            return str_replace("&nbsp;", "", $contents);
        }
    }
}
// Locations Trims. 
if( !function_exists('maxwheels_trim_locations') )
{
	function maxwheels_trim_locations($location,$length = 20)
	{
        $string = '';
		$mytitle = $location;
        $contents = strip_tags(html_entity_decode($mytitle, ENT_QUOTES, "UTF-8"));
        $removeSpaces = str_replace(" ", "", $contents);
        $contents = preg_replace("~(?:\[/?)[^/\]]+/?\]~s", '', $contents);
        if (strlen($removeSpaces) > $length)
		{
            return mb_substr(str_replace("&nbsp;", "", $contents), 0, $length) . '...';
        } else {
            return str_replace("&nbsp;", "", $contents);
        }
    }
}
// Clean Titles. 
if( !function_exists('maxwheels_clean_titles') )
{
	function maxwheels_clean_titles($title_id)
	{
		$mytitle = $title_id;
        $contents = strip_tags(html_entity_decode($mytitle, ENT_QUOTES, "UTF-8"));
        $removeSpaces = str_replace(" ", "", $contents);
        $contents = preg_replace("~(?:\[/?)[^/\]]+/?\]~s", '', $contents);
		return  $contents;
	}
}


// get post description as per need. 
if( !function_exists('maxwheels_allowed_html') )
{
	function maxwheels_allowed_html()
	{
	
		$allowed_tags = array(
			'a' => array(
				'class' => array(),
				'href'  => array(),
				'rel'   => array(),
				'title' => array(),
			),
			
			'abbr' => array(
				'title' => array(),
			),
            
			'b' => array(),
			'blockquote' => array(
				'cite'  => array(),
			),
			'cite' => array(
				'title' => array(),
			),
			
			'code' => array(),
			'del' => array(
				'datetime' => array(),
				'title' => array(),
			),
			'button' => array(
				'class' => array(),
				'title' => array(),
				'style' => array(),
				'data-bs-toggle' => array(),
				'data-bs-placement' => array(),
				'data-bs-title' => array(),
			),
			'dd' => array(),
			'div' => array(
				'class' => array(),
				'title' => array(),
				'style' => array(),
				'data-bs-toggle' => array(),
				'data-bs-placement' => array(),
				'data-bs-title' => array(),
				
			),
			'dl' => array(),
			'dt' => array(),
			'em' => array(),
			'h1' => array(),
			'h2' => array(),
			'h3' => array(),
			'h4' => array(),
			'h5' => array(),
			'h6' => array(),
			'i' => array(),
			'img' => array(
				'alt'    => array(),
				'class'  => array(),
				'height' => array(),
				'src'    => array(),
				'width'  => array(),
			),
			'li' => array(
				'class' => array(),
				'href'  => array(),
				'data-url'  => array(),
			),
			'data-*' => array(
				'toggle' => array(),
			),
			'i' => array(
				'class' => array(),
			),
			'ol' => array(
				'class' => array(),
			),
			'p' => array(
				'class' => array(),
			),
			'q' => array(
				'cite' => array(),
				'title' => array(),
			),
			'span' => array(
				'class' => array(),
				'title' => array(),
				'style' => array(),
				'data-url'  => array(),
			),
			'strike' => array(),
			'strong' => array(),
			'ul' => array(
				'class' => array(),
			),
		);
		return $allowed_tags;
	}
}
// get post description as per need. 
if( !function_exists('maxwheels_min_max_latt_long') )
{
	function maxwheels_min_max_latt_long($data_arr)
	{
		$nearby_data = array();
		$distance = $original_long = $original_lat = '';
		if(!empty($data_arr))
		{
			$search_radius_type = 'km';
			$nearby_data = $data_arr;
			$original_lat = $nearby_data['latitude'];
			$original_long = $nearby_data['longitude'];
			$distance = intval($nearby_data['distance']);
			if ($search_radius_type == 'mile' && $distance > 0)
			{
                $distance = $distance * 1.609344;
            }
			$lat = $original_lat;
			$lon = $original_long;
			$distance = ($distance);
			$R = 6371;
			
			$maxLat = $lat + rad2deg($distance / $R);
            $minLat = $lat - rad2deg($distance / $R);
			
			$maxLon = $lon + rad2deg(asin($distance / $R) / @abs(@cos(deg2rad($lat))));
            $minLon = $lon - rad2deg(asin($distance / $R) / @abs(@cos(deg2rad($lat))));
			
			$data['radius'] = $R;
			$data['distance'] = $distance;
			$data['lat']['original'] = $original_lat;
			$data['long']['original'] = $original_long;
			
			$data['lat']['min'] = $minLat;
			$data['lat']['max'] = $maxLat;
			
			$data['long']['min'] = $minLon;
			$data['long']['max'] = $maxLon;
			return $data;
		}
	}
}

// Defualt Image. 
if (!function_exists('maxwheels_defualt_img_url'))
{
    function maxwheels_defualt_img_url()
	{
        global $maxwheels_options;
        if (isset($maxwheels_options['mw_defualt_listing_image']['url']) && $maxwheels_options['mw_defualt_listing_image']['url'] != "")
		{
            return $maxwheels_options['mw_defualt_listing_image']['url'];
        } 
		else
		{
            return trailingslashit(get_template_directory_uri()) . 'libs/images/no-image.png';
        }
    }
}


//Property Views Multipost types 
add_action('wp', 'maxwheels_count_views_multi_type', 10);
if ( ! function_exists('maxwheels_count_views_multi_type'))
{
	function maxwheels_count_views_multi_type($type)
	{
		if (get_post_type(get_the_ID()) == 'mw-dealer' && is_singular('mw-dealer') || get_post_type(get_the_ID()) == 'mw-buyers' && is_singular('mw-buyers'))
		{
			$type =  get_post_type(get_the_ID());
			$post_id = get_the_ID();
			if(get_post_type(get_the_ID()) == 'mw-dealer' && is_singular('mw-dealer'))
			{
				$key = 'dealer';
			}
			if(get_post_type(get_the_ID()) == 'mw-buyers' && is_singular('mw-buyers'))
			{
				$key = 'buyer';
			}
			//daily count total
			if(intval(get_post_meta($post_id, 'mw_'.$key.'_singletotal_views', true)!=""))
			{
				$view_count = get_post_meta($post_id, 'mw_'.$key.'_singletotal_views', true);
				$view_count =  $view_count + 1;
				update_post_meta( $post_id, 'mw_'.$key.'_singletotal_views', $view_count );
			}
			else
			{
				$view_count = 1;
				update_post_meta( $post_id, 'mw_'.$key.'_singletotal_views', $view_count );
			}
			//stats
			$current_day =  date('Y-m-d',current_time('timestamp', 0));
			$count_by_date = get_post_meta($post_id, 'mw_'.$key.'_count_by_date', true);
			if($count_by_date =='' || !is_array($count_by_date))
			{
				$count_by_date         =   array();
				$count_by_date[$current_day] =   1;
			}
			else
			{
				if( !isset($count_by_date[$current_day] ) )
				{
					if( count($count_by_date) > 20 )
					{
						array_shift($count_by_date);
					}
					$count_by_date[$current_day]=1;
				}
				else
				{
					$count_by_date[$current_day]=intval($count_by_date[$current_day])+1;
				}
			}
			update_post_meta($post_id, 'mw_'.$key.'_count_by_date', $count_by_date);
		}
	}
}

//Get Object Terms
if (!function_exists('maxwheels_getselected_locations'))
{
	function maxwheels_getselected_locations($id, $by = 'name')
	{
		$taxonomy = 'mw_location';
		$terms = wp_get_post_terms($id, $taxonomy);
		$all_locations = array();
		$myparentID = '';
		foreach ($terms as $term) {
			if ($term->parent == 0) {
				$myparent = $term;
				$myparentID = $myparent->term_id;
				$all_locations[] = array('name' => $myparent->name, 'id' => $myparent->term_id);
				break;
			}
		}
	
		if ($myparentID != "")
		{
			$mychildID = '';
			foreach ($terms as $term) {
				if ($term->parent == $myparentID)
				{ 
					$child_term = $term; 
					$mychildID = $child_term->term_id;
					$all_locations[] = array('name' => $child_term->name, 'id' => $child_term->term_id);
					break;
				}
			}
			if ($mychildID != "") {
				$mychildchildID = '';
				foreach ($terms as $term) {
					if ($term->parent == $mychildID) { 
						$child_term = $term;
						$mychildchildID = $child_term->term_id;
						$all_locations[] = array('name' => $child_term->name, 'id' => $child_term->term_id);
						break;
					}
				}
				if ($mychildchildID != "") {
					foreach ($terms as $term) {
						if ($term->parent == $mychildchildID) { 
							$child_term = $term;
							$all_locations[] = array('name' => $child_term->name, 'id' => $child_term->term_id);
							break;
						}
					}
				}
			}
		}
		//return $locs;
		$location_html = '';
		if(get_post_meta($id, 'mw_street_addr', true )!="")
		{
			$location_html .= '<li><div class="widget-inner-icon"> <i class="fas fa-map-marker-alt"></i> </div><span> '.esc_html__('Address','maxwheels').' : </span> '.get_post_meta($id, 'mw_street_addr', true ).' </li>';
		}
		$asd = array(0=>maxwheels_strings('mw_loc_level1'),1=>maxwheels_strings('mw_loc_level2'),2=>maxwheels_strings('mw_loc_level3'),3=>maxwheels_strings('mw_loc_level4'));
		$icons = array(0=>'<i class="fas fa-globe-americas"></i>',1=>'<i class="fas fa-location-arrow"></i>',2=>'<i class="fas fa-building"></i>',3=>'<i class="fas fa-street-view"></i>');
		if (count($all_locations) > 0)
		{
			$limit = count((array) $all_locations) - 1;
			for ($i = $limit; $i >= 0; $i--)
			{
				$location_html .= '<li><div class="widget-inner-icon">'.$icons[$i].'</div><span> '.$asd[$i].' :</span> <a href="' . esc_url(get_term_link($all_locations[$i]['id'],'mw_location')) . '">' . esc_html($all_locations[$i]['name']) . '</a></li>';
			}
		}
		return $location_html;
	}
}

//Ajax based pagination
if (!function_exists('maxwheels_pagination_search'))
{
	function maxwheels_pagination_search($wp_query, $page = 0)
	{
		if ($wp_query->found_posts > 1) {
			$limit = $total_pages = '';
			$limit = get_option('posts_per_page');
			$total_pages = $wp_query->found_posts;
			$stages = 3;
			$page = (int)$page;
			if ($page) {
				$start = ($page - 1) * $limit;
			} else {
				$start = 0;
			}
			// Initial page num setup
			if ($page == 0) {
				$page = 1;
			}
			$prev = $page - 1;
			$next = $page + 1;

			$lastpage = ceil($total_pages / $limit);
			$LastPagem1 = $lastpage - 1;

			$paginate = '';
			if ($lastpage > 1) {
				$paginate .= ' <ul class="pagination justify-content-start">';
				// Previous
				if ($page > 1) {
					$paginate .= '<li class="page-item fetch_result" data-page-no="' . $prev . '"><a class="page-link" href="javascript:void(0);">' . esc_html__('Previous', 'maxwheels') . '</a></li>';
				} else {

					$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);;" class="page-link" aria-label="' . esc_html__('Previous', 'maxwheels') . '"><span aria-hidden="true">' . esc_html__('Previous', 'maxwheels') . '</span></a></li>';
				}

				// Pages
				if ($lastpage < 7 + ($stages * 2)) { // Not enough pages to breaking it up
					for ($counter = 1; $counter <= $lastpage; $counter++) {
						if ($counter == $page) {
							$paginate .= '<li class="page-item fetch_result active" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
						} else {
							$paginate .= '<li class="page-item fetch_result" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
						}
					}
				} elseif ($lastpage > 5 + ($stages * 2)) { // Enough pages to hide a few?
					// Beginning only hide later pages
					if ($page < 1 + ($stages * 2)) {
						for ($counter = 1; $counter < 4 + ($stages * 2); $counter++) {
							if ($counter == $page) {
								$paginate .= '<li class="page-item fetch_result active" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
							} else {
								$paginate .= '<li class="page-item fetch_result" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
							}
						}
						$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);" class="page-link">...</a></li>';
						$paginate .= '<li class="page-item fetch_result" data-page-no=' . $LastPagem1 . '><a href="javascript:void(0);" class="page-link">' . $LastPagem1 . '</a></li>';
						$paginate .= '<li class="page-item fetch_result" data-page-no=' . $lastpage . '><a href="javascript:void(0);" class="page-link">' . $lastpage . '</a></li>';
					}
					// Middle hide some front and some back
					elseif ($lastpage - ($stages * 2) > $page && $page > ($stages * 2)) {

						$paginate .= '<li class="page-item fetch_result" data-page-no="1"><a href="javascript:void(0);" class="page-link">1</a></li>';
						$paginate .= '<li class="page-item fetch_result" data-page-no="2"><a href="javascript:void(0);" class="page-link">2</a></li>';
						$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);" class="page-link">...</a></li>';
						//$paginate.= "...";
						for ($counter = $page - $stages; $counter <= $page + $stages; $counter++) {
							if ($counter == $page) {
								$paginate .= '<li class="page-item fetch_result active" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
							} else {
								$paginate .= '<li class="page-item fetch_result" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
							}
						}
						//$paginate.= "...";
						$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);" class="page-link">...</a></li>';
						$paginate .= '<li class="page-item fetch_result" data-page-no=' . $LastPagem1 . '><a href="javascript:void(0);" class="page-link">' . $LastPagem1 . '</a></li>';
						$paginate .= '<li class="page-item fetch_result" data-page-no=' . $lastpage . '><a href="javascript:void(0);" class="page-link">' . $lastpage . '</a></li>';
					}
					// End only hide early pages
					else {
						$paginate .= '<li class="page-item fetch_result" data-page-no="1"><a href="javascript:void(0);" class="page-link">1</a></li>';
						$paginate .= '<li class="page-item fetch_result" data-page-no="2"><a href="javascript:void(0);" class="page-link">2</a></li>';
						$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);" class="page-link">...</a></li>';
						for ($counter = $lastpage - (2 + ($stages * 2)); $counter <= $lastpage; $counter++) {
							if ($counter == $page) {
								$paginate .= '<li class="page-item fetch_result active" data-page-no=' . $counter . '><a class="page-link">' . $counter . '</a></li>';
							} else {
								$paginate .= '<li class="page-item fetch_result" data-page-no=' . $counter . '><a class="page-link">' . $counter . '</a></li>';
							}
						}
					}
				}
				// Next
				if ($page < $counter - 1) {
					$paginate .= '<li class="page-item fetch_result" data-page-no="' . $next . '"><a href="javascript:void(0);" class="page-link" aria-label="' . esc_html__('Next', 'maxwheels') . '"><span aria-hidden="true">' . esc_html__('Next', 'maxwheels') . ' </span></a></li>';
				} else {
					$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);" class="page-link" aria-label="' . esc_html__('Next', 'maxwheels') . '"><span aria-hidden="true">' . esc_html__('Next', 'maxwheels') . '</span></a></li>';
				}
				$paginate .= "</ul>";
			}
			return $paginate;
		}
	}
}

//Ajax based pagination just home page
if (!function_exists('maxwheels_pagination_search_home'))
{
	function maxwheels_pagination_search_home($wp_query, $page = 0)
	{
		if ($wp_query->found_posts > 1) {
			$limit = $total_pages = '';
			$limit = get_option('posts_per_page');
			$total_pages = $wp_query->found_posts;
			$stages = 3;
			$page = $page;
			if ($page) {
				$start = ($page - 1) * $limit;
			} else {
				$start = 0;
			}
			// Initial page num setup
			if ($page == 0) {
				$page = 1;
			}
			$prev = $page - 1;
			$next = $page + 1;

			$lastpage = ceil($total_pages / $limit);
			$LastPagem1 = $lastpage - 1;

			$paginate = '';
			if ($lastpage > 1) {
				$paginate .= ' <ul class="pagination justify-content-start">';
				// Previous
				if ($page > 1) {
					$paginate .= '<li class="page-item fetch_result_home" data-page-no="' . $prev . '"><a class="page-link" href="javascript:void(0);">' . esc_html__('Previous', 'maxwheels') . '</a></li>';
				} else {

					$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);" class="page-link" aria-label="' . esc_html__('Previous', 'maxwheels') . '"><span aria-hidden="true">' . esc_html__('Previous', 'maxwheels') . '</span></a></li>';
				}

				// Pages
				if ($lastpage < 7 + ($stages * 2)) { // Not enough pages to breaking it up
					for ($counter = 1; $counter <= $lastpage; $counter++) {
						if ($counter == $page) {
							$paginate .= '<li class="page-item fetch_result_home active" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
						} else {
							$paginate .= '<li class="page-item fetch_result_home" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
						}
					}
				} elseif ($lastpage > 5 + ($stages * 2)) { // Enough pages to hide a few?
					// Beginning only hide later pages
					if ($page < 1 + ($stages * 2)) {
						for ($counter = 1; $counter < 4 + ($stages * 2); $counter++) {
							if ($counter == $page) {
								$paginate .= '<li class="page-item fetch_result_home active" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
							} else {
								$paginate .= '<li class="page-item fetch_result_home" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
							}
						}
						$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);" class="page-link">...</a></li>';
						$paginate .= '<li class="page-item fetch_result_home" data-page-no=' . $LastPagem1 . '><a href="javascript:void(0);" class="page-link">' . $LastPagem1 . '</a></li>';
						$paginate .= '<li class="page-item fetch_result_home" data-page-no=' . $lastpage . '><a href="javascript:void(0);" class="page-link">' . $lastpage . '</a></li>';
					}
					// Middle hide some front and some back
					elseif ($lastpage - ($stages * 2) > $page && $page > ($stages * 2)) {

						$paginate .= '<li class="page-item fetch_result_home" data-page-no="1"><a href="javascript:void(0);" class="page-link">1</a></li>';
						$paginate .= '<li class="page-item fetch_result_home" data-page-no="2"><a href="javascript:void(0);" class="page-link">2</a></li>';
						$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);" class="page-link">...</a></li>';
						//$paginate.= "...";
						for ($counter = $page - $stages; $counter <= $page + $stages; $counter++) {
							if ($counter == $page) {
								$paginate .= '<li class="page-item fetch_result_home active" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
							} else {
								$paginate .= '<li class="page-item fetch_result_home" data-page-no=' . $counter . '><a href="javascript:void(0);" class="page-link">' . $counter . '</a></li>';
							}
						}
						//$paginate.= "...";
						$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);" class="page-link">...</a></li>';
						$paginate .= '<li class="page-item fetch_result_home" data-page-no=' . $LastPagem1 . '><a href="javascript:void(0);" class="page-link">' . $LastPagem1 . '</a></li>';
						$paginate .= '<li class="page-item fetch_result_home" data-page-no=' . $lastpage . '><a href="javascript:void(0);" class="page-link">' . $lastpage . '</a></li>';
					}
					// End only hide early pages
					else {
						$paginate .= '<li class="page-item fetch_result_home" data-page-no="1"><a href="javascript:void(0);" class="page-link">1</a></li>';
						$paginate .= '<li class="page-item fetch_result_home" data-page-no="2"><a href="javascript:void(0);" class="page-link">2</a></li>';
						$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);" class="page-link">...</a></li>';
						for ($counter = $lastpage - (2 + ($stages * 2)); $counter <= $lastpage; $counter++) {
							if ($counter == $page) {
								$paginate .= '<li class="page-item fetch_result_home active" data-page-no=' . $counter . '><a class="page-link">' . $counter . '</a></li>';
							} else {
								$paginate .= '<li class="page-item fetch_result_home" data-page-no=' . $counter . '><a class="page-link">' . $counter . '</a></li>';
							}
						}
					}
				}
				// Next
				if ($page < $counter - 1) {
					$paginate .= '<li class="page-item fetch_result_home" data-page-no="' . $next . '"><a href="javascript:void(0);" class="page-link" aria-label="' . esc_html__('Next', 'maxwheels') . '"><span aria-hidden="true">' . esc_html__('Next', 'maxwheels') . ' </span></a></li>';
				} else {
					$paginate .= '<li class="page-item disabled"><a href="javascript:void(0);" class="page-link" aria-label="' . esc_html__('Next', 'maxwheels') . '"><span aria-hidden="true">' . esc_html__('Next', 'maxwheels') . '</span></a></li>';
				}
				$paginate .= "</ul>";
			}
			return $paginate;
		}
	}
}

if (!function_exists('maxwheels_no_result_found'))
{
	function maxwheels_no_result_found()
	{
        $image_id = '';
        $img_link = trailingslashit( get_template_directory_uri () ) ."libs/images/nothing-found.png";
        return '<img src="'.esc_url($img_link).'" alt="'.esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)).'" class="img-fluid">';
    }
}

//Comments Callback
if ( !function_exists( 'maxwheels_custom_comments' ) )
{
    function maxwheels_custom_comments( $comment, $args, $depth )
	{
		$alt = $default = $comment_id = '';
        $GLOBALS['comment' ] = $comment;
        switch ( $comment->comment_type ) :
            case 'trackback' :
        ?>
                <div class="post pingback">
                    <p><?php esc_html__( 'Pingback:', 'maxwheels' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__( '(Edit)', 'maxwheels' ), ' ' ); ?></p>
                </div>
                    <?php
                    break;
                	default :
                    ?>
                    <?php
                    if ( $depth > 1 ) {
                        echo '<div class="ml-5">';
                    }
                    ?>
    				<div class="real-comms" <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
                        <div class="comment-user">
                            <div class="comm-avatar">
                             <?php 
                             if($comment->user_id)
                             { 
                                 echo get_avatar( $comment, null, $default, $alt, array( 'class' => array( 'd-flex','mx-auto' ) ) );
                             }
                             else
                             {
                                 if(empty(get_avatar( $comment, 100 )))
                                 {
                                     $space_removal = 'left-sp-removal';
                                 }
                                 else
                                 {
                                    $space_removal = '';
                                    echo get_avatar( $comment, 100 );
                                 }
                             }
                             ?>
                            </div>
                            <span class="user-details <?php echo esc_attr($space_removal); ?>"><span class="username"><?php echo get_comment_author_link(); ?> </span>
                            <span><?php echo esc_html__( 'on ', 'maxwheels' ); ?> </span>
                            <span><?php printf( esc_html( '%1$s', 'maxwheels' ), get_comment_date(), get_comment_time() );?></span>
                            <span>
                            <?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args[ 'max_depth' ], 'add_below' => 'li-comment', 'reply_text' => '<i class="fa fa-reply pull-right"></i>' ) ), $comment_id ); ?>
                            </span>
                        </div>
                        <div class="comment-text">
                            <?php echo comment_text(); ?>
                        </div>
    				</div>
                <?php
                if ( $depth > 1 ) {
                    echo '</div>';
                }
                ?>
                <?php
                break;
        endswitch;
    }
} 

//Return dynamic data
if (!function_exists('maxwheels_params'))
{
    function maxwheels_params($param)
    {
        if(!empty($param))
        {
          return $param;  
        }
    }
}

//Total Comments Count Received
if (!function_exists('maxwheels_received_reviews'))
{
    function maxwheels_received_reviews($user_id)
    {
		$comments = array();
		$total = '';
        $param = array('status' => 'approve', 'post_type' => 'mx-listings', 'post_author__in' => $user_id, 'parent' => 0);
        $comments = get_comments($param);
		if(!empty($comments) && is_array($comments) && count($comments) > 0)
		{
			$total = count($comments);
		}
		return maxwheels_number_format_short($total);
    }
}
//Total Comments Count By Profile Received
if (!function_exists('maxwheels_submitted_profile_reviews'))
{
    function maxwheels_submitted_profile_reviews($profile_id)
    {
		$comments = array();
		$total = '';
		$param = array('status' => 'approve', 'type__in' =>array('property-buyers', 'mw-dealer' ),  'user_id' =>$profile_id, 'parent' => 0);
		
        $comments = get_comments($param);
		if(!empty($comments) && is_array($comments) && count($comments) > 0)
		{
			$total = count($comments);
		}
		return maxwheels_number_format_short($total);
    }
}
//Total Comments Count Submitted
if (!function_exists('maxwheels_submitted_reviews'))
{
    function maxwheels_submitted_reviews($user_id)
    {
		$comments = array();
		$total = '';
        $param = array('status' => 'approve', 'post_type' => 'mx-listings', 'user_id' => $user_id, 'parent' => 0);
		
        $comments = get_comments($param);
		if(!empty($comments) && is_array($comments) && count($comments) > 0)
		{
			$total = count($comments);
		}
		return maxwheels_number_format_short($total);
    }

}

//Check Featured Property 
add_action('wp', 'maxwheels_check_mw_status', 10);
if ( ! function_exists('maxwheels_check_mw_status'))
{
	function maxwheels_check_mw_status()
	{
		if (get_post_type(get_the_ID()) == 'property' && is_singular('property'))
		{	
			$mw_id = get_the_ID();
            // current time
            $now = date('Y-m-d');
            if (get_post_meta($mw_id, 'mw_is_feature_listing', true) !="" && get_post_meta($mw_id, 'mw_is_feature_listing', true) == '1' )
            {
                $featured_expiry_for = '';
                $featured_expiry_for = get_post_meta($mw_id, 'mw_feature_listing_for', true);
                if(isset($featured_expiry_for) && $featured_expiry_for !="" && $featured_expiry_for !="0" && $featured_expiry_for !="-1")
                {
                    if ($now > $featured_expiry_for)
                    {
                       update_post_meta($mw_id, 'mw_feature_listing_for', '');
                       update_post_meta($mw_id, 'mw_is_feature_listing', 0);
                       update_post_meta($mw_id, 'mw_feature_listing_date','');
                       // featured ad expiry email
                       maxwheels_framework_featured_ad_expiry($mw_id);
                    }
                }
            }
            //check property expiry
            if (get_post_meta($mw_id, 'mw_regular_listing_expiry', true) !="" && get_post_meta($mw_id, 'mw_regular_listing_expiry_date', true) !="" && get_post_meta($mw_id, 'mw_regular_listing_expiry', true) != '-1' )
            {
                $last_date = get_post_meta($mw_id, 'mw_regular_listing_expiry_date', true);
                $nooff_days = get_post_meta($mw_id, 'mw_regular_listing_expiry', true);
                $status = 'expired';
                if ($now > $last_date)
                {
                    if (!empty(maxwheels_strings('mw_expiry_status')))
                    {
                       $status = maxwheels_strings('mw_expiry_status'); 
                    }
                    if($status == 'expired')
                    {
                        $my_post = array(
                          'ID'           => $mw_id,
                          'post_status'   => 'expired',
                          'post_type' 	=> 'property'
  				        );
  			           $post_id = wp_update_post( $my_post );
                       if (!is_wp_error($post_id))
                       {
                          update_post_meta($mw_id, 'mw_status', '0');
				          update_post_meta($mw_id, 'mw_expired', 'yes');
				          update_post_meta($mw_id, 'mw_is_feature_listing', '0');
                          update_post_meta($mw_id, 'mw_regular_listing_expiry_date', '');    
                          update_post_meta($mw_id, 'mw_regular_listing_expiry', '');
                          maxwheels_framework_regular_ad_expiry($mw_id);
                       }
                    }
                    else
                    {
                        update_post_meta($mw_id, 'mw_status', '0');
				        update_post_meta($mw_id, 'mw_expired', 'yes');
				        update_post_meta($mw_id, 'mw_is_feature_listing', '0');
                        update_post_meta($mw_id, 'mw_regular_listing_expiry_date', '');    
                        update_post_meta($mw_id, 'mw_regular_listing_expiry', '');
                        wp_trash_post($mw_id);
                        maxwheels_framework_regular_ad_expiry($mw_id);
                    }
                }
            }
        }
    }
}


//Check Sponsored Plans Profile 
add_action('wp', 'maxwheels_check_sponsored_profiles', 10);
if ( ! function_exists('maxwheels_check_sponsored_profiles'))
{
	function maxwheels_check_sponsored_profiles()
	{
		if (get_post_type(get_the_ID()) == 'mw-dealer' && is_singular('mw-dealer'))
		{	
			$dealer_id = get_the_ID();
            // current time
            $now = date('Y-m-d');
			if (get_post_meta($dealer_id, 'mw_sponsored_profile', true) !="" && get_post_meta($dealer_id, 'mw_sponsored_profile', true) == 1)
			{
				if (get_post_meta($dealer_id, 'mw_sponsored_for', true) !="" && get_post_meta($dealer_id, 'mw_sponsored_for', true) != -1)
				{
					$sponsored_date = get_post_meta($dealer_id, 'mw_sponsored_for', true);
					//$now = '2021-04-19';
					if ($now > $sponsored_date)
					{
						update_post_meta($dealer_id, 'mw_sponsored_profile', 0);
						update_post_meta($dealer_id, 'mw_post_plan_id', '');
						update_post_meta($dealer_id, 'mw_sponsored_for', '');
					}
				}
			}
		}
	}
}

//Total Comments Count Submitted
if (!function_exists('maxwheels_compare_msg'))
{
    function maxwheels_compare_msg()
    {
        
        return '<section class="section-padding single-comparison">
               <div class="container">
                <div class="row sec-heading-zone">
                    <div class="col">
                        <div class="sec-heading">
                            <p>'.maxwheels_strings('mw_compare_tagline').'</p>
                            <h2>'.maxwheels_strings('mw_compare_heading').'</h2>
                        </div>
                    </div>
                </div>
                  <div class="row">
                      <div class="col-xl-12 col-12">
                        <div class="alert custom-alert custom-alert--danger mb-0" role="alert">
                            <div class="custom-alert__top-side">
                                <span class="alert-icon custom-alert__icon  fas fa-exclamation-triangle"></span>
                                    <div class="custom-alert__body">
                                            <h6 class="custom-alert__heading"> '.esc_html__('Whoops!','maxwheels').'</h6>
                                            <div class="custom-alert__content">
                                              '.maxwheels_strings('mw_empty_msg').'                             
                                            </div>
                                    </div>
                             </div>
                        </div>
                      </div>
                  </div>
                  </div>
                  </section>';
    }
}
//Total Comments Count Submitted
if (!function_exists('maxwheels_packages_notifications'))
{
    function maxwheels_packages_notifications($type)
    {
        $link = '#';
        global $maxwheels_options;
        if(isset($maxwheels_options['mw_pkg_page']) && $maxwheels_options['mw_pkg_page'] !="")
        {
            $link = esc_url( get_page_link($maxwheels_options['mw_pkg_page']));
        }
        $anchor = esc_html__( 'Select Package', 'maxwheels' );
        $url = $link;
        if($type == 'expires')
        {
            return "<div class='alert custom-alert custom-alert--danger margin-bottom-30' role='alert'>
                  <div class='custom-alert__top-side'>
                    <span class='alert-icon custom-alert__icon fas fa-exclamation-triangle'></span>
                    <div class='custom-alert__body'>
                      <h6 class='custom-alert__heading'> ".esc_html__('Package Expired','maxwheels')." </h6>
                      <div class='custom-alert__content'>
                      ".esc_html__('Your package is expired! You will not be able to continue listings unless you renew your package.','maxwheels')."
                      ".sprintf( '<a href="%s">%s</a>', $url, $anchor )."
                      </div>
                    </div>
                  </div>
                </div>";
        }
        if($type == 'listings')
        {
            return "<div class='alert custom-alert custom-alert--info margin-bottom-30' role='alert'>
                  <div class='custom-alert__top-side'>
                    <span class='alert-icon custom-alert__icon fas fa-exclamation-triangle'></span>
                    <div class='custom-alert__body'>
                      <h6 class='custom-alert__heading'> ".esc_html__('Notification','maxwheels')." </h6>
                      <div class='custom-alert__content'>
                      ".esc_html__('Your listings are expired! You will not be able to continue listings unless you renew your package.','maxwheels')."
                      ".sprintf( '<a href="%s">%s</a>', $url, $anchor )."
                      </div>
                    </div>
                  </div>
                </div>";
        }
        if($type == 'package')
        {
            return "<div class='alert custom-alert custom-alert--info margin-bottom-30' role='alert'>
                  <div class='custom-alert__top-side'>
                    <span class='alert-icon custom-alert__icon fas fa-exclamation-triangle'></span>
                    <div class='custom-alert__body'>
                      <h6 class='custom-alert__heading'> ".esc_html__('Notification','maxwheels')." </h6>
                      <div class='custom-alert__content'>
                      ".esc_html__('You dont have any package please select a package to submit listings.','maxwheels')."
                      ".sprintf( '<a href="%s">%s</a>', $url, $anchor )."
                      </div>
                    </div>
                  </div>
                </div>";
        }
        if($type == 'reviews')
        {
            return "<div class='alert custom-alert custom-alert--info' role='alert'>
                  <div class='custom-alert__top-side'>
                    <span class='alert-icon custom-alert__icon fas fa-exclamation-triangle'></span>
                    <div class='custom-alert__body'>
                     
                      <div class='custom-alert__content'>
                      ".esc_html__("You don't have any review yet!. Your review score will be here. ",'maxwheels')."
                      </div>
                    </div>
                  </div>
                </div>";
        }
        if($type == 'activities')
        {
            return "<div class='alert custom-alert custom-alert--info' role='alert'>
                  <div class='custom-alert__top-side'>
                    <span class='alert-icon custom-alert__icon fas fa-exclamation-triangle'></span>
                    <div class='custom-alert__body'>
                      <div class='custom-alert__content'>
                      ".esc_html__("Your recent reviews or feedback will be shown here.",'maxwheels')."
                      </div>
                    </div>
                  </div>
                </div>";
        }
        if($type == 'listing')
        {
            return "<div class='alert custom-alert custom-alert--info' role='alert'>
                  <div class='custom-alert__top-side'>
                    <span class='alert-icon custom-alert__icon fas fa-exclamation-triangle'></span>
                    <div class='custom-alert__body'>
                      <div class='custom-alert__content'>
                      ".esc_html__("Sorry! You have no listing yet! Most viewed listings will be shown here.",'maxwheels')."
                      </div>
                    </div>
                  </div>
                </div>";
        }
        if($type == 'noplan')
        {
            return "<div class='alert custom-alert custom-alert--info' role='alert'>
                  <div class='custom-alert__top-side'>
                    <span class='alert-icon custom-alert__icon fas fa-exclamation-triangle'></span>
                    <div class='custom-alert__body'>
                      <div class='custom-alert__content'>
                      ".esc_html__('You dont have any package please select a package to submit listings.','maxwheels')."
                      ".sprintf( '<a href="%s">%s</a>', $url, $anchor )."
                      </div>
                    </div>
                  </div>
                </div>";
        }
    }
}

if (!function_exists('maxwheels_profile_plan_notifications'))
{
    function maxwheels_profile_plan_notifications($type)
    {
        global $maxwheels_options;
        $link = '#';
        if(isset($maxwheels_options['mw_profile_plan_page']) && $maxwheels_options['mw_profile_plan_page'] !="")
        {
            $link = esc_url( get_page_link($maxwheels_options['mw_profile_plan_page']));
        }
        $anchor = esc_html__( 'Select Package', 'maxwheels' );
        $url = $link;
        if($type == 'expires')
        {
            return "<div class='alert custom-alert custom-alert--danger margin-bottom-30' role='alert'>
                  <div class='custom-alert__top-side'>
                    <span class='alert-icon custom-alert__icon fas fa-exclamation-triangle'></span>
                    <div class='custom-alert__body'>
                      <h6 class='custom-alert__heading'> ".esc_html__('Package Expired','maxwheels')." </h6>
                      <div class='custom-alert__content'>
                      ".esc_html__('Your package is expired! You will not be able to continue listings unless you renew your package.','maxwheels')."
                      ".sprintf( '<a href="%s">%s</a>', $url, $anchor )."
                      </div>
                    </div>
                  </div>
                </div>";
        }
        if($type == 'package')
        {
            return "<div class='alert custom-alert custom-alert--info margin-bottom-30' role='alert'>
                  <div class='custom-alert__top-side'>
                    <span class='alert-icon custom-alert__icon fas fa-exclamation-triangle'></span>
                    <div class='custom-alert__body'>
                      <h6 class='custom-alert__heading'> ".esc_html__('Notification','maxwheels')." </h6>
                      <div class='custom-alert__content'>
                      ".esc_html__('You dont have any package please select a package to submit listings.','maxwheels')."
                      ".sprintf( '<a href="%s">%s</a>', $url, $anchor )."
                      </div>
                    </div>
                  </div>
                </div>";
        }
        if($type == 'noplan')
        {
            return "<div class='alert custom-alert custom-alert--info' role='alert'>
                  <div class='custom-alert__top-side'>
                    <span class='alert-icon custom-alert__icon fas fa-exclamation-triangle'></span>
                    <div class='custom-alert__body'>
                      <div class='custom-alert__content'>
                      ".esc_html__('You dont have any package please select a package to submit listings.','maxwheels')."
                      ".sprintf( '<a href="%s">%s</a>', $url, $anchor )."
                      </div>
                    </div>
                  </div>
                </div>";
        }
    }
}

//Total Comments Count Submitted
if (!function_exists('maxwheels_elemen_breadcrumb'))
{
    function maxwheels_elemen_breadcrumb($page_id)
    {
		if(get_post_meta($page_id, 'show_page_bread', true )!="" && get_post_meta($page_id, 'show_page_bread', true ) == "0")
		{
			return '<div class="mw-breads white-bg">
				<div class="container">
					<div class="row">
						<div class="col-xxl-12 col-lg-12 col-md-12 col-sm-12 col-12">
							<ol class="breadcrumb">
							  <li class="breadcrumb-item"><a href="'.esc_url(home_url( '/' )).'"><i class="fas fa-home"></i> '.esc_html__('Home','maxwheels').'</a></li>
							  <li class="breadcrumb-item active" aria-current="page">'.esc_html(get_the_title($page_id)).'</li>
							</ol>			
						</div>	
					</div>
				</div>	
			</div>';
		}
	}
}

//Currency Swticher
if (!function_exists('maxwheels_currency_switcher'))
{
    function maxwheels_currency_switcher()
    {

		
		if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
		{
			if (maxwheels_strings('mw_enable_currency_switcher') == true && maxwheels_strings('mw_enable_currency_api_key') != '' &&  maxwheels_strings('mw_opt_currency_switcher_languages') != '')
			{
				$selected = $options = '';
				$rates =  get_transient('mw_daily_conversion_rates' );
				if(!empty($rates))
				{ 
					$money_sumbol = '';
					$stdclass = json_decode(json_encode($rates), true);
					$currencies = maxwheels_strings('mw_opt_currency_switcher_languages');
					$myArray = explode('|', $currencies);
					$select_val = '';
					if (isset($_COOKIE['mw_currency_rate']) && $_COOKIE['mw_currency_rate'] != "") {
						$select_val = $_COOKIE['mw_currency_rate'];
					}
					$myVal = explode("-", $select_val);
					$select_val = ( isset($myVal[1])) ? $myVal[1] : "";
					if(is_array($myArray))
					{
						foreach($myArray as $value)
						{
							$selected = '';
							if(array_key_exists($value,$stdclass))
							{
								$money_sumbol = maxwheels_framework_get_currency_symbol($value);						
							  if ($select_val == $stdclass[$value]){
								  $selected = 'selected="selected"';
							  }

							  $options.= '<option value="'.esc_attr($money_sumbol.'-'.$stdclass[$value]).'" '.$selected.'>'.esc_html($value).'</option>';
							}
						}
					}
					return '<select class="mw-currency-switch" name="mw-currency" data-placeholder="'.esc_html__('Currency','maxwheels').'">
								'.$options.'
							</select>';
				}
			}
		}
	}
}


//showing pending listing to owner
if (!function_exists('maxwheels_access_to_user_listings'))
{
	 function maxwheels_access_to_user_listings($query)
	 { 
	 	if (isset($_GET['post_type']) && $_GET['post_type'] == "mx-listings" && isset($_GET['p'])) {
	 		$post_author = '';
	 		$property_id = $_GET['p'];
	 		$post_author = get_post_field('post_author', $property_id);
	 		 if (is_user_logged_in() && get_current_user_id() == $post_author)
 		 	 {
 		 	 	$query->set('post_status', array('publish', 'draft','pending'));
 		 	 	return $query;
 		 	 }
 		 	 else
 		 	 {
 		 	 	return $query;
 		 	 }

	 	}
	 }
}
add_filter('pre_get_posts', 'maxwheels_access_to_user_listings');

//For block show widget in classic
if(!function_exists('max_block_classic')) {
    function max_block_classic()
    {
        add_filter( 'gutenberg_use_widgets_block_editor', '__return_false' );
        add_filter( 'use_widgets_block_editor', '__return_false' );
    }
}
add_action( 'init', 'max_block_classic' );
