<?php
/* ===========================
 * display result within all
 * languages or only current language
 * (used)
  ============================ */
if (!function_exists('maxwheels_wpml_show_all_posts_callback')) {
    function maxwheels_wpml_show_all_posts_callback($query_args = array(), $option_name = 'maxwheels_options', $option_key_name = 'max_display_post')
    {
        if (max_check_wpml_installed() && $query_args != '') {
            global $sitepress;
            $max_show_posts = false;
            $max_theme_option = get_option($option_name);
            $max_display_post = ($max_theme_option[$option_key_name]);
            if (!is_admin()) {
                if (class_exists('Redux')) {
                    $max_show_posts = $max_display_post;
                }
                if ($max_show_posts == true) {
                    $max_show_posts = false;
                    do_action('cs_wpml_terms_filters');
                    $query_args['suppress_filters'] = $max_show_posts;
                }
            }
        }
        //return $query_args;
    }
}

/*which Language is Current active function*/

if (!function_exists('max_wpml_current_language')) {

    function max_wpml_current_language(){
        global $sitepress;
        $current_lang='';
        $current_lang=$sitepress->get_current_language();
        return $current_lang;
    }

}

/* ======================
 * check wpml installed
 * and activated
 * (used)
 ======================= */
if (!function_exists('max_check_wpml_installed')) {
    function max_check_wpml_installed()
    {
        if (function_exists('icl_object_id')) {
            return true;
        } else {
            return false;
        }
    }
}


/*
 * get url of post/post-type
 * according to language
 * (used)
 * */

if (!function_exists('get_correct_link_by_postID')) {
    function get_correct_link_by_postID($pid = '')
    {
        if ($pid != '') {
            if (foodota_check_wpml_installed()) {
                $post_language_information = wpml_get_language_information($pid);
                $pid_url = apply_filters('wpml_permalink', get_post_permalink($pid), $post_language_information['language_code']);
                $pid_url_ = $pid_url;
            } else {
                $pid_url_ = get_post_permalink($pid);
            }
            return $pid_url_;
        }
    }
}

/*
 * Page language url
 * (used)
 */
if (!function_exists('max_page_lang_url_callback')) {
    function max_page_lang_url_callback($page_url = '')
    {
        global $sitepress;
        if (function_exists('icl_object_id') && $page_url != '') {
            $page_url = apply_filters('wpml_permalink', $page_url, ICL_LANGUAGE_CODE, true);
        }
        return $page_url;
    }
}

/*
 * Return page id according to language
 * especially come from theme option
 * espacially for theme options
 * (used)
 */
if (!function_exists('max_language_page_id_callback')) {

    function max_language_page_id_callback($page_id = '', $post_type = 'page')
    {
        global $sitepress;
        if (function_exists('icl_object_id') && function_exists('wpml_init_language_switcher') && $page_id != '' && is_numeric($page_id)) {
            $language_code = $sitepress->get_current_language();
            //$lang_page_id = icl_object_id($page_id, $post_type, false, $language_code);
            $lang_page_id = apply_filters('wpml_object_id', $page_id, $post_type, FALSE, $language_code);
            if ($lang_page_id <= 0) {
                $lang_page_id = $page_id;
            }
            return $lang_page_id;
        } else {
            return $page_id;
        }
    }
}
/* ===================
 *  set url parameters
 * for links
 * (used)
 ==================== */
if (!function_exists('max_set_url_params_multi')) {

    function max_set_url_params_multi($foodota = '', $wpml_url_params = '')
    {
        if ($foodota != '') {
            $foodota = add_query_arg(($wpml_url_params), $foodota);
            $foodota = max_page_lang_url_callback($foodota);
        }
        return $foodota;
    }

}

 // parameter are multiple like 4 /
if (!function_exists('max_set_url_params_multi')) {

    function max_set_url_params_multi($max_listing = '', $wpml_url_params='')
    {
        if ($max_listing != '') {
            $max_listing = add_query_arg(($wpml_url_params), $max_listing);
            $max_listing = max_listing_page_lang_url_callback($max_listing);
        }
        return $max_listing;
    }

}

///check page language url for wpml  == /
if (!function_exists('max_listing_page_lang_url_callback')) {

    function max_listing_page_lang_url_callback($page_url = '')
    {
        global $sitepress;
        if (function_exists('icl_object_id') && $page_url != '') {
            $page_url = apply_filters('wpml_permalink', $page_url, ICL_LANGUAGE_CODE, true);
        }
        return $page_url;
    }

}

if (!function_exists('max_listing_pagelink')) {

function max_listing_pagelink($get_data, $text = "")
{
    global $dwt_listing_options;
    if (isset($dwt_listing_options[$get_data]) && $dwt_listing_options[$get_data] != ""):
        return esc_url(get_the_permalink($dwt_listing_options[$get_data]));
    else:
        return home_url('/');
    endif;
}

}