<?php
 /* Template Name: Compare Listings */ 
/**
 * The template for displaying Pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package maxwheels
 */
?>
<?php
if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
{
     get_header(); 
     $comparison_ids = array();
     $localization   =   maxwheels_localization();
     if(!empty($_SESSION['compare_listings']) && is_array($_SESSION['compare_listings']) && count($_SESSION['compare_listings']) > 0)
     {
     $enginesize = $size = $eng_size = $eng = $body_mil =  $mileage =  $drive = $body_drive = $my_drive = $my_trans = $body_trans = $trans = $stock_id = $fuel = $body_fuel = $fueltype = $category =  $bodytype = $bodytype_term    = $status = $type_term    = $offer_type  = $features_html  = $year = $grages = $baths = $beds = $land = $size = $pro_id = $type = $img_link =  $all_idz = $selected_pricelabel_after = $optional_price = $final_price = $get_all_prices = $title = $comp_beds =  $bedrooms = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
        $allowed_html = maxwheels_allowed_html();
        foreach ($_SESSION['compare_listings'] as $compare_id)
        {
            $comparison_ids[] = $compare_id;
        }
        // query
        $args = array(  
            'post_type' => 'mx-listings',
            'post_status' => 'publish',
            'posts_per_page' => 3,
            'post__in'=> $comparison_ids,
             'fields' => 'ids',
            'orderby' => 'date', 
            'order' => 'DESC',
        );
         $results = new WP_Query( $args );
         if ( $results->have_posts() )
         {
             while ( $results->have_posts()) 
             {
                 $results->the_post();
                 $mw_id = get_the_ID();
                 //price
                 $get_all_prices =  maxwheels_framework_fetch_price($mw_id);
                 if(!empty($get_all_prices))
                 {
                      $final_price = $get_all_prices;
                 }
                 else
                 {
                     $final_price = '---';
                 }

                 //gallery
                 $all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
                 if(!empty($all_idz) && is_array($all_idz))
                 {
                     $img_link .='<td class="border-top-0 w-25"> <div class="compare-img-box"> <a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'"><img class="img-fluid" src="'.esc_url(maxwheels_framework_img_src($all_idz,'maxwheels-blog-thumb')).'" alt="'.esc_attr(get_post_meta($all_idz, '_wp_attachment_image_alt', TRUE)).'"></a>
                     <div class="compare-title">
                     <a href="'.esc_url(get_the_permalink($mw_id)).'"><h1>'.get_the_title($mw_id).'</h1></a></div>
                     </div>
                     <div class="compare-price">
                        '.$final_price .'
                     </div>
                     </td>';
                 }
				 
				 //category
				 $object_terms = wp_get_object_terms($mw_id, 'mw-category', array('fields' => 'all_with_object_id', 'parent' => 0 ));
				 if(!empty($object_terms) && !is_wp_error($object_terms) && is_array($object_terms) && count($object_terms) > 0)
				 {
					foreach ($object_terms as $the_status)
					{
						$category.='<td class="off-make"><a class="my-cats" href="'.esc_url($search_page)."?category=".$the_status->slug.'">'.esc_html( $the_status->name ).'</a></td>';
					}
				 }
				 else
				 {
					  $category.='<td>---</td>';
				 } 
				 // body_type
                 if(get_post_meta($mw_id, 'mw_bodytype', true ) !="")
                 {
					 $body_type = get_post_meta($mw_id, 'mw_bodytype',true);
			         $body_data = get_term_by('slug',$body_type, 'mw-bodytype');
					 if(!empty($body_data))
					 {
                     	$bodytype.='<td>'.esc_html($body_data->name).'</td>';
					 }
					 else
					 {
						 $bodytype.='<td>---</td>';
					 }
                 }
                 else
                 {
                      $bodytype.='<td>---</td>';
                 }
				 // fuel type
                 if(get_post_meta($mw_id, 'mw_fueltype', true ) !="")
                 {
					 $fuel = get_post_meta($mw_id, 'mw_fueltype',true);
			         $body_fuel = get_term_by('slug',$fuel, 'mw-fuel');
					 if(!empty($body_fuel))
					 {
                     	$fueltype.='<td>'.esc_html($body_fuel->name).'</td>';
					 }
					 else
					 {
						 $fueltype.='<td>---</td>';
					 }
                 }
                 else
                 {
                      $fueltype.='<td>---</td>';
                 }
                 //id
				 $stock_id.='<td>'.esc_html($mw_id).'</td>';
				 // transmission
                 if(get_post_meta($mw_id, 'mw_transmission', true ) !="")
                 {
					 $trans = get_post_meta($mw_id, 'mw_transmission',true);
			         $body_trans = get_term_by('slug',$trans, 'mw-transmission');
					 if(!empty($body_trans))
					 {
                     	$my_trans.='<td>'.esc_html($body_trans->name).'</td>';
					 }
					 else
					 {
						 $my_trans.='<td>---</td>';
					 }
                 }
                 else
                 {
                      $my_trans.='<td>---</td>';
                 }
				 // drive
                 if(get_post_meta($mw_id, 'mw_drive', true ) !="")
                 {
					 $drive = get_post_meta($mw_id, 'mw_drive',true);
			         $body_drive = get_term_by('slug',$drive, 'mw-drive');
					 if(!empty($body_drive))
					 {
                     	$my_drive.='<td>'.esc_html($body_drive->name).'</td>';
					 }
					 else
					 {
						 $my_drive.='<td>---</td>';
					 }
                 }
                 else
                 {
                      $my_drive.='<td>---</td>';
                 }
				 // mileage
                 if(get_post_meta($mw_id,'mw_mileage', true )!="")
                 {
					  $body_mil = get_post_meta($mw_id, 'mw_mileage',true);
                      $mileage.='<td>'. esc_html(number_format($body_mil)). ' '.maxwheels_strings('mw_car_mileage_unit').'</td>';
                 }
                 else
                 {
					 $mileage.='<td>---</td>';
				 }
                 // engine size
                 if(get_post_meta($mw_id,'mw_enginesize', true )!="")
                 {
					  $eng = get_post_meta($mw_id, 'mw_enginesize',true);
					  $eng_size = number_format($eng);
                      $enginesize.='<td>'. esc_html($eng_size) . ' '.maxwheels_strings('mw_enginesize_unit').'</td>';
                 }
                 else
                 {
					 $enginesize.='<td>---</td>';
				 }                     
                 //features
                 $features_list = array();
                 $features_list = wp_get_object_terms($mw_id,array('mw-features'), array('orderby'=>'name','order'=> 'ASC'));
                 if(!empty($features_list) && is_array($features_list) && count($features_list) > 0)
                 {
                     if (!is_wp_error($features_list))
                     {
                         $features_html .= '<td><ul class="custom-list">';   
                         $anem_img = $img_atts = $image_id =  $feature_img = '';
                         foreach( $features_list as $features )
                         {
                            $features_html .= '<li>
                               <i class="fas fa-check-circle"></i> <span>'.esc_html($features->name).'</span>
                            </li>';
                         }
                         $features_html .= '</ul></td>';   
                     }
                 }
             }
         }
         wp_reset_postdata(); 
         require trailingslashit(get_template_directory()) . 'template-parts/compare/compare-detial.php';
     }
     else
     {
       echo maxwheels_compare_msg();
       $_SESSION = array(); 
       unset($_SESSION['compare_listings']);
     }
}
?>
<?php get_footer(); ?>