<?php
 /* Template Name: Listing Search */ 
/**
 * The template for displaying Pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package maxwheels
 */
get_header();
//pagination	
if (get_query_var('paged'))
{
    $paged = get_query_var('paged');
} else if (get_query_var('page'))
{
    $paged = get_query_var('page');
} else
{
    $paged = 1;
}
$layout_type_selection = 'grid';
if (isset($_GET['layout-type']) && $_GET['layout-type'] == "list") {
	$layout_type_selection = 'list';
}
$title = '';
if (isset($_GET['by_title']) && $_GET['by_title'] != "")
{
    $title =  trim($_GET['by_title']);
}
//by category
$by_category = '';
if (isset($_GET['category']) && $_GET['category'] != "")
{
	$by_category = array(
		array(
			'taxonomy' => 'mw-category',
			'field' => 'slug',
			'terms' => $_GET['category'],
		),
	);
}
//by location
$by_location = '';
if (isset($_GET['location']) && $_GET['location'] != "")
{
	$by_location = array(
		array(
			'taxonomy' => 'mw-location',
			'field' => 'slug',
			'terms' => $_GET['location'],
		),
	);
}
//by condition
$by_condition = '';
if (isset($_GET['condition']) && $_GET['condition'] != "" && is_array($_GET['condition']) && count(array_filter($_GET['condition'])) > 0)
{
	$by_condition = array(
		array(
			'taxonomy' => 'mw-condition',
			'field' => 'slug',
			'terms' => $_GET['condition'],
		),
	);
}
//by offer type
$by_type = '';
if (isset($_GET['type']) && $_GET['type'] != "" && is_array($_GET['type']) && count(array_filter($_GET['type'])) > 0) {
	$by_type = array(
		array(
			'taxonomy' => 'mw-Labels',
			'field' => 'slug',
			'terms' => $_GET['type'],
		),
	);
}
//by bodytype
$by_bodytype = '';
if (isset($_GET['body-types']) && $_GET['body-types'] != "" && is_array($_GET['body-types']) && count(array_filter($_GET['body-types'])) > 0) {
	$by_bodytype = array(
		array(
			'taxonomy' => 'mw-bodytype',
			'field' => 'slug',
			'terms' => $_GET['body-types'],
		),
	);
}
//by fuel
$by_fueltype = '';
if (isset($_GET['fuel']) && $_GET['fuel'] != "" && is_array($_GET['fuel']) && count(array_filter($_GET['fuel'])) > 0) {
	$by_fueltype = array(
		array(
			'taxonomy' => 'mw-fuel',
			'field' => 'slug',
			'terms' => $_GET['fuel'],
		),
	);
}
//by years
$by_year = '';
if (isset($_GET['years']) && $_GET['years'] != "" && is_array($_GET['years']) && count(array_filter($_GET['years'])) > 0) {
	$by_year = array(
		array(
			'taxonomy' => 'mw-year',
			'field' => 'slug',
			'terms' => $_GET['years'],
		),
	);
}
//by transmission
$by_transmission = '';
if (isset($_GET['transmission']) && $_GET['transmission'] != "" && is_array($_GET['transmission']) && count(array_filter($_GET['transmission'])) > 0) {
	$by_transmission = array(
		array(
			'taxonomy' => 'mw-transmission',
			'field' => 'slug',
			'terms' => $_GET['transmission'],
		),
	);
}
//by drive type
$by_drive = '';
if (isset($_GET['drive-type']) && $_GET['drive-type'] != "" && is_array($_GET['drive-type']) && count(array_filter($_GET['drive-type'])) > 0) {
	$by_drive = array(
		array(
			'taxonomy' => 'mw-drive',
			'field' => 'slug',
			'terms' => $_GET['drive-type'],
		),
	);
}
//by exterior colors
$by_colors = '';
if (isset($_GET['exterior-colors']) && $_GET['exterior-colors'] != "" && is_array($_GET['exterior-colors']) && count(array_filter($_GET['exterior-colors'])) > 0) {
	$by_colors = array(
		array(
			'taxonomy' => 'mw-exterior-color',
			'field' => 'slug',
			'terms' => $_GET['exterior-colors'],
		),
	);
}
//by owners
$by_owners = '';
if (isset($_GET['owners']) && $_GET['owners'] != ""  && is_array($_GET['owners']) && count(array_filter($_GET['owners'])) > 0) {
	$by_owners = array(
		array(
			'taxonomy' => 'mw-owners',
			'field' => 'slug',
			'terms' => $_GET['owners'],
		),
	);
}
//by seller types
$by_seller_type = '';
if (isset($_GET['seller-type']) && $_GET['seller-type'] != "" && is_array($_GET['seller-type']) && count(array_filter($_GET['seller-type'])) > 0) {
	$by_seller_type = array(
		array(
			'key' => 'mw_auth_seller_type',
			'value' => $_GET['seller-type'],
			'compare' => 'IN',
		),
	);
}
//by mileage
$m_to = $m_from = $mil_values  = $mileage  = $by_mileage = '';
if (isset($_GET['km-driven']) && $_GET['km-driven'] != "") {
	$mileage     = $_GET['km-driven'];
	$mil_values  = explode(";", $mileage);
	$m_from      = $mil_values[0]; 
	$m_to        = $mil_values[1];
	if (!empty($m_from) && !empty($m_to))
	{
		if ($m_from >= 0 && $m_from < $m_to)
		{
			 $by_mileage = array(
				'key' => 'mw_mileage',
				'value' => array($m_from, $m_to),
				'type' => 'numeric',
				'compare' => 'BETWEEN',
			 );
		}
		else
		{
			 $by_mileage = array(
				'key' => 'mw_mileage',
				'value' => $m_from,
				'type' => 'numeric',
				'compare' => '>=',
			 );
		}
	}
}

//by price
$by_price = $max_price = $min_price = '';
if(!empty($_GET['min-price']) && !empty($_GET['max-price'])) {
	 $min_price = doubleval($_GET['min-price']);
	 $max_price = doubleval($_GET['max-price']);
	 if ($min_price >= 0 && $min_price < $max_price )
	 {
		$by_price = array(
			'key' => 'mw_price',
			'value' => array($min_price, $max_price),
			'type' => 'numeric',
			'compare' => 'BETWEEN',
		 );
	 }
	 else
	 {
		 $by_price = array(
			'key' => 'mw_price',
			'value' => $min_price,
			'type' => 'numeric',
			'compare' => '>=',
		 );
	 }
}
//by author
$author_slug = '';
if (isset($_GET['inventory-author']) && $_GET['inventory-author'] != "")
{
	$author_slug = $_GET['inventory-author'];
}
//near me radius
$lat_lng_meta_query = $data_array = array();
if (isset($_GET['latitude']) && $_GET['latitude'] != "" && isset($_GET['longitude']) && $_GET['longitude'] != "" && isset($_GET['distance']) && $_GET['distance'] != "")
{
	$latt = $_GET['latitude'];
	$long = $_GET['longitude'];
	$distance = $_GET['distance'];
	$data_array = array("latitude" => $latt, "longitude" => $long, "distance" => $distance);
	$lats_longs = maxwheels_min_max_latt_long($data_array);
	if(is_array($lats_longs) && !empty($lats_longs) && count($lats_longs) > 0)
	{
		$lat_lng_meta_query[] = array(
			'key' => 'mw_latt',
			'value' => array($lats_longs['lat']['min'], $lats_longs['lat']['max']),
			'compare' => 'BETWEEN',
			'type' => 'DECIMAL',
		);
		$lat_lng_meta_query[] = array(
			'key' => 'mw_long',
			'value' => array($lats_longs['long']['min'], $lats_longs['long']['max']),
			'compare' => 'BETWEEN',
			'type' => 'DECIMAL',
		);
		add_filter('get_meta_sql', 'maxwheels_decimal_precision');
		if (!function_exists('maxwheels_decimal_precision'))
		{
			function maxwheels_decimal_precision($array)
			{
				$array['where'] = str_replace('DECIMAL', 'DECIMAL(10,3)', $array['where']);
				return $array;
			}
		}
	}
}

	$args	=	array
	(
		's' => $title,
		'author' => $author_slug,
		'post_type' => 'mx-listings',
		'post_status' => 'publish',
		'posts_per_page' => get_option('posts_per_page'),
		'paged' => $paged,
        'fields' => 'ids',
		'orderby'  => array(
			'meta_value' => 'DESC',
			'post_date'      => 'DESC',
		),
		'meta_query'    => array(
			array(
				'key'       => 'mw_status',
				'value'     => '1',
				'compare'   => '=',
			),
			$lat_lng_meta_query,
            $by_seller_type,
            $by_mileage,
            $by_price,
		),
		'tax_query' => array(
			$by_category,
			$by_location,
            $by_condition,
			$by_type,
            $by_bodytype,
            $by_fueltype,
            $by_year,
            $by_transmission,
            $by_drive,
            $by_colors,
            $by_owners
		),
		'order'=> 'DESC',
	);

global $maxwheels_options;
if(isset($maxwheels_options['mw_feature_switch']) && $maxwheels_options['mw_feature_switch'] == true){
    $args['meta_query'][] = array('relation' => 'OR', 'sb_featured' => array('key' => 'mw_is_feature_listing', 'type' => 'NUMERIC', 'compare' => 'EXISTS',),);
    $args['orderby'] = array('sb_featured' => 'DESC', 'date' => 'DESC',);

}
	$results = new WP_Query( $args );

	$layout_type = 'sidebar';
	$layout_type = maxwheels_strings('mw_listing_search_layout');
	set_query_var('mw-layout-type',$layout_type_selection);
	require trailingslashit(get_template_directory()) . 'template-parts/search/listing-search/search-with-' . $layout_type . '.php';
	get_footer();
?>