<?php
	global $localization;
    global $maxwheels_options;
    $owner_id = $user_id = $author_id = $keyword = '';
	$user_id = get_current_user_id();
    $post_type = 'mx-listings';
    $reference = 'dealer';
    if(get_user_meta( $user_id, 'mw_post_id', true) !="" && get_user_meta($user_id, 'user_role_type', true) !="")
	{
		$author_id = get_user_meta( $user_id, 'mw_post_id' , true );
		$owner_id = get_post_field( 'post_author', $author_id );
		if(get_user_meta( $user_id, 'user_role_type', true) == 'dealer')
		{
			$post_type = 'mw-dealer';
			$reference = 'dealer';
		}
		if(get_user_meta( $user_id, 'user_role_type', true) == 'buyer')
		{
			$post_type = 'mw-buyers';
			$reference = 'buyer';
		}
	}
	$allowed_html = maxwheels_allowed_html();
	$ratings = array();
	$total_comments = $total_reviews = $recommendations = $total_average = '0';
	$total_stars = 'N/A';
	$ratings = maxwheels_reviews_stats_average($author_id,$post_type,$reference);
	if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0)
	{
		$total_average = $ratings['total_average'];
		$recommendations = $ratings['total_recommendations'];
		$total_reviews = $ratings['rated_no_of_times'];
		$total_stars = $ratings['total_stars'];
	}
	$total_comments = $total_reviews;
	$most_viewed = maxwheels_framework_fetchmost_viewed_listings($owner_id);
	$param = $comments = array();
	$param = array('status' => 'approve', 'post_type' =>array( 'property',$post_type), 'post_author__in' =>$owner_id, 'orderby' => 'post_date', 'order' => 'DESC', 'number' => 5, 'parent' => 0);
	$comments = get_comments($param);
    $is_show = 'col-xl-6 col-12';
    if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) && isset($maxwheels_options['mw_membership_type']) && $maxwheels_options['mw_membership_type'] == 'with-woo')
    {
        $is_show = 'col-xl-4 col-12';
    }
?>  
<div class="main-dashboard-area">
      <div class="row">
        <div class="col-md-12 grid-margin">
          <div class="d-flex justify-content-between flex-wrap">
            <div class="d-flex align-items-end flex-wrap">
              <div class="mr-md-3 mr-xl-4">
                <h2><?php echo esc_html($localization['welcome']); ?></h2>
                <p class="mb-md-0 text-muted mb-0 hover-cursor dashboard-breadcrumb"><a href="<?php echo esc_url( home_url( '/' )); ?>"><?php echo esc_html($localization['home']); ?></a>&nbsp;&nbsp;/&nbsp; <?php echo esc_html($localization['dashboard']); ?></p>
              </div>
            </div>
            <div class="d-flex justify-content-between align-items-end flex-wrap">
			 <?php echo apply_filters('maxwheels_vendor_role_assign_button', '', $user_id); ?>
              <a target="_blank" class="dash-btns me-3 mt-2 mt-xl-0" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="<?php echo esc_attr('View Profile','maxwheels'); ?>" href="<?php echo esc_url(get_the_permalink($author_id)); ?>">
                <i class="far fa-paper-plane text-muted"></i>
              </a>
              <a target="_blank" class="dash-btns mt-2 mt-xl-0" href="<?php echo esc_url(get_the_permalink().'?page-type=my-profile'); ?>" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="<?php echo esc_attr($localization['ad_property']); ?>">
                <i class="far fa-edit text-muted"></i>
              </a>
            </div>
          </div>
        </div>
      </div>
          <div class="row">
            <div class="col-md-3 col-xs-12 col-lg-3 col-sm-12 col-12">
                <div class="dashboard-statistic-block">
                    <div class="icon gradient-1">
                        <i class="fas fa-layer-group"></i>
                    </div>
                    <div>
                        <h5><?php echo esc_html($localization['total_published']);?></h5>
                        <h2><?php echo esc_html(sprintf('%02d', maxwheels_count_total_properties($owner_id, 'publish'))); ?></h2>
                    </div>
                </div>
            </div>
            
            <div class="col-md-3 col-xs-12 col-lg-3 col-sm-12 col-12">
                <div class="dashboard-statistic-block">
                    <div class="icon gradient-9">
                       <i class="fas fa-hourglass-half"></i>
                    </div>
                    <div>
                        <h5><?php echo esc_html($localization['total_pending']);?></h5>
                        <h2><?php echo esc_html(sprintf('%02d', maxwheels_count_total_properties($owner_id, 'draft'))); ?></h2>
                    </div>
                </div>
            </div>
            
            <div class="col-md-3 col-xs-12 col-lg-3 col-sm-12 col-12">
                <div class="dashboard-statistic-block">
                    <div class="icon gradient-4">
                        <i class="fas fa-rocket"></i>
                    </div>
                    <div>
                        <h5><?php echo esc_html($localization['total_featured']);?></h5>
                        <h2><?php echo esc_html(sprintf('%02d', maxwheels_count_total_properties($owner_id, 'publish','is_featured'))); ?></h2>
                    </div>
                </div>
            </div>
            
            <div class="col-md-3 col-xs-12 col-lg-3 col-sm-12 col-12">
                <div class="dashboard-statistic-block">
                    <div class="icon gradient-5">
                        <i class="fas fa-recycle"></i>
                    </div>
                    <div>
                        <h5><?php echo esc_html($localization['total_expired']);?></h5>
                        <h2><?php echo esc_html(sprintf('%02d', maxwheels_count_total_properties($owner_id, 'expired'))); ?></h2>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
			<div class="col-md-3 col-xs-12 col-lg-3 col-sm-12 col-12">
                <div class="dashboard-statistic-block">
                    <div class="icon gradient-s6">
                        <i class="far fa-bell"></i>
                    </div>
                    <div>
                        <h5><?php echo esc_html($localization['total_reviews']);?></h5>
                        <h2><?php echo esc_html(sprintf('%02d',$total_reviews)); ?></h2>
                    </div>
                </div>
            </div>
            <div class="col-md-3 col-xs-12 col-lg-3 col-sm-12 col-12">
                <div class="dashboard-statistic-block">
                    <div class="icon gradient-s8">
                        <i class="far fa-paper-plane"></i>
                    </div>
                    <div>
                        <h5><?php echo esc_html($localization['total_avg']);?></h5>
                        <h2><?php echo esc_html($total_average); ?></h2>
                    </div>
                </div>
            </div>
            <div class="col-md-3 col-xs-12 col-lg-3 col-sm-12 col-12">
                <div class="dashboard-statistic-block">
                    <div class="icon gradient-s7">
                       <i class="far fa-thumbs-up"></i>
                    </div>
                    <div>
                        <h5><?php echo esc_html($localization['recommendations']);?></h5>
                        <h2><?php echo esc_html(sprintf('%02d',$recommendations)); ?></h2>
                    </div>
                </div>
            </div>
            <div class="col-md-3 col-xs-12 col-lg-3 col-sm-12 col-12">
                <div class="dashboard-statistic-block">
                    <div class="icon gradient-s5">
                        <i class="far fa-star"></i>
                    </div>
                    <div>
                        <h5><?php echo esc_html($localization['total_stars']);?></h5>
                        <span class="ratings"><?php echo wp_kses($total_stars,$allowed_html) ; ?></span>
                    </div>
                </div>
            </div>
        </div>
          <div class="row">
            <div class="col-md-8 col-12 grid-margin">
              <div class="card">
                <div class="card-body">
                  <?php if(!empty( maxwheels_strings('mw_settings_detail_uviews'))) { ?>
                  	<p class="card-title"><?php echo maxwheels_strings('mw_settings_detail_uviews'); ?></p>
                  <?php } ?>  
                    <div class="chart-box"><canvas id="bar-chart" height="167"></canvas></div>
                </div>
              </div>
            </div>
            <div class="col-md-4 col-12 grid-margin single-review-stats">
              <div class="card">
                <div class="card-body">
                <?php
				 if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0) { 
				 ?>
                  <p class="card-title"> <?php echo esc_html($ratings['rated_no_of_times']) . '&nbsp;'. esc_html(maxwheels_strings('mw_detail_sidebar_reviews')); ?></p>
                  <?php
				    $recommendations =$fourth_bar = $third_bar =  $sec_bar   =  $firs_bar = '';
				    $firs_bar = 	round($ratings['average_responsive']*100/5);
					$sec_bar   = 	round($ratings['average_communication']*100/5);
					$third_bar = 	round($ratings['average_expertise']*100/5);
					$fourth_bar = 	round($ratings['average_service']*100/5);
					$recommendations = round($ratings['total_recommendations']*100/$ratings['rated_no_of_times']);
				  ?>
                  <div class="text-center">
                    <div class="d-inline align-baseline display-2"><?php echo esc_html($ratings['total_average']); ?><span class="full-rating">/5</span></div>
                    <div class="align-baselines">
                    <span class="ratings"><?php echo wp_kses($ratings['total_stars'],$allowed_html) ; ?></span>
                    </div>
                </div>
                <div class="pt-3"> <label class="text-medium text-sm"><?php echo maxwheels_strings('mw_ag_rev_first'); ?> </label><span class="review-count-stats"><?php echo esc_html($ratings['average_responsive']); ?></span>
                    <div class="progress margin-bottom-1x">
                        <div class="progress-bar bg-warning" role="progressbar" style="width: <?php echo esc_attr($firs_bar); ?>%;" aria-valuenow="<?php echo esc_attr($firs_bar); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                    </div> <label class="text-medium text-sm"><?php echo maxwheels_strings('mw_ag_rev_second'); ?></label><span class="review-count-stats"><?php echo esc_html($ratings['average_communication']); ?></span>
                    <div class="progress margin-bottom-1x">
                        <div class="progress-bar bg-warning" role="progressbar" style="width: <?php echo esc_attr($sec_bar); ?>%;" aria-valuenow="<?php echo esc_attr($sec_bar); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                    </div> <label class="text-medium text-sm"><?php echo maxwheels_strings('mw_ag_rev_third'); ?></label> <span class="review-count-stats"><?php echo esc_html($ratings['average_expertise']); ?></span>
                    <div class="progress margin-bottom-1x">
                        <div class="progress-bar bg-warning" role="progressbar" style="width: <?php echo esc_attr($third_bar); ?>%;" aria-valuenow="<?php echo esc_attr($third_bar); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                    </div> <label class="text-medium text-sm"><?php echo maxwheels_strings('mw_ag_rev_fourth'); ?></label> <span class="review-count-stats"><?php echo esc_html($ratings['average_service']); ?></span>
                    <div class="progress margin-bottom-1x">
                        <div class="progress-bar bg-warning" role="progressbar" style="width: <?php echo esc_attr($fourth_bar); ?>%;" aria-valuenow="<?php echo esc_attr($fourth_bar); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                    </div> <label class="text-medium text-sm"><?php echo esc_html__('Recommendations','maxwheels'); ?></label> <span class="review-count-stats"><?php echo esc_html($ratings['total_recommendations']); ?></span>
                    <div class="progress mb-2">
                        <div class="progress-bar bg-warning" role="progressbar" style="width: <?php echo esc_attr($recommendations); ?>%;" aria-valuenow="<?php echo esc_attr($recommendations); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                    </div>
                </div>
                <?php
				 }
                else
                {
                    echo '<p class="card-title"> '.esc_html(maxwheels_strings('mw_detail_sidebar_reviews')).'</p>';
                    echo maxwheels_packages_notifications('reviews');   
                }
                ?>
                </div>
              </div>
              <?php  if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) { ?>
                <div class="card margin-top-30">
                    <div class="card-body">
                        <p class="card-title"><?php echo esc_html__('Plan Details','maxwheels'); ?>
                            <?php if(get_user_meta($user_id, 'mw_user_package_id', true ) != "")
                            {
                            $link = '#';
                            $package_id = get_user_meta($user_id, 'mw_user_package_id', true );
                            global $maxwheels_options;
                            if(isset($maxwheels_options['mw_pkg_page']) && $maxwheels_options['mw_pkg_page'] !="")
                            {
                                $link =  get_page_link($maxwheels_options['mw_pkg_page']);
                            }
                            ?>
                            <a class="view_more_packages" href="<?php echo esc_url($link); ?>"> <?php echo esc_html__('View Packages','maxwheels'); ?></a>
                        </p>
                        <?php echo maxwheels_user_pack_history($package_id,$user_id); ?>
                        <?php }
                        else
                        {
                            echo maxwheels_packages_notifications('noplan');
                        }
                        ?>
                    </div>
                </div>
              <?php } ?>

              <?php  if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) { ?>
                    <div class="card margin-top-30">
                        <div class="card-body">
                            <p class="card-title"><?php echo esc_html__('Profile Plan Details','maxwheels'); ?>
                                <?php $dealer_post_id = get_user_meta($user_id, 'mw_post_id', true); ?>
                                <?php if(get_post_meta($dealer_post_id, 'mw_post_plan_id', true ) != "")
                                {
                                $link = '#';
                                $plan_id = get_post_meta($dealer_post_id, 'mw_post_plan_id', true );
                                global $maxwheels_options;
                                if(isset($maxwheels_options['mw_profile_plan_page']) && $maxwheels_options['mw_profile_plan_page'] !="")
                                {
                                    $link =  get_page_link($maxwheels_options['mw_profile_plan_page']);
                                }
                                ?>
                                <a class="view_more_packages" href="<?php echo esc_url($link); ?>"> <?php echo esc_html__('View Packages','maxwheels'); ?></a>
                            </p>
                            <?php echo maxwheels_profile_plan_history($plan_id,$user_id); ?>
                            <?php }
                            else
                            {

                                echo maxwheels_profile_plan_notifications('noplan');
                            }
                            ?>
                        </div>
                    </div>
                <?php } ?>

            </div>
          </div>
</div>
