<?php
/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @see http://tgmpluginactivation.com/configuration/ for detailed documentation.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1 for parent theme maxwheels - Real Estate WordPress Theme for publication on ThemeForest
 * @author     Thomas Griffin, Gary Jones, Juliette Reinders Folmer
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/TGMPA/TGM-Plugin-Activation
 */

/**
 * Include the TGM_Plugin_Activation class.
 *
 * Depending on your implementation, you may want to change the include call:
 *
 * Parent Theme:
 * require_once get_template_directory() . '/path/to/class-tgm-plugin-activation.php';
 *
 * Child Theme:
 * require_once get_stylesheet_directory() . '/path/to/class-tgm-plugin-activation.php';
 *
 * Plugin:
 * require_once dirname( __FILE__ ) . '/path/to/class-tgm-plugin-activation.php';
 */
require_once get_template_directory() . '/tgm/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'maxwheels_register_required_plugins' );
function maxwheels_register_required_plugins() {
	$plugins = array(
	    array(
			'name'               => esc_html__( 'Elementor', 'maxwheels'), 
			'slug'               => 'elementor',
			'source'             => '',
			'required'           => true, 
			'version'            => '',
			'force_activation'   => false,
			'force_deactivation' => false,
			'external_url'       => esc_url( 'https://downloads.wordpress.org/plugin/elementor.3.6.1.zip'
			 ),
			'is_callable'        => '',
		),
		array(
			'name'               => esc_html__( 'Gutenberg Template Library & Redux Framework', 'maxwheels'), 
			'slug'               => 'redux-framework',
			'source'             => '',
			'required'           => true, 
			'version'            => '',
			'force_activation'   => false,
			'force_deactivation' => false,
			'external_url'       => esc_url( 'https://downloads.wordpress.org/plugin/redux-framework.4.3.12.zip'
			 ),
			'is_callable'        => '',
		),
        array(
            'name' => esc_html__('Woocommerce', 'maxwheels'),
            'slug' => 'woocommerce', 
            'source' => '', 
            'required' => true, 
            'version' => '', 
            'force_activation' => false,
            'force_deactivation' => false, 
            'external_url' => esc_url('https://downloads.wordpress.org/plugin/woocommerce.6.3.1.zip'),
            'is_callable' => '',
        ),
		array(
			'name'               => esc_html__( 'Maxwheels Elementor Widgets', 'maxwheels' ), 
			'slug'               => 'maxwheels-elementor',
			'source'             => get_template_directory() . '/required-plugins/maxwheels-elementor.zip',
			'required'           => true,
			'version'            => '1.1.1',
			'force_activation'   => false, 
			'force_deactivation' => false, 
			'external_url'       => '', 
			'is_callable'        => '',
		),
		array(
			'name'               => esc_html__( 'MaxWheels Framework', 'maxwheels' ),
			'slug'               => 'maxwheels-framework',
			'source'             => get_template_directory() . '/required-plugins/maxwheels-framework.zip',
			'required'           => true,
			'version'            => '1.1.1',
			'force_activation'   => false,
			'force_deactivation' => false,
			'external_url'       => '',
			'is_callable'        => '',
		),
        array(
            'name' => esc_html__('Contact Form 7', 'maxwheels'),
            'slug' => 'contact-form-7',
            'source' => '', 
            'required' => true, 
            'version' => '', 
            'force_activation' => false, 
            'force_deactivation' => false,
            'external_url' => esc_url('https://downloads.wordpress.org/plugin/contact-form-7.5.5.6.zip'),
            'is_callable' => '',
        ),
        array(
            'name' => esc_html__('Advanced Custom Fields', 'maxwheels'),
            'slug' => 'advanced-custom-fields',
            'source' => '',
            'required' => true,
            'version' => '',
            'force_activation' => false,
            'force_deactivation' => false,
            'external_url' => esc_url('https://downloads.wordpress.org/plugin/advanced-custom-fields.5.12.1.zip'),
            'is_callable' => '',
        ),
	);

	$config = array(
		'id'           => 'maxwheels',       
		'default_path' => '',                     
		'menu'         => 'tgmpa-install-plugins', 
		'has_notices'  => true,                    
		'dismissable'  => false,                   
		'dismiss_msg'  => '',                  
		'is_automatic' => false,                  
		'message'      => '',                 
	);
	maxwheels_tgmpa( $plugins, $config );
}