<?php
if (!class_exists('maxwheels_getlistings'))
{
	 class maxwheels_getlistings 
	 {
		//similiar listings
		function maxwheels_similiar_listings($mw_id)
		{
				return $this->maxwheels_listings_type8($mw_id,'4');
		}
		
		//map listings markers
		function maxwheels_listings_map_listings($mw_id)
		{
			$selected_pricelabel_after =  $optional_price = $optional_price = $verified_listing = $category = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
			$localization = maxwheels_localization();
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			if(!empty($get_all_prices) && is_array($get_all_prices) && count($get_all_prices) > 0 && array_key_exists("main_price",$get_all_prices))
			{
			   $selected_pricelabel_after = '';
			   if (array_key_exists("optional_price",$get_all_prices))
			   {
				   $optional_price = $get_all_prices['optional_price'];
			   }
			   if (array_key_exists("after_prefix",$get_all_prices))
			   {
				   $selected_pricelabel_after = '<small>'.$get_all_prices['after_prefix'].'</small>';
			   }
			   $price_rent = $get_all_prices['main_price'] . $selected_pricelabel_after;
			}
			//labels
			if(!empty(maxwheels_getlabels($mw_id)))
			{
				$labels = '<div class="property-labels absolute-yes"><div class="label-badges"><ul class="list-unstyled">'.maxwheels_getlabels($mw_id).'</ul></div></div>';	
			}
			//featured listing
			$featured_listing = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_listing = esc_html($localization['feat']);
			}
			return '{
					 "title":"'.maxwheels_title_limit($mw_id,37).'",
					 "url_link":"'.esc_url(get_the_permalink($mw_id)).'",
					 "img_url":"'.esc_url(maxwheels_framework_img_src($all_idz,'maxwheels-blog-thumb')).'",
					 "pricings":"'.$price_rent.'",
					 "is_featured":"'.$featured_listing.'",
					 "street_addr":"'.get_post_meta($mw_id, 'mw_street_addr', true ).'",
					 "lat":' . get_post_meta($mw_id, 'mw_latt', true) . ',
					 "lng":' . get_post_meta($mw_id, 'mw_long', true) . '
				},';
		}		
		//grid 1
		function maxwheels_listings_grid1($mw_id)
		{
			$selected_pricelabel_after =  $optional_price = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			if(!empty($get_all_prices) && is_array($get_all_prices) && count($get_all_prices) > 0 && array_key_exists("main_price",$get_all_prices))
			{
			   if (array_key_exists("optional_price",$get_all_prices))
			   {
				   $optional_price = $get_all_prices['optional_price'];
			   }
			   if (array_key_exists("after_prefix",$get_all_prices))
			   {
				   $selected_pricelabel_after = '<small>'.$get_all_prices['after_prefix'].'</small>';
			   }
			  $price_rent = '<div class="property-meta">
						<div class="item-price">'.$get_all_prices['main_price'].' '. $selected_pricelabel_after.' </div>
					</div>';
			}
			
			//featured listing
			$featured_listing = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_listing = '<div class="ribbon"><span>'.esc_attr($localization['feat']).'</span></div>';
			}
			return '<div class="card ad-card-2 mx-gr">
				<div class="card-image">
					 '.$featured_listing.'
					<div class="property-labels absolute-yes">
						<ul class="list-unstyled">
							'.maxwheels_getlabels($mw_id).'
						</ul>
					</div>
					<!-- Image -->
					<img class="img-fluid" src="'.esc_url(maxwheels_framework_img_src($all_idz,'maxwheels-background')).'" alt="'.esc_attr(get_post_meta($all_idz, '_wp_attachment_image_alt', TRUE)).'">
					'. $price_rent.'
					 <button data-compare-id="'.esc_attr($mw_id).'" class="property-tools btn d-flex justify-content-center align-items-center compare-prop fav-comp" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'"><i class="fas fa-random"></i></button>
					<button data-fav-id="'.esc_attr($mw_id).'" class="property-tools btn d-flex justify-content-center align-items-center fav-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['fav']).'"><i class="far fa-heart"></i></button>
					<h5 class="card-title">
						<a href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,25).'</a>
					</h5>
					<div class="img-overlay"></div>
				</div>
			</div>';
		}
		//Slingle Listing sliders
		function maxwheels_listings_single_featuredslider($args,$grid_layout)
		{
			$slider_html = $start_div = $end_div = '';
			$featured_ads = new WP_Query($args);
			if ($featured_ads->have_posts())
			{
				$slider_html = '';
				$grid_layout = 'grid1';
				 while ($featured_ads->have_posts())
				 {
					$featured_ads->the_post();
					$mw_id = get_the_ID();
					if ($grid_layout == 'grid1')
					{
						$slider_html .= $this->maxwheels_listings_grid1($mw_id);
					}
				 }
				 wp_reset_postdata();
				 return '<div class="featured-slider-prop owl-carousel owl-theme">
				 	' . $slider_html . '
				 </div>';
			}
		}
		
		//Nearby Listings
		function maxwheels_listings_nearby($mw_id,$final_distances,$dis_abbt)
		{
			$selected_pricelabel_after =  $optional_price = $ratings = $price_rent = $all_idz = '';
			$get_all_prices = array();	
			$all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			$ad_ratings = $get_percentage = array();
			$get_percentage = maxwheels_reviews_average($mw_id);
			if(!empty($get_percentage) && is_array($get_percentage) && count($get_percentage['ratings']) > 0)
			{
				 $ratings = '<span class="ratings">' . $get_percentage['total_stars'] . '</span> &nbsp; | &nbsp;';
			}
			echo '<li>
					<a href="'.esc_url(get_the_permalink($mw_id)).'">
						<div class="listing-list-img">
							<img class="img-fluid" src="'.esc_url(maxwheels_framework_img_src($all_idz,'maxwheels-small-thumb')).'" alt="'.esc_attr(get_post_meta($all_idz, '_wp_attachment_image_alt', TRUE)).'">
						</div>
					</a>
					<div class="listing-list-info my-list2">
						<div class="selling-price">
									<span>75,000 £</span>
								</div>
						<h5><a href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,35).'</a></h5>
						<div class="listing-post-meta">
						   '.$ratings.' 
						   <span class="measure-unit clr-blu"><i class="fas fa-globe-americas"></i> '.$final_distances.' '.$dis_abbt.'</span>					
						</div>
					</div>
				</li>';
		}
		
		//Recent Listings
		function maxwheels_listings_recently($mw_id)
		{
			$selected_pricelabel_after =  $optional_price = $ratings = $price_rent = $all_idz = '';
			$get_all_prices = array();	
			$all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			if(!empty($get_all_prices) && is_array($get_all_prices) && count($get_all_prices) > 0 && array_key_exists("main_price",$get_all_prices))
			{
			 	 $price_rent = '<span class="main-price"> '.$get_all_prices['main_price'].' </span>';
						
			}
			$ad_ratings = $get_percentage = array();
			$get_percentage = maxwheels_reviews_average($mw_id);
			if(!empty($get_percentage) && is_array($get_percentage) && count($get_percentage['ratings']) > 0)
			{
				 $ratings = '<span class="ratings">' . $get_percentage['total_stars'] . '</span> &nbsp; | &nbsp;';
			}
			echo '<li>
				<div class="recently-added-img"><a href="'.esc_url(get_the_permalink($mw_id)).'">
				<img class="img-fluid" src="'.esc_url(maxwheels_framework_img_src($all_idz,'maxwheels-small-thumb')).'" alt="'.esc_attr(get_post_meta($all_idz, '_wp_attachment_image_alt', TRUE)).'">
				</a>  
				</div>
				<div class="recently-added-desc">
					<h4><a href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,35).'</a></h4>
					'.$price_rent.'
				</div>
			</li>';
		}
		
		//Most Viewed Listings
		function maxwheels_listings_most_viewed($mw_id)
		{
			$selected_pricelabel_after =  $optional_price = $ratings = $price_rent = $all_idz = '';
			$get_all_prices = array();	
			$all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			echo '<li>
				<div class="recently-added-img"><a href="'.esc_url(get_the_permalink($mw_id)).'">
				<img class="img-fluid" src="'.esc_url(maxwheels_framework_img_src($all_idz,'maxwheels-small-thumb')).'" alt="'.esc_attr(get_post_meta($all_idz, '_wp_attachment_image_alt', TRUE)).'">
				</a>  
				</div>
				<div class="recently-added-desc">
				<span class="mw-make">'.maxwheels_framework_selected_cat($mw_id).'</span>
					<h4><a href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,25).'</a></h4>
					<div class="selling-price">
						<span>'.esc_html($get_all_prices).'</span>
					</div>
				</div>
			</li>';
		}
		
		//Type 1
		function maxwheels_listings_type1($mw_id,$col_size = '')
		{
			if ($col_size == 3){$col_size = 'col-xl-4 col-xxl-4 col-lg-6 col-md-6 col-sm-12 col-12';}
            else if ($col_size == 4){$col_size = 'col-xl-3 col-xxl-3 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 2){$col_size = 'col-xl-6 col-xxl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 12){$col_size = 'col-xl-12 col-xxl-12 col-md-12 col-sm-12 col-12';}
			else {$col_size = 'col-xl-6 col-xxl-6 col-lg-6 col-md-6 col-sm-6 col-12';}
			$selected_pricelabel_after =  $optional_price = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			//featured listing
			$featured_class = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<span class="theme-custom-ribbon">'.esc_attr($localization['feat']).'</span>';
			}
			//listing author dp
			$post_author = get_post_field('post_author', $mw_id);
			if(get_user_meta($post_author, 'user_role_type', true) !="")
			{
				$type = get_user_meta($post_author, 'user_role_type', true);
				$post_id = get_user_meta( $post_author, 'mw_post_id' , true);
				$author_dp = '<a href="'.esc_url(get_the_permalink($post_id)).'"><img src="'.esc_url(maxwheels_placeholder_images($type,$post_id,'maxwheels-user-thumb')).'" alt="'.esc_attr(get_post_meta($all_idz, '_wp_attachment_image_alt', TRUE)).'" class="img-fluid"></a>';	
			}
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			//features
			$car_features = $transmission = $engine = $drive = '';
			$drive = get_post_meta($mw_id, 'mw_drive', true );
			$mileage = get_post_meta($mw_id, 'mw_mileage', true );
			$transmission = get_post_meta($mw_id, 'mw_transmission', true );
			if(!empty($drive) || !empty($engine) || !empty($transmission))
			{
				$car_features .= '<ul class="car-features-meta">';
				if($transmission)
				{
					$trans = wp_get_object_terms($mw_id,'mw-transmission');
					if(!empty($trans) && is_array($trans) && count($trans) >0 && ! is_wp_error( $trans ) )
					{
						foreach( $trans as $trans_term )
						{
							$car_features .= '<li>
									<span class="label">'.$localization['transmission'].'</span>
									<span class="value"><span class="mydata-attr" data-url="'.esc_url($search_page)."?transmission[]=".$trans_term->slug.'">'.esc_html($trans_term->name).'</span></span>
							</li>';
						}
					}
				}
				if($drive)
				{
					$drive_type = wp_get_object_terms($mw_id,'mw-drive');
					if(!empty($drive_type) && is_array($drive_type) && count($drive_type) >0 && ! is_wp_error( $drive_type ) )
					{
						foreach( $drive_type as $drive_types )
						{
							$car_features .= '<li>
									<span class="label">'.$localization['drive'].'</span>
									<span class="value"><span class="mydata-attr" data-url="'.esc_url($search_page)."?drive-type[]=".$drive_types->slug.'">'.esc_html($drive_types->name).'</span></span>
							</li>';
						}
					}
				}
				if($mileage)
				{
					$car_features .= '<li>
							<span class="label">'.$localization['mileage'].'</span>
							<span class="value">'.number_format(get_post_meta($mw_id, 'mw_mileage', true )).' '.maxwheels_strings('mw_car_mileage_unit').'</span>
					</li>';
				}
				$car_features .= '</ul>';
			}
			$body_types = '';
			$body_terms = wp_get_object_terms($mw_id,'mw-bodytype');
			if(!empty($body_terms) && is_array($body_terms) && count($body_terms) >0 && ! is_wp_error( $body_terms ) )
			{
				foreach( $body_terms as $term )
				{
					$body_types .= '<span class="body-type"><span class="mydata-attr" data-url="'.esc_url($search_page)."?body-types[]=".$term->slug.'">'.esc_html($term->name).'</span></span>';
				}
			}
			return '<div class="'.esc_attr($col_size).' grid-item mygrid-type-1">
            <div class="main-div margin-bottom-30 '.esc_attr($featured_class).'">
                  <div class="main-data">
				    <div class="img-data">
					'.wp_kses($featured_listing,$allowed_html).'
					<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">
					'.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb','listing').'
					</a>
					<button class="property-tools fav-prop" data-bs-toggle="tooltip" data-bs-placement="top"  data-bs-title="'.esc_attr($localization['fav']).'" data-fav-id="'.esc_attr($mw_id).'"> <i class="fas fa-heart"></i> </button>
					<button class="property-tools fav-comp" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'" data-compare-id="'.esc_attr($mw_id).'"> <i class="fas fa-random"></i> </button>
					'.maxwheels_get_related_distance($mw_id).'
					<div class="img-overlay"></div>
					</div>
                  </div>
                  <div class="listing-data">
				    <div class="heaing-d">
					
					  <div class="selling-price"><span>'.$get_all_prices.'</span></div>
					  '.$body_types.'
                      <h3 class="text-capitalize">
					  	<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,30).'</a> <i class="list-status ti-check"></i>
					  </h3>
					  '.$car_features.'
                    </div>
                  </div>
            </div>
          </div>';
		}
		
		//Type 2
		function maxwheels_listings_type2($mw_id,$col_size = '')
		{
			if ($col_size == 3){$col_size = 'col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12';} 
            else if ($col_size == 4){$col_size = 'col-xl-3 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 2){$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 12){$col_size = 'col-xl-12 col-md-12 col-sm-12 col-12';}
			else {$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12';}
			$selected_pricelabel_after =  $optional_price = $verified_listing = $category = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			//featured listing
			$featured_listing = '';
			$featured_class = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="featured-ribbon" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['feat']).'">
					<div><i class="fas fa-star"></i></div>
				</div>';
			}
			//street address
			if(get_post_meta($mw_id, 'mw_street_addr', true )!="")
			{
				$street_addr = '<h6 class="category text-success">'.maxwheels_trim_locations(get_post_meta($mw_id, 'mw_street_addr', true ),32).'</h6>';
			}
			$fue = $body = $years = $mw_fueltype = $mw_bodytype = $mw_year = $features = '';
			$mw_year     = get_post_meta($mw_id, 'mw_year', true );
			$mw_bodytype = get_post_meta($mw_id, 'mw_bodytype', true );
			$mw_fueltype = get_post_meta($mw_id, 'mw_fueltype', true );
			$object_terms = array();
			$object_terms = wp_get_object_terms($mw_id, 'mw-category', array('fields' => 'all_with_object_id', 'parent' => 0 ));
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			if(!empty($mw_year) || !empty($mw_bodytype) || !empty($mw_year) ||  !empty($mw_id) ||  !empty($get_all_prices) ||  !empty($object_terms))
			{
				$features .= '<table><tbody>';
				if($mw_id)
				{
					$features .= '<tr>
						  <td>
							 <p><b>'.esc_html($localization['stock']).' </b></p>
						  </td>
						  <td>
							 <p>&nbsp;:'.esc_html($mw_id).'</p>
						  </td>
					   </tr>';
				}
				if($mw_year)
				{
					$years = get_term_by('slug', $mw_year, 'mw-year');
					if(!empty($years))
					{
						$features .= '<tr>
						  <td>
							 <p><b>'.esc_html($localization['manu_year']).' </b></p>
						  </td>
						  <td>
							 <p>&nbsp;:'.esc_html($years->name).'</p>
						  </td>
					   </tr>';
					}
				}
				if($mw_bodytype)
				{
					$body = get_term_by('slug', $mw_bodytype, 'mw-bodytype');
					if(!empty($body))
					{
						$features .= '<tr>
							  <td>
								 <p><b>'.esc_html($localization['bodytype']).' </b></p>
							  </td>
							  <td>
								 <p>&nbsp;:'.esc_html($body->name).'</p>
							  </td>
						   </tr>';
					}
				}
				if($mw_fueltype)
				{
					$fue = get_term_by('slug', $mw_fueltype, 'mw-fuel');
					if(!empty($fue))
					{
						$features .= '<tr>
							  <td>
								 <b>'.esc_html($localization['fuel']).' </b>
							  </td>
							  <td>
								 <p>&nbsp;:'.esc_html($fue->name).'</p>
							  </td>
						   </tr>';
					}
				}
				if(!empty($object_terms) && !is_wp_error($object_terms) && is_array($object_terms) && count($object_terms) > 0)
				{
					foreach ($object_terms as $the_status)
					{
						$features .= '<tr>
							  <td>
								 <b>'.esc_html($localization['make']).' </b>
							  </td>
							  <td>
								 <p>&nbsp;:<a href="'.esc_url($search_page)."?category=".$the_status->slug.'">'.esc_html( $the_status->name ).'</a></p>
							  </td>
						   </tr>';
					}
				}
				if($get_all_prices)
				{
					$features .= '<tr>
							  <td>
								 <b>'.esc_html($localization['price']).' </b>
							  </td>
							  <td>
								 <p >&nbsp;:<strong class="clr-yal">'.esc_html($get_all_prices).'</strong></p>
							  </td>
						   </tr>';
					
				}
				$features .= '</tbody></table>';
			}
			//labels
			if(!empty(maxwheels_getlabels($mw_id)))
			{
                $direction = 'text-start';
                if(is_rtl())
                {
                  $direction = 'text-end';  
                }
				$labels = '<div class="property-labels absolute-yes"><div class="label-badges">
					    <ul class="list-unstyled '.esc_attr($direction).'">
						'.maxwheels_getlabels($mw_id).'
                        </ul>
                    </div></div>';	
			}
			return '<div class="'.esc_attr($col_size).' grid-item">
						<div class="card ad-card-3">
							<div class="card-image">
							'.wp_kses($featured_listing,$allowed_html).'
						     <a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb','listing').'</a>
							'.wp_kses($labels,$allowed_html).'
							'.maxwheels_get_related_distance($mw_id).'
							</div>
							<div class="card-body '.esc_attr($featured_class).'">
								<h5 class="card-title">
									<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,28).'</a> 
								</h5>
								'.$street_addr.'
								'.$features.'
							</div>
							</div>
                    </div>';
		}
		
		//Type 3
		function maxwheels_listings_type3($mw_id,$col_size = '')
		{
			if ($col_size == 3){$col_size = 'col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12';}
            else if ($col_size == 4){$col_size = 'col-xl-3 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 2){$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 12){$col_size = 'col-xl-12 col-md-12 col-sm-12 col-12';}
			else {$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12';}
			$selected_pricelabel_after =  $optional_price = $optional_price = $verified_listing = $category = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			//featured listing
			$featured_class = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="featured-ribbon" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['feat']).'">
					<div><i class="fas fa-star"></i></div>
				</div>';
			}
			
			//features
			$mileage = '';
			if (get_post_meta($mw_id, 'mw_mileage', true )!="")
			{
				$mileage = '<li class="list-inline-item"><i class="fas fa-road"></i> '.number_format(get_post_meta($mw_id, 'mw_mileage', true )).' '.maxwheels_strings('mw_car_mileage_unit').'</li>';
			}
			$fuel = '';
            $body_fuel='';
			if (get_post_meta($mw_id, 'mw_fueltype', true )!="")
			{
                $fuel_data=get_post_meta($mw_id, 'mw_fueltype', true );
                $body_fuel = get_term_by('slug',$fuel_data, 'mw-fuel');
                $fuel = '<li class="list-inline-item text-capitalize"><i class="fas fa-gas-pump"></i> '.esc_html($body_fuel->name).'</li>';
            }
			$eng_size = '';
			if (get_post_meta($mw_id, 'mw_enginesize', true )!="")
			{
				$eng_size = '<li class="list-inline-item text-capitalize"><i class="fas fa-oil-can"></i> '.esc_html(get_post_meta($mw_id, 'mw_enginesize', true )).' '.maxwheels_strings('mw_enginesize_unit').'</li>';
			}
			//labels
			if(!empty(maxwheels_getlabels($mw_id)))
			{

                $direction = 'text-start';
                if(is_rtl())
                {
                  $direction = 'text-end';  
                }
				$labels = '<div class="property-labels absolute-yes"><div class="label-badges">
					    <ul class="list-unstyled '.esc_attr($direction).'">
						'.maxwheels_getlabels($mw_id).'
                        </ul>
                    </div></div>';
			}

            $post_author = get_post_field('post_author', $mw_id);
            if(get_user_meta($post_author, 'user_role_type', true) !="")
            {
                $post_id = get_user_meta( $post_author, 'mw_post_id' , true);
            }
			return '<div class="'.esc_attr($col_size).' grid-item mygrid-type-3 ">
						<div class="card ad-card-1">
							<div class="card-image">
								'.wp_kses($featured_listing,$allowed_html).'
								'.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb','listing').'
								<button class="property-tools fav-comp" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'"  data-compare-id="'.esc_attr($mw_id).'"> <i class="fas fa-random"></i> </button>
								'.maxwheels_get_related_distance($mw_id).'
								<div class="img-overlay"></div>
								'.wp_kses($labels,$allowed_html).'
							</div>
							<div class="card-body '.esc_attr($featured_class).'">
								<h5 class="card-title">
									<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,27).'</a>
								</h5>
								<ul class="car-amens list-inline">
									'.$mileage.'
									'.$fuel.'
									'.$eng_size.'
								</ul>
								<div class="selling-price">
									<span>'.$get_all_prices.'</span>
								</div>
								<div class="details-box-btn">
									<div class="seller-detial">
										<a href="'.esc_url(get_the_permalink($post_id)).'" class="btn btn-outline-custom btn-block">'.esc_html__('View Seller Detials','maxwheels').'</a>
									</div>
									<div class="mark-as-fav">
									   <button class="fav-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['fav']).'" data-fav-id="'.esc_attr($mw_id).'"> <i class="far fa-heart"></i> </button>
									</div>
								</div>
							</div>
						</div>
						</div>';
		}
		
		//Type 4
		function maxwheels_listings_type4($mw_id,$col_size = '')
		{
			if ($col_size == 3){$col_size = 'col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12';}
            else if ($col_size == 4){$col_size = 'col-xl-3 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 2){$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 12){$col_size = 'col-xl-12 col-md-12 col-sm-12 col-12';}
			else {$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12';}
			$eng_size = $fuel = $mileage = $selected_pricelabel_after =  $optional_price = $optional_price = $verified_listing = $category = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			$object_terms = array();
			$object_terms = wp_get_object_terms($mw_id, 'mw-category', array('fields' => 'all_with_object_id', 'parent' => 0 ));
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			//featured listing
			$featured_class = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="featured-ribbon" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['feat']).'">
					<div><i class="fas fa-star"></i></div>
				</div>';
			}
			//street address
			if(get_post_meta($mw_id, 'mw_street_addr', true )!="")
			{
				$street_addr = '<div><p class="prop-location"><i class="clr-yal fas fa-location-arrow"></i> '.maxwheels_trim_locations(get_post_meta($mw_id, 'mw_street_addr', true ),30).'</p></div>';
			}
			$mileage =  get_post_meta($mw_id, 'mw_mileage', true );
			$fuel =  get_post_meta($mw_id, 'mw_fueltype', true );
			$eng_size =  get_post_meta($mw_id, 'mw_enginesize', true );
			if(!empty($mileage) || !empty($fuel) || !empty($eng_size))
			{
				$home_features .= '<ul class="list-inline">';
				if(!empty($mileage))
				{ 
					$home_features .= '<li class="list-inline-item"><i class="fas fa-road"></i> '.number_format(get_post_meta($mw_id, 'mw_mileage', true )).' '.maxwheels_strings('mw_car_mileage_unit').'</li>';
				}
				if(!empty($fuel))
				{
					$home_features .= '<li class="list-inline-item text-capitalize"><i class="fas fa-gas-pump"></i> '.esc_html(get_post_meta($mw_id, 'mw_fueltype', true )).'</li>';
				}
				if(!empty($eng_size))
				{
					$home_features .= '<li class="list-inline-item text-capitalize"><i class="fas fa-oil-can"></i> '.esc_html(get_post_meta($mw_id, 'mw_enginesize', true )).' '.maxwheels_strings('mw_enginesize_unit').'</li>';
				}
				$home_features .= '</ul>';
			}
			$category = '';
			if(!empty($object_terms) && !is_wp_error($object_terms) && is_array($object_terms) && count($object_terms) > 0)
			{
				foreach ($object_terms as $the_status)
				{
					$category.='<a class="my-cats" href="'.esc_url($search_page)."?category=".$the_status->slug.'">'.esc_html( $the_status->name ).'</a>';
				}
			}
			//description
			$description = '';
			if(!empty(get_the_content($mw_id)))
			{
				$description = '<p> '.wp_trim_words(get_the_excerpt($mw_id), 12, '...' ).'</p>';
			}
			return '<div class="'.esc_attr($col_size).' grid-item ">
					<div class="card ad-card-4 '.esc_attr($featured_class).'">
					<div class="card-header '.esc_attr($featured_class).'">
					'.$category.'
					<h5 class="card-title">
						<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,27).'</a>
					</h5>
					 '.$home_features.'
					</div>
					<div class="card-image">
					'.wp_kses($featured_listing,$allowed_html).'
					'.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb','listing').'
					<button class="property-tools fav-prop" data-bs-toggle="tooltip" data-bs-placement="top"  data-bs-title="'.esc_attr($localization['fav']).'" data-fav-id="'.esc_attr($mw_id).'"> <i class="fas fa-heart"></i> </button>
					<button class="property-tools fav-comp" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'" data-compare-id="'.esc_attr($mw_id).'"> <i class="fas fa-random"></i> </button>
					<div class="img-overlay"></div>
					</div>
					<div class="card-body listing-data">
					<div class="selling-price">
						<span>'.$get_all_prices.'</span>
					</div>
					<div class="d-flex">
					'.wp_kses($street_addr,$allowed_html).'
					<div class="ms-auto">
					'.maxwheels_get_related_distance($mw_id).'
					</div>
					</div>
					</div></div>
				</div>';
		}
		
		//Type 5
		function maxwheels_listings_type5($mw_id,$col_size = '')
		{
			if ($col_size == 3){$col_size = 'col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12';} 
            else if ($col_size == 4){$col_size = 'col-xl-3 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 2){$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 12){$col_size = 'col-xl-12 col-md-12 col-sm-12 col-12';}
			else {$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			$selected_pricelabel_after =  $optional_price = $rating_html = $optional_price = $verified_listing = $category = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			$object_terms = wp_get_object_terms($mw_id, 'mw-category', array('fields' => 'all_with_object_id', 'parent' => 0 ));
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			//featured listing
			$featured_class = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="featured-ribbon" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['feat']).'">
					<div><i class="fas fa-star"></i></div>
				</div>';
			}
			//labels
			if(!empty(maxwheels_getlabels($mw_id)))
			{
                $direction = 'text-start';
                if(is_rtl())
                {
                  $direction = 'text-end';  
                }
				$labels = '<div class="property-labels absolute-yes"><div class="label-badges">
					    <ul class="list-unstyled '.esc_attr($direction).'">
						'.maxwheels_getlabels($mw_id).'
                        </ul>
                    </div></div>';	
			}
			//posted date
			$mydate =  get_the_date(get_option('date_format'), $mw_id);
			//street address
			if(get_post_meta($mw_id, 'mw_street_addr', true )!="")
			{
				$street_addr = '<div><p class="prop-location"><i class="fas fa-location-arrow"></i> '.maxwheels_trim_locations(get_post_meta($mw_id, 'mw_street_addr', true ),32).'</p></div>';
			}
			//ratings
			$get_percentage = array();
			$get_percentage = maxwheels_reviews_average($mw_id);
			if(!empty($get_percentage) && is_array($get_percentage) && count($get_percentage['ratings']) > 0 && !empty($get_percentage['rated_no_of_times']) && $get_percentage['rated_no_of_times'] > 0)
			{
				$rating_html = '<div class="listing-rating">
						<span class="ratings"> 
						'.wp_sprintf(__('%s (%d Reviews)', 'maxwheels'), $get_percentage['total_stars'],$get_percentage['rated_no_of_times']).'
					</span></div>';
			}
			//listing author dp
			$post_author = get_post_field('post_author', $mw_id);
			if(get_user_meta($post_author, 'user_role_type', true) !="")
			{
				$type = get_user_meta($post_author, 'user_role_type', true);
				$post_id = get_user_meta( $post_author, 'mw_post_id' , true);
				//verified listing
				if(get_post_meta($post_id, $type.'_is_trusted', true ) == "1")
				{
					$verified_listing = '<div class="is-verified"><i class="fas fa-check"></i></div>';
				}
					
			}
			//category
			$category = '';
			if(!empty($object_terms) && !is_wp_error($object_terms) && is_array($object_terms) && count($object_terms) > 0)
			{
				foreach ($object_terms as $the_status)
				{
					$category.='<a class="my-cats" href="'.esc_url($search_page)."?category=".$the_status->slug.'">'.esc_html( $the_status->name ).'</a>';
				}
			}
			return '<div class="'.esc_attr($col_size).' grid-item mygrid-type-5">
			<div class="card ad-card-5 '.esc_attr($featured_class).'">
                                    <div class="card-image">
                                    	'.wp_kses($featured_listing,$allowed_html).'
                                        '.wp_kses($labels,$allowed_html).'
                                        '.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb','listing').'                                     
										<div class="img-overlay"></div>
								'.$author_dp.'
								'.$rating_html.'
                                    </div>
                                    <div class="card-body">
                                        '.$category.'
                                        <h5 class="card-title">
                                 			<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,27).'</a>
                            			</h5>
                                       <div class="d-flex">
										'.wp_kses($street_addr,$allowed_html).'
											
										</div>
                                    </div>
                                    <div class="card-footer">
                                    <div class="selling-price">
										<span>'.$get_all_prices.'</span>
									</div>
									<div class="listing-option-list">
                                        <button class="property-tools fav-prop" data-bs-toggle="tooltip" data-bs-placement="top"  data-bs-title="'.esc_attr($localization['fav']).'" data-fav-id="'.esc_attr($mw_id).'"> <i class="fas fa-heart"></i> </button>
                                        <button class="property-tools fav-comp" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'" data-compare-id="'.esc_attr($mw_id).'"> <i class="fas fa-random"></i> </button>
                                    </div>
                                    </div>
                                </div>
			</div>';
		}
        //Type 6
        function maxwheels_listings_type6($mw_id,$col_size = '')
         {
             if ($col_size == 3){$col_size = 'col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12';}
             else if ($col_size == 4){$col_size = 'col-xl-3 col-lg-6 col-md-6 col-sm-12 col-12';}
             else if ($col_size == 2){$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
             else if ($col_size == 12){$col_size = 'col-xl-12 col-md-12 col-sm-12 col-12';}
             else {$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
             $selected_pricelabel_after =  $optional_price = $rating_html = $optional_price = $verified_listing = $category = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
             $get_all_prices = array();
             $localization = maxwheels_localization();
             $allowed_html = maxwheels_allowed_html();
             $object_terms = wp_get_object_terms($mw_id, 'mw-category', array('fields' => 'all_with_object_id', 'parent' => 0 ));
             $search_page = maxwheels_framework_get_link('page-listing-search.php');
             //prices
             $get_all_prices =  maxwheels_framework_fetch_price($mw_id);
             //featured listing
             $featured_class = '';
             if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
             {
                 $featured_class = 'mw-featured';
                 $featured_listing = '<div class="featured-ribbon" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['feat']).'">
					<div><i class="fas fa-star"></i></div>
				</div>';
             }
             //labels
             if(!empty(maxwheels_getlabels($mw_id)))
             {
                 $direction = 'text-start';
                 if(is_rtl())
                 {
                     $direction = 'text-end';
                 }
                 $labels = '<div class="property-labels absolute-yes"><div class="label-badges">
					    <ul class="list-unstyled '.esc_attr($direction).'">
						'.maxwheels_getlabels($mw_id).'
                        </ul>
                    </div></div>';
             }
             //posted date
             $mydate =  get_the_date(get_option('date_format'), $mw_id);
             //street address
             if(get_post_meta($mw_id, 'mw_street_addr', true )!="")
             {
                 $street_addr = '<div><p class="prop-location"><i class="fas fa-location-arrow"></i> '.maxwheels_trim_locations(get_post_meta($mw_id, 'mw_street_addr', true ),32).'</p></div>';
             }
             //ratings
             $get_percentage = array();
             $get_percentage = maxwheels_reviews_average($mw_id);
             if(!empty($get_percentage) && is_array($get_percentage) && count($get_percentage['ratings']) > 0 && !empty($get_percentage['rated_no_of_times']) && $get_percentage['rated_no_of_times'] > 0)
             {
                 $rating_html = '<div class="listing-rating">
						<span class="ratings"> 
						'.wp_sprintf(__('%s (%d Reviews)', 'maxwheels'), $get_percentage['total_stars'],$get_percentage['rated_no_of_times']).'
					</span></div>';
             }
             //listing author dp
             $post_author = get_post_field('post_author', $mw_id);
             if(get_user_meta($post_author, 'user_role_type', true) !="")
             {
                 $type = get_user_meta($post_author, 'user_role_type', true);
                 $post_id = get_user_meta( $post_author, 'mw_post_id' , true);
                 //verified listing
                 if(get_post_meta($post_id, $type.'_is_trusted', true ) == "1")
                 {
                     $verified_listing = '<div class="is-verified"><i class="fas fa-check"></i></div>';
                 }

             }
             //category
             $category = '';
             if(!empty($object_terms) && !is_wp_error($object_terms) && is_array($object_terms) && count($object_terms) > 0)
             {
                 foreach ($object_terms as $the_status)
                 {
                     $category.='<a class="my-cats" href="'.esc_url($search_page)."?category=".$the_status->slug.'">'.esc_html( $the_status->name ).'</a>';
                 }
             }
             return '<div class="'.esc_attr($col_size).' grid-item mygrid-type-5">
			<div class="card ad-card-5 '.esc_attr($featured_class).'">
                                    <div class="card-image">
                                    	'.wp_kses($featured_listing,$allowed_html).'
                                        '.wp_kses($labels,$allowed_html).'
                                        '.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb','listing').'                                     
										<div class="img-overlay"></div>
								'.$author_dp.'
								'.$rating_html.'
                                    </div>
                                    <div class="card-body">
                                        '.$category.'
                                        <h5 class="card-title">
                                 			<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,27).'</a>
                            			</h5>
                                       <div class="d-flex">
										'.wp_kses($street_addr,$allowed_html).'
											
										</div>
                                    </div>
                                    <div class="card-footer">
                                    <div class="selling-price">
										<span>'.$get_all_prices.'</span>
									</div>
									<div class="listing-option-list">
                                        <button class="property-tools fav-prop" data-bs-toggle="tooltip" data-bs-placement="top"  data-bs-title="'.esc_attr($localization['fav']).'" data-fav-id="'.esc_attr($mw_id).'"> <i class="fas fa-heart"></i> </button>
                                        <button class="property-tools fav-comp" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'" data-compare-id="'.esc_attr($mw_id).'"> <i class="fas fa-random"></i> </button>
                                    </div>
                                    </div>
                                </div>
			</div>';
         }


         //Type 7
		function maxwheels_listings_type7($mw_id,$col_size = '')
		{
			if ($col_size == 3){$col_size = 'col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12';} 
            else if ($col_size == 4){$col_size = 'col-xl-3 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 2){$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 12){$col_size = 'col-xl-12 col-md-12 col-sm-12 col-12';}
			else {$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			$selected_pricelabel_after =  $optional_price = $rating_html = $optional_price = $verified_listing = $category = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			//labels
			if(!empty(maxwheels_getlabels($mw_id)))
			{
                $direction = 'text-start';
                if(is_rtl())
                {
                  $direction = 'text-end';  
                }
				$labels = '<div class="property-labels absolute-yes"><div class="label-badges">
					    <ul class="list-unstyled '.esc_attr($direction).'">
						'.maxwheels_getlabels($mw_id).'
                        </ul>
                    </div></div>';	
			}
			//featured listing
			$featured_class = $featured_listing = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="ribbon"><span>'.esc_attr($localization['feat']).'</span></div>';
			}
			//ratings
			$get_percentage = array();
			$get_percentage = maxwheels_reviews_average($mw_id);
			if(!empty($get_percentage) && is_array($get_percentage) && count($get_percentage['ratings']) > 0 && !empty($get_percentage['rated_no_of_times']) && $get_percentage['rated_no_of_times'] > 0)
			{
				$rating_html = '<span class="ratings"> 
									'.wp_sprintf(__('%s (%d Reviews)', 'maxwheels'), $get_percentage['total_stars'],$get_percentage['rated_no_of_times']).'</span>';
			}
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			$author_details = '';
			$post_author = get_post_field('post_author', $mw_id);
			if(get_user_meta($post_author, 'user_role_type', true) !="")
			{
				$type = get_user_meta($post_author, 'user_role_type', true);
				$post_id = get_user_meta( $post_author, 'mw_post_id' , true);
				// get directions
				$lon =  $get_directions =  $latt = '';
				$latt = get_post_meta($mw_id, 'mw_latt', true );
				$lon = get_post_meta($mw_id, 'mw_long', true );
				if(!empty($latt) && !empty($lon))
				{
					$get_directions = '<span class="distance-from-me-text"><a class="distance-from-me d-flex link-primary" href="//www.google.com/maps?daddr='.esc_attr($latt).','.esc_attr($lon).'" target="_blank">'.esc_html__('Get Directions','maxwheels').'</a></span>';
				}
				$author_details = '<div class="col d-flex flex-row ">
							<div class="flex-column d-flex justify-content-center">
								<div class="seller-type">
									<a class=""  href="'.esc_url(get_the_permalink($post_id)).'">'.esc_html(get_the_title($post_id)).' </a>
									'.$get_directions.'
								</div>
							</div>
						</div>';
			}
			//street address
			$mar_top = '';
			if(get_post_meta($mw_id, 'mw_street_addr', true )!="")
			{
				$mar_top = 'mat-5';
				$street_addr = '<div><p class="prop-location"><i class="fas fa-location-arrow"></i> '.maxwheels_trim_locations(get_post_meta($mw_id, 'mw_street_addr', true ),32).'</p></div>';
			}
			return '<div class="'.esc_attr($col_size).' grid-item">
			<div class="card ad-card-7 '.esc_attr($featured_class).'">
				<div class="card-image">
				  '.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb','listing').'
					 '.wp_kses($labels,$allowed_html).'
					 '.wp_kses($featured_listing,$allowed_html).'
					<div class="img-overlay"></div>
				</div>
				<div class="card-body">
				<div class="row h-100">
				<div class="col flex-column d-flex justify-content-start">
					<h5 class="card-title">
						<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,30).'</a>
					</h5>
				</div>
					<div class="d-flex '.esc_attr($mar_top).'">
					'.wp_kses($street_addr,$allowed_html).'
					</div>
				</div>
				</div>
				<div class="card-footer '.esc_attr($featured_class).'">
					<div class="row h-100">
						<div class="col d-flex flex-row ">
							<div class="flex-column d-flex justify-content-center">
								<div class="selling-price">
							<span>'.$get_all_prices.'</span>
						</div>
							</div>
						</div>
						<div class="col d-flex justify-content-end align-items-end">
							<a class="btn btn-theme" href="'.esc_url(get_the_permalink($mw_id)).'">
								'.esc_html__('View Details','maxwheels').'
							</a>
						</div>
					</div>
				</div>
			</div>
		 </div>';
		}
		
		//Type 8
		function maxwheels_listings_type8($mw_id,$col_size = '')
		{
			if ($col_size == 3){$col_size = 'col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12';} 
            else if ($col_size == 4){$col_size = 'col-xl-3 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 2){$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 12){$col_size = 'col-xl-12 col-md-12 col-sm-12 col-12';}
			else {$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			$selected_pricelabel_after =  $optional_price = $rating_html = $optional_price = $verified_listing = $category = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			//labels
			if(!empty(maxwheels_getlabels($mw_id)))
			{
                $direction = 'text-start';
                if(is_rtl())
                {
                  $direction = 'text-end';  
                }
				$labels = '<div class="property-labels absolute-yes"><div class="label-badges">
					    <ul class="list-unstyled '.esc_attr($direction).'">
						'.maxwheels_getlabels($mw_id).'
                        </ul>
                    </div></div>';	
			}
			//featured listing
			$featured_class = $featured_listing = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="ribbon"><span>'.esc_attr($localization['feat']).'</span></div>';
			}
			//ratings
			$get_percentage = array();
			$get_percentage = maxwheels_reviews_average($mw_id);
			if(!empty($get_percentage) && is_array($get_percentage) && count($get_percentage['ratings']) > 0 && !empty($get_percentage['rated_no_of_times']) && $get_percentage['rated_no_of_times'] > 0)
			{
				$rating_html = '<span class="ratings"> 
									'.wp_sprintf(__('%s (%d Reviews)', 'maxwheels'), $get_percentage['total_stars'],$get_percentage['rated_no_of_times']).'</span>';
			}
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			$author_details = '';
			//listing author dp
			$autho_contact =  $post_author_name = $verified_listing = '';
			$post_author = get_post_field('post_author', $mw_id);
			if(get_user_meta($post_author, 'user_role_type', true) !="")
			{
				$type = get_user_meta($post_author, 'user_role_type', true);
				$post_id = get_user_meta( $post_author, 'mw_post_id' , true);
				$post_author_name = '<div class="detail-button"> '.esc_html__('Listed by','maxwheels').' :  <a href="'.esc_url(get_the_permalink($post_id)).'"><strong>'.get_the_title($post_id).'</strong></a> </div>';
			}
			
			$body_types = '';
			$body_terms = wp_get_object_terms($mw_id,'mw-bodytype');
			if(!empty($body_terms) && is_array($body_terms) && count($body_terms) >0 && ! is_wp_error( $body_terms ) )
			{
				foreach( $body_terms as $term )
				{
					$body_types .= '<span class="body-type"><span class="mydata-attr" data-url="'.esc_url($search_page)."?body-types[]=".$term->slug.'">'.esc_html($term->name).'</span></span>';
				}
			}
			//features
			$car_features = $transmission = $engine = $drive = '';
			$drive = get_post_meta($mw_id, 'mw_drive', true );
			$mileage = get_post_meta($mw_id, 'mw_mileage', true );
			$transmission = get_post_meta($mw_id, 'mw_transmission', true );
			if(!empty($drive) || !empty($engine) || !empty($transmission))
			{
				$car_features .= '<ul class="car-features-meta">';
				if($transmission)
				{
					$trans = wp_get_object_terms($mw_id,'mw-transmission');
					if(!empty($trans) && is_array($trans) && count($trans) >0 && ! is_wp_error( $trans ) )
					{
						foreach( $trans as $trans_term )
						{
							$car_features .= '<li>
									<span class="label">'.$localization['transmission'].'</span>
									<span class="value"><span class="mydata-attr" data-url="'.esc_url($search_page)."?transmission[]=".$trans_term->slug.'">'.esc_html($trans_term->name).'</span></span>
							</li>';
						}
					}
				}
				if($drive)
				{
					$drive_type = wp_get_object_terms($mw_id,'mw-drive');
					if(!empty($drive_type) && is_array($drive_type) && count($drive_type) >0 && ! is_wp_error( $drive_type ) )
					{
						foreach( $drive_type as $drive_types )
						{
							$car_features .= '<li>
									<span class="label">'.$localization['drive'].'</span>
									<span class="value"><span class="mydata-attr" data-url="'.esc_url($search_page)."?drive-type[]=".$drive_types->slug.'">'.esc_html($drive_types->name).'</span></span>
							</li>';
						}
					}
				}
				if($mileage)
				{
					$car_features .= '<li>
							<span class="label">'.$localization['mileage'].'</span>
							<span class="value">'.number_format(get_post_meta($mw_id, 'mw_mileage', true )).' '.maxwheels_strings('mw_car_mileage_unit').'</span>
					</li>';
				}
				$car_features .= '</ul>';
			}
			return '<div class="'.esc_attr($col_size).' grid-item">
			<div class="icon-box cou '.esc_attr($featured_class).'">
					  <div class="card-image">
					  '.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb','listing').'
						 '.wp_kses($labels,$allowed_html).'
						 '.wp_kses($featured_listing,$allowed_html).'
						 <button data-compare-id="'.esc_attr($mw_id).'" class="property-tools fav-comp btn d-flex justify-content-center align-items-center compare-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'"><i class="fas fa-random"></i></button>
						 <button data-fav-id="'.esc_attr($mw_id).'" class="property-tools btn d-flex justify-content-center align-items-center fav-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['fav']).'"><i class="far fa-heart"></i></button>
					  </div>

                  '.$body_types.'
                  <h2><a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,45).'</a></h2>
                  <h3>'.$get_all_prices.'</h3>
                  <hr>
                  <div class="view-detail">
                  '.$car_features.'
                  <a href="'.esc_url(get_the_permalink($mw_id)).'" class="btn btn-black w-100">'.esc_html__('View Details','maxwheels').'</a>
                  '.$post_author_name.'
                </div>
                </div></div>';
		}
		 
		//Classified
		function maxwheels_listings_type9($mw_id,$col_size = '')
		{
			if ($col_size == 3){$col_size = 'col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12';} 
            else if ($col_size == 4){$col_size = 'col-xl-3 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 2){$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 12){$col_size = 'col-xl-12 col-md-12 col-sm-12 col-12';}
			else {$col_size = 'col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			$selected_pricelabel_after =  $optional_price = $rating_html = $optional_price = $verified_listing = $category = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			//labels
			if(!empty(maxwheels_getlabels($mw_id)))
			{
                $direction = 'text-start';
                if(is_rtl())
                {
                  $direction = 'text-end';  
                }
				$labels = '<div class="property-labels absolute-yes"><div class="label-badges">
					    <ul class="list-unstyled '.esc_attr($direction).'">
						'.maxwheels_getlabels($mw_id).'
                        </ul>
                    </div></div>';	
			}
			$category = '';
			//featured listing
			$featured_class = $featured_listing = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="ribbon"><span>'.esc_attr($localization['feat']).'</span></div>';
			}
			$image_id = '';
			$post_author_id = get_post_field('post_author', $mw_id);
			$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
			$type 			= get_user_meta($post_author_id, 'user_role_type', true);
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			$author_details = '';
			$mydate =  get_the_date(get_option('date_format'), $mw_id);
			
		    return '<div class="'.esc_attr($col_size).' grid-item">
			<div class="icon-box cou '.esc_attr($featured_class).'">
					  <div class="card-image">
					  '.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb','listing').'
						 '.wp_kses($labels,$allowed_html).'
						 '.wp_kses($featured_listing,$allowed_html).'
						 <button data-compare-id="'.esc_attr($mw_id).'" class="property-tools fav-comp btn d-flex justify-content-center align-items-center compare-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'"><i class="fas fa-random"></i></button>
						 <button data-fav-id="'.esc_attr($mw_id).'" class="property-tools btn d-flex justify-content-center align-items-center fav-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['fav']).'"><i class="far fa-heart"></i></button>
					  </div>
					 <div class="tool-bar">
						 <span>'.maxwheels_number_format_short(intval(get_post_meta($mw_id, 'mw_listing_total_views', true))) .' '. esc_html__('views','maxwheels').' </span>
						 <svg aria-hidden="true" focusable="false" data-prefix="fac" data-icon="dot" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 512" class="svg-inline--fa fa-dot fa-w-20"><path fill="currentColor" d="M256,176c44.2,0,80,35.8,80,80s-35.8,80-80,80s-80-35.8-80-80S211.8,176,256,176z" class=""></path></svg>
						 <span>'.esc_html( human_time_diff( get_the_time('U'), current_time('timestamp') ) ) . esc_html__(' ago','maxwheels'). '</span>
					 </div>
                  <h2><a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,45).'</a></h2>
                  <h3>'.$get_all_prices.'</h3>
                </div></div>';
		} 
	 
		//List 1
		function maxwheels_listings_list1($mw_id, $col = '')
		{
			$selected_pricelabel_after =  $optional_price = $optional_price = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			//home features
			$street_addr = $labels =  $author_dp = $type = $post_author = $home_features = $size = $baths = $rooms = '';
			//featured listing
			$featured_class = $featured_listing = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="ribbon"><span>'.esc_attr($localization['feat']).'</span></div>';
			}
			//labels
			if(!empty(maxwheels_getlabels($mw_id)))
			{
                $text_direction = 'text-start';
                if(is_rtl())
                {
                    $text_direction = 'text-end';
                }
				$labels = '<div class="property-labels absolute-no"><div class="label-badges">
					    <ul class="list-unstyled '.esc_attr($text_direction).'">
						'.maxwheels_getlabels($mw_id).'
                        </ul>
                    </div></div>';	
			}
			//street address
			if(get_post_meta($mw_id, 'mw_street_addr', true )!="")
			{
				$street_addr = '<div><p class="extrp"> <span> <i class="fas fa-location-arrow clr-yal"> </i></span>'.get_post_meta($mw_id, 'mw_street_addr', true ).'</p></div>';
			}
			//listing author dp
			$post_author = get_post_field('post_author', $mw_id);
			$verified_listing = '';
			if(get_user_meta($post_author, 'user_role_type', true) !="")
			{
				$type = get_user_meta($post_author, 'user_role_type', true);
				$post_id = get_user_meta( $post_author, 'mw_post_id' , true);
				//verified listing
				if(get_post_meta($post_id, $type.'_is_trusted', true ) == "1")
				{
					$verified_listing = '<div class="is-verified"><i class="fas fa-check"></i></div>';
				}
				 $author_dp ='<div class="author">
			                  '.$verified_listing.'
							<a href="'.esc_url(get_the_permalink($post_id)).'">
							<img src="'.esc_url(maxwheels_placeholder_images($type,$post_id,'maxwheels-user-thumb')).'" alt="'.esc_attr(get_post_meta($all_idz, '_wp_attachment_image_alt', TRUE)).'" class="avatar img-raiseds" ></a>
				</div>';		
			}
			
			//features
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			$car_features = $transmission = $engine = $drive = '';
			$drive = get_post_meta($mw_id, 'mw_drive', true );
			$mileage = get_post_meta($mw_id, 'mw_mileage', true );
			$transmission = get_post_meta($mw_id, 'mw_transmission', true );
			if(!empty($drive) || !empty($engine) || !empty($transmission))
			{
				$car_features .= '<ul class="listing-features-list">';
				if($transmission)
				{
					$trans = wp_get_object_terms($mw_id,'mw-transmission');
					if(!empty($trans) && is_array($trans) && count($trans) >0 && ! is_wp_error( $trans ) )
					{
						foreach( $trans as $trans_term )
						{
							$car_features .= '<li>
									<span class="top-list">
										<i class="flaticon-gearshift-1"></i> 
										<span class="mylabel">'.$localization['transmission'].'</span>
										<span class="myvalue"><span class="mydata-attr" data-url="'.esc_url($search_page)."?transmission[]=".$trans_term->slug.'">'.esc_html($trans_term->name).'</span></span>
									</span>
							</li>';
						}
					}
				}
				if($drive)
				{
					$drive_type = wp_get_object_terms($mw_id,'mw-drive');
					if(!empty($drive_type) && is_array($drive_type) && count($drive_type) >0 && ! is_wp_error( $drive_type ) )
					{
						foreach( $drive_type as $drive_types )
						{
							$car_features .= '<li>
									<span class="top-list">
										<i class="flaticon-steering-wheel-4"></i> 
										<span class="mylabel">'.$localization['drive'].'</span>
										<span class="myvalue"><span class="mydata-attr" data-url="'.esc_url($search_page)."?drive-type[]=".$drive_types->slug.'">'.esc_html($drive_types->name).'</span></span>
									</span>
							</li>';
						}
					}
				}
				if($mileage)
				{
					$car_features .= '<li>
								<span class="top-list">
									<i class="flaticon-fast"></i> 
								<span class="mylabel">'.$localization['mileage'].'</span>
								<span class="myvalue">'.number_format(get_post_meta($mw_id, 'mw_mileage', true )).' '.maxwheels_strings('mw_car_mileage_unit').'</span>
							</span>
					</li>';
				}
				$car_features .= '</ul>';
			}
			$result = 0;
			$total_images = $_array = $img_html_camera = $image_count = '';
			if(get_post_meta( $mw_id, 'mw_gallery', true ) !="")
			{
				if( get_post_meta( $mw_id, 'mw_gallery', true ))
				{
					$total_images = get_post_meta( $mw_id, 'mw_gallery', true );
					$_array = explode(",", $total_images);
					$result = count($_array);
					$img_html_camera = '<li><span class="fas fa-camera" aria-hidden="true"></span> '.esc_html($result).'</li>';
				}
				$image_count = '<div class="listing-meta">
				<ul class="inline-list">
					'.$img_html_camera.'
					<li>
						<span class="fas fa-play-circle" aria-hidden="true"></span>
					</li>
				</ul>
				</div>';
			}
			return '<div class="col-xl-12 col-lg-12 col-md-12 col-12 grid-item">
					<div class="my-list1 '.esc_attr($featured_class).'">
						'.$featured_listing.'
						<div class="my-img-container">
							<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb-sm','listing').'</a>
							<button data-compare-id="'.esc_attr($mw_id).'" class="property-tools fav-comp btn d-flex justify-content-center align-items-center compare-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'"><i class="fas fa-random"></i></button>
					<button data-fav-id="'.esc_attr($mw_id).'" class="property-tools btn d-flex justify-content-center align-items-center fav-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['fav']).'"><i class="far fa-heart"></i></button>
					'.$image_count.'
						</div>
						<div class="my-content-area align-self-center">
						'.wp_kses($labels,$allowed_html).'
						<h5 class="card-title">
							<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,45).'</a>
						</h5>
						'.$car_features.'
						<div class="d-flex">
						'.wp_kses($street_addr,$allowed_html).'
							<div class="ms-auto">
								'.maxwheels_get_related_distance($mw_id).'
							</div>
						</div>
							<div class="pricing-area">
								 <div class="selling-price">
									<span>'.$get_all_prices.'</span>
								</div>
								'.$author_dp.'
							</div>
						</div>
					</div>
				</div>';	
		}
		
		//List 2
		function maxwheels_listings_list2($mw_id, $col = '')
		{
			$selected_pricelabel_after =  $optional_price = $optional_price = $verified_listing = $category = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			$all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			//posted date
			$mydate =  get_the_date(get_option('date_format'), $mw_id);
			//street address
			if(get_post_meta($mw_id, 'mw_street_addr', true )!="")
			{
				$street_addr = '<p class="extrp"> <span> <i class="fas fa-location-arrow clr-yal"> </i></span>'.get_post_meta($mw_id, 'mw_street_addr', true ).'</p>';
			}
			//labels
			if(!empty(maxwheels_getlabels($mw_id)))
			{
				$labels = '<div class="property-labels absolute-yes"><div class="label-badges">
					    <ul class="list-unstyled">
						'.maxwheels_getlabels($mw_id).'
                        </ul>
                    </div></div>';	
			}
			//category
			if(!empty(maxwheels_framework_selected_cat($mw_id)))
			{
				$category = '<div class="propert-type"><span class="prop-category-sel">'.maxwheels_framework_selected_cat($mw_id).'</span></div>';
			}
			
			//home features
			$eng_size = $author_dp = $type = $post_author = $home_features = $transmission = $mileage = $drive = '';
			$drive = get_post_meta($mw_id, 'mw_drive', true );
			$mileage = get_post_meta($mw_id, 'mw_mileage', true );
			$transmission = get_post_meta($mw_id, 'mw_transmission', true );
			$eng_size = get_post_meta($mw_id, 'mw_enginesize', true );
			if(!empty($drive) || !empty($mileage) || !empty($transmission) || !empty($eng_size))
			{
				$home_features .= '<div class="home-amenties">';
				if(!empty($drive))
				{
					$drive_type = wp_get_object_terms($mw_id,'mw-drive');
					if(!empty($drive_type) && is_array($drive_type) && count($drive_type) >0 && ! is_wp_error( $drive_type ) )
					{
						foreach( $drive_type as $drive_types )
						{
							$home_features .= '<div class="rooms-row"> <span class="d-block  clr-black f-700">'.esc_attr($localization['drive']).'</span> <span class="f-size-14 clr-p">'.esc_html($drive_types->name).'</span> </div>';
						}
					}
				}
				if(!empty($transmission))
				{
					$trans = wp_get_object_terms($mw_id,'mw-transmission');
					if(!empty($trans) && is_array($trans) && count($trans) >0 && ! is_wp_error( $trans ) )
					{
						foreach( $trans as $trans_term )
						{
							$home_features .= '<div class="rooms-beds"> <span class="d-block clr-black f-700">'.esc_attr($localization['transmission']).'</span> <span class="f-size-14 clr-p">'.esc_html($trans_term->name).'</span> </div>';
						}
					}
				}
				if(!empty($mileage))
				{
					$home_features .= '<div class="rooms-size"> <span class="d-block clr-black f-700">'.esc_attr($localization['mileage']).'</span> <span class="f-size-14 clr-p">'.esc_attr(number_format($mileage)).' '.maxwheels_strings('mw_car_mileage_unit').'</span> </div>';
				}
				if(!empty($eng_size))
				{
					$home_features .= '<div class="rooms-size"> <span class="d-block clr-black f-700">'.esc_attr($localization['engine']).'</span> <span class="f-size-14 clr-p">'.esc_attr(($eng_size)).' '.maxwheels_strings('mw_enginesize_unit').'</span> </div>';
				}
				$home_features .= '</div>';
			}
			//listing author dp
			$user_related_data = $verified_listing = '';
			$post_author = get_post_field('post_author', $mw_id);
			if(get_user_meta($post_author, 'user_role_type', true) !="")
			{
				$type = get_user_meta($post_author, 'user_role_type', true);
				$post_id = get_user_meta( $post_author, 'mw_post_id' , true);
				//verified listing
				if(get_post_meta($post_id, $type.'_is_trusted', true ) == "1")
				{
					$verified_listing = '<div class="is-verified"><i class="fas fa-check"></i></div>';
				}
				$author_dp = '<div class="author-image">
				'.$verified_listing.'
							<a href="'.esc_url(get_the_permalink($post_id)).'"><img src="'.esc_url(maxwheels_placeholder_images($type,$post_id,'')).'" alt="'.esc_attr(get_post_meta($all_idz, '_wp_attachment_image_alt', TRUE)).'" class="img-fluid"></a>
						</div>';
				$user_related_data = '<div class="listing-author-detials d-sm-flex justify-content-between">
					<div class="dealer-author">
						<div class="author-content">
							<h4 class="name"><a href="'.esc_url(get_the_permalink($post_id)).'">'.esc_html(get_the_title($post_id)).'</a></h4>
							<div class="listing-ratings">
								<span class="ratings"> 
									<i class="fa fa-star color" aria-hidden="true"></i><i class="fa fa-star color" aria-hidden="true"></i><i class="fa fa-star-half-o color" aria-hidden="true"></i><i class="fa fa-star" aria-hidden="true"></i><i class="fa fa-star" aria-hidden="true"></i> (2 Reviews)
								</span>
							</div>
						</div>
					</div> 
					'.$author_dp.'
				</div>';
			}
			//featured listing
			$featured_class = $featured_listing = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="featured-ribbon" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['feat']).'">
					<div><i class="fas fa-star"></i></div>
				</div>';
			}
			//posted date
			$mydate =  get_the_date(get_option('date_format'), $mw_id);
			// get directions
			$lon =  $get_directions =  $latt = '';
			$latt = get_post_meta($mw_id, 'mw_latt', true );
			$lon = get_post_meta($mw_id, 'mw_long', true );
			if(!empty($latt) && !empty($lon))
			{
				$get_directions = '<a class="explore-nearby" href="//www.google.com/maps?daddr='.esc_attr($latt).','.esc_attr($lon).'" target="_blank"><i class="fas fa-map-signs"></i> '.esc_html__('Get Directions','maxwheels').'
</a>';
			}
			return '<div class="col-xl-12 col-lg-12 col-md-12 col-12 grid-item">
						<div class="card my-list2 '.esc_attr($featured_class).'">
					    <div class="card-body">
						<div class="row">
                        <div class="col-lg-4 col-md-5 col-xl-4 col-xxl-5">
							<div class="my-list2-img-cont">
                               <a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb-sm','listing').'</a>
							   '.wp_kses($labels,$allowed_html).'
							 <button data-compare-id="'.esc_attr($mw_id).'" class="property-tools fav-comp btn d-flex justify-content-center align-items-center compare-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'"><i class="fas fa-random"></i></button>
							<button data-fav-id="'.esc_attr($mw_id).'" class="property-tools btn d-flex justify-content-center align-items-center fav-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['fav']).'"><i class="far fa-heart"></i></button>
							<div class="total-img-count">
								<span><i class="fas fa-camera"></i> '.count($all_idz).'</span>
							</div>
						</div> 
							   '.maxwheels_framework_img_small_thumbs($all_idz,'maxwheels-small-thumb').'
                        </div>
                        <div class="col-lg-8 col-md-7 col-xl-8 col-xxl-7 align-self-center">
						<div class="posted-date">'.wp_sprintf(__('Listed on %s', 'maxwheels'), esc_html(date_i18n( get_option( 'date_format' ), strtotime($mydate)))).'</div>
							<h5 class="card-title">
								<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,45).'</a>
							</h5>
							'.wp_kses($street_addr,$allowed_html).'
							'.wp_kses($get_directions,$allowed_html).'
							<div class="home-amenties-features">
								'.$home_features.'
							</div>
							<div class="my-list2-pricing">
								<div class="selling-price">
									<span>'.$get_all_prices.'</span>
								</div>
							</div>
							'.$user_related_data.'
						  </div>
                        </div>
                    </div>
				   </div>
			</div>';
		}
		
		//List 3
		function maxwheels_listings_list3($mw_id, $col = '')
		{
			$selected_pricelabel_after =  $optional_price = $rating_html = $optional_price = $verified_listing = $category = $grage = $home_features = $size = $baths = $rooms = $labels = $featured_listing = $author_dp = $post_id = $type = $street_addr = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			$all_idz = maxwheels_framework_fetch_gallery_idz($mw_id);
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			//featured listing
			$featured_class = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="featured-ribbon" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['feat']).'">
					<div><i class="fas fa-star"></i></div>
				</div>';
			}
			//posted date
			$mydate =  get_the_date(get_option('date_format'), $mw_id);
			//street address
			if(get_post_meta($mw_id, 'mw_street_addr', true )!="")
			{
				$street_addr = '<div><p class="extrp"> <span> <i class="fas fa-location-arrow clr-yal"> </i></span>'.get_post_meta($mw_id, 'mw_street_addr', true ).'</p></div>';
			}
			//labels
			if(!empty(maxwheels_getlabels($mw_id)))
			{
				$labels = '<div class="property-labels absolute-yes"><div class="label-badges">
					    <ul class="list-unstyled">
						'.maxwheels_getlabels($mw_id).'
                        </ul>
                    </div></div>';	
			}
			//category
			if(!empty(maxwheels_framework_selected_cat($mw_id)))
			{
				$category = '<div class="propert-type"><span class="prop-category-sel">'.maxwheels_framework_selected_cat($mw_id).'</span></div>';
			}
			//ratings
			$get_percentage = array();
			$get_percentage = maxwheels_reviews_average($mw_id);
			if(!empty($get_percentage) && is_array($get_percentage) && count($get_percentage['ratings']) > 0 && !empty($get_percentage['rated_no_of_times']) && $get_percentage['rated_no_of_times'] > 0)
			{
				$rating_html = '<span class="ratings"> 
									'.wp_sprintf(__('%s (%d Reviews)', 'maxwheels'), $get_percentage['total_stars'],$get_percentage['rated_no_of_times']).'</span>';
			}
			//listing author dp
			$autho_contact =  $post_author_name = $verified_listing = '';
			$post_author = get_post_field('post_author', $mw_id);
			if(get_user_meta($post_author, 'user_role_type', true) !="")
			{
				$type = get_user_meta($post_author, 'user_role_type', true);
				$post_id = get_user_meta( $post_author, 'mw_post_id' , true);
				$post_author_name = '<a href="'.esc_url(get_the_permalink($post_id)).'">'.get_the_title($post_id).'</a>';
				if(get_post_meta($post_id, $type.'_mobile', true )!="")
				{
					$autho_contact = '<li class="my-contact"><span data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr(get_post_meta($post_id, $type.'_mobile', true )).'"><i class="fas fa-phone"></i></span></li>';
				}
			}
			
			//home features
			$eng_size = $author_dp = $type = $post_author = $home_features = $transmission = $mileage = $drive = '';
			$drive = get_post_meta($mw_id, 'mw_drive', true );
			$mileage = get_post_meta($mw_id, 'mw_mileage', true );
			$transmission = get_post_meta($mw_id, 'mw_transmission', true );
			$eng_size = get_post_meta($mw_id, 'mw_enginesize', true );
			if(!empty($drive) || !empty($mileage) || !empty($transmission) || !empty($eng_size))
			{
				$home_features .= '<div class="home-statistics-features"><ul>';
				if(!empty($eng_size))
				{
					$home_features .= '<li><i class="flaticon-pistons"></i><span>'.esc_html(number_format($eng_size)).' '.maxwheels_strings('mw_enginesize_unit').'</span></li>';	
				}
				if(!empty($drive))
				{
					$drive_type = wp_get_object_terms($mw_id,'mw-drive');
					if(!empty($drive_type) && is_array($drive_type) && count($drive_type) >0 && ! is_wp_error( $drive_type ) )
					{
						foreach( $drive_type as $drive_types )
						{
							$home_features .= '<li class="my-right"><i class="flaticon-steering-wheel"></i><span>'.esc_html($drive_types->name).'</span></li>';
						}
					}
				}
				if(!empty($transmission))
				{
					$trans = wp_get_object_terms($mw_id,'mw-transmission');
					if(!empty($trans) && is_array($trans) && count($trans) >0 && ! is_wp_error( $trans ) )
					{
						foreach( $trans as $trans_term )
						{
							$home_features .= '<li class="my-right"><i class="flaticon-gearshift"></i><span>'.esc_html($trans_term->name).'</span></li>';
						}
					}
				}
				if(!empty($mileage))
				{
					$home_features .= '<li class="my-right"><i class="flaticon-fast"></i><span>'.esc_attr(number_format($mileage)).' '.maxwheels_strings('mw_car_mileage_unit').'</span></li>';
				}
				$home_features .= '</ul></div>';
			}
			return '<div class="col-xl-12 col-lg-12 col-md-12 col-12 grid-item ">
			<div class="my-list3 '.esc_attr($featured_class).' ">
								<div class="my-list3-img-container">
									<a href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb-sm','listing').'</a>
									'.wp_kses($labels,$allowed_html).'
									<button data-compare-id="'.esc_attr($mw_id).'" class="property-tools btn d-flex justify-content-center align-items-center compare-prop fav-comp" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'"><i class="fas fa-random"></i></button>
									<button data-fav-id="'.esc_attr($mw_id).'" class="property-tools btn d-flex justify-content-center align-items-center fav-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['fav']).'"><i class="far fa-heart"></i></button>
									<div class="total-img-count">
										<span><i class="fas fa-camera"></i> '.count($all_idz).'</span>
									</div>
							   </div>
								<div class="my-list3-info-content align-self-center">
								'.wp_kses($featured_listing,$allowed_html).'
									<div class="my-list3-info-content-inner">
										<div class="my-list2-pricing">
											<div class="selling-price">
												<span>'.$get_all_prices.'</span>
											</div>
										</div>
										<h5 class="card-title">
											<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,45).'</a>				</h5>
										<div class="d-flex">
										'.wp_kses($street_addr,$allowed_html).'
											<div class="ms-auto">
												'.maxwheels_get_related_distance($mw_id).'
											</div>
										</div>
										'.$home_features.'										
										</div>									
									<div class="marketed-by">
										<ul>
											<li>
											<strong>'.esc_html__('Posted by','maxwheels').' : </strong>'.$post_author_name.'
											</li>
											'.$autho_contact.'
										</ul>
									</div>
								</div>
							</div>
							</div>';
		}
		
		//List 4
		function maxwheels_listings_list4($mw_id, $col = '')
		{
			$selected_pricelabel_after =  $optional_price = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			$street_addr = '';
			if(get_post_meta($mw_id, 'mw_street_addr', true )!="")
			{
				$street_addr = '<div><p class="extrp"><span><i class="clr-blu fas fa-location-arrow"></i></span>'.maxwheels_trim_locations(get_post_meta($mw_id, 'mw_street_addr', true ),32).'</p></div>';
			}
			$features_html = '';
			//features
			$resultstr = $features_list = array();
			$features_list = wp_get_object_terms($mw_id,array('mw-features'), array('orderby'=>'name','order'=> 'ASC'));
			if(!empty($features_list) && is_array($features_list) && count($features_list) > 0)
			{
				 if (!is_wp_error($features_list))
				 {
					 $i = 0;
					 foreach( $features_list as $features )
					 {
						 $resultstr[] = esc_html($features->name);
						 $i++;
						 if($i ==  6) break;
					 }
					 $features_html= '<p>'.implode(", ", $resultstr).'</p>';
				 }
			}
			
			//listing author dp
			$author_dp = '';
			$post_author = get_post_field('post_author', $mw_id);
			if(get_user_meta($post_author, 'user_role_type', true) !="")
			{
				$type = get_user_meta($post_author, 'user_role_type', true);
				$post_id = get_user_meta( $post_author, 'mw_post_id' , true);
				//verified listing
				if(get_post_meta($post_id, $type.'_is_trusted', true ) == "1")
				{
					$verified_listing = '<div class="is-verified"><i class="fas fa-check"></i></div>';
				}
				$author_dp = '<div class="col-sm-12 col-md-7 col-lg-3 col-12 col-xl-3 col-xxl-3 d-flex align-items-center">
			  <div class="dealer-item w-100 align-self-center">
                            <div class="dealer-title">
							  <div class="deal-im">
                                 <a href="'.esc_url(get_the_permalink($post_id)).'"><img src="'.esc_url(maxwheels_placeholder_images($type,$post_id,'')).'" class="img-fluid" alt=""></a>
							  </div>
                                <h4><a href="'.esc_url(get_the_permalink($post_id)).'" class="clr-black">'.esc_html(get_the_title($post_id)).'</a></h4>
                            </div>
                            <div class="dealer-desc">
							  <a href="'.esc_url(get_the_permalink($post_id)).'" class="btn btn-green btn-block btn-sm" >'.esc_html__('Contact Supplier','maxwheels').'</a>
                            </div>
                          </div>
			  </div>';
				
			}
			//featured listing
			$featured_listing = $featured_class = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="featured-ribbon" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['feat']).'">
					<div><i class="fas fa-star"></i></div>
				</div>';
				$featured_listing = '';
			}
            $text_direction = 'text-start';
            $txt_dir = 'text-end';
            $margin = 'ml-3';
            if(is_rtl())
            {
                $text_direction = 'text-end';
                $margin = 'me-3';
                $txt_dir = 'text-start';
            }
			$result = 0;
			$total_images = $_array = $img_html_camera = $image_count = '';
			if(get_post_meta( $mw_id, 'mw_gallery', true ) !="")
			{
				if( get_post_meta( $mw_id, 'mw_gallery', true ))
				{
					$total_images = get_post_meta( $mw_id, 'mw_gallery', true );
					$_array = explode(",", $total_images);
					$result = count($_array);
					$img_html_camera = '<li><span class="fas fa-camera" aria-hidden="true"></span> '.esc_html($result).'</li>';
				}
				$image_count = '<div class="listing-meta">
				<ul class="inline-list">
					'.$img_html_camera.'
					<li>
						<span class="fas fa-play-circle" aria-hidden="true"></span>
					</li>
				</ul>
				</div>';
			}
			return '<div class="col-xl-12 col-lg-12 col-md-12 col-12 grid-item my-list-4">
			<div class="main-div margin-bottom-30">
           		 <div class="row gx-0 '.esc_attr($featured_class).'">
              <div class="col-sm-12 col-md-5 col-lg-4 col-xl-4 col-xxl-4 col-12 ">
                <div class="main-data ">
                  <div class="img-data">
				  <div class="my-prop-img p-relative">
				   <a href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb-sm','listing').'</a>
				   <div class="img-overlay"></div>
				  '.$image_count.'
				   </div>
				   </div>
                  <div class="h2-lies2 my-bookmarks">
                    <ul class="list-unstyled my-3 mx-3 '.esc_attr($txt_dir).'">
                      <li class="list-inline-item"> <button data-compare-id="'.esc_attr($mw_id).'" class="btn d-flex justify-content-center align-items-center compare-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'"><i class="fas fa-random"></i></button> </li>
                      <li class="list-inline-item"> <button data-fav-id="'.esc_attr($mw_id).'" class="btn d-flex justify-content-center align-items-center fav-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['fav']).'"><i class="far fa-heart"></i></button> </li>
                    </ul>
                  </div>
                  <div class="d-btn">
                    <ul class="list-unstyled mb-3 '.esc_attr($margin).' '.esc_attr($text_direction).'">
                      '.maxwheels_getlabels($mw_id).'
                    </ul>
                  </div>
                </div>
              </div>
              <div class="col-sm-12 col-md-7 col-lg-5 col-12 col-xl-5 col-xxl-5">
                <div class="listing-data d-flex  h-100">
				  '.$featured_listing.'
                  <div class="heaing-d align-self-center">
                    <h3 class="text-capitalize">
						<a href="'.esc_url(get_the_permalink($mw_id)).'" class="clr-black">'.maxwheels_title_limit($mw_id,45).'</a>
					</h3>
					<div class="d-flex">
					'.wp_kses($street_addr,$allowed_html).'
						<div class="ms-auto">
							'.maxwheels_get_related_distance($mw_id).'
						</div>
					</div>
					<div class="selling-price">
						<span>'.$get_all_prices.'</span>
					</div>
					'.$features_html.'
					<div class="action-btz-detial clearfix">
						<div class="btns-box">
							<ul>
								<li><span class="theme-btn btn-style-four">'.esc_html($localization['stock']).$mw_id.'</span></li>
								<li><a href="'.esc_url(get_the_permalink($mw_id)).'" class="theme-btn btn-style-four">'.esc_html($localization['details']).'</a></li>
							</ul>
						</div>
					</div>
                  </div>
                </div>
              </div>
			  '.$author_dp.'
            </div>
      		 </div></div>';
		}
		

		//Classic List
		function maxwheels_listings_classic($mw_id)
		{
			$selected_pricelabel_after =  $optional_price = $price_rent = $all_idz = '';
			//prices
			$get_all_prices = array();
			$allowed_html = maxwheels_allowed_html();
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			$localization = maxwheels_localization();
			$eng_size = $author_dp = $type = $post_author = $home_features = $transmission = $mileage = $drive = '';
			$drive = get_post_meta($mw_id, 'mw_drive', true );
			$mileage = get_post_meta($mw_id, 'mw_mileage', true );
			$transmission = get_post_meta($mw_id, 'mw_transmission', true );
			$eng_size = get_post_meta($mw_id, 'mw_enginesize', true );
			if(!empty($drive) || !empty($mileage) || !empty($transmission) || !empty($eng_size))
			{
				$home_features .= '<ul class="list-unstyled">';
				if(!empty($drive))
				{
					$drive_type = wp_get_object_terms($mw_id,'mw-drive');
					if(!empty($drive_type) && is_array($drive_type) && count($drive_type) >0 && ! is_wp_error( $drive_type ) )
					{
						foreach( $drive_type as $drive_types )
						{
							$home_features .='<li class="list-inline-item"><span>'.esc_html($drive_types->name).'</span></li>';
						}
					}
				}
				if(!empty($transmission))
				{
					$trans = wp_get_object_terms($mw_id,'mw-transmission');
					if(!empty($trans) && is_array($trans) && count($trans) >0 && ! is_wp_error( $trans ) )
					{
						foreach( $trans as $trans_term )
						{
							$home_features .='<li class="list-inline-item"><span>'.esc_html($trans_term->name).'</span></li>';
						}
					}
				}
				if(!empty($mileage))
				{
					$home_features .='<li class="list-inline-item"><span>'.esc_attr(number_format($mileage)).' '.maxwheels_strings('mw_car_mileage_unit').'</span></li>';
				}
				if(!empty($eng_size))
				{
					$home_features .='<li class="list-inline-item"><span>'.esc_attr(number_format($eng_size)).' '.maxwheels_strings('mw_enginesize_unit').'</span></li>';
				}
				$home_features .= '</ul>';
			}
			
			//description
			$description = '';
			if(!empty(get_the_content($mw_id)))
			{
				$description = '<p class="p-inner"> '.wp_trim_words(get_the_excerpt($mw_id), 6, '...' ).'</p>';
			}
			// street address
			$street_addr = '';
			if(get_post_meta($mw_id, 'mw_street_addr', true )!="")
			{
				$street_addr = '<p class="extrp"><span><i class="clr-yal fas fa-location-arrow"></i></span>'.get_post_meta($mw_id, 'mw_street_addr', true ).'</p>';
			}
			//listing author dp
			$author_dp = '';
			$post_author = get_post_field('post_author', $mw_id);
			if(get_user_meta($post_author, 'user_role_type', true) !="")
			{
				$types = get_user_meta($post_author, 'user_role_type', true);
				$post_id = get_user_meta( $post_author, 'mw_post_id' , true);
				$author_dp = '<div class="images-link">
							<span class="img-span">
							<a href="'.esc_url(get_the_permalink($post_id)).'"><img src="'.esc_url(maxwheels_placeholder_images($types,$post_id,'maxwheels-user-thumb')).'" alt="'.esc_attr(get_post_meta($all_idz, '_wp_attachment_image_alt', TRUE)).'" class="img-fluid rounded"></a>
						</span>
						<span class="text-span">
					  		<b><a href="'.esc_url(get_the_permalink($post_id)).'">'.maxwheels_title_limit($post_id,15).'</a></b>
					 	</span>
						</div> ';		
			}
			return '<div class="col-sm-6 col-lg-6 col-xl-6 col-md-12 col-12 margin-bottom-30 grid-item">
			 <div class="property-main">
			  <div class="row gx-0">
				  <div class="col-md-4 col-lg-4">
					<div class="property-img">
					 <a href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_responsive_images($mw_id,'maxwheels-extra-small','listing').'</a>
					 <button data-compare-id="'.esc_attr($mw_id).'" class="property-tools btn d-flex justify-content-center align-items-center compare-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'"><i class="fas fa-random"></i></button>
					<button data-fav-id="'.esc_attr($mw_id).'" class="property-tools btn d-flex justify-content-center align-items-center fav-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['fav']).'"><i class="far fa-heart"></i></button>
					'.$author_dp.'
					</div> 
				  </div>
				  <div class="col-md-8 col-lg-8">
				   <div class="property-data">
					<div class="text-inner"> 
					 <h4><span class="main-reg-price">'.$get_all_prices.'</span></h4>
					 <h3><a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,28).'</a>	</h3>
					 '.$street_addr.'
					 '.$description.'	
					</div>     
					 <div class="ul-text">
					  <ul class="list-unstyled">
						 '.$home_features.'
					  </ul>	 
					 </div>  
				   </div>
				  </div>
			  </div>	 
			 </div>  
			</div>';
		}
		 
		function maxwheels_listings_list5($mw_id, $col = '')
		{
			$selected_pricelabel_after =  $optional_price = $optional_price = $price_rent = $all_idz = '';
			$get_all_prices = array();
			$localization = maxwheels_localization();
			$allowed_html = maxwheels_allowed_html();
			//prices
			$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
			//home features
			$street_addr = $labels =  $author_dp = $type = $post_author = $home_features = $size = $baths = $rooms = '';
			//featured listing
			$featured_class = $featured_listing = '';
			if (get_post_meta($mw_id, 'mw_is_feature_listing', true ) == "1")
			{
				$featured_class = 'mw-featured';
				$featured_listing = '<div class="ribbon"><span>'.esc_attr($localization['feat']).'</span></div>';
			}
			$mydate =  get_the_date(get_option('date_format'), $mw_id);
			//labels
			if(!empty(maxwheels_getlabels($mw_id)))
			{
                $text_direction = 'text-start';
                if(is_rtl())
                {
                    $text_direction = 'text-end';
                }
				$labels = '<div class="property-labels absolute-yes"><div class="label-badges">
					    <ul class="list-unstyled '.esc_attr($text_direction).'">
						'.maxwheels_getlabels($mw_id).'
                        </ul>
                    </div></div>';	
			}
			//street address
			if(get_post_meta($mw_id, 'mw_street_addr', true )!="")
			{
				$street_addr = '<div><p class="extrp"> <span> <i class="fas fa-location-arrow clr-yal"> </i></span>'.get_post_meta($mw_id, 'mw_street_addr', true ).'</p></div>';
			}
			
			//features
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			$result = 0;
			$total_images = $_array = $img_html_camera = $image_count = '';
			if(get_post_meta( $mw_id, 'mw_gallery', true ) !="")
			{
				if( get_post_meta( $mw_id, 'mw_gallery', true ))
				{
					$total_images = get_post_meta( $mw_id, 'mw_gallery', true );
					$_array = explode(",", $total_images);
					$result = count($_array);
					$img_html_camera = '<li><span class="fas fa-camera" aria-hidden="true"></span> '.esc_html($result).'</li>';
				}
				$image_count = '<div class="listing-meta">
				<ul class="inline-list">
					'.$img_html_camera.'
					<li>
						<span class="fas fa-play-circle" aria-hidden="true"></span>
					</li>
				</ul>
				</div>';
			}
			$author_dp = '';
			$mobile_num = '';
			$post_author = get_post_field('post_author', $mw_id);
			if(get_user_meta($post_author, 'user_role_type', true) !="")
			{
				$type = get_user_meta($post_author, 'user_role_type', true);
				$post_id = get_user_meta( $post_author, 'mw_post_id' , true);
				$mobile_num = '<li><i class="fas fa-mobile-alt"></i> <span class="mw-show-phone" data-tel="'.esc_attr(get_post_meta($post_id, $type.'_mobile', true )).'"><a href="javascript:void(0)">'.esc_html__('Show Number','maxwheels-framework').'</a></span></li>';
			}
			return '<div class="col-xl-12 col-lg-12 col-md-12 col-12 grid-item">
					<div class="my-list1 my-list5 '.esc_attr($featured_class).'">
						'.$featured_listing.'
						<div class="my-img-container">
							<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_responsive_images($mw_id,'maxwheels-blog-thumb-sm','listing').'</a>
							<button data-compare-id="'.esc_attr($mw_id).'" class="property-tools fav-comp btn d-flex justify-content-center align-items-center compare-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['compare']).'"><i class="fas fa-random"></i></button>
					<button data-fav-id="'.esc_attr($mw_id).'" class="property-tools btn d-flex justify-content-center align-items-center fav-prop" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($localization['fav']).'"><i class="far fa-heart"></i></button>
					'.$image_count.'
					'.wp_kses($labels,$allowed_html).'
						</div>
						<div class="my-content-area align-self-center">
						
						<div class="posted-date">'.wp_sprintf(__('Listed on %s', 'maxwheels'), esc_html(date_i18n( get_option( 'date_format' ), strtotime($mydate)))).'</div>
						
						<h5 class="card-title">
							<a class="clr-black" href="'.esc_url(get_the_permalink($mw_id)).'">'.maxwheels_title_limit($mw_id,45).'</a>
						</h5>
						<div class="d-flex">
						'.wp_kses($street_addr,$allowed_html).'
							<div class="ms-auto">
								'.maxwheels_get_related_distance($mw_id).'
							</div>
						</div>
							<div class="pricing-area">
								 <div class="selling-price">
									<span>'.$get_all_prices.'</span>
								</div>
							</div>
							<ul class="list-unstyled">
							  '.$mobile_num.'
							  <li><i class="far fa-eye"></i> ' .number_format(get_post_meta($mw_id, 'mw_listing_total_views', true)).'</li>	
                    		</ul>
						</div>
					</div>
				</div>';	
		}
		 
		 

	 }
}