<?php
// Maxwheels Custom Filters By Sonu
add_action( "wp_enqueue_scripts", "maxwheels_wooscripts" );
function maxwheels_wooscripts() {
	wp_enqueue_style( "maxwheels-shop", trailingslashit( get_template_directory_uri () )  . "libs/css/mwshop.css" );
}
//Remove defualt hooks
remove_action( 'woocommerce_before_shop_loop_item','woocommerce_template_loop_product_link_open', 10, 3 );
remove_action( 'woocommerce_before_shop_loop_item_title','woocommerce_show_product_loop_sale_flash', 10, 3 );
remove_action( 'woocommerce_shop_loop_item_title','woocommerce_template_loop_product_title', 10, 3 );
remove_action( 'woocommerce_after_shop_loop_item_title','woocommerce_template_loop_rating', 5,3 );
remove_action( 'woocommerce_after_shop_loop_item_title','woocommerce_template_loop_price', 10 );
remove_action( 'woocommerce_after_shop_loop_item','woocommerce_template_loop_product_link_close', 5 );
remove_action( 'woocommerce_after_shop_loop_item','woocommerce_template_loop_add_to_cart', 10 );
remove_action( 'woocommerce_before_shop_loop','woocommerce_result_count', 20 );
remove_action( 'woocommerce_before_shop_loop','woocommerce_catalog_ordering', 30 );
remove_action( 'woocommerce_after_shop_loop','woocommerce_pagination', 10 );

//single
remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash',  10 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating',   10,3 );
remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_meta',40,3 );
//rev
remove_action( 'woocommerce_review_before', 'woocommerce_review_display_gravatar',  10 );
remove_action( 'woocommerce_review_before_comment_meta','woocommerce_review_display_rating',    10 );
remove_action( 'woocommerce_review_meta','woocommerce_review_display_meta',      10 );
remove_action( 'woocommerce_review_comment_text','woocommerce_review_display_comment_text',10 );
//add actions
add_action( 'woocommerce_before_shop_loop_item', 'maxwheels_shop_grid_open',10, 3 );
add_action( 'woocommerce_after_shop_loop_item',  'maxwheels_shop_grid_close', 10, 5 );
add_action( 'woocommerce_before_shop_loop_item',  'maxwheels_onsale_price',  10 );
add_action( 'woocommerce_before_shop_loop_item_title','maxwheels_product_image_thumbnail_open',8 );
add_action( 'woocommerce_before_shop_loop_item_title','maxwheels_product_image_thumbnail_close',10 );
add_action( 'woocommerce_before_shop_loop_item_title','maxwheels_product_content_start',12 );
add_action( 'woocommerce_before_shop_loop_item_title','maxwheels_product_categories',15,3 );
add_action( 'woocommerce_after_shop_loop_item_title','maxwheels_product_content_area',12 );
add_action( 'woocommerce_shop_loop_item_title', 'maxwheels_product_title_grid',10,2 );
//single
//add_action( 'woocommerce_product_thumbnails',  'maxwheels_onsale_price',  10 );
add_action( 'woocommerce_before_single_product_summary',  'maxwheels_onsale_price',  10 );
add_action( 'woocommerce_review_before_comment_text', 'maxwheels_woocommerce_reviews',10, 2 );
add_action( 'maxwheels_single_product_rating_overall','maxwheels_wc_single_product_rating',10, 2  );
add_filter( 'woocommerce_output_related_products_args', 'maxwheels_related_products_args' );

//filters
add_filter( 'the_title', 'maxwheels_short_woocommerce_product_titles_words', 10, 2 );
add_filter( 'get_product_search_form' , 'maxwheels_product_searchform', 10, 2);

//Add Functions
if ( ! function_exists( 'maxwheels_shop_grid_open' ) )
{
    function maxwheels_shop_grid_open()
	{
		echo '<div class="mw-product-grid">';
    }
}

if ( ! function_exists( 'maxwheels_shop_grid_close' ) )
{
    function maxwheels_shop_grid_close() {
       echo '</div>';
    }
}

if ( ! function_exists( 'maxwheels_onsale_price' ) )
{
    function maxwheels_onsale_price() {
        global $post, $product;

        if ( ! $product->is_on_sale() )
		{
            return;
        }
		echo apply_filters( 'woocommerce_sale_flash', '<div class="mw-product-onsale">' . esc_html__( 'Sale', 'maxwheels' ) . '</div>', $post, $product );
    }
}

if ( ! function_exists( 'maxwheels_product_image_thumbnail_open' ) )
{
    function maxwheels_product_image_thumbnail_open()
	{
        global $product;
        ?>
		<div class="img-contain"><a href="<?php echo esc_url( apply_filters( 'woocommerce_loop_product_link', get_the_permalink(), $product ) ); ?>"><?php
    }
}

if ( ! function_exists( 'maxwheels_product_image_thumbnail_close' ) )
{
    function maxwheels_product_image_thumbnail_close()
	{
		?></a></div><?php
    }
}

if ( ! function_exists( 'maxwheels_product_content_start' ) )
{
    function maxwheels_product_content_start()
	{
        ?><div class="content"><?php
    }
}

if ( ! function_exists( 'maxwheels_product_categories' ) )
{
    function maxwheels_product_categories()
	{
        global $product;
        $terms    = get_the_terms( $product->get_id(), 'product_cat');
        if ( empty( $terms ) || is_wp_error( $terms ) ) {
            return;
        }
		$link = '';
        $catlinks = array();
        foreach ( $terms as $term )
		{
             $link = get_term_link( $term, 'product_cat' );
             $catlinks[] = sprintf( '<a href="%s">%s</a>',
                esc_url( $link ),
                esc_html( $term->name )
            );
        }
		echo apply_filters('', maxwheels_strings_allow_html( sprintf( '<span class="mw-product-catz">%s</span>', implode( '<span>,</span> ', $catlinks  ) ) ));
    }
}

if ( ! function_exists( 'maxwheels_product_content_area' ) )
{
    function maxwheels_product_content_area()
	{
        global $product;
        ?>
        <div class="mw-cont-area d-flex justify-content-between align-items-center">
            <?php if($product->get_price_html() ) { ?>
			<div class="product-selling-price">
				<?php echo maxwheels_strings_allow_html($product->get_price_html()); ?>
			</div>
			<?php } ?>
            <?php if ( wc_review_ratings_enabled() ) {?>
                <?php echo wc_get_rating_html( $product->get_average_rating() ); ?>
            <?php } ?>
        </div>
		<div class="details-box-btn">
			<div class="seller-detial">
				<?php 
				echo apply_filters( 'woocommerce_loop_add_to_cart_link',
				sprintf( '<a class="btn btn-outline-custom btn-block" href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="button %s product_type_%s">%s</a>',
					esc_url( $product->add_to_cart_url() ),
					esc_attr( $product->get_id() ),
					esc_attr( $product->get_sku() ),
					$product->is_purchasable() ? 'add_to_cart_button' : '',
					esc_attr( $product->get_type() ),
					esc_html( $product->add_to_cart_text() )
				),
				$product);
				?>
			</div>
			<div class="mark-as-fav">
				<a href="<?php echo esc_url(get_the_permalink()); ?>"> <i class="fas fa-external-link-alt"></i> </a>
			</div>
		</div>
        <?php
    }
}

if ( ! function_exists( 'maxwheels_product_title_grid' ) )
{
    function maxwheels_product_title_grid()
	{
        global $product;
        echo sprintf( '<h2 class="%3$s"><a href="%2$s">%1$s</a></h2>',
            get_the_title(),
            esc_url( get_the_permalink()),
            esc_attr('clr-black')
        );
    }
}

if ( ! function_exists( 'maxwheels_short_woocommerce_product_titles_words' ) )
{
	function maxwheels_short_woocommerce_product_titles_words( $title, $id )
	{
	  if ( ( is_shop() || is_product_tag() || is_product_category() ) && get_post_type( $id ) === 'product' ) {
		$title_words = explode(" ", $title);
		if ( count($title_words) > 5 ) { // Kicks in if the product title is longer than 5 words
		  // Shortens the title to 5 words and adds ellipsis at the end
		  return implode(" ", array_slice($title_words, 0, 6)) . '...';
		} else {
		  return $title; // If the title isn't longer than 5 words, it will be returned in its full length without the ellipsis
		}
	  } else {
		return $title;
	  }
	}
}

if ( ! function_exists( 'maxwheels_product_searchform' ) )
{
	function maxwheels_product_searchform( $form ) {
		$form = '<form  method="get" class="search-form"  action="' . esc_url( wc_get_page_permalink( 'shop' ) ) . '">
			<div class="realestate-search-blog"><div class="input-group stylish-input-group">
				<input type="search" class="form-control" placeholder="Search …" value="'. get_search_query().'" name="s">
				<span class="input-group-append"><button class="blog-search-btn" type="submit">  <i class="fa fa-search"></i> </button></span></div></div>
			<input type="hidden" name="post_type" value="product" />
		</form>';
		return $form;
	}
}

if ( ! function_exists( 'maxwheels_woocommerce_reviews' ) ) 
{
    function maxwheels_woocommerce_reviews( $comment ) 
	{
		$rating   = '';
		$rating   = intval( get_comment_meta( $comment->comment_ID, 'rating', true ) );
		?>
			<div class="widget-seprator my-reviews">
				<div class="review-card">
					<div class="single-listing-reviews">
						<div class="reviews-author-data">
							<div class="reviews-author-avatar">
								<?php echo get_avatar( $comment, apply_filters( 'woocommerce_review_gravatar_size', 44 ), '', get_comment_author( $comment ), ['class' => 'rounded-circle img-fluid'] ); ?> 
							</div>
							<div class="reviews-author-details">
								<div class="reviews-author-name wc-comm-author">
									<?php comment_author( $comment ); ?>
								</div>
								<div class="review-stars-rating">
										<div class="review-content-header">
										    <div class="review-author-review-count">
												<i class="far fa-clock" aria-hidden="true"></i>
											</div>
										    <div class="review-date-time">
												<span><?php echo esc_html( get_comment_date( wc_date_format(), $comment ) ); ?></span> 
											</div>
											<?php if ( $rating && wc_review_ratings_enabled() ) { ?>
											<div class="total-rating-stars">
												<?php echo wc_get_rating_html( $rating ); ?>
											</div>
											<?php } ?>
										 </div>
									</div>
							</div>
						</div>
					</div>
					<div class="author-review-content">
						<div class="review-content">
							<div class="review-msg-body">
								<p><?php echo esc_html($comment->comment_content); ?></p>
							</div>
						</div>
					</div>
				 </div>
			</div>	
		<?php
	}
}

if ( ! function_exists( 'maxwheels_wc_single_product_rating' ) ) {
    function maxwheels_wc_single_product_rating() {
        global $product;
        $total_reviews = $product->get_review_count();
        $avg_rating    = $product->get_average_rating();
		$one = $second = $third = $fourth = $fifth = '';
		if($total_reviews > 0) {
			$fifth =  round($product->get_rating_count(5) / $total_reviews * 100, 2 );
			$fourth = round($product->get_rating_count(4) / $total_reviews * 100, 2 );
			$third = round($product->get_rating_count(3) / $total_reviews * 100, 2 );
			$second = round($product->get_rating_count(2) / $total_reviews * 100, 2 );
			$one = round($product->get_rating_count(1) / $total_reviews * 100, 2 );
		}
        ?>
			
  <div class="card single-review-stats mw-woo-reviews">
	<div class="row gx-0 d-flex">
		<div class="col-md-4">
		<div class=" d-flex flex-column h-100 my-scor align-items-center justify-content-center text-center">
			<div class="rating-box">
				<h5 class="text-center">Average rating</h5>
				<h1><?php echo esc_html(number_format($avg_rating, 1, '.', '')); ?></h1>
				<p>out of 5</p>
			</div>
			<div>
				<span class="ratings">
				<?php echo wc_get_rating_html( $avg_rating ); ?>
				</span>
			</div>
			<p>
				<?php
                   $reviews_title = sprintf( esc_html( _n( '%s Review', '%s Reviews', $total_reviews, 'maxwheels' ) ), esc_html( $total_reviews ) );
                    echo apply_filters( 'woocommerce_reviews_title', $reviews_title, $total_reviews, $product ); // WPCS: XSS ok.
                ?>
			</p>
		</div>
		</div>
		<div class="col-md-8">
			<div class="review-com-score"> <label class="text-medium text-sm"><?php echo esc_html__( 'Perfect', 'maxwheels' ); ?> </label><span class="review-count-stats"><?php echo esc_html($product->get_rating_count(5)); ?></span>
		<div class="progress margin-bottom-1x">
			<div class="progress-bar bg-warning" role="progressbar" style="width:<?php echo absint($fifth); ?>%;" aria-valuenow="<?php echo absint($fifth); ?>" aria-valuemin="0" aria-valuemax="100"></div>
		</div> <label class="text-medium text-sm"><?php echo esc_html__( 'Good', 'maxwheels' ); ?></label><span class="review-count-stats"><?php echo esc_html($product->get_rating_count(4)); ?></span>
		<div class="progress margin-bottom-1x">
			<div class="progress-bar bg-warning" role="progressbar" style="width:<?php echo absint($fourth); ?>%;" aria-valuenow="<?php echo absint($fourth); ?>" aria-valuemin="0" aria-valuemax="100"></div>
		</div> <label class="text-medium text-sm"><?php echo esc_html__( 'Average', 'maxwheels' ); ?></label> <span class="review-count-stats"><?php echo esc_html($product->get_rating_count(3)); ?></span>
		<div class="progress margin-bottom-1x">
			<div class="progress-bar bg-warning" role="progressbar" style="width:<?php echo absint($third); ?>%;" aria-valuenow="<?php echo absint($third); ?>" aria-valuemin="0" aria-valuemax="100"></div>
		</div> <label class="text-medium text-sm"><?php echo esc_html__( 'Not that bad', 'maxwheels' ); ?></label> <span class="review-count-stats"><?php echo esc_html($product->get_rating_count(2)); ?></span>
		<div class="progress margin-bottom-1x">
			<div class="progress-bar bg-warning" role="progressbar" style="width:<?php echo absint($second); ?>%;" aria-valuenow="<?php echo absint($second); ?>" aria-valuemin="0" aria-valuemax="100"></div>
		</div> <label class="text-medium text-sm"><?php echo esc_html__( 'Very poor', 'maxwheels' ); ?></label> <span class="review-count-stats"><?php echo esc_html($product->get_rating_count(1)); ?></span>
		<div class="progress mb-2">
			<div class="progress-bar bg-warning" role="progressbar" style="width:<?php echo absint($one); ?>%;" aria-valuenow="<?php echo absint($one); ?>" aria-valuemin="0" aria-valuemax="100"></div>
		</div>
	</div>
		</div>
	</div>
	</div>
        <?php
    }
}

if ( ! function_exists( 'maxwheels_related_products_args' ) )
{
  function maxwheels_related_products_args( $args )
  {
	$args['columns'] = 3; // arranged in 2 columns
	return $args;
  }
}

add_action( 'woocommerce_single_product_summary', 'maxwheels_product_sold_count', 11 );
function maxwheels_product_sold_count() {
   global $product;
	$units_sold = get_post_meta($product->get_id(), 'total_sales', true );
   if ( $units_sold ) echo '<div class="mw-sold-units"><i class="far fa-check-circle"></i>'. sprintf( __( 'Units Sold: %s', 'maxwheels' ), $units_sold ) .'</div>';
}


function maxwheels_sales_timer_countdown_product() {  
 	global $product;
	$sales_price_from = get_post_meta( $product->get_id(), '_sale_price_dates_from', true );
    $sales_price_to = get_post_meta( $product->get_id(), '_sale_price_dates_to', true );
	if(is_single() && $product->is_on_sale() && $sales_price_to != "")
	{
		$sales_price_date_to = date("Y/m/d g:i a", $sales_price_to);
		echo '<div class="position-relative single-countdown-mw"><ul class="mw-product-counter" data-countdown-time="'.esc_attr($sales_price_date_to).'"></ul></div>';
	}
}
add_action( 'woocommerce_single_product_summary', 'maxwheels_sales_timer_countdown_product', 20 );