<?php
	/*
 	   Theme Settings.
	 * Make theme available for translation.
	 * Translations can be filed in the /languages/ directory.
	 * If you're building a theme based on Leisure Sols, use a find and replace
	 * to change ''rane to the name of your theme in all the template files.
	 */
	load_theme_textdomain( 'maxwheels', trailingslashit( get_template_directory() ) . 'languages/' );
	// Content width
	if ( ! isset( $content_width ) ) {
		$content_width = 730;
	}
	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );
	//add_theme_support( 'custom-header' );
	/*
	 * Let WordPress manage the document title.
	 * By adding theme support, we declare that this theme does not use a
	 * hard-coded <title> tag in the document head, and expect WordPress to
	 * provide it for us.
	 */
	add_theme_support( 'title-tag' );

    add_theme_support( 'woocommerce' );
    add_theme_support('wc-product-gallery-zoom');
    add_theme_support('wc-product-gallery-lightbox');
    add_theme_support('wc-product-gallery-slider');
	
	// Theme editor style
	add_editor_style('editor.css');
	/*
	 * Enable support for Post Thumbnails on posts and pages.
	 *
	 * @link https://developer.wordpress.org/themes/functionality/featured-SB_TAMEER_IMAGES-post-thumbnails/
	 */
	paginate_comments_links();
	the_post_thumbnail();
	add_theme_support( 'post-thumbnails', array('post', 'mx-listings', 'mw-dealer') ); 
	
	//Thumbnails
    add_image_size( 'maxwheels-blog-grids', 450, 260, true );
	add_image_size( 'maxwheels-blog-thumb', 355, 230, true );
    add_image_size( 'maxwheels-blog-thumb-sm', 612, 400, true );
	add_image_size( 'maxwheels-small-thumb', 100,66, true );
	add_image_size( 'maxwheels-user-thumb', 120,120, true );
	add_image_size( 'maxwheels-primary-banner', 966,500, true );
	add_image_size( 'maxwheels-extra-large', 1050,550, true );
	add_image_size( 'maxwheels-background', 375,300, true );
	add_image_size( 'maxwheels-extra-small', 220, 183, true );
	
	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'main_theme_menu'    => esc_html__( 'Maxwheels Menu', 'maxwheels' ),
	) );
	register_nav_menus( array(
		'main_bottom_menu'    => esc_html__( 'Maxwheels Bottom Navigation', 'maxwheels' ),
	) );
	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list', 'gallery', 'caption','script', 'style' ) );
	add_theme_support( 'customize-selective-refresh-widgets' );
	/*
	 * Enable support for Post Formats.
	 * See https://developer.wordpress.org/themes/functionality/post-formats/
	 */
	// Set up the WordPress core custom background feature.
    the_tags();
	add_theme_support( 'custom-background', apply_filters( 'maxwheels_custom_background_args', array(
		'default-color' => 'ffffff',
		'default-image' => '',
	) ) );
	// Register side bar for widgets
	add_action( 'widgets_init', 'maxwheels_widgets_init' );
	if ( ! function_exists( 'maxwheels_widgets_init' ) ) {
		function maxwheels_widgets_init() {
			//Blog Sidebar		
			register_sidebar( array(
				'name' => esc_html__('Blog Sidebar', 'maxwheels'),
				'id' => 'mw_blog_sidebar_panel',
				'before_widget' => '<div class="widget"><div id="%1$s">',
				'after_widget' => '</div></div>',
				'before_title' => '<div class="widget-heading"><h2>',
				'after_title' => '</h2><div class="heading-dots clearfix">
										<span class="h-dot line-dot"></span>
										<span class="h-dot"></span>
										<span class="h-dot"></span>
										<span class="h-dot"></span>
                					</div></div>'
			) );
			//MaxWheels Search Widgets Sidebar		
			register_sidebar(array(
				'name' => esc_html__('MaxWheels Search Widgets', 'maxwheels'),
				'id' => 'mw_search_seach_bar',
				'before_widget' => '<div class="panel panel-default">',
				'after_widget' => '</div>',
				'before_title' => '',
				'after_title' => ''
       	   ));
		
		   //Dealer Search Widgets		
			register_sidebar(array(
				'name' => esc_html__('Dealers Search Sidebar', 'maxwheels'),
				'id' => 'mw_dealers_seach_bar',
				'before_widget' => '<div class="panel panel-default">',
				'after_widget' => '</div>',
				'before_title' => '',
				'after_title' => ''
       	   ));
			
			//Dealer Search Advertisement Bar		
			register_sidebar( array(
			'name' => esc_html__('Dealers Advertisement Sidebar', 'maxwheels'),
			'id' => 'mw_dealers_filters_bar',
			'before_widget' => '<div class="widget"><div id="%1$s">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="widget-heading"><h2>',
			'after_title' => '</h2><div class="heading-dots clearfix">
								<span class="h-dot line-dot"></span>
								<span class="h-dot"></span>
								<span class="h-dot"></span>
								<span class="h-dot"></span>
							</div></div>'
			) );
            
            //Property Sidebar		
            register_sidebar(array(
                'name' => esc_html__('Search Sidebar', 'maxwheels'),
                'id' => 'mw_mw_seach_bar',
                'before_widget' => '<div class="sidebar-widget"><div class="widget"><div id="%1$s">',
                'after_widget' => '</div></div>',
                'before_title' => '<div class="widget-heading"><h2>',
                'after_title' => '</h2></div></div>'
           ));
            
			
			//Listing Detail Sidebar		
			register_sidebar( array(
				'name' => esc_html__('Listing Detail Sidebar', 'maxwheels'),
				'id' => 'mw_detail_sidebar',
				'before_widget' => '<div class="single-widget"><div id="%1$s"><div class="mw-sin-wid">',
				'after_widget' => '</div></div></div>',
				'before_title' => '<div class="widget-heading"><h2>',
				'after_title' => '</h2><div class="heading-dots clearfix">
				<span class="h-dot line-dot"></span>
				<span class="h-dot"></span>
				<span class="h-dot"></span>
				<span class="h-dot"></span>
			</div></div>'
			) );
			
			//Shop Page Sidebar		
			register_sidebar( array(
				'name' => esc_html__('Shop Page Sidebar', 'maxwheels'),
				'id' => 'mw_shop_sidebar',
				'before_widget' => '<div class="shop-widget"><div id="%1$s">',
				'after_widget' => '</div></div>',
				'before_title' => '<div class="widget-heading"><h2>',
				'after_title' => '</h2><div class="heading-dots clearfix">
				<span class="h-dot line-dot"></span>
				<span class="h-dot"></span>
				<span class="h-dot"></span>
				<span class="h-dot"></span>
			</div></div>'
			) );
			
			//Shop Page Sidebar		
			register_sidebar( array(
				'name' => esc_html__('Shop Detail Page Sidebar', 'maxwheels'),
				'id' => 'mw_shop_detialsidebar',
				'before_widget' => '<div class="shop-widget"><div id="%1$s">',
				'after_widget' => '</div></div>',
				'before_title' => '<div class="widget-heading"><h2>',
				'after_title' => '</h2><div class="heading-dots clearfix">
				<span class="h-dot line-dot"></span>
				<span class="h-dot"></span>
				<span class="h-dot"></span>
				<span class="h-dot"></span>
			</div></div>'
			));
		}
	}

