<?php
 /* Template Name: Dealers Search */ 
/**
 * The template for displaying Pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package maxwheels
 */
the_content();
?>
<?php
get_header();
//pagination	
if (get_query_var('paged'))
{
    $paged = get_query_var('paged');
} else if (get_query_var('page'))
{
    $paged = get_query_var('page');
} else
{
    $paged = 1;
}
$title = '';
if (isset($_GET['by_title']) && $_GET['by_title'] != "")
{
    $title =  trim($_GET['by_title']);
}
//Listing Places
$places = array();
if (isset($_GET['places_search']) && $_GET['places_search'] != "") {
	$places = array(
		'key' => 'dealer_street_addr',
		'value' => $_GET['places_search'],
		'compare' => 'LIKE',
	);
}
$by_location = '';
if (isset($_GET['location']) && $_GET['location'] != "") {
	$by_location = array(
		array(
			'taxonomy' => 'mw-dealer-locations',
			'field' => 'slug',
			'terms' => $_GET['location'],
		),
	);
}
//near me radius
$lat_lng_meta_query = $data_array = array();
if (isset($_GET['latitude']) && $_GET['latitude'] != "" && isset($_GET['longitude']) && $_GET['longitude'] != "" && isset($_GET['distance']) && $_GET['distance'] != "")
{
	$latt = $_GET['latitude'];
	$long = $_GET['longitude'];
	$distance = $_GET['distance'];
	$data_array = array("latitude" => $latt, "longitude" => $long, "distance" => $distance);
	$lats_longs = maxwheels_min_max_latt_long($data_array);
	if(is_array($lats_longs) && !empty($lats_longs) && count($lats_longs) > 0)
	{
		$lat_lng_meta_query[] = array(
			'key' => 'dealer_latt',
			'value' => array($lats_longs['lat']['min'], $lats_longs['lat']['max']),
			'compare' => 'BETWEEN',
			'type' => 'DECIMAL',
		);
		$lat_lng_meta_query[] = array(
			'key' => 'dealer_long',
			'value' => array($lats_longs['long']['min'], $lats_longs['long']['max']),
			'compare' => 'BETWEEN',
			'type' => 'DECIMAL',
		);
		add_filter('get_meta_sql', 'maxwheels_decimal_precision');
		if (!function_exists('maxwheels_decimal_precision'))
		{
			function maxwheels_decimal_precision($array)
			{
				$array['where'] = str_replace('DECIMAL', 'DECIMAL(10,3)', $array['where']);
				return $array;
			}
		}
	}
}
	$args	=	array
	(
		's' => $title,
		'post_type' => 'mw-dealer',
		'post_status' => 'publish',
		'posts_per_page' => get_option('posts_per_page'),
		'paged' => $paged,
        'fields' => 'ids',
		'meta_key' => 'mw_sponsored_profile',
		'orderby'  => array(
			'meta_value' => 'DESC',
			'post_date'      => 'DESC',
		),
		'meta_query'    => array(
			array(
				'key'       => 'dealer_status',
				'value'     => '1',
				'compare'   => '=',
			),
			$lat_lng_meta_query,
			$places
		),
		'tax_query' => array(
			$by_location
		),
		'order'=> 'DESC',
	);
	$results = new WP_Query( $args );
	require trailingslashit(get_template_directory()) . 'template-parts/search/dealer-search/search-with-sidebar.php';
	get_footer();
?>