<?php global $maxwheels_options;
$image_id = $pages = '';
if (!empty($maxwheels_options["mw_footer_pages"])) {
    $pages = $maxwheels_options["mw_footer_pages"];
}
?>
<footer class="footer-sec">
		<div class="container">
			<div class="row">
				<div class="col-md-3 col-sm-6 col-xs-12 footer-main-logo">
					<a href="<?php echo esc_url(home_url('/'));?>"><?php echo maxwheels_site_footer_logo(); ?></a>
					<p><?php echo maxwheels_strings('mw_footer_text'); ?></p>
					<div class="addr">
					<ul>
						<?php if(!empty(maxwheels_strings("mw_pop_street_addr"))) { ?>
						<li><?php echo esc_html(maxwheels_strings("mw_pop_street_addr")); ?></li>
						<?php } ?>
						<?php if(!empty(maxwheels_strings("mw_pop_footer_email"))) { ?>
						<li><?php echo esc_html__('Email','maxwheels'); ?>: <a href = "mailto:<?php echo esc_attr(maxwheels_strings("mw_pop_footer_email")); ?>"><?php echo esc_html(maxwheels_strings("mw_pop_footer_email")); ?></a></li>
						<?php } ?>
						<?php if(!empty(maxwheels_strings("mw_pop_footer_contactno"))) { ?>
						<li><?php echo esc_html__('Phone','maxwheels'); ?>: <a href="tel:<?php echo esc_attr(maxwheels_strings("mw_pop_footer_contactno")); ?>"><?php echo esc_html(maxwheels_strings("mw_pop_footer_contactno")); ?></a></li>
						<?php } ?>
					</ul>
					</div>
				</div>
				<div class="col-xl-3 col-xxl-3 col-md-3 col-sm-6 col-12">
					<div class="widget-links">
						<h3 class="title-widget"><?php echo maxwheels_strings("mw_footer_link_txt"); ?></h3>
						<ul>
							<?php
							if (is_array($pages) && count($pages) > 0) {
								foreach ($pages as $page) {
                                    $page=max_language_page_id_callback($page);
									?>
									<li><a href="<?php echo esc_url(get_the_permalink($page)); ?>">
									<?php echo esc_html(get_the_title($page)); ?></a>
									</li>
									<?php
								}
							}
							?>
						</ul>
						
					</div><!--widget-links-->
				</div>
				<div class="col-xl-3 col-xxl-3 col-md-3 col-sm-6 col-12">
					<div class="widget-latest-posts">
						<h3 class="title-widget"><?php echo maxwheels_strings("mw_feature_product"); ?></h3>
						<?php  
						$args = array(
							'post_type'      => 'product',
							'posts_per_page' => 3,
							'meta_query'     => array(
							'relation' => 'OR',
							array( // Simple products type
								'key'           => '_sale_price',
								'value'         => 0,
								'compare'       => '>',
								'type'          => 'numeric'
							),
							array( // Variable products type
								'key'           => '_min_variation_sale_price',
								'value'         => 0,
								'compare'       => '>',
								'type'          => 'numeric'
							)
						)
						);
						 $loop = new WP_Query( $args );
        				if ( $loop->have_posts() ) {
						?>
						<ul>
							<?php
							 while ( $loop->have_posts() ) : $loop->the_post();
							global $product; 
							?>
							<li>
								<a href="<?php the_permalink(); ?>" class="float-start">
									<?php if (has_post_thumbnail( $loop->post->ID )) 
                                     echo get_the_post_thumbnail($loop->post->ID, 'thumbnail'); 
                                     else echo '<img src="'.wc_placeholder_img_src().'" alt="'.esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)).'" width="70" height="70" />';
                            ?>  
								</a>
								<div class="blog-details">
									<h2><a href="<?php esc_url(the_permalink()); ?>"><?php echo maxwheels_title_limit($loop->post->ID,25); ?></a></h2>
									<div class="product-selling-price">
									<?php echo maxwheels_strings_allow_html($product->get_price_html()); ?>
									</div>	
								</div>
							</li>
							<?php
							endwhile;
							?>
						</ul>
						<?php
						}
						wp_reset_postdata();
						?>
					</div>
				</div>
				<div class="col-xl-3 col-xxl-3 col-md-3 col-sm-6 col-12">
					<div class="widget-tags">
						<h3 class="title-widget"><?php echo maxwheels_strings("mw_product_tags"); ?></h3>
						<?php
						 $terms = get_terms( 'product_tag', array('number' => 20,'hide_empty' => false) );
						 $term_array = array();
						 if ( ! empty( $terms ) && ! is_wp_error( $terms ) )
						 {
							foreach ( $terms as $term )
							{
							?>	
							 <a href="<?php echo esc_url(get_term_link($term->slug, 'product_tag')); ?>"><?php echo esc_html($term->name); ?></a>
						    <?php
							}
						 }
						?>
					</div>
				</div>
			</div>
		</div>
	</footer>
<div class="copyright">
	<div class="container">
		<div class="row">
			<div class="col-xl-6 col-xxl-6 col-md-6 col-12">
				<?php echo maxwheels_footer_copyrights(); ?>
			</div>
			<div class="col-xl-6 col-xxl-6 col-md-6 col-12">
				<?php
				$money = trailingslashit(get_template_directory_uri()) . 'libs/images/logo-white.svg';
				if (isset($maxwheels_options["mw_footer_payments"]["url"]) && $maxwheels_options["mw_footer_payments"]["url"] != "") {
					$money = $maxwheels_options["mw_footer_payments"]["url"];
				}
				?>
				<a href="#" class="float-end"><img src="<?php echo esc_url($money); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE));?>"></a>
			</div>
		</div>
	</div>
</div>