<?php
if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
{
	if(is_singular('mx-listings') && 'mx-listings' == get_post_type())
	{
		$mw_id = get_the_ID();
		global $localization;
		global $maxwheels_options;
?>    
<!-- Make an offer model -->
<div class="modal fade mw-make-offer" id="mw-make-offer" tabindex="-1" aria-labelledby="mw-make-offerLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
		  <svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M21.41 11.58l-9-9C12.05 2.22 11.55 2 11 2H4c-1.1 0-2 .9-2 2v7c0 .55.22 1.05.59 1.42l9 9c.36.36.86.58 1.41.58s1.05-.22 1.41-.59l7-7c.37-.36.59-.86.59-1.41s-.23-1.06-.59-1.42zM13 20.01L4 11V4h7v-.01l9 9l-7 7.02z" fill="#626262"/><circle cx="6.5" cy="6.5" r="1.5" fill="#626262"/></svg>
		<span><?php echo esc_html($localization['offer_for']); ?></span>
        <h2 class="modal-title" id="mw-make-offerLabel"><?php echo get_the_title($mw_id); ?></h2>
        <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="my-form" name="make_an_offer" method="POST" id="make_an_offer">
			<div class="row">
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html__('Your Name','maxwheels'); ?> <span class="req-mark">*</span></label>
                             <span class="wrap">
                             <input type="text" autocomplete="off" data-sanitize="trim" name="username" class="form-control text" data-validation="required"  data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" >
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html__('Email','maxwheels'); ?> <span class="req-mark">*</span></label>
                             <span class="wrap">
                             <input type="text" data-validation="email" data-sanitize="trim" name="email" class="form-control text" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>">
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html__('Contact No','maxwheels'); ?> <span class="req-mark">*</span></label>
                             <span class="wrap">
                             <input type="text" autocomplete="off" data-sanitize="trim" name="contact" class="form-control text"  data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>">
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
						  <div class="theme-row">
							  <label><?php echo esc_html__('Trade Price','maxwheels'); ?> <span class="req-mark">*</span></label>
                            <div class="input-group input-group-sm">
                              <div class="input-group-prepend">
                                <span class="input-group-text"><span class="zero-auto"><?php echo maxwheels_strings('mw_single_currency'); ?></span></span>
                              </div>
                                <input type="text"  data-sanitize="trim" name="price" class="form-control text"  data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>">
                            </div>
                        </div>
						  
                      </div>
				<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
						<div class="theme-row">
				   <label><?php echo esc_html__('Your Message','maxwheels'); ?> <span class="req-mark">*</span></label>
				   <span class="wrap">
				   <textarea class="form-control" autocomplete="off" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim" rows="5" cols="20"  name="msg"></textarea>
				   </span> 
				</div>
				</div>
                  </div>
            <input type="hidden" name="listing_id" value="<?php echo esc_attr($mw_id); ?>">
            <?php wp_nonce_field( 'mw-offer-up-nonce', 'offer_up_nonce' ); ?>
            <button type="submit" class="btn btn-theme make-button float-end" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo esc_html($localization['submit']); ?></button>  
			</form>
      </div>
    </div>
  </div>
</div>

<!-- Make an offer model -->
<div class="modal fade mw-schedule-offer" id="mw-schedule-offer" tabindex="-1" aria-labelledby="mw-schedule-offerLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
		  <svg class="single-svg-sv" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M13 19.92c1.8-.22 3.35-.97 4.65-2.27c1.3-1.3 2.05-2.85 2.27-4.65h-3c-.22 1-.68 1.84-1.38 2.54c-.7.7-1.54 1.16-2.54 1.38v3M10 8h4l3 3h2.92c-.25-1.95-1.13-3.62-2.65-5C15.76 4.66 14 4 12 4c-2 0-3.76.66-5.27 2c-1.52 1.38-2.4 3.05-2.65 5H7l3-3m1 11.92v-3c-1-.22-1.84-.68-2.54-1.38c-.7-.7-1.16-1.54-1.38-2.54h-3c.22 1.77.97 3.3 2.27 4.6c1.3 1.3 2.85 2.07 4.65 2.32M12 2c2.75 0 5.1 1 7.05 2.95C21 6.9 22 9.25 22 12s-1 5.1-2.95 7.05C17.1 21 14.75 22 12 22s-5.1-1-7.05-2.95C3 17.1 2 14.75 2 12s1-5.1 2.95-7.05C6.9 3 9.25 2 12 2z" fill="#626262"/></svg>
		<span><?php echo esc_html($localization['schedule_drive']); ?></span>
        <h2 class="modal-title" id="mw-schedule-offerLabel"><?php echo get_the_title($mw_id); ?></h2>
        <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="my-form" name="sch_an_offer" method="POST" id="sch_an_offer">
			<div class="row">
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html__('Your Name','maxwheels'); ?> <span class="req-mark">*</span></label>
                             <span class="wrap">
                             <input type="text" autocomplete="off" data-sanitize="trim" name="username" class="form-control text" data-validation="required"  data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" >
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html__('Email','maxwheels'); ?> <span class="req-mark">*</span></label>
                             <span class="wrap">
                             <input type="text" data-validation="email" data-sanitize="trim" name="email" class="form-control text" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>">
                             </span> 
                          </div>
                      </div>
                      
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html__('Contact No','maxwheels'); ?> <span class="req-mark">*</span></label>
                             <span class="wrap">
                             <input type="text" autocomplete="off" data-sanitize="trim" name="contact" class="form-control text"  data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>">
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
						  <div class="theme-row">
							  <label><?php echo esc_html__('Select Time','maxwheels'); ?> <span class="req-mark">*</span></label>
                            <span class="wrap">
                          	 <input type="text" name="schedule-time"  class="form-control mw-datepicker" data-time-format='hh:ii aa' data-validation="required" data-validation-error-msg-required=""/>
                           </span>
                        </div>
						  
                      </div>
				<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
						<div class="theme-row">
				   <label><?php echo esc_html__('Your Message','maxwheels'); ?> <span class="req-mark">*</span></label>
				   <span class="wrap">
				   <textarea class="form-control" autocomplete="off" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim" rows="5" cols="20"  name="msg"></textarea>
				   </span> 
				</div>
				</div>
                  </div>
            <input type="hidden" name="listing_id" value="<?php echo esc_attr($mw_id); ?>">
            <?php wp_nonce_field( 'mw-sch-up-nonce', 'sch_up_nonce' ); ?>
            <button type="submit" class="btn btn-theme sch-button float-end" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo esc_html($localization['request']); ?></button>  
			</form>
      </div>
      
    </div>
  </div>
</div>
<?php
	}
}