<?php
if(in_array('maxwheels-elementor/sonutheme-elementor.php', apply_filters('active_plugins',get_option('active_plugins'))))
{
if (!function_exists('maxwheels_framework_color_text'))
{
	function maxwheels_framework_color_text($str)
	{
		preg_match('~{color}([^{]*){/color}~i', $str, $match);
		if (isset($match[1]))
		{
			$search = "{color}" . $match[1] . "{/color}";
			$replace = '<span class="clr-theme">' . $match[1] . '</span>';
			$str = str_replace($search, $replace, $str);	
		}
		return $str;
	}
}
if (!function_exists('maxwheels_framework_section_headings'))
{
	function maxwheels_framework_section_headings($subtitle = '', $maintitle = '', $style = '')
	{
		if(!empty($subtitle) || !empty($maintitle))
		{
			$is_margin = $is_centered = $main_title = $sub_title = '';
			if(!empty($subtitle)) 
			{
				$sub_title = '<p>'.esc_html($subtitle).'</p>';
			}
			if(!empty($maintitle)) 
			{
				$main_title = '<h2>'.esc_html($maintitle).'</h2>';
			}
			$is_centered = 'text-center';
			$is_margin = 'mx-auto';
			if(!empty($style) && $style == 'left') 
			{
				$is_centered = '';
				$is_margin = '';
			}
			return '<div class="row sec-heading-zone">
								<div class="col '.esc_attr($is_centered).'">
									<div class="sec-heading '.esc_attr($is_margin).'">
										'.$sub_title.'
										'.$main_title.'
									</div>
								</div>
							</div>';
		}
	}
}
if (!function_exists('maxwheels_framework_render_filters'))
{
	function maxwheels_framework_render_filters($params,$dependent_fields = 'no')
	{
		$filters = '';
		if(!empty($params) && is_array($params) && count($params) > 0)
		{
			$fields = [
				'keyword' => 'by_title',
				'type' => 'category',
				'condition' => 'condition[]',
				'offer' => 'type[]',
				'body' => 'body-types[]',
				'fuel' => 'fuel[]',
				'year' => 'years[]',
				'transmission' => 'transmission[]', 
				'drive' => 'drive-type[]',
				'colors' => 'exterior-colors[]',
				'owner' => 'owners[]',
				'seller' => 'seller-type[]',
                'location' => 'location'
        	];
			$filters = '';
			$parent_name = 'name=category';
			$depentden_model = $depentden_parent = '';
			if(!empty($dependent_fields) && $dependent_fields =='yes')
			{
				$depentden_parent = 'parent-make';
				$parent_name = '';
				$depentden_model = 'model-second';
			}
			foreach ($params as $item )
			{
				 if($item['filter_type'] == "keyword")
				 {
					$filters .= '<div class="form-group">
								  <label>'.esc_html($item['field_label']).'</label>
								  <div class="typeahead__container custom-style-frontend">
								  <div class="typeahead__field">
								  <div class="typeahead__query">
								  <input type="text" class="mw_get_smple form-control is_smple" name="'.esc_attr($fields[$item['filter_type']]).'" autocomplete="off" value="" placeholder="'.esc_attr($item['field_place']).'">
								  </div>
								  </div>
								  </div>
							    </div>';
				 }
				 if($item['filter_type'] == "type")
				 {
					 $mw_category = maxwheels_framework_terms_array_parrent('mw-category');
					 $filters .= '<div class="form-group">
								  <label>'.esc_html($item['field_label']).'</label>
								   <select class="theme-selects '.esc_attr($depentden_parent).'"  data-placeholder="'.esc_attr($item['field_place']).'" '.esc_attr($parent_name).'>
								'.$mw_category.'
								  </select>
								  </div>';
				 }
				 if($item['filter_type'] == "model")
				 {
					 $filters .= '<div class="form-group second-cat-level">
					 			  <label>'.esc_html($item['field_label']).'</label>
								  <i class="ajax-spinner mw-sec"></i>
								  <select class="theme-selects make-model '.esc_attr($depentden_model).'" disabled="disabled"  data-placeholder="'.esc_attr($item['field_place']).'">
									<option value="">'. esc_html__('Select an Option','maxwheels-framework').'</option>
								  </select>
								  </div>';
				 }
			     if($item['filter_type'] == "condition")
				 {
					 $condition = maxwheels_framework_terms_array_parrent('mw-condition');
					 $filters .= '<div class="form-group">
							   <label>'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$condition.'
								  </select>
								  </div>';
				 }
				 if($item['filter_type'] == "offer")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-Labels');
					 $filters .= '<div class="form-group">
							   <label>'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "body")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-bodytype');
					$filters .= '<div class="form-group">
							   <label>'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "fuel")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-fuel');
					$filters .= '<div class="form-group">
							   <label>'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "year")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-year');
					 $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label>'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "transmission")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-transmission');
					 $filters .= '<div class="form-group">
							   <label>'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "drive")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-drive');
					 $filters .= '<div class="form-group">
							   <label>'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "colors")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-exterior-color');
					 $filters .= '<div class="form-group">
							   <label>'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "owner")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-owners');
					 $filters .= '<div class="form-group">
							   <label>'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "seller")
				 {
					 $filters .= '<div class="form-group">
							   <label>'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								  <option value="">'.esc_html__('Select an option','maxwheels-framework').'</option>
								  <option value="dealer">'.esc_html__('Dealer','maxwheels-framework').'</option>
								  <option value="buyer">'.esc_html__('Individual','maxwheels-framework').'</option>
								  </select>
								  </div>';
				 }
                if($item['filter_type'] == "location")
                {
                    $mw_label = maxwheels_framework_terms_array_parrent('mw-location');
                    $mw_label = isset($mw_label) ? $mw_label : '';
                    $label = '<label>'.esc_html($item['field_label']).'</label>';
                    if(!empty($show_labels) && $show_labels == 'yes')
                    {
                        $label = '';
                    }
                    $filters .= '<div class="form-group">
								 '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
                }
                if($item['filter_type'] == "price")
				 {
					 $max_price = $min_price  = '';
					 $filters .= '<div class="form-group">
					  <label>'.esc_html($item['field_label']).'</label>
					 <input type="text" class="js-range-slider-price-home" value=""
                        data-type="double"
                        data-min="'.esc_attr($item['min_label']).'"
                        data-max="'.esc_attr($item['max_label']).'"
					    data-from="'.esc_attr($min_price).'"
					    data-to="'.esc_attr($max_price).'"
						 data-grid="true"
                        data-postfix=" '.maxwheels_framework_get_options('mw_single_currency').'"
                        data-step="'.esc_attr($item['max_interval']).'"
                    />
					<div class="input-group none">
                             <input type="text" class="form-control js-input-from" name="min-price" placeholder="'. esc_attr__('From','maxwheels-framework').'" value="" />
                             <input type="text" class="form-control js-input-to" name="max-price" placeholder="'.esc_attr__('To','maxwheels-framework').'" value="" />
                          </div>
					</div><div class="clearfix"></div>';
				 }
				 if($item['filter_type'] == "mileage")
				 {
					 $m_to = $m_from = $mil_values  = $mileage  = $by_mileage = '';
					 $filters .= '<div class="form-group">
					  <label>'.esc_html($item['field_label']).'</label>
					  <input type="text" class="js-range-slider-mileage-home" name="km-driven" value=""
                        data-type="double"
                        data-min="'.esc_attr($item['min_label_mil']).'"
                        data-max="'.esc_attr($item['max_label_mil']).'"
						data-from="'.esc_attr($m_from).'"
					    data-to="'.esc_attr($m_to).'"
                        data-grid="false"
                        data-postfix=" '.maxwheels_framework_get_options('mw_car_mileage_unit').'"
                        data-step="'.esc_attr($item['max_interval_mil']).'" /></div><div class="clearfix"></div>';
				 }
				 
			}
		}
		return $filters;
	}
}
if (!function_exists('maxwheels_framework_render_filters_style_two'))
{
	function maxwheels_framework_render_filters_style_two($params)
	{
		$filters = '';
		if(!empty($params) && is_array($params) && count($params) > 0)
		{
			$fields = [
				'keyword' => 'by_title',
				'type' => 'category',
				'condition' => 'condition[]',
				'offer' => 'type[]',
				'body' => 'body-types[]',
				'fuel' => 'fuel[]',
				'year' => 'years[]',
				'transmission' => 'transmission[]', 
				'drive' => 'drive-type[]',
				'colors' => 'exterior-colors[]',
				'owner' => 'owners[]',
				'seller' => 'seller-type[]',
				'location' => 'location'

        	];
			$filters = '';
			$count= 1;
			foreach ($params as $item )
			{
				$class= 'first';
				if($count == '2')
				{
					$class= 'second';
				}
				 if($item['filter_type'] == "keyword")
				 {
					$filters .= '<div class="input-field '.esc_attr($class).'">
								   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <div class="typeahead__container custom-style-frontend">
								  <div class="typeahead__field">
								  <div class="typeahead__query">
								  <input type="text" class="mw_get_smple form-control is_smple" name="'.esc_attr($fields[$item['filter_type']]).'" autocomplete="off" value="" placeholder="'.esc_attr($item['field_place']).'">
								  </div>
								  </div>
								  </div>
							    </div>';
				 }
				 if($item['filter_type'] == "type")
				 {
					 $mw_category = maxwheels_framework_terms_array_parrent('mw-category');
					 $filters .= '<div class="input-field '.esc_attr($class).'">
								   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_category.'
								  </select>
								  </div>';
				 }
				 if($item['filter_type'] == "condition")
				 {
					 $condition = maxwheels_framework_terms_array_parrent('mw-condition');
					 $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$condition.'
								  </select>
								  </div>';
				 }
				 if($item['filter_type'] == "offer")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-Labels');
					 $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "body")
				 {
					 $body = maxwheels_framework_terms_array_parrent('mw-bodytype');
					 $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$body.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "fuel")
				 {
					 $fuel = maxwheels_framework_terms_array_parrent('mw-fuel');
					 $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$fuel.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "year")
				 {
					 $year = maxwheels_framework_terms_array_parrent('mw-year');
					 $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$year.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "transmission")
				 {
					 $trans = maxwheels_framework_terms_array_parrent('mw-transmission');
					 $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$trans.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "drive")
				 {
					 $drive = maxwheels_framework_terms_array_parrent('mw-drive');
					 $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$drive.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "colors")
				 {
					 $colors = maxwheels_framework_terms_array_parrent('mw-exterior-color');
					 $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$colors.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "owner")
				 {
					 $owner = maxwheels_framework_terms_array_parrent('mw-owners');
					 $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$owner.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "seller")
				 {
					 $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								  <option value="">'.esc_html__('Select an option','maxwheels-framework').'</option>
								  <option value="dealer">'.esc_html__('Dealer','maxwheels-framework').'</option>
								  <option value="buyer">'.esc_html__('Individual','maxwheels-framework').'</option>
								  </select>
								  </div>';
				 }
				 if($item['filter_type'] == "location")
				 {
					 $mw_location = '';
					// maxwheels_framework_term_html('mw_location' , $mw_location);
                     $mw_label = maxwheels_framework_terms_array_parrent('mw-location');
                     $mw_label = isset($mw_label) ? $mw_label : '';

                     $filters .= '<div class="input-field '.esc_attr($class).'">
							   <label class="mb-0">'.esc_html($item['field_label']).'</label>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
                if($item['filter_type'] == "price")
				 {
					 $max_price = $min_price  = '';
					 $filters .= '<div class="input-field '.esc_attr($class).'">
					  <label class="mb-0">'.esc_html($item['field_label']).'</label>
					 <input type="text" class="js-range-slider-price-home" value=""
                        data-type="double"
                        data-min="'.esc_attr($item['min_label']).'"
                        data-max="'.esc_attr($item['max_label']).'"
					    data-from="'.esc_attr($min_price).'"
					    data-to="'.esc_attr($max_price).'"
                        data-prefix=" '.maxwheels_framework_get_options('mw_single_currency').'"
                        data-step="'.esc_attr($item['max_interval']).'"
                    />
					<div class="input-group none">
                             <input type="text" class="form-control js-input-from" name="min-price" placeholder="'. esc_attr__('From','maxwheels-framework').'" value="" />
                             <input type="text" class="form-control js-input-to" name="max-price" placeholder="'.esc_attr__('To','maxwheels-framework').'" value="" />
                          </div>
					</div>';
				 }
				 if($item['filter_type'] == "mileage")
				 {
					 $m_to = $m_from = $mil_values  = $mileage  = $by_mileage = '';
					 $filters .= '<div class="input-field '.esc_attr($class).'">
					  <label class="mb-0">'.esc_html($item['field_label']).'</label>
					  <input type="text" class="js-range-slider-mileage-home" name="km-driven" value=""
                        data-type="double"
                        data-min="'.esc_attr($item['min_label_mil']).'"
                        data-max="'.esc_attr($item['max_label_mil']).'"
						data-from="'.esc_attr($m_from).'"
					    data-to="'.esc_attr($m_to).'"
                        data-grid="false"
                        data-postfix=" '.maxwheels_framework_get_options('mw_car_mileage_unit').'"
                        data-step="'.esc_attr($item['max_interval_mil']).'" /></div>';
				 }
				 $count++;
				 if($count == 3)
				 {
					break; 
				 }
			}
		}
		return $filters;
	}
}
//Filters with cols
if (!function_exists('maxwheels_framework_render_filters_cols'))
{
	function maxwheels_framework_render_filters_cols($params , $show_labels = 'no', $dependend_fields = '', $colors_param = '')
	{
		$filters = '';
		if(!empty($params) && is_array($params) && count($params) > 0)
		{
			$fields = [
				'keyword' => 'by_title',
				'type' => 'category',
				'condition' => 'condition[]',
				'offer' => 'type[]',
				'body' => 'body-types[]',
				'fuel' => 'fuel[]',
				'year' => 'years[]',
				'transmission' => 'transmission[]', 
				'drive' => 'drive-type[]',
				'colors' => 'exterior-colors[]',
				'owner' => 'owners[]',
				'seller' => 'seller-type[]',
				'location' => 'location'
        	];
			$filters = '';
			$parent_name = 'name=category';
			$depentden_model = $depentden_parent = '';
			if(!empty($dependend_fields) && $dependend_fields =='yes')
			{
				$depentden_parent = 'parent-make';
				$parent_name = '';
				$depentden_model = 'model-second';
			}
			foreach ($params as $item )
			{
				 if($item['filter_type'] == "keyword")
				 {
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					$filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12">
								<div class="form-group">
								  '.$label.'
								  <div class="typeahead__container custom-style-frontend">
								  <div class="typeahead__field">
								  <div class="typeahead__query">
								  <input type="text" class="mw_get_smple form-control is_smple" name="'.esc_attr($fields[$item['filter_type']]).'" autocomplete="off" value="" placeholder="'.esc_attr($item['field_place']).'">
								  </div>
								  </div>
								  </div>
							    </div></div>';
				 }
				 if($item['filter_type'] == "type")
				 {
					 $mw_category = maxwheels_framework_terms_array_parrent('mw-category');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12"><div class="form-group">
								 '.$label.'
								  <select class="theme-selects '.esc_attr($depentden_parent).'"  data-placeholder="'.esc_attr($item['field_place']).'" '.esc_attr($parent_name).'>
								'.$mw_category.'
								  </select>
								  </div></div>';
				 }
				 if($item['filter_type'] == "model")
				 {
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12"><div class="form-group second-cat-level">
								 '.$label.'
								  <i class="ajax-spinner mw-sec"></i>
								  <select class="theme-selects make-model '.esc_attr($depentden_model).'" disabled="disabled"  data-placeholder="'.esc_attr($item['field_place']).'">
									<option value="">'. esc_html__('Select an Option','maxwheels-framework').'</option>
								  </select>
								  </div></div>';
				 }
				 if($item['filter_type'] == "condition")
				 {
					 $condition = maxwheels_framework_terms_array_parrent('mw-condition');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12"><div class="form-group">
							  '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$condition.'
								  </select>
								  </div></div>';
				 }
				 if($item['filter_type'] == "offer")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-Labels');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12"><div class="form-group">
							  '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div></div>';
				 }
				 if($item['filter_type'] == "body")
				 {
					 $body = maxwheels_framework_terms_array_parrent('mw-bodytype');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12"><div class="form-group">
							  '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$body.'
								  </select>
								  </div></div>';
				 }
				 if($item['filter_type'] == "fuel")
				 { 
					 $fuel = maxwheels_framework_terms_array_parrent('mw-fuel');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12"><div class="form-group">
							  '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$fuel.'
								  </select>
								  </div></div>';
				 }
				 if($item['filter_type'] == "year")
				 {
					 $year = maxwheels_framework_terms_array_parrent('mw-year');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12"><div class="form-group">
							  '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$year.'
								  </select>
								  </div></div>';
				 }
				 if($item['filter_type'] == "transmission")
				 {
					 $trans = maxwheels_framework_terms_array_parrent('mw-transmission');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12">
					 			<div class="form-group">
								 '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$trans.'
								  </select>
								  </div>
								</div>';
				 }
				 if($item['filter_type'] == "drive")
				 {
					 $drive = maxwheels_framework_terms_array_parrent('mw-drive');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12">
					 			<div class="form-group">
								 '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$drive.'
								  </select>
								  </div>
								</div>';
				 }
				 if($item['filter_type'] == "colors")
				 {
					 $colors = maxwheels_framework_terms_array_parrent('mw-exterior-color');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 if(!empty($colors_param) && $colors_param == 'yes')
					 {
						 $ex_colors =''; 
						 $exterior = maxwheels_framework_term_fetch('mw-exterior-color',0);
						 if(!empty($exterior) && is_array($exterior) && count($exterior) > 0 && !is_wp_error($exterior))
						 {
							 foreach($exterior as $ext)
							 {
								$ex_colors .='<li>
									<div class="custom-control custom-checkbox image-checkbox">
										<input type="checkbox" class="my-ext-clr custom-control-input" id="'.esc_attr($ext->slug).'" name="exterior-colors[]"  value="'.esc_attr($ext->slug).'">
										<label data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($ext->name).'"  class="custom-control-label" for="'.esc_attr($ext->slug).'">
											 <span class="inline-color" style="background-color: '.get_term_meta( $ext->term_id, 'labels_title_color', true ).'"></span>
										</label>
									</div>
								   </li>'; 
							 }
						 }
						 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12">
							<div class="form-group for-colors">
							  '.$label.'
							  <ul class="list-unstyled">
							  '.$ex_colors.'
							  </ul>  
							</div>
						 </div>';
					 }
					 else
					 {
						$filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12">
					 			<div class="form-group">
								 '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$colors.'
								  </select>
								  </div>
								</div>';
					 }
				 }
				 if($item['filter_type'] == "owner")
				 {
					 $owner = maxwheels_framework_terms_array_parrent('mw-owners');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12">
					 			<div class="form-group">
								 '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$owner.'
								  </select>
								  </div>
								</div>';
				 }
				 if($item['filter_type'] == "seller")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-transmission');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12">
					 			<div class="form-group">
								 '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								  <option value="">'.esc_html__('Select an option','maxwheels-framework').'</option>
								  <option value="dealer">'.esc_html__('Dealer','maxwheels-framework').'</option>
								  <option value="buyer">'.esc_html__('Individual','maxwheels-framework').'</option>
								  </select>
								  </div>
								</div>';
				 }
				 if($item['filter_type'] == "location")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-location');
                     $mw_label = isset($mw_label) ? $mw_label : '';
                     $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12">
					 			<div class="form-group">
								 '.$label.'
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>
								</div>';
				 }
				 if($item['filter_type'] == "price")
				 {
					 $max_price = $min_price  = '';
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12">
					 			<div class="form-group">
									 '.$label.'
									  <input type="text" class="js-range-slider-price-home" value=""
										data-type="double"
										data-min="'.esc_attr($item['min_label']).'"
										data-max="'.esc_attr($item['max_label']).'"
										data-from="'.esc_attr($min_price).'"
										data-to="'.esc_attr($max_price).'"
										data-prefix=" '.maxwheels_framework_get_options('mw_single_currency').'"
										data-step="'.esc_attr($item['max_interval']).'"
									/>
									<div class="input-group none">
									 <input type="text" class="form-control js-input-from" name="min-price" placeholder="'. esc_attr__('From','maxwheels-framework').'" value="" />
									 <input type="text" class="form-control js-input-to" name="max-price" placeholder="'.esc_attr__('To','maxwheels-framework').'" value="" />
									</div>
								</div>
								</div>';
				 }
				 if($item['filter_type'] == "mileage")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-transmission');
					 $label = '<label>'.esc_html($item['field_label']).'</label>';
					 if(!empty($show_labels) && $show_labels == 'yes')
					 {
						 $label = '';
					 }
					 $m_to = $m_from = $mil_values  = $mileage  = $by_mileage = '';
					 $filters .= '<div class="col-xl-'.esc_attr($item['column_size']).' col-sm-12 col-12">
					 			<div class="form-group">
								 '.$label.'
								  <input type="text" class="js-range-slider-mileage-home" name="km-driven" value=""
									data-type="double"
									data-min="'.esc_attr($item['min_label_mil']).'"
									data-max="'.esc_attr($item['max_label_mil']).'"
									data-from="'.esc_attr($m_from).'"
									data-to="'.esc_attr($m_to).'"
									data-grid="false"
									data-postfix=" '.maxwheels_framework_get_options('mw_car_mileage_unit').'"
									data-step="'.esc_attr($item['max_interval_mil']).'" />
								  </div>
								</div>';
				 }
			}
		}
		return $filters;
	}
}

//Hero Section 1
if( !function_exists('maxwheels_elementor_hero1') )
{
	function maxwheels_elementor_hero1($params)
	{
		$sec_btn = $main_btn = $desc = $main_heading = '';
		if(!empty($params['heading_text']))
		{
			$main_heading = '<h1 class="p-0 col-xl-9 col-lg-9 col-md-9 col-sm-12 t-center clr-white">'.maxwheels_framework_color_text($params['heading_text']).' </h1>';
		}
		if(!empty($params['desc']))
		{
			$desc = '<p class="col-xl-9 col-lg-9 col-md-12 col-sm-12 p-0 t-center margin-top-10 clr-white margin-bottom-20">'.maxwheels_framework_color_text($params['desc']).' </p>';
		}
		
		if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['title']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = '<a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme br-flat text-capitalize">'.esc_html($params['main_btn']['title']).'</a>';
		}
		
		if(!empty($params['sec_btn']) && is_array($params['sec_btn']) && !empty($params['sec_btn']['title']))
		{
			$target = $params['sec_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['sec_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$sec_btn = '<a href="'.esc_url($params['sec_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme br-flat text-capitalize read-m border-0">'.esc_html($params['sec_btn']['title']).'</a>';
		}
		$direction = 'text-start';
        if(is_rtl())
        {
            $direction = 'text-end';
        }
		return '<section class="home-6-sec1  section-padding-120">
		  <div class="container">
			<div class="row">
			  <div class="col-xl-9 col-lg-9 col-md-12 col-sm-12 col-12">
				<div class="m-heading '.esc_attr($direction).' padding-top-60 padding-bottom-120">
				'.$main_heading.'
				'.$desc.'
				  <div class="btn-div">
				  '.$main_btn.'
				  '.$sec_btn.'
				  </div>
				</div>
			  </div>
			</div>
		  </div>
		</section>';
	}
}
	

	//Filters with cols
if (!function_exists('maxwheels_framework_render_filters_elegent'))
{
	function maxwheels_framework_render_filters_elegent($params,$dependent_fields = 'no')
	{
		$filters = '';
		if(!empty($params) && is_array($params) && count($params) > 0)
		{
			$fields = [
				'keyword' => 'by_title',
				'type' => 'category',
				'condition' => 'condition[]',
				'offer' => 'type[]',
				'body' => 'body-types[]',
				'fuel' => 'fuel[]',
				'year' => 'years[]',
				'transmission' => 'transmission[]', 
				'drive' => 'drive-type[]',
				'colors' => 'exterior-colors[]',
				'owner' => 'owners[]',
				'seller' => 'seller-type[]',
				'location' => 'location'
        	];
			$filters = '';
			$parent_name = 'name=category';
			$depentden_model = $depentden_parent = '';
			if(!empty($dependent_fields) && $dependent_fields =='yes')
			{
				$depentden_parent = 'parent-make';
				$parent_name = '';
				$depentden_model = 'model-second';
			}
			$count= 1;
			foreach ($params as $item )
			{
				 if($item['filter_type'] == "keyword")
				 {
					$filters .= '<div class="form-group col-lg-4 col-md-12 col-sm-12 col-12">
                                <label>'.esc_html($item['field_label']).'</label>
                                <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><g fill="none"><path d="M21 21l-4.486-4.494M19 10.5a8.5 8.5 0 1 1-17 0a8.5 8.5 0 0 1 17 0z" stroke="currentColor" stroke-width="2" stroke-linecap="round"/></g></svg>
                                 <div class="typeahead__container custom-style-frontend">
								  <div class="typeahead__field">
								  <div class="typeahead__query">
								  <input type="text" class="mw_get_smple form-control is_smple" name="'.esc_attr($fields[$item['filter_type']]).'" autocomplete="off" value="" placeholder="'.esc_attr($item['field_place']).'">
								  </div>
								  </div>
								  </div>
                            </div>';
					 
				 }
				 if($item['filter_type'] == "type")
				 {
					 $mw_category = maxwheels_framework_terms_array_parrent('mw-category');
					 $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
								  <label>'.esc_html($item['field_label']).'</label>
								  <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><g fill="none"><path d="M12 20v-8m0 0V4m0 8h8m-8 0H4" stroke="currentColor" stroke-width="2" stroke-linecap="round"/></g></svg>
								   <select class="theme-selects'.esc_attr($depentden_parent).'"  data-placeholder="'.esc_attr($item['field_place']).'" '.esc_attr($parent_name).'>
								'.$mw_category.'
								  </select>
								  </div>';
				 }
				 if($item['filter_type'] == "model")
				 {
					 $filters .= '<div class="form-group second-cat-level col-lg-3 col-md-12 col-sm-12 col-12">
					 			  <label>'.esc_html($item['field_label']).'</label>
								  <i class="ajax-spinner mw-sec"></i>
								  <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><g fill="none"><path d="M12 20v-8m0 0V4m0 8h8m-8 0H4" stroke="currentColor" stroke-width="2" stroke-linecap="round"/></g></svg>
								  <select class="theme-selects make-model '.esc_attr($depentden_model).'" disabled="disabled"  data-placeholder="'.esc_attr($item['field_place']).'">
									<option value="">'. esc_html__('Select an Option','maxwheels-framework').'</option>
								  </select>
								  </div>';
				 }
			     if($item['filter_type'] == "condition")
				 {
					 $condition = maxwheels_framework_terms_array_parrent('mw-condition');
					  $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
							   <label>'.esc_html($item['field_label']).'</label>
							   <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1.17em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 28 24"><path d="M5.216 11.998a2.608 2.608 0 1 1-5.217 0a2.608 2.608 0 0 1 5.217 0z" fill="currentColor"/><path d="M5.216 2.608a2.608 2.608 0 1 1-5.217 0a2.608 2.608 0 0 1 5.217 0z" fill="currentColor"/><path d="M5.216 21.389a2.608 2.608 0 1 1-5.217 0a2.608 2.608 0 0 1 5.217 0z" fill="currentColor"/><path d="M9.794 0h15.247a2.61 2.61 0 1 1 0 5.22H9.794a2.61 2.61 0 1 1 0-5.22z" fill="currentColor"/><path d="M9.794 9.39h15.247a2.61 2.61 0 1 1 0 5.22H9.794a2.61 2.61 0 1 1 0-5.22z" fill="currentColor"/><path d="M9.794 18.781h15.247a2.61 2.61 0 1 1 0 5.22H9.794a2.61 2.61 0 1 1 0-5.22z" fill="currentColor"/></svg>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$condition.'
								  </select>
								  </div>';
				 }
				 if($item['filter_type'] == "offer")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-Labels');
					 $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
							   <label>'.esc_html($item['field_label']).'</label>
							   <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 48 48"><g fill="none" stroke="currentColor" stroke-width="4" stroke-linecap="round" stroke-linejoin="round"><path d="M6 12l36 4v24L6 36V12z"/><path d="M38 15.555V8L6 12"/></g></svg>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "body")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-bodytype');
					 $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
							   <label>'.esc_html($item['field_label']).'</label>
							   <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 36 36"><path class="clr-i-outline clr-i-outline-path-1" d="M15 17h3v2h-3z" fill="currentColor"/><path class="clr-i-outline clr-i-outline-path-2" d="M26.45 14.17A22.1 22.1 0 0 0 19.38 7a9.64 9.64 0 0 0-9-.7a8.6 8.6 0 0 0-4.82 6.4c-.08.47-.14.92-.2 1.36A4 4 0 0 0 2 18v6.13a2 2 0 0 0 2 2V18a2 2 0 0 1 2-2h18.73A7.28 7.28 0 0 1 32 23.27V24h-2a4.53 4.53 0 1 0 .33 2H32a2 2 0 0 0 2-2v-.73a9.28 9.28 0 0 0-7.55-9.1zM11 14H6.93c0-.31.09-.63.15-1A6.52 6.52 0 0 1 11 8zm2 0V7.58a8.17 8.17 0 0 1 5.36 1.16A19 19 0 0 1 23.9 14zm12.8 14.38a2.5 2.5 0 1 1 2.5-2.5a2.5 2.5 0 0 1-2.5 2.5z" fill="currentColor"/><path class="clr-i-outline clr-i-outline-path-3" d="M14.17 24a4.53 4.53 0 1 0 .33 2h5.3v-.25A6 6 0 0 1 20 24zM10 28.38a2.5 2.5 0 1 1 2.5-2.5a2.5 2.5 0 0 1-2.5 2.5z" fill="currentColor"/></svg>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "fuel")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-fuel');
					 $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
							   <label>'.esc_html($item['field_label']).'</label>
							   <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 36 36"><path d="M20.12 34H5.9A2.81 2.81 0 0 1 3 31.19V4.86a2.9 2.9 0 0 1 3-2.79h14.22A2.72 2.72 0 0 1 23 4.86v26.33A2.82 2.82 0 0 1 20.12 34zM5.9 4a.87.87 0 0 0-.9.86v26.33a.87.87 0 0 0 .87.87h14.25a.94.94 0 0 0 .95-.87V4.86a.94.94 0 0 0-.95-.86z" class="clr-i-outline clr-i-outline-path-1" fill="currentColor"/><path d="M29.53 34A3.5 3.5 0 0 1 26 30.5V23a2 2 0 0 0-2-2h-1.43a1 1 0 0 1 0-2H24a4 4 0 0 1 4 4v7.5a1.5 1.5 0 0 0 3 0V17.3l-3.13-7A2.29 2.29 0 0 0 25.8 9h-.73a1 1 0 1 1 0-2h.73a4.3 4.3 0 0 1 3.93 2.55l3.21 7.16a1 1 0 0 1 .09.41V30.5a3.5 3.5 0 0 1-3.5 3.5z" class="clr-i-outline clr-i-outline-path-2" fill="currentColor"/><path d="M18 9H8a1 1 0 1 1 0-2h10a1 1 0 0 1 0 2z" class="clr-i-outline clr-i-outline-path-3" fill="currentColor"/><path d="M18 13H8a1 1 0 1 1 0-2h10a1 1 0 1 1 0 2z" class="clr-i-outline clr-i-outline-path-4" fill="currentColor"/><path d="M25 12.08a1 1 0 0 1-1-1v-6a1 1 0 0 1 2 0v6a1 1 0 0 1-1 1z" class="clr-i-outline clr-i-outline-path-5" fill="currentColor"/></svg>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "year")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-year');
					  $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
							   <label>'.esc_html($item['field_label']).'</label>
							   <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M19.5 4h-3V2.5a.5.5 0 0 0-1 0V4h-7V2.5a.5.5 0 0 0-1 0V4h-3A2.503 2.503 0 0 0 2 6.5v13A2.503 2.503 0 0 0 4.5 22h15a2.502 2.502 0 0 0 2.5-2.5v-13A2.502 2.502 0 0 0 19.5 4zM21 19.5c0 .828-.672 1.5-1.5 1.5h-15C3.67 21 3 20.328 3 19.5V11h18v8.5zm0-9.5H3V6.5C3 5.672 3.67 5 4.5 5h3v1.5a.5.5 0 0 0 1 0V5h7v1.5a.5.5 0 0 0 1 0V5h3c.828 0 1.5.672 1.5 1.5V10z" fill="currentColor"/></svg>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "transmission")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-transmission');
					 $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
							   <label>'.esc_html($item['field_label']).'</label>
							   <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><g fill="none"><path d="M12 2a2.75 2.75 0 0 0-.75 5.396v3.854a.75.75 0 0 0 1.5 0V7.396A2.751 2.751 0 0 0 12 2zm-1.25 2.75a1.25 1.25 0 1 1 2.5 0a1.25 1.25 0 0 1-2.5 0zM3 6.5a2.5 2.5 0 0 1 5 0V10h2.25v1.5H6.5v-5a1 1 0 0 0-2 0v12a1 1 0 1 0 2 0v-5H11v5a1 1 0 1 0 2 0v-5h6a.5.5 0 0 0 .5-.5V6.5a1 1 0 1 0-2 0v5h-3.75V10H16V6.5a2.5 2.5 0 0 1 5 0V13a2 2 0 0 1-2 2h-4.5v3.5a2.5 2.5 0 0 1-5 0V15H8v3.5a2.5 2.5 0 0 1-5 0v-12z" fill="currentColor"/></g></svg>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "drive")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-drive');
					  $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
							   <label>'.esc_html($item['field_label']).'</label>
							   <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M21.8 14.001a10.009 10.009 0 0 1-8.4 7.902v-2.025A8.01 8.01 0 0 0 19.748 14l2.052.001zm-17.548 0a8.01 8.01 0 0 0 6.247 5.858v2.03A10.01 10.01 0 0 1 2.2 14h2.052zM18 11v2h-1a4 4 0 0 0-3.995 3.8L13 17v1h-2v-1a4 4 0 0 0-3.8-3.995L7 13H6v-2h12zm-6-9c5.185 0 9.449 3.947 9.95 9h-2.012a8.001 8.001 0 0 0-15.876 0H2.049C2.551 5.947 6.815 2 12 2z" fill="currentColor"/></svg>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "colors")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-exterior-color');
					  $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
							   <label>'.esc_html($item['field_label']).'</label>
							   <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M20 13.998c-.092.065-2 2.083-2 3.5c0 1.494.949 2.448 2 2.5c.906.044 2-.891 2-2.5c0-1.5-1.908-3.435-2-3.5zm-16.586-1c0 .534.208 1.036.586 1.414l5.586 5.586c.378.378.88.586 1.414.586s1.036-.208 1.414-.586l7-7l-.707-.707L11 4.584L8.707 2.291L7.293 3.705l2.293 2.293L4 11.584c-.378.378-.586.88-.586 1.414zM11 7.412l5.586 5.586L11 18.584h.001l-.001 1v-1l-5.586-5.586L11 7.412z" fill="currentColor"/></svg>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "owner")
				 {
					 $mw_label = maxwheels_framework_terms_array_parrent('mw-owners');
					  $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
							   <label>'.esc_html($item['field_label']).'</label>
							   <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 1024 1024"><path d="M858.5 763.6a374 374 0 0 0-80.6-119.5a375.63 375.63 0 0 0-119.5-80.6c-.4-.2-.8-.3-1.2-.5C719.5 518 760 444.7 760 362c0-137-111-248-248-248S264 225 264 362c0 82.7 40.5 156 102.8 201.1c-.4.2-.8.3-1.2.5c-44.8 18.9-85 46-119.5 80.6a375.63 375.63 0 0 0-80.6 119.5A371.7 371.7 0 0 0 136 901.8a8 8 0 0 0 8 8.2h60c4.4 0 7.9-3.5 8-7.8c2-77.2 33-149.5 87.8-204.3c56.7-56.7 132-87.9 212.2-87.9s155.5 31.2 212.2 87.9C779 752.7 810 825 812 902.2c.1 4.4 3.6 7.8 8 7.8h60a8 8 0 0 0 8-8.2c-1-47.8-10.9-94.3-29.5-138.2zM512 534c-45.9 0-89.1-17.9-121.6-50.4S340 407.9 340 362c0-45.9 17.9-89.1 50.4-121.6S466.1 190 512 190s89.1 17.9 121.6 50.4S684 316.1 684 362c0 45.9-17.9 89.1-50.4 121.6S557.9 534 512 534z" fill="currentColor"/></svg>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }
				if($item['filter_type'] == "seller")
				 {
					  $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
							   <label>'.esc_html($item['field_label']).'</label>
							   <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><g fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M17 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"/><circle cx="9" cy="7" r="4"/><path d="M23 21v-2a4 4 0 0 0-3-3.87"/><path d="M16 3.13a4 4 0 0 1 0 7.75"/></g></svg>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								  <option value="">'.esc_html__('Select an option','maxwheels-framework').'</option>
								  <option value="dealer">'.esc_html__('Dealer','maxwheels-framework').'</option>
								  <option value="buyer">'.esc_html__('Individual','maxwheels-framework').'</option>
								  </select>
								  </div>';
				 }
				 if($item['filter_type'] == "location")
				 {
					 $mw_location = '';
					// maxwheels_framework_term_html('mw_location' , $mw_location);
                     $mw_label = maxwheels_framework_terms_array_parrent('mw-location');
                     $mw_label = isset($mw_label) ? $mw_label : '';
					  $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
							   <label>'.esc_html($item['field_label']).'</label>
							   <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 48 48"><g fill="none"><path d="M24.005 15.5a6 6 0 1 0 0 12a6 6 0 0 0 0-12zm-3.5 6a3.5 3.5 0 1 1 7 0a3.5 3.5 0 0 1-7 0z" fill="currentColor"/><path d="M37 32L26.912 42.71a4 4 0 0 1-5.824 0L11 32h.038l-.017-.02l-.021-.025A16.922 16.922 0 0 1 7 21c0-9.389 7.611-17 17-17s17 7.611 17 17a16.922 16.922 0 0 1-4 10.955l-.021.025l-.017.02H37zm-1.943-1.619A14.433 14.433 0 0 0 38.5 21c0-8.008-6.492-14.5-14.5-14.5S9.5 12.992 9.5 21c0 3.58 1.294 6.852 3.443 9.381l.308.363l9.657 10.251a1.5 1.5 0 0 0 2.184 0l9.657-10.251l.308-.363z" fill="currentColor"/></g></svg>
								  <select class="search-selects"  data-placeholder="'.esc_attr($item['field_place']).'" name="'.esc_attr($fields[$item['filter_type']]).'">
								'.$mw_label.'
								  </select>
								  </div>';
				 }

				 if($item['filter_type'] == "price")
				 {
					 $max_price = $min_price  = '';
					  $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
					  <label>'.esc_html($item['field_label']).'</label>
					 <input type="text" class="js-range-slider-price-home" value=""
                        data-type="double"
                        data-min="'.esc_attr($item['min_label']).'"
                        data-max="'.esc_attr($item['max_label']).'"
					    data-from="'.esc_attr($min_price).'"
					    data-to="'.esc_attr($max_price).'"
						 data-grid="true"
                        data-postfix=" '.maxwheels_framework_get_options('mw_single_currency').'"
                        data-step="'.esc_attr($item['max_interval']).'"
                    />
					<div class="input-group none">
                             <input type="text" class="form-control js-input-from" name="min-price" placeholder="'. esc_attr__('From','maxwheels-framework').'" value="" />
                             <input type="text" class="form-control js-input-to" name="max-price" placeholder="'.esc_attr__('To','maxwheels-framework').'" value="" />
                          </div>
					</div>';
				 }
				 if($item['filter_type'] == "mileage")
				 {
					 $m_to = $m_from = $mil_values  = $mileage  = $by_mileage = '';
					  $filters .= '<div class="form-group col-lg-3 col-md-12 col-sm-12 col-12">
					  <label>'.esc_html($item['field_label']).'</label>
					  <svg class="ab-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 48 48"><g stroke="currentColor" stroke-width="4" fill="none" fill-rule="evenodd" stroke-linecap="round" stroke-linejoin="round"><path d="M11 6L6 42"/><path d="M37 6l4.964 35.955"/><path d="M24 6v6"/><path d="M24 35v7"/><path d="M24 20v7"/></g></svg>
					  <input type="text" class="js-range-slider-mileage-home" name="km-driven" value=""
                        data-type="double"
                        data-min="'.esc_attr($item['min_label_mil']).'"
                        data-max="'.esc_attr($item['max_label_mil']).'"
						data-from="'.esc_attr($m_from).'"
					    data-to="'.esc_attr($m_to).'"
                        data-grid="false"
                        data-postfix=" '.maxwheels_framework_get_options('mw_car_mileage_unit').'"
                        data-step="'.esc_attr($item['max_interval_mil']).'" /></div><div class="clearfix"></div>';
				 }
				 $count++;
				 if($count == 4)
				 {
					break; 
				 }
				 
			}
		}
		return $filters;
	}
}
	
//Hero Section 2
if( !function_exists('maxwheels_elementor_hero_slider') )
{
	function maxwheels_elementor_hero_slider($params)
	{
		$meta_query = $top_title = $show_data = $background = $main_img = $sub_title = $sec_btn = $main_btn = $desc = $main_heading = '';
		$shilder_loop = '';
		$class= '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			$form_overlay ='';
			if(!empty($params['form_overlay']) && $params['form_overlay'] == 'yes')
			{
				$form_overlay ='form_overlay_parallex';
			}
		?>	

<section class="hero-slider">
				<div class="swiper-container mw-swipe">
					<div class="container">
						<div class="row">
						<div class="inner-column <?php echo esc_attr($form_overlay); ?>">
                            <h2><?php echo esc_html($params['tagline']); ?></h2>
                            <div class="banner-form">
                                <form class="form-join" action="<?php echo esc_url($search_page); ?>">
									<?php echo maxwheels_framework_render_filters($params['filter_array'],$params['dependent_fields']); ?>
									<div class="form-group  mb-0">
										<button class="btn btn-theme btn-block" type="submit"><?php echo esc_html($params['btn_text']); ?></button>
									</div>
									<?php
									$dependent_field = '';
									if(!empty($params['dependent_fields']) && $params['dependent_fields'] == 'yes')
									{
									echo '<input type="hidden" name="category" value="" />';
									}
									?>
                                </form>
                            </div>
                        </div>
						</div>
					</div>
					<div class="swiper-wrapper h-800">
						<?php
							foreach($params['blocks'] as $data)
							{
								$class ='';
								if(!empty($data['overlay']) && $data['overlay'] == 'yes')
								{
									$class ='parallex';
								}
						?>
						<div class="swiper-slide <?php echo esc_attr($class); ?>" style="background-image: url(<?php echo esc_url($data['image']); ?>); background-size: cover; background-position: center center;">
							<div class="container">
								<div class="row align-items-center align-items-center align-items-center justify-content-end">
									<div class="col-md-12 col-sm-12 col-lg-7 col-12">
										<div class="hero-content-left text-white" >
											<?php if(!empty($data['hero_tag'])) { ?>
											<div class="clr-theme topmost" data-swiper-animation="fadeInLeft" data-duration="1s" data-delay="0.25s"><?php echo esc_html($data['hero_tag']); ?></div>
											<?php } ?>
											<div data-swiper-animation="fadeInDown" data-duration="1s" data-delay="0.25s">
											<?php if(!empty($data['hero_first'])) { ?>	
											<h1 class="text-white"><?php echo esc_html($data['hero_first']); ?></h1>
											<?php } ?>	
											<?php if(!empty($data['hero_second'])) { ?>	
											<h2><span class="clr-theme"><?php echo esc_html($data['hero_second']); ?></span></h2>
											<?php } ?>	
											</div>
											<?php if(!empty($data['list_content'])) { ?>	
											<p class="lead" data-swiper-animation="fadeInUp" data-duration="1s" data-delay="0.5s"><?php echo esc_html($data['list_content']); ?></p>
											<?php } ?>
											<?php if(!empty($data['amount']) && !empty($data['symbol'])) { ?>
											<div class="main-slider-pricing" data-swiper-animation="animate__fadeIn" data-duration=".5s" data-delay="1s" data-swiper-out-animation="animate__fadeOut" data-out-duration=".2s">
												<span class="main-slider-currency"><?php echo esc_html($data['symbol']); ?></span>
												<span class="main-slider-number"><?php echo esc_html($data['amount']); ?></span>
												<?php if(!empty($data['text'])) { ?>
												<span class="main-slider-inner">
													<span class="main-slider-subtitle"><?php echo esc_html($data['text']); ?></span>
												</span>
												<?php } ?>
											</div>
											<?php } ?>
											<?php if(!empty($data['main_btn_title']) && !empty($data['main_btn_link'])) { ?>
											<a href="<?php echo esc_url($data['main_btn_link']); ?>" data-swiper-animation="fadeInUp" data-duration="1s" data-delay="0.5s" target="_blank" rel="nofollow" class="btn btn-theme"><?php echo esc_html($data['main_btn_title']); ?></a>
											<?php } ?>
										</div>
									</div>
								</div>
							</div>
          				</div>
			            <?php
							}
						?>
					</div>
					<div class="swiper-button-next"></div>
    					<div class="swiper-button-prev"></div>
						<div class="swiper-pagination"></div>
				</div>
			</section>	
		 <?php
		}
	}
}

//Swiper Slider
if( !function_exists('maxwheels_elementor_hero_slider2') )
{
	function maxwheels_elementor_hero_slider2($params)
	{
		$meta_query = $top_title = $show_data = $background = $main_img = $sub_title = $sec_btn = $main_btn = $desc = $main_heading = '';
		$shilder_loop = '';
		$class= '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			$form_overlay ='';
			if(!empty($params['form_overlay']) && $params['form_overlay'] == 'yes')
			{
				$form_overlay ='form_overlay_parallex';
			}
		?>	

<section class="hero-slider without-filters">
				<div class="swiper-container mw-swipe">
					<div class="swiper-wrapper h-800">
						<?php
							foreach($params['blocks'] as $data)
							{
								$class ='';
								if(!empty($data['overlay']) && $data['overlay'] == 'yes')
								{
									$class ='parallex';
								}
						?>
						<div class="swiper-slide <?php echo esc_attr($class); ?>" style="background-image: url(<?php echo esc_url($data['image']); ?>); background-size: cover; background-position: center center;">
							<div class="container">
								<div class="row <?php echo esc_attr($data['txt_dir']); ?>">
									<div class="col-md-12 col-sm-12 col-lg-7 col-12">
										<div class="hero-content-left text-white" >
											<?php if(!empty($data['hero_tag'])) { ?>
											<div class="clr-theme topmost" data-swiper-animation="fadeInLeft" data-duration="1s" data-delay="0.25s"><?php echo esc_html($data['hero_tag']); ?></div>
											<?php } ?>
											<div data-swiper-animation="fadeInDown" data-duration="1s" data-delay="0.25s">
											<?php if(!empty($data['hero_first'])) { ?>	
											<h1 class="text-white"><?php echo esc_html($data['hero_first']); ?></h1>
											<?php } ?>	
											<?php if(!empty($data['hero_second'])) { ?>	
											<h2><span class="clr-theme"><?php echo esc_html($data['hero_second']); ?></span></h2>
											<?php } ?>	
											</div>
											<?php if(!empty($data['list_content'])) { ?>	
											<p class="lead" data-swiper-animation="fadeInUp" data-duration="1s" data-delay="0.5s"><?php echo esc_html($data['list_content']); ?></p>
											<?php } ?>
											<?php if(!empty($data['amount']) && !empty($data['symbol'])) { ?>
											<div class="main-slider-pricing" data-swiper-animation="animate__fadeIn" data-duration=".5s" data-delay="1s" data-swiper-out-animation="animate__fadeOut" data-out-duration=".2s">
												<span class="main-slider-currency"><?php echo esc_html($data['symbol']); ?></span>
												<span class="main-slider-number"><?php echo esc_html($data['amount']); ?></span>
												<?php if(!empty($data['text'])) { ?>
												<span class="main-slider-inner">
													<span class="main-slider-subtitle"><?php echo esc_html($data['text']); ?></span>
												</span>
												<?php } ?>
											</div>
											<?php } ?>
											<?php if(!empty($data['main_btn_title']) && !empty($data['main_btn_link'])) { ?>
											<a href="<?php echo esc_url($data['main_btn_link']); ?>" data-swiper-animation="fadeInUp" data-duration="1s" data-delay="0.5s" target="_blank" rel="nofollow" class="btn btn-theme"><?php echo esc_html($data['main_btn_title']); ?></a>
											<?php } ?>
										</div>
									</div>
								</div>
							</div>
          				</div>
			            <?php
							}
						?>
					</div>
					<div class="swiper-button-next"></div>
    					<div class="swiper-button-prev"></div>
						<div class="swiper-pagination"></div>
				   </div>
			</section>	
		 <?php
		}
	}
}	
//Hero Main
if( !function_exists('maxwheels_elementor_main') )
{
	function maxwheels_elementor_main($params)
	{
		$search_page = '#';
		$main_btn = $meta_query = $top_title = $show_data = $background = $main_img = $sub_title = $sec_btn = $main_btn = $desc = $main_heading = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');

        if(!empty($params['sub_title']))
        {
            $sub_title_text = '<span class="my-btn-change">'.$params['sub_title'].'  </span>';
        }
		if(!empty($params['heading_text']))
		{
			$main_heading = '<h2>'.maxwheels_framework_color_text($params['heading_text']).'  </h2>';
		}
		if(!empty($params['desc']))
		{
			$desc ='<div class="mw-additional-info">
					<p>'.$params['desc'].' </p>
			</div>';
		}
		
		
		$dark_mode = 'dark-mode-white';
		if(!empty($params['color_mode']) && $params['color_mode'] == 'dark')
		{
			$dark_mode = 'dark-mode-en';
		}
		$dependent_field = '';
		if(!empty($params['dependent_fields']) && $params['dependent_fields'] == 'yes')
		{
			$dependent_field = '<input type="hidden" name="category" value="" />';
		}
		
		$html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$html = $inner_childs = '';$term_img = $term_name = '';
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-category');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$html.=
						'<div class="col-md-3 col-sm-4 col-12 brand_clients">
						<a href="'.esc_url(max_set_url_params_multi($search_page, array('category' =>$get_term->slug))).'">
							<div class="brands-honda">
								<span class="mks-3">
									<img src="'.esc_url($data['image']).'" alt="'.esc_attr($get_term->name).'">
								</span>
							</div>
						</a></div>';
					}
				}
			}
		}
		$form_html = '';
		if(!empty($params['show_form']) && $params['show_form'] == 'yes')
		{
			$form_html = '<div class="col-xl-5 col-lg-12 col-md-12 col-sm-12 col-12">
            <div class="form-id">
            <form class="csearch_form '.esc_attr($dark_mode).'" action="'.esc_url($search_page).'">
              <div class="row">
                '.maxwheels_framework_render_filters_cols($params['filter_array'], $params['show_labels'],$params['dependent_fields']).'
				<div class="col-md-12 col-sm-12 col-lg-'.esc_attr($params['btncolumn_size']).' col-12 col-xl-'.esc_attr($params['btncolumn_size']).'">
					<div class="form-group mb-0">
						<button type="submit" class="btn btn-theme btn-block">'.esc_html($params['btn_text']).'</button>
					</div>
				</div>
			  '.$dependent_field.'
			  </div>
            </form>
          </div>
		  </div>';
		}
		return '
		<section class="hero-section maxwheels-new-hero">
       <div class="row">
           <div class="col-xl-7 col-xxl-7  col-md-12 col-sm-12 welcom-heading col-12">
               <div class="search-heading">
                  '.$sub_title_text.'
                   '.$main_heading.'
               </div>
            	'.$desc.'
				<div class="brands-client">
					<div class="row justify-content-center align-items-center text-center">
						'.$html.'
					</div>
				</div>
           </div>
		   '.$form_html.'
       </div>
       <!--End Row-->
     </section><div class="clearfix"></div>';
	}
}
	
//Hero Classic
if( !function_exists('maxwheels_elementor_hero_classic') )
{
	function maxwheels_elementor_hero_classic($params)
	{
		$search_page = '#';
		$main_btn = $meta_query = $top_title = $show_data = $background = $main_img = $sub_title = $sec_btn = $main_btn = $desc = $main_heading = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
		if(!empty($params['heading_text']))
		{
			$main_heading = '<h2>'.maxwheels_framework_color_text($params['heading_text']).'  </h2>';
		}
		if(!empty($params['desc']))
		{
			$desc ='<div class="mw-additional-info">
					<p>'.$params['desc'].' </p>
			</div>';
		}
		
		
		$dark_mode = 'dark-mode-white';
		if(!empty($params['color_mode']) && $params['color_mode'] == 'dark')
		{
			$dark_mode = 'dark-mode-en';
		}
		$dependent_field = '';
		if(!empty($params['dependent_fields']) && $params['dependent_fields'] == 'yes')
		{
			$dependent_field = '<input type="hidden" name="category" value="" />';
		}
		$html = '';
		if(!empty($params['types']) && is_array($params['types']) )
		{
			$html.= '<div class="col-lg-12 col-sm-12 col-xl-7"><div class="my-car owl-carousel owl-theme">';
			$button = '';
			$inner_childs = '';$term_img = $term_name = '';
			foreach($params['types'] as $data)
			{
				if(!empty($data['btn_desc']) && $data['btn_url'] != '')
				{
					$button = '<a href="'.esc_url($data['btn_url']).'" class="btn btn-theme" target="_blank">'.esc_html($data['btn_desc']).'</a>';
				}
				$html.='<div class="item ">
				   <div class="max-hero7-cars align-items-center justify-content-between">
				  <img src="'.esc_url($data['make_logo']).'" alt=""  class="img-fluid p-make-logo">
				  <h1>'.maxwheels_framework_color_text($data['main_text']).'</h1>
					   <div class="max-hero7-img">
						 <img src="'.esc_url($data['image']).'" alt=""  class="img-fluid">
					   </div>
					    <div class="max-hero7-text">
						 <p>'.$data['short_desc'].'</p>
						 '.$button.'
					   </div>
					 </div>
				</div>';
			}
			$html .= '</div></div>';
		}
		$trend_cats = $heading = $show_bar = '';
		if(!empty($params['show_bar']) && $params['show_bar'] == 'yes')
		{
			if(!empty($params['sub_title']))
		    {
				$heading = '<h4>'.esc_html($params['sub_title']).' : </h4>';
		    }
			if(!empty($params['categories']) && is_array($params['categories']) && count($params['categories']) > 0)
		    {
				$trend_cats.='<div class="trend-keys"><div class="trending-words owl-carousel owl-theme">';
				foreach($params['categories'] as $data)
				{
					$get_term = get_term_by('slug', $data, 'mw-category');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$trend_cats.='<div class="item text-center"><a href="'.esc_url($search_page)."?category=".$get_term->slug.'">'.esc_html($get_term->name).'</a></div>';
					}
				}
				$trend_cats.='</div></div>';
			}
			$show_bar = '<section class="short-types">
			  <div class="container">
				<div class="row">
					<div class="col-lg-12 col-sm-12 col-xl-7 ms-auto col-12">
					<div class="row">
					 <div class="col-md-3 col-12">
					 '.$heading.'
					 </div>
					 <div class="col-md-9 ms-auto col-12">
					 '.$trend_cats.'
					 </div>
					 </div>
					</div>
				</div>
			  </div>	
			</section>';
		}
		return '<section class="dx max-hero-9 p-relative">
		  <div class="container">
			<div class="row">
			  <div class="col-lg-12 col-sm-12 col-xl-5 p-relative">
				<div class="max-hero9-form '.esc_attr($dark_mode).'">
				  <form action="'.esc_url($search_page).'">
					<div class="row">
					  '.maxwheels_framework_render_filters_cols($params['filter_array'], $params['show_labels'],$params['dependent_fields'],'yes').'
					   <div class="col-md-12 col-sm-12 col-lg-'.esc_attr($params['btncolumn_size']).' col-12 col-xl-'.esc_attr($params['btncolumn_size']).'">
						 <button type="submit" class="btn btn-theme btn-block">'.esc_html($params['btn_text']).'</button>
						</div>
					  '.$dependent_field.'  
					</div>
				  </form>
				</div>
			  </div>
			   '.$html.'
			</div>
		  </div>
		</section>
		'.$show_bar.'';
	}
}

//Hero Section 2
if( !function_exists('maxwheels_elementor_hero2') )
{
	function maxwheels_elementor_hero2($params)
	{
		$meta_query = $top_title = $show_data = $background = $main_img = $sub_title = $sec_btn = $main_btn = $desc = $main_heading = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
		if(!empty($params['sub_title']))
		{
			$sub_title = '<h1>'.esc_html($params['sub_title']).' </h1>';
		}
		if(!empty($params['heading_text']))
		{
			$main_heading = '<h2>'.maxwheels_framework_color_text($params['heading_text']).' </h2>';
		}
		if(!empty($params['desc']))
		{
			$desc = '<p>'.$params['desc'].' </p>';
		}
		if(!empty($params['image']))
		{
			$main_img = '<div class="sec-img">
							<img src="'.esc_url($params['image']).'" alt="" class="img-fluid">	   
  						</div>	';
		}
		if(!empty($params['background']))
		{
			$background = '<div class="build-bg">
    			<img src="'.esc_url($params['background']).'" alt="" class="img-fluid">	   
  			 </div>';
		}
		
		if(!empty($params['widget_type']) && $params['widget_type'] == 'agencies')
		{
			$search_page = maxwheels_framework_get_link('page-agencies-search.php');
		}
		else if(!empty($params['widget_type']) && $params['widget_type'] == 'agents')
		{
			$search_page = maxwheels_framework_get_link('page-agents-search.php');
		}
		else
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
		}
		
		if(!empty($params['top_title']))
		{
			$top_title = '<h3>'.esc_html($params['top_title']).'</h3>';
		}
		if(!empty($params['selection_type']) && $params['selection_type']!="no")
		{
			$list = '';
			$post_type = 'mw-dealer';
			if($params['selection_type'] == 'dealers')
			{
				
					$post_type = 'mw-dealer';
					$post_status = array(
						'key'       => 'dealer_status',
						'value'     => '1',
						'compare'   => '=',
					);
			}
			
			if($params['selection_status'] == 'featured' && $params['selection_type'] == 'dealers')
			{
				$meta_query = array(
					'key'       => 'mw_sponsored_profile',
					'value'     => '1',
					'compare'   => '=',
				);
			}
			
			
			
			$args	=	array
			(
				'post_type' => $post_type,
				'post_status' => 'publish',
				'posts_per_page' => $params['limit'],
				'meta_query'    => array(
				    $post_status,
					$meta_query,
				),
				'orderby'  => 'DATE',
				'order'=> 'DESC',
		  );
		  $results = new WP_Query( $args );
		  if ($results->have_posts())
		  {
			   $views = '';
			   $list.= '<ul class="list-unstyled">';
				while ($results->have_posts())
				{
					$results->the_post();
					$post_id = get_the_ID();
					if(intval(get_post_meta($post_id, 'mw_'.$params['selection_type'].'_singletotal_views', true)!=""))
					{
						$views = '<span class="myview">'.esc_html__("Views : ", 'maxwheels-framework').'  '.maxwheels_number_format_short(get_post_meta($post_id, 'mw_'.$params['selection_type'].'_singletotal_views', true)).'</span>';
					}
					$list.= '<li class="list-inline-item">
					<span>
						<a href="'.esc_url(get_the_permalink($post_id)).'">'.maxwheels_responsive_images($post_id,'full',$params['selection_type'],'img-fluid').'</a>
						
					</span>
					'.$views.'
					</li>';
				}
				wp_reset_postdata();
				$list.= '</ul>';
		  }
			$show_data = '<div class="top-agencies">
				  '.$top_title.'
					  <div class="agencies">
						   '.$list.' 
					  </div>	 
				 </div>';
		}
return '<section class="ag-hero">
<div class="container">
 <div class="row">
 <div class="col-12 ag-hero-inner">
  <div class="row">	 
  <div class="col-md-12 col-lg-8 mx-lg-auto col-xl-7 mx-xl-0">
   <div class="search-data ms-auto">
	'.$sub_title.'
	'.$main_heading.'
	 '.$desc.'
	 <form action="'.esc_url($search_page).'" method="get">
	  <div class="search-box">
		  <div class="search-inner left">
			<div class="input-field first">
            <label class="mb-0">'.esc_html__("Explore", 'maxwheels-framework').'</label>
            <div class="typeahead__container custom-style-frontend">
            <div class="typeahead__field">
                <div class="typeahead__query">
                    <input name="by_title" value="" autocomplete="off" type="search" class="for_single_pages form-control short-multi " placeholder="'.esc_attr__("What are you looking for...", 'maxwheels-framework').'">
                </div>
            </div>
        </div>
          </div>
		  <input type="hidden" name="widget_type" value="'.esc_attr($params['widget_type']).'">  
		  <button type="submit"><i class="fas fa-search"></i> '.esc_html__("Search", 'maxwheels-framework').' </button> 
		   </div>
	  </div> 
	  </form>
	  '.$show_data.' 
   </div>	 
  </div>
  </div>	  
</div>	  
 </div>	
</div>	
</section>	
<div class="clearfix"></div>';
	}
}

//Hero Section 3
if( !function_exists('maxwheels_elementor_hero3') )
{
	function maxwheels_elementor_hero3($params)
	{
		$search_page = '#';
		$main_btn = $meta_query = $top_title = $show_data = $background = $main_img = $sub_title = $sec_btn = $main_btn = $desc = $main_heading = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
		if(!empty($params['heading_text']))
		{
			$main_heading = ' <h1 class="text-white">'.maxwheels_framework_color_text($params['heading_text']).'  </h1>';
		}
		if(!empty($params['desc']))
		{
			$desc = '<p class="lead">'.$params['desc'].' </p>';
		}
		if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['title']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = '<a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme">'.esc_html($params['main_btn']['title']).'</a>';
		}
		$over_layclass = '';
		if($params['overlay_style'] == 'yes')
		{
			$over_layclass = 'custom-overlay';
		}
		return '<section class="hero-section-trans '.esc_attr($over_layclass).' background-img">
                <div class="row align-items-center justify-content-between">
                    <div class="col-md-12 col-sm-12 col-lg-7 col-12">
                        <div class="hero-content-left text-white">
                           '.$main_heading.'
                            '.$desc.'
                            '.$main_btn.'
                        </div>
                    </div>
                    <div class="col-md-12 col-lg-5 col-sm-12 col-12">
                        <div class="inner-column">
                            <h2>'.esc_html($params['tagline']).'</h2>
                            <div class="banner-form">
                                <form class="form-join" action="'.esc_url($search_page).'">
									'.maxwheels_framework_render_filters($params['filter_array']).'
									<div class="form-group  mb-0">
										<button class="btn btn-theme btn-block" type="submit">'.esc_html($params['btn_text']).'</button>
									</div>
                                </form>
                            </div>

                        </div>
                    </div>
                </div>
    </section>';
	}
}

//Hero Section 4
if( !function_exists('maxwheels_elementor_hero4') )
{
	function maxwheels_elementor_hero4($params)
	{
		$main_heading = $desc = $search_page = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
		if(!empty($params['heading_text']))
		{
			$main_heading = '<h3 class="text-white">'.maxwheels_framework_color_text($params['heading_text']).'  </h3>';
		}
		if(!empty($params['tagline']))
		{
			$desc = '<span class="short-desc">'.esc_html($params['tagline']).' </span>';
		}
		
		return '<section class="maxwheels-elegent">
        <div class="container">
            <div class="cotnent-box">
                <div class="title-box">
					'.$main_heading.'
                    '.$desc.'
                </div>
                   <form class="main-home-page" method="get" action="'.esc_url($search_page).'">
                        <div class="row">
                           '.maxwheels_framework_render_filters_elegent($params['filter_array'],'no').'
                            <div class="form-group col-lg-2 col-md-12 col-sm-12 text-end">
                                <button type="submit" class="btn btn-theme h-100">'.esc_html($params['btn_text']).'</button>
                            </div>
                        </div>
                    </form>
            </div>
        </div>
    </section>';
		
		return '<section class=" my-hero-four">
         <div class="container">
            <div class="row justify-content-center">
               <div class="col-xl-8 col-xxl-8 col-lg-12 col-12 text-center">
                  <div class="hero-four-content">
					     '.$desc.'
                     	 '.$main_heading.'
                     </div>
					<form method="get" action="'.esc_url($search_page).'">
						<div class="classic-search-bar">
							  <div class="search-inner left">
							  '.maxwheels_framework_render_filters_style_two($params['filter_array']).'
							  <button type="submit"><i class="fas fa-search"></i> '.esc_html($params['btn_text']).' </button> 
							 </div>
						</div> 
					</form>
               </div>
            </div>
         </div>
      </section>';
	}
}

//Hero Section 5
if( !function_exists('maxwheels_elementor_hero5') )
{
	function maxwheels_elementor_hero5($params)
	{
		$img_html =  $main_heading = $desc = $search_page = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
		if(!empty($params['heading_text']))
		{
			$main_heading = ' <h1>'.maxwheels_framework_color_text($params['heading_text']).'  </h1>';
		}
		if(!empty($params['tagline']))
		{
			$desc = '<p>'.esc_html($params['tagline']).' </p>';
		}
		$count_html = '';
		if(!empty($params['listing_count']))
		{
			$final_data = '';
			$count_prop = wp_count_posts('mx-listings');
			$final_data = str_replace('%count%', '<span>' . $count_prop->publish . '</span>',$params['listing_count']);
			$count_html = '<p class="prop-stats">'.$final_data.'</p>';
		}
        $direction = 'text-start';
        if(is_rtl())
        {
            $direction = 'text-end';
        }
		return '<section class=" my-hero-four hero-type-5">
         <div class="container">
            <div class="row justify-content-start">
               <div class="col-xl-7 col-xxl-7 col-lg-12 col-md-12 col-12 '.esc_attr($direction).'">
                  <div class="hero-four-content">
				  '.$count_html.'
				  '.$main_heading.'
                     '.$desc.'
					 <form method="get" action="'.esc_url($search_page).'">
						<div class="classic-search-bar">
							  <div class="search-inner left">
							  '.maxwheels_framework_render_filters_style_two($params['filter_array']).'
							  <button type="submit"><i class="fas fa-search"></i> '.esc_html($params['btn_text']).' </button> 
							 </div>
						</div> 
					</form>	
                  </div>
               </div>
            </div>
         </div>
      </section>';
	}
}

//Hero Section 6
//Hero Section 7
//Hero Section 8


//Blocks
if( !function_exists('maxwheels_elementor_block') )
{
	function maxwheels_elementor_block($params)
	{
		$margin = $icon = $blocks_html = '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			$count  = 1;
			foreach($params['blocks'] as $data)
			{
				if(!empty($data['icon']['value']))
				{
					$icon = '<i class="'.esc_attr($data['icon']['value']).'"></i>';
				}
				if ($count%3 == 0)
				{
					$margin = 'margin-bottom-30';
				}
				/*echo'<style>
				   .hover-class-'.esc_attr($count).':hover {
					background: url("'.$data['image'].'") no-repeat scroll center center / cover;
					color: #fff;
					border-radius: 4px;
					height: auto;
				  }
    			</style>';*/
				$blocks_html .= '<div class="col-sm-12 col-md-6 col-lg-4 col-xl-4 '.esc_attr($margin).'">
					<div class="pro-detail hover-class-'.esc_attr($count).'">
					  <div class="parali"> <span class="icons">'.$icon.'</span>
						<h2 class="text-capitalize">'.esc_html($data['title']).'</h2>
						<p class="mb-0">'.$data['content'].'</p>
					  </div>
					</div>
				  </div>';
				$count++;	  
			}
		}
		
		return '<div class="home-6-sec2 ">
  <div class="container">
    <div class="row">
		'.$blocks_html.'
    </div>
  </div>
</div>';
	}
}


//All Listings
if( !function_exists('maxwheels_elementor_all_listings') )
{
	function maxwheels_elementor_all_listings($params,$no_container = '')
	{
		
		$loadmore_btn = $heading_zone = '';
		require MaxWheels_Plugin_Path . 'plugin-files/shortcodes/listings.php';
		if ($results->max_num_pages > 1 )
		{
			$loadmore_btn = '<div class="is-show-load-more fetch-more-records text-center">
						<button type="button" class="fetch_dynamic_results btn btn-theme sonu-button margin-bottom-30 margin-top-10" data-limit="'.esc_attr($params['no_of_post']).'" data-listingtype="'.esc_attr($params['listing_type']).'" data-orderby="'.esc_attr($params['orderby']).'" data-layouttype="'.esc_attr($params['layout']).'"  data-typestatus="'.esc_attr($params['listing_status']).'" data-locationid="'.esc_attr($params['location_id']).'" data-maxpages="'.esc_attr($results->max_num_pages).'" data-category="'.esc_attr($cat_ids).'" data-page="1" data-coltype="'.esc_attr($params['listing_column']).'">'.esc_html__('Load More','maxwheels-framework').'</button>
					</div>';
		}
		if(!empty($no_container) && $no_container == 'no')
		{
			return '<section class="all-listings">
						<div class="row grids dynamic_loading">
						'.$fetch_output.'
						</div>
						'.$loadmore_btn.'
		   	   </section>';
		}
		else
		{
			return '<section class="all-listings">
							<div class="row grids dynamic_loading">
							'.$fetch_output.'
							</div>
							'.$loadmore_btn.'
				   </section>';
		}
	}
}

	
//Dealers Slider
if( !function_exists('maxwheels_elementor_dealers_slider') )
{
	function maxwheels_elementor_dealers_slider($params)
	{
		
		$slider_html = '';
		if(!empty($params) && is_array($params))
		{
			$slider_html = '';
			//order
			$order = 'DESC';
			$order_by = 'date';
			if ($params['orderby'] == 'asc')
			{
				$order = 'ASC';
			}
			if ($params['orderby'] == 'desc')
			{
				$order = 'DESC';
			}
			if ($params['orderby'] == 'rand')
			{
				 $order_by = 'rand';
			}
			//listing type
			if ($params['listing_status'] == 'simple')
			{
				$listing_type = array(
					'key' => 'mw_sponsored_profile',
					'value' => 0,
					'compare' => '=',
				 );
			}
			else if ($params['listing_status'] == 'sponsored')
			{
				$listing_type = array(
					'key' => 'mw_sponsored_profile',
					'value' => 1,
					'compare' => '=',
				 );
			}
			else
			{
				$listing_type ='';
			}
			$args	=	array
			(
				'post_type' => 'mw-dealer',
				'post_status' => 'publish',
				'posts_per_page' => $params['no_of_post'],
				'paged' => 1,
				'meta_query'    => array(
					array(
						'key'       => 'dealer_status',
						'value'     => '1',
						'compare'   => '=',
					),
					$listing_type,
				),
				'order'=> $order,
				'orderby' => $order_by,
			);
            //print_r($listing_type);
			$all_data = array();
			$results = new WP_Query($args);
			if ($results->have_posts())
			{
				$deals = array();
				$allowed_html = maxwheels_allowed_html();
				?>
				<div class="fr-jobs-main-content">
					<?php if(!empty($params['heading_text'])) { ?>
					<div class="fr-n-style"><?php echo maxwheels_framework_color_text($params['heading_text']); ?></div>
					<?php } ?>
					<div class="dealers-slide owl-carousel owl-theme">
					<?php	
					while ($results->have_posts())
					{
						$author_listing = array();
						$extra_detials = $rating_html = $ratings = $type = $posted_id  = $post_author_id = $image_id = '';
						$results->the_post();
						$dealer_id = get_the_ID();
						$post_author_id = get_post_field('post_author', $dealer_id);
						$posted_id      = get_user_meta($post_author_id, 'mw_post_id' , true );
						$type 			= get_user_meta($post_author_id, 'user_role_type', true);
						$ratings        = maxwheels_reviews_stats_average($posted_id,'mw-dealer','dealer');
						?>
						<div class="item">
						<div class="max-home-car-details">
							<div class="max-home-car-img">
								<a href="<?php echo esc_url(get_the_permalink($posted_id)); ?>"><img src="<?php echo esc_url(maxwheels_placeholder_images($type,$posted_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid"></a>
							</div>
							<div class="max-home-d-details">
							<?php if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0) { ?>
							<div class="p4-ratings">
								<span class="ratings"> <?php echo wp_kses($ratings['total_stars'],$allowed_html) ; ?><span class="rating-counter"> <?php echo wp_sprintf(esc_html__('(%s Reviews)', 'maxwheels-framework'), $ratings['rated_no_of_times']); ?></span></span>
							</div>	
							<?php } ?>
								<h3><a class="clr-black" href="<?php echo esc_url(get_the_permalink($posted_id)); ?>"><?php echo get_the_title($posted_id); ?></a></h3>
							   <?php if(get_post_meta($posted_id, 'dealer_street_addr', true )!="" || get_post_meta($posted_id, 'dealer_mobile', true )!="")
							   {
							   ?>
								<div class="prof4-extra-details text-start ">
									<ul>
										<?php if(get_post_meta($posted_id, 'dealer_street_addr', true )!="") { ?>
										<li><img class="inline-mw-prof-details img-fluid" src="<?php echo trailingslashit( get_template_directory_uri () ) . "libs/images/location-pin.png"; ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>"><span ><?php echo esc_html(get_post_meta($posted_id, 'dealer_street_addr', true )); ?></span>
										</li>
										<?php } ?>
										<?php if(get_post_meta($posted_id, 'dealer_mobile', true )!="") { ?>
										<li>
											 <img class="inline-mw-prof-details img-fluid" src="<?php echo trailingslashit( get_template_directory_uri () ) . "libs/images/phone-call.png"; ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>"> <span class="mw-show-phone" data-tel="<?php echo esc_attr(get_post_meta($posted_id, 'dealer_mobile', true )); ?>"><a href="javascript:void(0)"><?php echo esc_html__('Show Number','maxwheels-framework'); ?></a></span>
										</li>
										<?php } ?>
									</ul>
								</div>
								<?php
								}
								?>
							</div>
							<?php
							if(!empty($dealer_id) && !empty($post_author_id))
							{
								$listing_args	=	array
								(
									'post_type' => 'mx-listings',
									'post_status' => 'publish',
									'posts_per_page' => 4,
									'paged' => 1,
									'fields' => 'ids',
									'author__in'=> $post_author_id,
									'meta_query'    => array(
										array(
											'key'       => 'mw_status',
											'value'     => '1',
											'compare'   => '=',
										),
									),
									'order'=> 'DESC',
									'orderby' => 'date',
								);
								$listing_results = new WP_Query($listing_args);
								if ($listing_results->have_posts())
								{
							?>
									<div class="max-home-detail-list">
										<ul>
											<?php
											$category = '';
											while ($listing_results->have_posts())
											{
												$listing_results->the_post();
												$mw_id = get_the_ID();
												$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
												$search_page = maxwheels_framework_get_link('page-listing-search.php');
												$object_terms = array();
												$object_terms = wp_get_object_terms($mw_id, 'mw-category', array('fields' => 'all_with_object_id', 'parent' => 0 ));
												if(!empty($object_terms) && !is_wp_error($object_terms) && is_array($object_terms) && count($object_terms) > 0)
												{
													foreach ($object_terms as $the_status)
													{
														$category ='<a href="'.esc_url($search_page)."?category=".$the_status->slug.'">'.esc_html( $the_status->name ).'</a>';
													}
												}
											?>	
											<li>
												<div class="max-home-list-iimg">
													<a class="clr-black" href="<?php echo esc_url(get_the_permalink($mw_id)).'">'.maxwheels_responsive_images($mw_id,'maxwheels-small-thumb','listing'); ?></a>
												</div>
												<div class="max-home-list-details">
													<span><?php echo $category; ?></span>
													<h3><a href="<?php echo esc_url(get_the_permalink($mw_id)); ?>"> <?php echo maxwheels_title_limit($mw_id,35); ?></a></h3>
													<p><?php echo esc_html($get_all_prices) ; ?></p>
												</div>
											</li>
											<?php
											}
											wp_reset_postdata();
											?>
										</ul>
									   <a href="<?php echo esc_url(get_the_permalink($posted_id)); ?>" class="btn btn-theme"><?php echo esc_html__('View More','maxwheels-framework'); ?></a>
									</div>
							<?php
								}
							}
						   ?>
				</div>
						</div>
						<?php
					}
					wp_reset_postdata();
					?>
					</div>
				</div>
				<?php	
			};
		}
	}
}

//All Blogs
if( !function_exists('maxwheels_elementor_all_blogs') )
{
	function maxwheels_elementor_all_blogs($params)
	{
        $postion = 'pl-3';
        if(is_rtl())
        {
            $postion = 'pr-3';
        }
		$comments_count = $thumbnail = $blog_posts = $recent_posts = '';
		$args = array('post_status' => 'publish', 'numberposts' =>$params['no_of_post']);

        $show_posts =  false;
        if(class_exists('SitePress')){
            if (class_exists('Redux')) {
                $sb_show_posts = Redux::getOption('maxwheels_options', 'max_display_post');

                if($sb_show_posts ){
                    $args['suppress_filters'] = true;
                }
                else {
                    $args['suppress_filters'] = false;

                }
            }
        }
		$recent_posts = wp_get_recent_posts( $args );
        foreach( $recent_posts as $recent )
		{
			$separator = ' ';
			$output = '';
			$categories = get_the_category($recent["ID"]);
			if ( ! empty( $categories ) ) {
			foreach( $categories as $category )
			{

				$output .= '<span class="cat">' . esc_html( $category->name ) . '</span>';
				 break;
				
			}
			}
		$thumb = 'maxwheels-blog-grids';										  
		if (wp_is_mobile())
		{
			$thumb = 'full';
		}	
		$thumbnail = '';	
		if ( has_post_thumbnail($recent["ID"]) ):
			$thumbnail = '<div class="entry-media">'.get_the_post_thumbnail($recent["ID"], esc_attr($thumb)) .'</div>';  
		endif;
			
		$blog_posts .= '<div class="col-xl-'.$params['listing_column'].' col-lg-4 col-md-6 col-sm-12 col-12 margin-bottom-30 grid-item">
			<div class="blog-grids">
				<div class="gridz">
					'.$thumbnail.'	
					<div class="entry-body">
						'.trim( $output, $separator ).'
						<h3><a href="'.esc_url(get_the_permalink($recent["ID"])).'">'.esc_html(get_the_title($recent["ID"])).'</a></h3>
						<p>'.wp_trim_words(get_the_excerpt($recent["ID"]), 9).'</p>
						<div class="read-more-date">
							<a href="'.esc_url(get_the_permalink($recent["ID"])).'" title="'.esc_attr(get_the_title($recent["ID"])).'">'.esc_html__('Read More..','maxwheels-framework').'</a>
						</div>
					</div>
				</div>
			</div>
		</div>';	
		}
		wp_reset_query();
		return '<section class="blog-section-2 just-for-home">
						<div class="row grid">
							'.$blog_posts.'
						</div>		
				</section>';
	}
}

//Testimonials
//Modern Testimonials
if( !function_exists('maxwheels_elementor_testimonials_2') )
{
	function maxwheels_elementor_testimonials_2($params)
	{
		$testimonials_html = '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			foreach($params['blocks'] as $data)
			{
				$testimonials_html .= '<div class="eq-height col-xl-4 col-lg-4 col-md-6 col-12">
					<div class="testimonials-item">
						  <div class="client-info">
								  <div class="img">
									 <img src="'.esc_url($data['image']).'" alt="">
								  </div>
								  <div class="client-title">
									   <h4>'.esc_html($data['feedback']).'</h4>
									   <span>'.esc_html($data['type']).'</span>
								  </div>
						   </div>
						 <p>'.esc_html($data['content']).'</p>
					  <i class="fas fa-quote-left"></i>
					</div>
				</div>';
			}
		}
		$partners_html = '';
		if(!empty($params['cleints_blocks']) && is_array($params['cleints_blocks']) && count($params['cleints_blocks']) > 0)
		{
			$partners_html.= '<div class="row">
						  <div class="social-ads owl-carousel owl-theme">';
			foreach($params['cleints_blocks'] as $data)
			{
				$partners_html.= '<div class="item">
				  <div class="col-12 text-center">
					<div class="social-add">
					 <img src="'.esc_url($data['image']).'" alt="" class="img-fluid img-full">
					</div>
				  </div>
				</div>';
			}
			$partners_html.= ' </div>
						</div>';
		}
		return '<section class="testimonials-modern-1">
						<div class="row g-0">
							'.$testimonials_html.'
						</div>
						'.$partners_html.'
				</section>';
	}
}

//Classic Testimonials
if( !function_exists('maxwheels_elementor_testimonials_3') )
{
	function maxwheels_elementor_testimonials_3($params)
	{
		$testimonials_html = '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			foreach($params['blocks'] as $data)
			{
				$testimonials_html .= '<div class="col-12">
					<blockquote>
					 '.esc_html($data['content']).'
					</blockquote>
					<div class="testimonialArrow"></div>
					<div>
					  <img class="user-avatar" src="'.esc_url($data['image']).'" alt="" width="86" height="86" />
					  <div class="author">
						<h3>'.esc_html($data['feedback']).'</h3>
						'.esc_html($data['type']).'
					  </div>
					</div>
     			 </div>
				 ';
			}
		}
		return '<section class="testimonials-classic-1">
							<div class="testimonial-classic owl-carousel owl-theme">
								'.$testimonials_html.'
							</div>	
				</section>';
	}
}
	
//Classic Testimonials
if( !function_exists('maxwheels_elementor_testimonials_4') )
{
	function maxwheels_elementor_testimonials_4($params)
	{
		$testimonials_html = '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			foreach($params['blocks'] as $data)
			{
				$testimonials_html .='<div class="item text-center align-self-center">
					<div class="test-4-img">
					   <img class="user-avatar animated zoomIn" src="'.esc_url($data['image']).'" alt="" width="86" height="86" />
					</div>
					<h3>'.esc_html($data['feedback']).'</h3>
					<span>'.esc_html($data['type']).'</span>
					<blockquote>
					 '.esc_html($data['content']).'
					</blockquote>
				  </div>';
			}
		}
		$left_img = MaxWheels_Theme_Url . 'libs/images/testimonial-left.png';
		$right_img = MaxWheels_Theme_Url . 'libs/images/testimonial-right.png';
		return '<section class="max client-say">
		  <div class="container">
			  <div class="row">
				<div class="col-xl-3 col-md-3 col-sm-3  align-self-center">
				  <div class="img-testimonial-2">
					<img class="l-t-r-1" src="'.esc_url($left_img).'" alt="">
					</div>
				</div>
				<div class="col-xl-6 col-md-12 col-sm-12 col-12">
					<div class="testimonial-4 owl-carousel owl-theme">
						'.$testimonials_html.'
					</div>
				</div>
				<div class="col-xl-3 col-md-3 col-sm-3  align-self-center">
				  <div class="img-testimonial-2">
					<img class="l-t-r-1" src="'.esc_url($right_img).'" alt="">
				  </div>
				</div>
			  </div>
		  </div>
		</section>';
	}
}	

//All Partners
if( !function_exists('maxwheels_elementor_partners') )
{
	function maxwheels_elementor_partners($params)
	{
		$partners_html = '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			foreach($params['blocks'] as $data)
			{
				$partners_html.= '<div class="item">
				  <div class="col-12 text-center">
					<div class="social-add">
					 <img src="'.esc_url($data['image']).'" alt="" class="img-fluid img-full">
					</div>
				  </div>
				</div>';
			}
		}
		return '<section class="about-section-2">
					<div class="row">
					  <div class="social-ads  owl-carousel owl-theme ">
							'.$partners_html.'
					  </div>
					</div>
				</section>';		
	}
}

//Funfacts
if( !function_exists('maxwheels_elementor_funfacts1') )
{
	function maxwheels_elementor_funfacts1($params)
	{
		$counter = $video_html = $tagline = $desc = $main_heading = '';
		if(!empty($params['main_heading']))
		{
			$main_heading = '<h2 class="my-2">'.maxwheels_framework_color_text($params['main_heading']).' </h2>';
		}
		if(!empty($params['tagline']))
		{
			$tagline = '<p class="mb-0 clr-white">'.esc_html($params['tagline']).' </p>';
		}
		if(!empty($params['description']))
		{
			$desc = '<p class="mt-2 clr-white">'.maxwheels_framework_color_text($params['description']).' </p>';
		}
		if(!empty($params['videolink']) && !empty($params['videobg']))
		{
			$video_html = '<div class="col-12 col-sm-12 col-md-12 col-lg-5 col-xl-6">
				<div class="video-img"> <img src="'.esc_url($params['videobg']).'" class="img-fluid" alt=""/>
				  <div class="v-icon"> <a class="txt-dec" href="'.esc_url($params['videolink']).'"> <img src="'.esc_url(MaxWheels_Plugin_Url . 'libs/images/videoicon.png').'" class="img-fluid" alt="agent"> </a> </div>
				</div>
			  </div>';
		}
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			$counter.= '<div class="w-exp"><ul class="list-unstyled">';
			foreach($params['blocks'] as $data)
			{
				$counter.= '<li class="list-inline-item"> <span class="clr-blu"><span class="ab1">'.$data['number'].'</span><span>+</span></span>
                <p>'.esc_html($data['text']).'</p>
              </li>';
			}
			$counter.= '</ul></div>';
		}
		return '<section class="home-6-sec7">
				  <div class="container-fluid pr-0">
					<div class="row g-0">
					  <div class="col-xl-6 col-lg-7 col-md-12 col-sm-12 col-12 align-self-center overlay-text">
						<div class="brs col-sm-12 col-md-12 col-lg-12 col-xl-9 float-end  align-items-center justify-content-center">
						  '.$tagline.'
						  '.$main_heading.'
						  '.$desc.'
						  '.$counter.'
						</div>
					  </div>
					  '.$video_html.'
					</div>
				  </div>
			 </section>';
	}
}

//Minimal Funfacts
if( !function_exists('maxwheels_elementor_funfacts2') )
{
	function maxwheels_elementor_funfacts2($params)
	{
		$fun_html = '';
		if(!empty($params['funfacts']) && is_array($params['funfacts']) && count($params['funfacts']) > 0)
		{
			foreach($params['funfacts'] as $fun)
			{
				$fun_html .= '<div class="col-sm-6 col-lg-3 margin-bottom-30 counter-inner">
					   <span><img src="'.esc_url($fun['icon_img']).'" class="img-fluid" alt=""></span>
					   <div class="min-cont">
					   <b><span class="ag-counter">'.$fun['number'].'</span><span>+</span></b><p>'.esc_html($fun['text']).'</p>
					   </div>
				</div>';
			}
		}
		return '<section class="mimimal-counter">
					  <div class="border-counter">	 
						  <div class="row">
							  '.$fun_html.'
						  </div>
					  </div>	  
			   </section>';
	}
}


//All Agencies
if( !function_exists('maxwheels_elementor_all_dealers') )
{
	function maxwheels_elementor_all_dealers($params)
	{
		$fetch_output = $loadmore_btn = $heading_zone = '';
		require MaxWheels_Plugin_Path . 'plugin-files/shortcodes/dealers.php';
		if ($results->max_num_pages > 1 )
		{
			$margin_top = '';
			if(isset($params['layout']) && $params['layout'] == 'grid6')
			{
				$margin_top = 'margin-top-40';
			}
			$loadmore_btn = '<div class="is-show-load-more fetch-more-records text-center '.esc_attr($margin_top).'">
						<button type="button" class="fetch_dynamic_agencies btn btn-theme agency-btnload margin-bottom-30 margin-top-10" data-limit="'.esc_attr($params['no_of_post']).'" data-listingtype="'.esc_attr($params['type']).'" data-orderby="'.esc_attr($params['order']).'" data-layouttype="'.esc_attr($params['layout']).'" data-maxpages="'.esc_attr($results->max_num_pages).'"  data-page="1" data-coltype="'.esc_attr($params['listing_column']).'">'.esc_html__('Load More','maxwheels-framework').'</button>
					</div>';
		}
		$is_border = '';
		$is_gutter = '';
		$dynamic_loading = 'grid dynamic_loading_agencies';
		$margin_bottom = '';
		$section_class = 'custom-padding';
		if(isset($params['layout']) && $params['layout'] == 'grid6' || $params['layout'] == 'minimal')
		{
			$is_border = 'border-top-left';
			$is_gutter = 'g-0';
			$dynamic_loading = 'dynamic_loading_agencies';
			$section_class = '';
		}

		return '<section class="all-agencies agency-1 agent-section">
						<div class="row '.esc_attr($is_gutter).' '.esc_attr($is_border).' '.esc_attr($dynamic_loading).' ">
						'.$fetch_output.'
						</div>
						'.$loadmore_btn.'
		   	   </section>';
	}
}


//All Agents
if( !function_exists('maxwheels_elementor_all_agents') )
{
	function maxwheels_elementor_all_agents($params)
	{
		$fetch_output = $loadmore_btn = $heading_zone = '';
		require MaxWheels_Plugin_Path . 'plugin-files/shortcodes/agents.php';
		if ($results->max_num_pages > 1 )
		{
			$loadmore_btn = '<div class="fetch-more-records text-center">
						<button type="button" class="fetch_dynamic_agencies btn btn-theme agency-btnload" data-limit="'.esc_attr($params['no_of_post']).'" data-listingtype="'.esc_attr($params['type']).'" data-orderby="'.esc_attr($params['order']).'" data-layouttype="'.esc_attr($params['layout']).'" data-maxpages="'.esc_attr($results->max_num_pages).'"  data-page="1">'.esc_html__('Load More','maxwheels-framework').'</button>
					</div>';
		}
		return '<section class="all-agents agents-section custom-padding">
					<div class="container">
						'.maxwheels_framework_section_headings($params['subtitle'],$params['maintitle'],$params['heading_style']).'
						<div class="row grid dynamic_loading_agents">
						'.$fetch_output.'
						</div>
						'.$loadmore_btn.'
					</div>
		   	   </section>';
	}
}
	
//Categories with subcats
if( !function_exists('maxwheels_elementor_all_makes') )
{
	function maxwheels_elementor_all_makes($params)
	{
		$html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			$html = $inner_childs = '';$term_img = $term_name = '';
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-category');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$html.='<div class="col-6 col-md-2 text-center">
							<a href="'.esc_url($search_page)."?category=".$get_term->slug.'"><img class="lazy img-fluid" alt="" src="'.esc_url($data['image']).'"></a>
						</div>';
					}
				}
			}
		}
		return '<section class="all-makes-1">
				<div class="container">
					<div class="row justify-content-center align-items-center">
						'.$html.'								 
					 </div>
				</div>
			</section>';
	}
}
	
//Categories with subcats
if( !function_exists('maxwheels_elementor_all_makes_two') )
{
	function maxwheels_elementor_all_makes_two($params)
	{
		$html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			$html = $inner_childs = '';$term_img = $term_name = '';
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-category');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$html.='
							<a class="make-s2" href="'.esc_url($search_page)."?category=".$get_term->slug.'">
							<img class="img-fluid" alt="" src="'.esc_url($data['image']).'">
								<h3>'.esc_html($get_term->name).'</h3>
								<span>('.$get_term->count.')</span>
							</a>';
					}
				}
			}
		}
		return '<section class="all-makes-2">
					<div class="row justify-content-center align-items-center">
						'.$html.'								 
				</div>
			</section>';
	}
}
	
//Categories with subcats
if( !function_exists('maxwheels_elementor_all_makes_three') )
{
	function maxwheels_elementor_all_makes_three($params)
	{
		$html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			$html = $inner_childs = '';$term_img = $term_name = '';
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-category');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$html.=
						'<div class="col-xl-2 col-xxl-2 col-lg-3 col-md-4 col-sm-6 col-12 m-30">
						<a  href="'.esc_url($search_page)."?category=".$get_term->slug.'">
						<div class="image-bar">
						<span class="mks-3">
							<img src="'.esc_url($data['image']).'" alt="'.esc_attr($get_term->name).'">
						</span>
						</div>
						<span class="mks-3-name">'.esc_html($get_term->name).'</span></a></div>';
					}
				}
			}
		}
		return '<section class="all-makes-3">
					<div class="row justify-content-center align-items-center text-center">
						'.$html.'								 
					 </div>
			</section>';
	}
}
	
//Categories with subcats	
if( !function_exists('maxwheels_elementor_all_makes_four') )
{
	function maxwheels_elementor_all_makes_four($params)
	{
		//categories
		$sub_cats = $inner_childs = $return_html =  $cat_ids = '';
		$categories = array();
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			$inner_childs = '';$term_img = $term_name = '';
			foreach($params['types'] as $data)
			{
				$inner_childs = ''; $term_img = $term_name = '';
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-category');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						if(!empty($params['logo']) && $params['logo'] =='no')
						{
							$term_img = '<div class="max-bodytype-4-img"><img src="'.esc_url($data['image']).'" alt=""></div>';
						}
						//sub cats
						$sub_cats = get_terms( 'mw-category', array( 'parent' => $get_term->term_id,  'hide_empty'    => false, 'number' => $params['no_of_post'] ) );
						if ( ! empty($sub_cats) ) {
					  $inner_childs .='<ul>';
					  foreach( $sub_cats as $child )
					  {
						$inner_childs .='<li>
							<a href="'.esc_url($search_page)."?category=".$child->slug.'"><p>'.esc_html($child->name).'</p></a> 
							<a href="'.esc_url($search_page)."?category=".$child->slug.'"><i class="fa fa-chevron-right" aria-hidden="true"></i></a>
						</li>';  
					  }
					$inner_childs .='</ul>';
					$return_html .= '<div class="col-lg-6 col-xl-4 col-xxl-3 col-sm-12 col-md-12 col-12">
							<div class="max-bodytype-4">
								  '.$term_img.'
								  <div class="max-bodytype-4-container">
									<h3><a class="clr-black" href="'.esc_url($search_page)."?category=".$get_term->slug.'">'.esc_html($get_term->name).'</a></h3>
									'.$inner_childs.'
									<a href="'.esc_url($search_page)."?category=".$get_term->slug.'" class="btn btn-theme">'.esc_html__('View All','maxwheels-framework').'</a>
								  </div>
							</div>
						</div>';
							
				}
						  
					}
				}
			}
		}
		return '<section class="all-types-with-sub">
				<div class="container">
					<div class="row">
						'.$return_html.'								 
					 </div>
				</div>
			</section>';
	}
}


//Categories with subcats
if( !function_exists('maxwheels_elementor_all_categories') )
{
	function maxwheels_elementor_all_categories($params)
	{
		//categories
		$sub_cats = $inner_childs = $return_html =  $cat_ids = '';
		$categories = array();
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			$inner_childs = '';$term_img = $term_name = '';
			foreach($params['types'] as $data)
			{
				$inner_childs = ''; $term_img = $term_name = '';
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-category');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$term_name = '<div class="categories-text">
							   <h4><a class="clr-black" href="'.esc_url($search_page)."?category=".$get_term->slug.'">'.esc_html($get_term->name).'</a></h4>
							   <span>'.wp_sprintf(__('%s Listings', 'maxwheels-framework'),$get_term->count).'</span>
							   </div>';
						$term_img = '<div class="categories-icon"><div class="img"><img src="'.esc_url($data['image']).'" alt=""></div></div>';
						//sub cats
						$sub_cats = get_terms( 'mw-category', array( 'parent' => $get_term->term_id,  'hide_empty'    => false, 'number' => $params['no_of_post'] ) );
						if ( ! empty($sub_cats) ) {
					  $inner_childs .='<ul class="category-list-data">';
					  foreach( $sub_cats as $child )
					  {
						$inner_childs .='<li>
							<a href="'.esc_url($search_page)."?category=".$child->slug.'">
							'.esc_html($child->name).'<span>('.esc_html($child->count).')</span>
							</a>
						</li>';  
					  }
					$inner_childs .='</ul>';
					$return_html .= '<div class="col-lg-3 col-md-6 col-12">
									<div class="makes-categories">
										<div class="mb-30">
											'.$term_img.'
										    '.$term_name.'
										<div class="make-cat-button">
											<a href="'.esc_url($search_page)."?category=".$get_term->slug.'"><i class="fa fa-angle-right" aria-hidden="true"></i></a>
										</div>
										</div>
										'.$inner_childs.'
										<div class="blog-read-more"> 
         								<a href="'.esc_url($search_page)."?category=".$get_term->slug.'" class="clr-black">'.esc_html__('View All','maxwheels-framework').'<i class="fas fa-long-arrow-alt-right pl-3"></i></a> </div>
									</div>
									
								 </div>';
				}
						  
					}
				}
			}
		}
		return '<section class="all-types">
				<div class="container">
					<div class="row g-00">
						'.$return_html.'								 
					 </div>
				</div>
			</section>';
	}
}
	
//Maxwheels Type With Slider
if( !function_exists('maxwheels_elementor_bodytype_1') )
{
	function maxwheels_elementor_bodytype_1($params)
	{
		$slider_html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$col_size = '2';
			if(!empty($params['btncolumn_size']))
			{
				$col_size = $params['btncolumn_size'];
			}
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-bodytype');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$slider_html .= '<div class="col-12 col-sm-6 col-md-6 col-lg-4 col-xl-3 col-xxl-'.esc_attr($col_size).'">
                            <div class="mydata-attr body-types-makes" data-url="'.esc_url($search_page)."?body-types[]=".$get_term->slug.'">
                                <img src="'.esc_url($data['image']).'" alt="">
								<div class="mk-head">
                                <h3>'.esc_html($get_term->name).'</h3>
								</div>
                            </div>
                        </div>';
					}
				}
			}
		}
		return '<section class="body-type-1">
				<div class="container">
					<div class="row justify-content-center align-items-center">
							'.$slider_html.'
					 </div>
				</div>
			</section>';
	}
}
	
//Maxwheels Type With Slider
if( !function_exists('maxwheels_elementor_simple_category') )
{
	function maxwheels_elementor_simple_category($params)
	{
		$slider_html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$col_size = '2';
			if(!empty($params['btncolumn_size']))
			{
				$col_size = $params['btncolumn_size'];
			}
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-category');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$slider_html .= '<div class="col-4 col-sm-6 col-md-4 col-lg-3 col-xl-3 col-xxl-'.esc_attr($col_size).'">
                            <div class="mydata-attrs body-types-makes">
							  <a href="'.esc_url($search_page)."?category=".$get_term->slug.'">
                                <img src="'.esc_url($data['image']).'" alt="">
								<div class="mk-head">
                                <h3>'.esc_html($get_term->name).'</h3>
								 <span class="cus-clr">'.wp_sprintf(__('%s ads', 'maxwheels-framework'),$get_term->count).'</span>
								</div>
								</a>
                            </div>
                        </div>';
					}
				}
			}
		}
		return '<section class="body-type-1">
					<div class="row justify-content-center align-items-center">
							'.$slider_html.'
					 </div>
			</section>';
	}
}
	
//Maxwheels Type With Slider
if( !function_exists('maxwheels_elementor_simple_category_slider') )
{
	function maxwheels_elementor_simple_category_slider($params)
	{
		$slider_html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-category');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$slider_html .= '<div class="item"><div class="collection-top effect_banner">
						 <a href="'.esc_url($search_page)."?category=".$get_term->slug.'">
							<div class="block-content">
							  <div class="img_block">
								 <img src="'.esc_url($data['image']).'" class="img-fluid" alt="">
							  </div>
							  <div class="title_block">
								<h3 class="title_collection_sub">'.esc_html($get_term->name).'</h3>
								<span class="number_pro_collection_sub">'.wp_sprintf(__('%s ads', 'maxwheels-framework'),$get_term->count).'</span>
							  </div>
							</div>
						  </a>
						</div></div>';
						
						
					}
				}
			}
		}
		return '<section class="new-cat-with-slider">
					<div class="mw-cats-slider owl-carousel owl-theme">
						'.$slider_html.'
					</div>	
			</section>';
	}
}	
	
//Maxwheels Type With Slider
if( !function_exists('maxwheels_elementor_bodytype_2') )
{
	function maxwheels_elementor_bodytype_2($params)
	{
		$slider_html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-bodytype');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$slider_html .= '<div class="item">
							<div class="max-bodytype-3 mydata-attr" data-url="'.esc_url($search_page)."?body-types[]=".$get_term->slug.'"> 
								<img src="'.esc_url($data['image']).'" alt="" class="img-fluid">
							  <ul>
								<li>
								  <h3>'.esc_html($get_term->name).'</h3>
								</li>
								<li class="max-center"> <i class="fa fa-long-arrow-alt-right"></i> </li>
							  </ul>
							</div>
						  </div>';
					}
				}
			}
		}
		return '<section class="max-bodytype-3-slider">
					<div class="row">
						<div class="car-slider owl-carousel owl-theme">
							'.$slider_html.'
						</div>	
					 </div>
			</section>';
	}
}		

//Maxwheels Type With Slider
if( !function_exists('maxwheels_elementor_all_type_with_slide') )
{
	function maxwheels_elementor_all_type_with_slide($params)
	{
		//print_r($params);
		$slider_html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-bodytype');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$slider_html .= '<div class="item">
									<div class="prop-card">
									<div class="mydata-attr card bg-img-cover prop-card-min-height" data-url="'.esc_url($search_page)."?body-types[]=".$get_term->slug.'" style="background-image: url('.esc_url($data['image']).');">
										<div class="card-body">
										  <span class="d-block font-weight-bold">'.wp_sprintf(__('%s Listings', 'maxwheels-framework'),$get_term->count).'</span>
										  <h3 class="text-white">'.esc_html($get_term->name).'</h3>
										</div>
										<div class="card-footer pt-0">
										  <span class="font-weight-bold">'.esc_html__('View Detials','maxwheels-framework').'</span>
										</div>
										<div class="img-overlay-top"></div>
									  </div>
									</div>
								</div>';
					}
				}
			}
		}
		
		return '<section class="all-types">
				<div class="container">
					<div class="row">
						<div class="col-xl-12">
							<div class="prop-types-carsol owl-carousel owl-theme">
								'.$slider_html.'
							</div>
						</div>
					 </div>
				</div>
			</section>';
	}
}
	
	
// Type Categories Boex
if( !function_exists('maxwheels_elementor_all_makes_slider') )
{
	function maxwheels_elementor_all_makes_slider($params)
	{
		$slider_html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-category');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$slider_html .= '<div class="item">
						<div class="grid-premium">
						  <a class="img-holder" href="'.esc_url($search_page)."?category=".$get_term->slug.'"> <img src="'.esc_url($data['image']).'" alt=""></a>
						  <div class="premium-details">
							  <h2> <a href="'.esc_url($search_page)."?category=".$get_term->slug.'">'.esc_html($get_term->name).'</a> </h2>
							 <span>('.wp_sprintf(__('%s Listings', 'maxwheels-framework'),$get_term->count).')</span>
						  </div>
						  </div>
						</div>';
					}
				}
			}
		}
		return '<div class="featured-makes-cry owl-carousel owl-theme">'.$slider_html.'</div>';
	}
}	

// Type Categories Boex
if( !function_exists('maxwheels_elementor_all_type_cat_boxes') )
{
	function maxwheels_elementor_all_type_cat_boxes($params)
	{
		$slider_html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-category');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$slider_html .= '<div class="col-xl-3 col-lg-4 col-md-6 col-12 ">
						<div class="type-3-box translate">
						<a href="'.esc_url($search_page)."?category=".$get_term->slug.'">
						<div class="cat-icons"><img src="'.esc_url($data['image']).'" alt=""></div>
						'.esc_html($get_term->name).'
                       <span>('.esc_html__('Listings', 'maxwheels-framework').$get_term->count.')</span>
						</a>
						</div>
						</div>';
					}
				}
			}
		}
		return '<section class="all-types">
					<div class="row">
							'.$slider_html.'
					 </div>
			</section>';
	}
}

//How It Works One
if( !function_exists('maxwheels_elementor_how_it_works_one') )
{
	function maxwheels_elementor_how_it_works_one($params)
	{
		$fun_html = $blocks_html = $margin = $icon = $blocks_html = '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			$count  = 1;
			foreach($params['blocks'] as $data)
			{
				if(!empty($data['icon']['value']))
				{
					$icon = '<i class="'.esc_attr($data['icon']['value']).'"></i>';
				}
				$blocks_html .= '<div class="col-lg-4 margin-bottom-30">
				   <div class="home-counts ">
					 <div class="counts-inner">
						'.$icon.'
						<span class="numbers">'.esc_html(sprintf('%02d', $count)).'</span>
					   </div> 
				   </div>
				  <div class="work-inner">
				   <div class="work-description">
					 <h4>'.esc_html($data['title']).'</h4> 
					 <p>'.$data['content'].'</p> 
				   </div>	  
				  </div>	 
				 </div>';
				$count++;	  
			}	
		}
		
		if(!empty($params['funfacts']) && is_array($params['funfacts']) && count($params['funfacts']) > 0 && $params['show_fun'] == 'yes')
		{
			foreach($params['funfacts'] as $fun)
			{
				
				$fun_html .= '<div class="col-sm-6 col-lg-3 margin-bottom-30 ">
				 <div class="counter-inner">
					   <span><img src="'.esc_url($fun['icon_img']).'" class="img-fluid" alt=""></span><b><span class="ag-counter">'.$fun['number'].'</span><span>+</span></b><p>'.esc_html($fun['text']).'</p>
				  </div>	
				</div>';
			}
		}
		
		return '<section class="home-work">
  <div class="container">
	<div class="row">
	  '.$blocks_html.'	
   </div>	  
  </div>	 
	 
  <div class="container-fluid px-0">
  <div class="border-counter">	
 <div class="container">	  
  <div class="row">
	'.$fun_html.'
  </div>
 </div>	 
  </div>	  
 </div>	 
 </section>	';
	}
}
	
//How It Works One
if( !function_exists('maxwheels_elementor_how_it_works_two') )
{
	function maxwheels_elementor_how_it_works_two($params)
	{
		$img_position = $fun_html = $blocks_html = $margin = $icon = $blocks_html = '';
		if(!empty($params['section_hiw_list']) && is_array($params['section_hiw_list']) && count($params['section_hiw_list']) > 0)
		{
			$option_lists = $params['section_hiw_list'];
			$count  = 1;
			$item = '';
			foreach ($option_lists as $option_list)
				{
					$right_content = $left_content = $side_btn = $target = $nofollow = '';
					$postion = $option_list['side_image_position'];
					if(isset($postion) && $postion == 'left')
					{
						$left_content = '<div class="col-lg-12 col-xl-6 col-md-12 col-sm-12 col-xs-12">
							<div class="about-grid-margin">
							  <div class="about-grid-img"> <img src="'.$option_list['side_image']['url'].'" alt="'.esc_attr(get_post_meta($option_list['side_image']['id'], '_wp_attachment_image_alt', TRUE)).'" class="img-fluid">
								<div class="about-grid-count">'.sprintf("%02d", $count).'</div>
							  </div>
							</div>
						  </div>';
					}

					if(isset($postion) && $postion == 'right')
					{
						$right_content = '<div class="col-lg-12 col-xl-6 col-md-12 col-sm-12 col-xs-12 ">
							<div class="about-grid-margin">
							  <div class="about-grid-img"> <img src="'.$option_list['side_image']['url'].'" alt="'.esc_attr(get_post_meta($option_list['side_image']['id'], '_wp_attachment_image_alt', TRUE)).'" class="img-fluid">
								<div class="about-grid-count right">'.sprintf("%02d", $count).'</div>
							  </div>
							</div>
						  </div>';
					}
					$section_btn = $option_list['section_btn'];
					$heading_btn_link = $option_list['section_btn_link'];
					if ( !empty( $section_btn ) && $section_btn == 'yes' )
					{  
						$target = $heading_btn_link[ 'is_external' ] ? ' target="_blank"' : '';
						$nofollow = $heading_btn_link[ 'nofollow' ] ? ' rel="nofollow"' : '';
						$side_btn = '<a href="' . esc_url( $heading_btn_link[ 'url' ] ) . '" class="btn btn-theme" ' . $target . ' ' . $nofollow . '>' . $option_list['section_btn_text'] . '</a>';
					}
					
					$item.= '
						'.$left_content.'
						  <div class="col-lg-12 col-xl-6 col-md-12 col-sm-12 col-xs-12">
							<div class="about-grid-content">
							  <h2>'.maxwheels_framework_color_text($option_list['main-heading']).'</h2>
							  <div class="subtitle">'.$option_list['sub-heading'].'</div>
							  <p>'.$option_list['description'].'</p>
							  '.$side_btn.'
							  </div>
						  </div>
						  '.$right_content.'
						  ';
					$count++;
				}
		}
		return '<section class="about-us-grids">
			<div class="row">
			  '.$item.'
			</div>
		</section>';
	}
}

	if ( !function_exists( 'exertio_element_howit_works' ) )
	{
		function exertio_element_howit_works( $params )
		{
			$right_content = $left_content = $target = $nofollow = '';

			

			$item = '';
			$option_lists = $params['section_hiw_list'];
			if(!empty($option_lists))
			{
				$count = 1;
				foreach ($option_lists as $option_list)
				{
					$right_content = $left_content = $side_btn = $target = $nofollow = '';
					$postion = $option_list['side_image_position'];
					if(isset($postion) && $postion == 'left')
					{
						$left_content = '<div class="col-lg-6 col-xl-6 col-md-6 col-sm-12 col-xs-12">
							<div class="about-grid-margin">
							  <div class="about-grid-img"> <img src="'.$option_list['side_image']['url'].'" alt="'.esc_attr(get_post_meta($option_list['side_image']['id'], '_wp_attachment_image_alt', TRUE)).'" class="img-fluid">
								<div class="about-grid-count">'.sprintf("%02d", $count).'</div>
							  </div>
							</div>
						  </div>';
					}

					if(isset($postion) && $postion == 'right')
					{
						$right_content = '<div class="col-lg-6 col-xl-6 col-md-6 col-sm-12 col-xs-12">
							<div class="about-grid-margin">
							  <div class="about-grid-img"> <img src="'.$option_list['side_image']['url'].'" alt="'.esc_attr(get_post_meta($option_list['side_image']['id'], '_wp_attachment_image_alt', TRUE)).'" class="img-fluid">
								<div class="about-grid-count right">'.sprintf("%02d", $count).'</div>
							  </div>
							</div>
						  </div>';
					}
					$section_btn = $option_list['section_btn'];
					$heading_btn_link = $option_list['section_btn_link'];
					if ( !empty( $section_btn ) && $section_btn == 'yes' )
					{  
						$target = $heading_btn_link[ 'is_external' ] ? ' target="_blank"' : '';
						$nofollow = $heading_btn_link[ 'nofollow' ] ? ' rel="nofollow"' : '';
						$side_btn = '<a href="' . esc_url( $heading_btn_link[ 'url' ] ) . '" class="btn btn-theme" ' . $target . ' ' . $nofollow . '>' . $option_list['section_btn_text'] . '</a>';
					}
					
					$item .= '
						'.$left_content.'
						  <div class="col-lg-6 col-xl-6 col-md-6 col-sm-12 col-xs-12">
							<div class="about-grid-content">
							  <h2>'.$option_list['main-heading'].'</h2>
							  <div class="subtitle">'.$option_list['sub-heading'].'</div>
							  <p>'.$option_list['description'].'</p>
							  '.$side_btn.'
							  </div>
						  </div>
						  '.$right_content.'
						  ';
					$count++;
				}
				
			}
		  
			return '<section class="about-us-grids">
					  <div class="container">
					  	<div class="row">
							  <div class="col-lg-12 col-sm-12 col-xl-12 col-xs-12">
								' . exertio_shortcode_section_headings( $params[ 'heading_text' ], $params[ 'heading_description' ], $params[ 'heading_style' ], $params[ 'heading_side_btn' ], $params[ 'heading_side_btn_text' ], $params[ 'heading_side_btn_link' ] ) . '
							</div>
						</div>
						<div class="row">
						  '.$item.'
						</div>
					  </div>
					</section>';
		}
	}


//Our Services
if( !function_exists('maxwheels_elementor_our_services') )
{
	function maxwheels_elementor_our_services($params)
	{
		$fun_html = $blocks_html = $margin = $icon = $blocks_html = '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			$count  = 1;
			foreach($params['blocks'] as $data)
			{
				if(!empty($data['icon']['value']))
				{
					$icon = '<i class="'.esc_attr($data['icon']['value']).'"></i>';
				}
				$blocks_html .= '<div class="eq-height col-xxl-4 col-xl-4 col-md-6 col-lg-6 col-sm-12 col-12">
				<div class="our-process-cycle">
					<img src="'.esc_url($data['image']).'" alt="">
					<h3>'.esc_html($data['title']).'</h3>
					<p>'.$data['content'].'</p>
					<span>'.esc_html(sprintf('%02d', $count)).'</span>
				</div>
			</div>';
				$count++;
			}	
		}
		return '<section class="our-services">
					<div class="row">
							'.$blocks_html.'
					</div>
			</section>';
	}
}
	
//Our Services
if( !function_exists('maxwheels_elementor_our_services1') )
{
	function maxwheels_elementor_our_services1($params)
	{
		$fun_html = $blocks_html = $margin = $icon = $blocks_html = '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			foreach($params['blocks'] as $data)
			{
			  $blocks_html .='<div class="eq-height colxxl-4 col-xl-4 col-md-6 col-lg-6 col-12">
			  <div class="max-bodytype13-text">
				  <img src="'.esc_url($data['image']).'" alt="">
				  <h3>'.esc_html($data['title']).'</h3>
				  <p>'.$data['content'].'</p>
				</div>
			 </div>';		
			}	
		}
		$add_img = '';
		return '<section class="max-bodytype13">
					<div class="row">
						'.$blocks_html.'
					</div>
			</section>';
	}
}

//Our Services
if( !function_exists('maxwheels_elementor_our_services2') )
{
	function maxwheels_elementor_our_services2($params)
	{
		$fun_html = $blocks_html = $margin = $icon = $blocks_html = '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			foreach($params['blocks'] as $data)
			{
			  $blocks_html .='<div class="eq-height col-xl-6 col-sm-12 col-md-6 col-12 col-lg-6">
			  <div class="max-bodytype14-box">
				  <img src="'.esc_url($data['image']).'" alt="">
				  <h3>'.esc_html($data['title']).'</h3>
				  <p>'.$data['content'].'</p>
				</div>
			 </div>';		
			}	
		}
		$heading = $desc = $imgz = $tagline = '';
		if(!empty($params['tagline']))
		{
			$tagline = '<span>'.esc_html($params['tagline']).'</span>';
		}
		if(!empty($params['heading_text']))
		{
			$heading = '<h3>'.esc_html($params['heading_text']).'</h3>';
		}
		if(!empty($params['item_description']))
		{
			$desc = '<p>'.esc_html($params['item_description']).'</p>';
		}
		if(!empty($params['mimage']))
		{
			$imgz = '<div class="max-bodytype14-img">
				<img src="'.esc_url($params['mimage']).'" alt="" class="img-fluid">
			</div>';
		}
		return '<section class="max-ser-2">
					<div class="row">
					<div class="col-lg-12 col-md-12 col-xl-5 col-sm-12  align-self-center">
				  <div class="max-bodytype14-text">
					'.$tagline.'
					'.$heading.'
					'.$desc.'
				  </div> 
				  '.$imgz.'
				</div>
					<div class="col-lg-12 col-md-12 col-xl-7 col-sm-12">
						<div class="row">
							'.$blocks_html.'
						</div>
					</div>		
					</div>
			</section>';
	}
}

//About Us
if( !function_exists('maxwheels_elementor_about_us') )
{
	function maxwheels_elementor_about_us($params)
	{
		$main_btn = $contact_detials = $video_html = $second_image = $content = $signature_img = $profiler_img = $profile_name = $profiler_desi =  $first_image = $main_heading = $tagline = '';
		if(!empty($params['tagline']))
		{
			$tagline = $params['tagline'];
		}
		if(!empty($params['main_heading']))
		{
			$main_heading = $params['main_heading'];
		}
		if(!empty($params['content']))
		{
			$content = $params['content'];
		}
        if(!empty($params['image_signature']))
        {
            $signature_img = '<img src="'.esc_url($params['image_signature']).'" alt="">';
        }
        if(!empty($params['image_profiler']))
        {
            $profiler_img = '<img src="'.esc_url($params['image_profiler']).'" alt="">';
        }
        if(!empty($params['profiler_name']))
        {
            $profile_name = $params['profiler_name'];
        }
        if(!empty($params['profiler_desig']))
        {
            $profiler_desi = $params['profiler_desig'];
        }

        if(!empty($params['first_image']))
		{
			$first_image = '<div class="video-1"><img src="'.esc_url($params['first_image']).'" class="img-fluid" alt=""></div>';
		}
		if(!empty($params['second_image']))
		{
			$second_image = '<div class="video-2"><img src="'.esc_url($params['second_image']).'" class="img-fluid" alt=""></div>';
		}
		if(!empty($params['videolink']))
		{

        $video_html = ' <a href="'.esc_url($params['videolink']).'" class="popup-youtube video-play-button" id="video-btn"><i class="fa fa-play-circle"></i></a>';
		}
	return '
		<section class="new-abt-sec our-experties ">
                 <div class="row align-items-center justify-content-between  ">
                     <div class="col-xl-6 col-lg-12">
                         <div class="info">
                             <div class="sub_title">'.$tagline.'</div>
                             <h2>'.$main_heading.'</h2>
                             <div class="our-experties-desc">
							 '.$content.'
							 </div>
                             <div class="experties-avatar">
                                 <div class="my-sign">'.$signature_img.'</div>
                                 <div class="u-img">'.$profiler_img.'
                                     <h3>'.$profile_name.'</h3>
                                     <span>'.$profiler_desi.'</span>
                                 </div>       
                             </div>
							 '.$main_btn.'
                         </div>
                     </div>
                     <div class="col-xl-6 col-lg-12">
                         <div class="inner-box">
                             <figure class="image-box image-one">
                                 <img src="'.esc_url($params['first_image']).'" alt="image">
                             </figure>
                             <figure class="image-box image-two">
                                 <img src="'.esc_url($params['second_image']).'" alt="image">
                                 <div class="video">
                                     '.$video_html.'
                                 </div>
                             </figure>

                         </div>
                     </div>
                 </div>            
</section>
		';
	}
}

//About Us 1
if( !function_exists('maxwheels_elementor_about_us1') )
{
	function maxwheels_elementor_about_us1($params)
	{
		$main_btn = $contact_detials = $video_html = $second_image = $content = $first_image = $main_heading = $tagline = '';
		if(!empty($params['tagline']))
		{
			$tagline = '<p class="mytag">'.esc_html($params['tagline']).'</p>';
		}
		if(!empty($params['main_heading']))
		{
			$main_heading = '<h3>'.maxwheels_framework_color_text($params['main_heading']).'</h3>	';
		}
		if(!empty($params['content']))
		{
			$content = $params['content'];
		}
		if(!empty($params['first_image']))
		{
			$first_image = '<div class="video-1"><img src="'.esc_url($params['first_image']).'" class="img-fluid" alt=""></div>';
		}
		if(!empty($params['second_image']))
		{
			$second_image = '<div class="video-2"><img src="'.esc_url($params['second_image']).'" class="img-fluid" alt=""></div>';
		}
		if(!empty($params['videolink']))
		{
			$video_html = '<div class="play-btn"><div class="play-inner"><a class="txt-dec count-vid" href="'.esc_url($params['videolink']).'"><i class="fas fa-play"></i></a></div></div>';
		}
		
		if(!empty($params['phone']) || !empty($params['email']))
		{
			$or = $phone = $email = $contact_detials = '';
			if(!empty($params['phone']))
			{
				$phone = '<li class="list-inline-item">
				   <svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 32 32"><path d="M24 13h-2a3.003 3.003 0 0 0-3-3V8a5.006 5.006 0 0 1 5 5z" fill="#626262"/><path d="M28 13h-2a7.008 7.008 0 0 0-7-7V4a9.01 9.01 0 0 1 9 9z" fill="#626262"/><path d="M26 29h-.17C6.18 27.87 3.39 11.29 3 6.23a3 3 0 0 1 2.761-3.221Q5.88 3 6 3h5.27a2 2 0 0 1 1.86 1.26L14.65 8a2 2 0 0 1-.44 2.16l-2.13 2.15a9.36 9.36 0 0 0 7.58 7.6l2.17-2.15a2 2 0 0 1 2.17-.41l3.77 1.51A2 2 0 0 1 29 20.72V26a3 3 0 0 1-3 3zM6 5a1 1 0 0 0-1.003.997q0 .042.003.083C5.46 12 8.41 26 25.94 27a1 1 0 0 0 1.058-.938L27 26v-5.28l-3.77-1.51l-2.87 2.85l-.48-.06c-8.7-1.09-9.88-9.79-9.88-9.88l-.06-.48l2.84-2.87L11.28 5z" fill="#626262"/></svg>
				   <div class="est"><div class="ext-det">'.esc_html__('Contact No','maxwheels-framework').':</div><b>'.esc_html($params['phone']).'</b></div>
		   		  </li>';
			}
			if(!empty($params['email']))
			{
				$email = '<li class="list-inline-item">
				  <svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 32 32"><path d="M19 24H4L3.997 8.906l11.434 7.916a1 1 0 0 0 1.138 0L28 8.91V18h2V8a2.003 2.003 0 0 0-2-2H4a2.002 2.002 0 0 0-2 2v16a2.003 2.003 0 0 0 2 2h15zm6.799-16L16 14.784L6.201 8z" fill="#fff"/><circle cx="26" cy="24" r="4" fill="#fff"/></svg>
				   <div class="est"><div class="ext-det">'.esc_html__('Email Address','maxwheels-framework').':</div><b>'.esc_html($params['email']).'</b></div>
		   		  </li>';
			}
				$contact_detials = '<ul class="list-unstyled">
					'.$phone.'
					'.$email.'
				</ul>';
		}
		if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['title']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = '<div class="read-more"><a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme">'.esc_html($params['main_btn']['title']).'</a></div>';
		}
		
		return '
		
			<div class="row ">
				<div class="col-5">
				<div class="u-container-layout u-valign-middle u-container-layout-1">
                  <h5 class="u-text u-text-1">about company</h5>
                  <h2 class="u-text u-text-2">
                    <span class="u-text-palette-2-base">Premium</span> Hand Car Wash &amp; Detail<br>
                  </h2>
                  <p class="u-text u-text-3">In nulla posuere sollicitudin aliquam ultrices sagittis orci a. Et ultrices neque ornare aenean euismod elementum nisi quis. Faucibus et molestie ac feugiat sed lectus vestibulum. Potenti nullam ac tortor vitae purus faucibus. Et ultrices neque ornare aenean euismod. Laoreet suspendisse...</p>
                  <p class="u-text u-text-4">Images from <a href="https://freepik.com/photos/car" class="u-active-none u-border-2 u-border-palette-2-base u-btn u-button-link u-button-style u-hover-none u-none u-text-body-color u-btn-1">Freepik</a>
                  </p>
                  <a href="https://nicepage.com/css-templates" class="u-border-6 u-border-palette-2-base u-btn u-btn-rectangle u-button-style u-none u-text-body-color u-text-hover-palette-2-base u-btn-2">learn more</a>
                </div>
				</div>
				<div class="col-7">
				<div class="u-container-style u-expand-resize u-layout-cell u-left-cell u-size-30 u-layout-cell-2">
                <div class="u-container-layout u-valign-middle-xl u-container-layout-2">
                  <div class="u-shape u-shape-svg u-text-palette-2-base u-shape-1">
                    <svg class="u-svg-link" preserveAspectRatio="none" viewBox="0 0 160 160" style=""><use xlink:href="#svg-a0bf"></use></svg>
                    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" xml:space="preserve" class="u-svg-content" viewBox="0 0 160 160" x="0px" y="0px" id="svg-a0bf" style="enable-background:new 0 0 160 160;"><path d="M80,30c27.6,0,50,22.4,50,50s-22.4,50-50,50s-50-22.4-50-50S52.4,30,80,30 M80,0C35.8,0,0,35.8,0,80s35.8,80,80,80
	s80-35.8,80-80S124.2,0,80,0L80,0z"></path></svg>
                  </div>
                  <div class="u-image u-image-circle u-image-1"></div>
                  <div alt="" class="u-align-left u-border-18 u-border-palette-2-base u-image u-image-circle u-image-2"></div>
                  <div class="u-palette-2-base u-shape u-shape-circle u-shape-2"></div>
                </div>
              </div>
				</div>
			</div>
		';
		
		return '<div class="u-layout">
            <div class="u-layout-row">
              <div class="u-container-style u-expand-resize u-layout-cell u-left-cell u-size-32-lg u-size-32-md u-size-32-sm u-size-32-xs u-size-35-xl u-layout-cell-1">
                
              </div>
              <div class="u-container-style u-layout-cell u-right-cell u-size-25-xl u-size-28-lg u-size-28-md u-size-28-sm u-size-28-xs u-layout-cell-2">
                
              </div>
            </div>
          </div>';
		
		return '<section class="ag-about">
  <div class="row g-0 margin-bottom-30">
   <div class="col-lg-9 mx-lg-auto col-xl-6">
    <div class="video-top">	   
	<div class="about-video">
	'.$first_image.'
	'.$second_image.'
	'.$video_html.'
	</div>   
    </div>		
   </div>	  
   <div class="col-lg-9 mx-lg-auto col-xl-6">
	<div class="about-content">
	'.$tagline.'
	'.$main_heading.'	
	'.$content.'
	<div class="cal-action">
	   '.$contact_detials.'  
		'.$main_btn.'
	</div>	
	</div>
   </div>	  
  </div>	
</section>';
	}
}
	
//Locations
if( !function_exists('maxwheels_elementor_selective_locations') )
{
	function maxwheels_elementor_selective_locations($params)
	{
		$detials = $locations_html = $img_url = '';
		if(!empty($params['locations']) && is_array($params['locations']) && count($params['locations']) > 0)
		{
			foreach($params['locations'] as $data)
			{
				$term_detail = get_term_by('slug', $data['location_id'], 'mw-location');
				if (!empty($term_detail->slug))
				{
					$detials = '<div class="text-over">
						<span class="texti"><a href="'.get_term_link($term_detail->slug, 'mw-location').'">'.esc_html($term_detail->name).'</a></span><span class="arw"><a href="'.get_term_link($term_detail->slug, 'mw-location').'"><i class="fa fa-angle-right" aria-hidden="true"></i></a></span>
						<p>'.wp_sprintf(__('%s Properties', 'maxwheels-framework'),$term_detail->count).'</p>   
					</div>';
					if(!empty($data['image']))
					{
						$img_url = '<a href="'.get_term_link($term_detail->slug, 'mw-location').'" class="image-link"> <img src="'.esc_url($data['image']).'" class="img-fluid rounded" alt="">  </a>';
					}
					$locations_html.= '<div class="col-sm-6 col-lg-3 col-12 margin-bottom-30">
						<div class="city-inner">
							'.$img_url.'
							'.$detials.'	  
						</div>
					</div>';
				}
			}
		}
		return '<section class="city-property">
				<div class="container">
					<div class="row">
      					'.$locations_html.'
					</div>	
				</div>
			</section>';	
	}
}

//Locations Style 2
if( !function_exists('maxwheels_elementor_selective_locations_style2') )
{
	function maxwheels_elementor_selective_locations_style2($params)
	{
		$detials = $locations_html = $img_url = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
		if(!empty($params['locations']) && is_array($params['locations']) && count($params['locations']) > 0)
		{
			foreach($params['locations'] as $data)
			{
				$term_detail = get_term_by('slug', $data['location_id'], 'mw-location');
				if (!empty($term_detail->slug))
				{
					$detials = '<div class="country-description-overlay">
					   <div class="country-description">
							<h2 class="country-name">'.esc_html($term_detail->name).'</h2>
							<p class="country-ads"> '.wp_sprintf(__('%s Listings', 'maxwheels-framework'),$term_detail->count).' </p>
					   </div>
					</div>';
					if(!empty($data['image']))
					{
						$img_url = '<div class="country-images"><img src="'.esc_url($data['image']).'" class="img-fluid" alt=""></div>';
					}
					$locations_html.= '<div class="col-xl-4 col-sm-12 col-lg-4 col-xs-12 col-md-6"><a href="'.esc_url($search_page)."?location=".$term_detail->slug.'">
					<div class="country-box">
						'.$img_url.'
						'.$detials.'
					 </div>
					  </a></div>';
				}
			}
		}
		return '<section class="cities-section">
					<div class="row">
      					'.$locations_html.'
					</div>
			</section>';	
	}
}
//Our Apps
if( !function_exists('maxwheels_elementor_our_apps') )
{
	function maxwheels_elementor_our_apps($params)
	{
		$img_html = $tagline = $sec_btn = $main_btn = $desc = $main_heading = '';
		if(!empty($params['heading_text']))
		{
			$main_heading = '<h2>'.maxwheels_framework_color_text($params['heading_text']).'</h2>';
		}
		if(!empty($params['desc']))
		{
			$desc = '<p class="margin-top-10">'.maxwheels_framework_color_text($params['desc']).' </p>';
		}
		if(!empty($params['tagline']))
		{
			$tagline = '<p class="app-tag">'.esc_html($params['tagline']).' </p>';
		}
		
		if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['link']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = ' <a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn app-download-button1"> <span class="app-store-btn1"> <i class="fab fa-apple"></i> <span> <span>'.esc_html__('Get It On','maxwheels-framework').'</span> <span>'.esc_html__('Apple Store','maxwheels-framework').' </span> </span> </span> </a>';
			
		}
		if(!empty($params['sec_btn']) && is_array($params['sec_btn']) && !empty($params['sec_btn']['link']))
		{
			$target = $params['sec_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['sec_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$sec_btn = ' <a href="'.esc_url($params['sec_btn']['link']).'" ' . $target . $nofollow . '  class="btn app-download-button1"> <span class="app-store-btn1"> <i class="fab fa-google-play"></i> <span> <span>'.esc_html__('Get It On','maxwheels-framework').'</span> <span>'.esc_html__('Play Store','maxwheels-framework').' </span> </span> </span> </a>';
		}
		if(!empty($params['image']))
		{
			$img_html = '<div class="mobi-1"> <img src="'.esc_url($params['image']).'" class="img-fluid" alt=""/> </div>';
		}
return '<section class="main-home-sec7 text-center align-items-center justify-content-center">
    <div class="container">
      <div class="row margin-bottom-30">
        <div class="col-sm-12 col-md-12 col-lg-7 col-12 mx-auto">
          <div class="hading">
            '.$tagline.'
            '.$main_heading.'
            <div class="clearfix"></div>
            '.$desc.'
			 '.$main_btn.'
			'.$sec_btn.'
          </div>
        </div>
        <div class="col-sm-12 col-md-12 col-lg-7 col-12 mx-auto">
	     '.$img_html.'
        </div>
      </div>
    </div>
  </section>';
	}
}
//Our Apps 2
if( !function_exists('maxwheels_elementor_our_apps2') )
{
	function maxwheels_elementor_our_apps2($params)
	{
		$img_html = $tagline = $sec_btn = $main_btn = $desc = $main_heading = '';
		if(!empty($params['heading_text']))
		{
			$main_heading = '<h2>'.maxwheels_framework_color_text($params['heading_text']).'</h2>';
		}
		if(!empty($params['desc']))
		{
			$desc = '<p class="margin-top-10">'.maxwheels_framework_color_text($params['desc']).' </p>';
		}
		if(!empty($params['tagline']))
		{
			$tagline = '<p class="app-tag">'.esc_html($params['tagline']).' </p>';
		}
		
		if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['link']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = ' <a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn app-download-button1"> <span class="app-store-btn1"> <i class="fab fa-apple"></i> <span> <span>'.esc_html__('Get It On','maxwheels-framework').'</span> <span>'.esc_html__('Apple Store','maxwheels-framework').' </span> </span> </span> </a>';
			
		}
		if(!empty($params['sec_btn']) && is_array($params['sec_btn']) && !empty($params['sec_btn']['link']))
		{
			$target = $params['sec_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['sec_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$sec_btn = ' <a href="'.esc_url($params['sec_btn']['link']).'" ' . $target . $nofollow . '  class="btn app-download-button1"> <span class="app-store-btn1"> <i class="fab fa-google-play"></i> <span> <span>'.esc_html__('Get It On','maxwheels-framework').'</span> <span>'.esc_html__('Play Store','maxwheels-framework').' </span> </span> </span> </a>';
		}
		if(!empty($params['image']))
		{
			$img_html = '<div class="mobi-1"> <img src="'.esc_url($params['image']).'" class="img-fluid" alt=""/> </div>';
		}
return '<section class="main-home-sec7 our-apps-2 bg-light-gray">
      <div class="row">
        <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12 col-xxl-7 col-12">
          <div class="hading">
            '.$tagline.'
            '.$main_heading.'
            <div class="clearfix"></div>
            '.$desc.'
			 '.$main_btn.'
			'.$sec_btn.'
          </div>
        </div>
        <div class="col-sm-12 col-md-12 col-lg-5 col-xl-5 col-xxl-5 col-12 d-none d-xxl-block">
	     '.$img_html.'
        </div>
      </div>
  </section>';
	}
}	
//Call to action 1
if( !function_exists('maxwheels_elementor_call_to_action_one') )
{
	function maxwheels_elementor_call_to_action_one($params)
	{
		$img_html = $tagline = $sec_btn = $main_btn = $desc = $main_heading = '';
		if(!empty($params['heading_text']))
		{
			$main_heading = '<h4>'.maxwheels_framework_color_text($params['heading_text']).'</h4>';
		}
		if(!empty($params['desc']))
		{
			$desc = '<p>'.esc_html($params['desc']).' </p>';
		}
		if(!empty($params['tagline']))
		{
			$tagline = '<h5>'.esc_html($params['tagline']).' </h5>';
		}
		
		if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['title']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = '<a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme">'.esc_html($params['main_btn']['title']).'</a>';
		}
		if(!empty($params['sec_btn']) && is_array($params['sec_btn']) && !empty($params['sec_btn']['title']))
		{
			$target = $params['sec_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['sec_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$sec_btn = '<a href="'.esc_url($params['sec_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme  btn-second">'.esc_html($params['sec_btn']['title']).'</a>';
		}
		return '<div class="section-padding-extra text-center call-actionz '.$params['clr_mode'].'">
            <div class="row">
               <div class="col-xs-12 col-sm-12 col-md-12">
                 <div class="parallex-text">
                  '.$tagline.'
                  '.$main_heading.'
                   '.$desc.'
				   '.$main_btn.'
				   '.$sec_btn.'
                  </div>
               </div>
            </div>
      </div>';
	}
}
//Call to action 2
if( !function_exists('maxwheels_elementor_call_to_action_two') )
{
	function maxwheels_elementor_call_to_action_two($params)
	{
		$img_html = $tagline = $sec_btn = $main_btn = $desc = $main_heading = '';
		if(!empty($params['tagline']))
		{
			$tagline = '<span>'.esc_html($params['tagline']).' </span>';
		}
		if(!empty($params['heading_text']))
		{
			$main_heading = '<h2>'.maxwheels_framework_color_text($params['heading_text']).'</h2>';
		}
		if(!empty($params['desc']))
		{
			$desc = '<p>'.esc_html($params['desc']).' </p>';
		}
		if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['title']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = '<a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme">'.esc_html($params['main_btn']['title']).'</a>';
		}
		if(!empty($params['sec_btn']) && is_array($params['sec_btn']) && !empty($params['sec_btn']['title']))
		{
			$target = $params['sec_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['sec_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$sec_btn = '<a href="'.esc_url($params['sec_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme  btn-second">'.esc_html($params['sec_btn']['title']).'</a>';
		}
		if(!empty($params['image']))
		{
			$img_html = '<div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12  align-self-center ">
			<div class="margin-bottom-30 ">
			 <img src="'.esc_url($params['image']).'" class="img-fluid poly-shadow" alt="">
			 </div>
      		</div>';
		}
		$icon = $blocks_html = '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			foreach($params['blocks'] as $data)
			{
				if(!empty($data['icon']['value']))
				{
					$icon = esc_attr($data['icon']['value']);
				}
				$blocks_html .= '<div class="col col-xl-6 additional-feature mb-4">
					<div class="d-flex align-items-center mb-2">
						<span class="'.esc_attr($icon).' rounded me-3 icon icon-color-2"></span>
						<h5 class="mb-0">'.esc_html($data['title']).'</h5>
					</div>
					<p>'.$data['content'].'</p>
				</div>';
			}
		}
		return '<section class="about-section-2">
		  <div class="container">
			<div class="row">
			  <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12 my-auto">
				<div class="brs margin-bottom-30 ">
				   '.$tagline.'
				   '.$main_heading.'
				   '.$desc.'
					<div class="row">
						'.$blocks_html.'
					</div>
				   '.$main_btn.'
				   '.$sec_btn.'
				  </div>
			  </div>
			  '.$img_html.'
			</div>
		  </div>
		</section>';
	}
}
//Call to action 3
if( !function_exists('maxwheels_elementor_call_to_action_three') )
{
	function maxwheels_elementor_call_to_action_three($params)
	{
		$img_html = $tagline = $sec_btn = $main_btn = $desc = $main_heading = '';
		if(!empty($params['tagline']))
		{
			$tagline = '<span class="heading-6">'.esc_html($params['tagline']).' </span>';
		}
		if(!empty($params['heading_text']))
		{
			$main_heading = '<h2>'.maxwheels_framework_color_text($params['heading_text']).'</h2>';
		}
		if(!empty($params['desc']))
		{
			$desc = '<p class="d-block">'.esc_html($params['desc']).' </p>';
		}
		if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['title']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = '<a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme">'.esc_html($params['main_btn']['title']).'</a>';
		}
        $text = 'text-md-start';
        if(is_rtl())
        {
            $text = 'text-md-end';
        }
		return '<section class="section-lg">
        <div class="parallax-content">
            <div class="row row-30 text-center '.esc_attr($text).'">
              <div class="col-md-10 col-lg-7">
			    '.$tagline.'
                '.$main_heading.'
				'.$desc.'
				'.$main_btn.'
              </div>
            </div>
        </div>
      </section>';
	}
}
 //Call to action 5   
if( !function_exists('maxwheels_elementor_call_to_action_five') )
{
	function maxwheels_elementor_call_to_action_five($params)
	{
		$main_btn = $sec_btn = $img_html =  $main_heading = $desc = $search_page = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
		if(!empty($params['heading_text']))
		{
			$main_heading = '<h2>'.maxwheels_framework_color_text($params['heading_text']).'  </h2>';
		}
		if(!empty($params['tagline']))
		{
			$desc = '<p>'.esc_html($params['tagline']).' </p>';
		}
		$count_html = '';
		if(!empty($params['listing_count']))
		{
			$final_data = '';
			$count_prop = wp_count_posts('property');
			$final_data = str_replace('%count%', '<span>' . $count_prop->publish . '</span>',$params['listing_count']);
			$count_html = '<p class="prop-stats">'.$final_data.'</p>';
		}
        if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['title']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = '<a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme">'.esc_html($params['main_btn']['title']).'</a>';
		}
        $direction = 'text-end';
        if(is_rtl())
        {
            $direction = 'text-start';
        }
		$render_html = $slider_html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'mw-bodytype');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$slider_html .= '<a class="mydata-attr" data-url="'.esc_url($search_page)."?body-types[]=".$get_term->slug.'" href="javascript:void(0)"><span>'.esc_html($get_term->name).'</span></a>';
					}
				}
			}
			
			$render_html = '<div class="max-bodytype-8-bar">
			<div class="row">
				<div class="col-xl-9 col-sm-12 col-md-12 col-lg-9">
					<div class="max-bodytype-8-browse">
						<p>'.$params['keyword_text'].'</p>
						'.$slider_html.'
					</div>
				</div>
			</div>
			</div>';
		}
		return '<section class="max-bodytype-8-img re">
			<div class="row">
				<div class="col-lg-9 col-sm-12 col-md-12 col-xl-10 col-12">
					<div class="max-bodytype-8">
						<div class="max-bodytype8-text">
						'.$main_heading.'
						'.$desc.'
						</div>
					</div>
				</div>
				<div class="col-lg-3 col-md-12 col-xl-2 col-12 align-self-center">
					<div class="max-bodytype8-btn '.esc_attr($direction).'">
						'.$main_btn.'
					</div>
				</div>
			</div>
			'.$render_html.'
	</section>';
	}
}    
//Hero Section 5
if( !function_exists('maxwheels_elementor_hero9') )
{
	function maxwheels_elementor_hero9($params)
	{
		$main_btn = $sec_btn = $img_html =  $main_heading = $desc = $search_page = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
		if(!empty($params['heading_text']))
		{
			$main_heading = ' <h1>'.maxwheels_framework_color_text($params['heading_text']).'  </h1>';
		}
		if(!empty($params['tagline']))
		{
			$desc = '<p>'.esc_html($params['tagline']).' </p>';
		}
		$count_html = '';
		if(!empty($params['listing_count']))
		{
			$final_data = '';
			$count_prop = wp_count_posts('mx-listings');
			$final_data = str_replace('%count%', '<span>' . $count_prop->publish . '</span>',$params['listing_count']);
			$count_html = '<p class="prop-stats">'.$final_data.'</p>';
		}
        if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['title']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = '<a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme">'.esc_html($params['main_btn']['title']).'</a>';
		}
		if(!empty($params['sec_btn']) && is_array($params['sec_btn']) && !empty($params['sec_btn']['title']))
		{
			$target = $params['sec_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['sec_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$sec_btn = '<a href="'.esc_url($params['sec_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme  btn-second">'.esc_html($params['sec_btn']['title']).'</a>';
		}
        $direction = 'text-start';
        if(is_rtl())
        {
            $direction = 'text-end';
        }
		return '<section class="my-hero-four hero-type-modern">
            <div class="row justify-content-start">
               <div class="col-xl-7 col-xxl-7 col-lg-12 col-md-12 col-sm-12 col-12'.esc_attr($direction).'">
                  <div class="hero-four-content">
				  '.$count_html.'
				  '.$main_heading.'
                   '.$desc.'
				   '.$main_btn.'
                   '.$sec_btn.'
                  </div>
               </div>
            </div>
      </section>';
	}
}
	
if( !function_exists('maxwheels_elementor_hero_mod') )
{
	function maxwheels_elementor_hero_mod($params)
	{
		$main_btn = $sec_btn = $img_html =  $main_heading = $desc = $search_page = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
		if(!empty($params['heading_text']))
		{
			$main_heading = ' <h1>'.maxwheels_framework_color_text($params['heading_text']).'  </h1>';
		}
		if(!empty($params['tagline']))
		{
			$desc = '<p>'.esc_html($params['tagline']).' </p>';
		}
		$img1= '';
		if(!empty($params['image']))
		{
			$img1= '<div class="col-xxl-7 col-xl-6 col-lg-12 col-md-12 d-none d-xl-block d-xxl-block"><img class="d-block ms-auto" src="'.esc_url($params['image']).'" alt=""></div>';
		}
        if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['title']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = '<a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme">'.esc_html($params['main_btn']['title']).'</a>';
		}
		if(!empty($params['sec_btn']) && is_array($params['sec_btn']) && !empty($params['sec_btn']['title']))
		{
			$target = $params['sec_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['sec_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$sec_btn = '<a href="'.esc_url($params['sec_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme  btn-second">'.esc_html($params['sec_btn']['title']).'</a>';
		}
        $direction = 'text-start';
        if(is_rtl())
        {
            $direction = 'text-end';
        }
		
		return '<section class="mw-mod-1">
          <div class="row">
            <div class="col-xxl-5 col-xl-6 col-lg-12 col-md-12 col-12">
              '.$main_heading.'
              '.$desc.'
			  '.$main_btn.'
              '.$sec_btn.'
            </div>
            '.$img1.'
		</div>
      </section>';
	}
}	
//Login & Register
if( !function_exists('maxwheels_elementor_log_reg') )
{
	function maxwheels_elementor_log_reg($params)
	{
		$desc2 = $main_heading2 = $main_btn = $sec_btn = $img_html =  $main_heading = $desc = $search_page = '';
		$search_page = maxwheels_framework_get_link('page-listing-search.php');
		if(!empty($params['heading_text']))
		{
			$main_heading = ' <h5>'.maxwheels_framework_color_text($params['heading_text']).'  </h5>';
		}
		if(!empty($params['heading_text2']))
		{
			$main_heading2 = ' <h5>'.maxwheels_framework_color_text($params['heading_text2']).'  </h5>';
		}
		if(!empty($params['item_description']))
		{
			$desc = '<p>'.esc_html($params['item_description']).' </p>';
		}
		if(!empty($params['item_description2']))
		{
			$desc2 = '<p>'.esc_html($params['item_description2']).' </p>';
		}
		$count_html = '';
		
        if(!empty($params['main_btn']) && is_array($params['main_btn']) && !empty($params['main_btn']['title']))
		{
			$target = $params['main_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['main_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$main_btn = '<a href="'.esc_url($params['main_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme">'.esc_html($params['main_btn']['title']).'<i class="fas fa-long-arrow-alt-right"></i></a>';
		}
		if(!empty($params['sec_btn']) && is_array($params['sec_btn']) && !empty($params['sec_btn']['title']))
		{
			$target = $params['sec_btn']['is_external'] ? ' target="_blank"' : '';
		    $nofollow = $params['sec_btn']['nofollow'] ? ' rel="nofollow"' : '';
			$sec_btn = '<a href="'.esc_url($params['sec_btn']['link']).'" ' . $target . $nofollow . ' class="btn btn-theme  btn-second">'.esc_html($params['sec_btn']['title']).'<i class="fas fa-long-arrow-alt-right"></i></a>';
		}
		$img1= '';
		if(!empty($params['image']))
		{
			$img1= '<img src="'.esc_url($params['image']).'" alt="">';
		}
		$img2= '';
		if(!empty($params['image2']))
		{
			$img2= '<img src="'.esc_url($params['image2']).'" alt="">';
		}
       return '<section class="what-to-do">
		<div class="row">
      <div class="col-lg-6 col-12">
        <div class="what-to-doz bg-light-gray">
          <div class="what-to-doz-img">
            '.$img1.'
          </div>
          <div class="what-to-doz-content">
            '.$main_heading.'
            '.$desc.'
            '.$main_btn.'
          </div>
        </div>
      </div>
      <div class="col-lg-6 col-12">
        <div class="what-to-doz bg-light-gray">
          <div class="what-to-doz-img">
            '.$img2.'
          </div>
          <div class="what-to-doz-content">
             '.$main_heading2.'
            '.$desc2.'
            '.$sec_btn.'
          </div>
        </div>
      </div>
    </div>
	 </section>';
	}
}

	
//Search Builder
if( !function_exists('maxwheels_elementor_search_builder') )
{
	function maxwheels_elementor_search_builder($params)
	{
        $mw_search = maxwheels_framework_get_link('page-listing-search.php');

        //$mw_search= max_set_url_params_multi($mw_search);

        //$mw_search=max_listing_page_lang_url_callback('page-listing-search.php');

        //$mw_search=dwt_listing_pagelink(maxwheels_framework_get_link('page-listing-search.php'));

		$class = 'with-labels';
		if($params['show_labels'] == 'yes')
		{
			$class = '';
		}
		$section_title = '';
		if(!empty($params['sec_text']))
		{
 			 $args = array(
           		'post_type' => 'mx-listings',
				'post_status' => 'publish',
				'fields' => 'ids',
				 'meta_query'    => array(
							array(
								'key'       => 'mw_status',
								'value'     => '1',
								'compare'   => '=',
							),
					 )
             );
			$the_query = new WP_Query( $args );
			$section_title = '<div class="col-12 col-xl-12 col-lg-12 ">
			<div class="d-flex"><div><h3>'.maxwheels_framework_color_text($params['sec_text']).'</h3></div>
				<div class="ms-auto hide-on-mb">
					 <h4>
					 '.wp_sprintf( __('%s', 'maxwheels_framework'), '<span class="clr-theme">'.$the_query->found_posts.'</span> '.$params['total_listings'].'').'
					 </h4>
				</div>
 			</div>
			<div class="border-bottom"></div>
			</div>';
			wp_reset_postdata();
		}
		$dark_mode = '';
		if(!empty($params['color_mode']) && $params['color_mode'] == 'dark')
		{
			$dark_mode = 'dark-mode-en';
		}
		$dependent_field = '';
		if(!empty($params['dependent_fields']) && $params['dependent_fields'] == 'yes')
		{
			$dependent_field = '<input type="hidden" name="category" value="" />';
		}
		return '<div class="advanced-search-builder '.esc_attr($dark_mode).'">
                    <div class=" my-from-padding">
                        <form class="mw-adv-search-frm shadow-sm bg-white" method="get" action="'.esc_url($mw_search).'">
                            <div class="row">
                                '.$section_title.'
                                '.maxwheels_framework_render_filters_cols($params['filter_array'], $params['show_labels'],$params['dependent_fields']).'
                                <div class="btn-mw col-md-12 col-sm-12 col-lg-'.esc_attr($params['btncolumn_size']).' col-12 col-xl-'.esc_attr($params['btncolumn_size']).'">
                                    <div class="form-group">
                                        <button type="submit" class="btn '.esc_attr($class).' btn-theme btn-block">'.esc_html($params['btn_text']).'</button>
                                    </div>
                                </div>
                            </div>
							'.$dependent_field.'
                        </form>
                    </div>
        </div>';
	}
}
//Search Builder 2
if( !function_exists('maxwheels_elementor_search_builder2') )
{
	function maxwheels_elementor_search_builder2($params)
	{
		$mw_search = '#';
		$mw_search = maxwheels_framework_get_link('page-listing-search.php');
		$class = 'with-labels';
		if($params['show_labels'] == 'yes')
		{
			$class = '';
		}
		$dependent_field = '';
		if(!empty($params['dependent_fields']) && $params['dependent_fields'] == 'yes')
		{
			$dependent_field = '<input type="hidden" name="category" value="" />';
		}
		return '<div class="search-bar2">
				<div class="search-style-2">
				<form method="get" action="'.esc_url($mw_search).'">
				  <div class="container">
					<div class="row">
					'.maxwheels_framework_render_filters_cols($params['filter_array'], $params['show_labels'],$params['dependent_fields']).'	  
						<div class="col-md-12 col-sm-12 col-lg-12 col-12 col-xl-'.esc_attr($params['btncolumn_size']).'">
							<div class="form-group">
								<button type="submit" class="btn '.esc_attr($class).' btn-theme btn-block">'.esc_html($params['btn_text']).'</button>
							</div>
						</div>
					 </div>
				  </div>
				  '.$dependent_field.'
				</form>  
			   </div>
			 </div>';
	}
}
//Search Builder 2
if( !function_exists('maxwheels_elementor_contactus') )
{
	function maxwheels_elementor_contactus($params)
	{
		$contac_us_from = $do_shortcode = '';
		if ($details = get_page_by_path($params['form_type'], OBJECT, 'wpcf7_contact_form'))
		{
			$from_id = $details->ID;
			if(!empty($from_id) && $from_id != 0)
			{
				 $do_shortcode = '[contact-form-7 id="'.esc_attr($from_id).'" title="'.get_the_title($from_id).'"]';
				 $contac_us_from = do_shortcode($do_shortcode);
			}
		}
        //$email = $contact =  $location = $headoffice = '';
        $main_heading = $heading_desc = $chat_heading = $chat_desc = $email_heading = $email_desc =  $call_heading = $call_desc = '' ;
		if(!empty($params['contact_heading_main']))
		{
			$main_heading = $params['contact_heading_main'];
		}
        if(!empty($params['contact_heading_description']))
        {
            $heading_desc = $params['contact_heading_description'];
        }
        if(!empty($params['contact_chat_heading']))
        {
            $chat_heading = $params['contact_chat_heading'];
        }
        if(!empty($params['contact_chat_description']))
        {
            $chat_desc = $params['contact_chat_description'];
        }
        if(!empty($params['contact_email_heading']))
        {
            $email_heading = $params['contact_email_heading'];
        }
        if(!empty($params['contact_email_description']))
        {
            $email_desc = $params['contact_email_description'];
        }
        if(!empty($params['contact_call_heading']))
        {
            $call_heading = $params['contact_call_heading'];
        }
        if(!empty($params['contact_call_description']))
        {
            $call_desc = $params['contact_call_description'];
        }

		return '<section class="section-padding cnt-2">
      <div class="container-lg">
        <div class="row justify-content-center">
          <div class="col-md-10 col-lg-7 text-center col-12">
            <h1 class="mb-4">'.esc_html($main_heading).'</h1>
            <p class="text-muted mb-9">
             '.esc_html($heading_desc).'
            </p>
            <div class="row mb-9">
              <div class="col-md py-md-4 mb-6 mb-md-0">
                  <div class="icon text-primary-light mb-3">
                    <svg width="24" height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><g fill="none" fill-rule="evenodd"><path d="M0 0h24v24H0z"></path><path d="M14.486 18l-1.689 3.057a1 1 0 01-1.708.069L9.017 18H5a3 3 0 01-3-3V6a3 3 0 013-3h14a3 3 0 013 3v9a3 3 0 01-3 3h-4.514z" fill="#ff7700" opacity=".3"></path><path d="M6 7h9a1 1 0 010 2H6a1 1 0 110-2zm0 4h5a1 1 0 010 2H6a1 1 0 010-2z" fill="#ff7700" opacity=".3"></path></g></svg>                  </div>
                  <h6 class="text-uppercase">
                     '.esc_html($chat_heading).'
                  </h6>
                  <small class="text-muted">
                    '.esc_html($chat_desc).'
                  </small>
              </div>
              <div class="col-md py-md-4 mb-6 mb-md-0 border-start-md">
                <!-- Chat -->
                <a class="text-reset text-decoration-none" href="mailto:#!">
                  <!-- Icon -->
                  <div class="icon text-primary-light mb-3">
                    <svg width="24" height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><g fill="none" fill-rule="evenodd"><path d="M0 0h24v24H0z"></path><path d="M6 2h12a1 1 0 011 1v9a1 1 0 01-1 1H6a1 1 0 01-1-1V3a1 1 0 011-1zm1.5 3a.5.5 0 000 1h6a.5.5 0 100-1h-6zm0 2a.5.5 0 000 1h3a.5.5 0 100-1h-3z" fill="#ff7700" opacity=".3"></path><path d="M3.793 6.573L12 12.5l8.207-5.927a.5.5 0 01.793.405V17a2 2 0 01-2 2H5a2 2 0 01-2-2V6.978a.5.5 0 01.793-.405z" fill="#ff7700"></path></g></svg>                  </div>
                  <!-- Heading -->
                  <h6 class="text-uppercase">
                    '.esc_html($email_heading).'
                  </h6>
                  <!-- Text -->
                  <small class="text-muted">
                    '.esc_html($email_desc).'
                  </small>
                </a>
              </div>
              <div class="col-md py-md-4 border-start-md">
                <!-- Chat -->
                <a class="text-reset text-decoration-none" href="tel:#!">
                  <!-- Icon -->
                  <div class="icon text-primary-light mb-3">
                    <svg width="24" height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><g fill="none" fill-rule="evenodd"><path d="M0 0h24v24H0z"></path><path d="M13.08 14.784l2.204-2.204a2 2 0 00.375-2.309l-.125-.25a2 2 0 01.374-2.308l2.733-2.733a.5.5 0 01.801.13l1.104 2.208a4.387 4.387 0 01-.822 5.065l-5.999 5.998a5.427 5.427 0 01-5.553 1.311l-2.415-.804a.5.5 0 01-.195-.828l2.65-2.652a2 2 0 012.31-.374l.25.125a2 2 0 002.308-.375z" fill="#ff7700"></path><path d="M14.148 6.007l-.191 1.991a4.987 4.987 0 00-4.018 1.441 4.987 4.987 0 00-1.442 4.004l-1.992.185a6.986 6.986 0 012.02-5.603 6.987 6.987 0 015.623-2.018zm.35-3.985l-.185 1.992A8.978 8.978 0 007.111 6.61a8.978 8.978 0 00-2.598 7.191l-1.992.183a10.977 10.977 0 013.176-8.788 10.977 10.977 0 018.801-3.175z" fill="#ff7700" opacity=".3"></path></g></svg>                  </div>
                  <!-- Heading -->
                  <h6 class="text-uppercase">
                     '.esc_html($call_heading).'
                  </h6>
                  <!-- Text -->
                  <small class="text-muted">
                     '.esc_html($call_desc).'
                  </small>
                </a>
              </div>
            </div>
            <!-- Form -->
            '.$contac_us_from.'
          </div>
        </div>
      </div>
    </section>';

	}
}
  
    //Search Builder 2
if( !function_exists('maxwheels_elementor_search_home_ajax') )
{
	function maxwheels_elementor_search_home_ajax($params)
	{
		$class = 'with-labels';
		if($params['show_labels'] == 'yes')
		{
			$class = '';
		}
        $grid_type = 'list1';
        if(!empty($params['layout_type']))
        {
           $grid_type = $params['layout_type'];
        }
        $args	=	array
        (
            'post_type' => 'mx-listings',
            'post_status' => 'publish',
            'posts_per_page' => get_option('posts_per_page'),
            'paged' => 1,
            'meta_key' => 'mw_is_feature_listing',
            'fields' => 'ids',
            'orderby'  => array(
                'meta_value' => 'DESC',
                'post_date'      => 'DESC',
            ),
            'meta_query'    => array(
                array(
                    'key'       => 'mw_status',
                    'value'     => '1',
                    'compare'   => '=',
                ),
            ),
            'order'=> 'DESC',
        );
        $results = new \WP_Query($args);
        ?>
            <div class="clearfix"></div>
            <div class="home-seemless-search search-bar2 position-sticky">
				<div class="search-style-2">
				<form method="post" id="mw-search-inv">
				  <div class="container">
					<div class="row">
					<?php echo maxwheels_framework_render_filters_cols($params['filter_array'], $params['show_labels']); ?> 
						<div class="col-md-6 col-sm-6 col-lg-<?php echo esc_attr($params['btncolumn_size']); ?> col-12 col-xl-<?php echo esc_attr($params['btncolumn_size']);?>">
							<div class="form-group">
                                <input type="hidden" name="grid-type" value="<?php echo esc_attr($grid_type); ?>">
								<button type="button" name="properties_search_home" class="btn <?php echo esc_attr($class); ?> btn-theme btn-block"><?php echo esc_html($params['btn_text']); ?></button>
							</div>
						</div>
					 </div>
				  </div>
				</form>  
			   </div>
			 </div>
             <section class="home-based-search search-section custom-padding">
                <div class="container">
                    <div class="row">
                        <div class="col-xl-8 col-lg-12 col-md-12 col-12">
                            <div class="row">
                                <div class="col-12 col-xl-12 col-md-12 col-sm-12">
                                    <div class="filter-sorting-bar d-flex flex-wrap justify-content-between align-items-center">
                                        <h4>
                                            <?php echo wp_sprintf(__('<span class="clr-yal"> %d </span> Results Found ', 'maxwheels-framework'),esc_attr($results->found_posts)); ?>
                                        </h4>
                                        <div class=" d-flex d-block">
                                          <span class="sort-label align-self-center"><?php echo esc_html__('Short by', 'maxwheels-framework'); ?>:</span>
                                          <div class="short-by">
                                            <select name="sort-by" id="sort-by-home" class="sort-selects" data-placeholder="Newest To Oldest">
                                              <option value="newest"><?php echo esc_html__('Newest To Oldest', 'maxwheels-framework'); ?></option>
                                              <option value="oldest"><?php echo esc_html__('Oldest To New', 'maxwheels-framework'); ?></option>
                                              <option value="title-asc"><?php echo esc_html__('Alphabetically [a-z]', 'maxwheels-framework'); ?></option>
                                              <option value="title-desc"><?php echo esc_html__('Alphabetically [z-a]', 'maxwheels-framework'); ?></option>
                                            </select>
                                          </div>
                                        </div>
                                    </div>
                                    <div class="my-filer-tags"></div>
                                </div>
                            </div>
                                <div class="row grid mysearch-page">
                                    <?php
                                     $fetch_output = '';
                                     if ($results->have_posts())
                                     {
                                         require trailingslashit(get_template_directory()) . "template-parts/search/listing-search/grids/home.php";
                                         echo ' '.$fetch_output;
                                     }
                                     else
                                     {
                                        echo maxwheels_framework_no_result_found(); 
                                     }
                                    wp_reset_postdata();
                                     ?>
                                </div> 
                                <div class="my-loading-bar">     
                                  <article class="fb-like-animation post--is-loading">
                                    <div class="post__loader">
                                      <div class="loader__bar--1"></div>
                                      <div class="loader__bar--2"></div>
                                      <div class="loader__bar--3"></div>
                                      <div class="loader__bar--4"></div>
                                      <div class="loader__bar--5"></div>
                                      <div class="loader__bar--6"></div>
                                      <div class="loader__bar--7"></div>
                                      <div class="loader__bar--8"></div>
                                      <div class="loader__bar--9"></div>
                                      <div class="loader__bar--10"></div>
                                      <div class="loader__bar--11"></div>
                                      <div class="loader__bar--12"></div>
                                    </div>
                                  </article>
                                  <article class="fb-like-animation post--is-loading">
                                    <div class="post__loader">
                                      <div class="loader__bar--1"></div>
                                      <div class="loader__bar--2"></div>
                                      <div class="loader__bar--3"></div>
                                      <div class="loader__bar--4"></div>
                                      <div class="loader__bar--5"></div>
                                      <div class="loader__bar--6"></div>
                                      <div class="loader__bar--7"></div>
                                      <div class="loader__bar--8"></div>
                                      <div class="loader__bar--9"></div>
                                      <div class="loader__bar--10"></div>
                                      <div class="loader__bar--11"></div>
                                      <div class="loader__bar--12"></div>
                                    </div>
                                  </article>
                                  <article class="fb-like-animation post--is-loading">
                                    <div class="post__loader">
                                      <div class="loader__bar--1"></div>
                                      <div class="loader__bar--2"></div>
                                      <div class="loader__bar--3"></div>
                                      <div class="loader__bar--4"></div>
                                      <div class="loader__bar--5"></div>
                                      <div class="loader__bar--6"></div>
                                      <div class="loader__bar--7"></div>
                                      <div class="loader__bar--8"></div>
                                      <div class="loader__bar--9"></div>
                                      <div class="loader__bar--10"></div>
                                      <div class="loader__bar--11"></div>
                                      <div class="loader__bar--12"></div>
                                    </div>
                                  </article>
                                  <article class="fb-like-animation post--is-loading">
                                    <div class="post__loader">
                                      <div class="loader__bar--1"></div>
                                      <div class="loader__bar--2"></div>
                                      <div class="loader__bar--3"></div>
                                      <div class="loader__bar--4"></div>
                                      <div class="loader__bar--5"></div>
                                      <div class="loader__bar--6"></div>
                                      <div class="loader__bar--7"></div>
                                      <div class="loader__bar--8"></div>
                                      <div class="loader__bar--9"></div>
                                      <div class="loader__bar--10"></div>
                                      <div class="loader__bar--11"></div>
                                      <div class="loader__bar--12"></div>
                                    </div>
                                  </article>
                                  <article class="fb-like-animation post--is-loading">
                                    <div class="post__loader">
                                      <div class="loader__bar--1"></div>
                                      <div class="loader__bar--2"></div>
                                      <div class="loader__bar--3"></div>
                                      <div class="loader__bar--4"></div>
                                      <div class="loader__bar--5"></div>
                                      <div class="loader__bar--6"></div>
                                      <div class="loader__bar--7"></div>
                                      <div class="loader__bar--8"></div>
                                      <div class="loader__bar--9"></div>
                                      <div class="loader__bar--10"></div>
                                      <div class="loader__bar--11"></div>
                                      <div class="loader__bar--12"></div>
                                    </div>
                                  </article>
                                  <article class="fb-like-animation post--is-loading">
                                    <div class="post__loader">
                                      <div class="loader__bar--1"></div>
                                      <div class="loader__bar--2"></div>
                                      <div class="loader__bar--3"></div>
                                      <div class="loader__bar--4"></div>
                                      <div class="loader__bar--5"></div>
                                      <div class="loader__bar--6"></div>
                                      <div class="loader__bar--7"></div>
                                      <div class="loader__bar--8"></div>
                                      <div class="loader__bar--9"></div>
                                      <div class="loader__bar--10"></div>
                                      <div class="loader__bar--11"></div>
                                      <div class="loader__bar--12"></div>
                                    </div>
                                  </article>
                                  <article class="fb-like-animation post--is-loading">
                                    <div class="post__loader">
                                      <div class="loader__bar--1"></div>
                                      <div class="loader__bar--2"></div>
                                      <div class="loader__bar--3"></div>
                                      <div class="loader__bar--4"></div>
                                      <div class="loader__bar--5"></div>
                                      <div class="loader__bar--6"></div>
                                      <div class="loader__bar--7"></div>
                                      <div class="loader__bar--8"></div>
                                      <div class="loader__bar--9"></div>
                                      <div class="loader__bar--10"></div>
                                      <div class="loader__bar--11"></div>
                                      <div class="loader__bar--12"></div>
                                    </div>
                                  </article>
      </div>
                                <?php if(!empty(maxwheels_pagination_search($results))) { ?>
                                     <div class="row">
                                           <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 margin-bottom-30"> 
                                             <div id="listing_ajax_pagination"><?php echo maxwheels_pagination_search_home($results); ?></div>
                                          </div>
                                     </div>
                                  <?php } ?> 
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-12 col-12 seemles-home-sidebar">
                            <?php
                              if (is_active_sidebar('mw_home_ajaxseach_bar'))
                              {
                                  dynamic_sidebar('mw_home_ajaxseach_bar');
                              }
                            ?>
                        </div>
                    </div>
                </div>
             </section>
<?php
	}
}
    

//Packages
if( !function_exists('maxwheels_elementor_packages') )
{
	function maxwheels_elementor_packages($params)
	{
        if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))))
        {
            $product = array();
			$localization = maxwheels_localization();
            $packages_html = $for_sub_price = $unit = $listing_expiry = $regular_listing = $package_expiry = $packtype = $no_border = $bump_up = $featured_listing = $featured_listing_expiry = $recommended = $make_it_featured = $for_sub_price = $options_html = '';
            $never_expire = maxwheels_strings('mw_never_exp');
			$unlimited = maxwheels_strings('mw_pkg_unlimited');
			$days = maxwheels_strings('mw_pkg_daytxt');
			$lifetime = esc_html__('Lifetime','maxwheels');
			$na = esc_html__('N/A','maxwheels');
			$action_button = '#';
            if(!empty($params['packages']) && is_array($params['packages']) && count($params['packages']) > 0)
            {
                foreach($params['packages'] as $data)
                {
                    $recommended = $for_sub_price = $unit = $packtype = $featured_listing_expiry = $featured_listing = $listing_expiry = $regular_listing = $options_html = $package_expiry = $make_it_featured = $package_id = '';
                    if(!empty($data['selected_pkg']))
                    {
                        $package_id = $data['selected_pkg'];
                       // $product = new WC_Product($package_id);
                        $product = wc_get_product($package_id);
                        if (!empty($product))
                        {
							$unit = number_format( intval($product->get_regular_price()), wc_get_price_decimals() );
							//package type
							if (get_post_meta($package_id, 'mw_package_type_l', true) != "")
							{
								$packtype = get_post_meta($package_id, 'mw_package_type_l', true);
							}
							//duration
							if (get_post_meta($package_id, 'mw_package_expiry_l', true) != "")
							{
								$package_expiry = get_post_meta($package_id, 'mw_package_expiry_l', true);
								if ($package_expiry == '-1')
								{
									$options_html .= '<li>' . maxwheels_strings('mw_p_exp') . ' : ' . esc_html($never_expire). '</li>';
									$for_sub_price = esc_html($never_expire);
								} 
								else
								{
									$options_html .= '<li>' . maxwheels_strings('mw_p_exp') . ' : ' . esc_html($package_expiry) . ' ' . $days . '</li>';
									$for_sub_price = esc_html($package_expiry) . ' ' . $days;
								}
							}
							//hot package
							$no_border = 'btn-border';
							if (get_post_meta($package_id, 'mw_make_package_featured_l', true) != "" && get_post_meta($package_id, 'mw_make_package_featured_l', true) == 'yes')
							{
								$make_it_featured = "package-active";
								$recommended = '<span class="recommended">'.esc_html__('Recommended','maxwheels-framework').'</span>';
								$no_border = '';
							}
							//regular listings
							if (get_post_meta($package_id, 'mw_regular_listing_l', true) != "")
							{
								$regular_listing = get_post_meta($package_id, 'mw_regular_listing_l', true);
								if ($regular_listing == '-1')
								{
									$options_html .= '<li>' . maxwheels_strings('mw_reg_listing') . ' : ' . esc_html($unlimited). '</li>';
								} 
								else
								{
									$options_html .= '<li>' . maxwheels_strings('mw_reg_listing') . ' : ' . esc_html($regular_listing) . '</li>';
								}
							}
							//regular listings expiry
							if (get_post_meta($package_id, 'mw_regular_listing_expiry_l', true) != "")
							{
								$listing_expiry = get_post_meta($package_id, 'mw_regular_listing_expiry_l', true);
								if ($listing_expiry == '-1')
								{
									$options_html .= '<li>' . maxwheels_strings('mw_l_exp') . ' : ' . esc_html($never_expire). '</li>';
								} 
								else
								{
									$options_html .= '<li>' . maxwheels_strings('mw_l_exp') . ' : ' . esc_html($listing_expiry)  . ' ' . $days . '</li>';
								}
							}
							//featured listings
							if (get_post_meta($package_id, 'mw_featured_listing_l', true) != "")
							{
								$featured_listing = get_post_meta($package_id, 'mw_featured_listing_l', true);
								if ($featured_listing == '-1')
								{
									$options_html .= '<li>' . maxwheels_strings('mw_feat_listing') . ' : ' . esc_html($unlimited). '</li>';
								} 
								else
								{
									$options_html .= '<li>' . maxwheels_strings('mw_feat_listing') . ' : ' . esc_html($featured_listing) .'</li>';
								}
							}
							else
							{
								$options_html .= '<li><del>' . maxwheels_strings('mw_feat_listing') . ' : ' . esc_html($na). ' </del></li>';
							}
							//featured listings expiry
							if (get_post_meta($package_id, 'mw_featured_listing_expiry_l', true) != "")
							{
								$featured_listing_expiry = get_post_meta($package_id, 'mw_featured_listing_expiry_l', true);
								if ($featured_listing_expiry == '-1')
								{
									$options_html .= '<li>' . maxwheels_strings('mw_feat_for') . ' : ' . esc_html($lifetime). '</li>';
								} 
								else
								{
									$options_html .= '<li>' . maxwheels_strings('mw_feat_for') . ' : ' . esc_html($featured_listing_expiry) . ' ' . $days . '</li>';
								}
							}
							else
							{
								$options_html .= '<li><del>' . maxwheels_strings('mw_feat_for') . ' : ' . esc_html($na). ' </del></li>';
							}
							//featured listings expiry
							if (get_post_meta($package_id, 'mw_bump_listing_l', true) != "")
							{
								$bump_up = get_post_meta($package_id, 'mw_bump_listing_l', true);
								$options_html .= '<li>' . maxwheels_strings('mw_bump_for') . ' : ' . esc_html($bump_up) . '</li>';
							}
							else
							{
								$options_html .= '<li><del>' . maxwheels_strings('mw_bump_for') . ' : ' . esc_html($na). ' </del></li>';
							}
							
							//action button
							if(is_user_logged_in())
                            {
                                $user_id = get_current_user_id();
								echo get_user_meta($user_id, 'mw_is_free_pgk', true );
                                if(get_user_meta($user_id, 'mw_is_free_pgk', true ) !="" && get_user_meta($user_id, 'mw_is_free_pgk', true ) == $package_id )
                                {
                                    $action_button = '<button class="btn btn-theme btn-block " disabled>'.esc_html__('Already Used','maxwheels-framework').'</button>';
                                }
                                else
                                {
                                    $action_button = '<button class="btn btn-theme w-100 '.esc_attr($no_border).' mw-woo-packs sonu-button-'.esc_attr($package_id).'" data-spinner-text="'.esc_attr($localization['processing']).'" data-product-id="' . esc_attr($package_id) . '" data-product-qty="1"  data-package-type="' . esc_attr($packtype) . '">'.esc_html__('Choose plan','maxwheels-framework').'</button>';
                                }
                            }
                            else
                            {
                                $action_button = '<button class="btn btn-theme w-100 '.esc_attr($no_border).' mw-woo-packs sonu-button-'.esc_attr($package_id).'" data-spinner-text="'.esc_attr($localization['processing']).'" data-product-id="' . esc_attr($package_id) . '" data-product-qty="1"  data-package-type="' . esc_attr($packtype) . '">'.esc_html__('Choose plan','maxwheels-framework').'</button>';
                            }
							//tagline
							$taglines = '';
							if (get_post_meta($package_id, 'mw_package_tagline_l', true) != "")
							{
								$taglines = get_post_meta($package_id, 'mw_package_tagline_l', true);
							}
							$packages_html .='<div class="col-xxl-4 col-xl-4 col-lg-6 col-md-6 col-12">
								<div class="mw-packages '.esc_attr($make_it_featured).'">
									<div class="price">
										'.$recommended.'
										<h3 class="price__title">'.esc_html($product->get_name()).'</h3>
										<p>'.esc_html($taglines).'</p>
										<div class="pricingTable-header">
											<sup class="dollar">'.get_woocommerce_currency_symbol().'</sup>
											<span class="amount">'.esc_html($unit).'</span>
											<span class="slash">/</span>
											<span class="month">'.esc_html($for_sub_price).'</span>
										</div>
									</div>
									<ul class="list-items">
										'.$options_html.'
									</ul>
									<div class="btn-box text-center">
										'.$action_button.'
									</div>
								</div>
							</div>';
                        }
                    }
                }
            }
            return '<section class="custom-woo-packages listings-packages">
                        <div class="row d-flex justify-content-center">
                            '.$packages_html.'
                        </div>
                </section>';
        }
	}
}
//Packages Classic
if( !function_exists('maxwheels_elementor_packages_classic') )
{
	function maxwheels_elementor_packages_classic($params)
	{
        if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))))
        {
            $packages_html = $short_desc = $heading = '';
            $product = array();
			$localization = maxwheels_localization();
            $packtype = $featured_listing_expiry = $featured_listing = $listing_expiry = $regular_listing = $options_html = $package_expiry = $make_it_featured = $packages_html  = $plan_id = '';
            $product = array();
            if(!empty($params['packages']) && is_array($params['packages']) && count($params['packages']) > 0)
            {
				$class = array('basic','value','premium');
				$key = 0;
                foreach($params['packages'] as $data)
                {
                    $packtype = $featured_listing_expiry = $featured_listing = $listing_expiry = $regular_listing = $options_html = $package_expiry = $make_it_featured = $plan_id = '';
                    if(!empty($data['selected_pkg']))
                    {
                        $plan_id = $data['selected_pkg'];
                        $product = new WC_Product($plan_id);
                        $plan_id = isset($data['selected_pkg']) ? $data['selected_pkg'] : '';
                        //$product = new WC_Product($plan_id);
                        $product = wc_get_product($plan_id);

                        if (!empty($product))
                        {
							$index = $key % 3;
							$packtype = $action_button = $package_expiry = $allow_overview = $working_hours = $location = $options_html = $social_links = $current_class = $make_it_featured = "";
							$current_class = $class[$index];
							//hot package
							if (get_post_meta($plan_id, 'mw_make_package_featured', true) != "" && get_post_meta($plan_id, 'mw_make_package_featured', true) == 'yes')
							{
								$make_it_featured = "shadow active-plan";
							}
							//package type
							if (get_post_meta($plan_id, 'mw_package_type', true) != "")
							{
								$packtype = get_post_meta($plan_id, 'mw_package_type', true);
							}
							//duration
							if (get_post_meta($plan_id, 'mw_package_expiry', true) != "")
							{
								$package_expiry = get_post_meta($plan_id, 'mw_package_expiry', true);
								if ($package_expiry == '-1')
								{
									$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Sponsored For','maxwheels-framework').' : '.esc_html__('Unlimited Days','maxwheels-framework').'</span> </li>';
								} 
								else
								{
									$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Sponsored For','maxwheels-framework').' : '.esc_html($package_expiry).' '.esc_html__('Days','maxwheels-framework').'</span> </li>';
								}
							}
							//overview
							if (get_post_meta($plan_id, 'mw_allow_overview', true) != "")
							{
								$allow_overview = get_post_meta($plan_id, 'mw_allow_overview', true);
								if($allow_overview == 'yes')
								{
									$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Overview','maxwheels-framework').' : '.esc_html__('Yes','maxwheels-framework').'</span> </li>';
								}
								else
								{
									$options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Overview','maxwheels-framework').' : '.esc_html__('No','maxwheels-framework').'</span></del> </li>';
								}
							}
							//working hours
							if (get_post_meta($plan_id, 'mw_working_hours', true) != "")
							{
								$working_hours = get_post_meta($plan_id, 'mw_working_hours', true);
								if($working_hours == 'yes')
								{
									$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Working Hours','maxwheels-framework').' : '.esc_html__('Yes','maxwheels-framework').'</span> </li>';
								}
								else
								{
									$options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Working Hours','maxwheels-framework').' : '.esc_html__('No','maxwheels-framework').'</span></del> </li>';
								}
							}
							//location
							if (get_post_meta($plan_id, 'mw_location', true) != "")
							{
								$location = get_post_meta($plan_id, 'mw_location', true);
								if($location == 'yes')
								{
									$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Allow Location','maxwheels-framework').' : '.esc_html__('Yes','maxwheels-framework').'</span> </li>';
								}
								else
								{
									$options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Allow Location','maxwheels-framework').' : '.esc_html__('No','maxwheels-framework').'</span></del> </li>';
								}
							}
							//social links
							if (get_post_meta($plan_id, 'mw_social', true) != "")
							{
								$social_links = get_post_meta($plan_id, 'mw_social', true);
								if($social_links == 'yes')
								{
									$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Social Links','maxwheels-framework').' : '.esc_html__('Yes','maxwheels-framework').'</span> </li>';
								}
								else
								{
									$options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Social Links','maxwheels-framework').' : '.esc_html__('No','maxwheels-framework').'</span></del> </li>';
								}
							}
							if(is_user_logged_in())
                            {
                                $user_id = get_current_user_id();
								$dealer_post_id = get_user_meta($user_id, 'mw_post_id', true);
                                if(get_post_meta($dealer_post_id, 'mw_is_free_plan', true ) !="" && get_post_meta($dealer_post_id, 'mw_is_free_plan', true ) == $plan_id )
                                {
                                    $action_button = '<button class="btn btn-theme w-100  my-4" disabled>'.esc_html__('Already Used','maxwheels-framework').'</button>';
                                }
                                else
                                {
                                    $action_button = '<button class="btn btn-theme w-100  my-4 mw-woo-plans sonu-button-'.esc_attr($plan_id).'" data-spinner-text="'.esc_attr($localization['processing']).'" data-plan-id="' . esc_attr($plan_id) . '" data-plan-qty="1"  data-plan-type="' . esc_attr($packtype) . '">'.esc_html__('Choose plan','maxwheels-framework').'</button>';
                                }
                            }
                            else
                            {
                                //cart button link
                               $action_button = '<button class="btn btn-theme w-100  my-4 mw-woo-plans sonu-button-'.esc_attr($plan_id).'" data-spinner-text="'.esc_attr($localization['processing']).'" data-plan-id="' . esc_attr($plan_id) . '" data-plan-qty="1"  data-plan-type="' . esc_attr($packtype) . '">'.esc_html__('Choose plan','maxwheels-framework').'</button>';
                            }
							//shortdesc
							$short_desc = '';
							if (get_post_meta($plan_id, 'mw_package_shortdesc', true) != "")
							{
								$short_desc = '<p> '.get_post_meta($plan_id, 'mw_package_shortdesc', true).'</p>';
							}
							
							$packages_html .='<div class="col-xxl-4 col-xl-4 col-lg-6 col-md-6 col-12">
							<div class="card profile-price-card p-md-5 p-sm-3 p-3 p-xs-3 border-0 '.esc_attr($make_it_featured).'">
								<div class="">
									<div class="price-label '.esc_attr($current_class).'">'.esc_html($product->get_name()).'</div>
									<h3>'.$product->get_price_html().'</h3>
									'.$short_desc.'
								</div>
								'.$action_button.'
								<ul class="list-unstyled mt-3">
									'.$options_html.'
								</ul>
							</div>
						</div>';
                        }
                    }
					$key += 1;
                }
            }
			 return '<section class="custom-woo-plans listings-plans">
                        <div class="row d-flex justify-content-center">
                            '.$packages_html.'
                        </div>
                </section>';
        }
    }
}
	
	//All Listings
if( !function_exists('get_products_shortcodes') )
{
	function get_products_shortcodes($product_id,$col_size = '')
	{
		if ($col_size == 3){$col_size = 'col-xl-4 col-xxl-4 col-lg-6 col-md-6 col-sm-12 col-12';}
		else if ($col_size == 4){$col_size = 'col-xl-3 col-xxl-3 col-lg-6 col-md-6 col-sm-12 col-12';}
		else if ($col_size == 2){$col_size = 'col-xl-6 col-xxl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
		else if ($col_size == 12){$col_size = 'col-xl-12 col-xxl-12 col-md-12 col-sm-12 col-12';}
		else {$col_size = 'col-xl-6 col-xxl-6 col-lg-6 col-md-6 col-sm-6 col-12';}
		global $post;
		$product = wc_get_product($product_id);
		$ratings = $featured_img = '';
		if (has_post_thumbnail($product_id)) 
		{
			$featured_img = get_the_post_thumbnail($product_id, 'woocommerce_thumbnail'); 
		}
        else
		{
			$featured_img = '<img src="'.woocommerce_placeholder_img_src().'" alt="" />';
		}
		
		//categories
		$terms    = get_the_terms($product_id, 'product_cat');
        if ( empty( $terms ) || is_wp_error( $terms ) ) {
            return;
        }
		$timer = $sales_price_to  = $sales_price_from = $on_sale = $product_price = $categories = $link = '';
        $catlinks = array();
        foreach ( $terms as $term )
		{
             $link = get_term_link( $term, 'product_cat' );
             $catlinks[] = sprintf( '<a href="%s">%s</a>',
                esc_url( $link ),
                esc_html( $term->name )
            );
        }
		//categories
		$categories = apply_filters('', wp_kses_post( sprintf( '<span class="mw-product-catz">%s</span>', implode( '<span>,</span> ', $catlinks  ) ) ));
		//price
		if($product->get_price_html() )
		{
			$product_price = '<div class="product-selling-price">
				'.wp_kses_post($product->get_price_html()).'
			</div>';
		}
		//ratings
		if ( wc_review_ratings_enabled() ) {
			$ratings = wc_get_rating_html( $product->get_average_rating() );
		}
		//on sale
		if ( $product->is_on_sale() )
		{
			$on_sale = apply_filters( 'woocommerce_sale_flash', '<div class="mw-product-onsale">' . esc_html__( 'Sale', 'maxwheels-framework' ) . '</div>', '', $product );
			$sales_price_from = get_post_meta( $product->get_id(), '_sale_price_dates_from', true );
    	    $sales_price_to  = get_post_meta( $product->get_id(), '_sale_price_dates_to', true );
			if(!empty($sales_price_from) && !empty($sales_price_to)) {
			$sales_price_date_to = date("Y/m/d g:i a", $sales_price_to);
			$timer = '<div class="position-absolute single-countdown-mw"><ul class="mw-product-counter" data-countdown-time="'.esc_attr($sales_price_date_to).'"></ul></div>';
			}
		}
		
		$action_btns = '<div class="details-box-btn">
			<div class="seller-detial">
				'.apply_filters( 'woocommerce_loop_add_to_cart_link', sprintf( '<a class="btn btn-outline-custom btn-block" href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="button %s product_type_%s">%s</a>',
					esc_url( $product->add_to_cart_url() ),
					esc_attr( $product->get_id() ),
					esc_attr( $product->get_sku() ),
					$product->is_purchasable() ? 'add_to_cart_button' : '',
					esc_attr( $product->get_type() ),
					esc_html( $product->add_to_cart_text() )
				),
				$product).'
			</div>
			<div class="mark-as-fav">
				<a href="'.esc_url(get_the_permalink()).'"> <i class="fas fa-external-link-alt"></i> </a>
			</div>
		</div>';
		//action button
		return '<div class="'.esc_attr($col_size).' mw-shop-1">
		<div class="mw-product-grid">
			'.$on_sale.'
			<div class="img-contain">
			    '.$timer.'
				<a href="'.esc_url(get_the_permalink($product_id)).'">'.$featured_img.'</a>
			</div>
		<div class="content">
		'.$categories.'
		<h2 class="clr-black">
		  <a href="'.esc_url(get_the_permalink($product_id)).'">'.maxwheels_title_limit($product_id,35).'</a>
		</h2>        
		<div class="mw-cont-area d-flex justify-content-between align-items-center">
            	'.$product_price.'
				'.$ratings.'	
		</div>
		'.$action_btns.'
        </div></div></div>';
		
	}
}
	
	//All Listings
if( !function_exists('maxwheels_elementor_all_products') )
{
	function maxwheels_elementor_all_products($params,$no_container = '')
	{
		$loadmore_btn = $heading_zone = '';
		require MaxWheels_Plugin_Path . 'plugin-files/shortcodes/products.php';
		return '<section class="all-woo-listings woocommerce-shop woocommerce woocommerce-page woocommerce-no-js">
						<div class="row mw-shop">
						'.$fetch_output.'
						</div>
			   </section>';

	}
}
	
	
//Shop Support
if( !function_exists('maxwheels_elementor_shop_support') )
{
	function maxwheels_elementor_shop_support($params)
	{
		$shop_support = $testimonials_html = '';
		if(!empty($params['blocks']) && is_array($params['blocks']) && count($params['blocks']) > 0)
		{
			foreach($params['blocks'] as $data)
			{
				$shop_support .= '<div class="col-xxl-3 col-xl-3 col-lg-3 col-sm-6 col-12">
					<div class="support-wrap">
						<div class="support-icon">
							<img src="'.esc_url($data['image']).'" alt="">
						</div>
						<div class="support-content align-self-center">
							<h5>'.esc_html($data['supp_heading']).'</h5>
							<p>'.esc_html($data['list_content']).'</p>
						</div>
					</div>
				</div>';
			}
		}
		return '<section class="shop-support-facts">
				<div class="row">
					'.$shop_support.'
				</div>
		</section>';
	}
}
	
//Maxwheels Type With Slider
if( !function_exists('maxwheels_elementor_shop_cats') )
{
	function maxwheels_elementor_shop_cats($params)
	{
		$shop_html = '';
		if(!empty($params['types']) && is_array($params['types']) && count($params['types']) > 0)
		{
			if($params['style_type'] == 'slider')
			{
				$start = '<div class="item">';
			}
			else
			{
				$start = '<div class="col-xxl-3 col-xl-3 col-lg-4 col-12 col-sm-6 col-md-6">';
			}
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			foreach($params['types'] as $data)
			{
				if(!empty($data['type_slug']))
				{
					$get_term = get_term_by('slug', $data['type_slug'], 'product_cat');
					if(!empty($get_term) &&  count((array) $get_term) > 0)
					{
						$shop_html .=$start.'
						<a href="'.get_term_link($get_term->slug, 'product_cat').'">
							<div class="car-engine-2" style="background-image: url('.esc_url($data['image']).')">
								<div class="over-section-category">
									<div class="section-car-engine">
										<img src="'.esc_url($data['cat_image']).'" alt="">
									</div>
									<div class="car-engine-heading">
										<h3>'.esc_html($get_term->name).'</h3>
										<p>'.$get_term->count.'</p>
									</div>
								</div>
							</div>
						</a>
						</div>';
					}
				}
			}
			if($params['style_type'] == 'slider')
			{
				return '<section class="mw-shop-catz">
							<div class="shop-mod-cats owl-carousel owl-theme">
								'.$shop_html.'
							</div>
						</section>';
			}
			else
			{
				return '<section class="mw-shop-catz">
					<div class="row justify-content-center align-items-center">
						'.$shop_html.'
					</div>
				</section>';
			}
		}
	}
}   

}