<?php
    if ( ! class_exists( 'Redux' ) ) {
        return;
    }
    // This is your option name where all the Redux data is stored.
$theme = wp_get_theme();
$opt_name = "maxwheels_options";
$args = array(
	'opt_name'                  => $opt_name,
	'display_name'              => $theme->get( 'Name' ),
	'display_version'           => $theme->get( 'Version' ),
	'menu_type'                 => 'menu',
	'allow_sub_menu'            => true,
	'menu_title'           => esc_html__( 'MaxWheels', 'maxwheels' ),
    'page_title'           => esc_html__( 'MaxWheels', 'maxwheels' ),
	'async_typography'          => false,
	'disable_google_fonts_link' => false,
	'admin_bar'                 => true,
	'admin_bar_icon'            => 'dashicons-portfolio',
	'admin_bar_priority'        => 50,
	'global_variable'           => '',
	'dev_mode'                  => false,
	'customizer'                => false,
	'open_expanded'             => false,
	'disable_save_warn'         => false,
	'page_priority'             => null,
	'page_parent'               => 'themes.php',
	'page_permissions'          => 'manage_options',
	'menu_icon'                 => '',
	'last_tab'                  => '',
	'page_icon'                 => 'icon-themes',
	'page_slug'                 => $opt_name,
	'save_defaults'             => true,
	'default_show'              => false,
	'default_mark'              => '*',
	'show_import_export'        => true,
	'transient_time'            => 60 * MINUTE_IN_SECONDS,
	'output'                    => true,
	'output_tag'                => true,
	'footer_credit'             => '',
	'use_cdn'                   => true,
	'admin_theme'               => 'wp',
	'hints'                     => array(
		'icon'          => 'el el-question-sign',
		'icon_position' => 'right',
		'icon_color'    => 'lightgray',
		'icon_size'     => 'normal',
		'tip_style'     => array(
			'color'   => 'red',
			'shadow'  => true,
			'rounded' => false,
			'style'   => '',
		),
		'tip_position'  => array(
			'my' => 'top left',
			'at' => 'bottom right',
		),
		'tip_effect'    => array(
			'show' => array(
				'effect'   => 'slide',
				'duration' => '500',
				'event'    => 'mouseover',
			),
			'hide' => array(
				'effect'   => 'slide',
				'duration' => '500',
				'event'    => 'click mouseleave',
			),
		),
	),
	'database'                  => '',
	'network_admin'             => true,
);

    Redux::setArgs( $opt_name, $args );
	/* Load Theme Functions */
    Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Theme Settings', 'maxwheels' ),
        'id'               => 'theme-settings',
        'desc'             => esc_html__( 'These are really basic fields to setup theme!', 'maxwheels' ),
        'customizer_width' => '400px',
        'icon'             => 'el el-wrench'
    ) );

    Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'General Settings', 'maxwheels' ),
        'id'               => 'general-settings',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
        'fields'           => array(
			array(
              'id' => 'mw_theme_clr',
				'type' => 'color',
				'title' => esc_html__('Theme Main (Primary) Color', 'maxwheels'),
				'subtitle' => esc_html__('Theme  main color (default: #ff7700) hover color as well.', 'maxwheels'),
				'transparent' => false,
				'default' => '#ff7700',
				'validate' => 'color',
       		 ),
			array(
				'id' => 'mw_btn_plate',
				'type' => 'link_color',
				'title' => esc_html__('Theme Buttons Colors', 'maxwheels'),
				'default' => array(
					'regular' => '#ff7700',
					'hover' => '#e56b00',
					'active' => '#ff7700',
				)
			),
			array(
              'id' => 'mw_themebtn_clr',
				'type' => 'color',
				'title' => esc_html__('Button Text Color', 'maxwheels'),
				'transparent' => false,
				'default' => '#ffffff',
				'validate' => 'color',
       		 ),
			/*array(
                'id'       => 'mw_darkmode',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable Dark Mode', 'maxwheels' ),
                'default'  => false,
				'desc'     => esc_html__( "Only for demo purpose don't enable on your site.", 'maxwheels' ),
            ),*/
			array(
                'id'       => 'mw_demo',
                'type'     => 'switch',
                'title'    => esc_html__( 'Demo Mode', 'maxwheels' ),
                'default'  => false,
				'desc'     => esc_html__( "Only for demo purpose don't enable on your site.", 'maxwheels' ),
            ),
            array(
                'id'       => 'mw_dashboard',
                'type'     => 'switch',
                'title'    => esc_html__( 'Dashboard Menu', 'maxwheels' ),
                'default'  => false,
				'desc'     => esc_html__( "Only for demo purpose don't enable on your site.", 'maxwheels' ),
            ),
            array(
                'id' => 'mw_car_mileage_unit',
                'type' => 'text',
                'title' => esc_html__('Mileage In', 'maxwheels'),
                'default' => esc_html__('(Mi)', 'maxwheels'),
                'subtitle' => esc_html__('Default mileage unit.', 'maxwheels'),
            ),
            array(
                'id' => 'mw_average_unit',
                'type' => 'text',
                'title' => esc_html__('Average In', 'maxwheels'),
                'default' => esc_html__('(mpg)', 'maxwheels'),
                 'subtitle' => esc_html__('Default average unit.', 'maxwheels'),
            ),
			array(
                'id' => 'mw_enginesize_unit',
                'type' => 'text',
                'title' => esc_html__('Engine Size In', 'maxwheels'),'',
                'default' => esc_html__('(cc)', 'maxwheels'),
                'subtitle' => esc_html__('Default engine size unit.', 'maxwheels'),
                
            ),
			array(
                'id'       => 'mw_bottom_nav',
                'type'     => 'switch',
                'title'    => esc_html__( 'Navigation On Mobile', 'maxwheels' ),
                'default'  => true,
            ),
            array(
                'id'       => 'mw_feature_switch',
                'type'     => 'switch',
                'title'    => esc_html__( 'Featured Listing Show On Top', 'maxwheels' ),
                'default'  => true,
            ),

        )
    ) );

	/* ------------------ Topbar Settings  ----------------------- */
		Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Topbar Settings', 'maxwheels' ),
        'id'               => 'real-topbar',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
		'icon' => 'el el-lock',
        'fields'     => array(
			
			array(
				'id'       => 'mw_show_topbar',
				'type'     => 'switch',
				'title'    => esc_html__( 'Show Topbar', 'maxwheels' ),
				'default'  => true,
			),
		
			array(
                'id'       => 'mw_topbar_style',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Topbar Layout', 'maxwheels' ),
                'desc'     => esc_html__( 'Select Topbar Layout you want to show.', 'maxwheels' ),
				'options' => array(
					'1' => 'Style 1', 
					'2' => 'Style 2', 
					'3' => 'Style 3',
					'4' => 'Style 4',
					'shop' => 'Style For Shop'
				),
                'default'  => '3',
				'required' => array('mw_show_topbar', '=', true),
            ),
			array(
				'id'       => 'mw_top_container',
				'type'     => 'button_set',
				'title'    => __('Top Bar Container Size', 'maxwheels'),
				'options' => array(
					'1' => 'Default', 
					'2' => 'Full Width', 
				 ), 
				'default' => '2',
				'required' => array('mw_show_topbar', '=', true), 
    		),
				 array(
					'id'               => 'mw_shoptagline',
					'type'             => 'editor',
					'title'            => __('Shop Tagline', 'maxwheels'), 
					'default'          => 'Free Ground Shipping Over $450',
					'args'   => array(
						'teeny'            => true,
						'textarea_rows'    => 10
				 ),
				 'required' => array( array('mw_topbar_style','=','shop')),
    		),
			array(
				'id' => 'mw_app_text',
				'type' => 'text',
				'title' => esc_html__('Apps Text', 'maxwheels'),
				'default' => esc_html__( 'Download Apps', 'maxwheels' ),
				'required' => array( array('mw_topbar_style','=','shop')),
			),
			array(
				'id' => 'mw_app_link_android',
				'type' => 'text',
				'title' => esc_html__('Android App Link', 'maxwheels'),
				'default' => '#',
				'required' => array( array('mw_topbar_style','=','shop')),
			),
			array(
				'id' => 'mw_app_link_ios',
				'type' => 'text',
				'title' => esc_html__('ISO App Link', 'maxwheels'),
				'default' => '#',
				'required' => array( array('mw_topbar_style','=','shop')),
			),
			
			array(
				'id' => 'mw_top_email',
				'type' => 'text',
				'title' => esc_html__('Email Address', 'maxwheels'),
				'default' => esc_html__( 'xyz@email.com', 'maxwheels' ),
				'required' => array( 
					array('mw_show_topbar','equals','1'), 
					array('mw_topbar_style','!=','2'),
					array('mw_topbar_style','!=','shop') 
				),
			),
			array(
				'id' => 'mw_top_contactno',
				'type' => 'text',
				'title' => esc_html__('Contact Number', 'maxwheels'),
				'default' => esc_html__( '+44 7700 900573', 'maxwheels' ),
				'required' => array( 
					array('mw_show_topbar','equals','1'), 
					array('mw_topbar_style','!=','2'),
					array('mw_topbar_style','!=','shop') 
				),
			),
			array(
				'id' => 'mw_top_hours',
				'type' => 'text',
				'title' => esc_html__('Working Hours', 'maxwheels'),
				'default' => esc_html__( 'Monday - Saturday 8AM - 7PM', 'maxwheels' ),
				'required' => array( 
					array('mw_show_topbar','equals','1'), 
					array('mw_topbar_style','!=','2'),
					array('mw_topbar_style','!=','shop') 
				),
			),
			array(
				'id' => 'mw_top_pages',
				'type' => 'select',
				'multi'    => true,
				'data' => 'pages',
				'title' => esc_html__('Topbar Pages Link', 'maxwheels'),
				'default' => '',
				'sortable' => true,
				'required' => array( 
					array('mw_show_topbar','equals','1'), 
					array('mw_topbar_style','!=','3') 
				),
			),
			
			array(
				'id'       => 'mw_top_btnset',
				'type'     => 'button_set',
				'title'    => __('Top Bar Settings', 'maxwheels'),
				'options' => array(
					'1' => 'Show Other Links', 
					'2' => 'Show Login/Register', 
				 ), 
				'default' => '2',
				'required' => array( 
					array('mw_show_topbar','equals','1'), 
					array('mw_topbar_style','equals','2') 
				),
    		),
			
			array(
				'id' => 'mw_top_otherpages',
				'type' => 'select',
				'multi'    => true,
				'data' => 'pages',
				'title' => esc_html__('Other Pages Link', 'maxwheels'),
				'default' => '',
				'sortable' => true,
				'required' => array( 
					array('mw_show_topbar','equals','1'), 
					array('mw_top_btnset','equals','1') 
				),
			),
			
			array(
				'id'       => 'mw_top_background',
				'type'     => 'color',
				'title'    => esc_html__('Topbar Background Color', 'maxwheels'), 
				'default'  => '#1B232F',
				'validate' => 'color',
				'transparent' => false,
				'required' => array('mw_show_topbar', '=', '1'),
			),
			array(
					'id'       => 'mw_top_nav_clr',
					'type'     => 'color',
					'title'    => __('Topbar Menu Color', 'maxwheels'), 
					'default'  => '#FFFFFF',
					'validate' => 'color',
				    'transparent' => false,
			    	'required' => array('mw_show_topbar', '=', '1'),
			),
			array(
				'id'       => 'mw_top_nav_clr_boder',
				'type'      => 'color_rgba',
				'title'    => __('Topbar Border Color', 'maxwheels'), 
				'default'   => array(
					'color'     => '#ffffff',
					'alpha'     => 0.3
				),
				'required' => array( 
					array('mw_show_topbar','equals','1'), 
					array('mw_topbar_style','=','shop') 
				),
			),
        )
    ) );

	/* ------------------ Header  ----------------------- */
		Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Topbar Social Links', 'maxwheels' ),
        'id'               => 'top-social',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
		'icon' => 'el el-facebook',
        'fields'     => array(
			array(
				'id'       => 'mw_show_topbar_social_links',
				'type'     => 'switch',
				'title'    => esc_html__( 'Show Social Links', 'maxwheels' ),
				'default'  => true,
			),
			array(
				'id' => 'mw_fb',
				'type' => 'text',
				'title' => esc_html__('Facebook', 'maxwheels'),
				'default' => "#",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_twitter',
				'type' => 'text',
				'title' => esc_html__('Twitter', 'maxwheels'),
				'default' => "#",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_pinterest',
				'type' => 'text',
				'title' => esc_html__('Pinterest', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_linkedin',
				'type' => 'text',
				'title' => esc_html__('Linkedin', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_youtube',
				'type' => 'text',
				'title' => esc_html__('Youtube', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_vimeo',
				'type' => 'text',
				'title' => esc_html__('Vimeo', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_tumblr',
				'type' => 'text',
				'title' => esc_html__('Tumblr', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_instagram',
				'type' => 'text',
				'title' => esc_html__('Instagram', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_flickr',
				'type' => 'text',
				'title' => esc_html__('Flickr', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_dribbble',
				'type' => 'text',
				'title' => esc_html__('Dribbble', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_rss',
				'type' => 'text',
				'title' => esc_html__('Rss', 'maxwheels'),
				'default' => "#",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_reddit',
				'type' => 'text',
				'title' => esc_html__('Reddit', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_spotify',
				'type' => 'text',
				'title' => esc_html__('Spotify', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_vine',
				'type' => 'text',
				'title' => esc_html__('Vine', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_behance',
				'type' => 'text',
				'title' => esc_html__('Behance', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_delicious',
				'type' => 'text',
				'title' => esc_html__('Delicious', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_stumbleupon',
				'type' => 'text',
				'title' => esc_html__('Stumbleupon', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_deviantart',
				'type' => 'text',
				'title' => esc_html__('Deviantart', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_weibo',
				'type' => 'text',
				'title' => esc_html__('Weibo', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_foursquare',
				'type' => 'text',
				'title' => esc_html__('Foursquare', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_whatsapp',
				'type' => 'text',
				'title' => esc_html__('Whatsapp', 'maxwheels'),
				'default' => "#",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_skype',
				'type' => 'text',
				'title' => esc_html__('Skype', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_wechat',
				'type' => 'text',
				'title' => esc_html__('Wechat', 'maxwheels'),
				'default' => "",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
			array(
				'id' => 'mw_xing',
				'type' => 'text',
				'title' => esc_html__('Xing', 'maxwheels'),
				'default' => "#",
				'required' => array('mw_show_topbar_social_links', '=', true),
			),
		 )	
		));
	
	/* ------------------ Header  ----------------------- */
		Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Header Settings', 'maxwheels' ),
        'id'               => 'real-header',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
		'icon' => 'el el-lock',
        'fields'     => array(
		
			array(
                'id'       => 'mw_selected_header',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Header Layout', 'maxwheels' ),
                'desc'     => esc_html__( 'Select Header Layout you want to show.', 'maxwheels' ),
				'options' => array(
					'1' => 'Header Layout 1', 
					'3' => 'Header Layout 2',
					'4' => 'Header Layout 3',
					'5' => 'Header Layout 4',
					'shop' => 'Header Layout For Shop',
                    'elementorProHeader' => 'Header Layout For Elementor Pro',
					'classified' => 'Classic Classified'
				),
                
                'default'  => '4'
            ),

			array(
				'id'       => 'mw-header-btnset',
				'type'     => 'button_set',
				'title'    => esc_html__('Header Background Color', 'maxwheels'),
				'options' => array(
					'1' => 'Solid Background', 
					'2' => 'RGBA Background', 
				 ), 
				'default' => '1'
			),
			

			array(
				'id'       => 'mw-solid-color',
				'type'     => 'color',
				'title'    => esc_html__('Header Background Color', 'maxwheels'), 
				'default'  => '#fff',
				'validate' => 'color',
				'transparent' => false,
				'required' => array('mw-header-btnset', '=', '1'),
			),
			
			array(
				'id'        => 'mw-opt-color-rgba',
				'type'      => 'color_rgba',
				'title'    => esc_html__('Select Color', 'maxwheels'),
				'default'   => array(
					'color'     => '#23292F',
					'alpha'     => 0.7
				),
				'required' => array('mw-header-btnset', '=', '2'),
			),

		
			
			array(
					'id'       => 'mw-opt-color',
					'type'     => 'color',
					'title'    => __('Navigation Menu Color', 'maxwheels'), 
					'default'  => '#1C1C1C',
					'validate' => 'color',
				    'transparent' => false,
			),
			
			array(
                'id'       => 'mw_main_logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Logo', 'maxwheels' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Upload main logo of your website.', 'maxwheels' ),
				'default'  => array( 'url' => trailingslashit( get_template_directory_uri () ) . 'libs/images/logo.svg' ),
            ),	
            array(
                'id'       => 'mw_trans_logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Transparent Logo', 'maxwheels' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Upload transparent logo of your website.', 'maxwheels' ),
				'default'  => array( 'url' => trailingslashit( get_template_directory_uri () ) . 'libs/images/logo-white.svg' ),
            ),

			array(
                'id'       => 'mw_mobile_logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Small Logo For Mobile Devices', 'maxwheels' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Logo that shows at mobile resolution.', 'maxwheels' ),
				'default'  => array( 'url' => trailingslashit( get_template_directory_uri () ) . 'libs/images/logo.svg' ),
            ),			
			 array( 
				'id' => 'mw_shop_workinghours',
				'title' => esc_html__('Shop Working Hours', 'maxwheels'),
				'type' => 'text',
				'data' => array(
					'box1' => 'Icon Field',
					'box2' => 'Working Hours',
					'box3' => 'Working Days',
				),
				'required' => array( array('mw_selected_header','=','shop') ),
			),
			array( 
				'id' => 'mw_shop_workingnumber',
				'title' => esc_html__('Shop Working Number', 'maxwheels'),
				'type' => 'text',
				'data' => array(
					'box1' => 'Icon Field',
					'box2' => 'Contact Number',
					'box3' => 'Text Area',
				),
				'required' => array( array('mw_selected_header','=','shop') ),
			) ,
			array(
				'id'       => 'mw_other_btn',
				'type'     => 'switch',
				'title'    => esc_html__( 'Show Submit Button', 'maxwheels' ),
				'default'  => true,
				'required' => array( array('mw_selected_header','!=','shop') ),
			),
			array(
				'id' => 'mw_anotherbtn_txt',
				'type' => 'text',
				'title' => esc_html__('Submit Listing Button Text', 'maxwheels'),
				'default' => esc_html__( 'Add your vehicle', 'maxwheels' ),
				'required' => array('mw_other_btn', '=', true),
			),
			
			array(
				'id' => 'mw_anotherbtn_icon',
				'type' => 'text',
				'title' => esc_html__('Button Icon', 'maxwheels'),
				'default' => esc_html__( 'fas fa-car', 'maxwheels' ),
				'required' => array('mw_other_btn', '=', true),
			),
			
		
		  array(
				'id' => 'mw_callus_txt',
				'type' => 'text',
				'title' => esc_html__('Button Text', 'maxwheels'),
				'default' => esc_html__( 'Call us', 'maxwheels' ),
				'required' => array('mw_selected_header', '=', '2'),
			),
			array(
				'id' => 'mw_contact_no_txt',
				'type' => 'text',
				'title' => esc_html__('Contact Number/Anything', 'maxwheels'),
				'default' => esc_html__( '+92-123-4567', 'maxwheels' ),
				'required' => array('mw_selected_header', '=', '2'),
			),
			array(
                'id'       => 'mw_contact_icon',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Icon', 'maxwheels' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Icon for text. Recommended size 35x35', 'maxwheels' ),
				'default'  => array( 'url' => trailingslashit( get_template_directory_uri () ) . 'libs/images/phoneold.png' ),
				'required' => array('mw_selected_header', '=', '2'),
            ),	
		
		
        )
    ) );

/* ------------------ Required Form Fields ----------------------- */
		Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Breadcrumbs', 'maxwheels' ),
        'id'               => 'mw_breads',
        'subsection'       => true,
        'customizer_width' => '450px',
        'icon' => 'el el-tasks',
        'fields'     => array(
			array(
				'id'       => 'mw-breadsolid-color',
				'type'     => 'color',
				'title'    => esc_html__('Breadcrumbs Background Color', 'maxwheels'), 
				'default'  => '#fff',
				'validate' => 'color',
				'transparent' => false,
			),
        )
    ) );
	
	/* ------------------ Dashboard Settings ----------------------- */
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Dashboard Settings', 'maxwheels' ),
        'id'               => 'dashboard-settings',
        'desc'             => esc_html__( 'Here you can setup the dashboard settings', 'maxwheels' ),
        'customizer_width' => '400px',
        'icon'             => 'el el-user',
));



	
	/* ------------------ Agents Required Form Fields ----------------------- */
		Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Dealer Profile Fields', 'maxwheels' ),
        'id'               => 'agent_required_fields',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
        'fields'     => array(
			array(
                'id'       => 'mw_agent_fields',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Form Required Fields', 'maxwheels' ),
                'subtitle' => esc_html__( 'Select the Mandatory Fields for agent.', 'maxwheels' ),
                'desc'     => esc_html__( 'Select the Mandatory Fields for agent.', 'maxwheels' ),
				'options'  => array
				(
					'ag_mob' 	=> esc_html__('Mobile Number','maxwheels'),
					'ag_type' 	=> esc_html__('Dealer Type','maxwheels'),
					'ag_loc' => esc_html__('Dealer Location','maxwheels'),
					'whats_app' => esc_html__('WhatsApp Number','maxwheels'),
					'off_no' => esc_html__('Office Number','maxwheels'),
					'fax_no' => esc_html__('Fax Number','maxwheels'),
					'web_url' => esc_html__('Website Url','maxwheels'),
					'ag_hours' => esc_html__('Working Hours','maxwheels'),
					'ag_skype' => esc_html__('Skype','maxwheels'),
					'ag_pos' => esc_html__('Position','maxwheels'),
					'about_ag' => esc_html__('About Agent','maxwheels'),
					'ag_fb' => esc_html__('Facebook URL','maxwheels'),
					'ag_tw' => esc_html__('Twitter URL','maxwheels'),
					'ag_link' => esc_html__('LinkedIn URL','maxwheels'),
					'ag_in' => esc_html__('Instagram URL','maxwheels'),
                    'ag_you' => esc_html__('Youtube URL','maxwheels'),
					'ag_pin' => esc_html__('Pinterest URL','maxwheels'),
					'ag_addr' => esc_html__('Address','maxwheels'),
			   ),
                'default'  => array(
                    'ag_mob' 	=> '1',
					'ag_type' 	=> '1',
					'ag_loc' => '1',
					'whats_app' => '1',
					'off_no' => '1',
					'fax_no' => '0',
					'web_url' => '0',
					'ag_hours' => '0',
					'ag_skype' => '0',
					'ag_pos' => '0',
					'about_ag' => '1',
					'ag_fb' => '0',
					'ag_tw' => '0',
					'ag_link' => '0',
					'ag_in' => '0',
                    'ag_you' => '0',
					'ag_pin' => '0',
					'ag_addr' => '1',
                )
            ),
        )
    ));
	
	
	
	
	Redux::setSection( $opt_name, array(
			'title'      => esc_html__( 'Detail Page General Settings', "maxwheels" ),
			'id'         => 'mw_ag_details',
			'desc'       => '',
			'subsection' => true,
			'fields'     => array(
			
				array(
					'id' => 'p_menu_section',
					'type' => 'section',
					'title' => esc_html__('Menu Section Text', 'maxwheels'),
					'indent' => true, // Indent all options below until the next 'section' option is set.
				),
			
				array(
					'id' => 'mw_settings_detail_sections',
					'type' => 'text',
					'title' => esc_html__('Overview Menu', 'maxwheels'),'',
					'default' => esc_html__('Overview', 'maxwheels'),
        		),
				array(
					'id' => 'mw_settings_detail_menulistings',
					'type' => 'text',
					'title' => esc_html__('Listings Menu', 'maxwheels'),
					'default' => esc_html__('Listings', 'maxwheels'),
        		),
				array(
					'id' => 'mw_settings_detail_menuviews',
					'type' => 'text',
					'title' => esc_html__('Daily Views Menu', 'maxwheels'),
					'default' => esc_html__('Daily Views', 'maxwheels'),
        		),
				array(
					'id' => 'mw_settings_detail_menuagents',
					'type' => 'text',
					'title' => esc_html__('Agents Menu', 'maxwheels'),
					'default' => esc_html__('Agents', 'maxwheels'),
        		),
				array(
					'id' => 'mw_settings_detail_menureviews',
					'type' => 'text',
					'title' => esc_html__('Reviews Menu', 'maxwheels'),
					'default' => esc_html__('Reviews', 'maxwheels'),
        		),
				array(
					'id' => 'mw_settings_detail_reviews_menuwrite',
					'type' => 'text',
					'title' => esc_html__('Write a Review Menu', 'maxwheels'),
					'default' => esc_html__('Write a Review', 'maxwheels'),
        		),
				
				array(
					'id' => 'p_det_section',
					'type' => 'section',
					'title' => esc_html__('Sections Headings Text', 'maxwheels'),
					'indent' => true,
				),
				
				array(
					'id' => 'mw_settings_detail_sections_detail',
					'type' => 'text',
					'title' => esc_html__('Overview Section', 'maxwheels'),'',
					'default' => esc_html__('Overview', 'maxwheels'),
        		),
				array(
					'id' => 'mw_settings_detail_listings',
					'type' => 'text',
					'title' => esc_html__('Listings Section', 'maxwheels'),
					'default' => esc_html__('Listings', 'maxwheels'),
        		),
				array(
					'id' => 'mw_settings_detail_uviews',
					'type' => 'text',
					'title' => esc_html__('Daily Views Section', 'maxwheels'),
					'default' => esc_html__('Daily Views', 'maxwheels'),
        		),
				array(
					'id' => 'mw_settings_detail_agents',
					'type' => 'text',
					'title' => esc_html__('Agents Section', 'maxwheels'),
					'default' => esc_html__('Agents', 'maxwheels'),
        		),
				
				array(
					'id' => 'mw_settings_detail_reviews_write',
					'type' => 'text',
					'title' => esc_html__('Write a Review Section', 'maxwheels'),
					'default' => esc_html__('Write a Review', 'maxwheels'),
        		),
				
				
				array(
					'id' => 'p_sidb_section',
					'type' => 'section',
					'title' => esc_html__('Sidebar Generic Sections', 'maxwheels'),
					'indent' => true, // Indent all options below until the next 'section' option is set.
				),
				
				array(
					'id' => 'mw_detail_sidebar_info',
					'type' => 'text',
					'title' => esc_html__('Contact Info Widget', 'maxwheels'),
					'default' => esc_html__('Contact Info', 'maxwheels'),
        		),
				
				array(
					'id' => 'mw_detail_sidebar_featured',
					'type' => 'text',
					'title' => esc_html__('Featured Listings Widget', 'maxwheels'),
					'default' => esc_html__('Featured Listings', 'maxwheels'),
        		),
				
				array(
					'id' => 'mw_detail_sidebar_banner',
					'type' => 'text',
					'title' => esc_html__('Advertizment Widget', 'maxwheels'),
					'default' => esc_html__('Advertizment', 'maxwheels'),
        		),
				
				array(
					'id' => 'mw_detail_sidebar_reviews',
					'type' => 'text',
					'title' => esc_html__('Reviews Widget', 'maxwheels'),
					'default' => esc_html__('Reviews', 'maxwheels'),
        		),
				
				array(
					'id' => 'mw_detail_sidebar_mview',
					'type' => 'text',
					'title' => esc_html__('Most Viewed Widget', 'maxwheels'),
					'default' => esc_html__('Most Viewed Listings', 'maxwheels'),
        		),
				
				
		
		array(
			'id' => 'p_side_sect',
			'type' => 'section',
			'title' => esc_html__('Sidebar Contact Form Settings', 'maxwheels'),
			'indent' => true,
		),		
		array(
            'id' => 'mw_profileauthor_sub',
            'type' => 'text',
            'title' => esc_html__('Contact Author Subject', 'maxwheels'),
            'default' => esc_html__("You have a new message from profile", 'maxwheels'),
        ),
		array(
            'id' => 'mw_profileauthor_messages',
            'type' => 'editor',
            'title' => esc_html__('Contact Author Message', 'maxwheels'),
            'args' => array(
                'teeny' => true,
                'textarea_rows' => 30,
                'wpautop' => false,
            ),
            'desc' => esc_html__('%site_name% , %display_name%, %sender_name%,  %sender_email% , %sender_message%, %profile_link% will be translated accordingly.', 'maxwheels'),
            'default' => "<body style='background-color: #f4f4f4; margin: 0 !important; padding: 0 !important;'>
<table border='0' cellpadding='0' cellspacing='0' width='100%'>
    <!-- LOGO -->
    <tr>
        <td bgcolor='#3CBEB2' align='center'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td align='center' valign='top' style='padding: 40px 10px 40px 10px;'> </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#3CBEB2' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='center' valign='top' style='padding: 40px 20px 20px 20px; border-radius: 4px 4px 0px 0px; color: #111111;  font-size: 48px; font-weight: 400; letter-spacing: 4px; line-height: 48px;'>
                        <h1 style='font-size: 34px; font-weight: 400; margin:2px;'>Hello %display_name%,</h1> <img src='".trailingslashit( get_template_directory_uri () ) . "libs/images/logo-4.png"."' width='' height='' alt='' style='display: block; border: 0px;padding-top: 25px;' />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 0 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important;'>You've new Message from your profile page. </p>
                    </td>
                </tr>
                 <!-- COPY -->
				 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 10px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
						 <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Profile Link</strong> : <a target='_blank' style='color: #3cbeb2;' href='%profile_link%'>%profile_link%</a></p>
                    </td>
                </tr>
                 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 10px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
						 <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Sender Name</strong> : %sender_name%</p>
                        <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Sender Email</strong> : %sender_email%</p>
                    </td>
                </tr>
				 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important; ' ><strong style='color: #111111;'>Message:</strong>  %sender_message% </p>
                    </td>
                </tr>
                
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 30px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#FFECD1' align='center' style='padding: 30px 30px 30px 30px; border-radius: 4px 4px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <h2 style='font-size: 20px; font-weight: 400; color: #111111; margin: 0;'>Need more help?</h2>
                        <p style='margin: 0;'><a href='#' target='_blank' style='color: #3cbeb2;'>We’re here to help you out</a></p>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#f4f4f4' align='left' style='padding: 0px 30px 30px 30px; color: #666666;  font-size: 14px; font-weight: 400; line-height: 18px;'> <br>
                        <p style='margin: 0;'>".date("Y")." © <a href='#' target='_blank' style='color: #111111; font-weight: 700;'>Scriptsbundle</a> ALL Rights Reserved.</p>
                    </td>
                </tr>
            </table>
            
        </td>
    </tr>
</table>
</body>"
			),
				
			)
		));
	
	Redux::setSection( $opt_name, array(
			'title'      => esc_html__( 'Dealer Detail Page', "maxwheels" ),
			'id'         => 'mw_ag_detail',
			'desc'       => '',
			'subsection' => true,
			'fields'     => array(
				
			 array(
					'id' => 'mw_dlr_profile_type',
					'type' => 'button_set',
					'title' => esc_html__('Premium Dealer Profile Type', 'maxwheels'),
					'options' => array(
						'1' => esc_html__('With Tabs', 'maxwheels'),
						'2' => esc_html__('Simple', 'maxwheels'),
					),
					'default' => '1'
			 ),
				
			array(
				'id' => 'mw_dlr_profile_type_inventory_title',
				'type' => 'text',
				'title' => esc_html__('Inventory Tab Title', 'maxwheels'),
				'default' => esc_html__("Dealer's Inventory", 'maxwheels'),
				'required' => array('mw_dlr_profile_type', '=', '1'),
			),
			array(
				'id' => 'mw_dlr_profile_type_reviews_title',
				'type' => 'text',
				'title' => esc_html__('Reviews Tab Title', 'maxwheels'),
				'default' => esc_html__("Dealer Reviews", 'maxwheels'),
				'required' => array('mw_dlr_profile_type', '=', '1'),
			),
			array(
				'id' => 'mw_dlr_profile_type_write_title',
				'type' => 'text',
				'title' => esc_html__('Write A Review Tab Title', 'maxwheels'),
				'default' => esc_html__("Write a review", 'maxwheels'),
				'required' => array('mw_dlr_profile_type', '=', '1'),
			),
			array(
				'id' => 'mw_dlr_profile_no_inv',
				'type' => 'text',
				'title' => esc_html__('No Inventory Found Message', 'maxwheels'),
				'default' => esc_html__("Sorry!!! No Inventory Found", 'maxwheels'),
			),	
				
				array(
					'id' => 'mw_ag_detail_sections',
					'type' => 'sorter',
					'title' => esc_html__('Dealer Detail Page', 'maxwheels'),'',
					'desc' => esc_html__('Organize how you want the layout to appear on main site', 'maxwheels'),'',
					'compiler' => 'true',
					'required' => array('mw_dlr_profile_type', '=', '2'),
					'options' => array(
						'enabled' => array(
							'over' => esc_html__('Overview', 'maxwheels'),
							'props' => esc_html__('All Properties', 'maxwheels'),
							'agents' => esc_html__('All Agents', 'maxwheels'),
							'views' => esc_html__('Views', 'maxwheels'),
							'review' => esc_html__('Reviews', 'maxwheels'),
							'write_review' => esc_html__('Write A Reviews', 'maxwheels'),
						),
						'disabled' => array(),
					),
				),
				array(
					'id' => 'mw_ag_detail_sidebar_agency',
					'type' => 'sorter',
					'title' => esc_html__('Dealer Detail Page Sidebar', 'maxwheels'),'',
					'desc' => esc_html__('Organize how you want the layout to appear on sidebar', 'maxwheels'),'',
					'compiler' => 'true',
					'options' => array(
						'enabled' => array(
							'info' => esc_html__('Contact Info', 'maxwheels'),
							'featured' => esc_html__('Featured Listings', 'maxwheels'),
							'slot1' => esc_html__('Advertizment 300x250', 'maxwheels'),
							'score' => esc_html__('Reviews Score', 'maxwheels'),
							'contact' => esc_html__('Contact Seller', 'maxwheels'),
							'most' => esc_html__('Most Viewed', 'maxwheels'),
							'slot2' => esc_html__('Advertizment 300x600', 'maxwheels'),
						),
						'disabled' => array(),
					),
				),
			)
		));	
		
		
		Redux::setSection( $opt_name, array(
			'title'      => esc_html__( 'Agent Detail Page', "maxwheels" ),
			'id'         => 'mw_agent_detail',
			'desc'       => '',
			'subsection' => true,
			'fields'     => array(
				array(
					'id' => 'mw_agent_detail_sections',
					'type' => 'sorter',
					'title' => esc_html__('Agent Detail Page', 'maxwheels'),'',
					'desc' => esc_html__('Organize how you want the layout to appear on main site', 'maxwheels'),'',
					'compiler' => 'true',
					'options' => array(
						'enabled' => array(
							'over' => esc_html__('Overview', 'maxwheels'),
							'props' => esc_html__('All Properties', 'maxwheels'),
							'views' => esc_html__('Views', 'maxwheels'),
							'review' => esc_html__('Reviews', 'maxwheels'),
							'write_review' => esc_html__('Write A Reviews', 'maxwheels'),
						),
						'disabled' => array(),
					),
				),
				array(
					'id' => 'mw_agent_detail_sidebar_agency',
					'type' => 'sorter',
					'title' => esc_html__('Agent Detail Page Sidebar', 'maxwheels'),'',
					'desc' => esc_html__('Organize how you want the layout to appear on sidebar', 'maxwheels'),'',
					'compiler' => 'true',
					'options' => array(
						'enabled' => array(
							'info' => esc_html__('Contact Info', 'maxwheels'),
							'featured' => esc_html__('Featured Listings', 'maxwheels'),
							'slot1' => esc_html__('Advertizment 300x250', 'maxwheels'),
							'score' => esc_html__('Reviews Score', 'maxwheels'),
							'contact' => esc_html__('Contact Seller', 'maxwheels'),
							'most' => esc_html__('Most Viewed', 'maxwheels'),
							'slot2' => esc_html__('Advertizment 300x600', 'maxwheels'),
						),
						'disabled' => array(),
					),
				),
			)
		));
		
		Redux::setSection( $opt_name, array(
			'title'      => esc_html__( 'Buyer Detail Page', "maxwheels" ),
			'id'         => 'mw_buyer_detail',
			'desc'       => '',
			'subsection' => true,
			'fields'     => array(
				array(
					'id' => 'mw_buyer_detail_sections',
					'type' => 'sorter',
					'title' => esc_html__('Buyer/Individual Profile Detail Page', 'maxwheels'),'',
					'desc' => esc_html__('Organize how you want the layout to appear on main site', 'maxwheels'),'',
					'compiler' => 'true',
					'options' => array(
						'enabled' => array(
							'over' => esc_html__('Overview', 'maxwheels'),
							'props' => esc_html__('All Properties', 'maxwheels'),
							'views' => esc_html__('Views', 'maxwheels'),
							'review' => esc_html__('Reviews', 'maxwheels'),
							'write_review' => esc_html__('Write A Reviews', 'maxwheels'),
						),
						'disabled' => array(),
					),
				),
				array(
					'id' => 'mw_buyer_detail_sidebar_agency',
					'type' => 'sorter',
					'title' => esc_html__('Buyer/Individual Profile Detail Page Sidebar', 'maxwheels'),'',
					'desc' => esc_html__('Organize how you want the layout to appear on sidebar', 'maxwheels'),'',
					'compiler' => 'true',
					'options' => array(
						'enabled' => array(
							'info' => esc_html__('Contact Info', 'maxwheels'),
							'featured' => esc_html__('Featured Listings', 'maxwheels'),
							'slot1' => esc_html__('Advertizment 300x250', 'maxwheels'),
							'score' => esc_html__('Reviews Score', 'maxwheels'),
							'contact' => esc_html__('Contact Seller', 'maxwheels'),
							'most' => esc_html__('Most Viewed', 'maxwheels'),
							'slot2' => esc_html__('Advertizment 300x600', 'maxwheels'),
						),
						'disabled' => array(),
					),
				),
			)
		));
	
	
	
Redux::setSection( $opt_name, array(
	'title'      => esc_html__( 'Reviews Settings', "maxwheels" ),
	'id'         => 'mw_ag_reviews',
	'desc'       => '',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'       => 'mw_allow_agencies_agents',
			'type'     => 'switch',
			'title'    => __( 'Allow Agencies & Agents?', 'maxwheels' ),
			'default'  => false,
			'desc'             => esc_html__( 'Allow Agencies & Agents To Post Reviews.', 'maxwheels' ),
		),
		array(
			'id' => 'mw_ag_rev_first',
			'type' => 'text',
			'title' => esc_html__('First Feild Text', 'maxwheels'),
			'default' => esc_html__('Customer Service', 'maxwheels'),
		),
		array(
			'id' => 'mw_ag_rev_second',
			'type' => 'text',
			'title' => esc_html__('Second Field Text', 'maxwheels'),
			'default' => esc_html__('Buying Process', 'maxwheels'),
		),
		array(
			'id' => 'mw_ag_rev_third',
			'type' => 'text',
			'title' => esc_html__('Third Field Text', 'maxwheels'),
			'default' => esc_html__('Overall Experience', 'maxwheels'),
		),
		array(
			'id' => 'mw_ag_rev_fourth',
			'type' => 'text',
			'title' => esc_html__('Fourth Field Text', 'maxwheels'),
			'default' => esc_html__('Communication', 'maxwheels'),
		),
		array(
			'id' => 'mw_ag_rev_recommend',
			'type' => 'text',
			'title' => esc_html__('Recommend Field Text', 'maxwheels'),
			'default' => esc_html__('Recommend', 'maxwheels'),
		),
		array(
			'id' => 'mw_ag_rev_prop',
			'type' => 'text',
			'title' => esc_html__('Did You Purchase Field Text', 'maxwheels'),
			'default' => esc_html__('Has Purchased Anything?', 'maxwheels'),
		),
		array(
			'id' => 'mw_ag_rev_title',
			'type' => 'text',
			'title' => esc_html__('Title Field Text', 'maxwheels'),
			'default' => esc_html__('Title', 'maxwheels'),
		),
		array(
			'id' => 'mw_ag_rev_reviews',
			'type' => 'text',
			'title' => esc_html__('Review Field Text', 'maxwheels'),
			'default' => esc_html__('Your Comment', 'maxwheels'),
		),
		
		array(
			'id' => 'mw_ag_recommended_badge',
			'type' => 'text',
			'title' => esc_html__('Number of recommendations badge', 'maxwheels'),
			'desc'             => esc_html__( 'Show recommended badge on author profile after X numbers of recommendations by users', 'maxwheels' ),
			'subtitle' => esc_html__( 'This must be numeric.', 'maxwheels' ),
			'default' => 5 ,
			
		),
	)
));
	
	

/* ------------------ Package Settings ----------------------- */
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Submission Settings', 'maxwheels' ),
        'id'               => 'pack-settings',
        'customizer_width' => '600px',
        'icon'             => 'el el-fire',
        'fields'           => array(
            array(
                'id'       => 'mw_woo_approval',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Packages Order Approved By', 'maxwheels' ),
                'options'  => array(
                    'auto-woo' => esc_html__( 'Auto Approve', 'maxwheels' ),
                    'admin-woo' => esc_html__( 'Admin Approve', 'maxwheels' ),
                ),
                'default'  => 'auto-woo'
            ),
            array(
                'id' => 'mw_user_pkage_type',
                'type' => 'button_set',
                'title' => esc_html__('User submit Listing Type', 'maxwheels'),
                'options' => array(
                    'free-listing' => 'Free Listing',
                    'paid-listing' => 'Paid Lising'
                ),
                'default' => 'free-listing'
            ),
            array(
                'id'       => 'mw_paid_approval',
                'type'     => 'select',
                'options'  => array('auto_approval_paid' => 'Auto Approved', 'manual_approval_paid' => 'Admin manual approval' ),
                'title'    => esc_html__( 'Paid Listing Approval', 'maxwheels' ),
                'default'  => 'manual_approval_paid',
                'required' => array( 'mw_user_pkage_type', '=', 'paid-listing' ),
            ),

            array(
                'id'       => 'mw_approval',
                'type'     => 'select',
                'options'  => array('auto' => 'Auto Approved', 'manual' => 'Admin manual approval' ),
                'title'    => esc_html__( 'Listing Submission Approval', 'maxwheels' ),
				'default'  => 'auto',
                'required' => array( 'mw_user_pkage_type', '=', 'free-listing' ),
            ),
			array(
                'id'       => 'mw_approval_edit',
                'type'     => 'select',
                'options'  => array('auto' => 'Auto Approved', 'manual' => 'Admin manual approval' ),
                'title'    => esc_html__( 'Listing Edit/Update Approval', 'maxwheels' ),
				'default'  => 'auto',
                'required' => array( 'mw_user_pkage_type', '=', 'free-listing' ),
            ),

        )
));


Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Featured Listing Expiry', "maxwheels" ),
        'id'         => 'mw_expiry_emails',
        'desc'       => '',
         'icon' => 'el el-fire',
		'subsection' => true,
        'fields'     => array(
			array(
            'id' => 'mw_featured_subs',
            'type' => 'text',
            'title' => esc_html__('Featured Ad Expiry Subject', 'maxwheels'),
            'default' => esc_html__("Featured Property Expiry Notification", 'maxwheels'),
        ),
		array(
            'id' => 'mw_featured_messagess',
            'type' => 'editor',
            'title' => esc_html__('Featured Ad Expiry Message', 'maxwheels'),
            'args' => array(
                'teeny' => true,
                'textarea_rows' => 30,
                'wpautop' => false,
            ),
            'desc' => esc_html__('%site_name% , %display_name%, %sender_name%,  %sender_email% , %sender_message%,  %listing_title%,  %listing_link% will be translated accordingly.', 'maxwheels'),
            'default' => "<body style='background-color: #f4f4f4; margin: 0 !important; padding: 0 !important;'>
<table border='0' cellpadding='0' cellspacing='0' width='100%'>
    <!-- LOGO -->
    <tr>
        <td bgcolor='#3CBEB2' align='center'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td align='center' valign='top' style='padding: 40px 10px 40px 10px;'> </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#3CBEB2' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='center' valign='top' style='padding: 40px 20px 20px 20px; border-radius: 4px 4px 0px 0px; color: #111111;  font-size: 48px; font-weight: 400; letter-spacing: 4px; line-height: 48px;'>
                    <img src='".trailingslashit( get_template_directory_uri () ) . "libs/images/logo-4.png"."' width='' height='' alt='' style='display: block; border: 0px;padding-bottom: 25px;' />
                        <h1 style='font-size: 34px; font-weight: 400; margin: 2;'>Hello %display_name%,</h1> 
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 15px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important;'>Your featured ad has been expired! </p>
                    </td>
                </tr>
                 <!-- COPY -->
				 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 10px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important; padding-bottom:5px;'> <strong style='color:#111111'>Listing Title</strong> : %listing_title%</p>
						 <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Link</strong> : <a target='_blank' style='color: #3cbeb2;' href='%listing_link%'>%listing_link%</a></p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 10px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;' >If you have any questions, just reply to this email—we're always happy to help out.</p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 10px 30px 20px 30px; border-radius: 0px 0px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;'>Thanks for choosing our service.<br>Scriptsbundle Team</p>

                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 30px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#FFECD1' align='center' style='padding: 30px 30px 30px 30px; border-radius: 4px 4px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <h2 style='font-size: 20px; font-weight: 400; color: #111111; margin: 0;'>Need more help?</h2>
                        <p style='margin: 0;'><a href='#' target='_blank' style='color: #3cbeb2;'>We’re here to help you out</a></p>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#f4f4f4' align='left' style='padding: 0px 30px 30px 30px; color: #666666;  font-size: 14px; font-weight: 400; line-height: 18px;'> <br>
                        <p style='margin: 0;'>".date("Y")." © <a href='#' target='_blank' style='color: #111111; font-weight: 700;'>Scriptsbundle</a> ALL Rights Reserved.</p>
                    </td>
                </tr>
            </table>
            
        </td>
    </tr>
</table>
</body>"
			),
			
		)
	));	

Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Regular Listing Expiry', "maxwheels" ),
        'id'         => 'mw_expiry_regular',
        'desc'       => '',
         'icon' => 'el el-list-alt',
		'subsection' => true,
        'fields'     => array(
            
            array(
				'id'       => 'mw_expiry_status',
				'type'     => 'button_set',
				'title'    => esc_html__( 'Listing Expiry Type', 'maxwheels' ),
				'options'  => array(
					'trash' => esc_html__('Trash', 'maxwheels' ),
					'expired' => esc_html__('Expired', 'maxwheels' ),
				),
				'default'  => 'expired',
                'desc' => esc_html__('Trash will delete the listing from the site permanently.', 'maxwheels'),
			),	
            
			array(
            'id' => 'mw_reg_subj',
            'type' => 'text',
            'title' => esc_html__('Regular Listing Expiry Subject', 'maxwheels'),
            'default' => esc_html__("Regular Listing Expiry Notification", 'maxwheels'),
        ),
		array(
            'id' => 'mw_reg_message',
            'type' => 'editor',
            'title' => esc_html__('Regular Listing Expiry Message', 'maxwheels'),
            'args' => array(
                'teeny' => true,
                'textarea_rows' => 30,
                'wpautop' => false,
            ),
            'desc' => esc_html__('%site_name% , %display_name%, will be translated accordingly.', 'maxwheels'),
            'default' => "<body style='background-color: #f4f4f4; margin: 0 !important; padding: 0 !important;'>
<table border='0' cellpadding='0' cellspacing='0' width='100%'>
    <!-- LOGO -->
    <tr>
        <td bgcolor='#3CBEB2' align='center'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td align='center' valign='top' style='padding: 40px 10px 40px 10px;'> </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#3CBEB2' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='center' valign='top' style='padding: 40px 20px 20px 20px; border-radius: 4px 4px 0px 0px; color: #111111;  font-size: 48px; font-weight: 400; letter-spacing: 4px; line-height: 48px;'>
                    <img src='".trailingslashit( get_template_directory_uri () ) . "libs/images/logo-4.png"."' width='' height='' alt='' style='display: block; border: 0px;padding-bottom: 25px;' />
                        <h1 style='font-size: 34px; font-weight: 400; margin: 2;'>Hello %display_name%,</h1> 
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 15px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important;'>Your listing has been expired & trashed! </p>
                    </td>
                </tr>
                 
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 10px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;' >If you have any questions, just reply to this email—we're always happy to help out.</p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 10px 30px 20px 30px; border-radius: 0px 0px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;'>Thanks for choosing our service.<br>Scriptsbundle Team</p>

                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 30px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#FFECD1' align='center' style='padding: 30px 30px 30px 30px; border-radius: 4px 4px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <h2 style='font-size: 20px; font-weight: 400; color: #111111; margin: 0;'>Need more help?</h2>
                        <p style='margin: 0;'><a href='#' target='_blank' style='color: #3cbeb2;'>We’re here to help you out</a></p>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#f4f4f4' align='left' style='padding: 0px 30px 30px 30px; color: #666666;  font-size: 14px; font-weight: 400; line-height: 18px;'> <br>
                        <p style='margin: 0;'>".date("Y")." © <a href='#' target='_blank' style='color: #111111; font-weight: 700;'>Scriptsbundle</a> ALL Rights Reserved.</p>
                    </td>
                </tr>
            </table>
            
        </td>
    </tr>
</table>
</body>"
			),
			
		)
	));	

Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Expiry Cron Jobs', "maxwheels" ),
        'id'         => 'mw_cron_jobs',
        'desc'       => '',
         'icon' => 'el el-cog',
		'subsection' => true,
        'fields'     => array(
                array(
                    'id' => 'mw_regular_cron_switch',
                    'type' => 'switch',
                    'title' => esc_html__('Enable Regular Listings Cron Jobs', 'maxwheels'),
                    'desc' => esc_html__('Note : This functionality works hiddenly check all the listings and trash/expires old listings. This option takes a lot of loads so anyone who wishes to choose this option must have a good server.', 'maxwheels'),
                    'default' => false,
                ),
                array(
                    'id' => 'mw_regular_cron_switch_interval',
                    'type' => 'select',
                    'required' => array('mw_regular_cron_switch', '=', true),
                    'title' => esc_html__('Cron Interval', 'maxwheels'),
                    'desc' => esc_html__('Cron job run after this Interval', 'maxwheels'),
                    'options' => array('hourly' => 'Hourly', 'twicedaily' => 'Twice Daily', 'daily' => 'Daily'),
                    'default' => 'daily',
                ),

                array(
                    'id' => 'mw_featured_cron_switch',
                    'type' => 'switch',
                    'title' => esc_html__('Enable Featured Listings Cron Jobs', 'maxwheels'),
                    'desc' => esc_html__('Note : This functionality works hiddenly check all the listings and trash/expires old listings. This option takes a lot of loads so anyone who wishes to choose this option must have a good server.', 'maxwheels'),
                    'default' => false,
                    'subtitle'  => esc_html__('Check featured listing expiry automatically', 'maxwheels'),
                ),
                array(
                    'id' => 'mw_featured_cron_switch_interval',
                    'type' => 'select',
                    'required' => array('mw_featured_cron_switch', '=', true),
                    'title' => esc_html__('Cron Interval', 'maxwheels'),
                    'desc' => esc_html__('Cron job run after this Interval', 'maxwheels'),
                    'options' => array('hourly' => 'Hourly', 'twicedaily' => 'Twice Daily', 'daily' => 'Daily'),
                    'default' => 'daily',
                ),
            
            )
   )); 
	

/* ------------------Blog Settings ----------------------- */
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Admin Options', 'maxwheels' ),
        'id'         => 'mw_admin_options',
        'desc'       => '',
        'icon' => 'el el-asl',
        'fields'     => array(
			array(
				'id' => 'mw_user_role_type',
				'type' => 'button_set',
				'title' => esc_html__('User Role Type', 'maxwheels'),
				'options' => array(
					'both' => 'All', 
					'dealer' => 'Dealer', 
					'buyer' => 'Buyer'
				),
				'default' => 'both'
			),
			array(
                'id'       => 'mw_woo_enable_packages',
                'type'     => 'switch',
                'title'    => esc_html__( 'Assign Free Package On Registration', 'maxwheels' ),
                'default'  => true,
            ),
			array(
					'id'    => 'mw_notification_packages',
					'type'  => 'info',
					'title' => esc_html__('Package Alert', 'maxwheels'),
					'style' => 'critical',
					'desc'  => esc_html__('This option will only work when ( WooCommerce Plugin ) is activeted & ( maxwheels Packages ) are created.', 'maxwheels'),
					'required' => array( 'mw_woo_enable_packages', '=', true ),
				),
			array(
                'id' => 'mw_listing_package_type',
                'type' => 'select',
                'data' => 'post',
                'args' => array(
                    'post_type' => array('product') ,
					'post_status' => 'publish',
					'posts_per_page' => 20,
					'order'=> 'DESC',
					'orderby' => 'date',
                    'tax_query' => array(
                    array(
                        'taxonomy' => 'product_type',
                        'field' => 'slug',
                        'terms' => 'maxwheels_packages'
                    ),
                ),
                ) ,
                'title' => esc_html__('Select Package', 'maxwheels') ,
				'required' => array( 'mw_woo_enable_packages', '=', true ),
            ) ,
            
            array(
                'id'       => 'mw_contact_number_selector',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show All Telephone Numbers', 'maxwheels' ),
                'on' => 'All Countires',
                'off' => 'Selective',
                'default'  => true,
                'desc' =>  esc_html__('Show all or selective country mobile number on listing contact forms.', 'maxwheels'),
            ),	
            array(
				'id'		=> 'mw_contact_number_selective',
				'type'		=> 'select',
				'title'		=> esc_html__( 'Chart Type', 'maxwheels' ),
				'options'	=> array(
					'AD'=>'Andorra',
                    'AE'=>'United Arab Emirates',
                    'AF'=>'Afghanistan',
                    'AG'=>'Antigua and Barbuda',
                    'AI'=>'Anguilla',
                    'AL'=>'Albania',
                    'AM'=>'Armenia',
                    'AO'=>'Angola',
                    'AP'=>'Asia/Pacific Region',
                    'AQ'=>'Antarctica',
                    'AR'=>'Argentina',
                    'AS'=>'American Samoa',
                    'AT'=>'Austria',
                    'AU'=>'Australia',
                    'AW'=>'Aruba',
                    'AX'=>'Aland Islands',
                    'AZ'=>'Azerbaijan',
                    'BA'=>'Bosnia and Herzegovina',
                    'BB'=>'Barbados',
                    'BD'=>'Bangladesh',
                    'BE'=>'Belgium',
                    'BF'=>'Burkina Faso',
                    'BG'=>'Bulgaria',
                    'BH'=>'Bahrain',
                    'BI'=>'Burundi',
                    'BJ'=>'Benin',
                    'BL'=>'Saint Bartelemey',
                    'BM'=>'Bermuda',
                    'BN'=>'Brunei Darussalam',
                    'BO'=>'Bolivia',
                    'BQ'=>'Bonaire Saint Eustatius and Saba',
                    'BR'=>'Brazil',
                    'BS'=>'Bahamas',
                    'BT'=>'Bhutan',
                    'BV'=>'Bouvet Island',
                    'BW'=>'Botswana',
                    'BY'=>'Belarus',
                    'BZ'=>'Belize',
                    'CA'=>'Canada',
                    'CC'=>'Cocos (Keeling) Islands',
                    'CD'=>'Congo The Democratic Republic of the',
                    'CF'=>'Central African Republic',
                    'CG'=>'Congo',
                    'CH'=>'Switzerland',
                    'CI'=>'Cote d Ivoire',
                    'CK'=>'Cook Islands',
                    'CL'=>'Chile',
                    'CM'=>'Cameroon',
                    'CN'=>'China',
                    'CO'=>'Colombia',
                    'CR'=>'Costa Rica',
                    'CU'=>'Cuba',
                    'CV'=>'Cape Verde',
                    'CW'=>'Curacao',
                    'CX'=>'Christmas Island',
                    'CY'=>'Cyprus',
                    'CZ'=>'Czech Republic',
                    'DE'=>'Germany',
                    'DJ'=>'Djibouti',
                    'DK'=>'Denmark',
                    'DM'=>'Dominica',
                    'DO'=>'Dominican Republic',
                    'DZ'=>'Algeria',
                    'EC'=>'Ecuador',
                    'EE'=>'Estonia',
                    'EG'=>'Egypt',
                    'EH'=>'Western Sahara',
                    'ER'=>'Eritrea',
                    'ES'=>'Spain',
                    'ET'=>'Ethiopia',
                    'EU'=>'Europe',
                    'FI'=>'Finland',
                    'FJ'=>'Fiji',
                    'FK'=>'Falkland Islands (Malvinas)',
                    'FM'=>'Micronesia Federated States of',
                    'FO'=>'Faroe Islands',
                    'FR'=>'France',
                    'GA'=>'Gabon',
                    'GB'=>'United Kingdom',
                    'GD'=>'Grenada',
                    'GE'=>'Georgia',
                    'GF'=>'French Guiana',
                    'GG'=>'Guernsey',
                    'GH'=>'Ghana',
                    'GI'=>'Gibraltar',
                    'GL'=>'Greenland',
                    'GM'=>'Gambia',
                    'GN'=>'Guinea',
                    'GP'=>'Guadeloupe',
                    'GQ'=>'Equatorial Guinea',
                    'GR'=>'Greece',
                    'GS'=>'South Georgia and the South Sandwich Islands',
                    'GT'=>'Guatemala',
                    'GU'=>'Guam',
                    'GW'=>'Guinea-Bissau',
                    'GY'=>'Guyana',
                    'HK'=>'Hong Kong',
                    'HM'=>'Heard Island and McDonald Islands',
                    'HN'=>'Honduras',
                    'HR'=>'Croatia',
                    'HT'=>'Haiti',
                    'HU'=>'Hungary',
                    'ID'=>'Indonesia',
                    'IE'=>'Ireland',
                    'IL'=>'Israel',
                    'IM'=>'Isle of Man',
                    'IN'=>'India',
                    'IO'=>'British Indian Ocean Territory',
                    'IQ'=>'Iraq',
                    'IR'=>'Iran Islamic Republic of',
                    'IS'=>'Iceland',
                    'IT'=>'Italy',
                    'JE'=>'Jersey',
                    'JM'=>'Jamaica',
                    'JO'=>'Jordan',
                    'JP'=>'Japan',
                    'KE'=>'Kenya',
                    'KG'=>'Kyrgyzstan',
                    'KH'=>'Cambodia',
                    'KI'=>'Kiribati',
                    'KM'=>'Comoros',
                    'KN'=>'Saint Kitts and Nevis',
                    'KP'=>'Korea Democratic Peoples Republic of',
                    'KR'=>'Korea Republic of',
                    'KW'=>'Kuwait',
                    'KY'=>'Cayman Islands',
                    'KZ'=>'Kazakhstan',
                    'LA'=>"Lao People's Democratic Republic",
                    'LB'=>'Lebanon',
                    'LC'=>'Saint Lucia',
                    'LI'=>'Liechtenstein',
                    'LK'=>'Sri Lanka',
                    'LR'=>'Liberia',
                    'LS'=>'Lesotho',
                    'LT'=>'Lithuania',
                    'LU'=>'Luxembourg',
                    'LV'=>'Latvia',
                    'LY'=>'Libyan Arab Jamahiriya',
                    'MA'=>'Morocco',
                    'MC'=>'Monaco',
                    'MD'=>"Moldova' Republic of",
                    'ME'=>'Montenegro',
                    'MF'=>'Saint Martin',
                    'MG'=>'Madagascar',
                    'MH'=>'Marshall Islands',
                    'MK'=>'Macedonia',
                    'ML'=>'Mali',
                    'MM'=>'Myanmar',
                    'MN'=>'Mongolia',
                    'MO'=>'Macao',
                    'MP'=>'Northern Mariana Islands',
                    'MQ'=>'Martinique',
                    'MR'=>'Mauritania',
                    'MS'=>'Montserrat',
                    'MT'=>'Malta',
                    'MU'=>'Mauritius',
                    'MV'=>'Maldives',
                    'MW'=>'Malawi',
                    'MX'=>'Mexico',
                    'MY'=>'Malaysia',
                    'MZ'=>'Mozambique',
                    'NA'=>'Namibia',
                    'NC'=>'New Caledonia',
                    'NE'=>'Niger',
                    'NF'=>'Norfolk Island',
                    'NG'=>'Nigeria',
                    'NI'=>'Nicaragua',
                    'NL'=>'Netherlands',
                    'NO'=>'Norway',
                    'NP'=>'Nepal',
                    'NR'=>'Nauru',
                    'NU'=>'Niue',
                    'NZ'=>'New Zealand',
                    'OM'=>'Oman',
                    'PA'=>'Panama',
                    'PE'=>'Peru',
                    'PF'=>'French Polynesia',
                    'PG'=>'Papua New Guinea',
                    'PH'=>'Philippines',
                    'PK'=>'Pakistan',
                    'PL'=>'Poland',
                    'PM'=>'Saint Pierre and Miquelon',
                    'PN'=>'Pitcairn',
                    'PR'=>'Puerto Rico',
                    'PS'=>'Palestinian Territory',
                    'PT'=>'Portugal',
                    'PW'=>'Palau',
                    'PY'=>'Paraguay',
                    'QA'=>'Qatar',
                    'RE'=>'Reunion',
                    'RO'=>'Romania',
                    'RS'=>'Serbia',
                    'RU'=>'Russian Federation',
                    'RW'=>'Rwanda',
                    'SA'=>'Saudi Arabia',
                    'SB'=>'Solomon Islands',
                    'SC'=>'Seychelles',
                    'SD'=>'Sudan',
                    'SE'=>'Sweden',
                    'SG'=>'Singapore',
                    'SH'=>'Saint Helena',
                    'SI'=>'Slovenia',
                    'SJ'=>'Svalbard and Jan Mayen',
                    'SK'=>'Slovakia',
                    'SL'=>'Sierra Leone',
                    'SM'=>'San Marino',
                    'SN'=>'Senegal',
                    'SO'=>'Somalia',
                    'SR'=>'Suriname',
                    'SS'=>'South Sudan',
                    'ST'=>'Sao Tome and Principe',
                    'SV'=>'El Salvador',
                    'SX'=>'Sint Maarten',
                    'SY'=>'Syrian Arab Republic',
                    'SZ'=>'Swaziland',
                    'TC'=>'Turks and Caicos Islands',
                    'TD'=>'Chad',
                    'TF'=>'French Southern Territories',
                    'TG'=>'Togo',
                    'TH'=>'Thailand',
                    'TJ'=>'Tajikistan',
                    'TK'=>'Tokelau',
                    'TL'=>'Timor-Leste',
                    'TM'=>'Turkmenistan',
                    'TN'=>'Tunisia',
                    'TO'=>'Tonga',
                    'TR'=>'Turkey',
                    'TT'=>'Trinidad and Tobago',
                    'TV'=>'Tuvalu',
                    'TW'=>'Taiwan',
                    'TZ'=>"Tanzania' United Republic of",
                    'UA'=>'Ukraine',
                    'UG'=>'Uganda',
                    'UM'=>'United States Minor Outlying Islands',
                    'US'=>'United States',
                    'UY'=>'Uruguay',
                    'UZ'=>'Uzbekistan',
                    'VA'=>'Holy See (Vatican City State)',
                    'VC'=>'Saint Vincent and the Grenadines',
                    'VE'=>'Venezuela',
                    'VG'=>"Virgin Islands' British",
                    'VI'=>"Virgin Islands' U.S.",
                    'VN'=>'Vietnam',
                    'VU'=>'Vanuatu',
                    'WF'=>'Wallis and Futuna',
                    'WS'=>'Samoa',
                    'YE'=>'Yemen',
                    'YT'=>'Mayotte',
                    'ZA'=>'South Africa',
                    'ZM'=>'Zambia',
                    'ZW'=>'Zimbabwe',
                    ),
				'default'	=> 'bar',
                'required' => array( 'mw_contact_number_selector', '=', false),
			),
        )
    ) );

	
	Redux::setSection($opt_name, array(
		'title' => esc_html__('Listing Detail', 'maxwheels'),
		'id' => 'mw_list_detail',
		'desc' => '',
		'icon' => 'el el-adjust-alt',
	));
	
	Redux::setSection($opt_name, array(
    'title' => esc_html__('Detail Page Settings', 'maxwheels'),
    'id' => 'prop-d-view',
    'desc' => '',
    'subsection' => true,
    'fields' => array(
		array(
            'id' => 'mw_lp_top_style',
            'type' => 'button_set',
            'title' => esc_html__('Detail Page Top Style', 'maxwheels'),
			'options' => array(
				'simple' => 'Simple', 
				'simple2' => 'Simple Without Price', 
				'classic' => 'Classic'
         	),
            'default' => 'simple'
          ),
		
		array(
                'id'       => 'mw_section_clr_type',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Background Color', 'maxwheels' ),
                'options'  => array(
                    'white' => esc_html__( 'White', 'maxwheels' ),
                    'pattens' => esc_html__( 'Pattens Blue', 'maxwheels' ),
                ),
                'default'  => 'pattens'
            ),
		
		
		array(
            'id' => 'mw_lp_key_features',
            'type' => 'image_select',
            'title' => esc_html__('Key Information Style', 'maxwheels'),
            'options' => array(
                'withicons' => array(
                    'alt' => esc_html__('With Icons', 'maxwheels'),
                    'img' => esc_url(trailingslashit(get_template_directory_uri())) . 'libs/images/options/k1.png'
                ),
                'modern' => array(
                    'alt' => esc_html__('Modern', 'maxwheels'),
                    'img' => esc_url(trailingslashit(get_template_directory_uri())) . 'libs/images/options/k2.png'
                ),
				'classic' => array(
                    'alt' => esc_html__('Classic', 'maxwheels'),
                    'img' => esc_url(trailingslashit(get_template_directory_uri())) . 'libs/images/options/k3.png'
                ),
				'simple' => array(
                    'alt' => esc_html__('Simple', 'maxwheels'),
                    'img' => esc_url(trailingslashit(get_template_directory_uri())) . 'libs/images/options/k4.png'
                ),
            ),
            'default' => 'classic'
        ),
        
		
		array(
            'id' => 'mw_layout_manager',
            'type' => 'sorter',
            'title' => esc_html__('Page Layout Manager', 'maxwheels'),
            'desc' => esc_html__('Organize how you want the layout to appear on the listing page', 'maxwheels'),
            'compiler' => 'true',
            'options' => array(
                'enabled' => array(
                    'ad_slot_1' => esc_html__('Ad Slot 1', 'maxwheels'),
					'keyinfo' =>esc_html__('Key Information', 'maxwheels'),
					'features' => esc_html__('Features', 'maxwheels'),
                    'desc' =>esc_html__('Description', 'maxwheels'),
					'map' =>esc_html__('Map', 'maxwheels'),
					'custom' =>esc_html__('Custom Fields', 'maxwheels'),
                    'ad_slot_2' =>esc_html__('Ad Slot 2', 'maxwheels'),
                ),
                'disabled' => array(),
            ),
        ),
        array(
            'id' => 'dlisting_view_txt',
            'type' => 'section',
            'title' => esc_html__('Listing Sections Text', 'maxwheels'),
            'indent' => true,
        ),
        array(
            'id' => 'mw_keyinfo',
            'type' => 'text',
            'title' => esc_html__('Key Information Section', 'maxwheels'),
            'default' => esc_html__('Key Information', 'maxwheels'),
        ),
		array(
            'id' => 'mw_features',
            'type' => 'text',
            'title' => esc_html__('Features Section', 'maxwheels'),
            'default' =>  esc_html__('Features', 'maxwheels'),
        ),
		array(
            'id' => 'mw_desc',
            'type' => 'text',
            'title' => esc_html__('Description Section', 'maxwheels'),
            'default' => esc_html__('Description', 'maxwheels'),
        ),
		array(
            'id' => 'mw_address',
            'type' => 'text',
            'title' => esc_html__('Map Section', 'maxwheels'),
            'default' => esc_html__('Address', 'maxwheels'),
        ),
		array(
            'id' => 'mw_custom_views',
            'type' => 'text',
            'title' => esc_html__('Custom Fields Section', 'maxwheels'),
            'default' => esc_html__('Additional Info', 'maxwheels'),
        ),
		
    )
));

		Redux::setSection( $opt_name, array(
			'title'      => esc_html__( 'Make An Offer', "maxwheels" ),
			'id'         => 'mw_offer_pg',
			'desc'       => '',
			'subsection' => true,
			'fields'     => array(
				
				array(
            'id' => 'mw_mailoffer_sub',
            'type' => 'text',
            'title' => esc_html__('Make An Offer Email Template Subject', 'maxwheels'),
            'default' => esc_html__("You have a new offer message on your listing", 'maxwheels'),
        ),
		array(
            'id' => 'mw_mailoffer_messages',
            'type' => 'editor',
            'title' => esc_html__('Make An Offer Email Template Message', 'maxwheels'),
            'args' => array(
                'teeny' => true,
                'textarea_rows' => 30,
                'wpautop' => false,
            ),
            'desc' => esc_html__('%site_name% , %display_name%, %sender_name%,  %sender_email% , %offer_price%, %sender_message%,  %listing_title%,  %listing_link% will be translated accordingly.', 'maxwheels'),
            'default' => "<body style='background-color: #f4f4f4; margin: 0 !important; padding: 0 !important;'>
<table border='0' cellpadding='0' cellspacing='0' width='100%'>
    <!-- LOGO -->
    <tr>
        <td bgcolor='#3CBEB2' align='center'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td align='center' valign='top' style='padding: 40px 10px 40px 10px;'> </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#3CBEB2' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='center' valign='top' style='padding: 40px 20px 20px 20px; border-radius: 4px 4px 0px 0px; color: #111111;  font-size: 48px; font-weight: 400; letter-spacing: 4px; line-height: 48px;'>
                        <img src='".trailingslashit( get_template_directory_uri () ) . "libs/images/logo.svg"."' width='200' height='' alt='' style='display: block; border: 0px;padding-top: 25px;' />
						<h1 style='font-size: 34px; font-weight: 400; margin: 2;'>Hello %display_name%,</h1> 
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 0 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important;'>You've a new Offer Message. </p>
                    </td>
                </tr>
                 <!-- COPY -->
				 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 10px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important; padding-bottom:5px;'> <strong style='color:#111111'>Listing Title</strong> : %listing_title%</p>
						 <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Link</strong> : <a target='_blank' style='color: #3cbeb2;' href='%listing_link%'>%listing_link%</a></p>
                    </td>
                </tr>
                 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 10px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
						 <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Sender Name</strong> : %sender_name%</p>
                        <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Sender Email</strong> : %sender_email%</p>
                        <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Contact Number</strong> : %sender_number%</p>
						<p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Offer Price</strong> : %offer_price%</p>
                    </td>
                </tr>
				 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important; ' ><strong style='color: #111111;'>Message:</strong>  %sender_message% </p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;' >If you have any questions, just reply to this email—we're always happy to help out.</p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 40px 30px; border-radius: 0px 0px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;'>Thanks for choosing our service.<br>Scriptsbundle Team</p>

                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 30px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#FFECD1' align='center' style='padding: 30px 30px 30px 30px; border-radius: 4px 4px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <h2 style='font-size: 20px; font-weight: 400; color: #111111; margin: 0;'>Need more help?</h2>
                        <p style='margin: 0;'><a href='#' target='_blank' style='color: #3cbeb2;'>We’re here to help you out</a></p>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#f4f4f4' align='left' style='padding: 0px 30px 30px 30px; color: #666666;  font-size: 14px; font-weight: 400; line-height: 18px;'> <br>
                        <p style='margin: 0;'>".date("Y")." © <a href='#' target='_blank' style='color: #111111; font-weight: 700;'>Scriptsbundle</a> ALL Rights Reserved.</p>
                    </td>
                </tr>
            </table>
            
        </td>
    </tr>
</table>
</body>"
			),
				
				
			)
		));


Redux::setSection( $opt_name, array(
			'title'      => esc_html__( 'Schedule Test Driver', "maxwheels" ),
			'id'         => 'mw_sch_pg',
			'desc'       => '',
			'subsection' => true,
			'fields'     => array(
				
		array(
            'id' => 'mw_mailsch_sub',
            'type' => 'text',
            'title' => esc_html__('Schedule Test Driver Email Template Subject', 'maxwheels'),
            'default' => esc_html__("You have a new test drive Inquiry", 'maxwheels'),
        ),
		array(
            'id' => 'mw_mailsch_messages',
            'type' => 'editor',
            'title' => esc_html__('Schedule Test Driver Email Template Message', 'maxwheels'),
            'args' => array(
                'teeny' => true,
                'textarea_rows' => 30,
                'wpautop' => false,
            ),
            'desc' => esc_html__('%site_name% , %display_name%, %sender_name%,  %sender_email% , %schedule_date%, %sender_message%,  %listing_title%,  %listing_link% will be translated accordingly.', 'maxwheels'),
            'default' => "<body style='background-color: #f4f4f4; margin: 0 !important; padding: 0 !important;'>
<table border='0' cellpadding='0' cellspacing='0' width='100%'>
    <!-- LOGO -->
    <tr>
        <td bgcolor='#3CBEB2' align='center'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td align='center' valign='top' style='padding: 40px 10px 40px 10px;'> </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#3CBEB2' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='center' valign='top' style='padding: 40px 20px 20px 20px; border-radius: 4px 4px 0px 0px; color: #111111;  font-size: 48px; font-weight: 400; letter-spacing: 4px; line-height: 48px;'>
                        <img src='".trailingslashit( get_template_directory_uri () ) . "libs/images/logo.svg"."' width='200' height='' alt='' style='display: block; border: 0px;padding-top: 25px;' />
						<h1 style='font-size: 34px; font-weight: 400; margin: 2;'>Hello %display_name%,</h1> 
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 0 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important;'>You've a new Test Drive Inquiry for %listing_title% </p>
                    </td>
                </tr>
                 <!-- COPY -->
				 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 10px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important; padding-bottom:5px;'> <strong style='color:#111111'>Listing Title</strong> : %listing_title%</p>
						 <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Link</strong> : <a target='_blank' style='color: #3cbeb2;' href='%listing_link%'>%listing_link%</a></p>
                    </td>
                </tr>
                 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 10px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
						 <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Sender Name</strong> : %sender_name%</p>
                        <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Sender Email</strong> : %sender_email%</p>
                        <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Contact Number</strong> : %sender_number%</p>
						<p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Schedule Date & Time</strong> : %schedule_date%</p>
                    </td>
                </tr>
				 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important; ' ><strong style='color: #111111;'>Message:</strong>  %sender_message% </p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;' >If you have any questions, just reply to this email—we're always happy to help out.</p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 40px 30px; border-radius: 0px 0px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;'>Thanks for choosing our service.<br>Scriptsbundle Team</p>

                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 30px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#FFECD1' align='center' style='padding: 30px 30px 30px 30px; border-radius: 4px 4px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <h2 style='font-size: 20px; font-weight: 400; color: #111111; margin: 0;'>Need more help?</h2>
                        <p style='margin: 0;'><a href='#' target='_blank' style='color: #3cbeb2;'>We’re here to help you out</a></p>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#f4f4f4' align='left' style='padding: 0px 30px 30px 30px; color: #666666;  font-size: 14px; font-weight: 400; line-height: 18px;'> <br>
                        <p style='margin: 0;'>".date("Y")." © <a href='#' target='_blank' style='color: #111111; font-weight: 700;'>Scriptsbundle</a> ALL Rights Reserved.</p>
                    </td>
                </tr>
            </table>
            
        </td>
    </tr>
</table>
</body>"
			),
				
				
			)
		));

		Redux::setSection( $opt_name, array(
			'title'      => esc_html__( 'Statistics Graph', "maxwheels" ),
			'id'         => 'mw_statistics_pg',
			'desc'       => '',
			'subsection' => true,
			'fields'     => array(
				array(
					'id'       => 'mw_stats_days',
					'type'     => 'text',
					'title'    => esc_html__( 'Number Of Days', 'maxwheels' ),
					'desc'	=> esc_html__( 'How many days will shown on the chart!: .', 'maxwheels' ),
					'default'  =>  20,
				),
		array(
				'id'		=> 'mw_chart_type',
				'type'		=> 'select',
				'title'		=> esc_html__( 'Chart Type', 'maxwheels' ),
				'options'	=> array(
					'bar'	=> esc_html__( 'Bar Chart', 'maxwheels' ),
					'line'			=> esc_html__( 'Line Chart', 'maxwheels' )
				),
				'default'	=> 'bar',
			),
			
			 array(
					'id' => 'mw_chart_bg',
					'type' => 'color_rgba',
					'title' => __('Background Color For Chart', 'maxwheels'),
					'default' => array(
						'color' => '#00aeef',
						'alpha' => '0.2'
					),
					'validate' => 'colorrgba',
					'desc'	=> esc_html__( 'Defualt color: rgba(0, 174, 239, 0.2)', 'maxwheels' ),
				),
				
				array(
					'id' => 'mw_chart_border',
					'type' => 'color',
					'title' => esc_html__('Border Color', 'maxwheels'),
					'subtitle' => esc_html__('Graph Border Color (default: #00aeef).', 'maxwheels'),
					'transparent' => false,
					'default' => '#00aeef',
					'validate' => 'color',
      			  ),
			)
		));	

Redux::setSection( $opt_name, array(
    'title'  => esc_html__( 'Schedule A Tour', 'maxwheels' ),
    'id'     => 'mw_schedule',
    'desc'   => '',
    'subsection' => true,
    'fields' => array(
        
		array(
            'id' => 'mw_schedule_sub',
            'type' => 'text',
            'title' => esc_html__('Schedule a Tour Subject', 'maxwheels'),
            'default' => esc_html__("Schedule a meeting?", 'maxwheels'),
        ),
		array(
            'id' => 'mw_schedule_message',
            'type' => 'editor',
            'title' => esc_html__('Schedule a Tour Message', 'maxwheels'),
            'args' => array(
                'teeny' => true,
                'textarea_rows' => 30,
                'wpautop' => false,
            ),
            'desc' => esc_html__('%site_name% , %display_name%, %meeting_date%, %sender_name%,  %sender_email% ,  %sender_contactno%,  %sender_message%,  %listing_title%,  %listing_link% will be translated accordingly.', 'maxwheels'),
            'default' => "<body style='background-color: #f4f4f4; margin: 0 !important; padding: 0 !important;'>
<table border='0' cellpadding='0' cellspacing='0' width='100%'>
    <!-- LOGO -->
    <tr>
        <td bgcolor='#3CBEB2' align='center'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td align='center' valign='top' style='padding: 40px 10px 40px 10px;'> </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#3CBEB2' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='center' valign='top' style='padding: 40px 20px 20px 20px; border-radius: 4px 4px 0px 0px; color: #111111;  font-size: 48px; font-weight: 400; letter-spacing: 4px; line-height: 48px;'>
                        <h1 style='font-size: 34px; font-weight: 400; margin:2px;'>Hello %display_name%,</h1> <img src='".trailingslashit( get_template_directory_uri () ) . "libs/images/logo-4.png"."' width='' height='' alt='' style='display: block; border: 0px;padding-top: 25px;' />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 0 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important;'>You have been contacted for a meeting. </p>
                    </td>
                </tr>
                 <!-- COPY -->
				 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 10px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important; padding-bottom:5px;'> <strong style='color:#111111'>Listing Title</strong> : %listing_title%</p>
						 <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Link</strong> : <a target='_blank' style='color: #3cbeb2;' href='%listing_link%'>%listing_link%</a></p>
                    </td>
                </tr>
                 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 10px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important; padding-bottom:5px;'> <strong style='color:#111111'>Meeting Date</strong> : %meeting_date%</p>
						 <p style='margin: 0;  font-size: 18px !important; padding-bottom:5px;'> <strong style='color:#111111'>Meeting Time</strong> : %meeting_time%</p>
						 <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Sender Name</strong> : %sender_name%</p>
                        <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Your Email</strong> : %sender_email%</p>
						<p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Contact Number</strong> : %sender_contactno%</p>
                    </td>
                </tr>
				 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important; ' ><strong style='color: #111111;'>Message:</strong>  %sender_message% </p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;' >If you have any questions, just reply to this email—we're always happy to help out.</p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 40px 30px; border-radius: 0px 0px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;'>Thanks for choosing our service.<br>Scriptsbundle Team</p>

                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 30px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#FFECD1' align='center' style='padding: 30px 30px 30px 30px; border-radius: 4px 4px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <h2 style='font-size: 20px; font-weight: 400; color: #111111; margin: 0;'>Need more help?</h2>
                        <p style='margin: 0;'><a href='#' target='_blank' style='color: #3cbeb2;'>We’re here to help you out</a></p>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#f4f4f4' align='left' style='padding: 0px 30px 30px 30px; color: #666666;  font-size: 14px; font-weight: 400; line-height: 18px;'> <br>
                        <p style='margin: 0;'>".date("Y")." © <a href='#' target='_blank' style='color: #111111; font-weight: 700;'>Scriptsbundle</a> ALL Rights Reserved.</p>
                    </td>
                </tr>
            </table>
            
        </td>
    </tr>
</table>
</body>"
			),
		
    )
));

Redux::setSection( $opt_name, array(
    'title'  => esc_html__( 'Similar Listings', 'maxwheels' ),
    'id'     => 'mw_simi_limits',
    'desc'   => '',
    'subsection' => true,
    'fields' => array(
		array(
            'id' => 'mw_simi_listings',
            'type' => 'text',
            'title' => esc_html__('Main Heading', 'maxwheels'),
            'default' => esc_html__('Similar Listings', 'maxwheels'),
        ),
		array(
            'id' => 'mw_mimi_listings',
            'type' => 'text',
            'title' => esc_html__('Sub Heading', 'maxwheels'),
            'default' => esc_html__('Explore More', 'maxwheels'),
        ),
		array(
			'id'        => 'mw_simi_listinglimits',
			'type'      => 'slider',
			'title'     => esc_html__('Similar Listing Limit', 'maxwheels'),
			'subtitle'  => esc_html__('No of listings shown.', 'maxwheels'),
			"default"   => 5,
			"min"       => 1,
			"step"      => 1,
			"max"       => 20,
			'display_value' => 'text'
		),
	)
));

/* ------------------ Search Sections ----------------------- */
Redux::setSection($opt_name, array(
    'title' => esc_html__('Search Pages', 'maxwheels'),
    'id' => 'mw_search_pages',
    'desc' => '',
    'icon' => 'el el-star-empty',
    'fields' => array(
    )
));
/* ------------------ Agency Search Page ----------------------- */
Redux::setSection( $opt_name, array(
    'title'  => esc_html__( 'Dealer Search Page', 'maxwheels' ),
    'id'     => 'mw_agency_search_page',
    'desc'   => '',
    'subsection' => true,
    'fields' => array(
		array(
            'id' => 'mw_dealer_search_layout',
            'type'     => 'button_set',
            'title' => esc_html__('Dealers Layout Styles', 'maxwheels'),
			'options' => array(
				'grid1' => esc_html__('Grid 1', 'maxwheels'),
				'list1' => esc_html__('List 1', 'maxwheels'),
				'list2' =>  esc_html__('List 2', 'maxwheels'),
				'list3' => esc_html__('List 3', 'maxwheels'),
			), 
            'default' => 'list3'
        ),
	)
));


/* ------------------ Agency Search Page ----------------------- */
Redux::setSection( $opt_name, array(
    'title'  => esc_html__( 'Inventory Search Page', 'maxwheels' ),
    'id'     => 'mw_listing_search_page',
    'desc'   => '',
    'subsection' => true,
    'fields' => array(
		
        array(
            'id' => 'mw_listing_search_layout',
            'type'     => 'button_set',
            'title' => esc_html__('Search Page Layout', 'maxwheels'),
            'desc' => esc_html__('Select search page layout type.', 'maxwheels'),
			'options' => array(
				'sidebar' => esc_html__('With Sidebar', 'maxwheels'),
				'modern' =>  esc_html__('Modern', 'maxwheels'),
			),
            'default' => 'sidebar'
        ),
		array(
            'id' => 'mw_listing_search_grids',
            'type'     => 'button_set',
            'title' => esc_html__('Select Layout Type', 'maxwheels'),
            'desc' => esc_html__('Select search page layout type.', 'maxwheels'),
			'options' => array(
				'type1' => esc_html__('Grid 1', 'maxwheels'),
				'type2' => esc_html__('Grid 2', 'maxwheels'),
				'type3' => esc_html__('Grid 3', 'maxwheels'),
				'type4' => esc_html__('Grid 4', 'maxwheels'),
				'type5' => esc_html__('Grid 5', 'maxwheels'),
				'type7' => esc_html__('Grid 7', 'maxwheels'),
				'type8' => esc_html__('Grid 8', 'maxwheels'),
				'type9' => esc_html__('Classified Style', 'maxwheels'),
				'list1' => esc_html__('List 1', 'maxwheels'),
				'list2' => esc_html__('List 2', 'maxwheels'),
				'list3' => esc_html__('List 3', 'maxwheels'),
				'list4' => esc_html__('List 4', 'maxwheels'),
				'list5' => esc_html__('List Classified', 'maxwheels'),
			), 
            'default' => 'type3'
        ),
	)
));

/* ------------------ Dealer Profile Sections ----------------------- */
Redux::setSection($opt_name, array(
		'title' => esc_html__('Dealer Profile', 'maxwheels'),
		'id' => 'mw_deal_detail',
		'desc' => '',
		'icon' => 'el el-adjust-alt',
	));
Redux::setSection( $opt_name, array(
			'title'      => esc_html__( 'Premium Profile', "maxwheels" ),
			'id'         => 'mw_ag_detail',
			'desc'       => '',
			'subsection' => true,
			'fields'     => array(
				
			 array(
					'id' => 'mw_dlr_profile_type',
					'type' => 'button_set',
					'title' => esc_html__('Premium Dealer Profile Type', 'maxwheels'),
					'options' => array(
						'1' => esc_html__('With Tabs', 'maxwheels'),
						'2' => esc_html__('Simple', 'maxwheels'),
					),
					'default' => '1'
			 ),
				
			array(
				'id' => 'mw_dlr_profile_type_inventory_title',
				'type' => 'text',
				'title' => esc_html__('Inventory Tab Title', 'maxwheels'),
				'default' => esc_html__("Dealer's Inventory", 'maxwheels'),
				'required' => array('mw_dlr_profile_type', '=', '1'),
			),
			array(
				'id' => 'mw_dlr_profile_type_reviews_title',
				'type' => 'text',
				'title' => esc_html__('Reviews Tab Title', 'maxwheels'),
				'default' => esc_html__("Dealer Reviews", 'maxwheels'),
				'required' => array('mw_dlr_profile_type', '=', '1'),
			),
			array(
				'id' => 'mw_dlr_profile_type_write_title',
				'type' => 'text',
				'title' => esc_html__('Write A Review Tab Title', 'maxwheels'),
				'default' => esc_html__("Write a review", 'maxwheels'),
				'required' => array('mw_dlr_profile_type', '=', '1'),
			),
			array(
				'id' => 'mw_dlr_profile_no_inv',
				'type' => 'text',
				'title' => esc_html__('No Inventory Found Message', 'maxwheels'),
				'default' => esc_html__("Sorry!!! No Inventory Found", 'maxwheels'),
			),	
				
				array(
					'id' => 'mw_ag_detail_sections',
					'type' => 'sorter',
					'title' => esc_html__('Dealer Detail Page', 'maxwheels'),'',
					'desc' => esc_html__('Organize how you want the layout to appear on main site', 'maxwheels'),'',
					'compiler' => 'true',
					'required' => array('mw_dlr_profile_type', '=', '2'),
					'options' => array(
						'enabled' => array(
							'over' => esc_html__('Overview', 'maxwheels'),
							'props' => esc_html__('All Listings', 'maxwheels'),
							'review' => esc_html__('Reviews', 'maxwheels'),
							'write_review' => esc_html__('Write A Reviews', 'maxwheels'),
						),
						'disabled' => array(),
					),
				),
				array(
					'id' => 'mw_ag_detail_sidebar_agency',
					'type' => 'sorter',
					'title' => esc_html__('Dealer Detail Page Sidebar', 'maxwheels'),'',
					'desc' => esc_html__('Organize how you want the layout to appear on sidebar', 'maxwheels'),'',
					'compiler' => 'true',
					'options' => array(
						'enabled' => array(
							'info' => esc_html__('Contact Info', 'maxwheels'),
							'featured' => esc_html__('Featured Listings', 'maxwheels'),
							'slot1' => esc_html__('Advertizment 300x250', 'maxwheels'),
							'score' => esc_html__('Reviews Score', 'maxwheels'),
							'contact' => esc_html__('Contact Seller', 'maxwheels'),
							'most' => esc_html__('Most Viewed', 'maxwheels'),
							'slot2' => esc_html__('Advertizment 300x600', 'maxwheels'),
						),
						'disabled' => array(),
					),
				),
				array(
					'id' => 'mw_select_layout_type',
					'type' => 'button_set',
					'title' => esc_html__('Select Layout Type', 'maxwheels'),
					'options' => array(
						'type1' => esc_html__('Grid 1', 'maxwheels'),
						'type2' => esc_html__('Grid 2', 'maxwheels'),
						'type3' => esc_html__('Grid 3', 'maxwheels'),
						'type4' => esc_html__('Grid 4', 'maxwheels'),
						'type5' => esc_html__('Grid 5', 'maxwheels'),
						'type7' => esc_html__('Grid 7', 'maxwheels'),
						'type8' => esc_html__('Grid 8', 'maxwheels'),
						'type9' => esc_html__('Classified Style', 'maxwheels'),
						'list1' => esc_html__('List 1', 'maxwheels'),
						'list2' => esc_html__('List 2', 'maxwheels'),
						'list3' => esc_html__('List 3', 'maxwheels'),
						'list4' => esc_html__('List 4', 'maxwheels'),
					), 
					'default' => 'type1'
			 ),
			)
		));
		Redux::setSection( $opt_name, array(
				'title'      => esc_html__( 'Free Profile', "maxwheels" ),
				'id'         => 'mw_ag_free_detail',
				'desc'       => '',
				'subsection' => true,
				'fields'     => array(
				array(
					'id' => 'mw_select_layout_type_free',
					'type' => 'button_set',
					'title' => esc_html__('Select Layout Type', 'maxwheels'),
					'options' => array(
						'type1' => esc_html__('Grid 1', 'maxwheels'),
						'type2' => esc_html__('Grid 2', 'maxwheels'),
						'type3' => esc_html__('Grid 3', 'maxwheels'),
						'type4' => esc_html__('Grid 4', 'maxwheels'),
						'type5' => esc_html__('Grid 5', 'maxwheels'),
						'type7' => esc_html__('Grid 7', 'maxwheels'),
						'type8' => esc_html__('Grid 8', 'maxwheels'),
						'type9' => esc_html__('Classified Style', 'maxwheels'),
						'list1' => esc_html__('List 1', 'maxwheels'),
						'list2' => esc_html__('List 2', 'maxwheels'),
						'list3' => esc_html__('List 3', 'maxwheels'),
						'list4' => esc_html__('List 4', 'maxwheels'),
					), 
					'default' => 'type9'
			 ),
					)
		));


/* ------------------ Required Form Fields ----------------------- */
		Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Required Profile Fields', 'maxwheels' ),
        'id'               => 'deal_required_fields',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
		
        'fields'     => array(
			array(
                'id'       => 'mw_dealer_fields',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Form Required Fields', 'maxwheels' ),
				'options'  => array
				(
					'dealer_mob' 	=> esc_html__('Mobile Number','maxwheels'),
					'whats_app' => esc_html__('WhatsApp Number','maxwheels'),
					'off_no' => esc_html__('Office Number','maxwheels'),
					'fax_no' => esc_html__('Fax Number','maxwheels'),
					'dealer_lic' 	=> esc_html__('Dealer License','maxwheels'),
					'tax_no' => esc_html__('Tax Number','maxwheels'),
					'web_url' => esc_html__('Website Url','maxwheels'),
					'dealer_loc' => esc_html__('Dealer Location','maxwheels'),
					'about_dealer' => esc_html__('About Dealer','maxwheels'),
					'dealer_fb' => esc_html__('Facebook URL','maxwheels'),
					'dealer_tw' => esc_html__('Twitter URL','maxwheels'),
					'dealer_link' => esc_html__('LinkedIn URL','maxwheels'),
					'dealer_in' => esc_html__('Instagram URL','maxwheels'),
					'dealer_pin' => esc_html__('Pinterest URL','maxwheels'),
					'dealer_addr' => esc_html__('Address','maxwheels'),
			   ),
                'default'  => array(
                    'dealer_mob' 	=> '1',
					'whats_app' => '1',
					'off_no' => '1',
					'fax_no' => '0',
					'dealer_lic' 	=> '0',
					'tax_no' => '0',
					'web_url' => '0',
					'dealer_loc' => '1',
					'about_dealer' => '1',
					'dealer_fb' => '0',
					'dealer_tw' => '0',
					'dealer_link' => '0',
					'dealer_in' => '0',
					'dealer_pin' => '0',
					'dealer_addr' => '1',
                )
            ),
        )
    ) );


/* ------------------ Advertisement Sections ----------------------- */
Redux::setSection($opt_name, array(
    'title' => esc_html__('Advertisement', 'maxwheels'),
    'id' => 'mw_advert',
    'desc' => '',
    'icon' => 'el el-star-empty',
    'fields' => array(
        array(
            'id' => 'mw_listing_slot_1',
            'type' => 'textarea',
            'title' => esc_html__('Advertisement', 'maxwheels'),
            'subtitle' => esc_html__('720x90 or 468x60', 'maxwheels'),
            'desc' => esc_html__('Advertisement slot 1', 'maxwheels'),
            'default' => '<img class="img-fluid mx-auto d-block" alt="' . esc_html__('Advertisement', 'maxwheels') . '" src="' . trailingslashit(get_template_directory_uri()) . 'libs/images/banner-1.png"> ',
        ),
        array(
            'id' => 'mw_listing_slot_2',
            'type' => 'textarea',
            'title' => esc_html__('Advertisement', 'maxwheels'),
            'subtitle' => esc_html__('720x90 or 468x60', 'maxwheels'),
            'desc' => esc_html__('Advertisement slot 2', 'maxwheels'),
            'default' => '<img class="img-fluid mx-auto d-block" alt="' . esc_html__('Advertisement', 'maxwheels') . '" src="' . trailingslashit(get_template_directory_uri()) . 'libs/images/banner-1.png"> ',
        ),
		array(
            'id' => 'mw_listing_slot_3',
            'type' => 'textarea',
            'title' => esc_html__('Banner 300x250', 'maxwheels'),
            'subtitle' => esc_html__('300x250', 'maxwheels'),
            'desc' => esc_html__('Advertisement Banner 300x250', 'maxwheels'),
            'default' => '<img class="img-fluid mx-auto d-block" alt="' . esc_html__('Advertisement', 'maxwheels') . '" src="' . trailingslashit(get_template_directory_uri()) . 'libs/images/300x250.jpg"> ',
        ),
		array(
            'id' => 'mw_listing_slot_4',
            'type' => 'textarea',
            'title' => esc_html__('Banner 300x600', 'maxwheels'),
            'subtitle' => esc_html__('300x600', 'maxwheels'),
            'desc' => esc_html__('Advertisement Banner 300x600', 'maxwheels'),
            'default' => '<img class="img-fluid mx-auto d-block" alt="' . esc_html__('Advertisement', 'maxwheels') . '" src="' . trailingslashit(get_template_directory_uri()) . 'libs/images/300-X-600.jpg"> ',
        ),
		
    )
));


	/* ------------------ Price & Currency Settings ----------------------- */
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Price & Currency', 'maxwheels' ),
        'id'         => 'mw_price_curr',
        'desc'       => '',
        'icon' => 'el el-globe',
        'fields'     => array(
            array(
                'id' => 'mw_single_currency',
                'type' => 'text',
                'title' => esc_html__('Currency Symbol ', 'maxwheels'),
                'desc'	=> esc_html__( 'Use currency symbol only eg ($)', 'maxwheels' ),
                'default' => '$',
            ),
			array(
                'id'       => 'mw_enable_currency_switcher',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable Currency Switcher', 'maxwheels' ),
                'default'  => false,
            ),
            array(
                'id' => 'mw_single_currency_code',
                'type' => 'text',
                'title' => esc_html__('Default Currency Code', 'maxwheels'),
                'default' => 'USD',
                'desc'	=> esc_html__( 'Currency Code is required for currency switcher eg : USD', 'maxwheels' ),
            ),
			array(
                'id'       => 'mw_enable_currency_api_key',
                'type'     => 'text',
                'title'    => esc_html__( 'ExchangeRate-API Key', 'maxwheels' ),
                'default'  => '',
				'required' => array('mw_enable_currency_switcher', '=', '1'),
				'desc'	=>  sprintf( __( '<a href="%s">Get API Key</a>', 'maxwheels' ), 'https://www.exchangerate-api.com/'),
            ),
			array(
				'id'		=> 'mw_opt_currency_switcher_languages',
				'type'		=> 'text',
				'title'		=> esc_html__( 'Select Currencies', 'maxwheels' ),
				'default'	=> 'EUR|AUD',
				'required' => array('mw_enable_currency_switcher', '=', '1'),
				'desc'	=>  sprintf( __( 'Use | sign to ad more currencies eg: EUR|AUD <a href="%s">All Supported Currencies</a>', 'maxwheels' ), 'https://www.exchangerate-api.com/docs/supported-currencies'),
			),
		   array(
				'id'		=> 'mw_opt_currency_position',
				'type'		=> 'select',
				'title'		=> esc_html__( 'Where to Show the currency?', 'maxwheels' ),
				'options'	=> array(
					'before'	=> esc_html__( 'Before', 'maxwheels' ),
					'after'			=> esc_html__( 'After', 'maxwheels' )
				),
				'default'	=> 'before',
			),
			array(
				'id'		=> 'mw_opt_decimals',
				'type'		=> 'select',
				'title'		=> esc_html__( 'Number of decimal points?', 'maxwheels' ),
				'options'	=> array(
					'0'	=> '0',
					'1'	=> '1',
					'2'	=> '2',
					'3'	=> '3',
					'4'	=> '4',
					'5'	=> '5',
					'6'	=> '6',
					'7'	=> '7',
					'8'	=> '8',
					'9'	=> '9',
					'10' => '10',
				),
				'default'	=> '0',
			),
			array(
				'id' => 'mw_opt_decimals_separator',
				'type' => 'text',
				'title' => esc_html__('Decimals Separator', 'maxwheels'),
				'desc'	=> esc_html__( 'Provide the decimal point separator eg: .', 'maxwheels' ),
				'default' => '.',
			),
			array(
				'id' => 'mw_opt_thousand_separator',
				'type' => 'text',
				'title' => esc_html__('Thousands Separator', 'maxwheels'),
				'desc'	=> esc_html__( 'Provide the Thousands point separator eg: ,', 'maxwheels' ),
				'default' => ',',
			),		
        )
    ) );
	
	/* ------------------ Dashboard Settings ----------------------- */
Redux::setSection( $opt_name, array(
	'title'            => esc_html__( 'Authorization', 'maxwheels' ),
	'id'               => 'dashboard-auth',
	'desc'             => esc_html__( 'Here you can setup authorization page settings', 'maxwheels' ),
	'customizer_width' => '400px',
	'icon'             => 'el el-torso',
	'fields'     => array(
		    array(
                'id'       => 'mw_enable_registration',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable Frontend Registration', 'maxwheels' ),
                'default'  => true,
            ),
			array(
				'id'       => 'mw_enable_head_foot',
				'type'     => 'switch',
				'title'    => __( 'Enable Header & Footer', 'maxwheels' ),
				'default'  => false,
				'desc'             => esc_html__( 'You can enable or disable header & footer on sign up/sign in page.', 'maxwheels' ),
			),
			array(
					'id' => 'mw_terms_page',
					'type' => 'select',
					'data' => 'pages',
					'title' => esc_html__('Term of Services Page Link', 'maxwheels'),
					'desc' => esc_html__('Select page you want to show.', 'maxwheels'),
					'default' => '#',
      		  ),
			  array(
                'id'       => 'mw_success_page',
                'type'     => 'select',
                'data'     => 'pages',
                'multi'    => false,
                'title'    => esc_html__( 'Author Dashboard Page', 'maxwheels' ),
				'desc' => esc_html__('Redirect user after successful login & registration.', 'maxwheels'),
            ),
            array(
                'id'       => 'mw_pkg_page',
                'type'     => 'select',
                'data'     => 'pages',
                'multi'    => false,
                'title'    => esc_html__( 'Listing Plan Page', 'maxwheels' ),
                'desc' => esc_html__('Redirect user To Listing Plan Pages.', 'maxwheels'),
            ),
            array(
                'id'       => 'mw_profile_plan_page',
                'type'     => 'select',
                'data'     => 'pages',
                'multi'    => false,
                'title'    => esc_html__( 'Profile Plan Page', 'maxwheels' ),
                'desc' => esc_html__('Redirect user To Profile Plan Pages.', 'maxwheels'),
            ),
            array(
                'id'       => 'mw_auth_def_img',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__('Defualt Image', 'maxwheels' ),
                'compiler' => 'true',
				'default'  => array( 'url' => trailingslashit( get_template_directory_uri () ) . 'libs/images/defualt-935x754.png' ),
            ),
	)
	
));

/* ------------------ Sign Up Page  ----------------------- */
		Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Sign Up Page', 'maxwheels' ),
        'id'               => 'real-singup',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
		'icon' => 'el el-unlock',
        'fields'     => array(
			array(
                'id'       => 'mw_show_mobile_number',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show mobile number field on registration', 'maxwheels' ),
                'default'  => false,
            ),
			 array(
                'id'       => 'psection-start',
                'type'     => 'section',
                'title'    => esc_html__( 'Background Image Section', 'maxwheels' ),
                'subtitle' => esc_html__( 'Select background image & text.', 'maxwheels' ),
                'indent'   => true, 
            ),
			array(
                'id'       => 'mw_signup_bg',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Background Image', 'maxwheels' ),
                'compiler' => 'true',
				'default'  => array( 'url' => trailingslashit( get_template_directory_uri () ) . 'libs/images/signup.jpg' ),
            ),
            array(
                'id'       => 'p_signup_first',
                'type'     => 'text',
                'title'    => esc_html__( 'Tagline Title', 'maxwheels' ),
				'default' => esc_html__( 'Ride your own car', 'maxwheels' ),
            ),
            array(
                'id'       => 'p_signup_second',
                'type'     => 'text',
                'title'    => esc_html__( 'Main Title', 'maxwheels' ),
				'default' => esc_html__( 'Thousands Of Used Cars For Sale In Town', 'maxwheels' ),
            ),
            array(
                'id'     => 'psection-end',
                'type'   => 'section',
                'indent' => false, // Indent all options below until the next 'section' option is set.
            ),
			
			array(
                'id'       => 'prsection-start',
                'type'     => 'section',
                'title'    => esc_html__( 'Form Section', 'maxwheels' ),
                'indent'   => true, 
            ),
			
			array(
				'id' => 'mw_signup_form_txt',
				'type' => 'text',
				'title' => esc_html__('Form Text', 'maxwheels'),
				'default' => esc_html__( 'Register With Us', 'maxwheels' ),
			),
			array(
				'id' => 'mw_signup_slogan',
				'type' => 'text',
				'title' => esc_html__('Slogan Text', 'maxwheels'),
				 'default' => esc_html__('Sign up to use your dashboard its fast and free. Showcase your brand, enhance your listings and much more.', 'maxwheels'),
			),	
			array(
                'id'     => 'prsection-end',
                'type'   => 'section',
                'indent' => false, // Indent all options below until the next 'section' option is set.
            ),
        )
    ) );
	/* ------------------ Sign In Page  ----------------------- */
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Sign In Page', 'maxwheels' ),
        'id'               => 'real-singin',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
		'icon' => 'el el-lock',
        'fields'     => array(
		
		array(
                'id'       => 'psection-startin',
                'type'     => 'section',
                'title'    => esc_html__( 'Background Image Section', 'maxwheels' ),
                'subtitle' => esc_html__( 'Select background image & text.', 'maxwheels' ),
                'indent'   => true, 
            ),
			array(
                'id'       => 'mw_signin_bg',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Background Image', 'maxwheels' ),
                'compiler' => 'true',
				'default'  => array( 'url' => trailingslashit( get_template_directory_uri () ) . 'libs/images/signin.jpg' ),
            ),
            array(
                'id'       => 'p_signin_first',
                'type'     => 'text',
                'title'    => esc_html__( 'Tagline Title', 'maxwheels' ),
				'default' => esc_html__( 'Class of its own', 'maxwheels' ),
            ),
            array(
                'id'       => 'p_signin_second',
                'type'     => 'text',
                'title'    => esc_html__( 'Main Title', 'maxwheels' ),
				'default' => esc_html__( 'Buy Verified Cars Directly From Authentic Customers', 'maxwheels' ),
            ),
            array(
                'id'     => 'psection-endin',
                'type'   => 'section',
                'indent' => false, // Indent all options below until the next 'section' option is set.
            ),
			
			array(
                'id'       => 'prsection-start',
                'type'     => 'section',
                'title'    => esc_html__( 'Form Section', 'maxwheels' ),
                'indent'   => true, 
            ),
		
			array(
				'id' => 'mw_signin_form_txt',
				'type' => 'text',
				'title' => esc_html__('Form Text', 'maxwheels'),
				'default' => esc_html__( 'Sign In & Access Your Account', 'maxwheels' ),
			),
			array(
				'id' => 'mw_signin_slogan',
				'type' => 'text',
				'title' => esc_html__('Slogan Text', 'maxwheels'),
				 'default' => esc_html__('Sign up to use your dashboard its fast and free. Showcase your brand, enhance your listings and much more.', 'maxwheels'),
			),	
			array(
                'id'     => 'prssection-end',
                'type'   => 'section',
                'indent' => false, // Indent all options below until the next 'section' option is set.
            ),
        )
    ) );
	
		/* ------------------ Social Logins  ----------------------- */
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Social Authentication', 'maxwheels' ),
        'id'               => 'mw_social',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
		'icon' => 'el el-lock',
        'fields'     => array(
			array(
				'id'       => 'mw_enable_social',
				'type'     => 'switch',
				'title'    => esc_html__( 'Enable Social Login & Registration', 'maxwheels' ),
				'default'  => false,
			),
			array(
				'id' => 'mw_fb_key',
				'type' => 'text',
				'title' => esc_html__('Facebook Client ID', 'maxwheels'),
				'desc' => sprintf(__( '<a href="%s">How to Make</a>', 'maxwheels' ), esc_url('https://developers.facebook.com/?advanced_app_create=true')),
				'required' => array( 'mw_enable_social', '=', true ),
       		 ),
        array(
            'id' => 'mw_google_key',
            'type' => 'text',
            'title' => esc_html__('Google Client ID', 'maxwheels'),
			'desc' => sprintf(__( '<a href="%s">How to Make</a>', 'maxwheels' ), esc_url('https://developers.google.com/identity/sign-in/web/sign-in')),
			'required' => array( 'mw_enable_social', '=', true ),
        ),
        	array(
				'id' => 'mw_redirect_uri',
				'type' => 'text',
				'title' => esc_html__('Redirect URI', 'maxwheels'),
				'desc' => esc_html__('Must be same URI while creating apps, it will be your web url.', 'maxwheels'),
				'required' => array( 'mw_enable_social', '=', true ),
        	),
        )
    ) );	
	
	
	/* ------------------ Social Logins  ----------------------- */
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Email Templates', 'maxwheels' ),
        'id'               => 'mw_register_email',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
		'icon' => 'el el-lock',
        'fields'     => array(	
		array(
			'id'       => 'mw_email_onregister',
			'type'     => 'switch',
			'title'    => esc_html__( 'Send Email On Registration', 'maxwheels' ),
			'default'  => true,
			'desc'     => esc_html__( 'So you want to send email on the time of registration.', 'maxwheels' ),
		),
		array(
			'id'       => 'mw_email_sendto_admin',
			'type'     => 'switch',
			'title'    => esc_html__( 'Send Email To Admin On Registration', 'maxwheels' ),
			'default'  => true,
			'desc'     => esc_html__( 'So you want to send email on the time of registration.', 'maxwheels' ),
			'required' => array(array('mw_email_onregister','equals','1')),
		),
		array(
            'id' => 'mw_new_user_admin_sub',
            'type' => 'text',
            'title' => esc_html__('New User Email Template Subject For Admin', 'maxwheels'),
            'default' => esc_html__('New User Registration', 'maxwheels'),
			'required' => array( array('mw_email_onregister','equals','1'), array('mw_email_sendto_admin','equals','1')),
        ),
        array(
            'id' => 'mw_new_user_admin_message',
            'type' => 'editor',
            'title' => esc_html__('New User Email Template For Admin', 'maxwheels'),
			'required' => array( array('mw_email_onregister','equals','1'), array('mw_email_sendto_admin','equals','1')),
            'args' => array(
                'teeny' => true,
                'textarea_rows' => 20,
                'wpautop' => false,
            ),
            'desc' => esc_html__('%site_name% , %display_name%, %email% will be translated accordingly.', 'maxwheels'),
            'default' => "<body style='background-color: #f4f4f4; margin: 0 !important; padding: 0 !important;'>
<table border='0' cellpadding='0' cellspacing='0' width='100%'>
    <!-- LOGO -->
    <tr>
        <td bgcolor='#3CBEB2' align='center'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td align='center' valign='top' style='padding: 40px 10px 40px 10px;'> </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#3CBEB2' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='center' valign='top' style='padding: 40px 20px 20px 20px; border-radius: 4px 4px 0px 0px; color: #111111;  font-size: 48px; font-weight: 400; letter-spacing: 4px; line-height: 48px;'>
                        <h1 style='font-size: 34px; font-weight: 400; margin:2px;'>Hello Admin,</h1> <img src='".trailingslashit( get_template_directory_uri () ) . "libs/images/logo-4.png"."' width='' height='' alt='Your Logo Here' style='display: block; border: 0px;padding-top: 25px;' />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 0 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important;'>New user has registered on your site. </p>
                    </td>
                </tr>
                 
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;' >If you have any questions, just reply to this email—we're always happy to help out.</p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 40px 30px; border-radius: 0px 0px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;'>Thanks for choosing our service,<br>Scriptsbundle Team</p>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 30px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#FFECD1' align='center' style='padding: 30px 30px 30px 30px; border-radius: 4px 4px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <h2 style='font-size: 20px; font-weight: 400; color: #111111; margin: 0;'>Need more help?</h2>
                        <p style='margin: 0;'><a href='#' target='_blank' style='color: #3cbeb2;'>We’re here to help you out</a></p>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#f4f4f4' align='left' style='padding: 0px 30px 30px 30px; color: #666666;  font-size: 14px; font-weight: 400; line-height: 18px;'> <br>
                        <p style='margin: 0;'>".date("Y")." © <a href='#' target='_blank' style='color: #111111; font-weight: 700;'>Scriptsbundle</a> ALL Rights Reserved.</p>
                    </td>
                </tr>
            </table>
            
        </td>
    </tr>
</table>
</body>"
			),
			
		array(
			'id'       => 'mw_email_sendto_user',
			'type'     => 'switch',
			'title'    => esc_html__( 'Send Welocme Email To User On Registration', 'maxwheels' ),
			'default'  => true,
			'desc'     => esc_html__( 'So you want to send welcome eamil on the time of registration to user.', 'maxwheels' ),
			'required' => array(array('mw_email_onregister','equals','1')),
		),
		
		array(
            'id' => 'mw_new_user_welcome_sub',
            'type' => 'text',
            'title' => esc_html__('Welcome Email Template Subject For Users', 'maxwheels'),
            'default' => esc_html__("We're Happy To Have You With Us", 'maxwheels'),
			'required' => array( array('mw_email_onregister','equals','1'), array('mw_email_sendto_user','equals','1')),
        ),
		array(
            'id' => 'mw_new_user_welcome_message',
            'type' => 'editor',
            'title' => esc_html__('Welcome Email Template For Users', 'maxwheels'),
			'required' => array( array('mw_email_onregister','equals','1'), array('mw_email_sendto_user','equals','1')),
            'args' => array(
                'teeny' => true,
                'textarea_rows' => 20,
                'wpautop' => false,
            ),
            'desc' => esc_html__('%site_name% , %display_name%, %email%, %password% will be translated accordingly.', 'maxwheels'),
            'default' => "<body style='background-color: #f4f4f4; margin: 0 !important; padding: 0 !important;'>
<table border='0' cellpadding='0' cellspacing='0' width='100%'>
    <!-- LOGO -->
    <tr>
        <td bgcolor='#3CBEB2' align='center'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td align='center' valign='top' style='padding: 40px 10px 40px 10px;'> </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#3CBEB2' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='center' valign='top' style='padding: 40px 20px 20px 20px; border-radius: 4px 4px 0px 0px; color: #111111;  font-size: 48px; font-weight: 400; letter-spacing: 4px; line-height: 48px;'>
                        <h1 style='font-size: 34px; font-weight: 400; margin:2px;'>Hello %display_name%,</h1> <img src='".trailingslashit( get_template_directory_uri () ) . "libs/images/logo-4.png"."' width='' height='' alt='' style='display: block; border: 0px;padding-top: 25px;' />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 0 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important;'>Welcome! We're glad you're here! You've successfully registered. </p>
                    </td>
                </tr>
                 <!-- COPY -->
                 <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 10px 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important; padding-bottom:5px;'> <strong style='color:#111111'>Your Username</strong> : %display_name%</p>
                        <p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Your Email</strong> : %email%</p>
						<p style='margin: 0;  font-size: 18px !important;  padding-bottom:5px;'> <strong style='color:#111111'>Your Password</strong> : %password%</p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;' >If you have any questions, just reply to this email—we're always happy to help out.</p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 40px 30px; border-radius: 0px 0px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;'>Thanks for choosing our service.<br>Scriptsbundle Team</p>

                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 30px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#FFECD1' align='center' style='padding: 30px 30px 30px 30px; border-radius: 4px 4px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <h2 style='font-size: 20px; font-weight: 400; color: #111111; margin: 0;'>Need more help?</h2>
                        <p style='margin: 0;'><a href='#' target='_blank' style='color: #3cbeb2;'>We’re here to help you out</a></p>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#f4f4f4' align='left' style='padding: 0px 30px 30px 30px; color: #666666;  font-size: 14px; font-weight: 400; line-height: 18px;'> <br>
                        <p style='margin: 0;'>".date("Y")." © <a href='#' target='_blank' style='color: #111111; font-weight: 700;'>Scriptsbundle</a> ALL Rights Reserved.</p>
                    </td>
                </tr>
            </table>
            
        </td>
    </tr>
</table>
</body>"
			),
		
		array(
            'id' => 'mw_new_user_reset_sub',
            'type' => 'text',
            'title' => esc_html__('Reset Password Template Subject', 'maxwheels'),
            'default' => esc_html__("Forgot Your Password", 'maxwheels'),
        ),
		array(
            'id' => 'mw_new_user_reset_message',
            'type' => 'editor',
            'title' => esc_html__('Reset Password Template For Users', 'maxwheels'),
            'args' => array(
                'teeny' => true,
                'textarea_rows' => 20,
                'wpautop' => false,
            ),
            'desc' => esc_html__('%site_name% , %display_name%, %reset_link% will be translated accordingly.', 'maxwheels'),
            'default' => "<body style='background-color: #f4f4f4; margin: 0 !important; padding: 0 !important;'>
<table border='0' cellpadding='0' cellspacing='0' width='100%'>
    <!-- LOGO -->
    <tr>
        <td bgcolor='#3CBEB2' align='center'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td align='center' valign='top' style='padding: 40px 10px 40px 10px;'> </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#3CBEB2' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='center' valign='top' style='padding: 40px 20px 20px 20px; border-radius: 4px 4px 0px 0px; color: #111111;  font-size: 48px; font-weight: 400; letter-spacing: 4px; line-height: 48px;'>
                        <h1 style='font-size: 34px; font-weight: 400; margin: 2px;'>Hi, %display_name%!</h1> <img src='".trailingslashit( get_template_directory_uri () ) . "libs/images/logo-4.png"."' width='' height='' alt='' style='display: block; border: 0px;padding-top: 25px;' />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 0 30px; color: #666666;  font-size: 18px !important; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0;  font-size: 18px !important;'>We have sent you this email in response to your request to reset your password on <strong>%site_name%</strong> </p>
                    </td>
                </tr>
                  <tr>
                    <td bgcolor='#ffffff' align='left'>
                        <table width='100%' border='0' cellspacing='0' cellpadding='0'>
                            <tr>
                                <td bgcolor='#ffffff' align='center' style='padding: 20px 30px 20px 30px;'>
                                    <table border='0' cellspacing='0' cellpadding='0'>
                                        <tr>
                                            <td align='center' style='border-radius: 3px;' bgcolor='#3CBEB2'><a href='%reset_link%' target='_blank' style='font-size: 20px; color: #ffffff; text-decoration: none; color: #ffffff; text-decoration: none; padding: 15px 25px; border-radius: 2px; border: 1px solid #3cbeb2; display: inline-block;'>Reset My Password</a>
											</td>
											
                                        </tr>
										<tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 20px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;' ><strong>Copyable Link :</strong> %reset_link%</p>
                    </td>
                </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr> <!-- COPY -->
				<tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;' >We recommend that you keep your password secure and not share it with anyone. If you feel your password has been compromised, you can change it by going to your My Profile Page and clicking on the Change Email Password.</p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 20px 30px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;' >If you have any questions, just reply to this email—we're always happy to help out.</p>
                    </td>
                </tr>
                <tr>
                    <td bgcolor='#ffffff' align='left' style='padding: 0px 30px 40px 30px; border-radius: 0px 0px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <p style='margin: 0; font-size: 18px !important;'>Thanks for choosing our service.<br>Scriptsbundle Team</p>

                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 30px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#FFECD1' align='center' style='padding: 30px 30px 30px 30px; border-radius: 4px 4px 4px 4px; color: #666666;  font-size: 18px; font-weight: 400; line-height: 25px;'>
                        <h2 style='font-size: 20px; font-weight: 400; color: #111111; margin: 0;'>Need more help?</h2>
                        <p style='margin: 0;'><a href='#' target='_blank' style='color: #3cbeb2;'>We’re here to help you out</a></p>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td bgcolor='#f4f4f4' align='center' style='padding: 0px 10px 0px 10px;'>
            <table border='0' cellpadding='0' cellspacing='0' width='100%' style='max-width: 600px;'>
                <tr>
                    <td bgcolor='#f4f4f4' align='left' style='padding: 0px 30px 30px 30px; color: #666666;  font-size: 14px; font-weight: 400; line-height: 18px;'> <br>
                        <p style='margin: 0;'>".date("Y")." © <a href='#' target='_blank' style='color: #111111; font-weight: 700;'>Scriptsbundle</a> ALL Rights Reserved.</p>
                    </td>
                </tr>
            </table>
            
        </td>
    </tr>
</table>
</body>"
			),
			
        )
    ) );	
	
	
	/* ------------------ Price & Currency Settings ----------------------- */
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Submit Listings', 'maxwheels' ),
        'id'         => 'mw_submit',
        'desc'       => '',
        'icon' => 'el el-globe',
       
    ) );
	
	Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'General Settings', 'maxwheels' ),
        'id'         => 'mw_general',
        'desc'       => '',
        'icon' => 'el el-cogs',
		'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'mw_auto_generated_title',
                'type'     => 'switch',
                'title'    => esc_html__( 'Auto Generated Title', 'maxwheels' ),
                'default'  => True,
                'desc'     => esc_html__( "Only For Auto Gererated Title.", 'maxwheels' ),
            ),
		array(
                'id'       => 'mw_badwords',
                'type'     => 'textarea',
                'title'    => esc_html__( 'Bad Words Filter', 'maxwheels' ),
				'subtitle' => esc_html__( 'comma separated', 'maxwheels' ),
				'placeholder'   => esc_html__( 'word1,word2', 'maxwheels' ),
				'desc'     => esc_html__( 'This words will be removed from AD Title and Description', 'maxwheels' ),
				'default'  => '',
            ),
			array(
                'id'       => 'mw_badwords_replace',
                'type'     => 'text',
                'title'    => esc_html__( 'Bad Words Replace Word', 'maxwheels' ),
				'desc'     => esc_html__( 'This words will be replace with above bad words list from AD Title and Description', 'maxwheels' ),
				'default'  => '',
            ),
			
			)
		));
		
	
	/* ------------------ Show & Hide Form Fields ----------------------- */
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Show & Hide Fields', 'maxwheels' ),
        'id'               => 'show-hide',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
		'icon' => 'el el-globe',
        'fields'     => array(
			array(
                'id'       => 'mw_show_hide_fields',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Multi Checkbox Option', 'maxwheels' ),

				'options'  => array
				(
					'mw_subcats' => esc_html__('Sub Categores','maxwheels'),
                    'mw_condition' => esc_html__('Condition','maxwheels'),
                    'mw_year' => esc_html__('Year','maxwheels'),
                    'mw_bodytype' => esc_html__('Body Types','maxwheels'),
                    'mw_transmission' => esc_html__('Transmission','maxwheels'),
                    'mw_fuel' => esc_html__('Fuel Type','maxwheels'),
                    'mw_plate' => esc_html__('Number Plate Field','maxwheels'),
                    'mw_vin' => esc_html__('VIN Number Field','maxwheels'),
                    'mw_registration' => esc_html__('Registration Date Field','maxwheels'),
                    'mw_askprice' => esc_html__('Asking Price','maxwheels'),
                    'mw_mileage' => esc_html__('Mileage','maxwheels'),
                    'mw_drive' => esc_html__('Drive','maxwheels'),
                    'mw_exterior' => esc_html__('Exterior','maxwheels'),
                    'mw_interior' => esc_html__('Interior','maxwheels'),
                    'mw_keys' => esc_html__('Sets of Keys','maxwheels'),
                    'mw_highway' => esc_html__('Average in Highway','maxwheels'),
                    'mw_city' => esc_html__('Average in City','maxwheels'),
                    'mw_enginesize' => esc_html__('Engine Size','maxwheels'),
                    'mw_owners' => esc_html__('Owners','maxwheels'),
					'mw_type' => esc_html__('Type/Label','maxwheels'),
                    'mw_desc' => esc_html__('Description Box','maxwheels'),
                    'mw_gallery' => esc_html__('Gallery','maxwheels'),
                    'mw_features' => esc_html__('Features','maxwheels'),
                    'mw_street' => esc_html__('Street Address','maxwheels'),
                    'mw_map' => esc_html__('Map','maxwheels'),
                    'mw_location'  => esc_html__('Location (Country / State / Town)','maxwheels'),
			   ),
                'default'  => array(
                    'mw_subcats' => '1',
					'mw_condition' 	=> '1',
					'mw_year' => '1',
					'mw_bodytype' => '1',
					'mw_transmission' => '1',
					'mw_fuel' 	=> '1',
					'mw_plate' => '1',
					'mw_vin' => '1',
					'mw_registration' => '1',
					'mw_askprice' => '1',
					'mw_mileage' => '1',
					'mw_drive' => '1',
					'mw_exterior' => '1',
					'mw_interior' => '1',
					'mw_keys' => '1',
					'mw_highway' => '1',
					'mw_city' => '1',
					'mw_enginesize' => '1',
					'mw_owners' => '1',
					'mw_type' => '1',
                    'mw_desc' => '1',
                    'mw_gallery' => '1',
                    'mw_features' => '1',
                    'mw_street' => '1',
                    'mw_map' => '1',
                    'mw_location' => '1',
                )
            ),
        )
    ) );
	/* ------------------ Required Form Fields ----------------------- */
		Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Required Form Fields', 'maxwheels' ),
        'id'               => 'required_fields',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             =>'',
		'icon' => 'el el-globe',
        'fields'     => array(
			array(
                'id'       => 'mw_required_fields',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Form Required Fields', 'maxwheels' ),
                'subtitle' => esc_html__( 'Select the Mandatory Fields for listing submission.', 'maxwheels' ),
                'desc'     => esc_html__( 'Select the Mandatory Fields for listing submission.', 'maxwheels' ),
				'options'  => array
				(
					'mw_subcats' => esc_html__('Sub Categores','maxwheels'),
                    'mw_list_title' => esc_html__('Listing Title','maxwheels'),
                    'mw_condition' => esc_html__('Condition','maxwheels'),
                    'mw_year' => esc_html__('Year','maxwheels'),
                    'mw_bodytype' => esc_html__('Body Types','maxwheels'),
                    'mw_transmission' => esc_html__('Transmission','maxwheels'),
                    'mw_fuel' => esc_html__('Fuel Type','maxwheels'),
                    'mw_plate' => esc_html__('Number Plate Field','maxwheels'),
                    'mw_vin' => esc_html__('VIN Number Field','maxwheels'),
                    'mw_registration' => esc_html__('Registration Date Field','maxwheels'),
                    'mw_askprice' => esc_html__('Asking Price','maxwheels'),
                    'mw_mileage' => esc_html__('Mileage','maxwheels'),
                    'mw_drive' => esc_html__('Drive','maxwheels'),
                    'mw_exterior' => esc_html__('Exterior','maxwheels'),
                    'mw_interior' => esc_html__('Interior','maxwheels'),
                    'mw_keys' => esc_html__('Sets of Keys','maxwheels'),
                    'mw_highway' => esc_html__('Average in Highway','maxwheels'),
                    'mw_city' => esc_html__('Average in City','maxwheels'),
                    'mw_enginesize' => esc_html__('Engine Size','maxwheels'),
                    'mw_owners' => esc_html__('Owners','maxwheels'),
					'mw_type' => esc_html__('Type/Label','maxwheels'),
                    'mw_gallery' => esc_html__('Gallery','maxwheels'),
                    'mw_street'  => esc_html__('Street Address','maxwheels'),
                    'mw_coordinates'  => esc_html__('Coordinates','maxwheels'),
                    'mw_location'  => esc_html__('Location (Country / State / Town)','maxwheels'),
			   ),
                'default'  => array(
                    'mw_list_title' => '1',
                    'mw_subcats' => '0',
					'mw_condition' 	=> '1',
					'mw_year' => '1',
					'mw_bodytype' => '1',
					'mw_transmission' => '1',
					'mw_fuel' 	=> '1',
					'mw_plate' => '0',
					'mw_vin' => '1',
					'mw_registration' => '0',
					'mw_askprice' => '1',
					'mw_mileage' => '1',
					'mw_drive' => '1',
					'mw_exterior' => '0',
					'mw_interior' => '0',
					'mw_keys' => '0',
					'mw_highway' => '0',
					'mw_city' => '0',
					'mw_enginesize' => '1',
					'mw_owners' => '1',
					'mw_type' => '1',
                    'mw_gallery' => '1',
                    'mw_street' => '1',
                    'mw_coordinates' => '0',
                    'mw_location' => '1',
                )
            ),
        )
    ) );
	
	Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Form Fields Text', 'maxwheels' ),
        'id'         => 'dwt_listing_form_fields',
        'desc'       => '',
        'icon' => 'el el-cogs',
		'subsection' => true,
        'fields'     => array(
		   array(
                'id'       => 'p_listing_title',
                'type'     => 'section',
                'indent'   => true,
            ),
            
             array(
					'id'       => 'mw_car_details_section_heading',
					'type'     => 'text',
					'title'    => esc_html__('Details Section Heading', 'maxwheels' ),
					'default'  => esc_html__('Car Details', 'maxwheels' ),
				),
            array(
                'id'       => 'mw_main_title',
                'type'     => 'text',
                'title'    => esc_html__( 'Listing Title', 'maxwheels' ),
                'default'  => esc_html__('Title','maxwheels'),
                'required' => array(
                array('mw_auto_generated_title','equals','0'),
                )
            ),
            array(
                'id'       => 'mw_main_placeholder',
                'type'     => 'text',
                'title'    => esc_html__( 'Listing Title Placeholder', 'maxwheels' ),
                'default'  => esc_html__('Honda Civic 2020 For Sale','maxwheels'),
                'required' => array(
                    array('mw_auto_generated_title','equals','0'),
                )
            ),
            
            array(
					'id'       => 'mw_cat1_title',
					'type'     => 'text',
					'title'    => esc_html__( '1st Level Category Title', 'maxwheels' ),
					'default'  => esc_html__('Make','maxwheels')
				),
				
            array(
					'id'       => 'mw_cat2_title',
					'type'     => 'text',
					'title'    => esc_html__( '2nd Level Category Title', 'maxwheels' ),
					'default'  => esc_html__('Model','maxwheels')
				),
				
            array(
					'id'       => 'mw_cat3_title',
					'type'     => 'text',
					'title'    => esc_html__( '3rd Level Category Title', 'maxwheels' ),
					'default'  => esc_html__('Varient','maxwheels')
				),
				
            array(
					'id'       => 'mw_cat4_title',
					'type'     => 'text',
					'title'    => esc_html__( '4th Level Category Title', 'maxwheels' ),
					'default'  => esc_html__('Trim','maxwheels')
				),
            
            
            array(
					'id'       => 'mw_condition_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Condition Field Title', 'maxwheels' ),
					'default'  => esc_html__('Condition','maxwheels')
				),
            
            array(
					'id'       => 'mw_year_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Year Field Title', 'maxwheels' ),
					'default'  => esc_html__('Year','maxwheels')
				),
				
            array(
					'id'       => 'mw_body_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Body Type Field Title', 'maxwheels' ),
					'default'  => esc_html__('Body Type','maxwheels')
				),
            
            array(
					'id'       => 'mw_transmission_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Transmission Field Title', 'maxwheels' ),
					'default'  => esc_html__('Transmission','maxwheels')
				),
            
             array(
					'id'       => 'mw_fuel_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Fuel Type Field Title', 'maxwheels' ),
					'default'  => esc_html__('Fuel Type','maxwheels')
				),
            
			array(
                'id'       => 'd_cat_title',
                'type'     => 'section',
                'title'    => esc_html__( 'Registration & VIN', 'maxwheels' ),
                'indent'   => true, // Indent all options below until the next 'section' option is set.
            ),	
            array(
					'id'       => 'mw_reg_section_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Registration & VIN Section Heading', 'maxwheels' ),
					'default'  => esc_html__( 'Registration & VIN', 'maxwheels' ),
				),
               array(
					'id'       => 'mw_reg_section_note',
					'type'     => 'text',
					'title'    => esc_html__( 'Registration & VIN Note', 'maxwheels' ),
					'default'  => esc_html__( 'Providing both your number plate and VIN will make your potential buyers feel more secure.', 'maxwheels' ),
				),
				array(
					'id'       => 'mw_plate_number',
					'type'     => 'text',
					'title'    => esc_html__('Number Plate Field', 'maxwheels' ),
					'default'  => esc_html__( 'Number Plate #', 'maxwheels' ),
				),
				array(
					'id'       => 'mw_vn_place',
					'type'     => 'text',
					'title'    => esc_html__( 'VIN Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Vehicle Identification Number (VIN)', 'maxwheels' ),
				),
            array(
					'id'       => 'mw_registerd_place',
					'type'     => 'text',
					'title'    => esc_html__( 'Registration Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Registered', 'maxwheels' ),
				),
			array(
					'id'     => 'd_cat-end',
					'type'   => 'section',
					'indent' => false,
           		 ),	
				array(
					'id'       => 'd_contact_title',
					'type'     => 'section',
					'title'    => esc_html__( 'Specification Section', 'maxwheels' ),
					'indent'   => true,
				),	
				 array(
					'id'       => 'mw_carspecs_type',
					'type'     => 'text',
					'title'    => esc_html__('Specification Section Heading', 'maxwheels' ),
					'default'  => esc_html__( 'Car Specifics', 'maxwheels' ),
				),
				array(
					'id'       => 'mw_price_field',
					'type'     => 'text',
					'title'    => esc_html__( 'Asking Price Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Asking Price', 'maxwheels' ),
				),
            array(
					'id'       => 'mw_mileage_field',
					'type'     => 'text',
					'title'    => esc_html__( 'Mileage Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Mileage', 'maxwheels' ),
				),
             array(
					'id'       => 'mw_drive_field',
					'type'     => 'text',
					'title'    => esc_html__( 'Drive Type Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Drive', 'maxwheels' ),
				),
            array(
					'id'       => 'mw_exterioe_field',
					'type'     => 'text',
					'title'    => esc_html__( 'Exterior Color Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Exterior Color', 'maxwheels' ),
				),
            array(
					'id'       => 'mw_interior_field',
					'type'     => 'text',
					'title'    => esc_html__( 'Interior Color Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Interior Color', 'maxwheels' ),
				),
				array(
					'id'     => 'd_contact-end',
					'type'   => 'section',
					'indent' => false,
           		 ),
				 array(
					'id'       => 'd_curr_title',
					'type'     => 'section',
					'title'    => esc_html__( 'Additional Info Section', 'maxwheels' ),
					'indent'   => true,
				),	
               array(
					'id'       => 'mw_info_heading',
					'type'     => 'text',
					'title'    => esc_html__('Additional Info Section Heading', 'maxwheels' ),
					'default'  => esc_html__( 'Additional Info', 'maxwheels' ),
				),
				array(
					'id'       => 'mw_no_keys',
					'type'     => 'text',
					'title'    => esc_html__('Keys Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Sets of keys', 'maxwheels' ),
				),
				array(
					'id'       => 'mw_highway_field',
					'type'     => 'text',
					'title'    => esc_html__( 'Average In Highway Field Title', 'maxwheels' ),
					'default'  => esc_html__('Average In Highway', 'maxwheels' ),
				),
				array(
					'id'       => 'mw_cityhway_field',
					'type'     => 'text',
					'title'    => esc_html__( 'Average In City Field Title', 'maxwheels' ),
					'default'  => esc_html__('Average In City', 'maxwheels' ),
				),
				array(
					'id'       => 'mw_enginesize_field',
					'type'     => 'text',
					'title'    => esc_html__( 'Engine Size Field Title', 'maxwheels' ),
					'default'  => esc_html__('Engine Size', 'maxwheels' ),
				),
				array(
					'id'       => 'mw_owners_field',
					'type'     => 'text',
					'title'    => esc_html__( 'Owners Field Title', 'maxwheels' ),
					'default'  => esc_html__('Owners', 'maxwheels' ),
				),
			   array(
					'id'       => 'mw_field_type',
					'type'     => 'text',
					'title'    => esc_html__( 'Type/Labels Field Title', 'maxwheels' ),
					'default'  => esc_html__('Select Type', 'maxwheels' ),
				),
				array(
					'id'     => 'curr_web-end',
					'type'   => 'section',
					'indent' => false,
           		 ),
				 
				  array(
					'id'       => 'pp_f',
					'type'     => 'section',
					'title'    => esc_html__( 'Step 2 Form Fields', 'maxwheels' ),
					'indent'   => true,
				),		
				
				array(
					'id'       => 'mw_desc_field',
					'type'     => 'text',
					'title'    => esc_html__('Description Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Description', 'maxwheels' ),
				),
               
               array(
					'id'       => 'mw_gallery_section',
					'type'     => 'text',
					'title'    => esc_html__( 'Gallery Section Heading', 'maxwheels' ),
					'default'  => esc_html__( 'Add Photos', 'maxwheels' ),
				),
				
				array(
					'id'       => 'mw_gallery_section_note',
					'type'     => 'text',
					'title'    => esc_html__( 'Gallery Media Note', 'maxwheels' ),
					'default'  => esc_html__( 'You can select multiple images to upload at one time.', 'maxwheels' ),
				),
				
				array(
					'id'       => 'mw_gallery_img_order',
					'type'     => 'text',
					'title'    => esc_html__( 'Gallery Images Order', 'maxwheels' ),
					'default'  => esc_html__( 'Change images order with Drag & Drop.', 'maxwheels' ),
				),
				
				array(
					'id'       => 'mw_gallery_up_btn',
					'type'     => 'text',
					'title'    => esc_html__( 'Gallery Upload Button', 'maxwheels' ),
					'default'  => esc_html__( 'Select Images', 'maxwheels' ),
				),
            
				array(
					'id'       => 'mw_features_field',
					'type'     => 'text',
					'title'    => esc_html__('Features Section Title', 'maxwheels' ),
					'default'  => esc_html__('Features', 'maxwheels' ),
				),
				
				array(
					'id'     => 'd_pricing_range-end',
					'type'   => 'section',
					'indent' => false,
           		 ),
				
				  array(
					'id'       => 'd_brand_title',
					'type'     => 'section',
					'title'    => esc_html__('Location Fields Section', 'maxwheels'),
					'indent'   => true,
				),	
            
               array(
					'id'       => 'mw_loc_section_field',
					'type'     => 'text',
					'title'    => esc_html__('Location Section Title', 'maxwheels' ),
					'default'  => esc_html__('Location', 'maxwheels' ),
				),
				 
				 array(
					'id'       => 'mw_addr_field_txt',
					'type'     => 'text',
					'title'    => esc_html__( 'Address Field', 'maxwheels' ),
					'default'  => esc_html__( 'Address', 'maxwheels' ),
				),
				array(
					'id'       => 'mw_addr_field_place',
					'type'     => 'text',
					'title'    => esc_html__( 'Placeholder', 'maxwheels' ),
					'default'  => esc_html__( '3726 Cynthia Brooks Suite 915', 'maxwheels' ),
				),
				
				array(
					'id'       => 'mw_addr_coordinates',
					'type'     => 'text',
					'title'    => esc_html__( 'Coordinates Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Coordinates', 'maxwheels' ),
				),
				
				array(
					'id'       => 'mw_addr_latt',
					'type'     => 'text',
					'title'    => esc_html__( 'Latitude (for Google Maps) Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Latitude', 'maxwheels' ),
				),
				
				array(
					'id'       => 'mw_addr_long',
					'type'     => 'text',
					'title'    => esc_html__( 'Latitude (for Google Maps) Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Longitude ', 'maxwheels' ),
				),
				
				
				array(
					'id'       => 'mw_addr_country',
					'type'     => 'text',
					'title'    => esc_html__( 'Neighborhood/Country Field Title', 'maxwheels' ),
					'default'  => esc_html__( 'Country', 'maxwheels' ),
				),
				
				array(
					'id'       => 'mw_addr_country_place',
					'type'     => 'text',
					'title'    => esc_html__( 'Neighborhood/Country Placeholder', 'maxwheels' ),
					'default'  => esc_html__( 'Eg: England', 'maxwheels' ),
				),
				
				array(
					'id'       => 'd_other_fields',
					'type'     => 'section',
					'title'    => esc_html__( 'Form Button & Steps', 'maxwheels' ),
					'indent'   => true, 
				),	
				
				array(
					'id'       => 'mw_step1_section',
					'type'     => 'text',
					'title'    => esc_html__( 'Step 1 Heading', 'maxwheels' ),
					'default'  => esc_html__( 'What Car Are You Selling?', 'maxwheels' ),
				),
            
				array(
					'id'       => 'mw_step1_btn',
					'type'     => 'text',
					'title'    => esc_html__( 'Step 1 Button Text', 'maxwheels' ),
					'default'  => esc_html__( 'Save and Continue', 'maxwheels' ),
				),
            
            array(
					'id'       => 'mw_step2_section',
					'type'     => 'text',
					'title'    => esc_html__( 'Step 2 Heading', 'maxwheels' ),
					'default'  => esc_html__( 'Step 2', 'maxwheels' ),
				),
            
				array(
					'id'       => 'mw_step2_btn',
					'type'     => 'text',
					'title'    => esc_html__( 'Step 2 Button Text', 'maxwheels' ),
					'default'  => esc_html__( 'Save and Continue', 'maxwheels' ),
				),
            
            
				
			array(
					'id'     => 'd_other_fields-end',
					'type'   => 'section',
					'indent' => false,
           		 ),
				

		)
			
		));
		
		
	
	/* ------------------ Maps Settings ----------------------- */
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Map Settings', 'maxwheels' ),
        'id'         => 'dwt-map-settings',
        'desc'       => '',
        'icon' => 'el el-globe',
        'fields'     => array(
			array(
                'id'       => 'mw_opt_enable_map',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable Map', 'maxwheels' ),
                'default'  => true,
				'desc'     => esc_html__( 'Trun on or off Maps.', 'maxwheels' ),
            ),	
          array(
                'id'       => 'mw_opt_map_selection',
                'type'     => 'select',
                'title'    => esc_html__( 'Select Map Type ', 'maxwheels' ),
				'options'  => array(
					'open_street' => 'Open Street',
					'mapbox' => 'Mapbox',
				),
				'required' => array( 'mw_opt_enable_map', '=', true ),
				'default'  => 'open_street',			
            ),
           
			array(
					'id'       => 'mw_opt_mapbox_api_key',
					'type'     => 'text',
					'title'    => esc_html__( 'Mapbox Access Token', 'maxwheels' ),
					'desc' => 'https://account.mapbox.com/access-tokens/' , esc_html__( 'How to Find it' , 'maxwheels'  ),
					'required' => array( 'mw_opt_map_selection', '=', 'mapbox' ),
					'subtitle' => esc_html__( 'Mapbox only works when you access Token Key', 'maxwheels' ),
					'default'  => '',
			),
			array(
                'id'       => 'mw_opt_default_lat',
                'type'     => 'text',
                'title'    => esc_html__( 'Latitude', 'maxwheels' ),
                'subtitle' => esc_html__( 'for default map.', 'maxwheels' ),
				'required' => array( 'mw_opt_enable_map', '=', true ),
                'default'  => '40.7127837' ,
            ),
			array(
                'id'       => 'mw_opt_default_long',
                'type'     => 'text',
                'title'    => esc_html__( 'Longitude', 'maxwheels' ),
                'subtitle' => esc_html__( 'for default map.', 'maxwheels' ),
				'required' => array( 'mw_opt_enable_map', '=', true ),
                'default'  => '-74.00594130000002' ,
            ),	
			
        )
    ) );
	/* ------------------ Geo APi Settings ----------------------- */
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Geo IP Settings', 'maxwheels' ),
        'id'         => 'dwt-geo-settings',
        'desc'       => '',
        'icon' => 'el el-map-marker',
        'fields'     => array(
			array(
                'id'       => 'mw_opt_enable_geo',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable GeoLocation', 'maxwheels' ),
                'default'  => true,
				'desc'     => esc_html__( 'Trun on or off GeoLocation Api.', 'maxwheels' ),
            ),	
          array(
                'id'       => 'mw_opt_api_settings',
                'type'     => 'select',
                'title'    => esc_html__( 'Select API Type for Current location ', 'maxwheels' ),
                'subtitle' => esc_html__( 'For location detection', 'maxwheels' ),
                'desc'     => esc_html__('Above API options are used to identify visitors current location by their ip address.', 'maxwheels'),
				'options'  => array(
					'geo_ip' => 'Geo IP DB',
					'ip_api' => 'IP API',
				),
				'required' => array( 'mw_opt_enable_geo', '=', true ),
				'default'  => 'geo_ip',			
            ),
        )
    ) );
	
	/* ------------------Blog Settings ----------------------- */
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Blog Settings', 'maxwheels' ),
        'id'         => 'sb-blog-settings',
        'desc'       => '',
        'icon' => 'el el-edit',
        'fields'     => array(
          	array(
                'id'       => 'mw_blog_layout',
                'type'     => 'sorter',
                'title'    => 'Blog Post Layout Manager',
                'desc'     => 'Organize how you want the layout to appear on the blog page',
                'compiler' => 'true',
                'options'  => array(
				'enabled'  => array('content' => 'Content Area ','sidebar'  => 'Sidebar'),
                ),
            ),
			
			array(
                'id'       => 'mw_p_blog_singlelayout',
                'type'     => 'sorter',
                'title'    => 'Blog Detail Layout Manager',
                'desc'     => 'Organize how you want the layout to appear on the blog page',
                'compiler' => 'true',
                'options'  => array(
				'enabled'  => array('singlepost' => 'Post Detail ','singlesidebar'  => 'Sidebar'),
                ),
            ),
        )
    ) );	

/* ------------------ Packages Text Settings ----------------------- */
Redux::setSection($opt_name, array(
    'title' => esc_html__('Packages Text', 'maxwheels'),
    'id' => 'dwt_listing_pkg_txt',
    'desc' => '',
    'icon' => 'el el-text-height',
    'fields' => array(
        array(
            'id' => 'd_pakge_indent',
            'type' => 'section',
            'indent' => true,
        ),
        array(
            'id' => 'mw_p_exp',
            'type' => 'text',
            'title' => esc_html__('Package Expiry Title', 'maxwheels'),
            'default' => 'Duration',
        ),
        array(
            'id' => 'mw_reg_listing',
            'type' => 'text',
            'title' => esc_html__('Total Listings Title', 'maxwheels'),
            'default' => 'Max. Listings',
        ),
        array(
            'id' => 'mw_l_exp',
            'type' => 'text',
            'title' => esc_html__('Listing Expiry Title', 'maxwheels'),
            'default' => 'Listing Expiry',
        ),
        array(
            'id' => 'mw_feat_listing',
            'type' => 'text',
            'title' => esc_html__('Featured Listing Title', 'maxwheels'),
            'default' => 'Featured Listings',
        ),
        array(
            'id' => 'mw_feat_for',
            'type' => 'text',
            'title' => esc_html__('Featured For Title', 'maxwheels'),
            'default' => 'Featured For',
        ),
		array(
            'id' => 'mw_bump_for',
            'type' => 'text',
            'title' => esc_html__('Bump up Listing Title', 'maxwheels'),
            'default' => 'Bump-up Listings',
        ),
        array(
            'id' => 'mw_pkg_daytxt',
            'type' => 'text',
            'title' => esc_html__('Days Option Text', 'maxwheels'),
            'default' => 'Days',
        ),
        array(
            'id' => 'mw_pkg_unlimited',
            'type' => 'text',
            'title' => esc_html__('Unlimited Option Text', 'maxwheels'),
            'default' => 'Unlimited',
        ),
        array(
            'id' => 'mw_never_exp',
            'type' => 'text',
            'title' => esc_html__('Never Expire Option Text', 'maxwheels'),
            'default' => 'Never Expire',
        ),
    )
));

/* ------------------Shop Settings ----------------------- */
Redux::setSection($opt_name, array(
    'title' => esc_html__('Shop', 'maxwheels'),
    'id' => 'dwt_listing_shop_settings',
    'desc' => '',
    'icon' => 'el el-shopping-cart',
    'fields' => array(
        array(
            'id' => 'related_products',
            'type' => 'switch',
            'title' => esc_html__('Related Products', 'maxwheels'),
            'default' => true,
        ),
        array(
            'id' => 'max_related_products',
            'type' => 'select',
            'title' => esc_html__('Max Related Products To Show', 'maxwheels'),
            'required' => array('related_products', '=', array(true)),
            'options' => array(1 => 1, 2 => 2, 3 => 3, 4 => 4, 5 => 5, 6 => 6, 7 => 7, 8 => 8, 9 => 9, 10 => 10, 11 => 11, 12 => 12, 13 => 13, 14 => 14, 15 => 15),
            'default' => 5,
        ),
        array(
            'id' => 'related_products_title',
            'type' => 'text',
            'title' => esc_html__('Related Products Title', 'maxwheels'),
            'required' => array('related_products', '=', array(true)),
            'default' => 'Related Products',
        ),
        array(
            'id' => 'show_banners_on_product',
            'type' => 'switch',
            'title' => esc_html__('Show Advertising Banner On Product Page', 'maxwheels'),
            'default' => true,
        ),
        array(
            'id' => 'opt-slides-do',
            'type' => 'slides',
            'title' => esc_html__('Ad Banner Slides', 'maxwheels'),
            'show' => array(
                'title' => false,
                'description' => false,
                'url' => true
            ),
            'desc' => esc_html__('Recommended size 990x215', 'maxwheels'),
            'placeholder' => array(
                'url' => esc_html__('Link you want to redirect', 'maxwheels'),
            ),
        ),
    )
));
	/* ------------------ Pagination Settings ----------------------- */
	Redux::setSection($opt_name, array(
		'title' => esc_html__("Pagination Settings", "maxwheels") ,
		'id' => 'app_g_pagination',
		'desc' => '',
		'icon' => 'el el-adjust-alt',
		'fields' => array(
				array(
					'id'    => 'mw_p_notification',
					'type'  => 'info',
					'style' => 'info',
					'icon'  => 'el el-info-circle',
					'title' => esc_html__( 'User Personal Dashboard.', 'maxwheels' ),
					'desc'  => esc_html__( 'Pagination settings for user personal profile.', 'maxwheels' )
				),
				array(
					'id'       => 'mw_dash_listings',
					'type'     => 'spinner',
					'title'    => esc_html__( 'Dashboad Listings', 'maxwheels' ),
					'desc' 	   => esc_html__('Number of listings shown per page.', 'maxwheels') ,
					'default' => '10',
					'min'     => '1',
					'step'    => '1',
					'max'     => '30',
				),
				
		)
	));	
	/* ------------------ Placeholder Images ----------------------- */
	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Placeholder Images', 'maxwheels' ),
        'id'               => 'mw_gen_place',
        'subsection'       => false,
        'customizer_width' => '450px',
        'desc'             =>'',
        'fields'           => array(
            array(
                'id'       => 'mw_def_buyer_logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Default Buyer/individual Image', 'maxwheels' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Select default Buyer/individual image.', 'maxwheels'),
				'default'  => array( 'url' => trailingslashit( get_template_directory_uri()) . 'libs/images/default-imag.jpg' ),
            ),
			array(
                'id'       => 'mw_def_dealer_placeholder',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Dealer Placeholder Image', 'maxwheels' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Set default placeholder image for agencies.', 'maxwheels'),
				'default'  => array( 'url' => trailingslashit( get_template_directory_uri()) . 'libs/images/dealer-logo.png' ),
            ),
			array(
                'id'       => 'mw_def_agent_placeholder',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Dealer Placeholder Image', 'maxwheels' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Set default placeholder image for agents.', 'maxwheels'),
				'default'  => array( 'url' => trailingslashit( get_template_directory_uri()) . 'libs/images/agency.jpg' ),
            ),
			array(
                'id'       => 'mw_profile_cover_image',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Profile Detial Cover Image', 'maxwheels' ),
                'compiler' => 'true',
                'desc'     => esc_html__( 'Set default placeholder image for cover image.', 'maxwheels'),
				'default'  => array( 'url' => trailingslashit( get_template_directory_uri()) . 'libs/images/cover-image.jpg' ),
            ),
			array(
				'id' => 'mw_defualt_listing_image',
				'type' => 'media',
				'url' => true,
				'title' => esc_html__('Default Listing Image', 'maxwheels'),
				'compiler' => 'true',
				'desc' => esc_html__('If there is no image of listing then this will be show.', 'maxwheels'),
				'subtitle' => esc_html__('Dimensions: 300 x 225', 'maxwheels'),
				'default' => array('url' => trailingslashit(get_template_directory_uri()) . 'libs/images/no-image.png'),
       		 ),	
        )
    ) );	

Redux::setSection( $opt_name, array(
    'title'  => esc_html__( 'Compare Listings', 'maxwheels' ),
    'id'     => 'mw_compare',
    'desc'   => '',
    'subsection' => false,
    'fields' => array(
        array(
            'id'       => 'mw_compare_tagline',
            'type'     => 'text',
            'title'    => esc_html__( 'Tagline', 'maxwheels' ),
            'default' => esc_html__('Spot the difference', 'maxwheels'),
        ),
		array(
            'id'       => 'mw_compare_heading',
            'type'     => 'text',
            'title'    => esc_html__( 'Heading', 'maxwheels' ),
            'default' => esc_html__('Compare Listing', 'maxwheels'),
        ),
        array(
            'id'       => 'mw_empty_list',
            'type'     => 'text',
            'title'    => esc_html__( 'Empty List Message', 'maxwheels' ),
            'default' => esc_html__('Add listings to compare.', 'maxwheels'),
        ),
        array(
            'id'       => 'mw_empty_msg',
            'type'     => 'text',
            'title'    => esc_html__( 'Empty Page Message', 'maxwheels' ),
            'default' => esc_html__('Please select more than one listing to compare.', 'maxwheels'),
        ),
    )
));
	
	
	/* -> START Basic Fields */
Redux::setSection($opt_name, array(
    'title' => esc_html__('Footer Settings', 'maxwheels'),
    'id' => 'footer-settings',
    'subsection' => false,
    'customizer_width' => '450px',
    'fields' => array(
        array(
            'id' => 'mw_footer_layout',
            'type' => 'button_set',
            'title' => esc_html__('Footer Layout', 'maxwheels'),
            'desc' => esc_html__('Select footer Layout you want to show.', 'maxwheels'),
			'options' => array(
				'1' => esc_html__('Layout Type 1', 'maxwheels'),
				'2' => esc_html__('Layout Type 2', 'maxwheels'),
                'elementorProFooter' => esc_html__('Footer Layout Elementor Pro', 'maxwheels'),
			), 
            'default' => '1'
        ),
        array(
            'id' => 'mw_footer_logo',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Footer Logo', 'maxwheels'),
            'compiler' => 'true',
            'desc' => esc_html__('Upload main logo of the website.', 'maxwheels'),
            'default' =>array( 'url' => trailingslashit( get_template_directory_uri () ) . 'libs/images/logo-white.svg' ),
        ),
		array(
            'id' => 'mw_footer_text',
            'type' => 'textarea',
            'title' => esc_html__('Footer Text', 'maxwheels'),
            'subtitle' => esc_html__('All HTML will be stripped', 'maxwheels'),
            'desc' => esc_html__('This is the description field, again good for additional info.', 'maxwheels'),
            'validate' => 'no_html',
        ),
		array(
            'id' => 'mw_pop_street_addr',
            'type' => 'text',
            'title' => esc_html__('Address', 'maxwheels'),
            'required' => array('mw_footer_layout', '=', '2'),
            'default' => esc_html__('26 Main Road London E83 2PQ', 'maxwheels'),
        ),
		array(
            'id' => 'mw_pop_footer_email',
            'type' => 'text',
            'title' => esc_html__('Email', 'maxwheels'),
            'required' => array('mw_footer_layout', '=', '2'),
            'default' => esc_html__('email@your.com', 'maxwheels'),
        ),
		array(
            'id' => 'mw_pop_footer_contactno',
            'type' => 'text',
            'title' => esc_html__('Contact No', 'maxwheels'),
            'required' => array('mw_footer_layout', '=', '2'),
            'default' => esc_html__('+44 8744 2295', 'maxwheels'),
        ),
        array(
            'id' => 'mw_footer_payments',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Payment Methods Image', 'maxwheels'),
            'compiler' => 'true',
            'desc' => esc_html__('Upload main logo of the website.', 'maxwheels'),
            'default' =>array( 'url' => trailingslashit( get_template_directory_uri () ) . 'libs/images/payments.png' ),
        ),
        array(
            'id' => 'mw_pop_loc',
            'type' => 'text',
            'title' => esc_html__('Popular Locations', 'maxwheels'),
            'desc' => esc_html__('Enter section title here', 'maxwheels'),
            'required' => array('mw_footer_layout', '=', '1'),
            'default' => esc_html__('Popular Locations', 'maxwheels'),
        ),
        array(
            'id' => 'mw_getpop_loc',
            'type' => 'select',
            'title' => __('Select Locations', 'maxwheels'),
            'multi' => true,
            'data' => 'terms',
            'args' => array(
                'taxonomies' => array('mw-location'), 'hide_empty' => false,
            ),
            'required' => array('mw_footer_layout', '=', '1'),
        ),
        array(
            'id' => 'mw_pop_catz',
            'type' => 'text',
            'title' => esc_html__('Top Categories', 'maxwheels'),
            'desc' => esc_html__('Enter section title here', 'maxwheels'),
            'required' => array('mw_footer_layout', '=', '1'),
            'default' => esc_html__('Featured Categories', 'maxwheels'),
        ),
        array(
            'id' => 'mw_getpop_catz',
            'type' => 'select',
            'title' => __('Select Type', 'maxwheels'),
            'multi' => true,
            'sortable' => true,
            'data' => 'terms',
            'args' => array('taxonomies' => array('mw-category'), 'hide_empty' => false),
            'required' => array('mw_footer_layout', '=', '1'),
        ),
		 array(
            'id' => 'mw_footer_link_txt',
            'type' => 'text',
            'title' => esc_html__('Links Title', 'maxwheels'),
            'desc' => esc_html__('Enter section title here', 'maxwheels'),
            'default' => esc_html__('Quick Links', 'maxwheels'),
        ),
        array(
            'id' => 'mw_feature_product',
            'type' => 'text',
            'title' => esc_html__('Featured Products', 'maxwheels'),
            'desc' => esc_html__('Ennter Featured Product Title Here', 'maxwheels'),
            'required' => array('mw_footer_layout', '=', '2'),
            'default' => esc_html__('Featured Products', 'maxwheels'),
        ),
        array(
            'id' => 'mw_product_tags',
            'type' => 'text',
            'title' => esc_html__('Product Tags', 'maxwheels'),
            'desc' => esc_html__('Ennter Product Tag Title Here', 'maxwheels'),
            'required' => array('mw_footer_layout', '=', '2'),
            'default' => esc_html__('Product Tags', 'maxwheels'),
        ),

        array(
            'id' => 'mw_footer_pages',
            'type' => 'select',
            'data' => 'pages',
            'multi' => true,
            'title' => esc_html__('Quick Links', 'maxwheels'),
            'desc' => esc_html__('Select the links for the footer.', 'maxwheels'),
        ),
        array(
            'id' => 'mw_footer-address',
            'type' => 'sortable',
            'title' => esc_html__('Address Info', 'maxwheels'),
            'desc' => esc_html__('Leave empty if you don\' want to show.', 'maxwheels'),
            'label' => true,
            'options' => array(
                'address' => '#',
                'email' => '#',
                'phone' => '#',
                'clock' => '#',
            ),
            'default' => array('address' => esc_html__('B-Floor,Arcade Model Town, USA', 'maxwheels'), 'email' => 'contact@scriptsbundle.com', 'phone' => '(0092)+ 124 45 78 678 ', 'clock' => esc_html__('Mon - Sun: 8:00 - 16:00', 'maxwheels')),
            'required' => array('mw_footer_layout', '=', '3'),
        ),
        array(
            'id' => 'mw_footer_copyrights',
            'type' => 'editor',
            'title' => esc_html__('Copy Rights Text', 'maxwheels'),
            'default' => esc_html__('Copyright 2021 &copy; Theme Created By ScriptsBundle, All Rights Reserved.', 'maxwheels'),
            'args' => array(
                'wpautop' => false,
                'media_buttons' => false,
                'textarea_rows' => 4,
                'teeny' => false,
                'quicktags' => false,
            )
        ),
      
        array(
            'id' => 'mw_footer_social_media',
            'type' => 'sortable',
            'title' => esc_html__('Social Media', 'maxwheels'),
            'desc' => esc_html__('Social Icons For Foter. You can sort it out as you want.', 'maxwheels'),
            'label' => true,
            'options' => array(
                'Facebook' => '',
                'Twitter' => '',
                'Linkedin' => '',
                'YouTube' => '',
                'Vimeo' => '',
                'Pinterest' => '',
                'Tumblr' => '',
                'Instagram' => '',
                'Reddit' => '',
                'Flickr' => '',
                'StumbleUpon' => '',
                'Delicious' => '',
                'dribble' => '',
                'behance' => '',
                'DeviantART' => '',
            ),
            'default' => array('Facebook' => '#', 'Twitter' => '#', 'Linkedin' => '#', 'Instagram' => '#', 'YouTube' => '#'),
        ),
        array(
            'id' => 'mw_footer1_sorter',
            'type' => 'sorter',
            'title' => 'Footer Layout Manager',
            'desc' => 'Organize how you want the layout to appear on the homepage',
            'compiler' => 'true',
            'options' => array(
                'enabled' => array('logo' => 'Your Details ', 'countries' => 'Popular Countries', 'cats' => 'Categories', 'links' => 'Quick Links'),
            ),
            'required' => array('mw_footer_layout', '=', '1'),
        ),
    )
));

if (function_exists('icl_object_id')) {
    Redux::set_Section($opt_name, array(
        'title' => esc_html__('WPML Settings', 'maxwheels'),
        'id' => 'food-wpml',
        'desc' => '',
        'icon' => 'el el-globe-alt',
        'fields' => array(
//            array(
//                'id' => 'max_duplicate_post',
//                'type' => 'switch',
//                'title' => esc_html__('Duplicate Posts', 'maxwheels'),
//                'subtitle' => __('Enable this option to duplicate posts in all others languages after successfully publish.', 'maxwheels'),
//                'desc' => esc_html__('Note : Disable means the posts publish only in the current language.', 'maxwheels'),
//                'default' => false,
//            ),
            array(
                'id' => 'max_display_post',
                'type' => 'switch',
                'title' => esc_html__('Display Posts', 'maxwheels'),
                'subtitle' => __('Enable this option to display all others languages posts in current language.', 'maxwheels'),
                'desc' => esc_html__('Note : Disable means to display only current language posts.', 'maxwheels'),
                'default' => false,
            ),
        )
    ));
}
